<?php
/**
 * @version $Id: mod_dj_easy_contact.php 20 2015-02-06 15:57:45Z marcin $
 * @package DJ-EasyContact
 * @copyright Copyright (C) 2012 DJ-Extensions.com, All rights reserved.
 * @license http://www.gnu.org/licenses GNU/GPL
 * @author url: http://dj-extensions.com
 * @author email contact@dj-extensions.com
 * @developer Marcin Łyczko - marcin.lyczko@design-joomla.eu
 *
 *
 * DJ-EasyContact is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * DJ-EasyContact is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with DJ-EasyContact. If not, see <http://www.gnu.org/licenses/>.
 *
 */
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
JHtml::stylesheet(JUri::base().'modules/mod_dj_easy_contact/assets/mod_dj_easy_contact.css', array(), true);

//Email Parameters
$email_required = $params->get('email_required', 'true');
$recipient = $params->get('email_recipient', 'email@email.com');
//$fromName = @$params->get('from_name', 'DJ Simple Contact Form');
$fromEmail = @$params->get('from_email', 'email@email.com');
$mySubject = $params->get('email_subject', '');
// Text Parameters
$introtext = $params->get('introtext', '');
$message_type= $params->get('message_type', true);
$message_label= $params->get('message_label', true);

// URL Parameters
$exact_url = $params->get('exact_url', true);
$disable_https = $params->get('disable_https', true);
$static_url = $params->get('fixed_url', true);
$myFixedURL = $params->get('fixed_url_address', '');

// Captcha Parameters
$enable_anti_spam = $params->get('enable_anti_spam', true);
$recaptcha_site_key = $params->get('recaptcha_site_key', '');
$recaptcha_secret_key = $params->get('recaptcha_secret_key', '');

// Module Class Suffix Parameter
$mod_class_suffix = $params->get('moduleclass_sfx', '');

if ($static_url) {
  $url = $myFixedURL;
}
else {
  if (!$exact_url) {
    $url = JURI::current();
  }
  else {
    if (!$disable_https) {
      $url = (!empty($_SERVER['HTTPS'])) ? "https://".$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'] : "http://".$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'];
    }
    else {
      $url = "http://".$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'];
    }
  }
}

$url = htmlentities($url, ENT_COMPAT, "UTF-8");

$error_message = '';
$valid_name = '';
$valid_email = '';
$valid_message = '';


if (isset($_POST["dj_name"])) {
  //$CORRECT_SUBJECT = htmlentities($_POST["dj_subject"], ENT_COMPAT, "UTF-8");
  $valid_name = htmlentities($_POST["dj_name"], ENT_COMPAT, "UTF-8");
  $valid_message = htmlentities($_POST["dj_message"], ENT_COMPAT, "UTF-8");
	
	if ($_POST["dj_name"] === "") {
		$error_message = '<span class="error-dj-simple-contact-form">' .JText::_('MOD_DJ_EASYCONTACT_NO_NAME'). '</span><br />';
	}
  // check email
  if($email_required == 1){
	  if ($_POST["dj_email"] === "") {
	    $error_message .= '<span class="error-dj-simple-contact-form">' .JText::_('MOD_DJ_EASYCONTACT_NO_EMAIL'). '</span><br />';
	  }
	  if (!preg_match("/^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,4})$/", strtolower($_POST["dj_email"]))) {
	    $error_message .= ' <span class="error-dj-simple-contact-form">' .JText::_('MOD_DJ_EASYCONTACT_INVALID_EMAIL'). '</span><br />';
	  }
	  else {
	    $valid_email = htmlentities($_POST["dj_email"], ENT_COMPAT, "UTF-8");
	  }
  }
	if ($_POST["dj_message"] === "") {
		$error_message .= '<span class="error-dj-simple-contact-form">' .$message_label.' '.JText::_('MOD_DJ_EASYCONTACT_NO_MESSAGE'). '</span><br />';
	}
	if ($enable_anti_spam) {
		if(isset($_POST['g-recaptcha-response'])){
	      $captcha=$_POST['g-recaptcha-response'];
	    }
		$response=file_get_contents("https://www.google.com/recaptcha/api/siteverify?secret='".$recaptcha_secret_key."'&response=".$captcha."&remoteip=".$_SERVER['REMOTE_ADDR']);
		//echo $response;
		$result_captcha = json_decode( $response, true );
		$result_captcha['success'];
		 if($result_captcha['success'] != 1){
			$error_message .=  ' <span class="error-dj-simple-contact-form">'.JText::_('MOD_DJ_EASYCONTACT_WRONG_CAPTCHA').'</span>';
		 }
	 }

  if ($error_message == '') {
    if($email_required == 1){
    	$message_text = JText::_('MOD_DJ_EASYCONTACT_MESSAGE_INFO'). ' ' . $_POST["dj_email"] ."\n\n". $_POST["dj_message"];
    } else{
    	$message_text = $_POST["dj_message"];
    }
    

    $mailSender = &JFactory::getMailer();
    $mailSender->addRecipient($recipient);

    $mailSender->setSender(array($fromEmail,$_POST["dj_name"]));
    $mailSender->addReplyTo(array( $_POST["dj_email"], '' ));

    $mailSender->setSubject($mySubject);
    $mailSender->setBody($message_text);
    if ($mailSender->Send() !== true) {
      $myReplacement = '<span class="error-dj-simple-contact-form">' .JText::_('MOD_DJ_EASYCONTACT_ERROR'). '</span>';
      print $myReplacement;
      return true;
    }
    else {
      $myReplacement = '<span class="message-dj-simple-contact-form">' .JText::_('MOD_DJ_EASYCONTACT_THANK_YOU'). '</span>';
      print $myReplacement;
      return true;
    }
  }
} 



// check recipient
if ($recipient === "") {
  $myReplacement = '<span class="error-dj-simple-contact-form">'.JText::_('MOD_DJ_EASYCONTACT_NO_RECIPIENT').'</span>';
  print $myReplacement;
  return true;
}

print '<div class="dj-simple-contact-form ' . $mod_class_suffix . '"><form action="' . $url . '" method="post">' . "\n";
print '<span class="dj-simple-contact-form-introtext">'.$introtext.'</span>';


if ($error_message != '') {
  print $error_message;
}

print '<div class="dj-simple-contact-form">';

// print name input
print '<div class="dj-simple-contact-form-row name"><input placeholder="'.JText::_('MOD_DJ_EASYCONTACT_NAME_LABEL').'" class="dj-simple-contact-form inputbox ' . $mod_class_suffix . '" type="text" name="dj_name" value="'.$valid_name.'"/></div>' . "\n";

// print email input
if($email_required == 1){
	print '<div class="dj-simple-contact-form-row email"><input placeholder="'.JText::_('MOD_DJ_EASYCONTACT_EMAIL_LABEL').'" class="dj-simple-contact-form inputbox ' . $mod_class_suffix . '" type="text" name="dj_email" value="'.$valid_email.'"/></div>' . "\n";
}

// print message input
if($message_type == 1){
	print '<div class="dj-simple-contact-form-row message"><textarea placeholder="'.$message_label.'" class="dj-simple-contact-form textarea ' . $mod_class_suffix . '" name="dj_message" cols="4" rows="4">'.$valid_message.'</textarea></div>' . "\n";
} else {
	print '<div class="dj-simple-contact-form-row message"></span><input placeholder="'.$message_label.'" class="dj-simple-contact-form inputbox ' . $mod_class_suffix . '" type="text" name="dj_message" value="'.$valid_message.'"/></div>' . "\n";
}

//print anti-spam
if ($enable_anti_spam) {
    print "<div><div class='g-recaptcha' data-sitekey=".$recaptcha_site_key."></div></div>";
}

// print button
print '<div><input class="dj-simple-contact-form button ' . $mod_class_suffix . '" type="submit" value="' .JText::_('MOD_DJ_EASYCONTACT_BUTTON_LABEL'). '" /></div></div></form></div>' . "\n";

if ($enable_anti_spam) { ?>
	<script src='https://www.google.com/recaptcha/api.js'></script>
<?php }

//return true;

 ?>