<?php

/*--------------------------------------------------------------
# Copyright (C) joomla-monster.com
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Website: http://www.joomla-monster.com
# Support: info@joomla-monster.com
---------------------------------------------------------------*/

defined('_JEXEC') or die;

class JMTemplate extends JMFTemplate {
	public function postSetUp() {
		// get columns classes
		$s = $this->getLayoutConfig('#scheme','lcr');
		$l = $this->params->get('columnLeftWidth', $this->defaults->get('columnLeftWidth'));
		$r = $this->params->get('columnRightWidth', $this->defaults->get('columnRightWidth'));
				
		if ((!$this->checkModules('left-column')) && (!$this->checkModules('right-column'))) {
            $c = 12;
			$s = str_replace(array('l','r'), '', $s);
        } else if (($this->checkModules('left-column')) && (!$this->checkModules('right-column'))) {
            $c = 12 - $l;
			$s = str_replace(array('r'), '', $s);
        } else if ((!$this->checkModules('left-column')) && ($this->checkModules('right-column'))) {
            $c = 12 - $r;
			$l = $r; // potrzebne, żeby później nie dublować wyliczeń
			$s = str_replace(array('l'), '', $s);
        } else {
            $c = 12 - $l - $r;
        }
		
		// get classes for columns		
		$class = $this->getColumnClasses($s, $c, $l, $r);
		
		$this->params->set('class', $class);	
		
		$bootstrap_vars = array();
		
		/* Template Layout */
		
		$templatefluidwidth = $this->params->get('JMfluidGridContainerLg', $this->defaults->get('JMfluidGridContainerLg'));
		$bootstrap_vars['JMfluidGridContainerLg'] = $templatefluidwidth;
		
		$gutterwidth = $this->params->get('JMbaseSpace', $this->defaults->get('JMbaseSpace'));
		$bootstrap_vars['JMbaseSpace'] = $gutterwidth;
		
		$offcanvaswidth = $this->params->get('JMoffCanvasWidth', $this->defaults->get('JMoffCanvasWidth'));
		$bootstrap_vars['JMoffCanvasWidth'] = $offcanvaswidth;
		
		
        /* Font Modifications */
        
        //body
        
        $bodyfontsize = (int)$this->params->get('JMbaseFontSize', $this->defaults->get('JMbaseFontSize'));
		$bootstrap_vars['JMbaseFontSize'] = $bodyfontsize.'px';
		
        $bodyfonttype = $this->params->get('bodyFontType', $this->defaults->get('bodyFontType'));
        $bodyfontfamily = $this->params->get('bodyFontFamily', $this->defaults->get('bodyFontFamily')); 
		$bodygooglewebfontfamily = $this->params->get('bodyGoogleWebFontFamily', $this->defaults->get('bodyGoogleWebFontFamily')); 
        $bodygeneratedwebfontfamily = $this->params->get('bodyGeneratedWebFont');

        switch($bodyfonttype) {
            case "0" : {
                $bootstrap_vars['JMbaseFontFamily'] = $bodyfontfamily;
                break;    
            }
        	case "1" :{
                $bootstrap_vars['JMbaseFontFamily'] = $bodygooglewebfontfamily;
                break;
            }
            case "2" :{
            	$bootstrap_vars['JMbaseFontFamily'] = $bodygeneratedwebfontfamily;
            	break;
            }
            default: {
                $bootstrap_vars['JMbaseFontFamily'] = $this->defaults->get('bodyGoogleWebFontFamily');
                break;
            }
       	}
	   
	   	//module title
	   	
	 	$headingsfontsize = (int)$this->params->get('JMmoduleTitleFontSize', $this->defaults->get('JMmoduleTitleFontSize'));
		$bootstrap_vars['JMmoduleTitleFontSize'] = $headingsfontsize.'px';
		
		$headingsfonttype = $this->params->get('headingsFontType', $this->defaults->get('headingsFontType'));
		$headingsfontfamily = $this->params->get('headingsFontFamily', $this->defaults->get('headingsFontFamily')); 
		$headingsgooglewebfontfamily = $this->params->get('headingsGoogleWebFontFamily', $this->defaults->get('headingsGoogleWebFontFamily'));
		$headingsgeneratedwebfontfamily = $this->params->get('headingsGeneratedWebFont');
		
        switch($headingsfonttype) {
            case "0" : {
                $bootstrap_vars['JMmoduleTitleFontFamily'] = $headingsfontfamily;
                break;    
            }
            case "1" :{
                $bootstrap_vars['JMmoduleTitleFontFamily'] = $headingsgooglewebfontfamily;
                break;
            }
            case "2" :{
            	$bootstrap_vars['JMmoduleTitleFontFamily'] = $headingsgeneratedwebfontfamily;
            	break;
            }
            default: {
                $bootstrap_vars['JMmoduleTitleFontFamily'] = $this->defaults->get('headingsGoogleWebFontFamily');
                break;
            }
       	}
		
		//top menu horizontal
		
		$djmenufontsize = (int)$this->params->get('JMtopmenuFontSize', $this->defaults->get('JMtopmenuFontSize'));
		$bootstrap_vars['JMtopmenuFontSize'] = $djmenufontsize.'px';
		
		$djmenufonttype = $this->params->get('djmenuFontType', $this->defaults->get('djmenuFontType'));
		$djmenufontfamily = $this->params->get('djmenuFontFamily', $this->defaults->get('djmenuFontFamily'));
		$djmenugooglewebfontfamily = $this->params->get('djmenuGoogleWebFontFamily', $this->defaults->get('djmenuGoogleWebFontFamily'));
		$djmenugeneratedwebfontfamily = $this->params->get('djmenuGeneratedWebFont');
		
        switch($djmenufonttype) {
            case "0" : {
                $bootstrap_vars['JMtopmenuFontFamily'] = $djmenufontfamily;
                break;    
            }
            case "1" :{
                $bootstrap_vars['JMtopmenuFontFamily'] = $djmenugooglewebfontfamily;
                break;
            }
            case "2" :{
            	$bootstrap_vars['JMtopmenuFontFamily'] = $djmenugeneratedwebfontfamily;
            	break;
            }
            default: {
                $bootstrap_vars['JMtopmenuFontFamily'] = $this->defaults->get('djmenuGoogleWebFontFamily');
                break;
            }
       	}

		//article title
		
		$articlesfontsize = (int)$this->params->get('JMarticleTitleFontSize', $this->defaults->get('JMarticleTitleFontSize'));
		$bootstrap_vars['JMarticleTitleFontSize'] = $articlesfontsize.'px';
		
		$articlesfonttype = $this->params->get('articlesFontType', $this->defaults->get('articlesFontType'));
		$articlesfontfamily = $this->params->get('articlesFontFamily', $this->defaults->get('articlesFontFamily'));
		$articlesgooglewebfontfamily = $this->params->get('articlesGoogleWebFontFamily');
		$articlesgeneratedfontfamily = $this->params->get('articlesGeneratedWebFont');
		
        switch($articlesfonttype) {
            case "0" : {
                $bootstrap_vars['JMarticleTitleFontFamily'] = $articlesfontfamily;
                break;    
            }
            case "1" :{
                $bootstrap_vars['JMarticleTitleFontFamily'] = $articlesgooglewebfontfamily;
                break;
            }
            case "2" :{
            	$bootstrap_vars['JMarticleTitleFontFamily'] = $articlesgeneratedfontfamily;
            	break;
            }
            default: {
                $bootstrap_vars['JMarticleTitleFontFamily'] = $this->defaults->get('articlesFontFamily');
                break;
            }
       	}
		
	    /* Color Modifications */
	    
	    //scheme color
        $colorversion = $this->params->get('JMcolorVersion', $this->defaults->get('JMcolorVersion')); 
		$bootstrap_vars['JMcolorVersion'] = $colorversion;
		
		//scheme images directory
		$imagesdir = $this->params->get('JMimagesDir', 'scheme1');
		$bootstrap_vars['JMimagesDir'] = $imagesdir;
	    
	    //global
        $pagebackground = $this->params->get('JMpageBackground', $this->defaults->get('JMpageBackground')); 
		$bootstrap_vars['JMpageBackground'] = $pagebackground;
		
        $bodyfontcolor = $this->params->get('JMbaseFontColor', $this->defaults->get('JMbaseFontColor')); 
		$bootstrap_vars['JMbaseFontColor'] = $bodyfontcolor;

        $componentborder = $this->params->get('JMcomponentBorder', $this->defaults->get('JMcomponentBorder')); 
		$bootstrap_vars['JMcomponentBorder'] = $componentborder;

        $articlefontcolor = $this->params->get('JMarticleFontColor', $this->defaults->get('JMarticleFontColor')); 
		$bootstrap_vars['JMarticleFontColor'] = $articlefontcolor;
		
		//topbar
        $topbarbackground = $this->params->get('JMtopbarBackground', $this->defaults->get('JMtopbarBackground')); 
		$bootstrap_vars['JMtopbarBackground'] = $topbarbackground;
		
        $topbarfontcolor = $this->params->get('JMtopbarFontColor', $this->defaults->get('JMtopbarFontColor')); 
		$bootstrap_vars['JMtopbarFontColor'] = $topbarfontcolor;
		
		//menubar
        $topmenubackground = $this->params->get('JMtopmenuBackground', $this->defaults->get('JMtopmenuBackground')); 
		$bootstrap_vars['JMtopmenuBackground'] = $topmenubackground;

        $topmenufontcolor = $this->params->get('JMtopmenuFontColor', $this->defaults->get('JMtopmenuFontColor')); 
		$bootstrap_vars['JMtopmenuFontColor'] = $topmenufontcolor;
		
		//header
		$JMheaderBackground = $this->params->get('JMheaderBackground', $this->defaults->get('JMheaderBackground')); 
		$bootstrap_vars['JMheaderBackground'] = $JMheaderBackground;
		
		$JMheaderFontColor = $this->params->get('JMheaderFontColor', $this->defaults->get('JMheaderFontColor')); 
		$bootstrap_vars['JMheaderFontColor'] = $JMheaderFontColor;
		
		//top2
		$JMtop2Background = $this->params->get('JMtop2Background', $this->defaults->get('JMtop2Background')); 
		$bootstrap_vars['JMtop2Background'] = $JMtop2Background;
		
		$JMtop2FontColor = $this->params->get('JMtop2FontColor', $this->defaults->get('JMtop2FontColor')); 
		$bootstrap_vars['JMtop2FontColor'] = $JMtop2FontColor;
		
		//modules
        $modulebackground = $this->params->get('JMmoduleBackground', $this->defaults->get('JMmoduleBackground')); 
		$bootstrap_vars['JMmoduleBackground'] = $modulebackground;

        $moduleborder = $this->params->get('JMmoduleBorder', $this->defaults->get('JMmoduleBorder')); 
		$bootstrap_vars['JMmoduleBorder'] = $moduleborder;
		
        $modulefontcolor = $this->params->get('JMmoduleFontColor', $this->defaults->get('JMmoduleFontColor')); 
		$bootstrap_vars['JMmoduleFontColor'] = $modulefontcolor;

		$JMmoduleTitleFontColor = $this->params->get('JMmoduleTitleFontColor', $this->defaults->get('JMmoduleTitleFontColor')); 
		$bootstrap_vars['JMmoduleTitleFontColor'] = $JMmoduleTitleFontColor;
		//dark-ms
		$JMdarkmsModuleBackground = $this->params->get('JMdarkmsModuleBackground', $this->defaults->get('JMdarkmsModuleBackground')); 
		$bootstrap_vars['JMdarkmsModuleBackground'] = $JMdarkmsModuleBackground;

        $JMdarkmsModuleFontColor = $this->params->get('JMdarkmsModuleFontColor', $this->defaults->get('JMdarkmsModuleFontColor')); 
		$bootstrap_vars['JMdarkmsModuleFontColor'] = $JMdarkmsModuleFontColor;

		$JMdarkmsModuleTitleFontColor = $this->params->get('JMdarkmsModuleTitleFontColor', $this->defaults->get('JMdarkmsModuleTitleFontColor')); 
		$bootstrap_vars['JMdarkmsModuleTitleFontColor'] = $JMdarkmsModuleTitleFontColor;

		//footer
        $footerbackground = $this->params->get('JMfooterBackground', $this->defaults->get('JMfooterBackground')); 
		$bootstrap_vars['JMfooterBackground'] = $footerbackground;
		
        $footerfontcolor = $this->params->get('JMfooterFontColor', $this->defaults->get('JMfooterFontColor')); 
		$bootstrap_vars['JMfooterFontColor'] = $footerfontcolor;
		
		$JMfooterModuleTitle = $this->params->get('JMfooterModuleTitle', $this->defaults->get('JMfooterModuleTitle')); 
		$bootstrap_vars['JMfooterModuleTitle'] = $JMfooterModuleTitle;
		
		//offcanvas
        $offcanvasbackground = $this->params->get('JMoffCanvasBackground', $this->defaults->get('JMoffCanvasBackground')); 
		$bootstrap_vars['JMoffCanvasBackground'] = $offcanvasbackground;
		
        $offcanvasfontcolor = $this->params->get('JMoffCanvasFontColor', $this->defaults->get('JMoffCanvasFontColor')); 
		$bootstrap_vars['JMoffCanvasFontColor'] = $offcanvasfontcolor;		
		
		// -------------------------------------
		// extensions
		// -------------------------------------
		
		$JMsliderTitleFontColor = $this->params->get('JMsliderTitleFontColor', $this->defaults->get('JMsliderTitleFontColor')); 
		$bootstrap_vars['JMsliderTitleFontColor'] = $JMsliderTitleFontColor;
		
        $JMsliderDescFontColor = $this->params->get('JMsliderDescFontColor', $this->defaults->get('JMsliderDescFontColor')); 
		$bootstrap_vars['JMsliderDescFontColor'] = $JMsliderDescFontColor;
		
		$JMsliderDescBackground = $this->params->get('JMsliderDescBackground', $this->defaults->get('JMsliderDescBackground')); 
		$bootstrap_vars['JMsliderDescBackground'] = $JMsliderDescBackground;

		// -------------------------------------

       	$this->params->set('jm_bootstrap_variables', $bootstrap_vars);
        
		/**
		 * List of URLs parts that should be removed/replaced from head
		 * Example: 
		 * 
		 * $urlsToRemove = array(
		        //removing file completely
		        'components/com_djclassifieds/themes/jm-real-estate-ads/css/responsive.css'     => false,
		        
		        // replacing with another css file
		        'templates/jm-dating/css/djmegamenu.css                                         => array('url' => 'new/URL/file.css', 'type' => 'css'),
		        
		        // replacing with LESS file
		        'components/com_djcatalog2/themes/jm-real-estate-ads/css/theme.css'             => array('url' => 'new/URL/file.less', 'type' => 'less')
		    );
		 */
       	
       	//compile less to css
       	
       	// Offline Page
		$this->CompileStyleSheet(JPath::clean(JMF_TPL_PATH.'/less/offline.less'), true); 
       	
		// DJMenu
		$djmenu_css = $this->compileStyleSheet(JPath::clean(JMF_TPL_PATH.'/less/djmenu.less'), true, true);

        $themer = (int)$this->params->get('themermode', 0) == 1 ? true : false;
        $app = JFactory::getApplication();
        if ($themer) {
            $urlsToRemove = array(
            	'templates/'.$app->getTemplate().'/css/djmenu_fx.css' => false,
	            'templates/'.$app->getTemplate().'/css/djmenu.css' => array('url' => 'templates/'.$app->getTemplate().'/less/djmenu.less', 'type' => 'less')
            );
            $app->set('jm_remove_stylesheets', $urlsToRemove);
        } else {
            $urlsToRemove = array(
            	'templates/'.$app->getTemplate().'/css/djmenu_fx.css' => false,
                'templates/'.$app->getTemplate().'/css/djmenu.css' => array('url' => $djmenu_css, 'type' => 'css'),
            );
            $app->set('jm_remove_stylesheets', $urlsToRemove);
        }
    }
}