<?php
/*--------------------------------------------------------------
# Copyright (C) joomla-monster.com
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Website: http://www.joomla-monster.com
# Support: info@joomla-monster.com
---------------------------------------------------------------*/

defined('_JEXEC') or die;

//get logo and site description
$logo = htmlspecialchars($this->params->get('logo'));
$logotext = htmlspecialchars($this->params->get('logoText'));
$sitedescription = htmlspecialchars($this->params->get('siteDescription'));
$app = JFactory::getApplication();
$sitename = $app->getCfg('sitename');

//get top-bar modules grid size
$topbar1span = ($this->checkModules('top-bar2')) ? '6' : '12';
$topbar2span = ($this->checkModules('top-bar1')) ? '6' : '12';

?>

<?php if($this->checkModules('top-bar1') or $this->checkModules('top-bar2')) : ?>
<section id="jm-top-bar" class="<?php echo $this->getClass('block#top-bar') ?>">
	<div class="container-fluid">
		<div class="row-fluid">
			<?php if($this->checkModules('top-bar1')) : ?>
			<div id="jm-top-bar1" class="pull-left <?php echo 'span'.$topbar1span; $this->getClass('top-bar1') ?>">
				<jdoc:include type="modules" name="<?php echo $this->getPosition('top-bar1') ?>" style="jmmoduleraw" />
			</div>
			<?php endif; ?>
			<?php if($this->checkModules('top-bar2')) : ?>
			<div id="jm-top-bar2" class="pull-right <?php echo 'span'.$topbar2span; $this->getClass('top-bar2') ?>">
				<jdoc:include type="modules" name="<?php echo $this->getPosition('top-bar2') ?>" style="jmmoduleraw" />
			</div>
			<?php endif; ?>
		</div>
	</div>
</section>
<?php endif; ?>

<?php if ($this->checkModules('header-bg') OR $this->checkModules('header') OR $this->checkModules('top-menu-nav') OR ($logo != '') OR ($logotext != '') OR ($sitedescription != '')) : ?>
<section id="jm-header-wrapper">

	<?php if ($this->checkModules('top-menu-nav') or ($logo != '') or ($logotext != '') or ($sitedescription != '')) : ?>
	<div id="jm-logo-nav" class="container-fluid">
		<?php if (($logo != '') or ($logotext != '') or ($sitedescription != '')) : ?>
	        <div id="jm-logo-sitedesc" class="pull-left">
	            <?php if (($logo != '') or ($logotext != '')) : ?>
	            <h1 id="jm-logo">
	                <a href="<?php echo JURI::base(); ?>" onfocus="blur()" >
	                    <?php if ($logo != '') : ?>
	                    <img src="<?php echo JURI::base(), $logo; ?>" alt="<?php if(!$logotext) { echo $sitename; } else { echo $logotext; }; ?>" />
	                    <?php else : ?>
	                    <?php echo '<span>'.$logotext.'</span>';?>
	                    <?php endif; ?>
	                </a>
	            </h1>
	            <?php endif; ?>
	            <?php if ($sitedescription != '') : ?>
	            <div id="jm-sitedesc">
	                <?php echo $sitedescription; ?>
	            </div>
	            <?php endif; ?>
	        </div>
        <?php endif; ?>
        <?php if($this->checkModules('top-menu-nav')) : ?>
		<nav id="jm-top-menu-nav" class="pull-right">
			<jdoc:include type="modules" name="<?php echo $this->getPosition('top-menu-nav') ?>" style="jmmoduleraw" />
		</nav>
		<?php endif; ?>
	</div>
	<?php endif; ?>

	<?php if ($this->checkModules('header-bg')) : ?>
	<div id="jm-header-bg">   
	  <jdoc:include type="modules" name="<?php echo $this->getPosition('header-bg'); ?>" style="jmmoduleraw"/>
	</div> 
	<?php endif; ?>
	
	<?php if ($this->checkModules('header')) : ?>
	<div id="jm-header" class="container-fluid <?php echo $this->getClass('block#header') ?>">
	    <div id="jm-header-in" class="clearfix">
	      	<jdoc:include type="modules" name="<?php echo $this->getPosition('header'); ?>" style="jmmodule"/>
	    </div>
	</div>
	<?php endif; ?>

</section>
<?php endif; ?>