SET session wait_timeout=28800;

DROP TABLE IF EXISTS #__akeeba_common;
CREATE TABLE `#__akeeba_common` (
  `key` varchar(255) NOT NULL,
  `value` longtext NOT NULL,
  PRIMARY KEY (`key`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__akeeba_common` VALUES 
('stats_lastrun','1421742254'),
('stats_siteid','7d4b87b94ddca095ef2a9e84ba635af8e4196182'),
('stats_siteurl','95ff4b81668cd8d9ce51fdfdbc86dd4b');

DROP TABLE IF EXISTS #__assets;
CREATE TABLE `#__assets` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set parent.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `level` int(10) unsigned NOT NULL COMMENT 'The cached level in the nested tree.',
  `name` varchar(50) NOT NULL COMMENT 'The unique name for the asset.\n',
  `title` varchar(100) NOT NULL COMMENT 'The descriptive title for the asset.',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_asset_name` (`name`),
  KEY `idx_lft_rgt` (`lft`,`rgt`),
  KEY `idx_parent_id` (`parent_id`)
) AUTO_INCREMENT=426 DEFAULT CHARSET=utf8;

INSERT INTO `#__assets` VALUES 
(1,0,1,487,0,'root.1','Root Asset','{"core.login.site":{"6":1,"2":1},"core.login.admin":{"6":1},"core.login.offline":[],"core.admin":{"8":1},"core.manage":{"7":1},"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(2,1,2,3,1,'com_admin','com_admin','{}'),
(3,1,4,7,1,'com_banners','com_banners','{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(4,1,8,9,1,'com_cache','com_cache','{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(5,1,10,11,1,'com_checkin','com_checkin','{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(6,1,12,13,1,'com_config','com_config','{}'),
(7,1,14,21,1,'com_contact','com_contact','{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(8,1,22,149,1,'com_content','com_content','{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1},"core.edit.own":[]}'),
(9,1,150,151,1,'com_cpanel','com_cpanel','{}'),
(10,1,152,153,1,'com_installer','com_installer','{"core.admin":[],"core.manage":{"7":0},"core.delete":{"7":0},"core.edit.state":{"7":0}}'),
(11,1,154,155,1,'com_languages','com_languages','{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(12,1,156,157,1,'com_login','com_login','{}'),
(13,1,158,159,1,'com_mailto','com_mailto','{}'),
(14,1,160,161,1,'com_massmail','com_massmail','{}'),
(15,1,162,163,1,'com_media','com_media','{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.delete":{"5":1},"core.edit":[],"core.edit.state":[]}'),
(16,1,164,165,1,'com_menus','com_menus','{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(18,1,168,305,1,'com_modules','com_modules','{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(19,1,306,311,1,'com_newsfeeds','com_newsfeeds','{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(20,1,312,313,1,'com_plugins','com_plugins','{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(21,1,314,315,1,'com_redirect','com_redirect','{"core.admin":{"7":1},"core.manage":[]}'),
(22,1,316,317,1,'com_search','com_search','{"core.admin":{"7":1},"core.manage":{"6":1}}'),
(23,1,318,319,1,'com_templates','com_templates','{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(24,1,320,323,1,'com_users','com_users','{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(25,1,324,331,1,'com_weblinks','com_weblinks','{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1,"10":0,"12":0},"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1}}'),
(26,1,332,333,1,'com_wrapper','com_wrapper','{}'),
(33,1,394,395,1,'com_finder','com_finder','{"core.admin":{"7":1},"core.manage":{"6":1}}'),
(34,8,39,42,2,'com_content.category.9','Uncategorised','{"core.create":{"10":0,"12":0},"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(100,8,45,46,2,'com_content.category.71','Milky Way','{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(169,24,321,322,2,'com_users.category.77','Uncategorised',''),
(173,1,396,397,1,'com_joomlaupdate','com_joomlaupdate','{"core.admin":[],"core.manage":[],"core.delete":[],"core.edit.state":[]}'),
(174,1,398,399,1,'com_tags','com_tags','{"core.admin":{"8":1},"core.manage":{"7":1},"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(175,1,400,401,1,'com_contenthistory','com_contenthistory','{}'),
(176,1,402,403,1,'com_ajax','com_ajax','{}'),
(177,1,403,404,1,'com_postinstall','com_postinstall','{}'),
(179,1,405,406,1,'#__ucm_content.3','#__ucm_content.3','[]'),
(181,8,49,70,2,'com_content.category.78','JM-Sample-Data','{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(182,181,50,51,3,'com_content.article.73','Subpage','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(183,18,169,170,2,'com_modules.module.98','DJ-Menu','{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(184,18,171,172,2,'com_modules.module.99','Top-Bar1','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(186,18,173,174,2,'com_modules.module.101','Header','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(187,18,175,176,2,'com_modules.module.102','Top1-1','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(188,18,177,178,2,'com_modules.module.103','Top1-2','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(189,18,179,180,2,'com_modules.module.104','Top1-3','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(190,18,181,182,2,'com_modules.module.105','Top1-4','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(191,18,183,184,2,'com_modules.module.106','Top2-1','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(192,18,185,186,2,'com_modules.module.107','Top2-2','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(193,18,187,188,2,'com_modules.module.108','Top2-3','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(194,18,189,190,2,'com_modules.module.109','Top2-4','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(195,18,191,192,2,'com_modules.module.110','Content-Top','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(196,18,193,194,2,'com_modules.module.111','Content-Bottom','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}');
INSERT INTO `#__assets` VALUES 
(197,18,195,196,2,'com_modules.module.112','Left-Column','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(198,18,197,198,2,'com_modules.module.113','Left-Column','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(199,18,199,200,2,'com_modules.module.114','Left-Column','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(203,18,201,202,2,'com_modules.module.118','Right-Column','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(204,18,203,204,2,'com_modules.module.119','Right-Column','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(205,18,205,206,2,'com_modules.module.120','Right-Column','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(209,18,207,208,2,'com_modules.module.124','Bottom1-1','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(210,18,209,210,2,'com_modules.module.125','Bottom1-2','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(211,18,211,212,2,'com_modules.module.126','Bottom1-3','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(212,18,213,214,2,'com_modules.module.127','Bottom1-4','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(213,18,215,216,2,'com_modules.module.128','Bottom2-1','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(214,18,217,218,2,'com_modules.module.129','Bottom2-2','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(215,18,219,220,2,'com_modules.module.130','Bottom2-3','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(216,18,221,222,2,'com_modules.module.131','Bottom2-4','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(217,18,223,224,2,'com_modules.module.132','Footer-Mod','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(218,18,225,226,2,'com_modules.module.133','Footer-Mod','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(219,18,227,228,2,'com_modules.module.134','Footer-Mod','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(220,18,229,230,2,'com_modules.module.135','Footer-Mod','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(221,18,231,232,2,'com_modules.module.136','Copyrights','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(222,18,233,234,2,'com_modules.module.17','Breadcrumbs','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(223,18,235,236,2,'com_modules.module.87','All Front End  Views','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(224,18,237,238,2,'com_modules.module.88','All Modules','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(225,18,239,240,2,'com_modules.module.44','Top-bar Login','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(228,18,241,242,2,'com_modules.module.23','A Deep Menu','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(234,18,243,244,2,'com_modules.module.137','Top-bar Contact','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(240,1,407,424,1,'com_djimageslider','com_djimageslider','{}'),
(241,18,245,246,2,'com_modules.module.138','Latest Projects','{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(242,240,408,409,2,'com_djimageslider.category.80','Header','{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(243,240,410,411,2,'com_djimageslider.category.81','Projects','{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(251,240,412,413,2,'com_djimageslider.category.82','Testimonials','{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(272,18,247,248,2,'com_modules.module.146','Popular Articles','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(273,18,249,250,2,'com_modules.module.147','Tags','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(274,18,251,252,2,'com_modules.module.148','Latest News','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(275,18,253,254,2,'com_modules.module.149','Stay Connected','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(276,181,52,53,3,'com_content.article.87','Typography','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(286,8,71,106,2,'com_content.category.83','Blog','{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(287,315,83,84,4,'com_content.article.96','Lorem Ipsum','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(288,1,425,426,1,'#__ucm_content.4','#__ucm_content.4','[]'),
(289,317,95,96,4,'com_content.article.97','Consectetur Adipisc','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(290,1,427,428,1,'#__ucm_content.5','#__ucm_content.5','[]'),
(291,316,91,92,4,'com_content.article.98','Nulla Scelerisque','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(292,1,429,430,1,'#__ucm_content.6','#__ucm_content.6','[]'),
(293,316,89,90,4,'com_content.article.99','Aliquam Feugiat','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(294,1,431,432,1,'#__ucm_content.7','#__ucm_content.7','[]'),
(295,317,97,98,4,'com_content.article.100','Praesent Vehicula','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(296,1,433,434,1,'#__ucm_content.8','#__ucm_content.8','[]'),
(297,318,101,102,4,'com_content.article.101','Malesuada Ultricies','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(298,1,435,436,1,'#__ucm_content.9','#__ucm_content.9','[]'),
(299,315,85,86,4,'com_content.article.102','Nunc Placerat','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(300,1,437,438,1,'#__ucm_content.10','#__ucm_content.10','[]');
INSERT INTO `#__assets` VALUES 
(301,318,103,104,4,'com_content.article.103','Quisque Vestibulum','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(302,1,439,440,1,'#__ucm_content.11','#__ucm_content.11','[]'),
(303,18,255,256,2,'com_modules.module.150','Latest News','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(304,18,257,258,2,'com_modules.module.151','Blog Archive','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(305,286,72,73,3,'com_content.article.104','Cras Eleifend','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(306,1,441,442,1,'#__ucm_content.12','#__ucm_content.12','[]'),
(307,286,74,75,3,'com_content.article.105','Fusce Eu Risus','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(308,1,443,444,1,'#__ucm_content.13','#__ucm_content.13','[]'),
(309,286,76,77,3,'com_content.article.106','Pretium Pellentesque','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(310,1,445,446,1,'#__ucm_content.14','#__ucm_content.14','[]'),
(311,286,78,79,3,'com_content.article.107','Volutpat Vehicula','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(312,1,447,448,1,'#__ucm_content.15','#__ucm_content.15','[]'),
(313,286,80,81,3,'com_content.article.108','Auctor Justo','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(314,1,449,450,1,'#__ucm_content.16','#__ucm_content.16','[]'),
(315,286,82,87,3,'com_content.category.84','Blog Category 1','{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(316,286,88,93,3,'com_content.category.85','Blog Category 2','{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(317,286,94,99,3,'com_content.category.86','Blog Category 3','{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(318,286,100,105,3,'com_content.category.87','Blog Category 4','{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(319,18,259,260,2,'com_modules.module.152','Categories','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(320,8,107,112,2,'com_content.category.88','Newsflash','{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(321,320,108,109,3,'com_content.article.109','Lorem Ipsum','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(322,1,451,452,1,'#__ucm_content.17','#__ucm_content.17','[]'),
(323,320,110,111,3,'com_content.article.110','Praesent Vehicula','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(324,1,453,454,1,'#__ucm_content.18','#__ucm_content.18','[]'),
(325,18,261,262,2,'com_modules.module.153','Main Menu','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(326,7,19,20,2,'com_contact.category.89','Contact Category','{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(327,18,263,264,2,'com_modules.module.154','Map','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(328,181,54,55,3,'com_content.article.111','Single Article','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(329,181,56,57,3,'com_content.article.112','Tabs','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(330,18,265,266,2,'com_modules.module.155','Content Component','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(331,18,267,268,2,'com_modules.module.156','User Component','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(332,18,269,270,2,'com_modules.module.157','Search Component','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(333,18,271,272,2,'com_modules.module.158','Contact Component','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(334,8,113,130,2,'com_content.category.90','List','{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(335,334,114,115,3,'com_content.article.113','Quisque Vestibulum',''),
(336,1,455,456,1,'#__ucm_content.19','#__ucm_content.19','[]'),
(337,334,116,117,3,'com_content.article.114','Nunc Placerat','{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(338,1,457,458,1,'#__ucm_content.20','#__ucm_content.20','[]'),
(339,334,118,119,3,'com_content.article.115','Malesuada Ultricies','{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(340,1,459,460,1,'#__ucm_content.21','#__ucm_content.21','[]'),
(341,334,120,121,3,'com_content.article.116','Praesent Vehicula',''),
(342,1,461,462,1,'#__ucm_content.22','#__ucm_content.22','[]'),
(343,334,122,123,3,'com_content.article.117','Aliquam Feugiat',''),
(344,1,463,464,1,'#__ucm_content.23','#__ucm_content.23','[]'),
(345,334,124,125,3,'com_content.article.118','Nulla Scelerisque','{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(346,1,465,466,1,'#__ucm_content.24','#__ucm_content.24','[]'),
(347,334,126,127,3,'com_content.article.119','Consectetur Adipisc','{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(348,1,467,468,1,'#__ucm_content.25','#__ucm_content.25','[]'),
(349,334,128,129,3,'com_content.article.120','Lorem Ipsum','{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(350,1,469,470,1,'#__ucm_content.26','#__ucm_content.26','[]');
INSERT INTO `#__assets` VALUES 
(351,181,58,59,3,'com_content.article.121','Module Suffixes','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(353,18,273,274,2,'com_modules.module.160','Popular Tags','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(356,240,414,415,2,'com_djimageslider.category.91','Header Culinary','{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(360,240,416,417,2,'com_djimageslider.category.92','Dishes','{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(362,8,131,148,2,'com_content.category.93','Recipes','{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(363,362,132,133,3,'com_content.article.122','Vestibulum','{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(364,1,471,472,1,'#__ucm_content.27','#__ucm_content.27','[]'),
(365,362,134,135,3,'com_content.article.123','Nunc Placerat','{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(366,1,473,474,1,'#__ucm_content.28','#__ucm_content.28','[]'),
(367,362,136,137,3,'com_content.article.124','Males Ultricies','{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(368,1,475,476,1,'#__ucm_content.29','#__ucm_content.29','[]'),
(369,362,138,139,3,'com_content.article.125','Praesent Vehicula','{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(370,1,477,478,1,'#__ucm_content.30','#__ucm_content.30','[]'),
(371,362,140,141,3,'com_content.article.126','Aliquam Feugiat','{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(372,1,479,480,1,'#__ucm_content.31','#__ucm_content.31','[]'),
(373,362,142,143,3,'com_content.article.127','Nulla Scelerisque','{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(374,1,481,482,1,'#__ucm_content.32','#__ucm_content.32','[]'),
(375,362,144,145,3,'com_content.article.128','Consec Adipisc','{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(376,1,483,484,1,'#__ucm_content.33','#__ucm_content.33','[]'),
(377,362,146,147,3,'com_content.article.129','Lorem Ipsum','{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(378,1,485,486,1,'#__ucm_content.34','#__ucm_content.34','[]'),
(384,240,418,419,2,'com_djimageslider.category.94','Header Dental','{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(391,240,420,421,2,'com_djimageslider.category.95','Testimonials Dental','{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(393,240,422,423,2,'com_djimageslider.category.96','Services','{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(395,181,60,61,3,'com_content.article.130','All Template Positions','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(396,181,62,63,3,'com_content.article.131','Error 404','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(397,18,275,276,2,'com_modules.module.179','Search on Error 404 page','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(398,181,64,65,3,'com_content.article.132','Offline Page','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(399,181,66,67,3,'com_content.article.133','Examples','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(400,18,277,278,2,'com_modules.module.180','Offcanvas Button','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(402,18,279,280,2,'com_modules.module.182','Tags','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(403,18,281,282,2,'com_modules.module.183','Main Menu','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(404,18,283,284,2,'com_modules.module.184','Offcanvas Info','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(405,19,309,310,2,'com_newsfeeds.category.97','JMSampleData','{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(407,18,285,286,2,'com_modules.module.186','Header Background','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(408,18,287,288,2,'com_modules.module.187','Residential Solutions','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(409,18,289,290,2,'com_modules.module.188','Business Solutions','{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(410,181,68,69,3,'com_content.article.134','Home','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(411,18,291,292,2,'com_modules.module.189','Header Background 2','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(412,18,293,294,2,'com_modules.module.190','Header Custom HTML','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(413,34,40,41,3,'com_content.article.135','Pricing Tables','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(415,18,295,296,2,'com_modules.module.192','Top1-1','{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(416,18,297,298,2,'com_modules.module.193','Top1-2','{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(417,18,299,300,2,'com_modules.module.194','Top1-3','{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(418,18,301,302,2,'com_modules.module.195','Top1-4','{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(425,18,303,304,2,'com_modules.module.201','We will call you back','{"core.delete":[],"core.edit":[],"core.edit.state":[]}');

DROP TABLE IF EXISTS #__associations;
CREATE TABLE `#__associations` (
  `id` int(11) NOT NULL COMMENT 'A reference to the associated item.',
  `context` varchar(50) NOT NULL COMMENT 'The context of the associated item.',
  `key` char(32) NOT NULL COMMENT 'The key for the association computed from an md5 on associated ids.',
  PRIMARY KEY (`context`,`id`),
  KEY `idx_key` (`key`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__banner_clients;
CREATE TABLE `#__banner_clients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `contact` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `extrainfo` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `metakey` text NOT NULL,
  `own_prefix` tinyint(4) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  PRIMARY KEY (`id`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__banner_tracks;
CREATE TABLE `#__banner_tracks` (
  `track_date` datetime NOT NULL,
  `track_type` int(10) unsigned NOT NULL,
  `banner_id` int(10) unsigned NOT NULL,
  `count` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`track_date`,`track_type`,`banner_id`),
  KEY `idx_track_date` (`track_date`),
  KEY `idx_track_type` (`track_type`),
  KEY `idx_banner_id` (`banner_id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__banners;
CREATE TABLE `#__banners` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `imptotal` int(11) NOT NULL DEFAULT '0',
  `impmade` int(11) NOT NULL DEFAULT '0',
  `clicks` int(11) NOT NULL DEFAULT '0',
  `clickurl` varchar(200) NOT NULL DEFAULT '',
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `description` text NOT NULL,
  `custombannercode` varchar(2048) NOT NULL,
  `sticky` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `params` text NOT NULL,
  `own_prefix` tinyint(1) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reset` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `language` char(7) NOT NULL DEFAULT '',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `idx_state` (`state`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`),
  KEY `idx_banner_catid` (`catid`),
  KEY `idx_language` (`language`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__categories;
CREATE TABLE `#__categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) unsigned NOT NULL DEFAULT '0',
  `path` varchar(255) NOT NULL DEFAULT '',
  `extension` varchar(50) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `cat_idx` (`extension`,`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_language` (`language`)
) AUTO_INCREMENT=98 DEFAULT CHARSET=utf8;

INSERT INTO `#__categories` VALUES 
(1,0,0,0,43,0,'','system','ROOT','root','','',1,0,'0000-00-00 00:00:00',1,'{}','','','',56,'2011-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),
(9,34,1,1,2,1,'uncategorised','com_content','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'{"target":"","image":""}','','','{"page_title":"","author":"","robots":""}',56,'2011-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),
(77,169,1,3,4,1,'uncategorised','com_users','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'{"target":"","image":""}','','','{"page_title":"","author":"","robots":""}',56,'2011-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),
(78,181,1,5,6,1,'jm-sample-data','com_content','JM-Sample-Data','jm-sample-data','','',1,0,'0000-00-00 00:00:00',1,'{"category_layout":"","image":""}','','','{"author":"","robots":""}',56,'2014-04-28 14:33:56',0,'0000-00-00 00:00:00',0,'*',1),
(80,242,1,7,8,1,'header','com_djimageslider','Header','header','','',1,0,'0000-00-00 00:00:00',1,'{"category_layout":"","image":""}','','','{"author":"","robots":""}',56,'2014-05-09 08:29:10',0,'0000-00-00 00:00:00',0,'*',1),
(81,243,1,9,10,1,'projects','com_djimageslider','Projects','projects','','',1,0,'0000-00-00 00:00:00',1,'{"category_layout":"","image":""}','','','{"author":"","robots":""}',56,'2014-05-09 08:29:19',0,'0000-00-00 00:00:00',0,'*',1),
(82,251,1,11,12,1,'testimonials','com_djimageslider','Testimonials','testimonials','','',-2,0,'0000-00-00 00:00:00',1,'{"category_layout":"","image":""}','','','{"author":"","robots":""}',56,'2014-05-11 13:20:38',0,'0000-00-00 00:00:00',0,'*',1),
(83,286,1,13,22,1,'blog','com_content','Blog','blog','','',1,0,'0000-00-00 00:00:00',1,'{"category_layout":"","image":""}','','','{"author":"","robots":""}',56,'2014-05-15 12:32:13',0,'0000-00-00 00:00:00',0,'*',1),
(84,315,83,14,15,2,'blog/blog-category-1','com_content','Blog Category 1','blog-category-1','','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</p>',1,0,'0000-00-00 00:00:00',1,'{"category_layout":"","image":""}','','','{"author":"","robots":""}',56,'2014-05-15 13:46:25',800,'2014-07-07 14:16:47',0,'*',1),
(85,316,83,16,17,2,'blog/blog-category-2','com_content','Blog Category 2','blog-category-2','','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</p>',1,0,'0000-00-00 00:00:00',1,'{"category_layout":"","image":""}','','','{"author":"","robots":""}',56,'2014-05-15 13:46:29',800,'2014-07-07 14:16:57',0,'*',1),
(86,317,83,18,19,2,'blog/blog-category-3','com_content','Blog Category 3','blog-category-3','','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</p>',1,0,'0000-00-00 00:00:00',1,'{"category_layout":"","image":""}','','','{"author":"","robots":""}',56,'2014-05-15 13:46:41',800,'2014-07-07 14:17:07',0,'*',1),
(87,318,83,20,21,2,'blog/blog-category-4','com_content','Blog Category 4','blog-category-4','','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</p>',1,0,'0000-00-00 00:00:00',1,'{"category_layout":"","image":""}','','','{"author":"","robots":""}',56,'2014-05-15 13:46:53',800,'2014-07-07 14:17:16',0,'*',1),
(88,320,1,23,24,1,'newsflash','com_content','Newsflash','newsflash','','',1,0,'0000-00-00 00:00:00',1,'{"category_layout":"","image":""}','','','{"author":"","robots":""}',56,'2014-05-15 14:00:02',0,'0000-00-00 00:00:00',0,'*',1),
(89,326,1,25,26,1,'contact-category','com_contact','Contact Category','contact-category','','',1,0,'0000-00-00 00:00:00',1,'{"category_layout":"","image":""}','','','{"author":"","robots":""}',56,'2014-05-15 14:24:12',0,'0000-00-00 00:00:00',0,'*',1),
(90,334,1,27,28,1,'list','com_content','List','list','','',1,0,'0000-00-00 00:00:00',1,'{"category_layout":"","image":""}','','','{"author":"","robots":""}',56,'2014-06-24 15:32:40',0,'0000-00-00 00:00:00',0,'*',1),
(91,356,1,29,30,1,'header-culinary','com_djimageslider','Header Culinary','header-culinary','','',-2,0,'0000-00-00 00:00:00',1,'{"category_layout":"","image":""}','','','{"author":"","robots":""}',56,'2014-07-08 10:45:52',0,'0000-00-00 00:00:00',0,'*',1),
(92,360,1,31,32,1,'dishes','com_djimageslider','Dishes','dishes','','',-2,0,'0000-00-00 00:00:00',1,'{"category_layout":"","image":""}','','','{"author":"","robots":""}',56,'2014-07-08 12:49:24',0,'0000-00-00 00:00:00',0,'*',1),
(93,362,1,33,34,1,'recipes','com_content','Recipes','recipes','','',1,0,'0000-00-00 00:00:00',1,'{"category_layout":"","image":""}','','','{"author":"","robots":""}',56,'2014-07-08 13:08:18',0,'0000-00-00 00:00:00',0,'*',1),
(94,384,1,35,36,1,'header-dental','com_djimageslider','Header Dental','header-dental','','',-2,0,'0000-00-00 00:00:00',1,'{"category_layout":"","image":""}','','','{"author":"","robots":""}',56,'2014-09-04 12:30:34',0,'0000-00-00 00:00:00',0,'*',1),
(95,391,1,37,38,1,'testimonials-dental','com_djimageslider','Testimonials Dental','testimonials-dental','','',-2,0,'0000-00-00 00:00:00',1,'{"category_layout":"","image":""}','','','{"author":"","robots":""}',56,'2014-09-04 15:13:15',0,'0000-00-00 00:00:00',0,'*',1),
(96,393,1,39,40,1,'services','com_djimageslider','Services','services','','',-2,0,'0000-00-00 00:00:00',1,'{"category_layout":"","image":""}','','','{"author":"","robots":""}',56,'2014-09-05 14:29:13',0,'0000-00-00 00:00:00',0,'*',1),
(97,405,1,41,42,1,'jmsampledata','com_newsfeeds','JMSampleData','jmsampledata','','',1,0,'0000-00-00 00:00:00',1,'{"category_layout":"","image":""}','','','{"author":"","robots":""}',56,'2014-11-28 12:55:32',0,'0000-00-00 00:00:00',0,'*',1);

DROP TABLE IF EXISTS #__contact_details;
CREATE TABLE `#__contact_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `con_position` varchar(255) DEFAULT NULL,
  `address` text,
  `suburb` varchar(100) DEFAULT NULL,
  `state` varchar(100) DEFAULT NULL,
  `country` varchar(100) DEFAULT NULL,
  `postcode` varchar(100) DEFAULT NULL,
  `telephone` varchar(255) DEFAULT NULL,
  `fax` varchar(255) DEFAULT NULL,
  `misc` mediumtext,
  `image` varchar(255) DEFAULT NULL,
  `email_to` varchar(255) DEFAULT NULL,
  `default_con` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `catid` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `mobile` varchar(255) NOT NULL DEFAULT '',
  `webpage` varchar(255) NOT NULL DEFAULT '',
  `sortname1` varchar(255) NOT NULL,
  `sortname2` varchar(255) NOT NULL,
  `sortname3` varchar(255) NOT NULL,
  `language` char(7) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

INSERT INTO `#__contact_details` VALUES 
(9,'Contact','contact','','7 Green Lane','Peterborough','','United Kingdom','PE13BA','0 123 456 789','','','','templates@joomla-monster.com',0,1,0,'0000-00-00 00:00:00',3,'{"show_contact_category":"hide","show_contact_list":"0","presentation_style":"plain","show_tags":"0","show_name":"0","show_position":"0","show_email":"","show_street_address":"","show_suburb":"","show_state":"0","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"0","show_fax":"0","show_webpage":"0","show_misc":"0","show_image":"0","allow_vcard":"0","show_articles":"0","show_profile":"0","show_links":"0","linka_name":"","linka":false,"linkb_name":"","linkb":false,"linkc_name":"","linkc":false,"linkd_name":"","linkd":false,"linke_name":"","linke":"","contact_layout":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}',0,89,1,'','','','','','*','2014-05-15 14:25:32',56,'','2014-05-15 14:29:19',164,'','','{"robots":"","rights":""}',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00',3,95),
(10,'Contact 2','contact-2','','7 Green Lane','Peterborough','','United Kingdom','PE13BA','0 123 456 789','','<p><span class="contact-misc">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar. Fusce felis ante, pulvinar ac metus et, adipiscing consequat lectus. Integer quam nibh, varius nec lacus elementum, bibendum posuere ante. Mauris vehicula, nunc quis aliquet tincidunt, massa arcu eleifend velit, posuere gravida nisl mi et magna.</span></p>','','templates@joomla-monster.com',0,1,0,'0000-00-00 00:00:00',4,'{"show_contact_category":"hide","show_contact_list":"0","presentation_style":"sliders","show_tags":"0","show_name":"0","show_position":"0","show_email":"","show_street_address":"","show_suburb":"","show_state":"0","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"0","show_fax":"0","show_webpage":"0","show_misc":"","show_image":"0","allow_vcard":"0","show_articles":"0","show_profile":"0","show_links":"1","linka_name":"Facebook","linka":"https:\\/\\/www.facebook.com\\/JoomlaMonster","linkb_name":"Twitter","linkb":"https:\\/\\/twitter.com\\/Joomlamonster","linkc_name":"Google Plus","linkc":"https:\\/\\/plus.google.com\\/+Joomlamonstercom\\/posts","linkd_name":"","linkd":false,"linke_name":"","linke":"","contact_layout":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}',0,89,1,'','','','','','*','2014-06-24 15:03:23',56,'','2014-06-24 15:07:22',800,'','','{"robots":"","rights":""}',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00',4,12);

DROP TABLE IF EXISTS #__content;
CREATE TABLE `#__content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `attribs` varchar(5120) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `language` char(7) NOT NULL COMMENT 'The language code for the article.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) AUTO_INCREMENT=136 DEFAULT CHARSET=utf8;

INSERT INTO `#__content` VALUES 
(73,182,'Subpage','subpage','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor.</p>\r\n<p>Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris. Maecenas eu iaculis tortor, ac volutpat ipsum. In eget lacus erat.</p>\r\n<p>Nullam nec magna tellus. Vestibulum rutrum velit et nulla tristique, ac sodales risus tempor. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor.</p>\r\n<p>Phasellus sed nisi ut nibh accumsan commodo sed a libero. In ut semper felis, a vestibulum mi. Ut et lacus lectus. Vivamus tempus erat et augue bibendum posuere. In mauris metus, ultrices vel vulputate nec, dictum eget nulla. Etiam ac est metus.</p>\r\n<p>Mauris at orci pretium, congue erat vel, vulputate eros. In posuere venenatis lacinia. Mauris aliquam faucibus velit, vitae cursus tellus aliquam vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor.</p>\r\n<p>Cras sodales justo eu felis viverra, sit amet semper quam vehicula.</p>','',1,78,'2014-04-28 14:34:25',56,'','2015-01-16 12:14:33',56,0,'0000-00-00 00:00:00','2014-04-28 14:34:25','0000-00-00 00:00:00','{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',12,9,'','',1,4839,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(87,276,'Typography','typography','<h3 class="jm-typo-title">Image Borders</h3>\r\n<div class="row-fluid">\r\n<div class="span4">\r\n<pre>&lt;img class="img-rounded" src="image.jpg" /&gt;</pre>\r\n<div style="text-align: center;"><img class="img-rounded" src="images/bootstrap_sample/sample140x140.png" alt="Typography" border="0" /></div>\r\n<p></p>\r\n</div>\r\n<div class="span4">\r\n<pre>&lt;img class="img-circle" src="image.jpg" /&gt;</pre>\r\n<div style="text-align: center;"><img class="img-circle" src="images/bootstrap_sample/sample140x140.png" alt="Typography" border="0" /></div>\r\n<p></p>\r\n</div>\r\n<div class="span4">\r\n<pre>&lt;img class="img-polaroid" src="image.jpg" /&gt;</pre>\r\n<div style="text-align: center;"><img class="img-polaroid" src="images/bootstrap_sample/sample140x140.png" alt="Typography" border="0" /></div>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Headings</h3>\r\n<div class="row-fluid">\r\n<div class="span6">\r\n<h1>This is Heading One (h1)</h1>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.</p>\r\n<br />\r\n<h2>This is Heading Two (h2)</h2>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.</p>\r\n<br />\r\n<h3>This is Heading Three (h3)</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.</p>\r\n</div>\r\n<div class="span6">\r\n<h4>This is Heading Four (h4)</h4>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.</p>\r\n<br />\r\n<h5>This is Heading Five (h5)</h5>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.</p>\r\n<br />\r\n<h6>This is Heading Six (h6)</h6>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.</p>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Numered blocks</h3>\r\n<div class="row-fluid">\r\n<div class="span6">\r\n<pre>&lt;p class="jm-block"&gt;&lt;span class="jm"&gt;01&lt;/span&gt;Text goes here&lt;/p&gt;</pre>\r\n<p class="jm-block"><span class="jm">01</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.</p>\r\n<p class="jm-block"><span class="jm">02</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.</p>\r\n<p class="jm-block"><span class="jm">03</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.</p>\r\n</div>\r\n<div class="span6">\r\n<pre>&lt;p class="jm-block second"&gt;&lt;span class="jm"&gt;a&lt;/span&gt;Text goes here&lt;/p&gt;</pre>\r\n<p class="jm-block second"><span class="jm">a</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.</p>\r\n<p class="jm-block second"><span class="jm">b</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.</p>\r\n<p class="jm-block second"><span class="jm">c</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.</p>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Colored Blocks</h3>\r\n<div class="row-fluid">\r\n<div class="span6">\r\n<div class="alert">&lt;div class="alert"&gt;Text goes here&lt;/div&gt;</div>\r\n<div class="alert alert-error">&lt;div class="alert alert-error"&gt;Text goes here&lt;/div&gt;</div>\r\n</div>\r\n<div class="span6">\r\n<div class="alert alert-success">&lt;div class="alert alert-success"&gt;Text goes here&lt;/div&gt;</div>\r\n<div class="alert alert-info">&lt;div class="alert alert-info"&gt;Text goes here&lt;/div&gt;</div>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Icon blocks</h3>\r\n<div class="row-fluid">\r\n<div class="span6">\r\n<p class="jm-badge">&lt;p class="jm-badge" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-calendar">&lt;p class="jm-calendar" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-chat">&lt;p class="jm-chat" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-check">&lt;p class="jm-check" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-cloud">&lt;p class="jm-cloud" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-direction">&lt;p class="jm-direction" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-divide">&lt;p class="jm-divide" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-error">&lt;p class="jm-error" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-fire">&lt;p class="jm-fire" &gt;Text goes here&lt;/p&gt;</p>\r\n</div>\r\n<div class="span6">\r\n<p class="jm-flag">&lt;p class="jm-flag" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-heart">&lt;p class="jm-heart" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-home">&lt;p class="jm-home" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-info">&lt;p class="jm-info" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-list">&lt;p class="jm-list" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-mail">&lt;p class="jm-mail" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-people">&lt;p class="jm-people" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-star">&lt;p class="jm-star" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-stat">&lt;p class="jm-stat" &gt;Text goes here&lt;/p&gt;</p>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Blockquote</h3>\r\n<div class="row-fluid">\r\n<div class="span12">\r\n<pre>&lt;blockquote&gt;<br />&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;/p&gt;<br />&lt;small&gt;John Doe&lt;/small&gt;<br />&lt;/blockquote&gt;</pre>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>John Doe</small></blockquote>\r\n</div>\r\n<div class="span12">\r\n<pre>&lt;blockquote class="pull-right"&gt;<br />&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;/p&gt;<br />&lt;small&gt;John Doe&lt;/small&gt;<br />&lt;/blockquote&gt;</pre>\r\n<blockquote class="pull-right">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>John Doe</small></blockquote>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Unordered lists</h3>\r\n<div class="row-fluid" style="margin-bottom: 30px;">\r\n<div class="span4">\r\n<pre>&lt;ul&gt;<br />&lt;-- list goes here --&gt;<br />&lt;/ul&gt;</pre>\r\n<ul>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ul>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ul>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n</ul>\r\n</li>\r\n</ul>\r\n</li>\r\n</ul>\r\n</div>\r\n<div class="span4">\r\n<pre>&lt;ul class="jm-color-list"&gt;<br />&lt;-- list goes here --&gt;<br />&lt;/ul&gt;</pre>\r\n<ul class="jm-color-list">\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ul>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ul>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n</ul>\r\n</li>\r\n</ul>\r\n</li>\r\n</ul>\r\n</div>\r\n<div class="span4">\r\n<pre>&lt;ul class="jm-light-list"&gt;<br />&lt;-- list goes here --&gt;<br />&lt;/ul&gt;</pre>\r\n<ul class="jm-light-list">\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ul>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ul>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n</ul>\r\n</li>\r\n</ul>\r\n</li>\r\n</ul>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Ordered lists</h3>\r\n<div class="row-fluid">\r\n<div class="span4">\r\n<pre>&lt;ol&gt;<br />&lt;-- list goes here --&gt;<br />&lt;/ol&gt;</pre>\r\n<ol>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ol>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ol>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n</ol>\r\n</li>\r\n</ol>\r\n</li>\r\n</ol>\r\n</div>\r\n<div class="span4">\r\n<pre>&lt;ol class="jm-roman"&gt;<br />&lt;-- list goes here --&gt;<br />&lt;/ol&gt;</pre>\r\n<ol class="jm-roman">\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ol>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ol>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n</ol>\r\n</li>\r\n</ol>\r\n</li>\r\n</ol>\r\n</div>\r\n<div class="span4">\r\n<pre>&lt;ol class="jm-alpha"&gt;<br />&lt;-- list goes here --&gt;<br />&lt;/ol&gt;</pre>\r\n<ol class="jm-alpha">\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ol>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ol>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n</ol>\r\n</li>\r\n</ol>\r\n</li>\r\n</ol>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Read More Button</h3>\r\n<pre>&lt;p class="readmore"&gt;&lt;a class="btn" href="#"&gt;Read more&lt;/a&gt;&lt;/p&gt;</pre>\r\n<p class="readmore"><a class="btn" href="#">Read more</a></p>\r\n<h3 class="jm-typo-title">Glyphicon Font</h3>\r\n<div>\r\n<pre>&lt;span class="icon-joomla"&gt;&amp;nbsp&lt;/span&gt;</pre>\r\n</div>\r\n<div class="row-fluid">\r\n<div class="span3">\r\n<div style="padding: 2px 0;"><span class="icon-asterisk"> </span> icon-asterisk</div>\r\n<div style="padding: 2px 0;"><span class="icon-plus"> </span> icon-plus</div>\r\n<div style="padding: 2px 0;"><span class="icon-euro"> </span> icon-euro</div>\r\n<div style="padding: 2px 0;"><span class="icon-minus"> </span> icon-minus</div>\r\n<div style="padding: 2px 0;"><span class="icon-cloud"> </span> icon-cloud</div>\r\n<div style="padding: 2px 0;"><span class="icon-envelope"> </span> icon-envelope</div>\r\n<div style="padding: 2px 0;"><span class="icon-pencil"> </span> icon-pencil</div>\r\n<div style="padding: 2px 0;"><span class="icon-glass"> </span> icon-glass</div>\r\n<div style="padding: 2px 0;"><span class="icon-music"> </span> icon-music</div>\r\n<div style="padding: 2px 0;"><span class="icon-search"> </span> icon-search</div>\r\n<div style="padding: 2px 0;"><span class="icon-heart"> </span> icon-heart</div>\r\n<div style="padding: 2px 0;"><span class="icon-star"> </span> icon-star</div>\r\n<div style="padding: 2px 0;"><span class="icon-star-empty"> </span> icon-star-empty</div>\r\n<div style="padding: 2px 0;"><span class="icon-user"> </span> icon-user</div>\r\n<div style="padding: 2px 0;"><span class="icon-film"> </span> icon-film</div>\r\n<div style="padding: 2px 0;"><span class="icon-th-large"> </span> icon-th-large</div>\r\n<div style="padding: 2px 0;"><span class="icon-th"> </span> icon-th</div>\r\n<div style="padding: 2px 0;"><span class="icon-th-list"> </span> icon-th-list</div>\r\n<div style="padding: 2px 0;"><span class="icon-ok"> </span> icon-ok</div>\r\n<div style="padding: 2px 0;"><span class="icon-remove"> </span> icon-remove</div>\r\n<div style="padding: 2px 0;"><span class="icon-zoom-in"> </span> icon-zoom-in</div>\r\n<div style="padding: 2px 0;"><span class="icon-zoom-out"> </span> icon-zoom-out</div>\r\n<div style="padding: 2px 0;"><span class="icon-off"> </span> icon-off</div>\r\n<div style="padding: 2px 0;"><span class="icon-signal"> </span> icon-signal</div>\r\n<div style="padding: 2px 0;"><span class="icon-cog"> </span> icon-cog</div>\r\n<div style="padding: 2px 0;"><span class="icon-trash"> </span> icon-trash</div>\r\n<div style="padding: 2px 0;"><span class="icon-home"> </span> icon-home</div>\r\n<div style="padding: 2px 0;"><span class="icon-file"> </span> icon-file</div>\r\n<div style="padding: 2px 0;"><span class="icon-time"> </span> icon-time</div>\r\n<div style="padding: 2px 0;"><span class="icon-road"> </span> icon-road</div>\r\n<div style="padding: 2px 0;"><span class="icon-download-alt"> </span> icon-download-alt</div>\r\n<div style="padding: 2px 0;"><span class="icon-download"> </span> icon-download</div>\r\n<div style="padding: 2px 0;"><span class="icon-upload"> </span> icon-upload</div>\r\n<div style="padding: 2px 0;"><span class="icon-inbox"> </span> icon-inbox</div>\r\n<div style="padding: 2px 0;"><span class="icon-play-circle"> </span> icon-play-circle</div>\r\n<div style="padding: 2px 0;"><span class="icon-repeat"> </span> icon-repeat</div>\r\n<div style="padding: 2px 0;"><span class="icon-refresh"> </span> icon-refresh</div>\r\n<div style="padding: 2px 0;"><span class="icon-list-alt"> </span> icon-list-alt</div>\r\n<div style="padding: 2px 0;"><span class="icon-lock"> </span> icon-lock</div>\r\n<div style="padding: 2px 0;"><span class="icon-flag"> </span> icon-flag</div>\r\n<div style="padding: 2px 0;"><span class="icon-headphones"> </span> icon-headphones</div>\r\n<div style="padding: 2px 0;"><span class="icon-volume-off"> </span> icon-volume-off</div>\r\n<div style="padding: 2px 0;"><span class="icon-volume-down"> </span> icon-volume-down</div>\r\n<div style="padding: 2px 0;"><span class="icon-volume-up"> </span> icon-volume-up</div>\r\n<div style="padding: 2px 0;"><span class="icon-qrcode"> </span> icon-qrcode</div>\r\n<div style="padding: 2px 0;"><span class="icon-barcode"> </span> icon-barcode</div>\r\n<div style="padding: 2px 0;"><span class="icon-tag"> </span> icon-tag</div>\r\n<div style="padding: 2px 0;"><span class="icon-tags"> </span> icon-tags</div>\r\n<div style="padding: 2px 0;"><span class="icon-book"> </span> icon-book</div>\r\n<div style="padding: 2px 0;"><span class="icon-bookmark"> </span> icon-bookmark</div>\r\n</div>\r\n<div class="span3">\r\n<div style="padding: 2px 0;"><span class="icon-print"> </span> icon-print</div>\r\n<div style="padding: 2px 0;"><span class="icon-camera"> </span> icon-camera</div>\r\n<div style="padding: 2px 0;"><span class="icon-font"> </span> icon-font</div>\r\n<div style="padding: 2px 0;"><span class="icon-bold"> </span> icon-bold</div>\r\n<div style="padding: 2px 0;"><span class="icon-italic"> </span> icon-italic</div>\r\n<div style="padding: 2px 0;"><span class="icon-text-height"> </span> icon-text-height</div>\r\n<div style="padding: 2px 0;"><span class="icon-text-width"> </span> icon-text-width</div>\r\n<div style="padding: 2px 0;"><span class="icon-align-left"> </span> icon-align-left</div>\r\n<div style="padding: 2px 0;"><span class="icon-align-center"> </span> icon-align-center</div>\r\n<div style="padding: 2px 0;"><span class="icon-align-right"> </span> icon-align-right</div>\r\n<div style="padding: 2px 0;"><span class="icon-align-justify"> </span> icon-align-justify</div>\r\n<div style="padding: 2px 0;"><span class="icon-list"> </span> icon-list</div>\r\n<div style="padding: 2px 0;"><span class="icon-indent-left"> </span> icon-indent-left</div>\r\n<div style="padding: 2px 0;"><span class="icon-indent-right"> </span> icon-indent-right</div>\r\n<div style="padding: 2px 0;"><span class="icon-facetime-video"> </span> icon-facetime-video</div>\r\n<div style="padding: 2px 0;"><span class="icon-picture"> </span> icon-picture</div>\r\n<div style="padding: 2px 0;"><span class="icon-map-marker"> </span> icon-map-marker</div>\r\n<div style="padding: 2px 0;"><span class="icon-adjust"> </span> icon-adjust</div>\r\n<div style="padding: 2px 0;"><span class="icon-tint"> </span> icon-tint</div>\r\n<div style="padding: 2px 0;"><span class="icon-edit"> </span> icon-edit</div>\r\n<div style="padding: 2px 0;"><span class="icon-share"> </span> icon-share</div>\r\n<div style="padding: 2px 0;"><span class="icon-check"> </span> icon-check</div>\r\n<div style="padding: 2px 0;"><span class="icon-move"> </span> icon-move</div>\r\n<div style="padding: 2px 0;"><span class="icon-step-backward"> </span> icon-step-backward</div>\r\n<div style="padding: 2px 0;"><span class="icon-fast-backward"> </span> icon-fast-backward</div>\r\n<div style="padding: 2px 0;"><span class="icon-backward"> </span> icon-backward</div>\r\n<div style="padding: 2px 0;"><span class="icon-play"> </span> icon-play</div>\r\n<div style="padding: 2px 0;"><span class="icon-pause"> </span> icon-pause</div>\r\n<div style="padding: 2px 0;"><span class="icon-stop"> </span> icon-stop</div>\r\n<div style="padding: 2px 0;"><span class="icon-forward"> </span> icon-forward</div>\r\n<div style="padding: 2px 0;"><span class="icon-fast-forward"> </span> icon-fast-forward</div>\r\n<div style="padding: 2px 0;"><span class="icon-step-forward"> </span> icon-step-forward</div>\r\n<div style="padding: 2px 0;"><span class="icon-eject"> </span> icon-eject</div>\r\n<div style="padding: 2px 0;"><span class="icon-chevron-left"> </span> icon-chevron-left</div>\r\n<div style="padding: 2px 0;"><span class="icon-chevron-right"> </span> icon-chevron-right</div>\r\n<div style="padding: 2px 0;"><span class="icon-plus-sign"> </span> icon-plus-sign</div>\r\n<div style="padding: 2px 0;"><span class="icon-minus-sign"> </span> icon-minus-sign</div>\r\n<div style="padding: 2px 0;"><span class="icon-remove-sign"> </span> icon-remove-sign</div>\r\n<div style="padding: 2px 0;"><span class="icon-ok-sign"> </span> icon-ok-sign</div>\r\n<div style="padding: 2px 0;"><span class="icon-question-sign"> </span> icon-question-sign</div>\r\n<div style="padding: 2px 0;"><span class="icon-info-sign"> </span> icon-info-sign</div>\r\n<div style="padding: 2px 0;"><span class="icon-screenshot"> </span> icon-screenshot</div>\r\n<div style="padding: 2px 0;"><span class="icon-remove-circle"> </span> icon-remove-circle</div>\r\n<div style="padding: 2px 0;"><span class="icon-ok-circle"> </span> icon-ok-circle</div>\r\n<div style="padding: 2px 0;"><span class="icon-ban-circle"> </span> icon-ban-circle</div>\r\n<div style="padding: 2px 0;"><span class="icon-arrow-left"> </span> icon-arrow-left</div>\r\n<div style="padding: 2px 0;"><span class="icon-arrow-right"> </span> icon-arrow-right</div>\r\n<div style="padding: 2px 0;"><span class="icon-arrow-up"> </span> icon-arrow-up</div>\r\n<div style="padding: 2px 0;"><span class="icon-arrow-down"> </span> icon-arrow-down</div>\r\n<div style="padding: 2px 0;"><span class="icon-share-alt"> </span> icon-share-alt</div>\r\n</div>\r\n<div class="span3">\r\n<div style="padding: 2px 0;"><span class="icon-resize-full"> </span> icon-resize-full</div>\r\n<div style="padding: 2px 0;"><span class="icon-resize-small"> </span> icon-resize-small</div>\r\n<div style="padding: 2px 0;"><span class="icon-exclamation-sign"> </span> icon-exclamation-sign</div>\r\n<div style="padding: 2px 0;"><span class="icon-gift"> </span> icon-gift</div>\r\n<div style="padding: 2px 0;"><span class="icon-leaf"> </span> icon-leaf</div>\r\n<div style="padding: 2px 0;"><span class="icon-fire"> </span> icon-fire</div>\r\n<div style="padding: 2px 0;"><span class="icon-eye-open"> </span> icon-eye-open</div>\r\n<div style="padding: 2px 0;"><span class="icon-eye-close"> </span> icon-eye-close</div>\r\n<div style="padding: 2px 0;"><span class="icon-warning-sign"> </span> icon-warning-sign</div>\r\n<div style="padding: 2px 0;"><span class="icon-plane"> </span> icon-plane</div>\r\n<div style="padding: 2px 0;"><span class="icon-calendar"> </span> icon-calendar</div>\r\n<div style="padding: 2px 0;"><span class="icon-random"> </span> icon-random</div>\r\n<div style="padding: 2px 0;"><span class="icon-comment"> </span> icon-comment</div>\r\n<div style="padding: 2px 0;"><span class="icon-magnet"> </span> icon-magnet</div>\r\n<div style="padding: 2px 0;"><span class="icon-chevron-up"> </span> icon-chevron-up</div>\r\n<div style="padding: 2px 0;"><span class="icon-chevron-down"> </span> icon-chevron-down</div>\r\n<div style="padding: 2px 0;"><span class="icon-retweet"> </span> icon-retweet</div>\r\n<div style="padding: 2px 0;"><span class="icon-shopping-cart"> </span> icon-shopping-cart</div>\r\n<div style="padding: 2px 0;"><span class="icon-folder-close"> </span> icon-folder-close</div>\r\n<div style="padding: 2px 0;"><span class="icon-folder-open"> </span> icon-folder-open</div>\r\n<div style="padding: 2px 0;"><span class="icon-resize-vertical"> </span> icon-resize-vertical</div>\r\n<div style="padding: 2px 0;"><span class="icon-resize-horizontal"> </span> icon-resize-horizontal</div>\r\n<div style="padding: 2px 0;"><span class="icon-hdd"> </span> icon-hdd</div>\r\n<div style="padding: 2px 0;"><span class="icon-bullhorn"> </span> icon-bullhorn</div>\r\n<div style="padding: 2px 0;"><span class="icon-bell"> </span> icon-bell</div>\r\n<div style="padding: 2px 0;"><span class="icon-certificate"> </span> icon-certificate</div>\r\n<div style="padding: 2px 0;"><span class="icon-thumbs-up"> </span> icon-thumbs-up</div>\r\n<div style="padding: 2px 0;"><span class="icon-thumbs-down"> </span> icon-thumbs-down</div>\r\n<div style="padding: 2px 0;"><span class="icon-hand-right"> </span> icon-hand-right</div>\r\n<div style="padding: 2px 0;"><span class="icon-hand-left"> </span> icon-hand-left</div>\r\n<div style="padding: 2px 0;"><span class="icon-hand-up"> </span> icon-hand-up</div>\r\n<div style="padding: 2px 0;"><span class="icon-hand-down"> </span> icon-hand-down</div>\r\n<div style="padding: 2px 0;"><span class="icon-circle-arrow-right"> </span> icon-circle-arrow-right</div>\r\n<div style="padding: 2px 0;"><span class="icon-circle-arrow-left"> </span> icon-circle-arrow-left</div>\r\n<div style="padding: 2px 0;"><span class="icon-circle-arrow-up"> </span> icon-circle-arrow-up</div>\r\n<div style="padding: 2px 0;"><span class="icon-circle-arrow-down"> </span> icon-circle-arrow-down</div>\r\n<div style="padding: 2px 0;"><span class="icon-globe"> </span> icon-globe</div>\r\n<div style="padding: 2px 0;"><span class="icon-wrench"> </span> icon-wrench</div>\r\n<div style="padding: 2px 0;"><span class="icon-tasks"> </span> icon-tasks</div>\r\n<div style="padding: 2px 0;"><span class="icon-filter"> </span> icon-filter</div>\r\n<div style="padding: 2px 0;"><span class="icon-briefcase"> </span> icon-briefcase</div>\r\n<div style="padding: 2px 0;"><span class="icon-fullscreen"> </span> icon-fullscreen</div>\r\n<div style="padding: 2px 0;"><span class="icon-dashboard"> </span> icon-dashboard</div>\r\n<div style="padding: 2px 0;"><span class="icon-paperclip"> </span> icon-paperclip</div>\r\n<div style="padding: 2px 0;"><span class="icon-heart-empty"> </span> icon-heart-empty</div>\r\n<div style="padding: 2px 0;"><span class="icon-link"> </span> icon-link</div>\r\n<div style="padding: 2px 0;"><span class="icon-phone"> </span> icon-phone</div>\r\n<div style="padding: 2px 0;"><span class="icon-pushpin"> </span> icon-pushpin</div>\r\n<div style="padding: 2px 0;"><span class="icon-usd"> </span> icon-usd</div>\r\n<div style="padding: 2px 0;"><span class="icon-gbp"> </span> icon-gbp</div>\r\n</div>\r\n<div class="span3">\r\n<div style="padding: 2px 0;"><span class="icon-sort"> </span> icon-sort</div>\r\n<div style="padding: 2px 0;"><span class="icon-sort-by-alphabet"> </span> icon-sort-by-alphabet</div>\r\n<div style="padding: 2px 0;"><span class="icon-sort-by-alphabet-alt"> </span> icon-sort-by-alphabet-alt</div>\r\n<div style="padding: 2px 0;"><span class="icon-sort-by-order"> </span> icon-sort-by-order</div>\r\n<div style="padding: 2px 0;"><span class="icon-sort-by-order-alt"> </span> icon-sort-by-order-alt</div>\r\n<div style="padding: 2px 0;"><span class="icon-sort-by-attributes"> </span> icon-sort-by-attributes</div>\r\n<div style="padding: 2px 0;"><span class="icon-sort-by-attributes-alt"> </span> icon-sort-by-attributes-alt</div>\r\n<div style="padding: 2px 0;"><span class="icon-unchecked"> </span> icon-unchecked</div>\r\n<div style="padding: 2px 0;"><span class="icon-expand"> </span> icon-expand</div>\r\n<div style="padding: 2px 0;"><span class="icon-collapse-down"> </span> icon-collapse-down</div>\r\n<div style="padding: 2px 0;"><span class="icon-collapse-up"> </span> icon-collapse-up</div>\r\n<div style="padding: 2px 0;"><span class="icon-log-in"> </span> icon-log-in</div>\r\n<div style="padding: 2px 0;"><span class="icon-flash"> </span> icon-flash</div>\r\n<div style="padding: 2px 0;"><span class="icon-log-out"> </span> icon-log-out</div>\r\n<div style="padding: 2px 0;"><span class="icon-new-window"> </span> icon-new-window</div>\r\n<div style="padding: 2px 0;"><span class="icon-record"> </span> icon-record</div>\r\n<div style="padding: 2px 0;"><span class="icon-save"> </span> icon-save</div>\r\n<div style="padding: 2px 0;"><span class="icon-open"> </span> icon-open</div>\r\n<div style="padding: 2px 0;"><span class="icon-saved"> </span> icon-saved</div>\r\n<div style="padding: 2px 0;"><span class="icon-import"> </span> icon-import</div>\r\n<div style="padding: 2px 0;"><span class="icon-export"> </span> icon-export</div>\r\n<div style="padding: 2px 0;"><span class="icon-send"> </span> icon-send</div>\r\n<div style="padding: 2px 0;"><span class="icon-floppy-disk"> </span> icon-floppy-disk</div>\r\n<div style="padding: 2px 0;"><span class="icon-floppy-saved"> </span> icon-floppy-saved</div>\r\n<div style="padding: 2px 0;"><span class="icon-floppy-remove"> </span> icon-floppy-remove</div>\r\n<div style="padding: 2px 0;"><span class="icon-floppy-save"> </span> icon-floppy-save</div>\r\n<div style="padding: 2px 0;"><span class="icon-floppy-open"> </span> icon-floppy-open</div>\r\n<div style="padding: 2px 0;"><span class="icon-credit-card"> </span> icon-credit-card</div>\r\n<div style="padding: 2px 0;"><span class="icon-transfer"> </span> icon-transfer</div>\r\n<div style="padding: 2px 0;"><span class="icon-cutlery"> </span> icon-cutlery</div>\r\n<div style="padding: 2px 0;"><span class="icon-header"> </span> icon-header</div>\r\n<div style="padding: 2px 0;"><span class="icon-compressed"> </span> icon-compressed</div>\r\n<div style="padding: 2px 0;"><span class="icon-earphone"> </span> icon-earphone</div>\r\n<div style="padding: 2px 0;"><span class="icon-phone-alt"> </span> icon-phone-alt</div>\r\n<div style="padding: 2px 0;"><span class="icon-tower"> </span> icon-tower</div>\r\n<div style="padding: 2px 0;"><span class="icon-stats"> </span> icon-stats</div>\r\n<div style="padding: 2px 0;"><span class="icon-sd-video"> </span> icon-sd-video</div>\r\n<div style="padding: 2px 0;"><span class="icon-hd-video"> </span> icon-hd-video</div>\r\n<div style="padding: 2px 0;"><span class="icon-subtitles"> </span> icon-subtitles</div>\r\n<div style="padding: 2px 0;"><span class="icon-sound-stereo"> </span> icon-sound-stereo</div>\r\n<div style="padding: 2px 0;"><span class="icon-sound-dolby"> </span> icon-sound-dolby</div>\r\n<div style="padding: 2px 0;"><span class="icon-sound-5-1"> </span> icon-sound-5-1</div>\r\n<div style="padding: 2px 0;"><span class="icon-sound-6-1"> </span> icon-sound-6-1</div>\r\n<div style="padding: 2px 0;"><span class="icon-sound-7-1"> </span> icon-sound-7-1</div>\r\n<div style="padding: 2px 0;"><span class="icon-copyright-mark"> </span> icon-copyright-mark</div>\r\n<div style="padding: 2px 0;"><span class="icon-registration-mark"> </span> icon-registration-mark</div>\r\n<div style="padding: 2px 0;"><span class="icon-cloud-download"> </span> icon-cloud-download</div>\r\n<div style="padding: 2px 0;"><span class="icon-cloud-upload"> </span> icon-cloud-upload</div>\r\n<div style="padding: 2px 0;"><span class="icon-tree-conifer"> </span> icon-tree-conifer</div>\r\n<div style="padding: 2px 0;"><span class="icon-tree-deciduous"> </span> icon-tree-deciduous</div>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Offcanvas Button Module</h3>\r\n<div class="row-fluid">\r\n<div class="span12">\r\n<pre>&lt;p&gt;&lt;a class="toggle-nav menu"&gt;&lt;span class="icon-align-justify"&gt;&lt;/span&gt;&lt;/a&gt;&lt;/p&gt;\r\n</pre>\r\n<p><a class="toggle-nav menu"><span class="icon-align-justify"></span></a></p>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Top Contact Module</h3>\r\n<div class="row-fluid">\r\n<div class="span12">\r\n<pre>&lt;ul class="jm-contact-icons"&gt;<br />&lt;li class="jm-direction"&gt;&lt;img src="<strong>images/modules/direction.png</strong>" alt="Direction" /&gt;&lt;a title="Contact" href="<strong>#</strong>"&amp;gt;<strong>Peterborough, UK</strong>&lt;/a&gt;&lt;/li&gt;<br />&lt;li class="jm-email"&gt;&lt;img src="<strong>images/modules/email.png</strong>" alt="Email" /&gt;&lt;a title="Contact" href="<strong>#</strong>"&gt;<strong>Email</strong>&lt;/a&gt;&lt;/li&gt;<br />&lt;li class="jm-phone"&gt;&lt;img src="<strong>images/modules/phone.png</strong>" alt="Phone" /&gt;&lt;a title="Contact" href="<strong>#</strong>"&gt;<strong>+44 7837 383 484</strong>&lt;/a&gt;&lt;/li&gt;<br />&lt;/ul&gt;</pre>\r\n<ul class="jm-contact-icons">\r\n<li class="jm-direction"><img src="images/modules/direction.png" alt="Direction" /><a title="Contact" href="#">Peterborough, UK</a></li>\r\n<li class="jm-email"><img src="images/modules/email.png" alt="Email" /><a title="Contact" href="#">Email</a></li>\r\n<li class="jm-phone"><img src="images/modules/phone.png" alt="Phone" /><a title="Contact" href="#">+44 7837 383 484</a></li>\r\n</ul>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Residential Solutions Module</h3>\r\n<div class="row-fluid">\r\n<div class="span12">\r\n<pre>&lt;div class="jm-box"&gt;\r\n&lt;div class="jm-box-in"&gt;\r\n&lt;div class="jm-icon"&gt;&lt;img src="<strong>images/modules/icon1.png</strong>" alt="" /&gt;&lt;/div&gt;\r\n&lt;div class="jm-column"&gt;\r\n&lt;span class="title"&gt;<strong>Residential Solutions</strong>&lt;/span&gt;\r\n&lt;a href="<strong>#</strong>" class="link"&gt;<strong>www.jm-internet.com</strong>&lt;/a&gt;\r\n&lt;span class="description"&gt;<strong>Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.</strong>&lt;/span&gt;\r\n&lt;span class="contact"&gt;<strong>call 888-777-888</strong>&lt;/span&gt;\r\n&lt;a href="<strong>#</strong>" class="readmore"&gt;<strong>read more</strong>&lt;/a&gt;&lt;/div&gt;\r\n&lt;div class="jm-expand"&gt;\r\n&lt;div class="expand-in"&gt;&lt;span class="subtitle"&gt;<strong>Services Include</strong>&lt;/span&gt;\r\n&lt;ul&gt;\r\n&lt;li&gt;<strong>Lorem ipsum</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Dolor sit amet</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Vestibulum venenatis</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Suscipit libero</strong>&lt;/li&gt;\r\n&lt;/ul&gt;\r\n&lt;/div&gt;\r\n&lt;/div&gt;\r\n&lt;/div&gt;\r\n&lt;/div&gt;\r\n</pre>\r\n<div class="jm-box">\r\n<div class="jm-box-in">\r\n<div class="jm-icon"><img src="images/modules/icon1.png" alt="" /></div>\r\n<div class="jm-column"><span class="title">Residential Solutions</span> <a href="#" class="link">www.jm-internet.com</a> <span class="description">Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.</span> <span class="contact">call 888-777-888</span> <a href="#" class="readmore">read more</a></div>\r\n<div class="jm-expand">\r\n<div class="expand-in"><span class="subtitle">Services Include</span>\r\n<ul>\r\n<li>Lorem ipsum</li>\r\n<li>Dolor sit amet</li>\r\n<li>Vestibulum venenatis</li>\r\n<li>Suscipit libero</li>\r\n</ul>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Business Solutions Module</h3>\r\n<div class="row-fluid">\r\n<div class="span12">\r\n<pre>&lt;div class="jm-box"&gt;\r\n&lt;div class="jm-box-in"&gt;\r\n&lt;div class="jm-icon"&gt;&lt;img src="<strong>images/modules/icon2.png</strong>" alt="" /&gt;&lt;/div&gt;\r\n&lt;div class="jm-column"&gt;\r\n&lt;span class="title"&gt;<strong>Business Solutions</strong>&lt;/span&gt;\r\n&lt;a href="<strong>#</strong>" class="link"&gt;<strong>www.jm-internet.com</strong>&lt;/a&gt;\r\n&lt;span class="description"&gt;<strong>Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.</strong>&lt;/span&gt;\r\n&lt;span class="contact"&gt;<strong>call 888-777-888</strong>&lt;/span&gt;\r\n&lt;a href="<strong>#</strong>" class="readmore"&gt;<strong>read more</strong>&lt;/a&gt;&lt;/div&gt;\r\n&lt;div class="jm-expand"&gt;\r\n&lt;div class="expand-in"&gt;&lt;span class="subtitle"&gt;<strong>Services Include</strong>&lt;/span&gt;\r\n&lt;ul&gt;\r\n&lt;li&gt;<strong>Lorem ipsum</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Dolor sit amet</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Vestibulum venenatis</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Suscipit libero</strong>&lt;/li&gt;\r\n&lt;/ul&gt;\r\n&lt;/div&gt;\r\n&lt;/div&gt;\r\n&lt;/div&gt;\r\n&lt;/div&gt;\r\n</pre>\r\n<div class="jm-box">\r\n<div class="jm-box-in">\r\n<div class="jm-icon"><img src="images/modules/icon2.png" alt="" /></div>\r\n<div class="jm-column">\r\n<div class="column-in"><span class="title">Business Solutions</span> <a href="#" class="link">www.jm-internet.com</a> <span class="description">Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.</span> <span class="contact">call 888-777-888</span> <a href="#" class="readmore">read more</a></div>\r\n</div>\r\n<div class="jm-expand">\r\n<div class="expand-in"><span class="subtitle">Services Include</span>\r\n<ul>\r\n<li>Lorem ipsum</li>\r\n<li>Dolor sit amet</li>\r\n<li>Vestibulum venenatis</li>\r\n<li>Suscipit libero</li>\r\n</ul>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Header Module</h3>\r\n<div class="row-fluid">\r\n<div class="span12">\r\n<pre>&lt;div class="jm-custom-header"&gt;\r\n&lt;div class="title"&gt;<strong>This is </strong>&lt;span&gt;<strong>custom</strong>&lt;/span&gt; <strong>html module</strong>&lt;/div&gt;\r\n&lt;div class="description"&gt;<strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt</strong>&lt;br /&gt;<strong> ut labore et dolore magna aliqua.</strong>&lt;/div&gt;\r\n&lt;a class="btn" href="<strong>#</strong>"&gt;<strong>Check an offer</strong>&lt;/a&gt;&lt;/div&gt;\r\n</pre>\r\n<div class="jm-custom-header">\r\n<div class="title">This is <span>custom</span> html module</div>\r\n<div class="description">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt<br /> ut labore et dolore magna aliqua.</div>\r\n<a class="btn" href="#">Check an offer</a></div>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Social Module</h3>\r\n<div class="row-fluid">\r\n<div class="span12">\r\n<div class="jm-socials">\r\n<pre>&lt;div class="jm-socials"&gt;<br />&lt;a class="facebook" href="#"&gt;&amp;nbsp;&lt;/a&gt;<br />&lt;a class="googleplus" href="#"&gt;&amp;nbsp;&lt;/a&gt;<br />&lt;a class="twitter" href="#"&gt;&amp;nbsp;&lt;/a&gt;<br />&lt;a class="linkedin" href="#"&gt;&amp;nbsp;&lt;/a&gt;<br />&lt;a class="skype" href="#"&gt;&amp;nbsp;&lt;/a&gt;<br />&lt;a class="vimeo" href="#"&gt;&amp;nbsp;&lt;/a&gt;<br />&lt;/div&gt;</pre>\r\n<a class="facebook" href="#"> </a> <a class="googleplus" href="#"> </a> <a class="twitter" href="#"> </a> <a class="linkedin" href="#"> </a> <a class="skype" href="#"> </a> <a class="vimeo" href="#"> </a></div>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Home Content</h3>\r\n<div class="row-fluid">\r\n<div class="span12">\r\n<pre>&lt;div class="jm-custom-content clearfix"&gt;\r\n&lt;div class="jm-icon"&gt;\r\n&lt;div class="jm-icon-in"&gt;&lt;span class="up"&gt;<strong>Up to</strong>&lt;/span&gt; &lt;span class="middle"&gt;<strong>250</strong>&lt;/span&gt; &lt;span class="down"&gt;<strong>Mbps</strong>&lt;/span&gt;&lt;/div&gt;\r\n&lt;/div&gt;\r\n&lt;div class="jm-description"&gt;&lt;span class="title"&gt;<strong>High speed internet</strong>&lt;/span&gt;\r\n&lt;p&gt;<strong>Proin iaculis purus consequat sem cure digni ssim donec porttitora.</strong>&lt;br /&gt;<strong>In facilisis at augue imperdiet dignissim.</strong>&lt;/p&gt;\r\n&lt;p class="custom-icon1"&gt;&lt;span&gt;<strong>Lorem ipsum dolor</strong>&lt;/span&gt;<strong>Proin iaculis purus consequat sem cure digni ssim.</strong>&lt;/p&gt;\r\n&lt;p class="custom-icon2"&gt;&lt;span&gt;<strong>Adipiscing elit</strong>&lt;/span&gt;<strong>Proin iaculis purus consequat sem cure.</strong>&lt;/p&gt;\r\n&lt;p&gt;<strong>Proin iaculis purus consequat sem cure digni ssim donec porttitora.</strong>&lt;br /&gt;<strong>In facilisis at augue imperdiet dignissim.</strong>&lt;/p&gt;\r\n&lt;a href="<strong>#</strong>" class="readmore"&gt;<strong>Read more</strong>&lt;/a&gt;&lt;/div&gt;\r\n&lt;/div&gt;\r\n</pre>\r\n<div class="jm-custom-content clearfix">\r\n<div class="jm-icon">\r\n<div class="jm-icon-in"><span class="up">Up to</span> <span class="middle">250</span> <span class="down">Mbps</span></div>\r\n</div>\r\n<div class="jm-description"><span class="title">High speed internet</span>\r\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<br />In facilisis at augue imperdiet dignissim.</p>\r\n<p class="custom-icon1"><span>Lorem ipsum dolor</span>Proin iaculis purus consequat sem cure digni ssim.</p>\r\n<p class="custom-icon2"><span>Adipiscing elit</span>Proin iaculis purus consequat sem cure.</p>\r\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<br />In facilisis at augue imperdiet dignissim.</p>\r\n<a href="#" class="readmore">Read more</a></div>\r\n</div>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Pricing Table Content</h3>\r\n<div class="row-fluid">\r\n<div class="span12">\r\n<pre>&lt;div class="jm-pricing clearfix <strong>col3</strong>"&gt;\r\n&lt;div class="box"&gt;\r\n&lt;div class="box-in"&gt;\r\n&lt;div class="price"&gt;&lt;span class="up"&gt;<strong>as low as</strong>&lt;/span&gt;\r\n&lt;span class="middle"&gt;<strong>29.95</strong>&lt;/span&gt;\r\n&lt;span class="down"&gt;<strong>month</strong>&lt;/span&gt;&lt;/div&gt;\r\n&lt;div class="title"&gt;<strong>Cable Internet</strong>&lt;/div&gt;\r\n&lt;div class="content"&gt;\r\n&lt;div class="subtitle"&gt;<strong>step up to earthlink cable internet at the speed of life</strong>&lt;/div&gt;\r\n&lt;ul&gt;\r\n&lt;li&gt;<strong>Lorem ipsum dolor sit amet</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Morbi rhoncus diam quis augue</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Proin non finibus diam</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Pellentesque varius</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Vivamus quis leo</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Donec ut elit maximus</strong>&lt;/li&gt;\r\n&lt;/ul&gt;\r\n&lt;/div&gt;\r\n&lt;div class="bottom"&gt;&lt;a class="btn" href="<strong>#</strong>"&gt;<strong>I\'m interested</strong>&lt;/a&gt;&lt;/div&gt;\r\n&lt;/div&gt;\r\n&lt;/div&gt;\r\n&lt;div class="box"&gt;\r\n&lt;div class="box-in"&gt;\r\n&lt;div class="price"&gt;&lt;span class="up"&gt;<strong>as low as</strong>&lt;/span&gt;\r\n&lt;span class="middle"&gt;<strong>14.85</strong>&lt;/span&gt;\r\n&lt;span class="down"&gt;<strong>month</strong>&lt;/span&gt;&lt;/div&gt;\r\n&lt;div class="title"&gt;<strong>DSL Internet</strong>&lt;/div&gt;\r\n&lt;div class="content"&gt;\r\n&lt;div class="subtitle"&gt;<strong>step up to incredible dsl cable internet</strong>&lt;/div&gt;\r\n&lt;ul&gt;\r\n&lt;li&gt;<strong>Lorem ipsum dolor sit amet</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Morbi rhoncus diam quis augue</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Proin non finibus diam</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Pellentesque varius</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Vivamus quis leo</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Donec ut elit maximus</strong>&lt;/li&gt;\r\n&lt;/ul&gt;\r\n&lt;/div&gt;\r\n&lt;div class="bottom"&gt;&lt;a class="btn" href="<strong>#</strong>"&gt;<strong>I\'m interested</strong>&lt;/a&gt;&lt;/div&gt;\r\n&lt;/div&gt;\r\n&lt;/div&gt;\r\n&lt;div class="box"&gt;\r\n&lt;div class="box-in"&gt;\r\n&lt;div class="price"&gt;&lt;span class="up"&gt;<strong>as low as</strong>&lt;/span&gt;\r\n&lt;span class="middle"&gt;<strong>39.95</strong>&lt;/span&gt;\r\n&lt;span class="down"&gt;<strong>month</strong>&lt;/span&gt;&lt;/div&gt;\r\n&lt;div class="title"&gt;<strong>Satellite Internet</strong>&lt;/div&gt;\r\n&lt;div class="content"&gt;\r\n&lt;div class="subtitle"&gt;<strong>No dsl or cable in your area? get satellite internet</strong>&lt;/div&gt;\r\n&lt;ul&gt;\r\n&lt;li&gt;<strong>Lorem ipsum dolor sit amet</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Morbi rhoncus diam quis augue</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Proin non finibus diam</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Pellentesque varius</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Vivamus quis leo</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Donec ut elit maximus</strong>&lt;/li&gt;\r\n&lt;/ul&gt;\r\n&lt;/div&gt;\r\n&lt;div class="bottom"&gt;&lt;a class="btn" href="<strong>#</strong>"&gt;<strong>I\'m interested</strong>&lt;/a&gt;&lt;/div&gt;\r\n&lt;/div&gt;\r\n&lt;/div&gt;\r\n&lt;/div&gt;\r\n</pre>\r\n<div class="jm-pricing clearfix col3">\r\n<div class="box">\r\n<div class="box-in">\r\n<div class="price"><span class="up">as low as</span> <span class="middle">29.95</span> <span class="down">month</span></div>\r\n<div class="title">Cable Internet</div>\r\n<div class="content">\r\n<div class="subtitle">step up to earthlink cable internet at the speed of life</div>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet</li>\r\n<li>Morbi rhoncus diam quis augue</li>\r\n<li>Proin non finibus diam</li>\r\n<li>Pellentesque varius</li>\r\n<li>Vivamus quis leo</li>\r\n<li>Donec ut elit maximus</li>\r\n</ul>\r\n</div>\r\n<div class="bottom"><a class="btn" href="#">I\'m interested</a></div>\r\n</div>\r\n</div>\r\n<div class="box">\r\n<div class="box-in">\r\n<div class="price"><span class="up">as low as</span> <span class="middle">14.85</span> <span class="down">month</span></div>\r\n<div class="title">DSL Internet</div>\r\n<div class="content">\r\n<div class="subtitle">step up to incredible dsl cable internet</div>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet</li>\r\n<li>Morbi rhoncus diam quis augue</li>\r\n<li>Proin non finibus diam</li>\r\n<li>Pellentesque varius</li>\r\n<li>Vivamus quis leo</li>\r\n<li>Donec ut elit maximus</li>\r\n</ul>\r\n</div>\r\n<div class="bottom"><a class="btn" href="#">I\'m interested</a></div>\r\n</div>\r\n</div>\r\n<div class="box">\r\n<div class="box-in">\r\n<div class="price"><span class="up">as low as</span> <span class="middle">39.95</span> <span class="down">month</span></div>\r\n<div class="title">Satellite Internet</div>\r\n<div class="content">\r\n<div class="subtitle">No dsl or cable in your area? get satellite internet</div>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet</li>\r\n<li>Morbi rhoncus diam quis augue</li>\r\n<li>Proin non finibus diam</li>\r\n<li>Pellentesque varius</li>\r\n<li>Vivamus quis leo</li>\r\n<li>Donec ut elit maximus</li>\r\n</ul>\r\n</div>\r\n<div class="bottom"><a class="btn" href="#">I\'m interested</a></div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>','',1,78,'2014-05-14 12:40:26',56,'','2015-01-19 09:23:45',56,0,'0000-00-00 00:00:00','2014-05-14 12:40:26','0000-00-00 00:00:00','{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',69,8,'','',1,185,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(96,287,'Lorem Ipsum','lorem-ipsum','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',1,84,'2014-05-15 12:44:15',56,'','2014-07-07 15:18:49',800,0,'0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/blog\\/blog2.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',11,12,'','',1,5,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(97,289,'Consectetur Adipisc','consectetur-adipisc','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',1,86,'2014-05-15 12:44:15',56,'','2014-06-24 16:01:56',800,0,'0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',9,2,'','',1,0,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(98,291,'Nulla Scelerisque','nulla-scelerisque','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',1,85,'2014-05-15 12:44:15',56,'','2014-07-07 15:19:06',800,0,'0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/blog\\/blog3.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',8,10,'','',1,1,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(99,293,'Aliquam Feugiat','aliquam-feugiat','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',1,85,'2014-05-15 12:44:15',56,'','2014-07-07 15:19:26',800,0,'0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/blog\\/blog4.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',10,9,'','',1,2,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(100,295,'Praesent Vehicula','praesent-vehicula','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',1,86,'2014-05-15 12:44:15',56,'','2014-07-07 15:19:43',800,0,'0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/blog\\/blog5.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',8,1,'','',1,5,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(101,297,'Malesuada Ultricies','malesuada-ultricies','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',1,87,'2014-05-15 12:44:15',56,'','2014-07-07 15:20:07',800,0,'0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/blog\\/blog2.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',9,7,'','',1,0,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(102,299,'Nunc Placerat','nunc-placerat','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',1,84,'2014-05-15 12:44:15',56,'','2014-07-04 10:12:32',800,0,'0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',8,6,'','',1,1,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(103,301,'Quisque Vestibulum','quisque-vestibulum','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',1,87,'2014-05-15 12:44:15',56,'','2014-07-07 15:20:38',800,0,'0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/blog\\/blog3.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',8,5,'','',1,0,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(104,305,'Cras Eleifend','cras-eleifend','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',2,83,'2013-12-15 12:44:15',56,'','2014-07-07 15:18:17',800,0,'0000-00-00 00:00:00','2013-12-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/blog\\/blog5.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',3,4,'','',1,0,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(105,307,'Fusce Eu Risus','fusce-eu-risus','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',2,83,'2014-01-15 12:44:15',56,'','2014-07-07 15:17:56',800,0,'0000-00-00 00:00:00','2014-01-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/blog\\/blog4.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',4,3,'','',1,0,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(106,309,'Pretium Pellentesque','pretium-pellentesque','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',2,83,'2014-02-15 12:44:15',56,'','2014-07-07 15:17:19',800,0,'0000-00-00 00:00:00','2014-02-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/blog\\/blog2.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',4,2,'','',1,4,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(107,311,'Volutpat Vehicula','volutpat-vehicula','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',2,83,'2014-03-15 12:44:15',56,'','2014-07-07 15:17:39',800,0,'0000-00-00 00:00:00','2014-03-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/blog\\/blog3.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',5,1,'','',1,0,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(108,313,'Auctor Justo','auctor-justo','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',2,83,'2014-04-15 12:44:15',56,'','2014-05-15 14:08:03',164,0,'0000-00-00 00:00:00','2014-04-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',3,0,'','',1,0,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(109,321,'Lorem Ipsum','lorem-ipsum','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor.</p>\r\n','\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',1,88,'2014-05-15 12:44:15',56,'','2014-07-07 14:51:03',800,0,'0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',5,0,'','',1,15,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(110,323,'Praesent Vehicula','praesent-vehicula','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor.</p>\r\n','\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',1,88,'2014-05-15 12:44:15',56,'','2014-07-07 14:51:09',800,0,'0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',5,0,'','',1,16,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(111,328,'Single Article','single-article','<p><strong>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</strong></p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>','',1,78,'2014-06-24 13:38:25',56,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2014-06-24 13:38:25','0000-00-00 00:00:00','{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/blog\\/blog1.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',1,7,'','',1,59,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(112,329,'Tabs','tabs','<hr title="Tab 1" class="system-pagebreak" />\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo.</p>\r\n<p>Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt. Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat.</p>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<hr title="Tab 2" class="system-pagebreak" />\r\n<p>Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<hr title="Tab 3" class="system-pagebreak" />\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus.</p>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec accumsan.</p>','',1,78,'2014-06-24 14:46:59',56,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2014-06-24 14:46:59','0000-00-00 00:00:00','{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',1,6,'','',1,16,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(113,335,'Quisque Vestibulum','quisque-vestibulum','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',1,90,'2014-05-15 12:44:15',56,'','2014-05-15 14:10:42',164,0,'0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',6,5,'','',1,1,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(114,337,'Nunc Placerat','nunc-placerat','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',1,90,'2014-05-15 12:44:15',56,'','2014-06-24 16:00:34',800,0,'0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',7,6,'','',1,0,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(115,339,'Malesuada Ultricies','malesuada-ultricies','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',1,90,'2014-05-15 12:44:15',56,'','2014-07-07 14:49:56',800,0,'0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',8,7,'','',1,0,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(116,341,'Praesent Vehicula','praesent-vehicula','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',1,90,'2014-05-15 12:44:15',56,'','2014-05-15 14:10:22',164,0,'0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',6,1,'','',1,5,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(117,343,'Aliquam Feugiat','aliquam-feugiat','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',1,90,'2014-05-15 12:44:15',56,'','2014-05-15 14:10:02',164,0,'0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',8,9,'','',1,2,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(118,345,'Nulla Scelerisque','nulla-scelerisque','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',1,90,'2014-05-15 12:44:15',56,'','2014-07-07 14:50:34',800,0,'0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',7,10,'','',1,1,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(119,347,'Consectetur Adipisc','consectetur-adipisc','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',1,90,'2014-05-15 12:44:15',56,'','2014-07-07 14:50:26',800,0,'0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',10,2,'','',1,1,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(120,349,'Lorem Ipsum','lorem-ipsum','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',1,90,'2014-05-15 12:44:15',56,'','2014-07-07 14:49:38',800,0,'0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',10,12,'','',1,5,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(121,351,'Module Suffixes','module-suffixes','<p>There are additional module designs available that you can control by entering a correct suffix name as a module parameter.<br />Let\'s check them all.</p>\r\n<p>1. Available module designs</p>\r\n<p> </p>\r\n<p><img src="images/sample/module-suffixes.png" alt="Module Suffixes" /></p>\r\n<p> </p>\r\n<p>2. Use the following suffixes for DJ-ImageSlider module if you want to get the following view for slides. Otherwise a module will use the default css styles.</p>\r\n<p> </p>\r\n<p><strong>Suffix name:</strong> header-ms</p>\r\n<p> </p>\r\n<p><img src="images/sample/header-ms.jpg" alt="DJ-ImageSlider Suffixes" /></p>\r\n<p> </p>\r\n<p>2. Use the following suffixes if you want add hover effect for "Solutions" Custom HTML modules.</p>\r\n<p></p>\r\n<p><img src="images/sample/expand.png" alt="DJ-ImageSlider Suffixes" /></p>\r\n<p></p>\r\n<p><strong>Suffix name:</strong> expand1-ms and expand2-ms</p>\r\n<p><br />3. Use the suffix for module to reduce space below module.</p>\r\n<p><br /><strong>Suffix name:</strong> margin-ms</p>\r\n<p><br />4. Additional and very useful suffix to make your modules height the same.<br />You just have to put a suffix at a module configuration to get the specified module height. <br /><br />See here the screenshot:</p>\r\n<p><img class="border_img" title="Module height" src="images/sample/height1.jpg" alt="height1" border="0" /></p>\r\n<p><strong>_mod300</strong> means that your module will be of 300 pixels high.<br /><br />If you need to mix suffixes, remember to put that suffix at the end and add space between suffixes, see the example:</p>\r\n<p><img src="images/sample/height2.jpg" alt="height2" border="0" /><br /><br /></p>','',1,78,'2014-06-25 09:42:57',56,'','2015-01-19 11:00:30',56,0,'0000-00-00 00:00:00','2014-06-25 09:42:57','0000-00-00 00:00:00','{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',12,5,'','',1,26,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(122,363,'Vestibulum','vestibulum','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',-2,93,'2014-05-15 12:44:15',56,'','2014-07-08 13:19:33',800,0,'0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/culinary\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',10,5,'','',1,0,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(123,365,'Nunc Placerat','nunc-placerat','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',-2,93,'2014-05-15 12:44:15',56,'','2014-07-08 13:19:19',800,0,'0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/culinary\\/blog\\/blog3.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',10,6,'','',1,1,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(124,367,'Males Ultricies','males-ultricies','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',-2,93,'2014-05-15 12:44:15',56,'','2014-07-08 13:19:06',800,0,'0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/culinary\\/blog\\/blog2.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',11,7,'','',1,0,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(125,369,'Praesent Vehicula','praesent-vehicula','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',-2,93,'2014-05-15 12:44:15',56,'','2014-07-08 13:18:47',800,0,'0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/culinary\\/blog\\/blog4.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',10,1,'','',1,5,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(126,371,'Aliquam Feugiat','aliquam-feugiat','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',-2,93,'2014-05-15 12:44:15',56,'','2014-07-08 13:18:34',800,0,'0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/culinary\\/blog\\/blog6.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',12,9,'','',1,2,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(127,373,'Nulla Scelerisque','nulla-scelerisque','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',-2,93,'2014-05-15 12:44:15',56,'','2014-07-08 13:18:21',800,0,'0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/culinary\\/blog\\/blog5.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',10,10,'','',1,1,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(128,375,'Consec Adipisc','consec-adipisc','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',-2,93,'2014-05-15 12:44:15',56,'','2014-07-08 13:20:37',800,0,'0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/culinary\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',11,2,'','',1,0,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(129,377,'Lorem Ipsum','lorem-ipsum','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>',-2,93,'2014-05-15 12:44:15',56,'','2014-07-08 13:21:02',800,0,'0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','{"image_intro":"images\\/culinary\\/blog\\/blog2.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',13,12,'','',1,5,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(130,395,'All Template Positions','all-template-positions','<p><strong>JM Internet</strong> Joomla template is using fully responsive layout that adjusts to various screens: desktops, tablets or mobiles.<br /><a title="EF4 Framework" href="http://www.joomla-monster.com/index.php?option=com_content&amp;id=137&amp;view=category&amp;Itemid=548" target="_blank">EF4 Framework</a> includes <a title="Layout Builder" href="http://www.joomla-monster.com/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034" target="_blank">Layout Builder</a> tool which allows you to customize template layout for different screen dimensions.</p>\r\n','\r\n<p> </p>\r\n<h3 style="text-align: center;">Module positions for normal and large screen <small>usually desktop and tablet landscape (980px and higher)</small></h3>\r\n<p> </p>\r\n<p style="text-align: center;"><a title="Layout Builder" href="http://www.joomla-monster.com/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034" target="_blank"><img title="Module positions for normal and large screen" src="images/sample/normal-positions.png" alt="Module positions for normal and large screen" border="0" /></a></p>\r\n<p style="text-align: center;"><a class="btn" title="Layout Builder" href="http://www.joomla-monster.com/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034" target="_blank">Check out more details about layout customization!</a></p>\r\n<p> </p>\r\n<h3 style="text-align: center;">Module positions for medium screen <small>usually tablet (768px-979px)</small></h3>\r\n<p> </p>\r\n<p style="text-align: center;"><a title="Layout Builder" href="http://www.joomla-monster.com/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034" target="_blank"><img title="Module positions for medium screen" src="images/sample/medium-positions.png" alt="Module positions for medium screen" border="0" /></a></p>\r\n<p style="text-align: center;"><a class="btn" title="Layout Builder" href="http://www.joomla-monster.com/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034" target="_blank">Check out more details about layout customization!</a></p>\r\n<p> </p>\r\n<h3 style="text-align: center;">Module positions for small screen <small>usually tablet portrait and mobile landscape (481px-767px)</small></h3>\r\n<p> </p>\r\n<p style="text-align: center;"><a title="Layout Builder" href="http://www.joomla-monster.com/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034" target="_blank"><img title="Module positions for small screen" src="images/sample/small-positions.png" alt="Module positions for small screen" border="0" /></a></p>\r\n<p style="text-align: center;"><a class="btn" title="Layout Builder" href="http://www.joomla-monster.com/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034" target="_blank">Check out more details about layout customization!</a></p>\r\n<p> </p>\r\n<h3 style="text-align: center;">Module positions for extra small screen <small>usually mobile portrait (480px and smaller)</small></h3>\r\n<p> </p>\r\n<p style="text-align: center;"><a title="Layout Builder" href="http://www.joomla-monster.com/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034" target="_blank"><img title="Module positions for extra small screen" src="images/sample/extrasmall-positions.png" alt="Module positions for extra small screen" border="0" /></a></p>\r\n<p style="text-align: center;"><a class="btn" title="Layout Builder" href="http://www.joomla-monster.com/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034" target="_blank">Check out more details about layout customization!</a></p>',1,78,'2014-06-25 09:42:57',56,'','2015-01-16 13:33:38',56,0,'0000-00-00 00:00:00','2014-06-25 09:42:57','0000-00-00 00:00:00','{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',8,4,'','',1,14,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(131,396,'Error 404','error-404','<p> </p>\r\n<div class="jm-error-page">\r\n<h1>404 OOPS!</h1>\r\n<h2>Page not found!</h2>\r\n<p>"Sorry, it appears the page you were looking for does not exist anymore or might have been moved.<br />Please try your luck again."</p>\r\n{loadposition error404-search} <a class="btn btn-large" href="index.php">Take me home</a>\r\n<p> </p>\r\n</div>\r\n<p>This is a Joomla! article displayed as custom 404 page.</p>\r\n<p><strong>How to modify this page?</strong><br /> <strong>Step 1:</strong> Go to Content -&gt; Article Manager.<br /> <strong>Step 2:</strong> Find and edit the "Error 404" article.</p>\r\n<p><strong>How is the search module displayed?</strong><br /> It is displayed using the "Content - Load Modules" plugin. It allows to display a module in a Joomla article.<br />The module is published on the following position: error404-search</p>\r\n<p><strong>How to display a different article as custom 404 page?</strong><br />If you want to display other article, you need to change the article ID in the following location: /templates/jm-template/error.php</p>','',1,78,'2014-06-25 09:42:57',56,'','2015-01-14 08:37:33',56,0,'0000-00-00 00:00:00','2014-06-25 09:42:57','0000-00-00 00:00:00','{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',6,3,'','',1,36,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(132,398,'Offline Page','offline-page','<p style="text-align: center;"><img src="images/sample/offline.png" alt="Offline Page" /></p>\r\n<p> </p>\r\n<p>There is a possibility to disable access to the front of your site.</p>\r\n<p><strong>How to enable the offline page?</strong><br /> <strong>Step 1:</strong> Go to "System -&gt; Global Configuration -&gt; Site".<br /><strong>Step 2:</strong> Click on "Yes" for "Site Offline" option.<br /> <strong>Step 3:</strong> Fill in a text for "Offline Message" to give your visitors some explanation about why your website is unavailable.<br /> <strong>Step 4:</strong> Click on "Save" to save your settings.</p>\r\n<p><strong>How to customize the offline page?</strong><br /> You need to edit the following file: /templates/jm-template/offline.php</p>','',1,78,'2014-06-25 09:42:57',56,'','2015-01-14 08:42:06',56,0,'0000-00-00 00:00:00','2014-06-25 09:42:57','0000-00-00 00:00:00','{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',6,2,'','',1,15,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(133,399,'Examples','examples','<div class="row-fluid">\r\n<div class="span4">\r\n<h3>Business Theme</h3>\r\n<a title="JM-Services Business" href="index.php?option=com_content&amp;view=article&amp;id=73&amp;Itemid=435"><img src="images/sample/jm-services-business.jpg" alt="JM Services" /></a></div>\r\n<div class="span4">\r\n<h3>Culinary Theme</h3>\r\n<a title="JM-Services Culinary" href="index.php?option=com_content&amp;view=category&amp;layout=blog&amp;id=93&amp;Itemid=568"><img src="images/sample/jm-services-culinary.jpg" alt="JM Services" /></a></div>\r\n<div class="span4">\r\n<h3>Dental Theme</h3>\r\n<a title="JM-Services Dental" href="index.php?option=com_content&amp;view=article&amp;id=73&amp;Itemid=613"><img src="images/sample/jm-services-dental.jpg" alt="JM Services" /></a></div>\r\n</div>','',1,78,'2014-09-17 13:16:51',56,'','2014-09-17 13:20:12',800,0,'0000-00-00 00:00:00','2014-09-17 13:16:51','0000-00-00 00:00:00','{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',2,1,'','',1,1,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(134,410,'Home','home','<div class="jm-custom-content clearfix">\r\n<div class="jm-icon">\r\n<div class="jm-icon-in"><span class="up">Up to</span> <span class="middle">250</span> <span class="down">Mbps</span></div>\r\n</div>\r\n<div class="jm-description"><span class="title">High speed internet</span>\r\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<br />In facilisis at augue imperdiet dignissim.</p>\r\n<p class="custom-icon1"><span>Lorem ipsum dolor</span>Proin iaculis purus consequat sem cure digni ssim.</p>\r\n<p class="custom-icon2"><span>Adipiscing elit</span>Proin iaculis purus consequat sem cure.</p>\r\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<br />In facilisis at augue imperdiet dignissim.</p>\r\n<a href="index.php?option=com_content&amp;view=article&amp;id=73&amp;Itemid=479" class="readmore">Read more</a></div>\r\n</div>','',1,78,'2015-01-13 08:33:21',56,'','2015-01-19 09:29:19',56,0,'0000-00-00 00:00:00','2015-01-13 08:33:21','0000-00-00 00:00:00','{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"0","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',7,0,'','',1,486,'{"robots":"","author":"","rights":"","xreference":""}',0,'*',''),
(135,413,'Pricing Tables','pricing','<div class="jm-pricing clearfix col3">\r\n<div class="box">\r\n<div class="box-in">\r\n<div class="price"><span class="up">as low as</span> <span class="middle">29.95</span> <span class="down">month</span></div>\r\n<div class="title">Cable Internet</div>\r\n<div class="content">\r\n<div class="subtitle">step up to earthlink cable internet at the speed of life</div>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet</li>\r\n<li>Morbi rhoncus diam quis augue</li>\r\n<li>Proin non finibus diam</li>\r\n<li>Pellentesque varius</li>\r\n<li>Vivamus quis leo</li>\r\n<li>Donec ut elit maximus</li>\r\n</ul>\r\n</div>\r\n<div class="bottom"><a class="btn" href="#">I\'m interested</a></div>\r\n</div>\r\n</div>\r\n<div class="box">\r\n<div class="box-in">\r\n<div class="price"><span class="up">as low as</span> <span class="middle">14.85</span> <span class="down">month</span></div>\r\n<div class="title">DSL Internet</div>\r\n<div class="content">\r\n<div class="subtitle">step up to incredible dsl cable internet</div>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet</li>\r\n<li>Morbi rhoncus diam quis augue</li>\r\n<li>Proin non finibus diam</li>\r\n<li>Pellentesque varius</li>\r\n<li>Vivamus quis leo</li>\r\n<li>Donec ut elit maximus</li>\r\n</ul>\r\n</div>\r\n<div class="bottom"><a class="btn" href="#">I\'m interested</a></div>\r\n</div>\r\n</div>\r\n<div class="box">\r\n<div class="box-in">\r\n<div class="price"><span class="up">as low as</span> <span class="middle">39.95</span> <span class="down">month</span></div>\r\n<div class="title">Satellite Internet</div>\r\n<div class="content">\r\n<div class="subtitle">No dsl or cable in your area? get satellite internet</div>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet</li>\r\n<li>Morbi rhoncus diam quis augue</li>\r\n<li>Proin non finibus diam</li>\r\n<li>Pellentesque varius</li>\r\n<li>Vivamus quis leo</li>\r\n<li>Donec ut elit maximus</li>\r\n</ul>\r\n</div>\r\n<div class="bottom"><a class="btn" href="#">I\'m interested</a></div>\r\n</div>\r\n</div>\r\n</div>','',1,9,'2015-01-14 13:53:11',56,'','2015-01-16 10:55:41',56,0,'0000-00-00 00:00:00','2015-01-14 13:53:11','0000-00-00 00:00:00','{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',6,0,'','',1,41,'{"robots":"","author":"","rights":"","xreference":""}',0,'*','');

DROP TABLE IF EXISTS #__content_frontpage;
CREATE TABLE `#__content_frontpage` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`content_id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__content_frontpage` VALUES 
(8,2),
(24,1),
(35,4),
(50,3);

DROP TABLE IF EXISTS #__content_rating;
CREATE TABLE `#__content_rating` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `rating_sum` int(10) unsigned NOT NULL DEFAULT '0',
  `rating_count` int(10) unsigned NOT NULL DEFAULT '0',
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`content_id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__content_types;
CREATE TABLE `#__content_types` (
  `type_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type_title` varchar(255) NOT NULL DEFAULT '',
  `type_alias` varchar(255) NOT NULL DEFAULT '',
  `table` varchar(255) NOT NULL DEFAULT '',
  `rules` text NOT NULL,
  `field_mappings` text NOT NULL,
  `router` varchar(255) NOT NULL DEFAULT '',
  `content_history_options` varchar(5120) DEFAULT NULL COMMENT 'JSON string for com_contenthistory options',
  PRIMARY KEY (`type_id`),
  KEY `idx_alias` (`type_alias`)
) AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;

INSERT INTO `#__content_types` VALUES 
(1,'Article','com_content.article','{"special":{"dbtable":"#__content","key":"id","type":"Content","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}','','{"common":{"core_content_item_id":"id","core_title":"title","core_state":"state","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"introtext", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"attribs", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"urls", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"asset_id"}, "special":{"fulltext":"fulltext"}}','ContentHelperRoute::getArticleRoute','{"formFile":"administrator\\/components\\/com_content\\/models\\/forms\\/article.xml", "hideFields":["asset_id","checked_out","checked_out_time","version"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"],"displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ]}'),
(2,'Weblink','com_weblinks.weblink','{"special":{"dbtable":"#__weblinks","key":"id","type":"Weblink","prefix":"WeblinksTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}','','{"common":{"core_content_item_id":"id","core_title":"title","core_state":"state","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"urls", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special":{}}','WeblinksHelperRoute::getWeblinkRoute','{"formFile":"administrator\\/components\\/com_weblinks\\/models\\/forms\\/weblink.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","featured","images"], "ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"], "convertToInt":["publish_up", "publish_down", "featured", "ordering"], "displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ]}'),
(3,'Contact','com_contact.contact','{"special":{"dbtable":"#__contact_details","key":"id","type":"Contact","prefix":"ContactTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}','','{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"address", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"image", "core_urls":"webpage", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special":{"con_position":"con_position","suburb":"suburb","state":"state","country":"country","postcode":"postcode","telephone":"telephone","fax":"fax","misc":"misc","email_to":"email_to","default_con":"default_con","user_id":"user_id","mobile":"mobile","sortname1":"sortname1","sortname2":"sortname2","sortname3":"sortname3"}}','ContactHelperRoute::getContactRoute','{"formFile":"administrator\\/components\\/com_contact\\/models\\/forms\\/contact.xml","hideFields":["default_con","checked_out","checked_out_time","version","xreference"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"], "displayLookup":[ {"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ] }'),
(4,'Newsfeed','com_newsfeeds.newsfeed','{"special":{"dbtable":"#__newsfeeds","key":"id","type":"Newsfeed","prefix":"NewsfeedsTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}','','{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"link", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special":{"numarticles":"numarticles","cache_time":"cache_time","rtl":"rtl"}}','NewsfeedsHelperRoute::getNewsfeedRoute','{"formFile":"administrator\\/components\\/com_newsfeeds\\/models\\/forms\\/newsfeed.xml","hideFields":["asset_id","checked_out","checked_out_time","version"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"],"displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ]}'),
(5,'User','com_users.user','{"special":{"dbtable":"#__users","key":"id","type":"User","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}','','{"common":{"core_content_item_id":"id","core_title":"name","core_state":"null","core_alias":"username","core_created_time":"registerdate","core_modified_time":"lastvisitDate","core_body":"null", "core_hits":"null","core_publish_up":"null","core_publish_down":"null","access":"null", "core_params":"params", "core_featured":"null", "core_metadata":"null", "core_language":"null", "core_images":"null", "core_urls":"null", "core_version":"null", "core_ordering":"null", "core_metakey":"null", "core_metadesc":"null", "core_catid":"null", "core_xreference":"null", "asset_id":"null"}, "special":{}}','UsersHelperRoute::getUserRoute',''),
(6,'Article Category','com_content.category','{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}','','{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}','ContentHelperRoute::getCategoryRoute','{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(7,'Contact Category','com_contact.category','{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}','','{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}','ContactHelperRoute::getCategoryRoute','{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(8,'Newsfeeds Category','com_newsfeeds.category','{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}','','{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}','NewsfeedsHelperRoute::getCategoryRoute','{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(9,'Weblinks Category','com_weblinks.category','{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}','','{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}','WeblinksHelperRoute::getCategoryRoute','{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(10,'Tag','com_tags.tag','{"special":{"dbtable":"#__tags","key":"tag_id","type":"Tag","prefix":"TagsTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}','','{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"urls", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"null", "core_xreference":"null", "asset_id":"null"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path"}}','TagsHelperRoute::getTagRoute','{"formFile":"administrator\\/components\\/com_tags\\/models\\/forms\\/tag.xml", "hideFields":["checked_out","checked_out_time","version", "lft", "rgt", "level", "path", "urls", "publish_up", "publish_down"],"ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}'),
(11,'Banner','com_banners.banner','{"special":{"dbtable":"#__banners","key":"id","type":"Banner","prefix":"BannersTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}','','{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"null","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"link", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"null", "asset_id":"null"}, "special":{"imptotal":"imptotal", "impmade":"impmade", "clicks":"clicks", "clickurl":"clickurl", "custombannercode":"custombannercode", "cid":"cid", "purchase_type":"purchase_type", "track_impressions":"track_impressions", "track_clicks":"track_clicks"}}','','{"formFile":"administrator\\/components\\/com_banners\\/models\\/forms\\/banner.xml", "hideFields":["checked_out","checked_out_time","version", "reset"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "imptotal", "impmade", "reset"], "convertToInt":["publish_up", "publish_down", "ordering"], "displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"cid","targetTable":"#__banner_clients","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ]}'),
(12,'Banners Category','com_banners.category','{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}','','{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}','','{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"], "convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(13,'Banner Client','com_banners.client','{"special":{"dbtable":"#__banner_clients","key":"id","type":"Client","prefix":"BannersTable"}}','','','','{"formFile":"administrator\\/components\\/com_banners\\/models\\/forms\\/client.xml", "hideFields":["checked_out","checked_out_time"], "ignoreChanges":["checked_out", "checked_out_time"], "convertToInt":[], "displayLookup":[]}'),
(14,'User Notes','com_users.note','{"special":{"dbtable":"#__user_notes","key":"id","type":"Note","prefix":"UsersTable"}}','','','','{"formFile":"administrator\\/components\\/com_users\\/models\\/forms\\/note.xml", "hideFields":["checked_out","checked_out_time", "publish_up", "publish_down"],"ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time"], "convertToInt":["publish_up", "publish_down"],"displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}'),
(15,'User Notes Category','com_users.category','{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}','','{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}','','{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"], "convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}');

DROP TABLE IF EXISTS #__contentitem_tag_map;
CREATE TABLE `#__contentitem_tag_map` (
  `type_alias` varchar(255) NOT NULL DEFAULT '',
  `core_content_id` int(10) unsigned NOT NULL COMMENT 'PK from the core content table',
  `content_item_id` int(11) NOT NULL COMMENT 'PK from the content type table',
  `tag_id` int(10) unsigned NOT NULL COMMENT 'PK from the tag table',
  `tag_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT 'Date of most recent save for this tag-item',
  `type_id` mediumint(8) NOT NULL COMMENT 'PK from the content_type table',
  UNIQUE KEY `uc_ItemnameTagid` (`type_id`,`content_item_id`,`tag_id`),
  KEY `idx_tag_type` (`tag_id`,`type_id`),
  KEY `idx_date_id` (`tag_date`,`tag_id`),
  KEY `idx_tag` (`tag_id`),
  KEY `idx_type` (`type_id`),
  KEY `idx_core_content_id` (`core_content_id`)
) DEFAULT CHARSET=utf8 COMMENT='Maps items from content tables to tags';

INSERT INTO `#__contentitem_tag_map` VALUES 
('com_content.article',4,96,8,'2014-07-07 17:18:49',1),
('com_content.article',4,96,9,'2014-07-07 17:18:49',1),
('com_content.article',4,96,10,'2014-07-07 17:18:49',1),
('com_content.article',5,97,7,'2014-06-24 18:01:56',1),
('com_content.article',5,97,8,'2014-06-24 18:01:56',1),
('com_content.article',5,97,9,'2014-06-24 18:01:56',1),
('com_content.article',5,97,10,'2014-06-24 18:01:56',1),
('com_content.article',6,98,8,'2014-07-07 17:19:06',1),
('com_content.article',6,98,9,'2014-07-07 17:19:06',1),
('com_content.article',6,98,10,'2014-07-07 17:19:06',1),
('com_content.article',7,99,9,'2014-07-07 17:19:26',1),
('com_content.article',7,99,10,'2014-07-07 17:19:26',1),
('com_content.article',7,99,11,'2014-07-07 17:19:26',1),
('com_content.article',7,99,12,'2014-07-07 17:19:26',1),
('com_content.article',8,100,8,'2014-07-07 17:19:43',1),
('com_content.article',8,100,9,'2014-07-07 17:19:43',1),
('com_content.article',8,100,10,'2014-07-07 17:19:43',1),
('com_content.article',9,101,10,'2014-07-07 17:20:07',1),
('com_content.article',10,102,9,'2014-07-04 12:12:32',1),
('com_content.article',10,102,10,'2014-07-04 12:12:32',1),
('com_content.article',11,103,7,'2014-07-07 17:20:38',1),
('com_content.article',12,104,7,'2014-07-07 17:18:17',1),
('com_content.article',12,104,8,'2014-07-07 17:18:17',1),
('com_content.article',12,104,9,'2014-07-07 17:18:17',1),
('com_content.article',12,104,10,'2014-07-07 17:18:17',1),
('com_content.article',13,105,7,'2014-07-07 17:17:56',1),
('com_content.article',13,105,8,'2014-07-07 17:17:56',1),
('com_content.article',13,105,9,'2014-07-07 17:17:56',1),
('com_content.article',13,105,10,'2014-07-07 17:17:56',1),
('com_content.article',14,106,7,'2014-07-07 17:17:19',1),
('com_content.article',14,106,8,'2014-07-07 17:17:19',1),
('com_content.article',14,106,9,'2014-07-07 17:17:19',1),
('com_content.article',14,106,10,'2014-07-07 17:17:19',1),
('com_content.article',15,107,7,'2014-07-07 17:17:40',1),
('com_content.article',15,107,8,'2014-07-07 17:17:40',1),
('com_content.article',15,107,9,'2014-07-07 17:17:40',1),
('com_content.article',15,107,10,'2014-07-07 17:17:40',1),
('com_content.article',16,108,7,'2014-05-15 16:08:03',1),
('com_content.article',16,108,8,'2014-05-15 16:08:03',1),
('com_content.article',16,108,9,'2014-05-15 16:08:03',1),
('com_content.article',16,108,10,'2014-05-15 16:08:03',1),
('com_content.article',17,109,7,'2014-07-07 16:51:03',1),
('com_content.article',17,109,8,'2014-07-07 16:51:03',1),
('com_content.article',17,109,9,'2014-07-07 16:51:03',1),
('com_content.article',17,109,10,'2014-07-07 16:51:03',1),
('com_content.article',17,109,11,'2014-07-07 16:51:03',1),
('com_content.article',18,110,7,'2014-07-07 16:51:09',1),
('com_content.article',18,110,8,'2014-07-07 16:51:09',1),
('com_content.article',18,110,9,'2014-07-07 16:51:09',1),
('com_content.article',18,110,10,'2014-07-07 16:51:09',1);
INSERT INTO `#__contentitem_tag_map` VALUES 
('com_content.article',18,110,11,'2014-07-07 16:51:09',1),
('com_content.article',19,113,7,'2014-06-24 17:33:42',1),
('com_content.article',19,113,8,'2014-06-24 17:33:42',1),
('com_content.article',19,113,9,'2014-06-24 17:33:42',1),
('com_content.article',19,113,10,'2014-06-24 17:33:42',1),
('com_content.article',20,114,7,'2014-06-24 18:00:34',1),
('com_content.article',20,114,8,'2014-06-24 18:00:34',1),
('com_content.article',20,114,9,'2014-06-24 18:00:34',1),
('com_content.article',20,114,10,'2014-06-24 18:00:34',1),
('com_content.article',21,115,7,'2014-07-07 16:49:56',1),
('com_content.article',21,115,8,'2014-07-07 16:49:56',1),
('com_content.article',21,115,9,'2014-07-07 16:49:56',1),
('com_content.article',21,115,10,'2014-07-07 16:49:56',1),
('com_content.article',21,115,11,'2014-07-07 16:49:56',1),
('com_content.article',22,116,7,'2014-06-24 17:33:42',1),
('com_content.article',22,116,8,'2014-06-24 17:33:42',1),
('com_content.article',22,116,9,'2014-06-24 17:33:42',1),
('com_content.article',22,116,10,'2014-06-24 17:33:42',1),
('com_content.article',23,117,8,'2014-06-24 17:33:42',1),
('com_content.article',23,117,9,'2014-06-24 17:33:42',1),
('com_content.article',23,117,10,'2014-06-24 17:33:42',1),
('com_content.article',23,117,11,'2014-06-24 17:33:42',1),
('com_content.article',23,117,12,'2014-06-24 17:33:42',1),
('com_content.article',24,118,7,'2014-07-07 16:50:34',1),
('com_content.article',24,118,8,'2014-07-07 16:50:34',1),
('com_content.article',24,118,9,'2014-07-07 16:50:34',1),
('com_content.article',24,118,10,'2014-07-07 16:50:34',1),
('com_content.article',24,118,11,'2014-07-07 16:50:34',1),
('com_content.article',25,119,7,'2014-07-07 16:50:26',1),
('com_content.article',25,119,8,'2014-07-07 16:50:26',1),
('com_content.article',25,119,9,'2014-07-07 16:50:26',1),
('com_content.article',25,119,10,'2014-07-07 16:50:26',1),
('com_content.article',25,119,11,'2014-07-07 16:50:26',1),
('com_content.article',26,120,7,'2014-07-07 16:49:38',1),
('com_content.article',26,120,8,'2014-07-07 16:49:38',1),
('com_content.article',26,120,9,'2014-07-07 16:49:38',1),
('com_content.article',26,120,10,'2014-07-07 16:49:38',1),
('com_content.article',26,120,11,'2014-07-07 16:49:38',1),
('com_content.article',27,122,7,'2014-07-08 15:19:33',1),
('com_content.article',28,123,9,'2014-07-08 15:19:19',1),
('com_content.article',28,123,10,'2014-07-08 15:19:19',1),
('com_content.article',29,124,10,'2014-07-08 15:19:06',1),
('com_content.article',30,125,8,'2014-07-08 15:18:47',1),
('com_content.article',30,125,9,'2014-07-08 15:18:47',1),
('com_content.article',30,125,10,'2014-07-08 15:18:47',1),
('com_content.article',31,126,9,'2014-07-08 15:18:34',1),
('com_content.article',31,126,10,'2014-07-08 15:18:34',1),
('com_content.article',31,126,11,'2014-07-08 15:18:34',1),
('com_content.article',31,126,12,'2014-07-08 15:18:34',1),
('com_content.article',32,127,8,'2014-07-08 15:18:21',1);
INSERT INTO `#__contentitem_tag_map` VALUES 
('com_content.article',32,127,9,'2014-07-08 15:18:21',1),
('com_content.article',32,127,10,'2014-07-08 15:18:21',1),
('com_content.article',33,128,7,'2014-07-08 15:20:38',1),
('com_content.article',33,128,8,'2014-07-08 15:20:38',1),
('com_content.article',33,128,9,'2014-07-08 15:20:38',1),
('com_content.article',33,128,10,'2014-07-08 15:20:38',1),
('com_content.article',34,129,8,'2014-07-08 15:21:02',1),
('com_content.article',34,129,9,'2014-07-08 15:21:02',1),
('com_content.article',34,129,10,'2014-07-08 15:21:02',1);

DROP TABLE IF EXISTS #__core_log_searches;
CREATE TABLE `#__core_log_searches` (
  `search_term` varchar(128) NOT NULL DEFAULT '',
  `hits` int(10) unsigned NOT NULL DEFAULT '0'
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__djimageslider;
CREATE TABLE `#__djimageslider` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL DEFAULT '',
  `image` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `catid` (`catid`,`published`)
) AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;

INSERT INTO `#__djimageslider` VALUES 
(1,80,'Solutions for a small planet','solutions-for-a-small-planet','images/djimageslider/header/header2.jpg','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi consectetur dui vel ligula tincidunt egestas. Aenean vitae adipiscing massa. Donec luctus libero vel metus ornare consequat.</p>',1,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'0000-00-00 00:00:00',2,'{"link_type":"menu","link_menu":"795","link_url":"","link_article":"","link_target":""}'),
(2,80,'Get the Best Solution for You','get-the-best-solution-for-you','images/djimageslider/header/header1.jpg','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi consectetur dui vel ligula tincidunt egestas. Aenean vitae adipiscing massa. Donec luctus libero vel metus ornare consequat.</p>',1,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'0000-00-00 00:00:00',1,'{"link_type":"menu","link_menu":"795","link_url":"","link_article":"","link_target":""}'),
(4,81,'Project 1','project-1','images/djimageslider/projects/project1.jpg','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>',1,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'0000-00-00 00:00:00',4,'{"link_type":"menu","link_menu":"795","link_url":"","link_article":"","link_target":""}'),
(5,81,'Project 2','project-2','images/djimageslider/projects/project2.jpg','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>',1,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'0000-00-00 00:00:00',5,'{"link_type":"menu","link_menu":"795","link_url":"","link_article":"","link_target":""}'),
(6,81,'Project 3','project-3','images/djimageslider/projects/project3.jpg','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>',1,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'0000-00-00 00:00:00',6,'{"link_type":"menu","link_menu":"795","link_url":"","link_article":"","link_target":""}'),
(7,81,'Project 4','project-4','images/djimageslider/projects/project4.jpg','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>',1,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'0000-00-00 00:00:00',7,'{"link_type":"menu","link_menu":"795","link_url":"","link_article":"","link_target":""}'),
(8,81,'Project 5','project-5','images/djimageslider/projects/project5.jpg','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>',1,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'0000-00-00 00:00:00',8,'{"link_type":"menu","link_menu":"795","link_url":"","link_article":"","link_target":""}'),
(12,81,'Project6','project6','images/djimageslider/projects/project6.jpg','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>',1,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'0000-00-00 00:00:00',12,'{"link_type":"menu","link_menu":"795","link_url":"","link_article":"","link_target":""}');

DROP TABLE IF EXISTS #__extensions;
CREATE TABLE `#__extensions` (
  `extension_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `type` varchar(20) NOT NULL,
  `element` varchar(100) NOT NULL,
  `folder` varchar(100) NOT NULL,
  `client_id` tinyint(3) NOT NULL,
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  `access` int(10) unsigned NOT NULL DEFAULT '1',
  `protected` tinyint(3) NOT NULL DEFAULT '0',
  `manifest_cache` text NOT NULL,
  `params` text NOT NULL,
  `custom_data` text NOT NULL,
  `system_data` text NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) DEFAULT '0',
  `state` int(11) DEFAULT '0',
  PRIMARY KEY (`extension_id`),
  KEY `element_clientid` (`element`,`client_id`),
  KEY `element_folder_clientid` (`element`,`folder`,`client_id`),
  KEY `extension` (`type`,`element`,`folder`,`client_id`)
) AUTO_INCREMENT=10024 DEFAULT CHARSET=utf8;

INSERT INTO `#__extensions` VALUES 
(1,'com_mailto','component','com_mailto','',0,1,1,1,'{"name":"com_mailto","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MAILTO_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(2,'com_wrapper','component','com_wrapper','',0,1,1,1,'{"name":"com_wrapper","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_WRAPPER_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(3,'com_admin','component','com_admin','',1,1,1,1,'{"name":"com_admin","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_ADMIN_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(4,'com_banners','component','com_banners','',1,1,1,0,'{"name":"com_banners","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_BANNERS_XML_DESCRIPTION","group":""}','{"purchase_type":"3","track_impressions":"0","track_clicks":"0","metakey_prefix":"","save_history":"1","history_limit":10}','','',0,'0000-00-00 00:00:00',0,0),
(5,'com_cache','component','com_cache','',1,1,1,1,'{"name":"com_cache","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CACHE_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(6,'com_categories','component','com_categories','',1,1,1,1,'{"name":"com_categories","type":"component","creationDate":"December 2007","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CATEGORIES_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(7,'com_checkin','component','com_checkin','',1,1,1,1,'{"name":"com_checkin","type":"component","creationDate":"Unknown","author":"Joomla! Project","copyright":"(C) 2005 - 2008 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CHECKIN_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(8,'com_contact','component','com_contact','',1,1,1,0,'{"name":"com_contact","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONTACT_XML_DESCRIPTION","group":""}','{"contact_layout":"_:default","show_contact_category":"hide","save_history":"1","history_limit":10,"show_contact_list":"0","presentation_style":"sliders","show_name":"1","show_position":"1","show_email":"0","show_street_address":"1","show_suburb":"1","show_state":"1","show_postcode":"1","show_country":"1","show_telephone":"1","show_mobile":"1","show_fax":"1","show_webpage":"1","show_misc":"1","show_image":"1","image":"","allow_vcard":"0","show_articles":"0","show_profile":"0","show_links":"0","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_tags":"1","contact_icons":"1","icon_address":"","icon_email":"","icon_telephone":"","icon_mobile":"","icon_fax":"","icon_misc":"","category_layout":"_:default","show_category_title":"1","show_description":"1","show_description_image":"0","maxLevel":"-1","show_empty_categories":"0","show_subcat_desc":"1","show_cat_items":"1","show_cat_tags":"1","show_base_description":"1","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"1","show_cat_items_cat":"1","filter_field":"1","show_pagination_limit":"1","show_headings":"1","show_position_headings":"1","show_email_headings":"0","show_telephone_headings":"1","show_mobile_headings":"0","show_fax_headings":"0","show_suburb_headings":"1","show_state_headings":"1","show_country_headings":"1","show_pagination":"2","show_pagination_results":"1","initial_sort":"ordering","captcha":"","show_email_form":"1","show_email_copy":"1","banned_email":"","banned_subject":"","banned_text":"","validate_session":"1","custom_reply":"0","redirect":"","show_feed_link":"1"}','','',0,'0000-00-00 00:00:00',0,0),
(9,'com_cpanel','component','com_cpanel','',1,1,1,1,'{"name":"com_cpanel","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CPANEL_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(10,'com_installer','component','com_installer','',1,1,1,1,'{"name":"com_installer","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_INSTALLER_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(11,'com_languages','component','com_languages','',1,1,1,1,'{"name":"com_languages","type":"component","creationDate":"2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_LANGUAGES_XML_DESCRIPTION","group":""}','{"administrator":"en-GB","site":"en-GB"}','','',0,'0000-00-00 00:00:00',0,0),
(12,'com_login','component','com_login','',1,1,1,1,'{"name":"com_login","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_LOGIN_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(13,'com_media','component','com_media','',1,1,0,1,'{"name":"com_media","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MEDIA_XML_DESCRIPTION","group":""}','{"upload_extensions":"bmp,csv,doc,gif,ico,jpg,jpeg,odg,odp,ods,odt,pdf,png,ppt,swf,txt,xcf,xls,BMP,CSV,DOC,GIF,ICO,JPG,JPEG,ODG,ODP,ODS,ODT,PDF,PNG,PPT,SWF,TXT,XCF,XLS","upload_maxsize":"10","file_path":"images","image_path":"images","restrict_uploads":"1","allowed_media_usergroup":"3","check_mime":"1","image_extensions":"bmp,gif,jpg,png","ignore_extensions":"","upload_mime":"image\\/jpeg,image\\/gif,image\\/png,image\\/bmp,application\\/x-shockwave-flash,application\\/msword,application\\/excel,application\\/pdf,application\\/powerpoint,text\\/plain,application\\/x-zip","upload_mime_illegal":"text\\/html"}','','',0,'0000-00-00 00:00:00',0,0),
(14,'com_menus','component','com_menus','',1,1,1,1,'{"name":"com_menus","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MENUS_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(15,'com_messages','component','com_messages','',1,1,1,1,'{"name":"com_messages","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MESSAGES_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(16,'com_modules','component','com_modules','',1,1,1,1,'{"name":"com_modules","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MODULES_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(17,'com_newsfeeds','component','com_newsfeeds','',1,1,1,0,'{"name":"com_newsfeeds","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_NEWSFEEDS_XML_DESCRIPTION","group":""}','{"newsfeed_layout":"_:default","save_history":"1","history_limit":5,"show_feed_image":"1","show_feed_description":"1","show_item_description":"1","feed_character_count":"0","feed_display_order":"des","float_first":"right","float_second":"right","show_tags":"1","category_layout":"_:default","show_category_title":"1","show_description":"1","show_description_image":"1","maxLevel":"-1","show_empty_categories":"0","show_subcat_desc":"1","show_cat_items":"1","show_cat_tags":"1","show_base_description":"1","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"1","show_cat_items_cat":"1","filter_field":"1","show_pagination_limit":"1","show_headings":"1","show_articles":"0","show_link":"1","show_pagination":"1","show_pagination_results":"1"}','','',0,'0000-00-00 00:00:00',0,0),
(18,'com_plugins','component','com_plugins','',1,1,1,1,'{"name":"com_plugins","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_PLUGINS_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(19,'com_search','component','com_search','',1,1,1,0,'{"name":"com_search","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_SEARCH_XML_DESCRIPTION","group":""}','{"enabled":"0","show_date":"1"}','','',0,'0000-00-00 00:00:00',0,0),
(20,'com_templates','component','com_templates','',1,1,1,1,'{"name":"com_templates","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_TEMPLATES_XML_DESCRIPTION","group":""}','{"template_positions_display":"0","upload_limit":"2","image_formats":"gif,bmp,jpg,jpeg,png","source_formats":"txt,less,ini,xml,js,php,css","font_formats":"woff,ttf,otf","compressed_formats":"zip"}','','',0,'0000-00-00 00:00:00',0,0),
(21,'com_weblinks','component','com_weblinks','',1,1,1,0,'{"name":"com_weblinks","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_WEBLINKS_XML_DESCRIPTION","group":""}','{"target":"0","save_history":"1","history_limit":5,"count_clicks":"1","icons":1,"link_icons":"","float_first":"right","float_second":"right","show_tags":"1","category_layout":"_:default","show_category_title":"1","show_description":"1","show_description_image":"1","maxLevel":"-1","show_empty_categories":"0","show_subcat_desc":"1","show_cat_num_links":"1","show_cat_tags":"1","show_base_description":"1","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"1","show_cat_num_links_cat":"1","filter_field":"1","show_pagination_limit":"1","show_headings":"0","show_link_description":"1","show_link_hits":"1","show_pagination":"2","show_pagination_results":"1","show_feed_link":"1"}','','',0,'0000-00-00 00:00:00',0,0),
(22,'com_content','component','com_content','',1,1,0,1,'{"name":"com_content","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONTENT_XML_DESCRIPTION","group":""}','{"article_layout":"_:default","show_title":"1","link_titles":"1","show_intro":"1","info_block_position":"0","show_category":"1","link_category":"1","show_parent_category":"0","link_parent_category":"1","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"1","show_vote":"0","show_readmore":"1","show_readmore_title":"0","readmore_limit":"100","show_tags":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"0","urls_position":"0","show_publishing_options":"1","show_article_options":"1","save_history":"1","history_limit":10,"show_urls_images_frontend":"0","show_urls_images_backend":"1","targeta":0,"targetb":0,"targetc":0,"float_intro":"left","float_fulltext":"left","category_layout":"_:blog","show_category_heading_title_text":"1","show_category_title":"0","show_description":"0","show_description_image":"0","maxLevel":"1","show_empty_categories":"0","show_no_articles":"1","show_subcat_desc":"1","show_cat_num_articles":"0","show_base_description":"1","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"1","show_cat_num_articles_cat":"1","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"0","show_subcategory_content":"0","show_pagination_limit":"1","filter_field":"hide","show_headings":"1","list_show_date":"0","date_format":"","list_show_hits":"1","list_show_author":"1","orderby_pri":"order","orderby_sec":"rdate","order_date":"published","show_pagination":"2","show_pagination_results":"1","show_feed_link":"1","feed_summary":"0","feed_show_readmore":"0"}','','',0,'0000-00-00 00:00:00',0,0),
(23,'com_config','component','com_config','',1,1,0,1,'{"name":"com_config","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONFIG_XML_DESCRIPTION","group":""}','{"filters":{"1":{"filter_type":"NH","filter_tags":"","filter_attributes":""},"9":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"6":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"7":{"filter_type":"NONE","filter_tags":"","filter_attributes":""},"2":{"filter_type":"NH","filter_tags":"","filter_attributes":""},"3":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"4":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"5":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"8":{"filter_type":"NONE","filter_tags":"","filter_attributes":""}}}','','',0,'0000-00-00 00:00:00',0,0),
(24,'com_redirect','component','com_redirect','',1,1,0,1,'{"name":"com_redirect","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_REDIRECT_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(25,'com_users','component','com_users','',1,1,0,1,'{"name":"com_users","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_USERS_XML_DESCRIPTION","group":""}','{"allowUserRegistration":"1","new_usertype":"2","guest_usergroup":"13","sendpassword":"1","useractivation":"1","mail_to_admin":"0","captcha":"","frontend_userparams":"1","site_language":"0","change_login_name":"0","reset_count":"10","reset_time":"1","mailSubjectPrefix":"","mailBodySuffix":"","save_history":"1","history_limit":5}','','',0,'0000-00-00 00:00:00',0,0),
(27,'com_finder','component','com_finder','',1,1,0,0,'{"name":"com_finder","type":"component","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_FINDER_XML_DESCRIPTION","group":""}','{"show_description":"1","description_length":255,"allow_empty_query":"0","show_url":"1","show_advanced":"1","expand_advanced":"0","show_date_filters":"0","highlight_terms":"1","opensearch_name":"","opensearch_description":"","batch_size":"50","memory_table_limit":30000,"title_multiplier":"1.7","text_multiplier":"0.7","meta_multiplier":"1.2","path_multiplier":"2.0","misc_multiplier":"0.3","stemmer":"snowball"}','','',0,'0000-00-00 00:00:00',0,0),
(28,'com_joomlaupdate','component','com_joomlaupdate','',1,1,0,1,'{"name":"com_joomlaupdate","type":"component","creationDate":"February 2012","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_JOOMLAUPDATE_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(29,'com_tags','component','com_tags','',1,1,1,1,'{"name":"com_tags","type":"component","creationDate":"December 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"COM_TAGS_XML_DESCRIPTION","group":""}','{"tag_layout":"_:default","save_history":"1","history_limit":5,"show_tag_title":"0","tag_list_show_tag_image":"0","tag_list_show_tag_description":"0","tag_list_image":"","show_tag_num_items":"0","tag_list_orderby":"title","tag_list_orderby_direction":"ASC","show_headings":"0","tag_list_show_date":"0","tag_list_show_item_image":"0","tag_list_show_item_description":"0","tag_list_item_maximum_characters":0,"return_any_or_all":"1","include_children":"0","maximum":200,"tag_list_language_filter":"all","tags_layout":"_:default","all_tags_orderby":"title","all_tags_orderby_direction":"ASC","all_tags_show_tag_image":"0","all_tags_show_tag_descripion":"0","all_tags_tag_maximum_characters":20,"all_tags_show_tag_hits":"0","filter_field":"1","show_pagination_limit":"1","show_pagination":"2","show_pagination_results":"1","tag_field_ajax_mode":"1","show_feed_link":"1"}','','',0,'0000-00-00 00:00:00',0,0),
(30,'com_contenthistory','component','com_contenthistory','',1,1,1,0,'{"name":"com_contenthistory","type":"component","creationDate":"May 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_CONTENTHISTORY_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(31,'com_ajax','component','com_ajax','',1,1,1,0,'{"name":"com_ajax","type":"component","creationDate":"August 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_AJAX_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(32,'com_postinstall','component','com_postinstall','',1,1,1,1,'{"name":"com_postinstall","type":"component","creationDate":"September 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_POSTINSTALL_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(100,'PHPMailer','library','phpmailer','',0,1,1,1,'{"name":"PHPMailer","type":"library","creationDate":"2001","author":"PHPMailer","copyright":"(c) 2001-2003, Brent R. Matzelle, (c) 2004-2009, Andy Prevost. All Rights Reserved., (c) 2010-2013, Jim Jagielski. All Rights Reserved.","authorEmail":"jimjag@gmail.com","authorUrl":"https:\\/\\/github.com\\/PHPMailer\\/PHPMailer","version":"5.2.6","description":"LIB_PHPMAILER_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(101,'SimplePie','library','simplepie','',0,1,1,1,'{"name":"SimplePie","type":"library","creationDate":"2004","author":"SimplePie","copyright":"Copyright (c) 2004-2009, Ryan Parman and Geoffrey Sneddon","authorEmail":"","authorUrl":"http:\\/\\/simplepie.org\\/","version":"1.2","description":"LIB_SIMPLEPIE_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(102,'phputf8','library','phputf8','',0,1,1,1,'{"name":"phputf8","type":"library","creationDate":"2006","author":"Harry Fuecks","copyright":"Copyright various authors","authorEmail":"hfuecks@gmail.com","authorUrl":"http:\\/\\/sourceforge.net\\/projects\\/phputf8","version":"0.5","description":"LIB_PHPUTF8_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(103,'Joomla! Platform','library','joomla','',0,1,1,1,'{"name":"Joomla! Platform","type":"library","creationDate":"2008","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"http:\\/\\/www.joomla.org","version":"13.1","description":"LIB_JOOMLA_XML_DESCRIPTION","group":""}','{"mediaversion":"f0159a1e17b756b05ee960306c18281b"}','','',0,'0000-00-00 00:00:00',0,0),
(104,'IDNA Convert','library','idna_convert','',0,1,1,1,'{"name":"IDNA Convert","type":"library","creationDate":"2004","author":"phlyLabs","copyright":"2004-2011 phlyLabs Berlin, http:\\/\\/phlylabs.de","authorEmail":"phlymail@phlylabs.de","authorUrl":"http:\\/\\/phlylabs.de","version":"0.8.0","description":"LIB_IDNA_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(105,'FOF','library','fof','',0,1,1,1,'{"name":"FOF","type":"library","creationDate":"2014-03-09 12:54:48","author":"Nicholas K. Dionysopoulos \\/ Akeeba Ltd","copyright":"(C)2011-2014 Nicholas K. Dionysopoulos","authorEmail":"nicholas@akeebabackup.com","authorUrl":"https:\\/\\/www.akeebabackup.com","version":"2.2.1","description":"LIB_FOF_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(106,'PHPass','library','phpass','',0,1,1,1,'{"name":"PHPass","type":"library","creationDate":"2004-2006","author":"Solar Designer","copyright":"","authorEmail":"solar@openwall.com","authorUrl":"http:\\/\\/www.openwall.com\\/phpass\\/","version":"0.3","description":"LIB_PHPASS_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(200,'mod_articles_archive','module','mod_articles_archive','',0,1,1,0,'{"name":"mod_articles_archive","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(201,'mod_articles_latest','module','mod_articles_latest','',0,1,1,0,'{"name":"mod_articles_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LATEST_NEWS_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(202,'mod_articles_popular','module','mod_articles_popular','',0,1,1,0,'{"name":"mod_articles_popular","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(203,'mod_banners','module','mod_banners','',0,1,1,0,'{"name":"mod_banners","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_BANNERS_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(204,'mod_breadcrumbs','module','mod_breadcrumbs','',0,1,1,1,'{"name":"mod_breadcrumbs","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_BREADCRUMBS_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(205,'mod_custom','module','mod_custom','',0,1,1,1,'{"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(206,'mod_feed','module','mod_feed','',0,1,1,0,'{"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FEED_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(207,'mod_footer','module','mod_footer','',0,1,1,0,'{"name":"mod_footer","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FOOTER_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(208,'mod_login','module','mod_login','',0,1,1,1,'{"name":"mod_login","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(209,'mod_menu','module','mod_menu','',0,1,1,1,'{"name":"mod_menu","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MENU_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(210,'mod_articles_news','module','mod_articles_news','',0,1,1,0,'{"name":"mod_articles_news","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_NEWS_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(211,'mod_random_image','module','mod_random_image','',0,1,1,0,'{"name":"mod_random_image","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_RANDOM_IMAGE_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0);
INSERT INTO `#__extensions` VALUES 
(212,'mod_related_items','module','mod_related_items','',0,1,1,0,'{"name":"mod_related_items","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_RELATED_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(213,'mod_search','module','mod_search','',0,1,1,0,'{"name":"mod_search","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SEARCH_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(214,'mod_stats','module','mod_stats','',0,1,1,0,'{"name":"mod_stats","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATS_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(215,'mod_syndicate','module','mod_syndicate','',0,1,1,1,'{"name":"mod_syndicate","type":"module","creationDate":"May 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SYNDICATE_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(216,'mod_users_latest','module','mod_users_latest','',0,1,1,0,'{"name":"mod_users_latest","type":"module","creationDate":"December 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_USERS_LATEST_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(217,'mod_weblinks','module','mod_weblinks','',0,1,1,0,'{"name":"mod_weblinks","type":"module","creationDate":"July 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_WEBLINKS_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(218,'mod_whosonline','module','mod_whosonline','',0,1,1,0,'{"name":"mod_whosonline","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_WHOSONLINE_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(219,'mod_wrapper','module','mod_wrapper','',0,1,1,0,'{"name":"mod_wrapper","type":"module","creationDate":"October 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_WRAPPER_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(220,'mod_articles_category','module','mod_articles_category','',0,1,1,0,'{"name":"mod_articles_category","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_CATEGORY_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(221,'mod_articles_categories','module','mod_articles_categories','',0,1,1,0,'{"name":"mod_articles_categories","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(222,'mod_languages','module','mod_languages','',0,1,1,1,'{"name":"mod_languages","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LANGUAGES_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(223,'mod_finder','module','mod_finder','',0,1,0,0,'{"name":"mod_finder","type":"module","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FINDER_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(300,'mod_custom','module','mod_custom','',1,1,1,1,'{"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(301,'mod_feed','module','mod_feed','',1,1,1,0,'{"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FEED_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(302,'mod_latest','module','mod_latest','',1,1,1,0,'{"name":"mod_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LATEST_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(303,'mod_logged','module','mod_logged','',1,1,1,0,'{"name":"mod_logged","type":"module","creationDate":"January 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGGED_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(304,'mod_login','module','mod_login','',1,1,1,1,'{"name":"mod_login","type":"module","creationDate":"March 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(305,'mod_menu','module','mod_menu','',1,1,1,0,'{"name":"mod_menu","type":"module","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MENU_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(307,'mod_popular','module','mod_popular','',1,1,1,0,'{"name":"mod_popular","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(308,'mod_quickicon','module','mod_quickicon','',1,1,1,1,'{"name":"mod_quickicon","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_QUICKICON_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(309,'mod_status','module','mod_status','',1,1,1,0,'{"name":"mod_status","type":"module","creationDate":"Feb 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATUS_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(310,'mod_submenu','module','mod_submenu','',1,1,1,0,'{"name":"mod_submenu","type":"module","creationDate":"Feb 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SUBMENU_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(311,'mod_title','module','mod_title','',1,1,1,0,'{"name":"mod_title","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_TITLE_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(312,'mod_toolbar','module','mod_toolbar','',1,1,1,1,'{"name":"mod_toolbar","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_TOOLBAR_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(313,'mod_multilangstatus','module','mod_multilangstatus','',1,1,1,0,'{"name":"mod_multilangstatus","type":"module","creationDate":"September 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MULTILANGSTATUS_XML_DESCRIPTION","group":""}','{"cache":"0"}','','',0,'0000-00-00 00:00:00',0,0),
(314,'mod_version','module','mod_version','',1,1,1,0,'{"name":"mod_version","type":"module","creationDate":"January 2012","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_VERSION_XML_DESCRIPTION","group":""}','{"format":"short","product":"1","cache":"0"}','','',0,'0000-00-00 00:00:00',0,0),
(315,'mod_stats_admin','module','mod_stats_admin','',1,1,1,0,'{"name":"mod_stats_admin","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATS_XML_DESCRIPTION","group":""}','{"serverinfo":"0","siteinfo":"0","counter":"0","increase":"0","cache":"1","cache_time":"900","cachemode":"static"}','','',0,'0000-00-00 00:00:00',0,0),
(316,'mod_tags_popular','module','mod_tags_popular','',0,1,1,0,'{"name":"mod_tags_popular","type":"module","creationDate":"January 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"MOD_TAGS_POPULAR_XML_DESCRIPTION","group":""}','{"maximum":"5","timeframe":"alltime","owncache":"1"}','','',0,'0000-00-00 00:00:00',0,0),
(317,'mod_tags_similar','module','mod_tags_similar','',0,1,1,0,'{"name":"mod_tags_similar","type":"module","creationDate":"January 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"MOD_TAGS_SIMILAR_XML_DESCRIPTION","group":""}','{"maximum":"5","matchtype":"any","owncache":"1"}','','',0,'0000-00-00 00:00:00',0,0),
(400,'plg_authentication_gmail','plugin','gmail','authentication',0,0,1,0,'{"name":"plg_authentication_gmail","type":"plugin","creationDate":"February 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_GMAIL_XML_DESCRIPTION","group":""}','{"applysuffix":"0","suffix":"","verifypeer":"1","user_blacklist":""}','','',0,'0000-00-00 00:00:00',1,0),
(401,'plg_authentication_joomla','plugin','joomla','authentication',0,1,1,1,'{"name":"plg_authentication_joomla","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_AUTH_JOOMLA_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(402,'plg_authentication_ldap','plugin','ldap','authentication',0,0,1,0,'{"name":"plg_authentication_ldap","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LDAP_XML_DESCRIPTION","group":""}','{"host":"","port":"389","use_ldapV3":"0","negotiate_tls":"0","no_referrals":"0","auth_method":"bind","base_dn":"","search_string":"","users_dn":"","username":"admin","password":"bobby7","ldap_fullname":"fullName","ldap_email":"mail","ldap_uid":"uid"}','','',0,'0000-00-00 00:00:00',3,0),
(403,'plg_content_contact','plugin','contact','content',0,1,1,0,'{"name":"plg_content_contact","type":"plugin","creationDate":"January 2014","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.2","description":"PLG_CONTENT_CONTACT_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',1,0),
(404,'plg_content_emailcloak','plugin','emailcloak','content',0,1,1,0,'{"name":"plg_content_emailcloak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_EMAILCLOAK_XML_DESCRIPTION","group":""}','{"mode":"1"}','','',0,'0000-00-00 00:00:00',1,0),
(406,'plg_content_loadmodule','plugin','loadmodule','content',0,1,1,0,'{"name":"plg_content_loadmodule","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LOADMODULE_XML_DESCRIPTION","group":""}','{"style":"xhtml"}','','',0,'2011-09-18 15:22:50',0,0),
(407,'plg_content_pagebreak','plugin','pagebreak','content',0,1,1,0,'{"name":"plg_content_pagebreak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_PAGEBREAK_XML_DESCRIPTION","group":""}','{"title":"1","article_index":"1","article_index_text":"","multipage_toc":"1","showall":"1","style":"tabs"}','','',0,'0000-00-00 00:00:00',4,0),
(408,'plg_content_pagenavigation','plugin','pagenavigation','content',0,1,1,0,'{"name":"plg_content_pagenavigation","type":"plugin","creationDate":"January 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_PAGENAVIGATION_XML_DESCRIPTION","group":""}','{"position":"1"}','','',0,'0000-00-00 00:00:00',5,0),
(409,'plg_content_vote','plugin','vote','content',0,1,1,0,'{"name":"plg_content_vote","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_VOTE_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',6,0),
(410,'plg_editors_codemirror','plugin','codemirror','editors',0,1,1,1,'{"name":"plg_editors_codemirror","type":"plugin","creationDate":"28 March 2011","author":"Marijn Haverbeke","copyright":"","authorEmail":"N\\/A","authorUrl":"","version":"3.15","description":"PLG_CODEMIRROR_XML_DESCRIPTION","group":""}','{"lineNumbers":"1","lineWrapping":"1","matchTags":"1","matchBrackets":"1","marker-gutter":"1","autoCloseTags":"1","autoCloseBrackets":"1","autoFocus":"1","theme":"default","tabmode":"indent"}','','',0,'0000-00-00 00:00:00',1,0),
(411,'plg_editors_none','plugin','none','editors',0,1,1,1,'{"name":"plg_editors_none","type":"plugin","creationDate":"August 2004","author":"Unknown","copyright":"","authorEmail":"N\\/A","authorUrl":"","version":"3.0.0","description":"PLG_NONE_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',2,0),
(412,'plg_editors_tinymce','plugin','tinymce','editors',0,1,1,0,'{"name":"plg_editors_tinymce","type":"plugin","creationDate":"2005-2014","author":"Moxiecode Systems AB","copyright":"Moxiecode Systems AB","authorEmail":"N\\/A","authorUrl":"tinymce.moxiecode.com","version":"4.1.2","description":"PLG_TINY_XML_DESCRIPTION","group":""}','{"mode":"1","skin":"0","mobile":"0","entity_encoding":"raw","lang_mode":"1","text_direction":"ltr","content_css":"1","content_css_custom":"","relative_urls":"1","newlines":"0","invalid_elements":"dummy","valid_elements":"","extended_elements":"span[*],a[*],p[*],div[*]","html_height":"550","html_width":"750","resizing":"1","element_path":"1","fonts":"1","paste":"1","searchreplace":"1","insertdate":"1","colors":"1","table":"1","smilies":"1","hr":"1","link":"1","media":"1","print":"1","directionality":"1","fullscreen":"1","alignment":"1","visualchars":"1","visualblocks":"1","nonbreaking":"1","template":"1","blockquote":"1","wordcount":"1","image_advtab":"1","advlist":"1","autosave":"1","contextmenu":"1","inlinepopups":"1","custom_plugin":"","custom_button":""}','','',0,'0000-00-00 00:00:00',3,0),
(413,'plg_editors-xtd_article','plugin','article','editors-xtd',0,1,1,1,'{"name":"plg_editors-xtd_article","type":"plugin","creationDate":"October 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_ARTICLE_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',1,0),
(414,'plg_editors-xtd_image','plugin','image','editors-xtd',0,1,1,0,'{"name":"plg_editors-xtd_image","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_IMAGE_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',2,0),
(415,'plg_editors-xtd_pagebreak','plugin','pagebreak','editors-xtd',0,1,1,0,'{"name":"plg_editors-xtd_pagebreak","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_EDITORSXTD_PAGEBREAK_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',3,0),
(416,'plg_editors-xtd_readmore','plugin','readmore','editors-xtd',0,1,1,0,'{"name":"plg_editors-xtd_readmore","type":"plugin","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_READMORE_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',4,0),
(417,'plg_search_categories','plugin','categories','search',0,1,1,0,'{"name":"plg_search_categories","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CATEGORIES_XML_DESCRIPTION","group":""}','{"search_limit":"50","search_content":"1","search_archived":"1"}','','',0,'0000-00-00 00:00:00',0,0),
(418,'plg_search_contacts','plugin','contacts','search',0,1,1,0,'{"name":"plg_search_contacts","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CONTACTS_XML_DESCRIPTION","group":""}','{"search_limit":"50","search_content":"1","search_archived":"1"}','','',0,'0000-00-00 00:00:00',0,0),
(419,'plg_search_content','plugin','content','search',0,1,1,0,'{"name":"plg_search_content","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CONTENT_XML_DESCRIPTION","group":""}','{"search_limit":"50","search_content":"1","search_archived":"1"}','','',0,'0000-00-00 00:00:00',0,0),
(420,'plg_search_newsfeeds','plugin','newsfeeds','search',0,1,1,0,'{"name":"plg_search_newsfeeds","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_NEWSFEEDS_XML_DESCRIPTION","group":""}','{"search_limit":"50","search_content":"1","search_archived":"1"}','','',0,'0000-00-00 00:00:00',0,0),
(421,'plg_search_weblinks','plugin','weblinks','search',0,1,1,0,'{"name":"plg_search_weblinks","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_WEBLINKS_XML_DESCRIPTION","group":""}','{"search_limit":"50","search_content":"1","search_archived":"1"}','','',0,'0000-00-00 00:00:00',0,0);
INSERT INTO `#__extensions` VALUES 
(422,'plg_system_languagefilter','plugin','languagefilter','system',0,0,1,1,'{"name":"plg_system_languagefilter","type":"plugin","creationDate":"July 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LANGUAGEFILTER_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',1,0),
(423,'plg_system_p3p','plugin','p3p','system',0,1,1,0,'{"name":"plg_system_p3p","type":"plugin","creationDate":"September 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_P3P_XML_DESCRIPTION","group":""}','{"headers":"NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM"}','','',0,'0000-00-00 00:00:00',2,0),
(424,'plg_system_cache','plugin','cache','system',0,0,1,1,'{"name":"plg_system_cache","type":"plugin","creationDate":"February 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CACHE_XML_DESCRIPTION","group":""}','{"browsercache":"0","cachetime":"15"}','','',0,'0000-00-00 00:00:00',9,0),
(425,'plg_system_debug','plugin','debug','system',0,1,1,0,'{"name":"plg_system_debug","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_DEBUG_XML_DESCRIPTION","group":""}','{"profile":"1","queries":"1","memory":"1","language_files":"1","language_strings":"1","strip-first":"1","strip-prefix":"","strip-suffix":""}','','',0,'0000-00-00 00:00:00',4,0),
(426,'plg_system_log','plugin','log','system',0,1,1,1,'{"name":"plg_system_log","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LOG_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',5,0),
(427,'plg_system_redirect','plugin','redirect','system',0,0,1,1,'{"name":"plg_system_redirect","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_REDIRECT_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',6,0),
(428,'plg_system_remember','plugin','remember','system',0,1,1,1,'{"name":"plg_system_remember","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_REMEMBER_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',7,0),
(429,'plg_system_sef','plugin','sef','system',0,1,1,0,'{"name":"plg_system_sef","type":"plugin","creationDate":"December 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEF_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',8,0),
(430,'plg_system_logout','plugin','logout','system',0,1,1,1,'{"name":"plg_system_logout","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LOGOUT_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',3,0),
(431,'plg_user_contactcreator','plugin','contactcreator','user',0,0,1,0,'{"name":"plg_user_contactcreator","type":"plugin","creationDate":"August 2009","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTACTCREATOR_XML_DESCRIPTION","group":""}','{"autowebpage":"","category":"34","autopublish":"0"}','','',0,'0000-00-00 00:00:00',1,0),
(432,'plg_user_joomla','plugin','joomla','user',0,1,1,0,'{"name":"plg_user_joomla","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2009 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_USER_JOOMLA_XML_DESCRIPTION","group":""}','{"strong_passwords":"1","autoregister":"1"}','','',0,'0000-00-00 00:00:00',2,0),
(433,'plg_user_profile','plugin','profile','user',0,1,1,0,'{"name":"plg_user_profile","type":"plugin","creationDate":"January 2008","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_USER_PROFILE_XML_DESCRIPTION","group":""}','{"register-require_address1":"1","register-require_address2":"1","register-require_city":"1","register-require_region":"1","register-require_country":"1","register-require_postal_code":"1","register-require_phone":"1","register-require_website":"1","register-require_favoritebook":"1","register-require_aboutme":"1","register-require_tos":"1","register-require_dob":"1","profile-require_address1":"1","profile-require_address2":"1","profile-require_city":"1","profile-require_region":"1","profile-require_country":"1","profile-require_postal_code":"1","profile-require_phone":"1","profile-require_website":"1","profile-require_favoritebook":"1","profile-require_aboutme":"1","profile-require_tos":"1","profile-require_dob":"1"}','','',0,'0000-00-00 00:00:00',0,0),
(434,'plg_extension_joomla','plugin','joomla','extension',0,1,1,1,'{"name":"plg_extension_joomla","type":"plugin","creationDate":"May 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_EXTENSION_JOOMLA_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',1,0),
(435,'plg_content_joomla','plugin','joomla','content',0,1,1,0,'{"name":"plg_content_joomla","type":"plugin","creationDate":"November 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_JOOMLA_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(436,'plg_system_languagecode','plugin','languagecode','system',0,0,1,0,'{"name":"plg_system_languagecode","type":"plugin","creationDate":"November 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LANGUAGECODE_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',10,0),
(437,'plg_quickicon_joomlaupdate','plugin','joomlaupdate','quickicon',0,1,1,1,'{"name":"plg_quickicon_joomlaupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_QUICKICON_JOOMLAUPDATE_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(438,'plg_quickicon_extensionupdate','plugin','extensionupdate','quickicon',0,1,1,1,'{"name":"plg_quickicon_extensionupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_QUICKICON_EXTENSIONUPDATE_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(439,'plg_captcha_recaptcha','plugin','recaptcha','captcha',0,0,1,0,'{"name":"plg_captcha_recaptcha","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CAPTCHA_RECAPTCHA_XML_DESCRIPTION","group":""}','{"public_key":"","private_key":"","theme":"clean"}','','',0,'0000-00-00 00:00:00',0,0),
(440,'plg_system_highlight','plugin','highlight','system',0,1,1,0,'{"name":"plg_system_highlight","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_HIGHLIGHT_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',7,0),
(441,'plg_content_finder','plugin','finder','content',0,1,1,0,'{"name":"plg_content_finder","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_FINDER_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(442,'plg_finder_categories','plugin','categories','finder',0,1,1,0,'{"name":"plg_finder_categories","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CATEGORIES_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',1,0),
(443,'plg_finder_contacts','plugin','contacts','finder',0,1,1,0,'{"name":"plg_finder_contacts","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CONTACTS_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',2,0),
(444,'plg_finder_content','plugin','content','finder',0,1,1,0,'{"name":"plg_finder_content","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CONTENT_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',3,0),
(445,'plg_finder_newsfeeds','plugin','newsfeeds','finder',0,1,1,0,'{"name":"plg_finder_newsfeeds","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_NEWSFEEDS_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',4,0),
(446,'plg_finder_weblinks','plugin','weblinks','finder',0,1,1,0,'{"name":"plg_finder_weblinks","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_WEBLINKS_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',5,0),
(447,'plg_finder_tags','plugin','tags','finder',0,1,1,0,'{"name":"plg_finder_tags","type":"plugin","creationDate":"February 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_TAGS_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(448,'plg_twofactorauth_totp','plugin','totp','twofactorauth',0,0,1,0,'{"name":"plg_twofactorauth_totp","type":"plugin","creationDate":"August 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"PLG_TWOFACTORAUTH_TOTP_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(449,'plg_authentication_cookie','plugin','cookie','authentication',0,1,1,0,'{"name":"plg_authentication_cookie","type":"plugin","creationDate":"July 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_AUTH_COOKIE_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(450,'plg_twofactorauth_yubikey','plugin','yubikey','twofactorauth',0,0,1,0,'{"name":"plg_twofactorauth_yubikey","type":"plugin","creationDate":"September 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"PLG_TWOFACTORAUTH_YUBIKEY_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(451,'plg_search_tags','plugin','tags','search',0,0,1,0,'{"name":"plg_search_tags","type":"plugin","creationDate":"March 2014","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_TAGS_XML_DESCRIPTION","group":""}','{"search_limit":"50","show_tagged_items":"1"}','','',0,'0000-00-00 00:00:00',0,0),
(503,'beez3','template','beez3','',0,1,1,0,'{"name":"beez3","type":"template","creationDate":"25 November 2009","author":"Angie Radtke","copyright":"Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.","authorEmail":"a.radtke@derauftritt.de","authorUrl":"http:\\/\\/www.der-auftritt.de","version":"3.1.0","description":"TPL_BEEZ3_XML_DESCRIPTION","group":""}','{"wrapperSmall":"53","wrapperLarge":"72","sitetitle":"","sitedescription":"","navposition":"center","templatecolor":"nature"}','','',0,'0000-00-00 00:00:00',0,0),
(504,'hathor','template','hathor','',1,1,1,0,'{"name":"hathor","type":"template","creationDate":"May 2010","author":"Andrea Tarr","copyright":"Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.","authorEmail":"hathor@tarrconsulting.com","authorUrl":"http:\\/\\/www.tarrconsulting.com","version":"3.0.0","description":"TPL_HATHOR_XML_DESCRIPTION","group":""}','{"showSiteName":"0","colourChoice":"0","boldText":"0"}','','',0,'0000-00-00 00:00:00',0,0),
(506,'protostar','template','protostar','',0,1,1,0,'{"name":"protostar","type":"template","creationDate":"4\\/30\\/2012","author":"Kyle Ledbetter","copyright":"Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"","version":"1.0","description":"TPL_PROTOSTAR_XML_DESCRIPTION","group":""}','{"templateColor":"","logoFile":"","googleFont":"1","googleFontName":"Open+Sans","fluidContainer":"0"}','','',0,'0000-00-00 00:00:00',0,0),
(507,'isis','template','isis','',1,1,1,0,'{"name":"isis","type":"template","creationDate":"3\\/30\\/2012","author":"Kyle Ledbetter","copyright":"Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"","version":"1.0","description":"TPL_ISIS_XML_DESCRIPTION","group":""}','{"templateColor":"","logoFile":""}','','',0,'0000-00-00 00:00:00',0,0),
(600,'English (United Kingdom)','language','en-GB','',0,1,1,1,'{"name":"English (United Kingdom)","type":"language","creationDate":"2013-03-07","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.3.1","description":"en-GB site language","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(601,'English (United Kingdom)','language','en-GB','',1,1,1,1,'{"name":"English (United Kingdom)","type":"language","creationDate":"2013-03-07","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.3.1","description":"en-GB administrator language","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(700,'files_joomla','file','joomla','',0,1,1,1,'{"name":"files_joomla","type":"file","creationDate":"September 2014","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.3.6","description":"FILES_JOOMLA_XML_DESCRIPTION","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(10002,'DJ-Menu','module','mod_djmenu','',0,1,0,0,'{"name":"DJ-Menu","type":"module","creationDate":"April 2014","author":"DJ-Extensions.com","copyright":"Copyright (C) 2012-2014 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"2.0.1","description":"MOD_DJMENU_MODULE_DESC","group":""}','{"menu":"mainmenu","endLevel":"0","css":"1","moo":"1","wrapper":"","select":"0","width":"800","height_fx":"1","width_fx":"1","opacity_fx":"1","height_fx_sub":"1","width_fx_sub":"1","opacity_fx_sub":"1","effect":"cubic","duration":"","delay":"","cache":"1","cache_time":"900","cachemode":"itemid"}','','',0,'0000-00-00 00:00:00',0,0),
(10003,'com_djimageslider','component','com_djimageslider','',1,1,0,0,'{"name":"com_djimageslider","type":"component","creationDate":"August 2012","author":"DJ-Extensions.com","copyright":"Copyright (C) 2012 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"2.2.4","description":"DJ-ImageSlider component","group":""}','{}','','',0,'0000-00-00 00:00:00',0,0),
(10004,'DJ-ImageSlider','module','mod_djimageslider','',0,1,0,0,'{"name":"DJ-ImageSlider","type":"module","creationDate":"March 2013","author":"DJ-Extensions.com","copyright":"Copyright (C) 2013 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"2.2.4","description":"DJ-ImageSlider Module","group":""}','{"slider_source":"0","slider_type":"0","link_image":"1","image_folder":"images\\/sampledata\\/fruitshop","link":"","show_title":"1","show_desc":"1","show_readmore":"0","readmore_text":"","link_title":"1","link_desc":"0","limit_desc":"","image_width":"240","image_height":"180","fit_to":"0","visible_images":"3","space_between_images":"10","max_images":"20","sort_by":"1","effect":"Expo","autoplay":"1","show_buttons":"1","show_arrows":"1","show_custom_nav":"0","desc_width":"","desc_bottom":"0","desc_horizontal":"0","left_arrow":"","right_arrow":"","play_button":"","pause_button":"","arrows_top":"30","arrows_horizontal":"5","effect_type":"0","duration":"","delay":"","preload":"800","cache":"1","cache_time":"900"}','','',0,'0000-00-00 00:00:00',0,0),
(10005,'dj-imageslider','package','pkg_dj-imageslider','',0,1,1,0,'{"name":"DJ-ImageSlider Package","type":"package","creationDate":"August 2012","author":"DJ-Extensions.com","copyright":"Copyright (C) 2012 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"2.2.4","description":"\\n\\t\\t<style> #right-text {font-family:Arial, Helvetica, sans-serif;\\tfont-size:11px;\\t} #right-text a:link, #right-text a:visited {color:#4991c1;font-weight:bold; font-size: 13px;} #right-text a:hover {text-decoration:underline;}\\t#right-text h2 {color:#fa9539;text-transform:uppercase;\\tfont-size:16px;\\tpadding:0;\\tmargin:2px 0;}\\t#right-text p {padding:0;margin:4px 0;}\\t#left-logo {float:left;width:270px;height:120px;display:block;} #left-logo img {margin: 40px 20px;} #right-text {float:left;width:400px;}<\\/style>\\n\\t\\n\\t\\t<div id=\\"left-logo\\">\\n\\t\\t\\t<a target=\\"_blank\\" href=\\"http:\\/\\/dj-extensions.com\\"><img src=\\"http:\\/\\/new.dj-extensions.com\\/templates\\/dj-extensions\\/images\\/logo.png\\" alt=\\"DJ-Extensions.com\\" \\/><\\/a>\\n\\t\\t<\\/div>\\n\\t\\t\\n\\t\\t<div id=\\"right-text\\">\\n\\t\\t\\t<h2>Thank you for installing DJ-ImageSlider!<\\/h2>\\n\\t\\t\\t<p>The DJ-ImageSlider extension allows you to display image slides with title and short description linked to any menu item, article or custom url address.<\\/p>\\n\\t\\t\\t<p>If you want to learn how to use DJ-ImageSlider please read <a target=\\"_blank\\" href=\\"http:\\/\\/dj-extensions.com\\/documentation\\">Documentation<\\/a> and search our <a target=\\"_blank\\" href=\\"http:\\/\\/dj-extensions.com\\/forum\\">Support Forum<\\/a><br \\/><br \\/>Check out our other extensions at <a target=\\"_blank\\" href=\\"http:\\/\\/dj-extensions.com\\">DJ-Extensions.com<\\/a><\\/p>\\n\\t\\t<\\/div>\\n\\t\\n\\t\\t","group":""}','{}','','',0,'0000-00-00 00:00:00',0,0),
(10017,'plg_system_ef4_jmframework','plugin','ef4_jmframework','system',0,1,1,0,'{"name":"plg_system_ef4_jmframework","type":"plugin","creationDate":"November 2012","author":"DJ-Extensions.com LTD","copyright":"Copyright (C) 2010-2012 DJ-Extensions.com LTD, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"4.1","description":"PLG_SYSTEM_JMFRAMEWORK_DESC","group":""}','','','',0,'0000-00-00 00:00:00',0,0),
(10018,'jm-internet','template','jm-internet','',0,1,1,0,'{"name":"jm-internet","type":"template","creationDate":"08\\/01\\/2015","author":"joomla-monster.com","copyright":"Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.","authorEmail":"contact@joomla-monster.com","authorUrl":"joomla-monster.com","version":"1.00","description":"\\n\\t\\n\\t<div class=\\"jm-description clearfix\\">\\n\\t\\t<div class=\\"pull-left\\" style=\\"max-width: 35.69%;\\">\\n\\t\\t\\t<img style=\\"max-width: 100%; box-sizing: border-box; -webkit-box-sizing: border-box; padding: 10px; background: #fff; border: 1px solid #e1e1e1;\\" src=\\"http:\\/\\/www.joomla-monster.com\\/images\\/templates\\/jmservices.png\\" \\/>\\n\\t\\t<\\/div>\\n\\t\\t<div class=\\"pull-left\\" style=\\"max-width: 64.31%; box-sizing: border-box; -webkit-box-sizing: border-box; padding: 0 30px;\\">\\n\\t\\t\\t<div style=\\"margin-bottom: 20px;\\">\\n\\t\\t\\t\\t<h2 style=\\"font-size: 33px; line-height: 40px; font-weight: 600; color: #393939; margin-top: 0;\\">JM Internet<\\/h2>\\n\\t\\t\\t\\t<span style=\\"color: #a0a0a0; display: block; margin-top: -10px;\\">Template version: 1.00<\\/span>\\n\\t\\t\\t\\t<div style=\\"margin: 20px 0 0;\\">\\n\\t\\t\\t\\t\\t<a style=\\"text-decoration: none !important; outline: none;\\" target=\\"_blank\\" href=\\"#\\">\\n\\t\\t\\t\\t\\t\\t<img src=\\"http:\\/\\/joomla-monster.com\\/images\\/templates\\/ef4.png\\" \\/>\\n\\t\\t\\t\\t\\t<\\/a>\\n\\t\\t\\t\\t\\t<a href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&catid=137&id=897&view=article&Itemid=1027\\" target=\\"_blank\\" style=\\"margin: 0 20px; color: #3ea5ea;\\">Based on EF4 Framework<\\/a>\\n\\t\\t\\t\\t<\\/div>\\n\\t\\t\\t<\\/div>\\n\\t\\t\\t<div style=\\"margin-bottom: 20px;\\">\\n\\t\\t\\t\\t<a style=\\"text-decoration: none !important; display: block; outline: none;\\" target=\\"_blank\\" href=\\"http:\\/\\/www.joomla-monster.com\\/\\">\\n\\t\\t\\t\\t\\t<img src=\\"http:\\/\\/joomla-monster.com\\/images\\/templates\\/monster.png\\" \\/>\\n\\t\\t\\t\\t<\\/a>\\n\\t\\t\\t<\\/div>\\n\\t\\t\\t<div style=\\"margin: 0 -20px;\\">\\n\\t\\t\\t\\t<div style=\\"display: inline-block; margin: 0 20px 20px;\\">\\n\\t\\t\\t\\t\\t<span style=\\"display: block; color: #a0a0a0;\\">Templates for Joomla!<\\/span>\\n\\t\\t\\t\\t\\t<a style=\\"font-size: 15px; color: #3ea5ea;\\" target=\\"_blank\\" href=\\"http:\\/\\/www.joomla-monster.com\\">www.joomla-monster.com<\\/a>\\n\\t\\t\\t\\t<\\/div>\\n\\t\\t\\t\\t<div style=\\"display: inline-block; margin: 0 20px 20px;\\">\\n\\t\\t\\t\\t\\t<span style=\\"display: block; color: #a0a0a0;\\">Extensions for Joomla!<\\/span>\\n\\t\\t\\t\\t\\t<a style=\\"font-size: 15px; color: #3ea5ea;\\" target=\\"_blank\\" href=\\"http:\\/\\/www.dj-extensions.com\\">www.dj-extensions.com<\\/a>\\n\\t\\t\\t\\t<\\/div>\\n\\t\\t\\t\\t<div style=\\"display: inline-block; margin: 0 20px 20px;\\">\\n\\t\\t\\t\\t\\t<span style=\\"display: block; color: #a0a0a0;\\">Custom Joomla! Services<\\/span>\\n\\t\\t\\t\\t\\t<a style=\\"font-size: 15px; color: #3ea5ea;\\" target=\\"_blank\\" href=\\"http:\\/\\/www.design-joomla.eu\\">www.design-joomla.eu<\\/a>\\n\\t\\t\\t\\t<\\/div>\\n\\t\\t\\t<\\/div>\\n\\t\\t<\\/div>\\n\\t<\\/div>\\n\\t\\n\\t","group":"jmf-ef4"}','','','',0,'0000-00-00 00:00:00',0,0),
(10021,'F0F (NEW) DO NOT REMOVE','library','lib_f0f','',0,1,1,0,'{"name":"F0F (NEW) DO NOT REMOVE","type":"library","creationDate":"2014-09-11 16:58:22","author":"Nicholas K. Dionysopoulos \\/ Akeeba Ltd","copyright":"(C)2011-2014 Nicholas K. Dionysopoulos","authorEmail":"nicholas@akeebabackup.com","authorUrl":"https:\\/\\/www.akeebabackup.com","version":"rev844F136-1410443902","description":"Framework-on-Framework (FOF) newer version - DO NOT REMOVE - The rapid component development framework for Joomla!. This package is the newer version of FOF, not the one shipped with Joomla! as the official Joomla! RAD Layer. The Joomla! RAD Layer has ceased development in March 2014. DO NOT UNINSTALL THIS PACKAGE, IT IS *** N O T *** A DUPLICATE OF THE \'FOF\' PACKAGE. REMOVING EITHER FOF PACKAGE WILL BREAK YOUR SITE.","group":""}','{}','','',0,'0000-00-00 00:00:00',0,0),
(10023,'DJ-EasyContact','module','mod_dj_easy_contact','',0,1,0,0,'{"name":"DJ-EasyContact","type":"module","creationDate":"January 2015","author":"DJ-Extensions.com","copyright":"Copyright (C) 2013 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.0","description":"Simple Contact Form for Joomla","group":""}','{"email_required":"1","email_recipient":"email@email.com","from_email":"email@email.com","email_subject":"Default Subject","introtext":"","message_type":"1","message_label":"Message","Static_url":"0","Static_url_address":"","exact_url":"1","disable_https":"1","enable_anti_spam":"0","recaptcha_site_key":"","recaptcha_secret_key":"","moduleclass_sfx":"","cache":"1","cache_time":"900"}','','',0,'0000-00-00 00:00:00',0,0);

DROP TABLE IF EXISTS #__finder_filters;
CREATE TABLE `#__finder_filters` (
  `filter_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT '1',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL,
  `created_by_alias` varchar(255) NOT NULL,
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `map_count` int(10) unsigned NOT NULL DEFAULT '0',
  `data` text NOT NULL,
  `params` mediumtext,
  PRIMARY KEY (`filter_id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_links;
CREATE TABLE `#__finder_links` (
  `link_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `url` varchar(255) NOT NULL,
  `route` varchar(255) NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `indexdate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `md5sum` varchar(32) DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `state` int(5) DEFAULT '1',
  `access` int(5) DEFAULT '0',
  `language` varchar(8) NOT NULL,
  `publish_start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `list_price` double unsigned NOT NULL DEFAULT '0',
  `sale_price` double unsigned NOT NULL DEFAULT '0',
  `type_id` int(11) NOT NULL,
  `object` mediumblob NOT NULL,
  PRIMARY KEY (`link_id`),
  KEY `idx_type` (`type_id`),
  KEY `idx_title` (`title`),
  KEY `idx_md5` (`md5sum`),
  KEY `idx_url` (`url`(75)),
  KEY `idx_published_list` (`published`,`state`,`access`,`publish_start_date`,`publish_end_date`,`list_price`),
  KEY `idx_published_sale` (`published`,`state`,`access`,`publish_start_date`,`publish_end_date`,`sale_price`)
) AUTO_INCREMENT=50 DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links` VALUES 
(5,'index.php?option=com_content&view=article&id=131','index.php?option=com_content&view=article&id=131:error-404&catid=78:jm-sample-data&Itemid=657','Error 404','404 OOPS! Page not found! "Sorry, it appears the page you were looking for does not exist anymore or might have been moved. Please try your luck again." {loadposition error404-search} Take me home This is a Joomla! article displayed as custom 404 page. Ho','2015-01-14 09:37:33','7e2f0adde91a21992da608bcbfce56b8',1,1,1,'en-GB','2014-06-25 09:42:57','0000-00-00 00:00:00','2014-06-25 09:42:57','0000-00-00 00:00:00','0','0',4,'O:19:"FinderIndexerResult":19:{s:11:"\0*\0elements";a:24:{s:2:"id";s:3:"131";s:5:"alias";s:9:"error-404";s:7:"summary";s:1052:"<p> </p>\r\n<div class="jm-error-page">\r\n<h1>404 OOPS!</h1>\r\n<h2>Page not found!</h2>\r\n<p>"Sorry, it appears the page you were looking for does not exist anymore or might have been moved.<br />Please try your luck again."</p>\r\n{loadposition error404-search} <a class="btn btn-large" href="index.php">Take me home</a>\r\n<p> </p>\r\n</div>\r\n<p>This is a Joomla! article displayed as custom 404 page.</p>\r\n<p><strong>How to modify this page?</strong><br /> <strong>Step 1:</strong> Go to Content -&gt; Article Manager.<br /> <strong>Step 2:</strong> Find and edit the "Error 404" article.</p>\r\n<p><strong>How is the search module displayed?</strong><br /> It is displayed using the "Content - Load Modules" plugin. It allows to display a module in a Joomla article.<br />The module is published on the following position: error404-search</p>\r\n<p><strong>How to display a different article as custom 404 page?</strong><br />If you want to display other article, you need to change the article ID in the following location: /templates/jm-template/error.php</p>";s:4:"body";s:0:"";s:5:"catid";s:2:"78";s:10:"created_by";s:2:"56";s:16:"created_by_alias";s:0:"";s:8:"modified";s:19:"2015-01-14 08:37:33";s:11:"modified_by";s:2:"56";s:6:"params";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":73:{s:14:"article_layout";s:9:"_:default";s:10:"show_title";s:1:"1";s:11:"link_titles";s:1:"1";s:10:"show_intro";s:1:"1";s:19:"info_block_position";s:1:"0";s:13:"show_category";s:1:"1";s:13:"link_category";s:1:"1";s:20:"show_parent_category";s:1:"0";s:20:"link_parent_category";s:1:"1";s:11:"show_author";s:1:"0";s:11:"link_author";s:1:"0";s:16:"show_create_date";s:1:"0";s:16:"show_modify_date";s:1:"0";s:17:"show_publish_date";s:1:"0";s:20:"show_item_navigation";s:1:"1";s:9:"show_vote";s:1:"0";s:13:"show_readmore";s:1:"1";s:19:"show_readmore_title";s:1:"0";s:14:"readmore_limit";s:3:"100";s:9:"show_tags";s:1:"0";s:10:"show_icons";s:1:"0";s:15:"show_print_icon";s:1:"0";s:15:"show_email_icon";s:1:"0";s:9:"show_hits";s:1:"0";s:11:"show_noauth";s:1:"0";s:13:"urls_position";s:1:"0";s:23:"show_publishing_options";s:1:"1";s:20:"show_article_options";s:1:"1";s:12:"save_history";s:1:"1";s:13:"history_limit";i:10;s:25:"show_urls_images_frontend";s:1:"0";s:24:"show_urls_images_backend";s:1:"1";s:7:"targeta";i:0;s:7:"targetb";i:0;s:7:"targetc";i:0;s:11:"float_intro";s:4:"left";s:14:"float_fulltext";s:4:"left";s:15:"category_layout";s:6:"_:blog";s:32:"show_category_heading_title_text";s:1:"1";s:19:"show_category_title";s:1:"0";s:16:"show_description";s:1:"0";s:22:"show_description_image";s:1:"0";s:8:"maxLevel";s:1:"1";s:21:"show_empty_categories";s:1:"0";s:16:"show_no_articles";s:1:"1";s:16:"show_subcat_desc";s:1:"1";s:21:"show_cat_num_articles";s:1:"0";s:21:"show_base_description";s:1:"1";s:11:"maxLevelcat";s:2:"-1";s:25:"show_empty_categories_cat";s:1:"0";s:20:"show_subcat_desc_cat";s:1:"1";s:25:"show_cat_num_articles_cat";s:1:"1";s:20:"num_leading_articles";s:1:"1";s:18:"num_intro_articles";s:1:"4";s:11:"num_columns";s:1:"2";s:9:"num_links";s:1:"4";s:18:"multi_column_order";s:1:"0";s:24:"show_subcategory_content";s:1:"0";s:21:"show_pagination_limit";s:1:"1";s:12:"filter_field";s:4:"hide";s:13:"show_headings";s:1:"1";s:14:"list_show_date";s:1:"0";s:11:"date_format";s:0:"";s:14:"list_show_hits";s:1:"1";s:16:"list_show_author";s:1:"1";s:11:"orderby_pri";s:5:"order";s:11:"orderby_sec";s:5:"rdate";s:10:"order_date";s:9:"published";s:15:"show_pagination";s:1:"2";s:23:"show_pagination_results";s:1:"1";s:14:"show_feed_link";s:1:"1";s:12:"feed_summary";s:1:"0";s:18:"feed_show_readmore";s:1:"0";}}s:7:"metakey";s:0:"";s:8:"metadesc";s:0:"";s:8:"metadata";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":4:{s:6:"robots";s:0:"";s:6:"author";s:0:"";s:6:"rights";s:0:"";s:10:"xreference";s:0:"";}}s:7:"version";s:1:"6";s:8:"ordering";s:1:"3";s:8:"category";s:14:"JM-Sample-Data";s:9:"cat_state";s:1:"1";s:10:"cat_access";s:1:"1";s:4:"slug";s:13:"131:error-404";s:7:"catslug";s:17:"78:jm-sample-data";s:6:"author";s:10:"Super User";s:6:"layout";s:7:"article";s:4:"path";s:76:"index.php/pages/joomla-other-pages/error-404/78-jm-sample-data/131-error-404";s:10:"metaauthor";N;}s:15:"\0*\0instructions";a:5:{i:1;a:3:{i:0;s:5:"title";i:1;s:8:"subtitle";i:2;s:2:"id";}i:2;a:2:{i:0;s:7:"summary";i:1;s:4:"body";}i:3;a:8:{i:0;s:4:"meta";i:1;s:10:"list_price";i:2;s:10:"sale_price";i:3;s:7:"metakey";i:4;s:8:"metadesc";i:5;s:10:"metaauthor";i:6;s:6:"author";i:7;s:16:"created_by_alias";}i:4;a:2:{i:0;s:4:"path";i:1;s:5:"alias";}i:5;a:1:{i:0;s:8:"comments";}}s:11:"\0*\0taxonomy";a:4:{s:4:"Type";a:1:{s:7:"Article";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:7:"Article";s:5:"state";i:1;s:6:"access";i:1;}}s:6:"Author";a:1:{s:10:"Super User";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:10:"Super User";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Category";a:1:{s:14:"JM-Sample-Data";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:14:"JM-Sample-Data";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Language";a:1:{s:5:"en-GB";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:5:"en-GB";s:5:"state";i:1;s:6:"access";i:1;}}}s:3:"url";s:48:"index.php?option=com_content&view=article&id=131";s:5:"route";s:93:"index.php?option=com_content&view=article&id=131:error-404&catid=78:jm-sample-data&Itemid=657";s:5:"title";s:9:"Error 404";s:11:"description";s:766:"404 OOPS! Page not found! "Sorry, it appears the page you were looking for does not exist anymore or might have been moved. Please try your luck again." {loadposition error404-search} Take me home This is a Joomla! article displayed as custom 404 page. How to modify this page? Step 1: Go to Content -> Article Manager. Step 2: Find and edit the "Error 404" article. How is the search module displayed? It is displayed using the "Content - Load Modules" plugin. It allows to display a module in a Joomla article. The module is published on the following position: error404-search How to display a different article as custom 404 page? If you want to display other article, you need to change the article ID in the following location: /templates/jm-template/error.php";s:9:"published";N;s:5:"state";i:1;s:6:"access";s:1:"1";s:8:"language";s:5:"en-GB";s:18:"publish_start_date";s:19:"2014-06-25 09:42:57";s:16:"publish_end_date";s:19:"0000-00-00 00:00:00";s:10:"start_date";s:19:"2014-06-25 09:42:57";s:8:"end_date";s:19:"0000-00-00 00:00:00";s:10:"list_price";N;s:10:"sale_price";N;s:7:"type_id";i:4;s:15:"defaultLanguage";s:5:"en-GB";}'),
(6,'index.php?option=com_content&view=article&id=132','index.php?option=com_content&view=article&id=132:offline-page&catid=78:jm-sample-data&Itemid=658','Offline Page','There is a possibility to disable access to the front of your site. How to enable the offline page? Step 1: Go to "System -> Global Configuration -> Site". Step 2: Click on "Yes" for "Site Offline" option. Step 3: Fill in a text for "Offline Message" to g','2015-01-14 09:42:06','5c97b59f6debdab1d45e218438f41cb6',1,1,1,'en-GB','2014-06-25 09:42:57','0000-00-00 00:00:00','2014-06-25 09:42:57','0000-00-00 00:00:00','0','0',4,'O:19:"FinderIndexerResult":19:{s:11:"\0*\0elements";a:24:{s:2:"id";s:3:"132";s:5:"alias";s:12:"offline-page";s:7:"summary";s:748:"<p style="text-align: center;"><img src="images/sample/offline.png" alt="Offline Page" /></p>\r\n<p> </p>\r\n<p>There is a possibility to disable access to the front of your site.</p>\r\n<p><strong>How to enable the offline page?</strong><br /> <strong>Step 1:</strong> Go to "System -&gt; Global Configuration -&gt; Site".<br /><strong>Step 2:</strong> Click on "Yes" for "Site Offline" option.<br /> <strong>Step 3:</strong> Fill in a text for "Offline Message" to give your visitors some explanation about why your website is unavailable.<br /> <strong>Step 4:</strong> Click on "Save" to save your settings.</p>\r\n<p><strong>How to customize the offline page?</strong><br /> You need to edit the following file: /templates/jm-template/offline.php</p>";s:4:"body";s:0:"";s:5:"catid";s:2:"78";s:10:"created_by";s:2:"56";s:16:"created_by_alias";s:0:"";s:8:"modified";s:19:"2015-01-14 08:42:06";s:11:"modified_by";s:2:"56";s:6:"params";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":73:{s:14:"article_layout";s:9:"_:default";s:10:"show_title";s:1:"1";s:11:"link_titles";s:1:"1";s:10:"show_intro";s:1:"1";s:19:"info_block_position";s:1:"0";s:13:"show_category";s:1:"1";s:13:"link_category";s:1:"1";s:20:"show_parent_category";s:1:"0";s:20:"link_parent_category";s:1:"1";s:11:"show_author";s:1:"0";s:11:"link_author";s:1:"0";s:16:"show_create_date";s:1:"0";s:16:"show_modify_date";s:1:"0";s:17:"show_publish_date";s:1:"0";s:20:"show_item_navigation";s:1:"1";s:9:"show_vote";s:1:"0";s:13:"show_readmore";s:1:"1";s:19:"show_readmore_title";s:1:"0";s:14:"readmore_limit";s:3:"100";s:9:"show_tags";s:1:"0";s:10:"show_icons";s:1:"0";s:15:"show_print_icon";s:1:"0";s:15:"show_email_icon";s:1:"0";s:9:"show_hits";s:1:"0";s:11:"show_noauth";s:1:"0";s:13:"urls_position";s:1:"0";s:23:"show_publishing_options";s:1:"1";s:20:"show_article_options";s:1:"1";s:12:"save_history";s:1:"1";s:13:"history_limit";i:10;s:25:"show_urls_images_frontend";s:1:"0";s:24:"show_urls_images_backend";s:1:"1";s:7:"targeta";i:0;s:7:"targetb";i:0;s:7:"targetc";i:0;s:11:"float_intro";s:4:"left";s:14:"float_fulltext";s:4:"left";s:15:"category_layout";s:6:"_:blog";s:32:"show_category_heading_title_text";s:1:"1";s:19:"show_category_title";s:1:"0";s:16:"show_description";s:1:"0";s:22:"show_description_image";s:1:"0";s:8:"maxLevel";s:1:"1";s:21:"show_empty_categories";s:1:"0";s:16:"show_no_articles";s:1:"1";s:16:"show_subcat_desc";s:1:"1";s:21:"show_cat_num_articles";s:1:"0";s:21:"show_base_description";s:1:"1";s:11:"maxLevelcat";s:2:"-1";s:25:"show_empty_categories_cat";s:1:"0";s:20:"show_subcat_desc_cat";s:1:"1";s:25:"show_cat_num_articles_cat";s:1:"1";s:20:"num_leading_articles";s:1:"1";s:18:"num_intro_articles";s:1:"4";s:11:"num_columns";s:1:"2";s:9:"num_links";s:1:"4";s:18:"multi_column_order";s:1:"0";s:24:"show_subcategory_content";s:1:"0";s:21:"show_pagination_limit";s:1:"1";s:12:"filter_field";s:4:"hide";s:13:"show_headings";s:1:"1";s:14:"list_show_date";s:1:"0";s:11:"date_format";s:0:"";s:14:"list_show_hits";s:1:"1";s:16:"list_show_author";s:1:"1";s:11:"orderby_pri";s:5:"order";s:11:"orderby_sec";s:5:"rdate";s:10:"order_date";s:9:"published";s:15:"show_pagination";s:1:"2";s:23:"show_pagination_results";s:1:"1";s:14:"show_feed_link";s:1:"1";s:12:"feed_summary";s:1:"0";s:18:"feed_show_readmore";s:1:"0";}}s:7:"metakey";s:0:"";s:8:"metadesc";s:0:"";s:8:"metadata";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":4:{s:6:"robots";s:0:"";s:6:"author";s:0:"";s:6:"rights";s:0:"";s:10:"xreference";s:0:"";}}s:7:"version";s:1:"6";s:8:"ordering";s:1:"2";s:8:"category";s:14:"JM-Sample-Data";s:9:"cat_state";s:1:"1";s:10:"cat_access";s:1:"1";s:4:"slug";s:16:"132:offline-page";s:7:"catslug";s:17:"78:jm-sample-data";s:6:"author";s:10:"Super User";s:6:"layout";s:7:"article";s:4:"path";s:82:"index.php/pages/joomla-other-pages/offline-page/78-jm-sample-data/132-offline-page";s:10:"metaauthor";N;}s:15:"\0*\0instructions";a:5:{i:1;a:3:{i:0;s:5:"title";i:1;s:8:"subtitle";i:2;s:2:"id";}i:2;a:2:{i:0;s:7:"summary";i:1;s:4:"body";}i:3;a:8:{i:0;s:4:"meta";i:1;s:10:"list_price";i:2;s:10:"sale_price";i:3;s:7:"metakey";i:4;s:8:"metadesc";i:5;s:10:"metaauthor";i:6;s:6:"author";i:7;s:16:"created_by_alias";}i:4;a:2:{i:0;s:4:"path";i:1;s:5:"alias";}i:5;a:1:{i:0;s:8:"comments";}}s:11:"\0*\0taxonomy";a:4:{s:4:"Type";a:1:{s:7:"Article";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:7:"Article";s:5:"state";i:1;s:6:"access";i:1;}}s:6:"Author";a:1:{s:10:"Super User";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:10:"Super User";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Category";a:1:{s:14:"JM-Sample-Data";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:14:"JM-Sample-Data";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Language";a:1:{s:5:"en-GB";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:5:"en-GB";s:5:"state";i:1;s:6:"access";i:1;}}}s:3:"url";s:48:"index.php?option=com_content&view=article&id=132";s:5:"route";s:96:"index.php?option=com_content&view=article&id=132:offline-page&catid=78:jm-sample-data&Itemid=658";s:5:"title";s:12:"Offline Page";s:11:"description";s:482:"There is a possibility to disable access to the front of your site. How to enable the offline page? Step 1: Go to "System -> Global Configuration -> Site". Step 2: Click on "Yes" for "Site Offline" option. Step 3: Fill in a text for "Offline Message" to give your visitors some explanation about why your website is unavailable. Step 4: Click on "Save" to save your settings. How to customize the offline page? You need to edit the following file: /templates/jm-template/offline.php";s:9:"published";N;s:5:"state";i:1;s:6:"access";s:1:"1";s:8:"language";s:5:"en-GB";s:18:"publish_start_date";s:19:"2014-06-25 09:42:57";s:16:"publish_end_date";s:19:"0000-00-00 00:00:00";s:10:"start_date";s:19:"2014-06-25 09:42:57";s:8:"end_date";s:19:"0000-00-00 00:00:00";s:10:"list_price";N;s:10:"sale_price";N;s:7:"type_id";i:4;s:15:"defaultLanguage";s:5:"en-GB";}'),
(13,'index.php?option=com_content&view=article&id=129','index.php?option=com_content&view=article&id=129:lorem-ipsum&catid=93:recipes&Itemid=435','Lorem Ipsum','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','2015-01-16 09:56:58','7c71b607965c4ef6144bfad5efb8316a',1,0,1,'en-GB','2014-05-15 12:44:15','0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','0','0',4,'O:19:"FinderIndexerResult":19:{s:11:"\0*\0elements";a:24:{s:2:"id";s:3:"129";s:5:"alias";s:11:"lorem-ipsum";s:7:"summary";s:133:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n";s:4:"body";s:4465:"\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>";s:5:"catid";s:2:"93";s:10:"created_by";s:2:"56";s:16:"created_by_alias";s:0:"";s:8:"modified";s:19:"2014-07-08 13:21:02";s:11:"modified_by";s:3:"800";s:6:"params";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":73:{s:14:"article_layout";s:9:"_:default";s:10:"show_title";s:1:"1";s:11:"link_titles";s:1:"1";s:10:"show_intro";s:1:"1";s:19:"info_block_position";s:1:"0";s:13:"show_category";s:1:"1";s:13:"link_category";s:1:"1";s:20:"show_parent_category";s:1:"0";s:20:"link_parent_category";s:1:"1";s:11:"show_author";s:1:"0";s:11:"link_author";s:1:"0";s:16:"show_create_date";s:1:"0";s:16:"show_modify_date";s:1:"0";s:17:"show_publish_date";s:1:"0";s:20:"show_item_navigation";s:1:"1";s:9:"show_vote";s:1:"0";s:13:"show_readmore";s:1:"1";s:19:"show_readmore_title";s:1:"0";s:14:"readmore_limit";s:3:"100";s:9:"show_tags";s:1:"0";s:10:"show_icons";s:1:"0";s:15:"show_print_icon";s:1:"0";s:15:"show_email_icon";s:1:"0";s:9:"show_hits";s:1:"0";s:11:"show_noauth";s:1:"0";s:13:"urls_position";s:1:"0";s:23:"show_publishing_options";s:1:"1";s:20:"show_article_options";s:1:"1";s:12:"save_history";s:1:"1";s:13:"history_limit";i:10;s:25:"show_urls_images_frontend";s:1:"0";s:24:"show_urls_images_backend";s:1:"1";s:7:"targeta";i:0;s:7:"targetb";i:0;s:7:"targetc";i:0;s:11:"float_intro";s:4:"left";s:14:"float_fulltext";s:4:"left";s:15:"category_layout";s:6:"_:blog";s:32:"show_category_heading_title_text";s:1:"1";s:19:"show_category_title";s:1:"0";s:16:"show_description";s:1:"0";s:22:"show_description_image";s:1:"0";s:8:"maxLevel";s:1:"1";s:21:"show_empty_categories";s:1:"0";s:16:"show_no_articles";s:1:"1";s:16:"show_subcat_desc";s:1:"1";s:21:"show_cat_num_articles";s:1:"0";s:21:"show_base_description";s:1:"1";s:11:"maxLevelcat";s:2:"-1";s:25:"show_empty_categories_cat";s:1:"0";s:20:"show_subcat_desc_cat";s:1:"1";s:25:"show_cat_num_articles_cat";s:1:"1";s:20:"num_leading_articles";s:1:"1";s:18:"num_intro_articles";s:1:"4";s:11:"num_columns";s:1:"2";s:9:"num_links";s:1:"4";s:18:"multi_column_order";s:1:"0";s:24:"show_subcategory_content";s:1:"0";s:21:"show_pagination_limit";s:1:"1";s:12:"filter_field";s:4:"hide";s:13:"show_headings";s:1:"1";s:14:"list_show_date";s:1:"0";s:11:"date_format";s:0:"";s:14:"list_show_hits";s:1:"1";s:16:"list_show_author";s:1:"1";s:11:"orderby_pri";s:5:"order";s:11:"orderby_sec";s:5:"rdate";s:10:"order_date";s:9:"published";s:15:"show_pagination";s:1:"2";s:23:"show_pagination_results";s:1:"1";s:14:"show_feed_link";s:1:"1";s:12:"feed_summary";s:1:"0";s:18:"feed_show_readmore";s:1:"0";}}s:7:"metakey";s:0:"";s:8:"metadesc";s:0:"";s:8:"metadata";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":4:{s:6:"robots";s:0:"";s:6:"author";s:0:"";s:6:"rights";s:0:"";s:10:"xreference";s:0:"";}}s:7:"version";s:2:"13";s:8:"ordering";s:2:"12";s:8:"category";s:7:"Recipes";s:9:"cat_state";s:1:"1";s:10:"cat_access";s:1:"1";s:4:"slug";s:15:"129:lorem-ipsum";s:7:"catslug";s:10:"93:recipes";s:6:"author";s:10:"Super User";s:6:"layout";s:7:"article";s:4:"path";s:36:"index.php/93-recipes/129-lorem-ipsum";s:10:"metaauthor";N;}s:15:"\0*\0instructions";a:5:{i:1;a:3:{i:0;s:5:"title";i:1;s:8:"subtitle";i:2;s:2:"id";}i:2;a:2:{i:0;s:7:"summary";i:1;s:4:"body";}i:3;a:8:{i:0;s:4:"meta";i:1;s:10:"list_price";i:2;s:10:"sale_price";i:3;s:7:"metakey";i:4;s:8:"metadesc";i:5;s:10:"metaauthor";i:6;s:6:"author";i:7;s:16:"created_by_alias";}i:4;a:2:{i:0;s:4:"path";i:1;s:5:"alias";}i:5;a:1:{i:0;s:8:"comments";}}s:11:"\0*\0taxonomy";a:4:{s:4:"Type";a:1:{s:7:"Article";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:7:"Article";s:5:"state";i:1;s:6:"access";i:1;}}s:6:"Author";a:1:{s:10:"Super User";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:10:"Super User";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Category";a:1:{s:7:"Recipes";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:7:"Recipes";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Language";a:1:{s:5:"en-GB";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:5:"en-GB";s:5:"state";i:1;s:6:"access";i:1;}}}s:3:"url";s:48:"index.php?option=com_content&view=article&id=129";s:5:"route";s:88:"index.php?option=com_content&view=article&id=129:lorem-ipsum&catid=93:recipes&Itemid=435";s:5:"title";s:11:"Lorem Ipsum";s:11:"description";s:124:"Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.";s:9:"published";N;s:5:"state";i:0;s:6:"access";s:1:"1";s:8:"language";s:5:"en-GB";s:18:"publish_start_date";s:19:"2014-05-15 12:44:15";s:16:"publish_end_date";s:19:"0000-00-00 00:00:00";s:10:"start_date";s:19:"2014-05-15 12:44:15";s:8:"end_date";s:19:"0000-00-00 00:00:00";s:10:"list_price";N;s:10:"sale_price";N;s:7:"type_id";i:4;s:15:"defaultLanguage";s:5:"en-GB";}'),
(14,'index.php?option=com_content&view=article&id=128','index.php?option=com_content&view=article&id=128:consec-adipisc&catid=93:recipes&Itemid=435','Consec Adipisc','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','2015-01-16 09:56:58','c946d7422a2c9ddfecd8a736202b02b8',1,0,1,'en-GB','2014-05-15 12:44:15','0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','0','0',4,'O:19:"FinderIndexerResult":19:{s:11:"\0*\0elements";a:24:{s:2:"id";s:3:"128";s:5:"alias";s:14:"consec-adipisc";s:7:"summary";s:133:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n";s:4:"body";s:4465:"\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>";s:5:"catid";s:2:"93";s:10:"created_by";s:2:"56";s:16:"created_by_alias";s:0:"";s:8:"modified";s:19:"2014-07-08 13:20:37";s:11:"modified_by";s:3:"800";s:6:"params";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":73:{s:14:"article_layout";s:9:"_:default";s:10:"show_title";s:1:"1";s:11:"link_titles";s:1:"1";s:10:"show_intro";s:1:"1";s:19:"info_block_position";s:1:"0";s:13:"show_category";s:1:"1";s:13:"link_category";s:1:"1";s:20:"show_parent_category";s:1:"0";s:20:"link_parent_category";s:1:"1";s:11:"show_author";s:1:"0";s:11:"link_author";s:1:"0";s:16:"show_create_date";s:1:"0";s:16:"show_modify_date";s:1:"0";s:17:"show_publish_date";s:1:"0";s:20:"show_item_navigation";s:1:"1";s:9:"show_vote";s:1:"0";s:13:"show_readmore";s:1:"1";s:19:"show_readmore_title";s:1:"0";s:14:"readmore_limit";s:3:"100";s:9:"show_tags";s:1:"0";s:10:"show_icons";s:1:"0";s:15:"show_print_icon";s:1:"0";s:15:"show_email_icon";s:1:"0";s:9:"show_hits";s:1:"0";s:11:"show_noauth";s:1:"0";s:13:"urls_position";s:1:"0";s:23:"show_publishing_options";s:1:"1";s:20:"show_article_options";s:1:"1";s:12:"save_history";s:1:"1";s:13:"history_limit";i:10;s:25:"show_urls_images_frontend";s:1:"0";s:24:"show_urls_images_backend";s:1:"1";s:7:"targeta";i:0;s:7:"targetb";i:0;s:7:"targetc";i:0;s:11:"float_intro";s:4:"left";s:14:"float_fulltext";s:4:"left";s:15:"category_layout";s:6:"_:blog";s:32:"show_category_heading_title_text";s:1:"1";s:19:"show_category_title";s:1:"0";s:16:"show_description";s:1:"0";s:22:"show_description_image";s:1:"0";s:8:"maxLevel";s:1:"1";s:21:"show_empty_categories";s:1:"0";s:16:"show_no_articles";s:1:"1";s:16:"show_subcat_desc";s:1:"1";s:21:"show_cat_num_articles";s:1:"0";s:21:"show_base_description";s:1:"1";s:11:"maxLevelcat";s:2:"-1";s:25:"show_empty_categories_cat";s:1:"0";s:20:"show_subcat_desc_cat";s:1:"1";s:25:"show_cat_num_articles_cat";s:1:"1";s:20:"num_leading_articles";s:1:"1";s:18:"num_intro_articles";s:1:"4";s:11:"num_columns";s:1:"2";s:9:"num_links";s:1:"4";s:18:"multi_column_order";s:1:"0";s:24:"show_subcategory_content";s:1:"0";s:21:"show_pagination_limit";s:1:"1";s:12:"filter_field";s:4:"hide";s:13:"show_headings";s:1:"1";s:14:"list_show_date";s:1:"0";s:11:"date_format";s:0:"";s:14:"list_show_hits";s:1:"1";s:16:"list_show_author";s:1:"1";s:11:"orderby_pri";s:5:"order";s:11:"orderby_sec";s:5:"rdate";s:10:"order_date";s:9:"published";s:15:"show_pagination";s:1:"2";s:23:"show_pagination_results";s:1:"1";s:14:"show_feed_link";s:1:"1";s:12:"feed_summary";s:1:"0";s:18:"feed_show_readmore";s:1:"0";}}s:7:"metakey";s:0:"";s:8:"metadesc";s:0:"";s:8:"metadata";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":4:{s:6:"robots";s:0:"";s:6:"author";s:0:"";s:6:"rights";s:0:"";s:10:"xreference";s:0:"";}}s:7:"version";s:2:"11";s:8:"ordering";s:1:"2";s:8:"category";s:7:"Recipes";s:9:"cat_state";s:1:"1";s:10:"cat_access";s:1:"1";s:4:"slug";s:18:"128:consec-adipisc";s:7:"catslug";s:10:"93:recipes";s:6:"author";s:10:"Super User";s:6:"layout";s:7:"article";s:4:"path";s:39:"index.php/93-recipes/128-consec-adipisc";s:10:"metaauthor";N;}s:15:"\0*\0instructions";a:5:{i:1;a:3:{i:0;s:5:"title";i:1;s:8:"subtitle";i:2;s:2:"id";}i:2;a:2:{i:0;s:7:"summary";i:1;s:4:"body";}i:3;a:8:{i:0;s:4:"meta";i:1;s:10:"list_price";i:2;s:10:"sale_price";i:3;s:7:"metakey";i:4;s:8:"metadesc";i:5;s:10:"metaauthor";i:6;s:6:"author";i:7;s:16:"created_by_alias";}i:4;a:2:{i:0;s:4:"path";i:1;s:5:"alias";}i:5;a:1:{i:0;s:8:"comments";}}s:11:"\0*\0taxonomy";a:4:{s:4:"Type";a:1:{s:7:"Article";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:7:"Article";s:5:"state";i:1;s:6:"access";i:1;}}s:6:"Author";a:1:{s:10:"Super User";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:10:"Super User";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Category";a:1:{s:7:"Recipes";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:7:"Recipes";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Language";a:1:{s:5:"en-GB";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:5:"en-GB";s:5:"state";i:1;s:6:"access";i:1;}}}s:3:"url";s:48:"index.php?option=com_content&view=article&id=128";s:5:"route";s:91:"index.php?option=com_content&view=article&id=128:consec-adipisc&catid=93:recipes&Itemid=435";s:5:"title";s:14:"Consec Adipisc";s:11:"description";s:124:"Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.";s:9:"published";N;s:5:"state";i:0;s:6:"access";s:1:"1";s:8:"language";s:5:"en-GB";s:18:"publish_start_date";s:19:"2014-05-15 12:44:15";s:16:"publish_end_date";s:19:"0000-00-00 00:00:00";s:10:"start_date";s:19:"2014-05-15 12:44:15";s:8:"end_date";s:19:"0000-00-00 00:00:00";s:10:"list_price";N;s:10:"sale_price";N;s:7:"type_id";i:4;s:15:"defaultLanguage";s:5:"en-GB";}'),
(15,'index.php?option=com_content&view=article&id=127','index.php?option=com_content&view=article&id=127:nulla-scelerisque&catid=93:recipes&Itemid=435','Nulla Scelerisque','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','2015-01-16 09:56:58','88d7115b54f9cb070c3780d442c34285',1,0,1,'en-GB','2014-05-15 12:44:15','0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','0','0',4,'O:19:"FinderIndexerResult":19:{s:11:"\0*\0elements";a:24:{s:2:"id";s:3:"127";s:5:"alias";s:17:"nulla-scelerisque";s:7:"summary";s:133:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n";s:4:"body";s:4465:"\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>";s:5:"catid";s:2:"93";s:10:"created_by";s:2:"56";s:16:"created_by_alias";s:0:"";s:8:"modified";s:19:"2014-07-08 13:18:21";s:11:"modified_by";s:3:"800";s:6:"params";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":73:{s:14:"article_layout";s:9:"_:default";s:10:"show_title";s:1:"1";s:11:"link_titles";s:1:"1";s:10:"show_intro";s:1:"1";s:19:"info_block_position";s:1:"0";s:13:"show_category";s:1:"1";s:13:"link_category";s:1:"1";s:20:"show_parent_category";s:1:"0";s:20:"link_parent_category";s:1:"1";s:11:"show_author";s:1:"0";s:11:"link_author";s:1:"0";s:16:"show_create_date";s:1:"0";s:16:"show_modify_date";s:1:"0";s:17:"show_publish_date";s:1:"0";s:20:"show_item_navigation";s:1:"1";s:9:"show_vote";s:1:"0";s:13:"show_readmore";s:1:"1";s:19:"show_readmore_title";s:1:"0";s:14:"readmore_limit";s:3:"100";s:9:"show_tags";s:1:"0";s:10:"show_icons";s:1:"0";s:15:"show_print_icon";s:1:"0";s:15:"show_email_icon";s:1:"0";s:9:"show_hits";s:1:"0";s:11:"show_noauth";s:1:"0";s:13:"urls_position";s:1:"0";s:23:"show_publishing_options";s:1:"1";s:20:"show_article_options";s:1:"1";s:12:"save_history";s:1:"1";s:13:"history_limit";i:10;s:25:"show_urls_images_frontend";s:1:"0";s:24:"show_urls_images_backend";s:1:"1";s:7:"targeta";i:0;s:7:"targetb";i:0;s:7:"targetc";i:0;s:11:"float_intro";s:4:"left";s:14:"float_fulltext";s:4:"left";s:15:"category_layout";s:6:"_:blog";s:32:"show_category_heading_title_text";s:1:"1";s:19:"show_category_title";s:1:"0";s:16:"show_description";s:1:"0";s:22:"show_description_image";s:1:"0";s:8:"maxLevel";s:1:"1";s:21:"show_empty_categories";s:1:"0";s:16:"show_no_articles";s:1:"1";s:16:"show_subcat_desc";s:1:"1";s:21:"show_cat_num_articles";s:1:"0";s:21:"show_base_description";s:1:"1";s:11:"maxLevelcat";s:2:"-1";s:25:"show_empty_categories_cat";s:1:"0";s:20:"show_subcat_desc_cat";s:1:"1";s:25:"show_cat_num_articles_cat";s:1:"1";s:20:"num_leading_articles";s:1:"1";s:18:"num_intro_articles";s:1:"4";s:11:"num_columns";s:1:"2";s:9:"num_links";s:1:"4";s:18:"multi_column_order";s:1:"0";s:24:"show_subcategory_content";s:1:"0";s:21:"show_pagination_limit";s:1:"1";s:12:"filter_field";s:4:"hide";s:13:"show_headings";s:1:"1";s:14:"list_show_date";s:1:"0";s:11:"date_format";s:0:"";s:14:"list_show_hits";s:1:"1";s:16:"list_show_author";s:1:"1";s:11:"orderby_pri";s:5:"order";s:11:"orderby_sec";s:5:"rdate";s:10:"order_date";s:9:"published";s:15:"show_pagination";s:1:"2";s:23:"show_pagination_results";s:1:"1";s:14:"show_feed_link";s:1:"1";s:12:"feed_summary";s:1:"0";s:18:"feed_show_readmore";s:1:"0";}}s:7:"metakey";s:0:"";s:8:"metadesc";s:0:"";s:8:"metadata";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":4:{s:6:"robots";s:0:"";s:6:"author";s:0:"";s:6:"rights";s:0:"";s:10:"xreference";s:0:"";}}s:7:"version";s:2:"10";s:8:"ordering";s:2:"10";s:8:"category";s:7:"Recipes";s:9:"cat_state";s:1:"1";s:10:"cat_access";s:1:"1";s:4:"slug";s:21:"127:nulla-scelerisque";s:7:"catslug";s:10:"93:recipes";s:6:"author";s:10:"Super User";s:6:"layout";s:7:"article";s:4:"path";s:42:"index.php/93-recipes/127-nulla-scelerisque";s:10:"metaauthor";N;}s:15:"\0*\0instructions";a:5:{i:1;a:3:{i:0;s:5:"title";i:1;s:8:"subtitle";i:2;s:2:"id";}i:2;a:2:{i:0;s:7:"summary";i:1;s:4:"body";}i:3;a:8:{i:0;s:4:"meta";i:1;s:10:"list_price";i:2;s:10:"sale_price";i:3;s:7:"metakey";i:4;s:8:"metadesc";i:5;s:10:"metaauthor";i:6;s:6:"author";i:7;s:16:"created_by_alias";}i:4;a:2:{i:0;s:4:"path";i:1;s:5:"alias";}i:5;a:1:{i:0;s:8:"comments";}}s:11:"\0*\0taxonomy";a:4:{s:4:"Type";a:1:{s:7:"Article";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:7:"Article";s:5:"state";i:1;s:6:"access";i:1;}}s:6:"Author";a:1:{s:10:"Super User";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:10:"Super User";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Category";a:1:{s:7:"Recipes";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:7:"Recipes";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Language";a:1:{s:5:"en-GB";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:5:"en-GB";s:5:"state";i:1;s:6:"access";i:1;}}}s:3:"url";s:48:"index.php?option=com_content&view=article&id=127";s:5:"route";s:94:"index.php?option=com_content&view=article&id=127:nulla-scelerisque&catid=93:recipes&Itemid=435";s:5:"title";s:17:"Nulla Scelerisque";s:11:"description";s:124:"Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.";s:9:"published";N;s:5:"state";i:0;s:6:"access";s:1:"1";s:8:"language";s:5:"en-GB";s:18:"publish_start_date";s:19:"2014-05-15 12:44:15";s:16:"publish_end_date";s:19:"0000-00-00 00:00:00";s:10:"start_date";s:19:"2014-05-15 12:44:15";s:8:"end_date";s:19:"0000-00-00 00:00:00";s:10:"list_price";N;s:10:"sale_price";N;s:7:"type_id";i:4;s:15:"defaultLanguage";s:5:"en-GB";}'),
(16,'index.php?option=com_content&view=article&id=126','index.php?option=com_content&view=article&id=126:aliquam-feugiat&catid=93:recipes&Itemid=435','Aliquam Feugiat','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','2015-01-16 09:56:59','b953f41053623155c011ddabe392c307',1,0,1,'en-GB','2014-05-15 12:44:15','0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','0','0',4,'O:19:"FinderIndexerResult":19:{s:11:"\0*\0elements";a:24:{s:2:"id";s:3:"126";s:5:"alias";s:15:"aliquam-feugiat";s:7:"summary";s:133:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n";s:4:"body";s:4465:"\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>";s:5:"catid";s:2:"93";s:10:"created_by";s:2:"56";s:16:"created_by_alias";s:0:"";s:8:"modified";s:19:"2014-07-08 13:18:34";s:11:"modified_by";s:3:"800";s:6:"params";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":73:{s:14:"article_layout";s:9:"_:default";s:10:"show_title";s:1:"1";s:11:"link_titles";s:1:"1";s:10:"show_intro";s:1:"1";s:19:"info_block_position";s:1:"0";s:13:"show_category";s:1:"1";s:13:"link_category";s:1:"1";s:20:"show_parent_category";s:1:"0";s:20:"link_parent_category";s:1:"1";s:11:"show_author";s:1:"0";s:11:"link_author";s:1:"0";s:16:"show_create_date";s:1:"0";s:16:"show_modify_date";s:1:"0";s:17:"show_publish_date";s:1:"0";s:20:"show_item_navigation";s:1:"1";s:9:"show_vote";s:1:"0";s:13:"show_readmore";s:1:"1";s:19:"show_readmore_title";s:1:"0";s:14:"readmore_limit";s:3:"100";s:9:"show_tags";s:1:"0";s:10:"show_icons";s:1:"0";s:15:"show_print_icon";s:1:"0";s:15:"show_email_icon";s:1:"0";s:9:"show_hits";s:1:"0";s:11:"show_noauth";s:1:"0";s:13:"urls_position";s:1:"0";s:23:"show_publishing_options";s:1:"1";s:20:"show_article_options";s:1:"1";s:12:"save_history";s:1:"1";s:13:"history_limit";i:10;s:25:"show_urls_images_frontend";s:1:"0";s:24:"show_urls_images_backend";s:1:"1";s:7:"targeta";i:0;s:7:"targetb";i:0;s:7:"targetc";i:0;s:11:"float_intro";s:4:"left";s:14:"float_fulltext";s:4:"left";s:15:"category_layout";s:6:"_:blog";s:32:"show_category_heading_title_text";s:1:"1";s:19:"show_category_title";s:1:"0";s:16:"show_description";s:1:"0";s:22:"show_description_image";s:1:"0";s:8:"maxLevel";s:1:"1";s:21:"show_empty_categories";s:1:"0";s:16:"show_no_articles";s:1:"1";s:16:"show_subcat_desc";s:1:"1";s:21:"show_cat_num_articles";s:1:"0";s:21:"show_base_description";s:1:"1";s:11:"maxLevelcat";s:2:"-1";s:25:"show_empty_categories_cat";s:1:"0";s:20:"show_subcat_desc_cat";s:1:"1";s:25:"show_cat_num_articles_cat";s:1:"1";s:20:"num_leading_articles";s:1:"1";s:18:"num_intro_articles";s:1:"4";s:11:"num_columns";s:1:"2";s:9:"num_links";s:1:"4";s:18:"multi_column_order";s:1:"0";s:24:"show_subcategory_content";s:1:"0";s:21:"show_pagination_limit";s:1:"1";s:12:"filter_field";s:4:"hide";s:13:"show_headings";s:1:"1";s:14:"list_show_date";s:1:"0";s:11:"date_format";s:0:"";s:14:"list_show_hits";s:1:"1";s:16:"list_show_author";s:1:"1";s:11:"orderby_pri";s:5:"order";s:11:"orderby_sec";s:5:"rdate";s:10:"order_date";s:9:"published";s:15:"show_pagination";s:1:"2";s:23:"show_pagination_results";s:1:"1";s:14:"show_feed_link";s:1:"1";s:12:"feed_summary";s:1:"0";s:18:"feed_show_readmore";s:1:"0";}}s:7:"metakey";s:0:"";s:8:"metadesc";s:0:"";s:8:"metadata";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":4:{s:6:"robots";s:0:"";s:6:"author";s:0:"";s:6:"rights";s:0:"";s:10:"xreference";s:0:"";}}s:7:"version";s:2:"12";s:8:"ordering";s:1:"9";s:8:"category";s:7:"Recipes";s:9:"cat_state";s:1:"1";s:10:"cat_access";s:1:"1";s:4:"slug";s:19:"126:aliquam-feugiat";s:7:"catslug";s:10:"93:recipes";s:6:"author";s:10:"Super User";s:6:"layout";s:7:"article";s:4:"path";s:40:"index.php/93-recipes/126-aliquam-feugiat";s:10:"metaauthor";N;}s:15:"\0*\0instructions";a:5:{i:1;a:3:{i:0;s:5:"title";i:1;s:8:"subtitle";i:2;s:2:"id";}i:2;a:2:{i:0;s:7:"summary";i:1;s:4:"body";}i:3;a:8:{i:0;s:4:"meta";i:1;s:10:"list_price";i:2;s:10:"sale_price";i:3;s:7:"metakey";i:4;s:8:"metadesc";i:5;s:10:"metaauthor";i:6;s:6:"author";i:7;s:16:"created_by_alias";}i:4;a:2:{i:0;s:4:"path";i:1;s:5:"alias";}i:5;a:1:{i:0;s:8:"comments";}}s:11:"\0*\0taxonomy";a:4:{s:4:"Type";a:1:{s:7:"Article";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:7:"Article";s:5:"state";i:1;s:6:"access";i:1;}}s:6:"Author";a:1:{s:10:"Super User";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:10:"Super User";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Category";a:1:{s:7:"Recipes";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:7:"Recipes";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Language";a:1:{s:5:"en-GB";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:5:"en-GB";s:5:"state";i:1;s:6:"access";i:1;}}}s:3:"url";s:48:"index.php?option=com_content&view=article&id=126";s:5:"route";s:92:"index.php?option=com_content&view=article&id=126:aliquam-feugiat&catid=93:recipes&Itemid=435";s:5:"title";s:15:"Aliquam Feugiat";s:11:"description";s:124:"Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.";s:9:"published";N;s:5:"state";i:0;s:6:"access";s:1:"1";s:8:"language";s:5:"en-GB";s:18:"publish_start_date";s:19:"2014-05-15 12:44:15";s:16:"publish_end_date";s:19:"0000-00-00 00:00:00";s:10:"start_date";s:19:"2014-05-15 12:44:15";s:8:"end_date";s:19:"0000-00-00 00:00:00";s:10:"list_price";N;s:10:"sale_price";N;s:7:"type_id";i:4;s:15:"defaultLanguage";s:5:"en-GB";}'),
(17,'index.php?option=com_content&view=article&id=125','index.php?option=com_content&view=article&id=125:praesent-vehicula&catid=93:recipes&Itemid=435','Praesent Vehicula','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','2015-01-16 09:56:59','ce4983acace0f1e2c2bb0fcb311b30db',1,0,1,'en-GB','2014-05-15 12:44:15','0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','0','0',4,'O:19:"FinderIndexerResult":19:{s:11:"\0*\0elements";a:24:{s:2:"id";s:3:"125";s:5:"alias";s:17:"praesent-vehicula";s:7:"summary";s:133:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n";s:4:"body";s:4465:"\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>";s:5:"catid";s:2:"93";s:10:"created_by";s:2:"56";s:16:"created_by_alias";s:0:"";s:8:"modified";s:19:"2014-07-08 13:18:47";s:11:"modified_by";s:3:"800";s:6:"params";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":73:{s:14:"article_layout";s:9:"_:default";s:10:"show_title";s:1:"1";s:11:"link_titles";s:1:"1";s:10:"show_intro";s:1:"1";s:19:"info_block_position";s:1:"0";s:13:"show_category";s:1:"1";s:13:"link_category";s:1:"1";s:20:"show_parent_category";s:1:"0";s:20:"link_parent_category";s:1:"1";s:11:"show_author";s:1:"0";s:11:"link_author";s:1:"0";s:16:"show_create_date";s:1:"0";s:16:"show_modify_date";s:1:"0";s:17:"show_publish_date";s:1:"0";s:20:"show_item_navigation";s:1:"1";s:9:"show_vote";s:1:"0";s:13:"show_readmore";s:1:"1";s:19:"show_readmore_title";s:1:"0";s:14:"readmore_limit";s:3:"100";s:9:"show_tags";s:1:"0";s:10:"show_icons";s:1:"0";s:15:"show_print_icon";s:1:"0";s:15:"show_email_icon";s:1:"0";s:9:"show_hits";s:1:"0";s:11:"show_noauth";s:1:"0";s:13:"urls_position";s:1:"0";s:23:"show_publishing_options";s:1:"1";s:20:"show_article_options";s:1:"1";s:12:"save_history";s:1:"1";s:13:"history_limit";i:10;s:25:"show_urls_images_frontend";s:1:"0";s:24:"show_urls_images_backend";s:1:"1";s:7:"targeta";i:0;s:7:"targetb";i:0;s:7:"targetc";i:0;s:11:"float_intro";s:4:"left";s:14:"float_fulltext";s:4:"left";s:15:"category_layout";s:6:"_:blog";s:32:"show_category_heading_title_text";s:1:"1";s:19:"show_category_title";s:1:"0";s:16:"show_description";s:1:"0";s:22:"show_description_image";s:1:"0";s:8:"maxLevel";s:1:"1";s:21:"show_empty_categories";s:1:"0";s:16:"show_no_articles";s:1:"1";s:16:"show_subcat_desc";s:1:"1";s:21:"show_cat_num_articles";s:1:"0";s:21:"show_base_description";s:1:"1";s:11:"maxLevelcat";s:2:"-1";s:25:"show_empty_categories_cat";s:1:"0";s:20:"show_subcat_desc_cat";s:1:"1";s:25:"show_cat_num_articles_cat";s:1:"1";s:20:"num_leading_articles";s:1:"1";s:18:"num_intro_articles";s:1:"4";s:11:"num_columns";s:1:"2";s:9:"num_links";s:1:"4";s:18:"multi_column_order";s:1:"0";s:24:"show_subcategory_content";s:1:"0";s:21:"show_pagination_limit";s:1:"1";s:12:"filter_field";s:4:"hide";s:13:"show_headings";s:1:"1";s:14:"list_show_date";s:1:"0";s:11:"date_format";s:0:"";s:14:"list_show_hits";s:1:"1";s:16:"list_show_author";s:1:"1";s:11:"orderby_pri";s:5:"order";s:11:"orderby_sec";s:5:"rdate";s:10:"order_date";s:9:"published";s:15:"show_pagination";s:1:"2";s:23:"show_pagination_results";s:1:"1";s:14:"show_feed_link";s:1:"1";s:12:"feed_summary";s:1:"0";s:18:"feed_show_readmore";s:1:"0";}}s:7:"metakey";s:0:"";s:8:"metadesc";s:0:"";s:8:"metadata";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":4:{s:6:"robots";s:0:"";s:6:"author";s:0:"";s:6:"rights";s:0:"";s:10:"xreference";s:0:"";}}s:7:"version";s:2:"10";s:8:"ordering";s:1:"1";s:8:"category";s:7:"Recipes";s:9:"cat_state";s:1:"1";s:10:"cat_access";s:1:"1";s:4:"slug";s:21:"125:praesent-vehicula";s:7:"catslug";s:10:"93:recipes";s:6:"author";s:10:"Super User";s:6:"layout";s:7:"article";s:4:"path";s:42:"index.php/93-recipes/125-praesent-vehicula";s:10:"metaauthor";N;}s:15:"\0*\0instructions";a:5:{i:1;a:3:{i:0;s:5:"title";i:1;s:8:"subtitle";i:2;s:2:"id";}i:2;a:2:{i:0;s:7:"summary";i:1;s:4:"body";}i:3;a:8:{i:0;s:4:"meta";i:1;s:10:"list_price";i:2;s:10:"sale_price";i:3;s:7:"metakey";i:4;s:8:"metadesc";i:5;s:10:"metaauthor";i:6;s:6:"author";i:7;s:16:"created_by_alias";}i:4;a:2:{i:0;s:4:"path";i:1;s:5:"alias";}i:5;a:1:{i:0;s:8:"comments";}}s:11:"\0*\0taxonomy";a:4:{s:4:"Type";a:1:{s:7:"Article";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:7:"Article";s:5:"state";i:1;s:6:"access";i:1;}}s:6:"Author";a:1:{s:10:"Super User";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:10:"Super User";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Category";a:1:{s:7:"Recipes";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:7:"Recipes";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Language";a:1:{s:5:"en-GB";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:5:"en-GB";s:5:"state";i:1;s:6:"access";i:1;}}}s:3:"url";s:48:"index.php?option=com_content&view=article&id=125";s:5:"route";s:94:"index.php?option=com_content&view=article&id=125:praesent-vehicula&catid=93:recipes&Itemid=435";s:5:"title";s:17:"Praesent Vehicula";s:11:"description";s:124:"Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.";s:9:"published";N;s:5:"state";i:0;s:6:"access";s:1:"1";s:8:"language";s:5:"en-GB";s:18:"publish_start_date";s:19:"2014-05-15 12:44:15";s:16:"publish_end_date";s:19:"0000-00-00 00:00:00";s:10:"start_date";s:19:"2014-05-15 12:44:15";s:8:"end_date";s:19:"0000-00-00 00:00:00";s:10:"list_price";N;s:10:"sale_price";N;s:7:"type_id";i:4;s:15:"defaultLanguage";s:5:"en-GB";}'),
(18,'index.php?option=com_content&view=article&id=124','index.php?option=com_content&view=article&id=124:males-ultricies&catid=93:recipes&Itemid=435','Males Ultricies','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','2015-01-16 09:56:59','61db7db9f96990ffd40799c3521cfc2c',1,0,1,'en-GB','2014-05-15 12:44:15','0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','0','0',4,'O:19:"FinderIndexerResult":19:{s:11:"\0*\0elements";a:24:{s:2:"id";s:3:"124";s:5:"alias";s:15:"males-ultricies";s:7:"summary";s:133:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n";s:4:"body";s:4465:"\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>";s:5:"catid";s:2:"93";s:10:"created_by";s:2:"56";s:16:"created_by_alias";s:0:"";s:8:"modified";s:19:"2014-07-08 13:19:06";s:11:"modified_by";s:3:"800";s:6:"params";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":73:{s:14:"article_layout";s:9:"_:default";s:10:"show_title";s:1:"1";s:11:"link_titles";s:1:"1";s:10:"show_intro";s:1:"1";s:19:"info_block_position";s:1:"0";s:13:"show_category";s:1:"1";s:13:"link_category";s:1:"1";s:20:"show_parent_category";s:1:"0";s:20:"link_parent_category";s:1:"1";s:11:"show_author";s:1:"0";s:11:"link_author";s:1:"0";s:16:"show_create_date";s:1:"0";s:16:"show_modify_date";s:1:"0";s:17:"show_publish_date";s:1:"0";s:20:"show_item_navigation";s:1:"1";s:9:"show_vote";s:1:"0";s:13:"show_readmore";s:1:"1";s:19:"show_readmore_title";s:1:"0";s:14:"readmore_limit";s:3:"100";s:9:"show_tags";s:1:"0";s:10:"show_icons";s:1:"0";s:15:"show_print_icon";s:1:"0";s:15:"show_email_icon";s:1:"0";s:9:"show_hits";s:1:"0";s:11:"show_noauth";s:1:"0";s:13:"urls_position";s:1:"0";s:23:"show_publishing_options";s:1:"1";s:20:"show_article_options";s:1:"1";s:12:"save_history";s:1:"1";s:13:"history_limit";i:10;s:25:"show_urls_images_frontend";s:1:"0";s:24:"show_urls_images_backend";s:1:"1";s:7:"targeta";i:0;s:7:"targetb";i:0;s:7:"targetc";i:0;s:11:"float_intro";s:4:"left";s:14:"float_fulltext";s:4:"left";s:15:"category_layout";s:6:"_:blog";s:32:"show_category_heading_title_text";s:1:"1";s:19:"show_category_title";s:1:"0";s:16:"show_description";s:1:"0";s:22:"show_description_image";s:1:"0";s:8:"maxLevel";s:1:"1";s:21:"show_empty_categories";s:1:"0";s:16:"show_no_articles";s:1:"1";s:16:"show_subcat_desc";s:1:"1";s:21:"show_cat_num_articles";s:1:"0";s:21:"show_base_description";s:1:"1";s:11:"maxLevelcat";s:2:"-1";s:25:"show_empty_categories_cat";s:1:"0";s:20:"show_subcat_desc_cat";s:1:"1";s:25:"show_cat_num_articles_cat";s:1:"1";s:20:"num_leading_articles";s:1:"1";s:18:"num_intro_articles";s:1:"4";s:11:"num_columns";s:1:"2";s:9:"num_links";s:1:"4";s:18:"multi_column_order";s:1:"0";s:24:"show_subcategory_content";s:1:"0";s:21:"show_pagination_limit";s:1:"1";s:12:"filter_field";s:4:"hide";s:13:"show_headings";s:1:"1";s:14:"list_show_date";s:1:"0";s:11:"date_format";s:0:"";s:14:"list_show_hits";s:1:"1";s:16:"list_show_author";s:1:"1";s:11:"orderby_pri";s:5:"order";s:11:"orderby_sec";s:5:"rdate";s:10:"order_date";s:9:"published";s:15:"show_pagination";s:1:"2";s:23:"show_pagination_results";s:1:"1";s:14:"show_feed_link";s:1:"1";s:12:"feed_summary";s:1:"0";s:18:"feed_show_readmore";s:1:"0";}}s:7:"metakey";s:0:"";s:8:"metadesc";s:0:"";s:8:"metadata";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":4:{s:6:"robots";s:0:"";s:6:"author";s:0:"";s:6:"rights";s:0:"";s:10:"xreference";s:0:"";}}s:7:"version";s:2:"11";s:8:"ordering";s:1:"7";s:8:"category";s:7:"Recipes";s:9:"cat_state";s:1:"1";s:10:"cat_access";s:1:"1";s:4:"slug";s:19:"124:males-ultricies";s:7:"catslug";s:10:"93:recipes";s:6:"author";s:10:"Super User";s:6:"layout";s:7:"article";s:4:"path";s:40:"index.php/93-recipes/124-males-ultricies";s:10:"metaauthor";N;}s:15:"\0*\0instructions";a:5:{i:1;a:3:{i:0;s:5:"title";i:1;s:8:"subtitle";i:2;s:2:"id";}i:2;a:2:{i:0;s:7:"summary";i:1;s:4:"body";}i:3;a:8:{i:0;s:4:"meta";i:1;s:10:"list_price";i:2;s:10:"sale_price";i:3;s:7:"metakey";i:4;s:8:"metadesc";i:5;s:10:"metaauthor";i:6;s:6:"author";i:7;s:16:"created_by_alias";}i:4;a:2:{i:0;s:4:"path";i:1;s:5:"alias";}i:5;a:1:{i:0;s:8:"comments";}}s:11:"\0*\0taxonomy";a:4:{s:4:"Type";a:1:{s:7:"Article";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:7:"Article";s:5:"state";i:1;s:6:"access";i:1;}}s:6:"Author";a:1:{s:10:"Super User";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:10:"Super User";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Category";a:1:{s:7:"Recipes";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:7:"Recipes";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Language";a:1:{s:5:"en-GB";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:5:"en-GB";s:5:"state";i:1;s:6:"access";i:1;}}}s:3:"url";s:48:"index.php?option=com_content&view=article&id=124";s:5:"route";s:92:"index.php?option=com_content&view=article&id=124:males-ultricies&catid=93:recipes&Itemid=435";s:5:"title";s:15:"Males Ultricies";s:11:"description";s:124:"Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.";s:9:"published";N;s:5:"state";i:0;s:6:"access";s:1:"1";s:8:"language";s:5:"en-GB";s:18:"publish_start_date";s:19:"2014-05-15 12:44:15";s:16:"publish_end_date";s:19:"0000-00-00 00:00:00";s:10:"start_date";s:19:"2014-05-15 12:44:15";s:8:"end_date";s:19:"0000-00-00 00:00:00";s:10:"list_price";N;s:10:"sale_price";N;s:7:"type_id";i:4;s:15:"defaultLanguage";s:5:"en-GB";}'),
(19,'index.php?option=com_content&view=article&id=123','index.php?option=com_content&view=article&id=123:nunc-placerat&catid=93:recipes&Itemid=435','Nunc Placerat','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','2015-01-16 09:56:59','9c9763d44c2106d855d2521628ac0a10',1,0,1,'en-GB','2014-05-15 12:44:15','0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','0','0',4,'O:19:"FinderIndexerResult":19:{s:11:"\0*\0elements";a:24:{s:2:"id";s:3:"123";s:5:"alias";s:13:"nunc-placerat";s:7:"summary";s:133:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n";s:4:"body";s:4465:"\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>";s:5:"catid";s:2:"93";s:10:"created_by";s:2:"56";s:16:"created_by_alias";s:0:"";s:8:"modified";s:19:"2014-07-08 13:19:19";s:11:"modified_by";s:3:"800";s:6:"params";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":73:{s:14:"article_layout";s:9:"_:default";s:10:"show_title";s:1:"1";s:11:"link_titles";s:1:"1";s:10:"show_intro";s:1:"1";s:19:"info_block_position";s:1:"0";s:13:"show_category";s:1:"1";s:13:"link_category";s:1:"1";s:20:"show_parent_category";s:1:"0";s:20:"link_parent_category";s:1:"1";s:11:"show_author";s:1:"0";s:11:"link_author";s:1:"0";s:16:"show_create_date";s:1:"0";s:16:"show_modify_date";s:1:"0";s:17:"show_publish_date";s:1:"0";s:20:"show_item_navigation";s:1:"1";s:9:"show_vote";s:1:"0";s:13:"show_readmore";s:1:"1";s:19:"show_readmore_title";s:1:"0";s:14:"readmore_limit";s:3:"100";s:9:"show_tags";s:1:"0";s:10:"show_icons";s:1:"0";s:15:"show_print_icon";s:1:"0";s:15:"show_email_icon";s:1:"0";s:9:"show_hits";s:1:"0";s:11:"show_noauth";s:1:"0";s:13:"urls_position";s:1:"0";s:23:"show_publishing_options";s:1:"1";s:20:"show_article_options";s:1:"1";s:12:"save_history";s:1:"1";s:13:"history_limit";i:10;s:25:"show_urls_images_frontend";s:1:"0";s:24:"show_urls_images_backend";s:1:"1";s:7:"targeta";i:0;s:7:"targetb";i:0;s:7:"targetc";i:0;s:11:"float_intro";s:4:"left";s:14:"float_fulltext";s:4:"left";s:15:"category_layout";s:6:"_:blog";s:32:"show_category_heading_title_text";s:1:"1";s:19:"show_category_title";s:1:"0";s:16:"show_description";s:1:"0";s:22:"show_description_image";s:1:"0";s:8:"maxLevel";s:1:"1";s:21:"show_empty_categories";s:1:"0";s:16:"show_no_articles";s:1:"1";s:16:"show_subcat_desc";s:1:"1";s:21:"show_cat_num_articles";s:1:"0";s:21:"show_base_description";s:1:"1";s:11:"maxLevelcat";s:2:"-1";s:25:"show_empty_categories_cat";s:1:"0";s:20:"show_subcat_desc_cat";s:1:"1";s:25:"show_cat_num_articles_cat";s:1:"1";s:20:"num_leading_articles";s:1:"1";s:18:"num_intro_articles";s:1:"4";s:11:"num_columns";s:1:"2";s:9:"num_links";s:1:"4";s:18:"multi_column_order";s:1:"0";s:24:"show_subcategory_content";s:1:"0";s:21:"show_pagination_limit";s:1:"1";s:12:"filter_field";s:4:"hide";s:13:"show_headings";s:1:"1";s:14:"list_show_date";s:1:"0";s:11:"date_format";s:0:"";s:14:"list_show_hits";s:1:"1";s:16:"list_show_author";s:1:"1";s:11:"orderby_pri";s:5:"order";s:11:"orderby_sec";s:5:"rdate";s:10:"order_date";s:9:"published";s:15:"show_pagination";s:1:"2";s:23:"show_pagination_results";s:1:"1";s:14:"show_feed_link";s:1:"1";s:12:"feed_summary";s:1:"0";s:18:"feed_show_readmore";s:1:"0";}}s:7:"metakey";s:0:"";s:8:"metadesc";s:0:"";s:8:"metadata";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":4:{s:6:"robots";s:0:"";s:6:"author";s:0:"";s:6:"rights";s:0:"";s:10:"xreference";s:0:"";}}s:7:"version";s:2:"10";s:8:"ordering";s:1:"6";s:8:"category";s:7:"Recipes";s:9:"cat_state";s:1:"1";s:10:"cat_access";s:1:"1";s:4:"slug";s:17:"123:nunc-placerat";s:7:"catslug";s:10:"93:recipes";s:6:"author";s:10:"Super User";s:6:"layout";s:7:"article";s:4:"path";s:38:"index.php/93-recipes/123-nunc-placerat";s:10:"metaauthor";N;}s:15:"\0*\0instructions";a:5:{i:1;a:3:{i:0;s:5:"title";i:1;s:8:"subtitle";i:2;s:2:"id";}i:2;a:2:{i:0;s:7:"summary";i:1;s:4:"body";}i:3;a:8:{i:0;s:4:"meta";i:1;s:10:"list_price";i:2;s:10:"sale_price";i:3;s:7:"metakey";i:4;s:8:"metadesc";i:5;s:10:"metaauthor";i:6;s:6:"author";i:7;s:16:"created_by_alias";}i:4;a:2:{i:0;s:4:"path";i:1;s:5:"alias";}i:5;a:1:{i:0;s:8:"comments";}}s:11:"\0*\0taxonomy";a:4:{s:4:"Type";a:1:{s:7:"Article";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:7:"Article";s:5:"state";i:1;s:6:"access";i:1;}}s:6:"Author";a:1:{s:10:"Super User";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:10:"Super User";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Category";a:1:{s:7:"Recipes";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:7:"Recipes";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Language";a:1:{s:5:"en-GB";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:5:"en-GB";s:5:"state";i:1;s:6:"access";i:1;}}}s:3:"url";s:48:"index.php?option=com_content&view=article&id=123";s:5:"route";s:90:"index.php?option=com_content&view=article&id=123:nunc-placerat&catid=93:recipes&Itemid=435";s:5:"title";s:13:"Nunc Placerat";s:11:"description";s:124:"Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.";s:9:"published";N;s:5:"state";i:0;s:6:"access";s:1:"1";s:8:"language";s:5:"en-GB";s:18:"publish_start_date";s:19:"2014-05-15 12:44:15";s:16:"publish_end_date";s:19:"0000-00-00 00:00:00";s:10:"start_date";s:19:"2014-05-15 12:44:15";s:8:"end_date";s:19:"0000-00-00 00:00:00";s:10:"list_price";N;s:10:"sale_price";N;s:7:"type_id";i:4;s:15:"defaultLanguage";s:5:"en-GB";}'),
(20,'index.php?option=com_content&view=article&id=122','index.php?option=com_content&view=article&id=122:vestibulum&catid=93:recipes&Itemid=435','Vestibulum','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','2015-01-16 09:56:59','ac6fd33504fbc6a98fa25520fbc9d977',1,0,1,'en-GB','2014-05-15 12:44:15','0000-00-00 00:00:00','2014-05-15 12:44:15','0000-00-00 00:00:00','0','0',4,'O:19:"FinderIndexerResult":19:{s:11:"\0*\0elements";a:24:{s:2:"id";s:3:"122";s:5:"alias";s:10:"vestibulum";s:7:"summary";s:133:"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n";s:4:"body";s:4465:"\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>";s:5:"catid";s:2:"93";s:10:"created_by";s:2:"56";s:16:"created_by_alias";s:0:"";s:8:"modified";s:19:"2014-07-08 13:19:33";s:11:"modified_by";s:3:"800";s:6:"params";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":73:{s:14:"article_layout";s:9:"_:default";s:10:"show_title";s:1:"1";s:11:"link_titles";s:1:"1";s:10:"show_intro";s:1:"1";s:19:"info_block_position";s:1:"0";s:13:"show_category";s:1:"1";s:13:"link_category";s:1:"1";s:20:"show_parent_category";s:1:"0";s:20:"link_parent_category";s:1:"1";s:11:"show_author";s:1:"0";s:11:"link_author";s:1:"0";s:16:"show_create_date";s:1:"0";s:16:"show_modify_date";s:1:"0";s:17:"show_publish_date";s:1:"0";s:20:"show_item_navigation";s:1:"1";s:9:"show_vote";s:1:"0";s:13:"show_readmore";s:1:"1";s:19:"show_readmore_title";s:1:"0";s:14:"readmore_limit";s:3:"100";s:9:"show_tags";s:1:"0";s:10:"show_icons";s:1:"0";s:15:"show_print_icon";s:1:"0";s:15:"show_email_icon";s:1:"0";s:9:"show_hits";s:1:"0";s:11:"show_noauth";s:1:"0";s:13:"urls_position";s:1:"0";s:23:"show_publishing_options";s:1:"1";s:20:"show_article_options";s:1:"1";s:12:"save_history";s:1:"1";s:13:"history_limit";i:10;s:25:"show_urls_images_frontend";s:1:"0";s:24:"show_urls_images_backend";s:1:"1";s:7:"targeta";i:0;s:7:"targetb";i:0;s:7:"targetc";i:0;s:11:"float_intro";s:4:"left";s:14:"float_fulltext";s:4:"left";s:15:"category_layout";s:6:"_:blog";s:32:"show_category_heading_title_text";s:1:"1";s:19:"show_category_title";s:1:"0";s:16:"show_description";s:1:"0";s:22:"show_description_image";s:1:"0";s:8:"maxLevel";s:1:"1";s:21:"show_empty_categories";s:1:"0";s:16:"show_no_articles";s:1:"1";s:16:"show_subcat_desc";s:1:"1";s:21:"show_cat_num_articles";s:1:"0";s:21:"show_base_description";s:1:"1";s:11:"maxLevelcat";s:2:"-1";s:25:"show_empty_categories_cat";s:1:"0";s:20:"show_subcat_desc_cat";s:1:"1";s:25:"show_cat_num_articles_cat";s:1:"1";s:20:"num_leading_articles";s:1:"1";s:18:"num_intro_articles";s:1:"4";s:11:"num_columns";s:1:"2";s:9:"num_links";s:1:"4";s:18:"multi_column_order";s:1:"0";s:24:"show_subcategory_content";s:1:"0";s:21:"show_pagination_limit";s:1:"1";s:12:"filter_field";s:4:"hide";s:13:"show_headings";s:1:"1";s:14:"list_show_date";s:1:"0";s:11:"date_format";s:0:"";s:14:"list_show_hits";s:1:"1";s:16:"list_show_author";s:1:"1";s:11:"orderby_pri";s:5:"order";s:11:"orderby_sec";s:5:"rdate";s:10:"order_date";s:9:"published";s:15:"show_pagination";s:1:"2";s:23:"show_pagination_results";s:1:"1";s:14:"show_feed_link";s:1:"1";s:12:"feed_summary";s:1:"0";s:18:"feed_show_readmore";s:1:"0";}}s:7:"metakey";s:0:"";s:8:"metadesc";s:0:"";s:8:"metadata";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":4:{s:6:"robots";s:0:"";s:6:"author";s:0:"";s:6:"rights";s:0:"";s:10:"xreference";s:0:"";}}s:7:"version";s:2:"10";s:8:"ordering";s:1:"5";s:8:"category";s:7:"Recipes";s:9:"cat_state";s:1:"1";s:10:"cat_access";s:1:"1";s:4:"slug";s:14:"122:vestibulum";s:7:"catslug";s:10:"93:recipes";s:6:"author";s:10:"Super User";s:6:"layout";s:7:"article";s:4:"path";s:35:"index.php/93-recipes/122-vestibulum";s:10:"metaauthor";N;}s:15:"\0*\0instructions";a:5:{i:1;a:3:{i:0;s:5:"title";i:1;s:8:"subtitle";i:2;s:2:"id";}i:2;a:2:{i:0;s:7:"summary";i:1;s:4:"body";}i:3;a:8:{i:0;s:4:"meta";i:1;s:10:"list_price";i:2;s:10:"sale_price";i:3;s:7:"metakey";i:4;s:8:"metadesc";i:5;s:10:"metaauthor";i:6;s:6:"author";i:7;s:16:"created_by_alias";}i:4;a:2:{i:0;s:4:"path";i:1;s:5:"alias";}i:5;a:1:{i:0;s:8:"comments";}}s:11:"\0*\0taxonomy";a:4:{s:4:"Type";a:1:{s:7:"Article";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:7:"Article";s:5:"state";i:1;s:6:"access";i:1;}}s:6:"Author";a:1:{s:10:"Super User";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:10:"Super User";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Category";a:1:{s:7:"Recipes";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:7:"Recipes";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Language";a:1:{s:5:"en-GB";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:5:"en-GB";s:5:"state";i:1;s:6:"access";i:1;}}}s:3:"url";s:48:"index.php?option=com_content&view=article&id=122";s:5:"route";s:87:"index.php?option=com_content&view=article&id=122:vestibulum&catid=93:recipes&Itemid=435";s:5:"title";s:10:"Vestibulum";s:11:"description";s:124:"Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.";s:9:"published";N;s:5:"state";i:0;s:6:"access";s:1:"1";s:8:"language";s:5:"en-GB";s:18:"publish_start_date";s:19:"2014-05-15 12:44:15";s:16:"publish_end_date";s:19:"0000-00-00 00:00:00";s:10:"start_date";s:19:"2014-05-15 12:44:15";s:8:"end_date";s:19:"0000-00-00 00:00:00";s:10:"list_price";N;s:10:"sale_price";N;s:7:"type_id";i:4;s:15:"defaultLanguage";s:5:"en-GB";}'),
(31,'index.php?option=com_content&view=article&id=135','index.php?option=com_content&view=article&id=135:pricing&catid=9:uncategorised&Itemid=795','Pricing Tables','as low as 29.95 month Cable Internet step up to earthlink cable internet at the speed of life Lorem ipsum dolor sit amet Morbi rhoncus diam quis augue Proin non finibus diam Pellentesque varius Vivamus quis leo Donec ut elit maximus I\'m interested as low ','2015-01-16 11:55:41','9bb5869b65aa6695641a26323abd7cc8',1,1,1,'en-GB','2015-01-14 13:53:11','0000-00-00 00:00:00','2015-01-14 13:53:11','0000-00-00 00:00:00','0','0',4,'O:19:"FinderIndexerResult":19:{s:11:"\0*\0elements";a:24:{s:2:"id";s:3:"135";s:5:"alias";s:7:"pricing";s:7:"summary";s:1897:"<div class="jm-pricing clearfix col3">\r\n<div class="box">\r\n<div class="box-in">\r\n<div class="price"><span class="up">as low as</span> <span class="middle">29.95</span> <span class="down">month</span></div>\r\n<div class="title">Cable Internet</div>\r\n<div class="content">\r\n<div class="subtitle">step up to earthlink cable internet at the speed of life</div>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet</li>\r\n<li>Morbi rhoncus diam quis augue</li>\r\n<li>Proin non finibus diam</li>\r\n<li>Pellentesque varius</li>\r\n<li>Vivamus quis leo</li>\r\n<li>Donec ut elit maximus</li>\r\n</ul>\r\n</div>\r\n<div class="bottom"><a class="btn" href="#">I\'m interested</a></div>\r\n</div>\r\n</div>\r\n<div class="box">\r\n<div class="box-in">\r\n<div class="price"><span class="up">as low as</span> <span class="middle">14.85</span> <span class="down">month</span></div>\r\n<div class="title">DSL Internet</div>\r\n<div class="content">\r\n<div class="subtitle">step up to incredible dsl cable internet</div>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet</li>\r\n<li>Morbi rhoncus diam quis augue</li>\r\n<li>Proin non finibus diam</li>\r\n<li>Pellentesque varius</li>\r\n<li>Vivamus quis leo</li>\r\n<li>Donec ut elit maximus</li>\r\n</ul>\r\n</div>\r\n<div class="bottom"><a class="btn" href="#">I\'m interested</a></div>\r\n</div>\r\n</div>\r\n<div class="box">\r\n<div class="box-in">\r\n<div class="price"><span class="up">as low as</span> <span class="middle">39.95</span> <span class="down">month</span></div>\r\n<div class="title">Satellite Internet</div>\r\n<div class="content">\r\n<div class="subtitle">No dsl or cable in your area? get satellite internet</div>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet</li>\r\n<li>Morbi rhoncus diam quis augue</li>\r\n<li>Proin non finibus diam</li>\r\n<li>Pellentesque varius</li>\r\n<li>Vivamus quis leo</li>\r\n<li>Donec ut elit maximus</li>\r\n</ul>\r\n</div>\r\n<div class="bottom"><a class="btn" href="#">I\'m interested</a></div>\r\n</div>\r\n</div>\r\n</div>";s:4:"body";s:0:"";s:5:"catid";s:1:"9";s:10:"created_by";s:2:"56";s:16:"created_by_alias";s:0:"";s:8:"modified";s:19:"2015-01-16 10:55:41";s:11:"modified_by";s:2:"56";s:6:"params";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":73:{s:14:"article_layout";s:9:"_:default";s:10:"show_title";s:1:"1";s:11:"link_titles";s:1:"1";s:10:"show_intro";s:1:"1";s:19:"info_block_position";s:1:"0";s:13:"show_category";s:1:"1";s:13:"link_category";s:1:"1";s:20:"show_parent_category";s:1:"0";s:20:"link_parent_category";s:1:"1";s:11:"show_author";s:1:"0";s:11:"link_author";s:1:"0";s:16:"show_create_date";s:1:"0";s:16:"show_modify_date";s:1:"0";s:17:"show_publish_date";s:1:"0";s:20:"show_item_navigation";s:1:"1";s:9:"show_vote";s:1:"0";s:13:"show_readmore";s:1:"1";s:19:"show_readmore_title";s:1:"0";s:14:"readmore_limit";s:3:"100";s:9:"show_tags";s:1:"0";s:10:"show_icons";s:1:"0";s:15:"show_print_icon";s:1:"0";s:15:"show_email_icon";s:1:"0";s:9:"show_hits";s:1:"0";s:11:"show_noauth";s:1:"0";s:13:"urls_position";s:1:"0";s:23:"show_publishing_options";s:1:"1";s:20:"show_article_options";s:1:"1";s:12:"save_history";s:1:"1";s:13:"history_limit";i:10;s:25:"show_urls_images_frontend";s:1:"0";s:24:"show_urls_images_backend";s:1:"1";s:7:"targeta";i:0;s:7:"targetb";i:0;s:7:"targetc";i:0;s:11:"float_intro";s:4:"left";s:14:"float_fulltext";s:4:"left";s:15:"category_layout";s:6:"_:blog";s:32:"show_category_heading_title_text";s:1:"1";s:19:"show_category_title";s:1:"0";s:16:"show_description";s:1:"0";s:22:"show_description_image";s:1:"0";s:8:"maxLevel";s:1:"1";s:21:"show_empty_categories";s:1:"0";s:16:"show_no_articles";s:1:"1";s:16:"show_subcat_desc";s:1:"1";s:21:"show_cat_num_articles";s:1:"0";s:21:"show_base_description";s:1:"1";s:11:"maxLevelcat";s:2:"-1";s:25:"show_empty_categories_cat";s:1:"0";s:20:"show_subcat_desc_cat";s:1:"1";s:25:"show_cat_num_articles_cat";s:1:"1";s:20:"num_leading_articles";s:1:"1";s:18:"num_intro_articles";s:1:"4";s:11:"num_columns";s:1:"2";s:9:"num_links";s:1:"4";s:18:"multi_column_order";s:1:"0";s:24:"show_subcategory_content";s:1:"0";s:21:"show_pagination_limit";s:1:"1";s:12:"filter_field";s:4:"hide";s:13:"show_headings";s:1:"1";s:14:"list_show_date";s:1:"0";s:11:"date_format";s:0:"";s:14:"list_show_hits";s:1:"1";s:16:"list_show_author";s:1:"1";s:11:"orderby_pri";s:5:"order";s:11:"orderby_sec";s:5:"rdate";s:10:"order_date";s:9:"published";s:15:"show_pagination";s:1:"2";s:23:"show_pagination_results";s:1:"1";s:14:"show_feed_link";s:1:"1";s:12:"feed_summary";s:1:"0";s:18:"feed_show_readmore";s:1:"0";}}s:7:"metakey";s:0:"";s:8:"metadesc";s:0:"";s:8:"metadata";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":4:{s:6:"robots";s:0:"";s:6:"author";s:0:"";s:6:"rights";s:0:"";s:10:"xreference";s:0:"";}}s:7:"version";s:1:"6";s:8:"ordering";s:1:"0";s:8:"category";s:13:"Uncategorised";s:9:"cat_state";s:1:"1";s:10:"cat_access";s:1:"1";s:4:"slug";s:11:"135:pricing";s:7:"catslug";s:15:"9:uncategorised";s:6:"author";s:10:"Super User";s:6:"layout";s:7:"article";s:4:"path";s:70:"index.php/pages/joomla-other-pages/pricing/9-uncategorised/135-pricing";s:10:"metaauthor";N;}s:15:"\0*\0instructions";a:5:{i:1;a:3:{i:0;s:5:"title";i:1;s:8:"subtitle";i:2;s:2:"id";}i:2;a:2:{i:0;s:7:"summary";i:1;s:4:"body";}i:3;a:8:{i:0;s:4:"meta";i:1;s:10:"list_price";i:2;s:10:"sale_price";i:3;s:7:"metakey";i:4;s:8:"metadesc";i:5;s:10:"metaauthor";i:6;s:6:"author";i:7;s:16:"created_by_alias";}i:4;a:2:{i:0;s:4:"path";i:1;s:5:"alias";}i:5;a:1:{i:0;s:8:"comments";}}s:11:"\0*\0taxonomy";a:4:{s:4:"Type";a:1:{s:7:"Article";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:7:"Article";s:5:"state";i:1;s:6:"access";i:1;}}s:6:"Author";a:1:{s:10:"Super User";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:10:"Super User";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Category";a:1:{s:13:"Uncategorised";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:13:"Uncategorised";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Language";a:1:{s:5:"en-GB";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:5:"en-GB";s:5:"state";i:1;s:6:"access";i:1;}}}s:3:"url";s:48:"index.php?option=com_content&view=article&id=135";s:5:"route";s:89:"index.php?option=com_content&view=article&id=135:pricing&catid=9:uncategorised&Itemid=795";s:5:"title";s:14:"Pricing Tables";s:11:"description";s:725:"as low as 29.95 month Cable Internet step up to earthlink cable internet at the speed of life Lorem ipsum dolor sit amet Morbi rhoncus diam quis augue Proin non finibus diam Pellentesque varius Vivamus quis leo Donec ut elit maximus I\'m interested as low as 14.85 month DSL Internet step up to incredible dsl cable internet Lorem ipsum dolor sit amet Morbi rhoncus diam quis augue Proin non finibus diam Pellentesque varius Vivamus quis leo Donec ut elit maximus I\'m interested as low as 39.95 month Satellite Internet No dsl or cable in your area? get satellite internet Lorem ipsum dolor sit amet Morbi rhoncus diam quis augue Proin non finibus diam Pellentesque varius Vivamus quis leo Donec ut elit maximus I\'m interested";s:9:"published";N;s:5:"state";i:1;s:6:"access";s:1:"1";s:8:"language";s:5:"en-GB";s:18:"publish_start_date";s:19:"2015-01-14 13:53:11";s:16:"publish_end_date";s:19:"0000-00-00 00:00:00";s:10:"start_date";s:19:"2015-01-14 13:53:11";s:8:"end_date";s:19:"0000-00-00 00:00:00";s:10:"list_price";N;s:10:"sale_price";N;s:7:"type_id";i:4;s:15:"defaultLanguage";s:5:"en-GB";}'),
(32,'index.php?option=com_content&view=article&id=73','index.php?option=com_content&view=article&id=73:subpage&catid=78:jm-sample-data&Itemid=479','Subpage','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris. Maecen','2015-01-16 13:14:33','62d2e2df0fa35f7bec0de3d23a0a98bb',1,1,1,'en-GB','2014-04-28 14:34:25','0000-00-00 00:00:00','2014-04-28 14:34:25','0000-00-00 00:00:00','0','0',4,'O:19:"FinderIndexerResult":19:{s:11:"\0*\0elements";a:24:{s:2:"id";s:2:"73";s:5:"alias";s:7:"subpage";s:7:"summary";s:1146:"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor.</p>\r\n<p>Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris. Maecenas eu iaculis tortor, ac volutpat ipsum. In eget lacus erat.</p>\r\n<p>Nullam nec magna tellus. Vestibulum rutrum velit et nulla tristique, ac sodales risus tempor. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor.</p>\r\n<p>Phasellus sed nisi ut nibh accumsan commodo sed a libero. In ut semper felis, a vestibulum mi. Ut et lacus lectus. Vivamus tempus erat et augue bibendum posuere. In mauris metus, ultrices vel vulputate nec, dictum eget nulla. Etiam ac est metus.</p>\r\n<p>Mauris at orci pretium, congue erat vel, vulputate eros. In posuere venenatis lacinia. Mauris aliquam faucibus velit, vitae cursus tellus aliquam vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor.</p>\r\n<p>Cras sodales justo eu felis viverra, sit amet semper quam vehicula.</p>";s:4:"body";s:0:"";s:5:"catid";s:2:"78";s:10:"created_by";s:2:"56";s:16:"created_by_alias";s:0:"";s:8:"modified";s:19:"2015-01-16 12:14:33";s:11:"modified_by";s:2:"56";s:6:"params";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":73:{s:14:"article_layout";s:9:"_:default";s:10:"show_title";s:1:"1";s:11:"link_titles";s:1:"1";s:10:"show_intro";s:1:"1";s:19:"info_block_position";s:1:"0";s:13:"show_category";s:1:"1";s:13:"link_category";s:1:"1";s:20:"show_parent_category";s:1:"0";s:20:"link_parent_category";s:1:"1";s:11:"show_author";s:1:"0";s:11:"link_author";s:1:"0";s:16:"show_create_date";s:1:"0";s:16:"show_modify_date";s:1:"0";s:17:"show_publish_date";s:1:"0";s:20:"show_item_navigation";s:1:"1";s:9:"show_vote";s:1:"0";s:13:"show_readmore";s:1:"1";s:19:"show_readmore_title";s:1:"0";s:14:"readmore_limit";s:3:"100";s:9:"show_tags";s:1:"0";s:10:"show_icons";s:1:"0";s:15:"show_print_icon";s:1:"0";s:15:"show_email_icon";s:1:"0";s:9:"show_hits";s:1:"0";s:11:"show_noauth";s:1:"0";s:13:"urls_position";s:1:"0";s:23:"show_publishing_options";s:1:"1";s:20:"show_article_options";s:1:"1";s:12:"save_history";s:1:"1";s:13:"history_limit";i:10;s:25:"show_urls_images_frontend";s:1:"0";s:24:"show_urls_images_backend";s:1:"1";s:7:"targeta";i:0;s:7:"targetb";i:0;s:7:"targetc";i:0;s:11:"float_intro";s:4:"left";s:14:"float_fulltext";s:4:"left";s:15:"category_layout";s:6:"_:blog";s:32:"show_category_heading_title_text";s:1:"1";s:19:"show_category_title";s:1:"0";s:16:"show_description";s:1:"0";s:22:"show_description_image";s:1:"0";s:8:"maxLevel";s:1:"1";s:21:"show_empty_categories";s:1:"0";s:16:"show_no_articles";s:1:"1";s:16:"show_subcat_desc";s:1:"1";s:21:"show_cat_num_articles";s:1:"0";s:21:"show_base_description";s:1:"1";s:11:"maxLevelcat";s:2:"-1";s:25:"show_empty_categories_cat";s:1:"0";s:20:"show_subcat_desc_cat";s:1:"1";s:25:"show_cat_num_articles_cat";s:1:"1";s:20:"num_leading_articles";s:1:"1";s:18:"num_intro_articles";s:1:"4";s:11:"num_columns";s:1:"2";s:9:"num_links";s:1:"4";s:18:"multi_column_order";s:1:"0";s:24:"show_subcategory_content";s:1:"0";s:21:"show_pagination_limit";s:1:"1";s:12:"filter_field";s:4:"hide";s:13:"show_headings";s:1:"1";s:14:"list_show_date";s:1:"0";s:11:"date_format";s:0:"";s:14:"list_show_hits";s:1:"1";s:16:"list_show_author";s:1:"1";s:11:"orderby_pri";s:5:"order";s:11:"orderby_sec";s:5:"rdate";s:10:"order_date";s:9:"published";s:15:"show_pagination";s:1:"2";s:23:"show_pagination_results";s:1:"1";s:14:"show_feed_link";s:1:"1";s:12:"feed_summary";s:1:"0";s:18:"feed_show_readmore";s:1:"0";}}s:7:"metakey";s:0:"";s:8:"metadesc";s:0:"";s:8:"metadata";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":4:{s:6:"robots";s:0:"";s:6:"author";s:0:"";s:6:"rights";s:0:"";s:10:"xreference";s:0:"";}}s:7:"version";s:2:"12";s:8:"ordering";s:1:"9";s:8:"category";s:14:"JM-Sample-Data";s:9:"cat_state";s:1:"1";s:10:"cat_access";s:1:"1";s:4:"slug";s:10:"73:subpage";s:7:"catslug";s:17:"78:jm-sample-data";s:6:"author";s:10:"Super User";s:6:"layout";s:7:"article";s:4:"path";s:44:"index.php/pages/78-jm-sample-data/73-subpage";s:10:"metaauthor";N;}s:15:"\0*\0instructions";a:5:{i:1;a:3:{i:0;s:5:"title";i:1;s:8:"subtitle";i:2;s:2:"id";}i:2;a:2:{i:0;s:7:"summary";i:1;s:4:"body";}i:3;a:8:{i:0;s:4:"meta";i:1;s:10:"list_price";i:2;s:10:"sale_price";i:3;s:7:"metakey";i:4;s:8:"metadesc";i:5;s:10:"metaauthor";i:6;s:6:"author";i:7;s:16:"created_by_alias";}i:4;a:2:{i:0;s:4:"path";i:1;s:5:"alias";}i:5;a:1:{i:0;s:8:"comments";}}s:11:"\0*\0taxonomy";a:4:{s:4:"Type";a:1:{s:7:"Article";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:7:"Article";s:5:"state";i:1;s:6:"access";i:1;}}s:6:"Author";a:1:{s:10:"Super User";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:10:"Super User";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Category";a:1:{s:14:"JM-Sample-Data";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:14:"JM-Sample-Data";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Language";a:1:{s:5:"en-GB";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:5:"en-GB";s:5:"state";i:1;s:6:"access";i:1;}}}s:3:"url";s:47:"index.php?option=com_content&view=article&id=73";s:5:"route";s:90:"index.php?option=com_content&view=article&id=73:subpage&catid=78:jm-sample-data&Itemid=479";s:5:"title";s:7:"Subpage";s:11:"description";s:1099:"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris. Maecenas eu iaculis tortor, ac volutpat ipsum. In eget lacus erat. Nullam nec magna tellus. Vestibulum rutrum velit et nulla tristique, ac sodales risus tempor. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Phasellus sed nisi ut nibh accumsan commodo sed a libero. In ut semper felis, a vestibulum mi. Ut et lacus lectus. Vivamus tempus erat et augue bibendum posuere. In mauris metus, ultrices vel vulputate nec, dictum eget nulla. Etiam ac est metus. Mauris at orci pretium, congue erat vel, vulputate eros. In posuere venenatis lacinia. Mauris aliquam faucibus velit, vitae cursus tellus aliquam vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Cras sodales justo eu felis viverra, sit amet semper quam vehicula.";s:9:"published";N;s:5:"state";i:1;s:6:"access";s:1:"1";s:8:"language";s:5:"en-GB";s:18:"publish_start_date";s:19:"2014-04-28 14:34:25";s:16:"publish_end_date";s:19:"0000-00-00 00:00:00";s:10:"start_date";s:19:"2014-04-28 14:34:25";s:8:"end_date";s:19:"0000-00-00 00:00:00";s:10:"list_price";N;s:10:"sale_price";N;s:7:"type_id";i:4;s:15:"defaultLanguage";s:5:"en-GB";}'),
(34,'index.php?option=com_content&view=article&id=130','index.php?option=com_content&view=article&id=130:all-template-positions&catid=78:jm-sample-data&Itemid=563','All Template Positions','JM Internet Joomla template is using fully responsive layout that adjusts to various screens: desktops, tablets or mobiles. EF4 Framework includes Layout Builder tool which allows you to customize template layout for different screen dimensions.','2015-01-16 14:33:38','a6c3134cb7c04acf2187c14bfee9a704',1,1,1,'en-GB','2014-06-25 09:42:57','0000-00-00 00:00:00','2014-06-25 09:42:57','0000-00-00 00:00:00','0','0',4,'O:19:"FinderIndexerResult":19:{s:11:"\0*\0elements";a:24:{s:2:"id";s:3:"130";s:5:"alias";s:22:"all-template-positions";s:7:"summary";s:601:"<p><strong>JM Internet</strong> Joomla template is using fully responsive layout that adjusts to various screens: desktops, tablets or mobiles.<br /><a title="EF4 Framework" href="http://www.joomla-monster.com/index.php?option=com_content&amp;id=137&amp;view=category&amp;Itemid=548" target="_blank">EF4 Framework</a> includes <a title="Layout Builder" href="http://www.joomla-monster.com/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034" target="_blank">Layout Builder</a> tool which allows you to customize template layout for different screen dimensions.</p>\r\n";s:4:"body";s:3149:"\r\n<p> </p>\r\n<h3 style="text-align: center;">Module positions for normal and large screen <small>usually desktop and tablet landscape (980px and higher)</small></h3>\r\n<p> </p>\r\n<p style="text-align: center;"><a title="Layout Builder" href="http://www.joomla-monster.com/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034" target="_blank"><img title="Module positions for normal and large screen" src="images/sample/normal-positions.png" alt="Module positions for normal and large screen" border="0" /></a></p>\r\n<p style="text-align: center;"><a class="btn" title="Layout Builder" href="http://www.joomla-monster.com/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034" target="_blank">Check out more details about layout customization!</a></p>\r\n<p> </p>\r\n<h3 style="text-align: center;">Module positions for medium screen <small>usually tablet (768px-979px)</small></h3>\r\n<p> </p>\r\n<p style="text-align: center;"><a title="Layout Builder" href="http://www.joomla-monster.com/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034" target="_blank"><img title="Module positions for medium screen" src="images/sample/medium-positions.png" alt="Module positions for medium screen" border="0" /></a></p>\r\n<p style="text-align: center;"><a class="btn" title="Layout Builder" href="http://www.joomla-monster.com/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034" target="_blank">Check out more details about layout customization!</a></p>\r\n<p> </p>\r\n<h3 style="text-align: center;">Module positions for small screen <small>usually tablet portrait and mobile landscape (481px-767px)</small></h3>\r\n<p> </p>\r\n<p style="text-align: center;"><a title="Layout Builder" href="http://www.joomla-monster.com/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034" target="_blank"><img title="Module positions for small screen" src="images/sample/small-positions.png" alt="Module positions for small screen" border="0" /></a></p>\r\n<p style="text-align: center;"><a class="btn" title="Layout Builder" href="http://www.joomla-monster.com/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034" target="_blank">Check out more details about layout customization!</a></p>\r\n<p> </p>\r\n<h3 style="text-align: center;">Module positions for extra small screen <small>usually mobile portrait (480px and smaller)</small></h3>\r\n<p> </p>\r\n<p style="text-align: center;"><a title="Layout Builder" href="http://www.joomla-monster.com/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034" target="_blank"><img title="Module positions for extra small screen" src="images/sample/extrasmall-positions.png" alt="Module positions for extra small screen" border="0" /></a></p>\r\n<p style="text-align: center;"><a class="btn" title="Layout Builder" href="http://www.joomla-monster.com/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034" target="_blank">Check out more details about layout customization!</a></p>";s:5:"catid";s:2:"78";s:10:"created_by";s:2:"56";s:16:"created_by_alias";s:0:"";s:8:"modified";s:19:"2015-01-16 13:33:38";s:11:"modified_by";s:2:"56";s:6:"params";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":73:{s:14:"article_layout";s:9:"_:default";s:10:"show_title";s:1:"1";s:11:"link_titles";s:1:"1";s:10:"show_intro";s:1:"1";s:19:"info_block_position";s:1:"0";s:13:"show_category";s:1:"1";s:13:"link_category";s:1:"1";s:20:"show_parent_category";s:1:"0";s:20:"link_parent_category";s:1:"1";s:11:"show_author";s:1:"0";s:11:"link_author";s:1:"0";s:16:"show_create_date";s:1:"0";s:16:"show_modify_date";s:1:"0";s:17:"show_publish_date";s:1:"0";s:20:"show_item_navigation";s:1:"1";s:9:"show_vote";s:1:"0";s:13:"show_readmore";s:1:"1";s:19:"show_readmore_title";s:1:"0";s:14:"readmore_limit";s:3:"100";s:9:"show_tags";s:1:"0";s:10:"show_icons";s:1:"0";s:15:"show_print_icon";s:1:"0";s:15:"show_email_icon";s:1:"0";s:9:"show_hits";s:1:"0";s:11:"show_noauth";s:1:"0";s:13:"urls_position";s:1:"0";s:23:"show_publishing_options";s:1:"1";s:20:"show_article_options";s:1:"1";s:12:"save_history";s:1:"1";s:13:"history_limit";i:10;s:25:"show_urls_images_frontend";s:1:"0";s:24:"show_urls_images_backend";s:1:"1";s:7:"targeta";i:0;s:7:"targetb";i:0;s:7:"targetc";i:0;s:11:"float_intro";s:4:"left";s:14:"float_fulltext";s:4:"left";s:15:"category_layout";s:6:"_:blog";s:32:"show_category_heading_title_text";s:1:"1";s:19:"show_category_title";s:1:"0";s:16:"show_description";s:1:"0";s:22:"show_description_image";s:1:"0";s:8:"maxLevel";s:1:"1";s:21:"show_empty_categories";s:1:"0";s:16:"show_no_articles";s:1:"1";s:16:"show_subcat_desc";s:1:"1";s:21:"show_cat_num_articles";s:1:"0";s:21:"show_base_description";s:1:"1";s:11:"maxLevelcat";s:2:"-1";s:25:"show_empty_categories_cat";s:1:"0";s:20:"show_subcat_desc_cat";s:1:"1";s:25:"show_cat_num_articles_cat";s:1:"1";s:20:"num_leading_articles";s:1:"1";s:18:"num_intro_articles";s:1:"4";s:11:"num_columns";s:1:"2";s:9:"num_links";s:1:"4";s:18:"multi_column_order";s:1:"0";s:24:"show_subcategory_content";s:1:"0";s:21:"show_pagination_limit";s:1:"1";s:12:"filter_field";s:4:"hide";s:13:"show_headings";s:1:"1";s:14:"list_show_date";s:1:"0";s:11:"date_format";s:0:"";s:14:"list_show_hits";s:1:"1";s:16:"list_show_author";s:1:"1";s:11:"orderby_pri";s:5:"order";s:11:"orderby_sec";s:5:"rdate";s:10:"order_date";s:9:"published";s:15:"show_pagination";s:1:"2";s:23:"show_pagination_results";s:1:"1";s:14:"show_feed_link";s:1:"1";s:12:"feed_summary";s:1:"0";s:18:"feed_show_readmore";s:1:"0";}}s:7:"metakey";s:0:"";s:8:"metadesc";s:0:"";s:8:"metadata";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":4:{s:6:"robots";s:0:"";s:6:"author";s:0:"";s:6:"rights";s:0:"";s:10:"xreference";s:0:"";}}s:7:"version";s:1:"8";s:8:"ordering";s:1:"4";s:8:"category";s:14:"JM-Sample-Data";s:9:"cat_state";s:1:"1";s:10:"cat_access";s:1:"1";s:4:"slug";s:26:"130:all-template-positions";s:7:"catslug";s:17:"78:jm-sample-data";s:6:"author";s:10:"Super User";s:6:"layout";s:7:"article";s:4:"path";s:87:"index.php/features/all-templates-positions/78-jm-sample-data/130-all-template-positions";s:10:"metaauthor";N;}s:15:"\0*\0instructions";a:5:{i:1;a:3:{i:0;s:5:"title";i:1;s:8:"subtitle";i:2;s:2:"id";}i:2;a:2:{i:0;s:7:"summary";i:1;s:4:"body";}i:3;a:8:{i:0;s:4:"meta";i:1;s:10:"list_price";i:2;s:10:"sale_price";i:3;s:7:"metakey";i:4;s:8:"metadesc";i:5;s:10:"metaauthor";i:6;s:6:"author";i:7;s:16:"created_by_alias";}i:4;a:2:{i:0;s:4:"path";i:1;s:5:"alias";}i:5;a:1:{i:0;s:8:"comments";}}s:11:"\0*\0taxonomy";a:4:{s:4:"Type";a:1:{s:7:"Article";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:7:"Article";s:5:"state";i:1;s:6:"access";i:1;}}s:6:"Author";a:1:{s:10:"Super User";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:10:"Super User";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Category";a:1:{s:14:"JM-Sample-Data";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:14:"JM-Sample-Data";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Language";a:1:{s:5:"en-GB";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:5:"en-GB";s:5:"state";i:1;s:6:"access";i:1;}}}s:3:"url";s:48:"index.php?option=com_content&view=article&id=130";s:5:"route";s:106:"index.php?option=com_content&view=article&id=130:all-template-positions&catid=78:jm-sample-data&Itemid=563";s:5:"title";s:22:"All Template Positions";s:11:"description";s:245:"JM Internet Joomla template is using fully responsive layout that adjusts to various screens: desktops, tablets or mobiles. EF4 Framework includes Layout Builder tool which allows you to customize template layout for different screen dimensions.";s:9:"published";N;s:5:"state";i:1;s:6:"access";s:1:"1";s:8:"language";s:5:"en-GB";s:18:"publish_start_date";s:19:"2014-06-25 09:42:57";s:16:"publish_end_date";s:19:"0000-00-00 00:00:00";s:10:"start_date";s:19:"2014-06-25 09:42:57";s:8:"end_date";s:19:"0000-00-00 00:00:00";s:10:"list_price";N;s:10:"sale_price";N;s:7:"type_id";i:4;s:15:"defaultLanguage";s:5:"en-GB";}'),
(41,'index.php?option=com_content&view=article&id=87','index.php?option=com_content&view=article&id=87:typography&catid=78:jm-sample-data&Itemid=503','Typography','Image Borders <img class="img-rounded" src="image.jpg" /> <img class="img-circle" src="image.jpg" /> <img class="img-polaroid" src="image.jpg" /> Headings This is Heading One (h1) Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo s','2015-01-19 10:23:45','a7cb9168026919a2b83e0f5288ba2413',1,1,1,'en-GB','2014-05-14 12:40:26','0000-00-00 00:00:00','2014-05-14 12:40:26','0000-00-00 00:00:00','0','0',4,'O:19:"FinderIndexerResult":19:{s:11:"\0*\0elements";a:24:{s:2:"id";s:2:"87";s:5:"alias";s:10:"typography";s:7:"summary";s:43918:"<h3 class="jm-typo-title">Image Borders</h3>\r\n<div class="row-fluid">\r\n<div class="span4">\r\n<pre>&lt;img class="img-rounded" src="image.jpg" /&gt;</pre>\r\n<div style="text-align: center;"><img class="img-rounded" src="images/bootstrap_sample/sample140x140.png" alt="Typography" border="0" /></div>\r\n<p></p>\r\n</div>\r\n<div class="span4">\r\n<pre>&lt;img class="img-circle" src="image.jpg" /&gt;</pre>\r\n<div style="text-align: center;"><img class="img-circle" src="images/bootstrap_sample/sample140x140.png" alt="Typography" border="0" /></div>\r\n<p></p>\r\n</div>\r\n<div class="span4">\r\n<pre>&lt;img class="img-polaroid" src="image.jpg" /&gt;</pre>\r\n<div style="text-align: center;"><img class="img-polaroid" src="images/bootstrap_sample/sample140x140.png" alt="Typography" border="0" /></div>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Headings</h3>\r\n<div class="row-fluid">\r\n<div class="span6">\r\n<h1>This is Heading One (h1)</h1>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.</p>\r\n<br />\r\n<h2>This is Heading Two (h2)</h2>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.</p>\r\n<br />\r\n<h3>This is Heading Three (h3)</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.</p>\r\n</div>\r\n<div class="span6">\r\n<h4>This is Heading Four (h4)</h4>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.</p>\r\n<br />\r\n<h5>This is Heading Five (h5)</h5>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.</p>\r\n<br />\r\n<h6>This is Heading Six (h6)</h6>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.</p>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Numered blocks</h3>\r\n<div class="row-fluid">\r\n<div class="span6">\r\n<pre>&lt;p class="jm-block"&gt;&lt;span class="jm"&gt;01&lt;/span&gt;Text goes here&lt;/p&gt;</pre>\r\n<p class="jm-block"><span class="jm">01</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.</p>\r\n<p class="jm-block"><span class="jm">02</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.</p>\r\n<p class="jm-block"><span class="jm">03</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.</p>\r\n</div>\r\n<div class="span6">\r\n<pre>&lt;p class="jm-block second"&gt;&lt;span class="jm"&gt;a&lt;/span&gt;Text goes here&lt;/p&gt;</pre>\r\n<p class="jm-block second"><span class="jm">a</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.</p>\r\n<p class="jm-block second"><span class="jm">b</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.</p>\r\n<p class="jm-block second"><span class="jm">c</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.</p>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Colored Blocks</h3>\r\n<div class="row-fluid">\r\n<div class="span6">\r\n<div class="alert">&lt;div class="alert"&gt;Text goes here&lt;/div&gt;</div>\r\n<div class="alert alert-error">&lt;div class="alert alert-error"&gt;Text goes here&lt;/div&gt;</div>\r\n</div>\r\n<div class="span6">\r\n<div class="alert alert-success">&lt;div class="alert alert-success"&gt;Text goes here&lt;/div&gt;</div>\r\n<div class="alert alert-info">&lt;div class="alert alert-info"&gt;Text goes here&lt;/div&gt;</div>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Icon blocks</h3>\r\n<div class="row-fluid">\r\n<div class="span6">\r\n<p class="jm-badge">&lt;p class="jm-badge" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-calendar">&lt;p class="jm-calendar" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-chat">&lt;p class="jm-chat" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-check">&lt;p class="jm-check" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-cloud">&lt;p class="jm-cloud" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-direction">&lt;p class="jm-direction" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-divide">&lt;p class="jm-divide" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-error">&lt;p class="jm-error" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-fire">&lt;p class="jm-fire" &gt;Text goes here&lt;/p&gt;</p>\r\n</div>\r\n<div class="span6">\r\n<p class="jm-flag">&lt;p class="jm-flag" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-heart">&lt;p class="jm-heart" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-home">&lt;p class="jm-home" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-info">&lt;p class="jm-info" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-list">&lt;p class="jm-list" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-mail">&lt;p class="jm-mail" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-people">&lt;p class="jm-people" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-star">&lt;p class="jm-star" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jm-stat">&lt;p class="jm-stat" &gt;Text goes here&lt;/p&gt;</p>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Blockquote</h3>\r\n<div class="row-fluid">\r\n<div class="span12">\r\n<pre>&lt;blockquote&gt;<br />&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;/p&gt;<br />&lt;small&gt;John Doe&lt;/small&gt;<br />&lt;/blockquote&gt;</pre>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>John Doe</small></blockquote>\r\n</div>\r\n<div class="span12">\r\n<pre>&lt;blockquote class="pull-right"&gt;<br />&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;/p&gt;<br />&lt;small&gt;John Doe&lt;/small&gt;<br />&lt;/blockquote&gt;</pre>\r\n<blockquote class="pull-right">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>John Doe</small></blockquote>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Unordered lists</h3>\r\n<div class="row-fluid" style="margin-bottom: 30px;">\r\n<div class="span4">\r\n<pre>&lt;ul&gt;<br />&lt;-- list goes here --&gt;<br />&lt;/ul&gt;</pre>\r\n<ul>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ul>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ul>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n</ul>\r\n</li>\r\n</ul>\r\n</li>\r\n</ul>\r\n</div>\r\n<div class="span4">\r\n<pre>&lt;ul class="jm-color-list"&gt;<br />&lt;-- list goes here --&gt;<br />&lt;/ul&gt;</pre>\r\n<ul class="jm-color-list">\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ul>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ul>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n</ul>\r\n</li>\r\n</ul>\r\n</li>\r\n</ul>\r\n</div>\r\n<div class="span4">\r\n<pre>&lt;ul class="jm-light-list"&gt;<br />&lt;-- list goes here --&gt;<br />&lt;/ul&gt;</pre>\r\n<ul class="jm-light-list">\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ul>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ul>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n</ul>\r\n</li>\r\n</ul>\r\n</li>\r\n</ul>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Ordered lists</h3>\r\n<div class="row-fluid">\r\n<div class="span4">\r\n<pre>&lt;ol&gt;<br />&lt;-- list goes here --&gt;<br />&lt;/ol&gt;</pre>\r\n<ol>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ol>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ol>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n</ol>\r\n</li>\r\n</ol>\r\n</li>\r\n</ol>\r\n</div>\r\n<div class="span4">\r\n<pre>&lt;ol class="jm-roman"&gt;<br />&lt;-- list goes here --&gt;<br />&lt;/ol&gt;</pre>\r\n<ol class="jm-roman">\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ol>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ol>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n</ol>\r\n</li>\r\n</ol>\r\n</li>\r\n</ol>\r\n</div>\r\n<div class="span4">\r\n<pre>&lt;ol class="jm-alpha"&gt;<br />&lt;-- list goes here --&gt;<br />&lt;/ol&gt;</pre>\r\n<ol class="jm-alpha">\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ol>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ol>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n</ol>\r\n</li>\r\n</ol>\r\n</li>\r\n</ol>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Read More Button</h3>\r\n<pre>&lt;p class="readmore"&gt;&lt;a class="btn" href="#"&gt;Read more&lt;/a&gt;&lt;/p&gt;</pre>\r\n<p class="readmore"><a class="btn" href="#">Read more</a></p>\r\n<h3 class="jm-typo-title">Glyphicon Font</h3>\r\n<div>\r\n<pre>&lt;span class="icon-joomla"&gt;&amp;nbsp&lt;/span&gt;</pre>\r\n</div>\r\n<div class="row-fluid">\r\n<div class="span3">\r\n<div style="padding: 2px 0;"><span class="icon-asterisk"> </span> icon-asterisk</div>\r\n<div style="padding: 2px 0;"><span class="icon-plus"> </span> icon-plus</div>\r\n<div style="padding: 2px 0;"><span class="icon-euro"> </span> icon-euro</div>\r\n<div style="padding: 2px 0;"><span class="icon-minus"> </span> icon-minus</div>\r\n<div style="padding: 2px 0;"><span class="icon-cloud"> </span> icon-cloud</div>\r\n<div style="padding: 2px 0;"><span class="icon-envelope"> </span> icon-envelope</div>\r\n<div style="padding: 2px 0;"><span class="icon-pencil"> </span> icon-pencil</div>\r\n<div style="padding: 2px 0;"><span class="icon-glass"> </span> icon-glass</div>\r\n<div style="padding: 2px 0;"><span class="icon-music"> </span> icon-music</div>\r\n<div style="padding: 2px 0;"><span class="icon-search"> </span> icon-search</div>\r\n<div style="padding: 2px 0;"><span class="icon-heart"> </span> icon-heart</div>\r\n<div style="padding: 2px 0;"><span class="icon-star"> </span> icon-star</div>\r\n<div style="padding: 2px 0;"><span class="icon-star-empty"> </span> icon-star-empty</div>\r\n<div style="padding: 2px 0;"><span class="icon-user"> </span> icon-user</div>\r\n<div style="padding: 2px 0;"><span class="icon-film"> </span> icon-film</div>\r\n<div style="padding: 2px 0;"><span class="icon-th-large"> </span> icon-th-large</div>\r\n<div style="padding: 2px 0;"><span class="icon-th"> </span> icon-th</div>\r\n<div style="padding: 2px 0;"><span class="icon-th-list"> </span> icon-th-list</div>\r\n<div style="padding: 2px 0;"><span class="icon-ok"> </span> icon-ok</div>\r\n<div style="padding: 2px 0;"><span class="icon-remove"> </span> icon-remove</div>\r\n<div style="padding: 2px 0;"><span class="icon-zoom-in"> </span> icon-zoom-in</div>\r\n<div style="padding: 2px 0;"><span class="icon-zoom-out"> </span> icon-zoom-out</div>\r\n<div style="padding: 2px 0;"><span class="icon-off"> </span> icon-off</div>\r\n<div style="padding: 2px 0;"><span class="icon-signal"> </span> icon-signal</div>\r\n<div style="padding: 2px 0;"><span class="icon-cog"> </span> icon-cog</div>\r\n<div style="padding: 2px 0;"><span class="icon-trash"> </span> icon-trash</div>\r\n<div style="padding: 2px 0;"><span class="icon-home"> </span> icon-home</div>\r\n<div style="padding: 2px 0;"><span class="icon-file"> </span> icon-file</div>\r\n<div style="padding: 2px 0;"><span class="icon-time"> </span> icon-time</div>\r\n<div style="padding: 2px 0;"><span class="icon-road"> </span> icon-road</div>\r\n<div style="padding: 2px 0;"><span class="icon-download-alt"> </span> icon-download-alt</div>\r\n<div style="padding: 2px 0;"><span class="icon-download"> </span> icon-download</div>\r\n<div style="padding: 2px 0;"><span class="icon-upload"> </span> icon-upload</div>\r\n<div style="padding: 2px 0;"><span class="icon-inbox"> </span> icon-inbox</div>\r\n<div style="padding: 2px 0;"><span class="icon-play-circle"> </span> icon-play-circle</div>\r\n<div style="padding: 2px 0;"><span class="icon-repeat"> </span> icon-repeat</div>\r\n<div style="padding: 2px 0;"><span class="icon-refresh"> </span> icon-refresh</div>\r\n<div style="padding: 2px 0;"><span class="icon-list-alt"> </span> icon-list-alt</div>\r\n<div style="padding: 2px 0;"><span class="icon-lock"> </span> icon-lock</div>\r\n<div style="padding: 2px 0;"><span class="icon-flag"> </span> icon-flag</div>\r\n<div style="padding: 2px 0;"><span class="icon-headphones"> </span> icon-headphones</div>\r\n<div style="padding: 2px 0;"><span class="icon-volume-off"> </span> icon-volume-off</div>\r\n<div style="padding: 2px 0;"><span class="icon-volume-down"> </span> icon-volume-down</div>\r\n<div style="padding: 2px 0;"><span class="icon-volume-up"> </span> icon-volume-up</div>\r\n<div style="padding: 2px 0;"><span class="icon-qrcode"> </span> icon-qrcode</div>\r\n<div style="padding: 2px 0;"><span class="icon-barcode"> </span> icon-barcode</div>\r\n<div style="padding: 2px 0;"><span class="icon-tag"> </span> icon-tag</div>\r\n<div style="padding: 2px 0;"><span class="icon-tags"> </span> icon-tags</div>\r\n<div style="padding: 2px 0;"><span class="icon-book"> </span> icon-book</div>\r\n<div style="padding: 2px 0;"><span class="icon-bookmark"> </span> icon-bookmark</div>\r\n</div>\r\n<div class="span3">\r\n<div style="padding: 2px 0;"><span class="icon-print"> </span> icon-print</div>\r\n<div style="padding: 2px 0;"><span class="icon-camera"> </span> icon-camera</div>\r\n<div style="padding: 2px 0;"><span class="icon-font"> </span> icon-font</div>\r\n<div style="padding: 2px 0;"><span class="icon-bold"> </span> icon-bold</div>\r\n<div style="padding: 2px 0;"><span class="icon-italic"> </span> icon-italic</div>\r\n<div style="padding: 2px 0;"><span class="icon-text-height"> </span> icon-text-height</div>\r\n<div style="padding: 2px 0;"><span class="icon-text-width"> </span> icon-text-width</div>\r\n<div style="padding: 2px 0;"><span class="icon-align-left"> </span> icon-align-left</div>\r\n<div style="padding: 2px 0;"><span class="icon-align-center"> </span> icon-align-center</div>\r\n<div style="padding: 2px 0;"><span class="icon-align-right"> </span> icon-align-right</div>\r\n<div style="padding: 2px 0;"><span class="icon-align-justify"> </span> icon-align-justify</div>\r\n<div style="padding: 2px 0;"><span class="icon-list"> </span> icon-list</div>\r\n<div style="padding: 2px 0;"><span class="icon-indent-left"> </span> icon-indent-left</div>\r\n<div style="padding: 2px 0;"><span class="icon-indent-right"> </span> icon-indent-right</div>\r\n<div style="padding: 2px 0;"><span class="icon-facetime-video"> </span> icon-facetime-video</div>\r\n<div style="padding: 2px 0;"><span class="icon-picture"> </span> icon-picture</div>\r\n<div style="padding: 2px 0;"><span class="icon-map-marker"> </span> icon-map-marker</div>\r\n<div style="padding: 2px 0;"><span class="icon-adjust"> </span> icon-adjust</div>\r\n<div style="padding: 2px 0;"><span class="icon-tint"> </span> icon-tint</div>\r\n<div style="padding: 2px 0;"><span class="icon-edit"> </span> icon-edit</div>\r\n<div style="padding: 2px 0;"><span class="icon-share"> </span> icon-share</div>\r\n<div style="padding: 2px 0;"><span class="icon-check"> </span> icon-check</div>\r\n<div style="padding: 2px 0;"><span class="icon-move"> </span> icon-move</div>\r\n<div style="padding: 2px 0;"><span class="icon-step-backward"> </span> icon-step-backward</div>\r\n<div style="padding: 2px 0;"><span class="icon-fast-backward"> </span> icon-fast-backward</div>\r\n<div style="padding: 2px 0;"><span class="icon-backward"> </span> icon-backward</div>\r\n<div style="padding: 2px 0;"><span class="icon-play"> </span> icon-play</div>\r\n<div style="padding: 2px 0;"><span class="icon-pause"> </span> icon-pause</div>\r\n<div style="padding: 2px 0;"><span class="icon-stop"> </span> icon-stop</div>\r\n<div style="padding: 2px 0;"><span class="icon-forward"> </span> icon-forward</div>\r\n<div style="padding: 2px 0;"><span class="icon-fast-forward"> </span> icon-fast-forward</div>\r\n<div style="padding: 2px 0;"><span class="icon-step-forward"> </span> icon-step-forward</div>\r\n<div style="padding: 2px 0;"><span class="icon-eject"> </span> icon-eject</div>\r\n<div style="padding: 2px 0;"><span class="icon-chevron-left"> </span> icon-chevron-left</div>\r\n<div style="padding: 2px 0;"><span class="icon-chevron-right"> </span> icon-chevron-right</div>\r\n<div style="padding: 2px 0;"><span class="icon-plus-sign"> </span> icon-plus-sign</div>\r\n<div style="padding: 2px 0;"><span class="icon-minus-sign"> </span> icon-minus-sign</div>\r\n<div style="padding: 2px 0;"><span class="icon-remove-sign"> </span> icon-remove-sign</div>\r\n<div style="padding: 2px 0;"><span class="icon-ok-sign"> </span> icon-ok-sign</div>\r\n<div style="padding: 2px 0;"><span class="icon-question-sign"> </span> icon-question-sign</div>\r\n<div style="padding: 2px 0;"><span class="icon-info-sign"> </span> icon-info-sign</div>\r\n<div style="padding: 2px 0;"><span class="icon-screenshot"> </span> icon-screenshot</div>\r\n<div style="padding: 2px 0;"><span class="icon-remove-circle"> </span> icon-remove-circle</div>\r\n<div style="padding: 2px 0;"><span class="icon-ok-circle"> </span> icon-ok-circle</div>\r\n<div style="padding: 2px 0;"><span class="icon-ban-circle"> </span> icon-ban-circle</div>\r\n<div style="padding: 2px 0;"><span class="icon-arrow-left"> </span> icon-arrow-left</div>\r\n<div style="padding: 2px 0;"><span class="icon-arrow-right"> </span> icon-arrow-right</div>\r\n<div style="padding: 2px 0;"><span class="icon-arrow-up"> </span> icon-arrow-up</div>\r\n<div style="padding: 2px 0;"><span class="icon-arrow-down"> </span> icon-arrow-down</div>\r\n<div style="padding: 2px 0;"><span class="icon-share-alt"> </span> icon-share-alt</div>\r\n</div>\r\n<div class="span3">\r\n<div style="padding: 2px 0;"><span class="icon-resize-full"> </span> icon-resize-full</div>\r\n<div style="padding: 2px 0;"><span class="icon-resize-small"> </span> icon-resize-small</div>\r\n<div style="padding: 2px 0;"><span class="icon-exclamation-sign"> </span> icon-exclamation-sign</div>\r\n<div style="padding: 2px 0;"><span class="icon-gift"> </span> icon-gift</div>\r\n<div style="padding: 2px 0;"><span class="icon-leaf"> </span> icon-leaf</div>\r\n<div style="padding: 2px 0;"><span class="icon-fire"> </span> icon-fire</div>\r\n<div style="padding: 2px 0;"><span class="icon-eye-open"> </span> icon-eye-open</div>\r\n<div style="padding: 2px 0;"><span class="icon-eye-close"> </span> icon-eye-close</div>\r\n<div style="padding: 2px 0;"><span class="icon-warning-sign"> </span> icon-warning-sign</div>\r\n<div style="padding: 2px 0;"><span class="icon-plane"> </span> icon-plane</div>\r\n<div style="padding: 2px 0;"><span class="icon-calendar"> </span> icon-calendar</div>\r\n<div style="padding: 2px 0;"><span class="icon-random"> </span> icon-random</div>\r\n<div style="padding: 2px 0;"><span class="icon-comment"> </span> icon-comment</div>\r\n<div style="padding: 2px 0;"><span class="icon-magnet"> </span> icon-magnet</div>\r\n<div style="padding: 2px 0;"><span class="icon-chevron-up"> </span> icon-chevron-up</div>\r\n<div style="padding: 2px 0;"><span class="icon-chevron-down"> </span> icon-chevron-down</div>\r\n<div style="padding: 2px 0;"><span class="icon-retweet"> </span> icon-retweet</div>\r\n<div style="padding: 2px 0;"><span class="icon-shopping-cart"> </span> icon-shopping-cart</div>\r\n<div style="padding: 2px 0;"><span class="icon-folder-close"> </span> icon-folder-close</div>\r\n<div style="padding: 2px 0;"><span class="icon-folder-open"> </span> icon-folder-open</div>\r\n<div style="padding: 2px 0;"><span class="icon-resize-vertical"> </span> icon-resize-vertical</div>\r\n<div style="padding: 2px 0;"><span class="icon-resize-horizontal"> </span> icon-resize-horizontal</div>\r\n<div style="padding: 2px 0;"><span class="icon-hdd"> </span> icon-hdd</div>\r\n<div style="padding: 2px 0;"><span class="icon-bullhorn"> </span> icon-bullhorn</div>\r\n<div style="padding: 2px 0;"><span class="icon-bell"> </span> icon-bell</div>\r\n<div style="padding: 2px 0;"><span class="icon-certificate"> </span> icon-certificate</div>\r\n<div style="padding: 2px 0;"><span class="icon-thumbs-up"> </span> icon-thumbs-up</div>\r\n<div style="padding: 2px 0;"><span class="icon-thumbs-down"> </span> icon-thumbs-down</div>\r\n<div style="padding: 2px 0;"><span class="icon-hand-right"> </span> icon-hand-right</div>\r\n<div style="padding: 2px 0;"><span class="icon-hand-left"> </span> icon-hand-left</div>\r\n<div style="padding: 2px 0;"><span class="icon-hand-up"> </span> icon-hand-up</div>\r\n<div style="padding: 2px 0;"><span class="icon-hand-down"> </span> icon-hand-down</div>\r\n<div style="padding: 2px 0;"><span class="icon-circle-arrow-right"> </span> icon-circle-arrow-right</div>\r\n<div style="padding: 2px 0;"><span class="icon-circle-arrow-left"> </span> icon-circle-arrow-left</div>\r\n<div style="padding: 2px 0;"><span class="icon-circle-arrow-up"> </span> icon-circle-arrow-up</div>\r\n<div style="padding: 2px 0;"><span class="icon-circle-arrow-down"> </span> icon-circle-arrow-down</div>\r\n<div style="padding: 2px 0;"><span class="icon-globe"> </span> icon-globe</div>\r\n<div style="padding: 2px 0;"><span class="icon-wrench"> </span> icon-wrench</div>\r\n<div style="padding: 2px 0;"><span class="icon-tasks"> </span> icon-tasks</div>\r\n<div style="padding: 2px 0;"><span class="icon-filter"> </span> icon-filter</div>\r\n<div style="padding: 2px 0;"><span class="icon-briefcase"> </span> icon-briefcase</div>\r\n<div style="padding: 2px 0;"><span class="icon-fullscreen"> </span> icon-fullscreen</div>\r\n<div style="padding: 2px 0;"><span class="icon-dashboard"> </span> icon-dashboard</div>\r\n<div style="padding: 2px 0;"><span class="icon-paperclip"> </span> icon-paperclip</div>\r\n<div style="padding: 2px 0;"><span class="icon-heart-empty"> </span> icon-heart-empty</div>\r\n<div style="padding: 2px 0;"><span class="icon-link"> </span> icon-link</div>\r\n<div style="padding: 2px 0;"><span class="icon-phone"> </span> icon-phone</div>\r\n<div style="padding: 2px 0;"><span class="icon-pushpin"> </span> icon-pushpin</div>\r\n<div style="padding: 2px 0;"><span class="icon-usd"> </span> icon-usd</div>\r\n<div style="padding: 2px 0;"><span class="icon-gbp"> </span> icon-gbp</div>\r\n</div>\r\n<div class="span3">\r\n<div style="padding: 2px 0;"><span class="icon-sort"> </span> icon-sort</div>\r\n<div style="padding: 2px 0;"><span class="icon-sort-by-alphabet"> </span> icon-sort-by-alphabet</div>\r\n<div style="padding: 2px 0;"><span class="icon-sort-by-alphabet-alt"> </span> icon-sort-by-alphabet-alt</div>\r\n<div style="padding: 2px 0;"><span class="icon-sort-by-order"> </span> icon-sort-by-order</div>\r\n<div style="padding: 2px 0;"><span class="icon-sort-by-order-alt"> </span> icon-sort-by-order-alt</div>\r\n<div style="padding: 2px 0;"><span class="icon-sort-by-attributes"> </span> icon-sort-by-attributes</div>\r\n<div style="padding: 2px 0;"><span class="icon-sort-by-attributes-alt"> </span> icon-sort-by-attributes-alt</div>\r\n<div style="padding: 2px 0;"><span class="icon-unchecked"> </span> icon-unchecked</div>\r\n<div style="padding: 2px 0;"><span class="icon-expand"> </span> icon-expand</div>\r\n<div style="padding: 2px 0;"><span class="icon-collapse-down"> </span> icon-collapse-down</div>\r\n<div style="padding: 2px 0;"><span class="icon-collapse-up"> </span> icon-collapse-up</div>\r\n<div style="padding: 2px 0;"><span class="icon-log-in"> </span> icon-log-in</div>\r\n<div style="padding: 2px 0;"><span class="icon-flash"> </span> icon-flash</div>\r\n<div style="padding: 2px 0;"><span class="icon-log-out"> </span> icon-log-out</div>\r\n<div style="padding: 2px 0;"><span class="icon-new-window"> </span> icon-new-window</div>\r\n<div style="padding: 2px 0;"><span class="icon-record"> </span> icon-record</div>\r\n<div style="padding: 2px 0;"><span class="icon-save"> </span> icon-save</div>\r\n<div style="padding: 2px 0;"><span class="icon-open"> </span> icon-open</div>\r\n<div style="padding: 2px 0;"><span class="icon-saved"> </span> icon-saved</div>\r\n<div style="padding: 2px 0;"><span class="icon-import"> </span> icon-import</div>\r\n<div style="padding: 2px 0;"><span class="icon-export"> </span> icon-export</div>\r\n<div style="padding: 2px 0;"><span class="icon-send"> </span> icon-send</div>\r\n<div style="padding: 2px 0;"><span class="icon-floppy-disk"> </span> icon-floppy-disk</div>\r\n<div style="padding: 2px 0;"><span class="icon-floppy-saved"> </span> icon-floppy-saved</div>\r\n<div style="padding: 2px 0;"><span class="icon-floppy-remove"> </span> icon-floppy-remove</div>\r\n<div style="padding: 2px 0;"><span class="icon-floppy-save"> </span> icon-floppy-save</div>\r\n<div style="padding: 2px 0;"><span class="icon-floppy-open"> </span> icon-floppy-open</div>\r\n<div style="padding: 2px 0;"><span class="icon-credit-card"> </span> icon-credit-card</div>\r\n<div style="padding: 2px 0;"><span class="icon-transfer"> </span> icon-transfer</div>\r\n<div style="padding: 2px 0;"><span class="icon-cutlery"> </span> icon-cutlery</div>\r\n<div style="padding: 2px 0;"><span class="icon-header"> </span> icon-header</div>\r\n<div style="padding: 2px 0;"><span class="icon-compressed"> </span> icon-compressed</div>\r\n<div style="padding: 2px 0;"><span class="icon-earphone"> </span> icon-earphone</div>\r\n<div style="padding: 2px 0;"><span class="icon-phone-alt"> </span> icon-phone-alt</div>\r\n<div style="padding: 2px 0;"><span class="icon-tower"> </span> icon-tower</div>\r\n<div style="padding: 2px 0;"><span class="icon-stats"> </span> icon-stats</div>\r\n<div style="padding: 2px 0;"><span class="icon-sd-video"> </span> icon-sd-video</div>\r\n<div style="padding: 2px 0;"><span class="icon-hd-video"> </span> icon-hd-video</div>\r\n<div style="padding: 2px 0;"><span class="icon-subtitles"> </span> icon-subtitles</div>\r\n<div style="padding: 2px 0;"><span class="icon-sound-stereo"> </span> icon-sound-stereo</div>\r\n<div style="padding: 2px 0;"><span class="icon-sound-dolby"> </span> icon-sound-dolby</div>\r\n<div style="padding: 2px 0;"><span class="icon-sound-5-1"> </span> icon-sound-5-1</div>\r\n<div style="padding: 2px 0;"><span class="icon-sound-6-1"> </span> icon-sound-6-1</div>\r\n<div style="padding: 2px 0;"><span class="icon-sound-7-1"> </span> icon-sound-7-1</div>\r\n<div style="padding: 2px 0;"><span class="icon-copyright-mark"> </span> icon-copyright-mark</div>\r\n<div style="padding: 2px 0;"><span class="icon-registration-mark"> </span> icon-registration-mark</div>\r\n<div style="padding: 2px 0;"><span class="icon-cloud-download"> </span> icon-cloud-download</div>\r\n<div style="padding: 2px 0;"><span class="icon-cloud-upload"> </span> icon-cloud-upload</div>\r\n<div style="padding: 2px 0;"><span class="icon-tree-conifer"> </span> icon-tree-conifer</div>\r\n<div style="padding: 2px 0;"><span class="icon-tree-deciduous"> </span> icon-tree-deciduous</div>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Offcanvas Button Module</h3>\r\n<div class="row-fluid">\r\n<div class="span12">\r\n<pre>&lt;p&gt;&lt;a class="toggle-nav menu"&gt;&lt;span class="icon-align-justify"&gt;&lt;/span&gt;&lt;/a&gt;&lt;/p&gt;\r\n</pre>\r\n<p><a class="toggle-nav menu"><span class="icon-align-justify"></span></a></p>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Top Contact Module</h3>\r\n<div class="row-fluid">\r\n<div class="span12">\r\n<pre>&lt;ul class="jm-contact-icons"&gt;<br />&lt;li class="jm-direction"&gt;&lt;img src="<strong>images/modules/direction.png</strong>" alt="Direction" /&gt;&lt;a title="Contact" href="<strong>#</strong>"&amp;gt;<strong>Peterborough, UK</strong>&lt;/a&gt;&lt;/li&gt;<br />&lt;li class="jm-email"&gt;&lt;img src="<strong>images/modules/email.png</strong>" alt="Email" /&gt;&lt;a title="Contact" href="<strong>#</strong>"&gt;<strong>Email</strong>&lt;/a&gt;&lt;/li&gt;<br />&lt;li class="jm-phone"&gt;&lt;img src="<strong>images/modules/phone.png</strong>" alt="Phone" /&gt;&lt;a title="Contact" href="<strong>#</strong>"&gt;<strong>+44 7837 383 484</strong>&lt;/a&gt;&lt;/li&gt;<br />&lt;/ul&gt;</pre>\r\n<ul class="jm-contact-icons">\r\n<li class="jm-direction"><img src="images/modules/direction.png" alt="Direction" /><a title="Contact" href="#">Peterborough, UK</a></li>\r\n<li class="jm-email"><img src="images/modules/email.png" alt="Email" /><a title="Contact" href="#">Email</a></li>\r\n<li class="jm-phone"><img src="images/modules/phone.png" alt="Phone" /><a title="Contact" href="#">+44 7837 383 484</a></li>\r\n</ul>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Residential Solutions Module</h3>\r\n<div class="row-fluid">\r\n<div class="span12">\r\n<pre>&lt;div class="jm-box"&gt;\r\n&lt;div class="jm-box-in"&gt;\r\n&lt;div class="jm-icon"&gt;&lt;img src="<strong>images/modules/icon1.png</strong>" alt="" /&gt;&lt;/div&gt;\r\n&lt;div class="jm-column"&gt;\r\n&lt;span class="title"&gt;<strong>Residential Solutions</strong>&lt;/span&gt;\r\n&lt;a href="<strong>#</strong>" class="link"&gt;<strong>www.jm-internet.com</strong>&lt;/a&gt;\r\n&lt;span class="description"&gt;<strong>Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.</strong>&lt;/span&gt;\r\n&lt;span class="contact"&gt;<strong>call 888-777-888</strong>&lt;/span&gt;\r\n&lt;a href="<strong>#</strong>" class="readmore"&gt;<strong>read more</strong>&lt;/a&gt;&lt;/div&gt;\r\n&lt;div class="jm-expand"&gt;\r\n&lt;div class="expand-in"&gt;&lt;span class="subtitle"&gt;<strong>Services Include</strong>&lt;/span&gt;\r\n&lt;ul&gt;\r\n&lt;li&gt;<strong>Lorem ipsum</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Dolor sit amet</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Vestibulum venenatis</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Suscipit libero</strong>&lt;/li&gt;\r\n&lt;/ul&gt;\r\n&lt;/div&gt;\r\n&lt;/div&gt;\r\n&lt;/div&gt;\r\n&lt;/div&gt;\r\n</pre>\r\n<div class="jm-box">\r\n<div class="jm-box-in">\r\n<div class="jm-icon"><img src="images/modules/icon1.png" alt="" /></div>\r\n<div class="jm-column"><span class="title">Residential Solutions</span> <a href="#" class="link">www.jm-internet.com</a> <span class="description">Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.</span> <span class="contact">call 888-777-888</span> <a href="#" class="readmore">read more</a></div>\r\n<div class="jm-expand">\r\n<div class="expand-in"><span class="subtitle">Services Include</span>\r\n<ul>\r\n<li>Lorem ipsum</li>\r\n<li>Dolor sit amet</li>\r\n<li>Vestibulum venenatis</li>\r\n<li>Suscipit libero</li>\r\n</ul>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Business Solutions Module</h3>\r\n<div class="row-fluid">\r\n<div class="span12">\r\n<pre>&lt;div class="jm-box"&gt;\r\n&lt;div class="jm-box-in"&gt;\r\n&lt;div class="jm-icon"&gt;&lt;img src="<strong>images/modules/icon2.png</strong>" alt="" /&gt;&lt;/div&gt;\r\n&lt;div class="jm-column"&gt;\r\n&lt;span class="title"&gt;<strong>Business Solutions</strong>&lt;/span&gt;\r\n&lt;a href="<strong>#</strong>" class="link"&gt;<strong>www.jm-internet.com</strong>&lt;/a&gt;\r\n&lt;span class="description"&gt;<strong>Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.</strong>&lt;/span&gt;\r\n&lt;span class="contact"&gt;<strong>call 888-777-888</strong>&lt;/span&gt;\r\n&lt;a href="<strong>#</strong>" class="readmore"&gt;<strong>read more</strong>&lt;/a&gt;&lt;/div&gt;\r\n&lt;div class="jm-expand"&gt;\r\n&lt;div class="expand-in"&gt;&lt;span class="subtitle"&gt;<strong>Services Include</strong>&lt;/span&gt;\r\n&lt;ul&gt;\r\n&lt;li&gt;<strong>Lorem ipsum</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Dolor sit amet</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Vestibulum venenatis</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Suscipit libero</strong>&lt;/li&gt;\r\n&lt;/ul&gt;\r\n&lt;/div&gt;\r\n&lt;/div&gt;\r\n&lt;/div&gt;\r\n&lt;/div&gt;\r\n</pre>\r\n<div class="jm-box">\r\n<div class="jm-box-in">\r\n<div class="jm-icon"><img src="images/modules/icon2.png" alt="" /></div>\r\n<div class="jm-column">\r\n<div class="column-in"><span class="title">Business Solutions</span> <a href="#" class="link">www.jm-internet.com</a> <span class="description">Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.</span> <span class="contact">call 888-777-888</span> <a href="#" class="readmore">read more</a></div>\r\n</div>\r\n<div class="jm-expand">\r\n<div class="expand-in"><span class="subtitle">Services Include</span>\r\n<ul>\r\n<li>Lorem ipsum</li>\r\n<li>Dolor sit amet</li>\r\n<li>Vestibulum venenatis</li>\r\n<li>Suscipit libero</li>\r\n</ul>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Header Module</h3>\r\n<div class="row-fluid">\r\n<div class="span12">\r\n<pre>&lt;div class="jm-custom-header"&gt;\r\n&lt;div class="title"&gt;<strong>This is </strong>&lt;span&gt;<strong>custom</strong>&lt;/span&gt; <strong>html module</strong>&lt;/div&gt;\r\n&lt;div class="description"&gt;<strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt</strong>&lt;br /&gt;<strong> ut labore et dolore magna aliqua.</strong>&lt;/div&gt;\r\n&lt;a class="btn" href="<strong>#</strong>"&gt;<strong>Check an offer</strong>&lt;/a&gt;&lt;/div&gt;\r\n</pre>\r\n<div class="jm-custom-header">\r\n<div class="title">This is <span>custom</span> html module</div>\r\n<div class="description">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt<br /> ut labore et dolore magna aliqua.</div>\r\n<a class="btn" href="#">Check an offer</a></div>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Social Module</h3>\r\n<div class="row-fluid">\r\n<div class="span12">\r\n<div class="jm-socials">\r\n<pre>&lt;div class="jm-socials"&gt;<br />&lt;a class="facebook" href="#"&gt;&amp;nbsp;&lt;/a&gt;<br />&lt;a class="googleplus" href="#"&gt;&amp;nbsp;&lt;/a&gt;<br />&lt;a class="twitter" href="#"&gt;&amp;nbsp;&lt;/a&gt;<br />&lt;a class="linkedin" href="#"&gt;&amp;nbsp;&lt;/a&gt;<br />&lt;a class="skype" href="#"&gt;&amp;nbsp;&lt;/a&gt;<br />&lt;a class="vimeo" href="#"&gt;&amp;nbsp;&lt;/a&gt;<br />&lt;/div&gt;</pre>\r\n<a class="facebook" href="#"> </a> <a class="googleplus" href="#"> </a> <a class="twitter" href="#"> </a> <a class="linkedin" href="#"> </a> <a class="skype" href="#"> </a> <a class="vimeo" href="#"> </a></div>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Home Content</h3>\r\n<div class="row-fluid">\r\n<div class="span12">\r\n<pre>&lt;div class="jm-custom-content clearfix"&gt;\r\n&lt;div class="jm-icon"&gt;\r\n&lt;div class="jm-icon-in"&gt;&lt;span class="up"&gt;<strong>Up to</strong>&lt;/span&gt; &lt;span class="middle"&gt;<strong>250</strong>&lt;/span&gt; &lt;span class="down"&gt;<strong>Mbps</strong>&lt;/span&gt;&lt;/div&gt;\r\n&lt;/div&gt;\r\n&lt;div class="jm-description"&gt;&lt;span class="title"&gt;<strong>High speed internet</strong>&lt;/span&gt;\r\n&lt;p&gt;<strong>Proin iaculis purus consequat sem cure digni ssim donec porttitora.</strong>&lt;br /&gt;<strong>In facilisis at augue imperdiet dignissim.</strong>&lt;/p&gt;\r\n&lt;p class="custom-icon1"&gt;&lt;span&gt;<strong>Lorem ipsum dolor</strong>&lt;/span&gt;<strong>Proin iaculis purus consequat sem cure digni ssim.</strong>&lt;/p&gt;\r\n&lt;p class="custom-icon2"&gt;&lt;span&gt;<strong>Adipiscing elit</strong>&lt;/span&gt;<strong>Proin iaculis purus consequat sem cure.</strong>&lt;/p&gt;\r\n&lt;p&gt;<strong>Proin iaculis purus consequat sem cure digni ssim donec porttitora.</strong>&lt;br /&gt;<strong>In facilisis at augue imperdiet dignissim.</strong>&lt;/p&gt;\r\n&lt;a href="<strong>#</strong>" class="readmore"&gt;<strong>Read more</strong>&lt;/a&gt;&lt;/div&gt;\r\n&lt;/div&gt;\r\n</pre>\r\n<div class="jm-custom-content clearfix">\r\n<div class="jm-icon">\r\n<div class="jm-icon-in"><span class="up">Up to</span> <span class="middle">250</span> <span class="down">Mbps</span></div>\r\n</div>\r\n<div class="jm-description"><span class="title">High speed internet</span>\r\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<br />In facilisis at augue imperdiet dignissim.</p>\r\n<p class="custom-icon1"><span>Lorem ipsum dolor</span>Proin iaculis purus consequat sem cure digni ssim.</p>\r\n<p class="custom-icon2"><span>Adipiscing elit</span>Proin iaculis purus consequat sem cure.</p>\r\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<br />In facilisis at augue imperdiet dignissim.</p>\r\n<a href="#" class="readmore">Read more</a></div>\r\n</div>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Pricing Table Content</h3>\r\n<div class="row-fluid">\r\n<div class="span12">\r\n<pre>&lt;div class="jm-pricing clearfix <strong>col3</strong>"&gt;\r\n&lt;div class="box"&gt;\r\n&lt;div class="box-in"&gt;\r\n&lt;div class="price"&gt;&lt;span class="up"&gt;<strong>as low as</strong>&lt;/span&gt;\r\n&lt;span class="middle"&gt;<strong>29.95</strong>&lt;/span&gt;\r\n&lt;span class="down"&gt;<strong>month</strong>&lt;/span&gt;&lt;/div&gt;\r\n&lt;div class="title"&gt;<strong>Cable Internet</strong>&lt;/div&gt;\r\n&lt;div class="content"&gt;\r\n&lt;div class="subtitle"&gt;<strong>step up to earthlink cable internet at the speed of life</strong>&lt;/div&gt;\r\n&lt;ul&gt;\r\n&lt;li&gt;<strong>Lorem ipsum dolor sit amet</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Morbi rhoncus diam quis augue</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Proin non finibus diam</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Pellentesque varius</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Vivamus quis leo</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Donec ut elit maximus</strong>&lt;/li&gt;\r\n&lt;/ul&gt;\r\n&lt;/div&gt;\r\n&lt;div class="bottom"&gt;&lt;a class="btn" href="<strong>#</strong>"&gt;<strong>I\'m interested</strong>&lt;/a&gt;&lt;/div&gt;\r\n&lt;/div&gt;\r\n&lt;/div&gt;\r\n&lt;div class="box"&gt;\r\n&lt;div class="box-in"&gt;\r\n&lt;div class="price"&gt;&lt;span class="up"&gt;<strong>as low as</strong>&lt;/span&gt;\r\n&lt;span class="middle"&gt;<strong>14.85</strong>&lt;/span&gt;\r\n&lt;span class="down"&gt;<strong>month</strong>&lt;/span&gt;&lt;/div&gt;\r\n&lt;div class="title"&gt;<strong>DSL Internet</strong>&lt;/div&gt;\r\n&lt;div class="content"&gt;\r\n&lt;div class="subtitle"&gt;<strong>step up to incredible dsl cable internet</strong>&lt;/div&gt;\r\n&lt;ul&gt;\r\n&lt;li&gt;<strong>Lorem ipsum dolor sit amet</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Morbi rhoncus diam quis augue</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Proin non finibus diam</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Pellentesque varius</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Vivamus quis leo</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Donec ut elit maximus</strong>&lt;/li&gt;\r\n&lt;/ul&gt;\r\n&lt;/div&gt;\r\n&lt;div class="bottom"&gt;&lt;a class="btn" href="<strong>#</strong>"&gt;<strong>I\'m interested</strong>&lt;/a&gt;&lt;/div&gt;\r\n&lt;/div&gt;\r\n&lt;/div&gt;\r\n&lt;div class="box"&gt;\r\n&lt;div class="box-in"&gt;\r\n&lt;div class="price"&gt;&lt;span class="up"&gt;<strong>as low as</strong>&lt;/span&gt;\r\n&lt;span class="middle"&gt;<strong>39.95</strong>&lt;/span&gt;\r\n&lt;span class="down"&gt;<strong>month</strong>&lt;/span&gt;&lt;/div&gt;\r\n&lt;div class="title"&gt;<strong>Satellite Internet</strong>&lt;/div&gt;\r\n&lt;div class="content"&gt;\r\n&lt;div class="subtitle"&gt;<strong>No dsl or cable in your area? get satellite internet</strong>&lt;/div&gt;\r\n&lt;ul&gt;\r\n&lt;li&gt;<strong>Lorem ipsum dolor sit amet</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Morbi rhoncus diam quis augue</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Proin non finibus diam</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Pellentesque varius</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Vivamus quis leo</strong>&lt;/li&gt;\r\n&lt;li&gt;<strong>Donec ut elit maximus</strong>&lt;/li&gt;\r\n&lt;/ul&gt;\r\n&lt;/div&gt;\r\n&lt;div class="bottom"&gt;&lt;a class="btn" href="<strong>#</strong>"&gt;<strong>I\'m interested</strong>&lt;/a&gt;&lt;/div&gt;\r\n&lt;/div&gt;\r\n&lt;/div&gt;\r\n&lt;/div&gt;\r\n</pre>\r\n<div class="jm-pricing clearfix col3">\r\n<div class="box">\r\n<div class="box-in">\r\n<div class="price"><span class="up">as low as</span> <span class="middle">29.95</span> <span class="down">month</span></div>\r\n<div class="title">Cable Internet</div>\r\n<div class="content">\r\n<div class="subtitle">step up to earthlink cable internet at the speed of life</div>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet</li>\r\n<li>Morbi rhoncus diam quis augue</li>\r\n<li>Proin non finibus diam</li>\r\n<li>Pellentesque varius</li>\r\n<li>Vivamus quis leo</li>\r\n<li>Donec ut elit maximus</li>\r\n</ul>\r\n</div>\r\n<div class="bottom"><a class="btn" href="#">I\'m interested</a></div>\r\n</div>\r\n</div>\r\n<div class="box">\r\n<div class="box-in">\r\n<div class="price"><span class="up">as low as</span> <span class="middle">14.85</span> <span class="down">month</span></div>\r\n<div class="title">DSL Internet</div>\r\n<div class="content">\r\n<div class="subtitle">step up to incredible dsl cable internet</div>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet</li>\r\n<li>Morbi rhoncus diam quis augue</li>\r\n<li>Proin non finibus diam</li>\r\n<li>Pellentesque varius</li>\r\n<li>Vivamus quis leo</li>\r\n<li>Donec ut elit maximus</li>\r\n</ul>\r\n</div>\r\n<div class="bottom"><a class="btn" href="#">I\'m interested</a></div>\r\n</div>\r\n</div>\r\n<div class="box">\r\n<div class="box-in">\r\n<div class="price"><span class="up">as low as</span> <span class="middle">39.95</span> <span class="down">month</span></div>\r\n<div class="title">Satellite Internet</div>\r\n<div class="content">\r\n<div class="subtitle">No dsl or cable in your area? get satellite internet</div>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet</li>\r\n<li>Morbi rhoncus diam quis augue</li>\r\n<li>Proin non finibus diam</li>\r\n<li>Pellentesque varius</li>\r\n<li>Vivamus quis leo</li>\r\n<li>Donec ut elit maximus</li>\r\n</ul>\r\n</div>\r\n<div class="bottom"><a class="btn" href="#">I\'m interested</a></div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>";s:4:"body";s:0:"";s:5:"catid";s:2:"78";s:10:"created_by";s:2:"56";s:16:"created_by_alias";s:0:"";s:8:"modified";s:19:"2015-01-19 09:23:45";s:11:"modified_by";s:2:"56";s:6:"params";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":73:{s:14:"article_layout";s:9:"_:default";s:10:"show_title";s:1:"1";s:11:"link_titles";s:1:"1";s:10:"show_intro";s:1:"1";s:19:"info_block_position";s:1:"0";s:13:"show_category";s:1:"1";s:13:"link_category";s:1:"1";s:20:"show_parent_category";s:1:"0";s:20:"link_parent_category";s:1:"1";s:11:"show_author";s:1:"0";s:11:"link_author";s:1:"0";s:16:"show_create_date";s:1:"0";s:16:"show_modify_date";s:1:"0";s:17:"show_publish_date";s:1:"0";s:20:"show_item_navigation";s:1:"1";s:9:"show_vote";s:1:"0";s:13:"show_readmore";s:1:"1";s:19:"show_readmore_title";s:1:"0";s:14:"readmore_limit";s:3:"100";s:9:"show_tags";s:1:"0";s:10:"show_icons";s:1:"0";s:15:"show_print_icon";s:1:"0";s:15:"show_email_icon";s:1:"0";s:9:"show_hits";s:1:"0";s:11:"show_noauth";s:1:"0";s:13:"urls_position";s:1:"0";s:23:"show_publishing_options";s:1:"1";s:20:"show_article_options";s:1:"1";s:12:"save_history";s:1:"1";s:13:"history_limit";i:10;s:25:"show_urls_images_frontend";s:1:"0";s:24:"show_urls_images_backend";s:1:"1";s:7:"targeta";i:0;s:7:"targetb";i:0;s:7:"targetc";i:0;s:11:"float_intro";s:4:"left";s:14:"float_fulltext";s:4:"left";s:15:"category_layout";s:6:"_:blog";s:32:"show_category_heading_title_text";s:1:"1";s:19:"show_category_title";s:1:"0";s:16:"show_description";s:1:"0";s:22:"show_description_image";s:1:"0";s:8:"maxLevel";s:1:"1";s:21:"show_empty_categories";s:1:"0";s:16:"show_no_articles";s:1:"1";s:16:"show_subcat_desc";s:1:"1";s:21:"show_cat_num_articles";s:1:"0";s:21:"show_base_description";s:1:"1";s:11:"maxLevelcat";s:2:"-1";s:25:"show_empty_categories_cat";s:1:"0";s:20:"show_subcat_desc_cat";s:1:"1";s:25:"show_cat_num_articles_cat";s:1:"1";s:20:"num_leading_articles";s:1:"1";s:18:"num_intro_articles";s:1:"4";s:11:"num_columns";s:1:"2";s:9:"num_links";s:1:"4";s:18:"multi_column_order";s:1:"0";s:24:"show_subcategory_content";s:1:"0";s:21:"show_pagination_limit";s:1:"1";s:12:"filter_field";s:4:"hide";s:13:"show_headings";s:1:"1";s:14:"list_show_date";s:1:"0";s:11:"date_format";s:0:"";s:14:"list_show_hits";s:1:"1";s:16:"list_show_author";s:1:"1";s:11:"orderby_pri";s:5:"order";s:11:"orderby_sec";s:5:"rdate";s:10:"order_date";s:9:"published";s:15:"show_pagination";s:1:"2";s:23:"show_pagination_results";s:1:"1";s:14:"show_feed_link";s:1:"1";s:12:"feed_summary";s:1:"0";s:18:"feed_show_readmore";s:1:"0";}}s:7:"metakey";s:0:"";s:8:"metadesc";s:0:"";s:8:"metadata";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":4:{s:6:"robots";s:0:"";s:6:"author";s:0:"";s:6:"rights";s:0:"";s:10:"xreference";s:0:"";}}s:7:"version";s:2:"69";s:8:"ordering";s:1:"8";s:8:"category";s:14:"JM-Sample-Data";s:9:"cat_state";s:1:"1";s:10:"cat_access";s:1:"1";s:4:"slug";s:13:"87:typography";s:7:"catslug";s:17:"78:jm-sample-data";s:6:"author";s:10:"Super User";s:6:"layout";s:7:"article";s:4:"path";s:61:"index.php/features/typography/78-jm-sample-data/87-typography";s:10:"metaauthor";N;}s:15:"\0*\0instructions";a:5:{i:1;a:3:{i:0;s:5:"title";i:1;s:8:"subtitle";i:2;s:2:"id";}i:2;a:2:{i:0;s:7:"summary";i:1;s:4:"body";}i:3;a:8:{i:0;s:4:"meta";i:1;s:10:"list_price";i:2;s:10:"sale_price";i:3;s:7:"metakey";i:4;s:8:"metadesc";i:5;s:10:"metaauthor";i:6;s:6:"author";i:7;s:16:"created_by_alias";}i:4;a:2:{i:0;s:4:"path";i:1;s:5:"alias";}i:5;a:1:{i:0;s:8:"comments";}}s:11:"\0*\0taxonomy";a:4:{s:4:"Type";a:1:{s:7:"Article";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:7:"Article";s:5:"state";i:1;s:6:"access";i:1;}}s:6:"Author";a:1:{s:10:"Super User";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:10:"Super User";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Category";a:1:{s:14:"JM-Sample-Data";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:14:"JM-Sample-Data";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Language";a:1:{s:5:"en-GB";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:5:"en-GB";s:5:"state";i:1;s:6:"access";i:1;}}}s:3:"url";s:47:"index.php?option=com_content&view=article&id=87";s:5:"route";s:93:"index.php?option=com_content&view=article&id=87:typography&catid=78:jm-sample-data&Itemid=503";s:5:"title";s:10:"Typography";s:11:"description";s:17201:"Image Borders <img class="img-rounded" src="image.jpg" /> <img class="img-circle" src="image.jpg" /> <img class="img-polaroid" src="image.jpg" /> Headings This is Heading One (h1) Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis. This is Heading Two (h2) Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis. This is Heading Three (h3) Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis. This is Heading Four (h4) Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aeneanquis sapien suscipit mauris convallis porta lacinia bibendum felis. This is Heading Five (h5) Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis. This is Heading Six (h6) Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis. Numered blocks <p class="jm-block"><span class="jm">01</span>Text goes here</p> 01 Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris. 02 Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris. 03 Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris. <p class="jm-block second"><span class="jm">a</span>Text goes here</p> a Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus.Aenean quis sapien suscipit mauris. b Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris. c Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris. Colored Blocks <div class="alert">Text goes here</div> <div class="alert alert-error">Text goes here</div> <div class="alert alert-success">Text goes here</div> <div class="alert alert-info">Text goes here</div> Icon blocks <p class="jm-badge" >Text goes here</p> <p class="jm-calendar" >Text goes here</p> <p class="jm-chat" >Text goes here</p> <p class="jm-check" >Text goes here</p> <p class="jm-cloud" >Text goes here</p> <p class="jm-direction" >Text goes here</p> <p class="jm-divide" >Text goes here</p> <p class="jm-error" >Text goes here</p> <p class="jm-fire" >Text goes here</p> <p class="jm-flag" >Text goes here</p> <pclass="jm-heart" >Text goes here</p> <p class="jm-home" >Text goes here</p> <p class="jm-info" >Text goes here</p> <p class="jm-list" >Text goes here</p> <p class="jm-mail" >Text goes here</p> <p class="jm-people" >Text goes here</p> <p class="jm-star" >Text goes here</p> <p class="jm-stat" >Text goes here</p> Blockquote <blockquote> <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p> <small>John Doe</small> </blockquote> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante. John Doe <blockquote class="pull-right"> <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p> <small>John Doe</small> </blockquote> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante. John Doe Unordered lists <ul> <-- list goes here --> </ul> Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit ametipsum Duis tincidunt nunc sit amet ipsum <ul class="jm-color-list"> <-- list goes here --> </ul> Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum <ul class="jm-light-list"> <-- list goes here --> </ul> Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Ordered lists <ol> <-- list goes here --> </ol> Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum <ol class="jm-roman"> <-- list goes here --> </ol> Duis tincidunt nunc sit ametipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum <ol class="jm-alpha"> <-- list goes here --> </ol> Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Duis tincidunt nunc sit amet ipsum Read More Button <p class="readmore"><a class="btn" href="#">Read more</a></p> Read more Glyphicon Font <span class="icon-joomla">&nbsp</span> icon-asterisk icon-plus icon-euro icon-minus icon-cloud icon-envelope icon-pencil icon-glassicon-music icon-search icon-heart icon-star icon-star-empty icon-user icon-film icon-th-large icon-th icon-th-list icon-ok icon-remove icon-zoom-in icon-zoom-out icon-off icon-signal icon-cog icon-trash icon-home icon-file icon-time icon-road icon-download-alt icon-download icon-uploadicon-inbox icon-play-circle icon-repeat icon-refresh icon-list-alt icon-lock icon-flag icon-headphones icon-volume-off icon-volume-down icon-volume-up icon-qrcode icon-barcode icon-tag icon-tags icon-book icon-bookmark icon-print icon-camera icon-font icon-bold icon-italic icon-text-height icon-text-widthclass="icon-align-left"> icon-align-left icon-align-center icon-align-right icon-align-justify icon-list icon-indent-left icon-indent-right icon-facetime-video icon-picture icon-map-marker icon-adjust icon-tint icon-edit icon-share icon-check icon-move icon-step-backward icon-fast-backward icon-backward icon-play icon-pause icon-stop icon-forwardicon-fast-forward icon-step-forward icon-eject icon-chevron-left icon-chevron-right icon-plus-sign icon-minus-sign icon-remove-sign icon-ok-sign icon-question-sign icon-info-sign icon-screenshot icon-remove-circle icon-ok-circle icon-ban-circle icon-arrow-left icon-arrow-right icon-arrow-up icon-arrow-down icon-share-alt icon-resize-full icon-resize-smallicon-exclamation-sign icon-gift icon-leaf icon-fire icon-eye-open icon-eye-close icon-warning-sign icon-plane icon-calendar icon-random icon-comment icon-magnet icon-chevron-up icon-chevron-down icon-retweet icon-shopping-cart icon-folder-close icon-folder-open icon-resize-vertical icon-resize-horizontal icon-hdd icon-bullhorn icon-bellicon-certificate icon-thumbs-up icon-thumbs-down icon-hand-right icon-hand-left icon-hand-up icon-hand-down icon-circle-arrow-right icon-circle-arrow-left icon-circle-arrow-up icon-circle-arrow-down icon-globe icon-wrench icon-tasks icon-filter icon-briefcase icon-fullscreen icon-dashboard icon-paperclip icon-heart-empty icon-link icon-phone icon-pushpinclass="icon-usd"> icon-usd icon-gbp icon-sort icon-sort-by-alphabet icon-sort-by-alphabet-alt icon-sort-by-order icon-sort-by-order-alt icon-sort-by-attributes icon-sort-by-attributes-alt icon-unchecked icon-expand icon-collapse-down icon-collapse-up icon-log-in icon-flash icon-log-out icon-new-window icon-record icon-save icon-open icon-saved icon-importicon-export icon-send icon-floppy-disk icon-floppy-saved icon-floppy-remove icon-floppy-save icon-floppy-open icon-credit-card icon-transfer icon-cutlery icon-header icon-compressed icon-earphone icon-phone-alt icon-tower icon-stats icon-sd-video icon-hd-video icon-subtitles icon-sound-stereo icon-sound-dolby icon-sound-5-1 icon-sound-6-1icon-sound-7-1 icon-copyright-mark icon-registration-mark icon-cloud-download icon-cloud-upload icon-tree-conifer icon-tree-deciduous Offcanvas Button Module <p><a class="toggle-nav menu"><span class="icon-align-justify"></span></a></p> Top Contact Module <ul class="jm-contact-icons"> <li class="jm-direction"><img src=" images/modules/direction.png " alt="Direction" /><a title="Contact" href=" # "&gt; Peterborough, UK </a></li> <li class="jm-email"><img src=" images/modules/email.png " alt="Email" /><a title="Contact" href=" # "> Email </a></li> <li class="jm-phone"><img src=" images/modules/phone.png " alt="Phone" /><a title="Contact" href=" # "> +44 7837 383 484 </a></li> </ul> Peterborough, UK Emailclass="jm-phone"> +44 7837 383 484 Residential Solutions Module <div class="jm-box"> <div class="jm-box-in"> <div class="jm-icon"><img src=" images/modules/icon1.png " alt="" /></div> <div class="jm-column"> <span class="title"> Residential Solutions </span> <a href=" # " class="link"> www.jm-internet.com </a> <span class="description"> Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement. </span> <span class="contact"> call 888-777-888 </span> <a href=" # " class="readmore"> read more </a></div> <div class="jm-expand"> <div class="expand-in"><span class="subtitle"> Services Include </span> <ul> <li> Lorem ipsum </li> <li> Dolor sit amet </li> <li> Vestibulum venenatis </li> <li> Suscipit libero </li> </ul> </div> </div> </div> </div> Residential Solutions www.jm-internet.com Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement. call 888-777-888 read more Services Include Loremipsum Dolor sit amet Vestibulum venenatis Suscipit libero Business Solutions Module <div class="jm-box"> <div class="jm-box-in"> <div class="jm-icon"><img src=" images/modules/icon2.png " alt="" /></div> <div class="jm-column"> <span class="title"> Business Solutions </span> <a href=" # " class="link"> www.jm-internet.com </a> <span class="description"> Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement. </span> <span class="contact"> call 888-777-888 </span> <a href=" # " class="readmore"> read more </a></div> <div class="jm-expand"> <div class="expand-in"><span class="subtitle"> Services Include </span> <ul> <li> Lorem ipsum </li> <li> Dolor sit amet </li> <li> Vestibulum venenatis </li> <li> Suscipit libero </li> </ul> </div> </div> </div> </div> Business Solutions www.jm-internet.com Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement. call 888-777-888 read more ServicesInclude Lorem ipsum Dolor sit amet Vestibulum venenatis Suscipit libero Header Module <div class="jm-custom-header"> <div class="title"> This is <span> custom </span> html module </div> <div class="description"> Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt <br /> ut labore et dolore magna aliqua. </div> <a class="btn" href=" # "> Check an offer </a></div> This is custom html module Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Check an offer Social Module <div class="jm-socials"> <a class="facebook" href="#">&nbsp;</a> <a class="googleplus" href="#">&nbsp;</a> <a class="twitter" href="#">&nbsp;</a> <a class="linkedin" href="#">&nbsp;</a> <a class="skype" href="#">&nbsp;</a> <a class="vimeo" href="#">&nbsp;</a> </div> Home Content <div class="jm-custom-content clearfix"> <divclass="jm-icon"> <div class="jm-icon-in"><span class="up"> Up to </span> <span class="middle"> 250 </span> <span class="down"> Mbps </span></div> </div> <div class="jm-description"><span class="title"> High speed internet </span> <p> Proin iaculis purus consequat sem cure digni ssim donec porttitora. <br /> In facilisis at augue imperdiet dignissim. </p> <p class="custom-icon1"><span> Lorem ipsum dolor </span> Proin iaculis purus consequat sem cure digni ssim. </p> <p class="custom-icon2"><span> Adipiscing elit </span> Proin iaculis purus consequat sem cure. </p> <p> Proin iaculis purus consequat sem cure digni ssim donec porttitora. <br /> In facilisis at augue imperdiet dignissim. </p> <a href=" # " class="readmore"> Read more </a></div> </div> Up to 250 Mbps High speed internet Proin iaculis purus consequat sem cure digni ssim donec porttitora. In facilisis at augue imperdiet dignissim. Lorem ipsum dolor Proin iaculis purus consequat sem cure digni ssim. Adipiscing elit Proin iaculis purus consequat sem cure. Proin iaculis purus consequat sem cure digni ssim donec porttitora. In facilisis at augue imperdiet dignissim. Read more Pricing Table Contentclass="row-fluid"> <div class="jm-pricing clearfix col3 "> <div class="box"> <div class="box-in"> <div class="price"><span class="up"> as low as </span> <span class="middle"> 29.95 </span> <span class="down"> month </span></div> <div class="title"> Cable Internet </div> <div class="content"> <div class="subtitle"> step up to earthlink cable internet at the speed of life </div> <ul> <li> Lorem ipsum dolor sit amet </li> <li> Morbi rhoncus diam quis augue </li> <li> Proin non finibus diam </li> <li> Pellentesque varius </li> <li> Vivamus quis leo </li> <li> Donec ut elit maximus </li> </ul> </div> <div class="bottom"><a class="btn" href=" # "> I\'m interested </a></div> </div> </div> <div class="box"> <div class="box-in"> <div class="price"><span class="up"> as low as </span> <span class="middle"> 14.85 </span> <span class="down"> month </span></div> <div class="title"> DSL Internet </div> <div class="content"> <div class="subtitle"> step up to incredible dsl cable internet </div> <ul> <li> Lorem ipsum dolor sit amet </li> <li> Morbi rhoncus diam quis augue </li> <li> Proin non finibus diam </li> <li> Pellentesque varius </li> <li> Vivamus quis leo </li> <li> Donec ut elitmaximus </li> </ul> </div> <div class="bottom"><a class="btn" href=" # "> I\'m interested </a></div> </div> </div> <div class="box"> <div class="box-in"> <div class="price"><span class="up"> as low as </span> <span class="middle"> 39.95 </span> <span class="down"> month </span></div> <div class="title"> Satellite Internet </div> <div class="content"> <div class="subtitle"> No dsl or cable in your area? get satellite internet </div> <ul> <li> Lorem ipsum dolor sit amet </li> <li> Morbi rhoncus diam quis augue </li> <li> Proin non finibus diam </li> <li> Pellentesque varius </li> <li> Vivamus quis leo </li> <li> Donec ut elit maximus </li> </ul> </div> <div class="bottom"><a class="btn" href=" # "> I\'m interested </a></div> </div> </div> </div> as low as 29.95 month Cable Internet step up to earthlink cable internet at the speed of life Lorem ipsum dolor sit amet Morbi rhoncus diam quis augue Proin non finibus diam Pellentesque varius Vivamus quis leo Donec ut elit maximus I\'m interested as lowas 14.85 month DSL Internet step up to incredible dsl cable internet Lorem ipsum dolor sit amet Morbi rhoncus diam quis augue Proin non finibus diam Pellentesque varius Vivamus quis leo Donec ut elit maximus I\'m interested as low as 39.95 month Satellite Internet No dsl or cable in your area? get satellite internet Lorem ipsum dolor sit amet Morbi rhoncus diam quis augue Proin non finibus diam Pellentesque varius Vivamus quis leo Donec ut elit maximus I\'m interested";s:9:"published";N;s:5:"state";i:1;s:6:"access";s:1:"1";s:8:"language";s:5:"en-GB";s:18:"publish_start_date";s:19:"2014-05-14 12:40:26";s:16:"publish_end_date";s:19:"0000-00-00 00:00:00";s:10:"start_date";s:19:"2014-05-14 12:40:26";s:8:"end_date";s:19:"0000-00-00 00:00:00";s:10:"list_price";N;s:10:"sale_price";N;s:7:"type_id";i:4;s:15:"defaultLanguage";s:5:"en-GB";}'),
(42,'index.php?option=com_content&view=article&id=134','index.php?option=com_content&view=article&id=134:home&catid=78:jm-sample-data&Itemid=435','Home','Up to 250 Mbps High speed internet Proin iaculis purus consequat sem cure digni ssim donec porttitora. In facilisis at augue imperdiet dignissim. Lorem ipsum dolor Proin iaculis purus consequat sem cure digni ssim. Adipiscing elit Proin iaculis purus cons','2015-01-19 10:29:19','abd2078fe59188895ee3a0dd55f5abb1',1,1,1,'en-GB','2015-01-13 08:33:21','0000-00-00 00:00:00','2015-01-13 08:33:21','0000-00-00 00:00:00','0','0',4,'O:19:"FinderIndexerResult":19:{s:11:"\0*\0elements";a:24:{s:2:"id";s:3:"134";s:5:"alias";s:4:"home";s:7:"summary";s:853:"<div class="jm-custom-content clearfix">\r\n<div class="jm-icon">\r\n<div class="jm-icon-in"><span class="up">Up to</span> <span class="middle">250</span> <span class="down">Mbps</span></div>\r\n</div>\r\n<div class="jm-description"><span class="title">High speed internet</span>\r\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<br />In facilisis at augue imperdiet dignissim.</p>\r\n<p class="custom-icon1"><span>Lorem ipsum dolor</span>Proin iaculis purus consequat sem cure digni ssim.</p>\r\n<p class="custom-icon2"><span>Adipiscing elit</span>Proin iaculis purus consequat sem cure.</p>\r\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<br />In facilisis at augue imperdiet dignissim.</p>\r\n<a href="index.php?option=com_content&amp;view=article&amp;id=73&amp;Itemid=479" class="readmore">Read more</a></div>\r\n</div>";s:4:"body";s:0:"";s:5:"catid";s:2:"78";s:10:"created_by";s:2:"56";s:16:"created_by_alias";s:0:"";s:8:"modified";s:19:"2015-01-19 09:29:19";s:11:"modified_by";s:2:"56";s:6:"params";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":73:{s:14:"article_layout";s:9:"_:default";s:10:"show_title";s:1:"0";s:11:"link_titles";s:1:"1";s:10:"show_intro";s:1:"1";s:19:"info_block_position";s:1:"0";s:13:"show_category";s:1:"1";s:13:"link_category";s:1:"1";s:20:"show_parent_category";s:1:"0";s:20:"link_parent_category";s:1:"1";s:11:"show_author";s:1:"0";s:11:"link_author";s:1:"0";s:16:"show_create_date";s:1:"0";s:16:"show_modify_date";s:1:"0";s:17:"show_publish_date";s:1:"0";s:20:"show_item_navigation";s:1:"1";s:9:"show_vote";s:1:"0";s:13:"show_readmore";s:1:"1";s:19:"show_readmore_title";s:1:"0";s:14:"readmore_limit";s:3:"100";s:9:"show_tags";s:1:"0";s:10:"show_icons";s:1:"0";s:15:"show_print_icon";s:1:"0";s:15:"show_email_icon";s:1:"0";s:9:"show_hits";s:1:"0";s:11:"show_noauth";s:1:"0";s:13:"urls_position";s:1:"0";s:23:"show_publishing_options";s:1:"1";s:20:"show_article_options";s:1:"1";s:12:"save_history";s:1:"1";s:13:"history_limit";i:10;s:25:"show_urls_images_frontend";s:1:"0";s:24:"show_urls_images_backend";s:1:"1";s:7:"targeta";i:0;s:7:"targetb";i:0;s:7:"targetc";i:0;s:11:"float_intro";s:4:"left";s:14:"float_fulltext";s:4:"left";s:15:"category_layout";s:6:"_:blog";s:32:"show_category_heading_title_text";s:1:"1";s:19:"show_category_title";s:1:"0";s:16:"show_description";s:1:"0";s:22:"show_description_image";s:1:"0";s:8:"maxLevel";s:1:"1";s:21:"show_empty_categories";s:1:"0";s:16:"show_no_articles";s:1:"1";s:16:"show_subcat_desc";s:1:"1";s:21:"show_cat_num_articles";s:1:"0";s:21:"show_base_description";s:1:"1";s:11:"maxLevelcat";s:2:"-1";s:25:"show_empty_categories_cat";s:1:"0";s:20:"show_subcat_desc_cat";s:1:"1";s:25:"show_cat_num_articles_cat";s:1:"1";s:20:"num_leading_articles";s:1:"1";s:18:"num_intro_articles";s:1:"4";s:11:"num_columns";s:1:"2";s:9:"num_links";s:1:"4";s:18:"multi_column_order";s:1:"0";s:24:"show_subcategory_content";s:1:"0";s:21:"show_pagination_limit";s:1:"1";s:12:"filter_field";s:4:"hide";s:13:"show_headings";s:1:"1";s:14:"list_show_date";s:1:"0";s:11:"date_format";s:0:"";s:14:"list_show_hits";s:1:"1";s:16:"list_show_author";s:1:"1";s:11:"orderby_pri";s:5:"order";s:11:"orderby_sec";s:5:"rdate";s:10:"order_date";s:9:"published";s:15:"show_pagination";s:1:"2";s:23:"show_pagination_results";s:1:"1";s:14:"show_feed_link";s:1:"1";s:12:"feed_summary";s:1:"0";s:18:"feed_show_readmore";s:1:"0";}}s:7:"metakey";s:0:"";s:8:"metadesc";s:0:"";s:8:"metadata";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":4:{s:6:"robots";s:0:"";s:6:"author";s:0:"";s:6:"rights";s:0:"";s:10:"xreference";s:0:"";}}s:7:"version";s:1:"7";s:8:"ordering";s:1:"0";s:8:"category";s:14:"JM-Sample-Data";s:9:"cat_state";s:1:"1";s:10:"cat_access";s:1:"1";s:4:"slug";s:8:"134:home";s:7:"catslug";s:17:"78:jm-sample-data";s:6:"author";s:10:"Super User";s:6:"layout";s:7:"article";s:4:"path";s:88:"index.php?option=com_content&view=article&id=134:home&catid=78:jm-sample-data&Itemid=435";s:10:"metaauthor";N;}s:15:"\0*\0instructions";a:5:{i:1;a:3:{i:0;s:5:"title";i:1;s:8:"subtitle";i:2;s:2:"id";}i:2;a:2:{i:0;s:7:"summary";i:1;s:4:"body";}i:3;a:8:{i:0;s:4:"meta";i:1;s:10:"list_price";i:2;s:10:"sale_price";i:3;s:7:"metakey";i:4;s:8:"metadesc";i:5;s:10:"metaauthor";i:6;s:6:"author";i:7;s:16:"created_by_alias";}i:4;a:2:{i:0;s:4:"path";i:1;s:5:"alias";}i:5;a:1:{i:0;s:8:"comments";}}s:11:"\0*\0taxonomy";a:4:{s:4:"Type";a:1:{s:7:"Article";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:7:"Article";s:5:"state";i:1;s:6:"access";i:1;}}s:6:"Author";a:1:{s:10:"Super User";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:10:"Super User";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Category";a:1:{s:14:"JM-Sample-Data";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:14:"JM-Sample-Data";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Language";a:1:{s:5:"en-GB";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:5:"en-GB";s:5:"state";i:1;s:6:"access";i:1;}}}s:3:"url";s:48:"index.php?option=com_content&view=article&id=134";s:5:"route";s:88:"index.php?option=com_content&view=article&id=134:home&catid=78:jm-sample-data&Itemid=435";s:5:"title";s:4:"Home";s:11:"description";s:391:"Up to 250 Mbps High speed internet Proin iaculis purus consequat sem cure digni ssim donec porttitora. In facilisis at augue imperdiet dignissim. Lorem ipsum dolor Proin iaculis purus consequat sem cure digni ssim. Adipiscing elit Proin iaculis purus consequat sem cure. Proin iaculis purus consequat sem cure digni ssim donec porttitora. In facilisis at augue imperdiet dignissim. Read more";s:9:"published";N;s:5:"state";i:1;s:6:"access";s:1:"1";s:8:"language";s:5:"en-GB";s:18:"publish_start_date";s:19:"2015-01-13 08:33:21";s:16:"publish_end_date";s:19:"0000-00-00 00:00:00";s:10:"start_date";s:19:"2015-01-13 08:33:21";s:8:"end_date";s:19:"0000-00-00 00:00:00";s:10:"list_price";N;s:10:"sale_price";N;s:7:"type_id";i:4;s:15:"defaultLanguage";s:5:"en-GB";}'),
(43,'index.php?option=com_djimageslider&view=category&id=82','','Testimonials','','2015-01-19 11:31:51','b6a227256e226b2da19cbd3f61b61556',1,0,1,'en-GB','0000-00-00 00:00:00','0000-00-00 00:00:00','2014-05-11 13:20:38','0000-00-00 00:00:00','0','0',2,'O:19:"FinderIndexerResult":19:{s:11:"\0*\0elements";a:18:{s:2:"id";s:2:"82";s:5:"alias";s:12:"testimonials";s:7:"summary";s:0:"";s:9:"extension";s:17:"com_djimageslider";s:10:"created_by";s:2:"56";s:8:"modified";s:19:"0000-00-00 00:00:00";s:11:"modified_by";s:1:"0";s:7:"metakey";s:0:"";s:8:"metadesc";s:0:"";s:8:"metadata";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":2:{s:6:"author";s:0:"";s:6:"robots";s:0:"";}}s:3:"lft";s:2:"11";s:9:"parent_id";s:1:"1";s:5:"level";s:1:"1";s:6:"params";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":2:{s:15:"category_layout";s:0:"";s:5:"image";s:0:"";}}s:4:"slug";s:15:"82:testimonials";s:6:"layout";s:8:"category";s:10:"metaauthor";N;s:4:"path";s:0:"";}s:15:"\0*\0instructions";a:5:{i:1;a:3:{i:0;s:5:"title";i:1;s:8:"subtitle";i:2;s:2:"id";}i:2;a:2:{i:0;s:7:"summary";i:1;s:4:"body";}i:3;a:8:{i:0;s:4:"meta";i:1;s:10:"list_price";i:2;s:10:"sale_price";i:3;s:4:"link";i:4;s:7:"metakey";i:5;s:8:"metadesc";i:6;s:10:"metaauthor";i:7;s:6:"author";}i:4;a:2:{i:0;s:4:"path";i:1;s:5:"alias";}i:5;a:1:{i:0;s:8:"comments";}}s:11:"\0*\0taxonomy";a:2:{s:4:"Type";a:1:{s:8:"Category";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:8:"Category";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Language";a:1:{s:5:"en-GB";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:5:"en-GB";s:5:"state";i:1;s:6:"access";i:1;}}}s:3:"url";s:54:"index.php?option=com_djimageslider&view=category&id=82";s:5:"route";s:0:"";s:5:"title";s:12:"Testimonials";s:11:"description";s:0:"";s:9:"published";N;s:5:"state";i:0;s:6:"access";s:1:"1";s:8:"language";s:5:"en-GB";s:18:"publish_start_date";s:19:"0000-00-00 00:00:00";s:16:"publish_end_date";s:19:"0000-00-00 00:00:00";s:10:"start_date";s:19:"2014-05-11 13:20:38";s:8:"end_date";s:19:"0000-00-00 00:00:00";s:10:"list_price";N;s:10:"sale_price";N;s:7:"type_id";i:2;s:15:"defaultLanguage";s:5:"en-GB";}'),
(44,'index.php?option=com_djimageslider&view=category&id=91','','Header Culinary','','2015-01-19 11:31:51','bb0ebe0ae9a79820ced5e52de87b1a13',1,0,1,'en-GB','0000-00-00 00:00:00','0000-00-00 00:00:00','2014-07-08 10:45:52','0000-00-00 00:00:00','0','0',2,'O:19:"FinderIndexerResult":19:{s:11:"\0*\0elements";a:18:{s:2:"id";s:2:"91";s:5:"alias";s:15:"header-culinary";s:7:"summary";s:0:"";s:9:"extension";s:17:"com_djimageslider";s:10:"created_by";s:2:"56";s:8:"modified";s:19:"0000-00-00 00:00:00";s:11:"modified_by";s:1:"0";s:7:"metakey";s:0:"";s:8:"metadesc";s:0:"";s:8:"metadata";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":2:{s:6:"author";s:0:"";s:6:"robots";s:0:"";}}s:3:"lft";s:2:"29";s:9:"parent_id";s:1:"1";s:5:"level";s:1:"1";s:6:"params";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":2:{s:15:"category_layout";s:0:"";s:5:"image";s:0:"";}}s:4:"slug";s:18:"91:header-culinary";s:6:"layout";s:8:"category";s:10:"metaauthor";N;s:4:"path";s:0:"";}s:15:"\0*\0instructions";a:5:{i:1;a:3:{i:0;s:5:"title";i:1;s:8:"subtitle";i:2;s:2:"id";}i:2;a:2:{i:0;s:7:"summary";i:1;s:4:"body";}i:3;a:8:{i:0;s:4:"meta";i:1;s:10:"list_price";i:2;s:10:"sale_price";i:3;s:4:"link";i:4;s:7:"metakey";i:5;s:8:"metadesc";i:6;s:10:"metaauthor";i:7;s:6:"author";}i:4;a:2:{i:0;s:4:"path";i:1;s:5:"alias";}i:5;a:1:{i:0;s:8:"comments";}}s:11:"\0*\0taxonomy";a:2:{s:4:"Type";a:1:{s:8:"Category";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:8:"Category";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Language";a:1:{s:5:"en-GB";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:5:"en-GB";s:5:"state";i:1;s:6:"access";i:1;}}}s:3:"url";s:54:"index.php?option=com_djimageslider&view=category&id=91";s:5:"route";s:0:"";s:5:"title";s:15:"Header Culinary";s:11:"description";s:0:"";s:9:"published";N;s:5:"state";i:0;s:6:"access";s:1:"1";s:8:"language";s:5:"en-GB";s:18:"publish_start_date";s:19:"0000-00-00 00:00:00";s:16:"publish_end_date";s:19:"0000-00-00 00:00:00";s:10:"start_date";s:19:"2014-07-08 10:45:52";s:8:"end_date";s:19:"0000-00-00 00:00:00";s:10:"list_price";N;s:10:"sale_price";N;s:7:"type_id";i:2;s:15:"defaultLanguage";s:5:"en-GB";}'),
(45,'index.php?option=com_djimageslider&view=category&id=92','','Dishes','','2015-01-19 11:31:51','d61cf5c4f7a4198a5c0ab3a3fe69e4cc',1,0,1,'en-GB','0000-00-00 00:00:00','0000-00-00 00:00:00','2014-07-08 12:49:24','0000-00-00 00:00:00','0','0',2,'O:19:"FinderIndexerResult":19:{s:11:"\0*\0elements";a:18:{s:2:"id";s:2:"92";s:5:"alias";s:6:"dishes";s:7:"summary";s:0:"";s:9:"extension";s:17:"com_djimageslider";s:10:"created_by";s:2:"56";s:8:"modified";s:19:"0000-00-00 00:00:00";s:11:"modified_by";s:1:"0";s:7:"metakey";s:0:"";s:8:"metadesc";s:0:"";s:8:"metadata";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":2:{s:6:"author";s:0:"";s:6:"robots";s:0:"";}}s:3:"lft";s:2:"31";s:9:"parent_id";s:1:"1";s:5:"level";s:1:"1";s:6:"params";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":2:{s:15:"category_layout";s:0:"";s:5:"image";s:0:"";}}s:4:"slug";s:9:"92:dishes";s:6:"layout";s:8:"category";s:10:"metaauthor";N;s:4:"path";s:0:"";}s:15:"\0*\0instructions";a:5:{i:1;a:3:{i:0;s:5:"title";i:1;s:8:"subtitle";i:2;s:2:"id";}i:2;a:2:{i:0;s:7:"summary";i:1;s:4:"body";}i:3;a:8:{i:0;s:4:"meta";i:1;s:10:"list_price";i:2;s:10:"sale_price";i:3;s:4:"link";i:4;s:7:"metakey";i:5;s:8:"metadesc";i:6;s:10:"metaauthor";i:7;s:6:"author";}i:4;a:2:{i:0;s:4:"path";i:1;s:5:"alias";}i:5;a:1:{i:0;s:8:"comments";}}s:11:"\0*\0taxonomy";a:2:{s:4:"Type";a:1:{s:8:"Category";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:8:"Category";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Language";a:1:{s:5:"en-GB";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:5:"en-GB";s:5:"state";i:1;s:6:"access";i:1;}}}s:3:"url";s:54:"index.php?option=com_djimageslider&view=category&id=92";s:5:"route";s:0:"";s:5:"title";s:6:"Dishes";s:11:"description";s:0:"";s:9:"published";N;s:5:"state";i:0;s:6:"access";s:1:"1";s:8:"language";s:5:"en-GB";s:18:"publish_start_date";s:19:"0000-00-00 00:00:00";s:16:"publish_end_date";s:19:"0000-00-00 00:00:00";s:10:"start_date";s:19:"2014-07-08 12:49:24";s:8:"end_date";s:19:"0000-00-00 00:00:00";s:10:"list_price";N;s:10:"sale_price";N;s:7:"type_id";i:2;s:15:"defaultLanguage";s:5:"en-GB";}'),
(46,'index.php?option=com_djimageslider&view=category&id=94','','Header Dental','','2015-01-19 11:31:51','bc40e13716626cbf96584448b2502eaf',1,0,1,'en-GB','0000-00-00 00:00:00','0000-00-00 00:00:00','2014-09-04 12:30:34','0000-00-00 00:00:00','0','0',2,'O:19:"FinderIndexerResult":19:{s:11:"\0*\0elements";a:18:{s:2:"id";s:2:"94";s:5:"alias";s:13:"header-dental";s:7:"summary";s:0:"";s:9:"extension";s:17:"com_djimageslider";s:10:"created_by";s:2:"56";s:8:"modified";s:19:"0000-00-00 00:00:00";s:11:"modified_by";s:1:"0";s:7:"metakey";s:0:"";s:8:"metadesc";s:0:"";s:8:"metadata";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":2:{s:6:"author";s:0:"";s:6:"robots";s:0:"";}}s:3:"lft";s:2:"35";s:9:"parent_id";s:1:"1";s:5:"level";s:1:"1";s:6:"params";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":2:{s:15:"category_layout";s:0:"";s:5:"image";s:0:"";}}s:4:"slug";s:16:"94:header-dental";s:6:"layout";s:8:"category";s:10:"metaauthor";N;s:4:"path";s:0:"";}s:15:"\0*\0instructions";a:5:{i:1;a:3:{i:0;s:5:"title";i:1;s:8:"subtitle";i:2;s:2:"id";}i:2;a:2:{i:0;s:7:"summary";i:1;s:4:"body";}i:3;a:8:{i:0;s:4:"meta";i:1;s:10:"list_price";i:2;s:10:"sale_price";i:3;s:4:"link";i:4;s:7:"metakey";i:5;s:8:"metadesc";i:6;s:10:"metaauthor";i:7;s:6:"author";}i:4;a:2:{i:0;s:4:"path";i:1;s:5:"alias";}i:5;a:1:{i:0;s:8:"comments";}}s:11:"\0*\0taxonomy";a:2:{s:4:"Type";a:1:{s:8:"Category";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:8:"Category";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Language";a:1:{s:5:"en-GB";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:5:"en-GB";s:5:"state";i:1;s:6:"access";i:1;}}}s:3:"url";s:54:"index.php?option=com_djimageslider&view=category&id=94";s:5:"route";s:0:"";s:5:"title";s:13:"Header Dental";s:11:"description";s:0:"";s:9:"published";N;s:5:"state";i:0;s:6:"access";s:1:"1";s:8:"language";s:5:"en-GB";s:18:"publish_start_date";s:19:"0000-00-00 00:00:00";s:16:"publish_end_date";s:19:"0000-00-00 00:00:00";s:10:"start_date";s:19:"2014-09-04 12:30:34";s:8:"end_date";s:19:"0000-00-00 00:00:00";s:10:"list_price";N;s:10:"sale_price";N;s:7:"type_id";i:2;s:15:"defaultLanguage";s:5:"en-GB";}'),
(47,'index.php?option=com_djimageslider&view=category&id=95','','Testimonials Dental','','2015-01-19 11:31:51','2cff04bb9c9a1a8a15574b651a67c228',1,0,1,'en-GB','0000-00-00 00:00:00','0000-00-00 00:00:00','2014-09-04 15:13:15','0000-00-00 00:00:00','0','0',2,'O:19:"FinderIndexerResult":19:{s:11:"\0*\0elements";a:18:{s:2:"id";s:2:"95";s:5:"alias";s:19:"testimonials-dental";s:7:"summary";s:0:"";s:9:"extension";s:17:"com_djimageslider";s:10:"created_by";s:2:"56";s:8:"modified";s:19:"0000-00-00 00:00:00";s:11:"modified_by";s:1:"0";s:7:"metakey";s:0:"";s:8:"metadesc";s:0:"";s:8:"metadata";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":2:{s:6:"author";s:0:"";s:6:"robots";s:0:"";}}s:3:"lft";s:2:"37";s:9:"parent_id";s:1:"1";s:5:"level";s:1:"1";s:6:"params";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":2:{s:15:"category_layout";s:0:"";s:5:"image";s:0:"";}}s:4:"slug";s:22:"95:testimonials-dental";s:6:"layout";s:8:"category";s:10:"metaauthor";N;s:4:"path";s:0:"";}s:15:"\0*\0instructions";a:5:{i:1;a:3:{i:0;s:5:"title";i:1;s:8:"subtitle";i:2;s:2:"id";}i:2;a:2:{i:0;s:7:"summary";i:1;s:4:"body";}i:3;a:8:{i:0;s:4:"meta";i:1;s:10:"list_price";i:2;s:10:"sale_price";i:3;s:4:"link";i:4;s:7:"metakey";i:5;s:8:"metadesc";i:6;s:10:"metaauthor";i:7;s:6:"author";}i:4;a:2:{i:0;s:4:"path";i:1;s:5:"alias";}i:5;a:1:{i:0;s:8:"comments";}}s:11:"\0*\0taxonomy";a:2:{s:4:"Type";a:1:{s:8:"Category";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:8:"Category";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Language";a:1:{s:5:"en-GB";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:5:"en-GB";s:5:"state";i:1;s:6:"access";i:1;}}}s:3:"url";s:54:"index.php?option=com_djimageslider&view=category&id=95";s:5:"route";s:0:"";s:5:"title";s:19:"Testimonials Dental";s:11:"description";s:0:"";s:9:"published";N;s:5:"state";i:0;s:6:"access";s:1:"1";s:8:"language";s:5:"en-GB";s:18:"publish_start_date";s:19:"0000-00-00 00:00:00";s:16:"publish_end_date";s:19:"0000-00-00 00:00:00";s:10:"start_date";s:19:"2014-09-04 15:13:15";s:8:"end_date";s:19:"0000-00-00 00:00:00";s:10:"list_price";N;s:10:"sale_price";N;s:7:"type_id";i:2;s:15:"defaultLanguage";s:5:"en-GB";}'),
(48,'index.php?option=com_djimageslider&view=category&id=96','','Services','','2015-01-19 11:31:51','eea8c9e8015a3ef4552d2fbde6a9ea67',1,0,1,'en-GB','0000-00-00 00:00:00','0000-00-00 00:00:00','2014-09-05 14:29:13','0000-00-00 00:00:00','0','0',2,'O:19:"FinderIndexerResult":19:{s:11:"\0*\0elements";a:18:{s:2:"id";s:2:"96";s:5:"alias";s:8:"services";s:7:"summary";s:0:"";s:9:"extension";s:17:"com_djimageslider";s:10:"created_by";s:2:"56";s:8:"modified";s:19:"0000-00-00 00:00:00";s:11:"modified_by";s:1:"0";s:7:"metakey";s:0:"";s:8:"metadesc";s:0:"";s:8:"metadata";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":2:{s:6:"author";s:0:"";s:6:"robots";s:0:"";}}s:3:"lft";s:2:"39";s:9:"parent_id";s:1:"1";s:5:"level";s:1:"1";s:6:"params";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":2:{s:15:"category_layout";s:0:"";s:5:"image";s:0:"";}}s:4:"slug";s:11:"96:services";s:6:"layout";s:8:"category";s:10:"metaauthor";N;s:4:"path";s:0:"";}s:15:"\0*\0instructions";a:5:{i:1;a:3:{i:0;s:5:"title";i:1;s:8:"subtitle";i:2;s:2:"id";}i:2;a:2:{i:0;s:7:"summary";i:1;s:4:"body";}i:3;a:8:{i:0;s:4:"meta";i:1;s:10:"list_price";i:2;s:10:"sale_price";i:3;s:4:"link";i:4;s:7:"metakey";i:5;s:8:"metadesc";i:6;s:10:"metaauthor";i:7;s:6:"author";}i:4;a:2:{i:0;s:4:"path";i:1;s:5:"alias";}i:5;a:1:{i:0;s:8:"comments";}}s:11:"\0*\0taxonomy";a:2:{s:4:"Type";a:1:{s:8:"Category";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:8:"Category";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Language";a:1:{s:5:"en-GB";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:5:"en-GB";s:5:"state";i:1;s:6:"access";i:1;}}}s:3:"url";s:54:"index.php?option=com_djimageslider&view=category&id=96";s:5:"route";s:0:"";s:5:"title";s:8:"Services";s:11:"description";s:0:"";s:9:"published";N;s:5:"state";i:0;s:6:"access";s:1:"1";s:8:"language";s:5:"en-GB";s:18:"publish_start_date";s:19:"0000-00-00 00:00:00";s:16:"publish_end_date";s:19:"0000-00-00 00:00:00";s:10:"start_date";s:19:"2014-09-05 14:29:13";s:8:"end_date";s:19:"0000-00-00 00:00:00";s:10:"list_price";N;s:10:"sale_price";N;s:7:"type_id";i:2;s:15:"defaultLanguage";s:5:"en-GB";}'),
(49,'index.php?option=com_content&view=article&id=121','index.php?option=com_content&view=article&id=121:module-suffixes&catid=78:jm-sample-data&Itemid=564','Module Suffixes','There are additional module designs available that you can control by entering a correct suffix name as a module parameter. Let\'s check them all. 1. Available module designs 2. Use the following suffixes for DJ-ImageSlider module if you want to get the fo','2015-01-19 12:00:30','5dd1f0e83d1f359f064a82dd8c45d232',1,1,1,'en-GB','2014-06-25 09:42:57','0000-00-00 00:00:00','2014-06-25 09:42:57','0000-00-00 00:00:00','0','0',4,'O:19:"FinderIndexerResult":19:{s:11:"\0*\0elements";a:24:{s:2:"id";s:3:"121";s:5:"alias";s:15:"module-suffixes";s:7:"summary";s:1644:"<p>There are additional module designs available that you can control by entering a correct suffix name as a module parameter.<br />Let\'s check them all.</p>\r\n<p>1. Available module designs</p>\r\n<p> </p>\r\n<p><img src="images/sample/module-suffixes.png" alt="Module Suffixes" /></p>\r\n<p> </p>\r\n<p>2. Use the following suffixes for DJ-ImageSlider module if you want to get the following view for slides. Otherwise a module will use the default css styles.</p>\r\n<p> </p>\r\n<p><strong>Suffix name:</strong> header-ms</p>\r\n<p> </p>\r\n<p><img src="images/sample/header-ms.jpg" alt="DJ-ImageSlider Suffixes" /></p>\r\n<p> </p>\r\n<p>2. Use the following suffixes if you want add hover effect for "Solutions" Custom HTML modules.</p>\r\n<p></p>\r\n<p><img src="images/sample/expand.png" alt="DJ-ImageSlider Suffixes" /></p>\r\n<p></p>\r\n<p><strong>Suffix name:</strong> expand1-ms and expand2-ms</p>\r\n<p><br />3. Use the suffix for module to reduce space below module.</p>\r\n<p><br /><strong>Suffix name:</strong> margin-ms</p>\r\n<p><br />4. Additional and very useful suffix to make your modules height the same.<br />You just have to put a suffix at a module configuration to get the specified module height. <br /><br />See here the screenshot:</p>\r\n<p><img class="border_img" title="Module height" src="images/sample/height1.jpg" alt="height1" border="0" /></p>\r\n<p><strong>_mod300</strong> means that your module will be of 300 pixels high.<br /><br />If you need to mix suffixes, remember to put that suffix at the end and add space between suffixes, see the example:</p>\r\n<p><img src="images/sample/height2.jpg" alt="height2" border="0" /><br /><br /></p>";s:4:"body";s:0:"";s:5:"catid";s:2:"78";s:10:"created_by";s:2:"56";s:16:"created_by_alias";s:0:"";s:8:"modified";s:19:"2015-01-19 11:00:30";s:11:"modified_by";s:2:"56";s:6:"params";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":73:{s:14:"article_layout";s:9:"_:default";s:10:"show_title";s:1:"1";s:11:"link_titles";s:1:"1";s:10:"show_intro";s:1:"1";s:19:"info_block_position";s:1:"0";s:13:"show_category";s:1:"1";s:13:"link_category";s:1:"1";s:20:"show_parent_category";s:1:"0";s:20:"link_parent_category";s:1:"1";s:11:"show_author";s:1:"0";s:11:"link_author";s:1:"0";s:16:"show_create_date";s:1:"0";s:16:"show_modify_date";s:1:"0";s:17:"show_publish_date";s:1:"0";s:20:"show_item_navigation";s:1:"1";s:9:"show_vote";s:1:"0";s:13:"show_readmore";s:1:"1";s:19:"show_readmore_title";s:1:"0";s:14:"readmore_limit";s:3:"100";s:9:"show_tags";s:1:"0";s:10:"show_icons";s:1:"0";s:15:"show_print_icon";s:1:"0";s:15:"show_email_icon";s:1:"0";s:9:"show_hits";s:1:"0";s:11:"show_noauth";s:1:"0";s:13:"urls_position";s:1:"0";s:23:"show_publishing_options";s:1:"1";s:20:"show_article_options";s:1:"1";s:12:"save_history";s:1:"1";s:13:"history_limit";i:10;s:25:"show_urls_images_frontend";s:1:"0";s:24:"show_urls_images_backend";s:1:"1";s:7:"targeta";i:0;s:7:"targetb";i:0;s:7:"targetc";i:0;s:11:"float_intro";s:4:"left";s:14:"float_fulltext";s:4:"left";s:15:"category_layout";s:6:"_:blog";s:32:"show_category_heading_title_text";s:1:"1";s:19:"show_category_title";s:1:"0";s:16:"show_description";s:1:"0";s:22:"show_description_image";s:1:"0";s:8:"maxLevel";s:1:"1";s:21:"show_empty_categories";s:1:"0";s:16:"show_no_articles";s:1:"1";s:16:"show_subcat_desc";s:1:"1";s:21:"show_cat_num_articles";s:1:"0";s:21:"show_base_description";s:1:"1";s:11:"maxLevelcat";s:2:"-1";s:25:"show_empty_categories_cat";s:1:"0";s:20:"show_subcat_desc_cat";s:1:"1";s:25:"show_cat_num_articles_cat";s:1:"1";s:20:"num_leading_articles";s:1:"1";s:18:"num_intro_articles";s:1:"4";s:11:"num_columns";s:1:"2";s:9:"num_links";s:1:"4";s:18:"multi_column_order";s:1:"0";s:24:"show_subcategory_content";s:1:"0";s:21:"show_pagination_limit";s:1:"1";s:12:"filter_field";s:4:"hide";s:13:"show_headings";s:1:"1";s:14:"list_show_date";s:1:"0";s:11:"date_format";s:0:"";s:14:"list_show_hits";s:1:"1";s:16:"list_show_author";s:1:"1";s:11:"orderby_pri";s:5:"order";s:11:"orderby_sec";s:5:"rdate";s:10:"order_date";s:9:"published";s:15:"show_pagination";s:1:"2";s:23:"show_pagination_results";s:1:"1";s:14:"show_feed_link";s:1:"1";s:12:"feed_summary";s:1:"0";s:18:"feed_show_readmore";s:1:"0";}}s:7:"metakey";s:0:"";s:8:"metadesc";s:0:"";s:8:"metadata";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\0*\0data";O:8:"stdClass":4:{s:6:"robots";s:0:"";s:6:"author";s:0:"";s:6:"rights";s:0:"";s:10:"xreference";s:0:"";}}s:7:"version";s:2:"12";s:8:"ordering";s:1:"5";s:8:"category";s:14:"JM-Sample-Data";s:9:"cat_state";s:1:"1";s:10:"cat_access";s:1:"1";s:4:"slug";s:19:"121:module-suffixes";s:7:"catslug";s:17:"78:jm-sample-data";s:6:"author";s:10:"Super User";s:6:"layout";s:7:"article";s:4:"path";s:99:"index.php?option=com_content&view=article&id=121:module-suffixes&catid=78:jm-sample-data&Itemid=564";s:10:"metaauthor";N;}s:15:"\0*\0instructions";a:5:{i:1;a:3:{i:0;s:5:"title";i:1;s:8:"subtitle";i:2;s:2:"id";}i:2;a:2:{i:0;s:7:"summary";i:1;s:4:"body";}i:3;a:8:{i:0;s:4:"meta";i:1;s:10:"list_price";i:2;s:10:"sale_price";i:3;s:7:"metakey";i:4;s:8:"metadesc";i:5;s:10:"metaauthor";i:6;s:6:"author";i:7;s:16:"created_by_alias";}i:4;a:2:{i:0;s:4:"path";i:1;s:5:"alias";}i:5;a:1:{i:0;s:8:"comments";}}s:11:"\0*\0taxonomy";a:4:{s:4:"Type";a:1:{s:7:"Article";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:7:"Article";s:5:"state";i:1;s:6:"access";i:1;}}s:6:"Author";a:1:{s:10:"Super User";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:10:"Super User";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Category";a:1:{s:14:"JM-Sample-Data";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:14:"JM-Sample-Data";s:5:"state";i:1;s:6:"access";i:1;}}s:8:"Language";a:1:{s:5:"en-GB";O:7:"JObject":4:{s:10:"\0*\0_errors";a:0:{}s:5:"title";s:5:"en-GB";s:5:"state";i:1;s:6:"access";i:1;}}}s:3:"url";s:48:"index.php?option=com_content&view=article&id=121";s:5:"route";s:99:"index.php?option=com_content&view=article&id=121:module-suffixes&catid=78:jm-sample-data&Itemid=564";s:5:"title";s:15:"Module Suffixes";s:11:"description";s:939:"There are additional module designs available that you can control by entering a correct suffix name as a module parameter. Let\'s check them all. 1. Available module designs 2. Use the following suffixes for DJ-ImageSlider module if you want to get the following view for slides. Otherwise a module will use the default css styles. Suffix name: header-ms 2. Use the following suffixes if you want add hover effect for "Solutions" Custom HTML modules. Suffix name: expand1-ms and expand2-ms 3. Use the suffix for module to reduce space below module. Suffix name: margin-ms 4. Additional and very useful suffix to make your modules height the same. You just have to put a suffix at a module configuration to get the specified module height. See here the screenshot: _mod300 means that your module will be of 300 pixels high. If you need to mix suffixes, remember to put that suffix at the end and add space between suffixes, see the example:";s:9:"published";N;s:5:"state";i:1;s:6:"access";s:1:"1";s:8:"language";s:5:"en-GB";s:18:"publish_start_date";s:19:"2014-06-25 09:42:57";s:16:"publish_end_date";s:19:"0000-00-00 00:00:00";s:10:"start_date";s:19:"2014-06-25 09:42:57";s:8:"end_date";s:19:"0000-00-00 00:00:00";s:10:"list_price";N;s:10:"sale_price";N;s:7:"type_id";i:4;s:15:"defaultLanguage";s:5:"en-GB";}');

DROP TABLE IF EXISTS #__finder_links_terms0;
CREATE TABLE `#__finder_links_terms0` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_terms0` VALUES 
(6,389,'0.56004'),
(13,389,'0.56004'),
(14,389,'0.56004'),
(15,389,'0.56004'),
(16,389,'0.56004'),
(17,389,'0.56004'),
(18,389,'0.56004'),
(19,389,'0.56004'),
(20,389,'0.56004'),
(31,389,'0.56004'),
(32,389,'0.56004'),
(34,389,'0.56004'),
(41,389,'0.56004'),
(42,389,'0.56004'),
(49,389,'0.56004'),
(5,389,'2.84687'),
(31,446,'0.23331'),
(42,446,'0.23331'),
(41,446,'0.93324'),
(5,454,'0.79992'),
(6,454,'0.79992'),
(13,454,'0.79992'),
(14,454,'0.79992'),
(15,454,'0.79992'),
(16,454,'0.79992'),
(17,454,'0.79992'),
(18,454,'0.79992'),
(19,454,'0.79992'),
(20,454,'0.79992'),
(31,454,'0.79992'),
(32,454,'0.79992'),
(34,454,'0.79992'),
(41,454,'0.79992'),
(42,454,'0.79992'),
(49,454,'0.79992'),
(5,455,'3.19992'),
(6,455,'3.19992'),
(13,455,'3.19992'),
(14,455,'3.19992'),
(15,455,'3.19992'),
(16,455,'3.19992'),
(17,455,'3.19992'),
(18,455,'3.19992'),
(19,455,'3.19992'),
(20,455,'3.19992'),
(31,455,'3.19992'),
(32,455,'3.19992'),
(34,455,'3.19992'),
(41,455,'3.19992'),
(42,455,'3.19992');
INSERT INTO `#__finder_links_terms0` VALUES 
(49,455,'3.19992'),
(6,524,'0.01162'),
(32,524,'0.01162'),
(5,524,'0.02324'),
(13,524,'0.02905'),
(14,524,'0.02905'),
(15,524,'0.02905'),
(16,524,'0.02905'),
(17,524,'0.02905'),
(18,524,'0.02905'),
(19,524,'0.02905'),
(20,524,'0.02905'),
(49,524,'0.02905'),
(41,524,'0.26726'),
(5,525,'0.95669'),
(5,526,'1.14331'),
(5,527,'1.77338'),
(5,528,'2.14662'),
(5,529,'0.88669'),
(49,529,'2.66007'),
(5,530,'0.95669'),
(5,531,'0.23331'),
(5,532,'1.12'),
(5,533,'1.4'),
(5,534,'0.28'),
(34,534,'0.28'),
(5,535,'0.91'),
(5,536,'1.09669'),
(5,537,'0.0175'),
(49,537,'0.0525'),
(34,537,'0.0875'),
(5,538,'0.88669'),
(5,539,'0.98'),
(5,540,'0.32669'),
(5,541,'0.93331'),
(5,542,'1.07331'),
(5,543,'0.32669'),
(5,544,'0.95669'),
(5,545,'1.07331'),
(5,546,'0.93331'),
(5,547,'1.09669'),
(5,548,'1.09669'),
(5,549,'1.16669'),
(5,550,'0.95669'),
(5,551,'1.02669'),
(5,552,'0.93331'),
(5,553,'1.00331'),
(5,554,'1.05'),
(5,555,'1.16669'),
(5,556,'0.95669');
INSERT INTO `#__finder_links_terms0` VALUES 
(5,557,'1.12'),
(5,558,'0.95669'),
(5,559,'1.07331'),
(49,560,'0.01169'),
(5,560,'0.02338'),
(31,560,'0.07014'),
(41,560,'0.14028'),
(5,561,'1.82'),
(5,562,'2.00662'),
(5,757,'0.28'),
(5,758,'1.00331'),
(5,759,'1.23669'),
(5,760,'0.23331'),
(5,761,'0.88669'),
(5,762,'1.07331'),
(5,763,'0.37338'),
(31,763,'0.37338'),
(6,763,'0.74676'),
(41,763,'0.74676'),
(5,764,'0.84'),
(6,764,'0.84'),
(5,765,'0.91'),
(6,765,'0.91'),
(5,766,'0.84'),
(6,766,'0.84'),
(5,767,'0.95669'),
(6,1029,'1.00331'),
(6,1030,'1.07331'),
(6,1031,'0.84'),
(6,1032,'0.93331'),
(6,1033,'0.02919'),
(34,1033,'0.11676'),
(6,1034,'0.91'),
(6,1035,'1.02669'),
(6,1036,'0.28'),
(6,1037,'0.91'),
(6,1038,'1.00331'),
(6,1116,'0.37338'),
(6,1117,'0.86331'),
(6,1118,'0.98'),
(6,1119,'0.91'),
(6,1120,'1.12'),
(6,1121,'0.37331'),
(6,1122,'0.98'),
(6,1123,'1.05'),
(6,1124,'0.56007'),
(6,1125,'0.88669'),
(6,1126,'0.95669'),
(6,1127,'0.98'),
(6,1128,'1.14331');
INSERT INTO `#__finder_links_terms0` VALUES 
(6,1129,'0.91'),
(6,1130,'0.95669'),
(6,1131,'0.02331'),
(6,1132,'1.07331'),
(6,1133,'1.21331'),
(6,1134,'0.98'),
(6,1135,'0.84'),
(6,1136,'0.95669'),
(6,1137,'0.84'),
(6,1138,'0.98'),
(6,1139,'0.28'),
(6,1140,'1.00331'),
(6,1141,'1.33'),
(31,1533,'0.56007'),
(32,1533,'0.56007'),
(13,1533,'2.98704'),
(14,1533,'2.98704'),
(15,1533,'2.98704'),
(16,1533,'2.98704'),
(17,1533,'2.98704'),
(18,1533,'2.98704'),
(19,1533,'2.98704'),
(20,1533,'2.98704'),
(41,1533,'16.9888'),
(31,1540,'0.01169'),
(32,1540,'0.01169'),
(42,1540,'0.02338'),
(49,1540,'0.02338'),
(13,1540,'0.04676'),
(14,1540,'0.04676'),
(15,1540,'0.04676'),
(16,1540,'0.04676'),
(17,1540,'0.04676'),
(18,1540,'0.04676'),
(19,1540,'0.04676'),
(20,1540,'0.04676'),
(41,1540,'0.07014'),
(42,1543,'0.46662'),
(31,1543,'0.69993'),
(32,1543,'0.93324'),
(13,1543,'1.63317'),
(14,1543,'1.63317'),
(15,1543,'1.63317'),
(16,1543,'1.63317'),
(17,1543,'1.63317'),
(18,1543,'1.63317'),
(19,1543,'1.63317'),
(20,1543,'1.63317'),
(41,1543,'2.3331'),
(31,1600,'0.42');
INSERT INTO `#__finder_links_terms0` VALUES 
(32,1600,'0.42'),
(13,1600,'2.24'),
(14,1600,'2.24'),
(15,1600,'2.24'),
(16,1600,'2.24'),
(17,1600,'2.24'),
(18,1600,'2.24'),
(19,1600,'2.24'),
(20,1600,'2.24'),
(41,1600,'12.74'),
(31,1601,'2.66007'),
(32,1601,'2.66007'),
(13,1601,'14.187'),
(14,1601,'14.187'),
(15,1601,'14.187'),
(16,1601,'14.187'),
(17,1601,'14.187'),
(18,1601,'14.187'),
(19,1601,'14.187'),
(20,1601,'14.187'),
(41,1601,'80.6888'),
(42,1787,'0.46669'),
(32,1787,'0.93338'),
(13,1787,'1.40007'),
(14,1787,'1.40007'),
(15,1787,'1.40007'),
(16,1787,'1.40007'),
(17,1787,'1.40007'),
(18,1787,'1.40007'),
(19,1787,'1.40007'),
(20,1787,'1.40007'),
(41,1787,'9.3338'),
(42,1788,'1.05'),
(13,1788,'2.1'),
(14,1788,'2.1'),
(15,1788,'2.1'),
(16,1788,'2.1'),
(17,1788,'2.1'),
(18,1788,'2.1'),
(19,1788,'2.1'),
(20,1788,'2.1'),
(32,1788,'2.1'),
(41,1788,'21'),
(41,1789,'1.19'),
(42,1789,'1.19'),
(42,1790,'1.77338'),
(41,1790,'3.54676'),
(42,1791,'2.24'),
(41,1791,'4.48'),
(42,1792,'2.1');
INSERT INTO `#__finder_links_terms0` VALUES 
(41,1792,'4.2'),
(42,1793,'2.56662'),
(41,1793,'5.13324'),
(32,1851,'0.14'),
(42,1851,'0.56'),
(41,1851,'1.12'),
(42,1852,'3.54676'),
(41,1852,'7.09352'),
(42,1853,'3.08007'),
(41,1853,'6.16014'),
(41,1854,'1.02669'),
(42,1854,'1.02669'),
(42,1855,'1.02669'),
(41,1855,'2.05338'),
(41,1856,'1.16669'),
(42,1856,'1.16669'),
(42,1857,'0.56007'),
(41,1857,'1.12014'),
(41,1858,'1.05'),
(42,1858,'1.05'),
(41,1859,'1.16669'),
(42,1859,'1.16669'),
(42,1860,'1.86662'),
(41,1860,'3.73324'),
(42,1861,'2.38'),
(41,1861,'4.76'),
(13,1981,'0.56'),
(14,1981,'0.56'),
(15,1981,'0.56'),
(16,1981,'0.56'),
(17,1981,'0.56'),
(18,1981,'0.56'),
(19,1981,'0.56'),
(20,1981,'0.56'),
(41,1981,'3.36'),
(13,2011,'2.14662'),
(14,2011,'2.14662'),
(15,2011,'2.14662'),
(16,2011,'2.14662'),
(17,2011,'2.14662'),
(18,2011,'2.14662'),
(19,2011,'2.14662'),
(20,2011,'2.14662'),
(32,2011,'2.14662'),
(41,2011,'19.3196'),
(13,2012,'1.33'),
(14,2012,'1.33'),
(15,2012,'1.33'),
(16,2012,'1.33'),
(17,2012,'1.33');
INSERT INTO `#__finder_links_terms0` VALUES 
(18,2012,'1.33'),
(19,2012,'1.33'),
(20,2012,'1.33'),
(32,2012,'2.66'),
(41,2012,'23.94'),
(13,2019,'0.18669'),
(14,2019,'0.18669'),
(15,2019,'0.18669'),
(16,2019,'0.18669'),
(17,2019,'0.18669'),
(18,2019,'0.18669'),
(19,2019,'0.18669'),
(20,2019,'0.18669'),
(41,2019,'0.74676'),
(13,3198,'0.28'),
(14,3198,'0.28'),
(15,3198,'0.28'),
(16,3198,'0.28'),
(17,3198,'0.28'),
(18,3198,'0.28'),
(19,3198,'0.28'),
(20,3198,'0.28'),
(32,3198,'0.28'),
(41,3198,'3.36'),
(32,3204,'0.56'),
(41,3204,'1.96'),
(13,3204,'2.24'),
(14,3204,'2.24'),
(15,3204,'2.24'),
(16,3204,'2.24'),
(17,3204,'2.24'),
(18,3204,'2.24'),
(19,3204,'2.24'),
(20,3204,'2.24'),
(13,3208,'2.33338'),
(14,3208,'2.33338'),
(15,3208,'2.33338'),
(16,3208,'2.33338'),
(17,3208,'2.33338'),
(18,3208,'2.33338'),
(19,3208,'2.33338'),
(20,3208,'2.33338'),
(32,3208,'2.33338'),
(41,3208,'21.0004'),
(34,3216,'0.08757'),
(41,3216,'0.11676'),
(13,3224,'0.32669'),
(14,3224,'0.32669'),
(15,3224,'0.32669'),
(16,3224,'0.32669');
INSERT INTO `#__finder_links_terms0` VALUES 
(17,3224,'0.32669'),
(18,3224,'0.32669'),
(19,3224,'0.32669'),
(20,3224,'0.32669'),
(32,3224,'0.65338'),
(41,3224,'3.92028'),
(13,3242,'0.37331'),
(14,3242,'0.37331'),
(15,3242,'0.37331'),
(16,3242,'0.37331'),
(17,3242,'0.37331'),
(18,3242,'0.37331'),
(19,3242,'0.37331'),
(20,3242,'0.37331'),
(41,3242,'10.4527'),
(13,3964,'1.82'),
(14,3964,'1.82'),
(15,3964,'1.82'),
(16,3964,'1.82'),
(17,3964,'1.82'),
(18,3964,'1.82'),
(19,3964,'1.82'),
(20,3964,'1.82'),
(13,3965,'2.05338'),
(14,3965,'2.05338'),
(15,3965,'2.05338'),
(16,3965,'2.05338'),
(17,3965,'2.05338'),
(18,3965,'2.05338'),
(19,3965,'2.05338'),
(20,3965,'2.05338'),
(13,3966,'2.66007'),
(14,3966,'2.66007'),
(15,3966,'2.66007'),
(16,3966,'2.66007'),
(17,3966,'2.66007'),
(18,3966,'2.66007'),
(19,3966,'2.66007'),
(20,3966,'2.66007'),
(13,3967,'3.00993'),
(14,3967,'3.00993'),
(15,3967,'3.00993'),
(16,3967,'3.00993'),
(17,3967,'3.00993'),
(18,3967,'3.00993'),
(19,3967,'3.00993'),
(20,3967,'3.00993'),
(32,3968,'0.55986'),
(13,3968,'1.02641'),
(14,3968,'1.02641');
INSERT INTO `#__finder_links_terms0` VALUES 
(15,3968,'1.02641'),
(16,3968,'1.02641'),
(17,3968,'1.02641'),
(18,3968,'1.02641'),
(19,3968,'1.02641'),
(20,3968,'1.02641'),
(13,3969,'0.93331'),
(14,3969,'0.93331'),
(15,3969,'0.93331'),
(16,3969,'0.93331'),
(17,3969,'0.93331'),
(18,3969,'0.93331'),
(19,3969,'0.93331'),
(20,3969,'0.93331'),
(13,3970,'1.09669'),
(14,3970,'1.09669'),
(15,3970,'1.09669'),
(16,3970,'1.09669'),
(17,3970,'1.09669'),
(18,3970,'1.09669'),
(19,3970,'1.09669'),
(20,3970,'1.09669'),
(13,3971,'0.84'),
(14,3971,'0.84'),
(15,3971,'0.84'),
(16,3971,'0.84'),
(17,3971,'0.84'),
(18,3971,'0.84'),
(19,3971,'0.84'),
(20,3971,'0.84'),
(13,3972,'1.02669'),
(14,3972,'1.02669'),
(15,3972,'1.02669'),
(16,3972,'1.02669'),
(17,3972,'1.02669'),
(18,3972,'1.02669'),
(19,3972,'1.02669'),
(20,3972,'1.02669'),
(13,3973,'0.88669'),
(14,3973,'0.88669'),
(15,3973,'0.88669'),
(16,3973,'0.88669'),
(17,3973,'0.88669'),
(18,3973,'0.88669'),
(19,3973,'0.88669'),
(20,3973,'0.88669'),
(13,3974,'1.12'),
(14,3974,'1.12'),
(15,3974,'1.12'),
(16,3974,'1.12');
INSERT INTO `#__finder_links_terms0` VALUES 
(17,3974,'1.12'),
(18,3974,'1.12'),
(19,3974,'1.12'),
(20,3974,'1.12'),
(13,3975,'3.92'),
(14,3975,'3.92'),
(15,3975,'3.92'),
(16,3975,'3.92'),
(17,3975,'3.92'),
(18,3975,'3.92'),
(19,3975,'3.92'),
(20,3975,'3.92'),
(13,3976,'4.85324'),
(14,3976,'4.85324'),
(15,3976,'4.85324'),
(16,3976,'4.85324'),
(17,3976,'4.85324'),
(18,3976,'4.85324'),
(19,3976,'4.85324'),
(20,3976,'4.85324'),
(13,3977,'1.77338'),
(14,3977,'1.77338'),
(15,3977,'1.77338'),
(16,3977,'1.77338'),
(17,3977,'1.77338'),
(18,3977,'1.77338'),
(19,3977,'1.77338'),
(20,3977,'1.77338'),
(13,3978,'1.02669'),
(14,3978,'1.02669'),
(15,3978,'1.02669'),
(16,3978,'1.02669'),
(17,3978,'1.02669'),
(18,3978,'1.02669'),
(19,3978,'1.02669'),
(20,3978,'1.02669'),
(13,3979,'1.12'),
(14,3979,'1.12'),
(15,3979,'1.12'),
(16,3979,'1.12'),
(17,3979,'1.12'),
(18,3979,'1.12'),
(19,3979,'1.12'),
(20,3979,'1.12'),
(13,3980,'1.82'),
(14,3980,'1.82'),
(15,3980,'1.82'),
(16,3980,'1.82'),
(17,3980,'1.82'),
(18,3980,'1.82');
INSERT INTO `#__finder_links_terms0` VALUES 
(19,3980,'1.82'),
(20,3980,'1.82'),
(13,3981,'2.14662'),
(14,3981,'2.14662'),
(15,3981,'2.14662'),
(16,3981,'2.14662'),
(17,3981,'2.14662'),
(18,3981,'2.14662'),
(19,3981,'2.14662'),
(20,3981,'2.14662'),
(13,3982,'0.37331'),
(14,3982,'0.37331'),
(15,3982,'0.37331'),
(16,3982,'0.37331'),
(17,3982,'0.37331'),
(18,3982,'0.37331'),
(19,3982,'0.37331'),
(20,3982,'0.37331'),
(32,3982,'0.37331'),
(13,3983,'1.00331'),
(14,3983,'1.00331'),
(15,3983,'1.00331'),
(16,3983,'1.00331'),
(17,3983,'1.00331'),
(18,3983,'1.00331'),
(19,3983,'1.00331'),
(20,3983,'1.00331'),
(13,3984,'1.21331'),
(14,3984,'1.21331'),
(15,3984,'1.21331'),
(16,3984,'1.21331'),
(17,3984,'1.21331'),
(18,3984,'1.21331'),
(19,3984,'1.21331'),
(20,3984,'1.21331'),
(13,3985,'1.16669'),
(14,3985,'1.16669'),
(15,3985,'1.16669'),
(16,3985,'1.16669'),
(17,3985,'1.16669'),
(18,3985,'1.16669'),
(19,3985,'1.16669'),
(20,3985,'1.16669'),
(13,3986,'1.19'),
(14,3986,'1.19'),
(15,3986,'1.19'),
(16,3986,'1.19'),
(17,3986,'1.19'),
(18,3986,'1.19'),
(19,3986,'1.19');
INSERT INTO `#__finder_links_terms0` VALUES 
(20,3986,'1.19'),
(13,3987,'1.07331'),
(14,3987,'1.07331'),
(15,3987,'1.07331'),
(16,3987,'1.07331'),
(17,3987,'1.07331'),
(18,3987,'1.07331'),
(19,3987,'1.07331'),
(20,3987,'1.07331'),
(13,3988,'1.19'),
(14,3988,'1.19'),
(15,3988,'1.19'),
(16,3988,'1.19'),
(17,3988,'1.19'),
(18,3988,'1.19'),
(19,3988,'1.19'),
(20,3988,'1.19'),
(13,3989,'0.51331'),
(14,3989,'0.51331'),
(15,3989,'0.51331'),
(16,3989,'0.51331'),
(17,3989,'0.51331'),
(18,3989,'0.51331'),
(19,3989,'0.51331'),
(20,3989,'0.51331'),
(13,3990,'1.07331'),
(14,3990,'1.07331'),
(15,3990,'1.07331'),
(16,3990,'1.07331'),
(17,3990,'1.07331'),
(18,3990,'1.07331'),
(19,3990,'1.07331'),
(20,3990,'1.07331'),
(13,3991,'1.16669'),
(14,3991,'1.16669'),
(15,3991,'1.16669'),
(16,3991,'1.16669'),
(17,3991,'1.16669'),
(18,3991,'1.16669'),
(19,3991,'1.16669'),
(20,3991,'1.16669'),
(13,3992,'2.14662'),
(14,3992,'2.14662'),
(15,3992,'2.14662'),
(16,3992,'2.14662'),
(17,3992,'2.14662'),
(18,3992,'2.14662'),
(19,3992,'2.14662'),
(20,3992,'2.14662'),
(13,3993,'2.52');
INSERT INTO `#__finder_links_terms0` VALUES 
(14,3993,'2.52'),
(15,3993,'2.52'),
(16,3993,'2.52'),
(17,3993,'2.52'),
(18,3993,'2.52'),
(19,3993,'2.52'),
(20,3993,'2.52'),
(13,3994,'0.28'),
(14,3994,'0.28'),
(15,3994,'0.28'),
(16,3994,'0.28'),
(17,3994,'0.28'),
(18,3994,'0.28'),
(19,3994,'0.28'),
(20,3994,'0.28'),
(41,3994,'0.56'),
(32,3995,'0.65338'),
(13,3995,'1.63345'),
(14,3995,'1.63345'),
(15,3995,'1.63345'),
(17,3995,'1.63345'),
(18,3995,'1.63345'),
(19,3995,'1.63345'),
(20,3995,'1.63345'),
(16,3995,'3.36024'),
(13,3996,'0.98'),
(14,3996,'0.98'),
(15,3996,'0.98'),
(16,3996,'0.98'),
(17,3996,'0.98'),
(18,3996,'0.98'),
(19,3996,'0.98'),
(20,3996,'0.98'),
(13,3997,'1.19'),
(14,3997,'1.19'),
(15,3997,'1.19'),
(16,3997,'1.19'),
(17,3997,'1.19'),
(18,3997,'1.19'),
(19,3997,'1.19'),
(20,3997,'1.19'),
(13,3998,'1.05'),
(14,3998,'1.05'),
(15,3998,'1.05'),
(17,3998,'1.05'),
(18,3998,'1.05'),
(19,3998,'1.05'),
(20,3998,'1.05'),
(16,3998,'6.6'),
(13,3999,'1.16669');
INSERT INTO `#__finder_links_terms0` VALUES 
(14,3999,'1.16669'),
(15,3999,'1.16669'),
(16,3999,'1.16669'),
(17,3999,'1.16669'),
(18,3999,'1.16669'),
(19,3999,'1.16669'),
(20,3999,'1.16669'),
(13,4000,'1.96'),
(14,4000,'1.96'),
(15,4000,'1.96'),
(16,4000,'1.96'),
(17,4000,'1.96'),
(18,4000,'1.96'),
(19,4000,'1.96'),
(20,4000,'1.96'),
(13,4001,'2.24'),
(14,4001,'2.24'),
(15,4001,'2.24'),
(16,4001,'2.24'),
(17,4001,'2.24'),
(18,4001,'2.24'),
(19,4001,'2.24'),
(20,4001,'2.24'),
(13,4002,'1.00331'),
(14,4002,'1.00331'),
(15,4002,'1.00331'),
(16,4002,'1.00331'),
(17,4002,'1.00331'),
(18,4002,'1.00331'),
(19,4002,'1.00331'),
(20,4002,'1.00331'),
(13,4003,'1.14331'),
(14,4003,'1.14331'),
(15,4003,'1.14331'),
(16,4003,'1.14331'),
(17,4003,'1.14331'),
(18,4003,'1.14331'),
(19,4003,'1.14331'),
(20,4003,'1.14331'),
(13,4004,'0.98007'),
(14,4004,'0.98007'),
(15,4004,'0.98007'),
(16,4004,'0.98007'),
(17,4004,'0.98007'),
(18,4004,'0.98007'),
(19,4004,'0.98007'),
(20,4004,'0.98007'),
(32,4004,'0.98007'),
(13,4005,'1.05'),
(14,4005,'1.05');
INSERT INTO `#__finder_links_terms0` VALUES 
(15,4005,'1.05'),
(16,4005,'1.05'),
(17,4005,'1.05'),
(18,4005,'1.05'),
(19,4005,'1.05'),
(20,4005,'1.05'),
(13,4006,'1.33'),
(14,4006,'1.33'),
(15,4006,'1.33'),
(16,4006,'1.33'),
(17,4006,'1.33'),
(18,4006,'1.33'),
(19,4006,'1.33'),
(20,4006,'1.33'),
(13,4007,'1.86662'),
(14,4007,'1.86662'),
(15,4007,'1.86662'),
(16,4007,'1.86662'),
(17,4007,'1.86662'),
(18,4007,'1.86662'),
(19,4007,'1.86662'),
(20,4007,'1.86662'),
(13,4008,'2.00662'),
(14,4008,'2.00662'),
(15,4008,'2.00662'),
(16,4008,'2.00662'),
(17,4008,'2.00662'),
(18,4008,'2.00662'),
(19,4008,'2.00662'),
(20,4008,'2.00662'),
(13,4009,'1.35331'),
(14,4009,'1.35331'),
(15,4009,'1.35331'),
(16,4009,'1.35331'),
(17,4009,'1.35331'),
(18,4009,'1.35331'),
(19,4009,'1.35331'),
(20,4009,'1.35331'),
(13,4010,'1.96'),
(14,4010,'1.96'),
(15,4010,'1.96'),
(16,4010,'1.96'),
(17,4010,'1.96'),
(18,4010,'1.96'),
(19,4010,'1.96'),
(20,4010,'1.96'),
(13,4011,'2.52'),
(14,4011,'2.52'),
(15,4011,'2.52'),
(16,4011,'2.52');
INSERT INTO `#__finder_links_terms0` VALUES 
(17,4011,'2.52'),
(18,4011,'2.52'),
(19,4011,'2.52'),
(20,4011,'2.52'),
(13,4012,'1.00331'),
(14,4012,'1.00331'),
(15,4012,'1.00331'),
(16,4012,'1.00331'),
(17,4012,'1.00331'),
(18,4012,'1.00331'),
(19,4012,'1.00331'),
(20,4012,'1.00331'),
(13,4013,'1.07331'),
(14,4013,'1.07331'),
(15,4013,'1.07331'),
(16,4013,'1.07331'),
(17,4013,'1.07331'),
(18,4013,'1.07331'),
(19,4013,'1.07331'),
(20,4013,'1.07331'),
(13,4014,'0.93331'),
(14,4014,'0.93331'),
(15,4014,'0.93331'),
(16,4014,'0.93331'),
(17,4014,'0.93331'),
(18,4014,'0.93331'),
(19,4014,'0.93331'),
(20,4014,'0.93331'),
(13,4015,'1.09669'),
(14,4015,'1.09669'),
(15,4015,'1.09669'),
(16,4015,'1.09669'),
(17,4015,'1.09669'),
(18,4015,'1.09669'),
(19,4015,'1.09669'),
(20,4015,'1.09669'),
(13,4016,'0.93331'),
(14,4016,'0.93331'),
(15,4016,'0.93331'),
(16,4016,'0.93331'),
(17,4016,'0.93331'),
(18,4016,'0.93331'),
(19,4016,'0.93331'),
(20,4016,'0.93331'),
(13,4017,'1.14331'),
(14,4017,'1.14331'),
(15,4017,'1.14331'),
(16,4017,'1.14331'),
(17,4017,'1.14331'),
(18,4017,'1.14331');
INSERT INTO `#__finder_links_terms0` VALUES 
(19,4017,'1.14331'),
(20,4017,'1.14331'),
(13,4018,'4.55'),
(14,4018,'4.55'),
(15,4018,'4.55'),
(16,4018,'4.55'),
(17,4018,'4.55'),
(18,4018,'4.55'),
(19,4018,'4.55'),
(20,4018,'4.55'),
(13,4019,'5.01655'),
(14,4019,'5.01655'),
(15,4019,'5.01655'),
(16,4019,'5.01655'),
(17,4019,'5.01655'),
(18,4019,'5.01655'),
(19,4019,'5.01655'),
(20,4019,'5.01655'),
(13,4020,'3.00993'),
(14,4020,'3.00993'),
(15,4020,'3.00993'),
(16,4020,'3.00993'),
(17,4020,'3.00993'),
(18,4020,'3.00993'),
(19,4020,'3.00993'),
(20,4020,'3.00993'),
(13,4021,'3.84993'),
(14,4021,'3.84993'),
(15,4021,'3.84993'),
(16,4021,'3.84993'),
(17,4021,'3.84993'),
(18,4021,'3.84993'),
(19,4021,'3.84993'),
(20,4021,'3.84993'),
(13,4022,'1.00331'),
(14,4022,'1.00331'),
(15,4022,'1.00331'),
(16,4022,'1.00331'),
(17,4022,'1.00331'),
(18,4022,'1.00331'),
(19,4022,'1.00331'),
(20,4022,'1.00331'),
(13,4023,'1.21331'),
(14,4023,'1.21331'),
(15,4023,'1.21331'),
(16,4023,'1.21331'),
(17,4023,'1.21331'),
(18,4023,'1.21331'),
(19,4023,'1.21331'),
(20,4023,'1.21331');
INSERT INTO `#__finder_links_terms0` VALUES 
(13,4024,'0.93331'),
(14,4024,'0.93331'),
(15,4024,'0.93331'),
(16,4024,'0.93331'),
(17,4024,'0.93331'),
(18,4024,'0.93331'),
(19,4024,'0.93331'),
(20,4024,'0.93331'),
(13,4025,'1.00331'),
(14,4025,'1.00331'),
(15,4025,'1.00331'),
(16,4025,'1.00331'),
(17,4025,'1.00331'),
(18,4025,'1.00331'),
(19,4025,'1.00331'),
(20,4025,'1.00331'),
(13,4026,'0.74676'),
(14,4026,'0.74676'),
(15,4026,'0.74676'),
(16,4026,'0.74676'),
(17,4026,'0.74676'),
(18,4026,'0.74676'),
(19,4026,'0.74676'),
(20,4026,'0.74676'),
(13,4027,'0.98'),
(14,4027,'0.98'),
(15,4027,'0.98'),
(16,4027,'0.98'),
(17,4027,'0.98'),
(18,4027,'0.98'),
(19,4027,'0.98'),
(20,4027,'0.98'),
(13,4028,'1.09669'),
(14,4028,'1.09669'),
(15,4028,'1.09669'),
(16,4028,'1.09669'),
(17,4028,'1.09669'),
(18,4028,'1.09669'),
(19,4028,'1.09669'),
(20,4028,'1.09669'),
(13,4029,'2.66007'),
(14,4029,'2.66007'),
(15,4029,'2.66007'),
(16,4029,'2.66007'),
(17,4029,'2.66007'),
(18,4029,'2.66007'),
(19,4029,'2.66007'),
(20,4029,'2.66007'),
(13,4030,'1.09669'),
(14,4030,'1.09669');
INSERT INTO `#__finder_links_terms0` VALUES 
(15,4030,'1.09669'),
(16,4030,'1.09669'),
(17,4030,'1.09669'),
(18,4030,'1.09669'),
(19,4030,'1.09669'),
(20,4030,'1.09669'),
(13,4031,'1.00331'),
(14,4031,'1.00331'),
(15,4031,'1.00331'),
(16,4031,'1.00331'),
(17,4031,'1.00331'),
(18,4031,'1.00331'),
(19,4031,'1.00331'),
(20,4031,'1.00331'),
(13,4032,'0.95669'),
(14,4032,'0.95669'),
(15,4032,'0.95669'),
(16,4032,'0.95669'),
(17,4032,'0.95669'),
(18,4032,'0.95669'),
(19,4032,'0.95669'),
(20,4032,'0.95669'),
(13,4033,'3.73324'),
(14,4033,'3.73324'),
(15,4033,'3.73324'),
(16,4033,'3.73324'),
(17,4033,'3.73324'),
(18,4033,'3.73324'),
(19,4033,'3.73324'),
(20,4033,'3.73324'),
(13,4034,'4.94676'),
(14,4034,'4.94676'),
(15,4034,'4.94676'),
(16,4034,'4.94676'),
(17,4034,'4.94676'),
(18,4034,'4.94676'),
(19,4034,'4.94676'),
(20,4034,'4.94676'),
(32,4035,'0.28'),
(13,4035,'0.56'),
(14,4035,'0.56'),
(15,4035,'0.56'),
(16,4035,'0.56'),
(17,4035,'0.56'),
(18,4035,'0.56'),
(19,4035,'0.56'),
(20,4035,'0.56'),
(13,4036,'1.96'),
(14,4036,'1.96'),
(15,4036,'1.96');
INSERT INTO `#__finder_links_terms0` VALUES 
(16,4036,'1.96'),
(17,4036,'1.96'),
(18,4036,'1.96'),
(19,4036,'1.96'),
(20,4036,'1.96'),
(13,4037,'2.14662'),
(14,4037,'2.14662'),
(15,4037,'2.14662'),
(16,4037,'2.14662'),
(17,4037,'2.14662'),
(18,4037,'2.14662'),
(19,4037,'2.14662'),
(20,4037,'2.14662'),
(13,4038,'4.9'),
(14,4038,'4.9'),
(15,4038,'4.9'),
(16,4038,'4.9'),
(17,4038,'4.9'),
(18,4038,'4.9'),
(19,4038,'4.9'),
(20,4038,'4.9'),
(13,4039,'5.83345'),
(14,4039,'5.83345'),
(15,4039,'5.83345'),
(16,4039,'5.83345'),
(17,4039,'5.83345'),
(18,4039,'5.83345'),
(19,4039,'5.83345'),
(20,4039,'5.83345'),
(13,4040,'1.82'),
(14,4040,'1.82'),
(15,4040,'1.82'),
(16,4040,'1.82'),
(17,4040,'1.82'),
(18,4040,'1.82'),
(19,4040,'1.82'),
(20,4040,'1.82'),
(13,4041,'2.05338'),
(14,4041,'2.05338'),
(15,4041,'2.05338'),
(16,4041,'2.05338'),
(17,4041,'2.05338'),
(18,4041,'2.05338'),
(19,4041,'2.05338'),
(20,4041,'2.05338'),
(13,4566,'1.86655'),
(14,4566,'1.86655'),
(15,4566,'1.86655'),
(16,4566,'1.86655'),
(17,4566,'1.86655');
INSERT INTO `#__finder_links_terms0` VALUES 
(18,4566,'1.86655'),
(19,4566,'1.86655'),
(20,4566,'1.86655'),
(13,4567,'2.05338'),
(14,4567,'2.05338'),
(15,4567,'2.05338'),
(16,4567,'2.05338'),
(17,4567,'2.05338'),
(18,4567,'2.05338'),
(19,4567,'2.05338'),
(20,4567,'2.05338'),
(13,4568,'2.38'),
(14,4568,'2.38'),
(15,4568,'2.38'),
(16,4568,'2.38'),
(17,4568,'2.38'),
(18,4568,'2.38'),
(19,4568,'2.38'),
(20,4568,'2.38'),
(13,4569,'2.38'),
(14,4569,'2.38'),
(15,4569,'2.38'),
(16,4569,'2.38'),
(17,4569,'2.38'),
(18,4569,'2.38'),
(19,4569,'2.38'),
(20,4569,'2.38'),
(13,4570,'2.8'),
(14,4570,'2.8'),
(15,4570,'2.8'),
(16,4570,'2.8'),
(17,4570,'2.8'),
(18,4570,'2.8'),
(19,4570,'2.8'),
(20,4570,'2.8'),
(13,4571,'1.09669'),
(14,4571,'1.09669'),
(15,4571,'1.09669'),
(16,4571,'1.09669'),
(17,4571,'1.09669'),
(18,4571,'1.09669'),
(19,4571,'1.09669'),
(20,4571,'1.09669'),
(13,4572,'1.30669'),
(14,4572,'1.30669'),
(15,4572,'1.30669'),
(16,4572,'1.30669'),
(17,4572,'1.30669'),
(18,4572,'1.30669'),
(19,4572,'1.30669');
INSERT INTO `#__finder_links_terms0` VALUES 
(20,4572,'1.30669'),
(13,4573,'0.95669'),
(14,4573,'0.95669'),
(15,4573,'0.95669'),
(16,4573,'0.95669'),
(17,4573,'0.95669'),
(18,4573,'0.95669'),
(19,4573,'0.95669'),
(20,4573,'0.95669'),
(13,4574,'1.09669'),
(14,4574,'1.09669'),
(15,4574,'1.09669'),
(16,4574,'1.09669'),
(17,4574,'1.09669'),
(18,4574,'1.09669'),
(19,4574,'1.09669'),
(20,4574,'1.09669'),
(13,4575,'3.59317'),
(14,4575,'3.59317'),
(16,4575,'3.59317'),
(17,4575,'3.59317'),
(18,4575,'3.59317'),
(19,4575,'3.59317'),
(20,4575,'3.59317'),
(15,4575,'6.30638'),
(13,4576,'1.09669'),
(14,4576,'1.09669'),
(15,4576,'1.09669'),
(16,4576,'1.09669'),
(17,4576,'1.09669'),
(18,4576,'1.09669'),
(19,4576,'1.09669'),
(20,4576,'1.09669'),
(13,4577,'1.19'),
(14,4577,'1.19'),
(15,4577,'1.19'),
(16,4577,'1.19'),
(17,4577,'1.19'),
(18,4577,'1.19'),
(19,4577,'1.19'),
(20,4577,'1.19'),
(13,4578,'1.09669'),
(14,4578,'1.09669'),
(15,4578,'1.09669'),
(16,4578,'1.09669'),
(17,4578,'1.09669'),
(18,4578,'1.09669'),
(19,4578,'1.09669'),
(20,4578,'1.09669'),
(13,4579,'1.16669');
INSERT INTO `#__finder_links_terms0` VALUES 
(14,4579,'1.16669'),
(15,4579,'1.16669'),
(16,4579,'1.16669'),
(17,4579,'1.16669'),
(18,4579,'1.16669'),
(19,4579,'1.16669'),
(20,4579,'1.16669'),
(13,4580,'2.14662'),
(14,4580,'2.14662'),
(15,4580,'2.14662'),
(16,4580,'2.14662'),
(17,4580,'2.14662'),
(18,4580,'2.14662'),
(19,4580,'2.14662'),
(20,4580,'2.14662'),
(13,4581,'2.24'),
(14,4581,'2.24'),
(15,4581,'2.24'),
(16,4581,'2.24'),
(17,4581,'2.24'),
(18,4581,'2.24'),
(19,4581,'2.24'),
(20,4581,'2.24'),
(13,4582,'1.23669'),
(14,4582,'1.23669'),
(15,4582,'1.23669'),
(16,4582,'1.23669'),
(17,4582,'1.23669'),
(18,4582,'1.23669'),
(19,4582,'1.23669'),
(20,4582,'1.23669'),
(13,4583,'1.37669'),
(14,4583,'1.37669'),
(15,4583,'1.37669'),
(16,4583,'1.37669'),
(17,4583,'1.37669'),
(18,4583,'1.37669'),
(19,4583,'1.37669'),
(20,4583,'1.37669'),
(13,4584,'2.38'),
(14,4584,'2.38'),
(15,4584,'2.38'),
(16,4584,'2.38'),
(17,4584,'2.38'),
(18,4584,'2.38'),
(19,4584,'2.38'),
(20,4584,'2.38'),
(13,4585,'2.66'),
(14,4585,'2.66'),
(15,4585,'2.66');
INSERT INTO `#__finder_links_terms0` VALUES 
(16,4585,'2.66'),
(17,4585,'2.66'),
(18,4585,'2.66'),
(19,4585,'2.66'),
(20,4585,'2.66'),
(13,4586,'2.79993'),
(14,4586,'2.79993'),
(15,4586,'2.79993'),
(16,4586,'2.79993'),
(17,4586,'2.79993'),
(18,4586,'2.79993'),
(19,4586,'2.79993'),
(20,4586,'2.79993'),
(13,4587,'3.29007'),
(14,4587,'3.29007'),
(15,4587,'3.29007'),
(16,4587,'3.29007'),
(17,4587,'3.29007'),
(18,4587,'3.29007'),
(19,4587,'3.29007'),
(20,4587,'3.29007'),
(13,4588,'0.84'),
(14,4588,'0.84'),
(15,4588,'0.84'),
(16,4588,'0.84'),
(17,4588,'0.84'),
(18,4588,'0.84'),
(19,4588,'0.84'),
(20,4588,'0.84'),
(41,4588,'1.68'),
(13,4589,'1.02669'),
(14,4589,'1.02669'),
(15,4589,'1.02669'),
(16,4589,'1.02669'),
(17,4589,'1.02669'),
(18,4589,'1.02669'),
(19,4589,'1.02669'),
(20,4589,'1.02669'),
(41,4589,'2.05338'),
(13,4590,'1.68'),
(14,4590,'1.68'),
(15,4590,'1.68'),
(16,4590,'1.68'),
(17,4590,'1.68'),
(18,4590,'1.68'),
(19,4590,'1.68'),
(20,4590,'1.68'),
(13,4591,'2.24'),
(14,4591,'2.24'),
(15,4591,'2.24');
INSERT INTO `#__finder_links_terms0` VALUES 
(16,4591,'2.24'),
(17,4591,'2.24'),
(18,4591,'2.24'),
(19,4591,'2.24'),
(20,4591,'2.24'),
(13,4592,'1.00331'),
(14,4592,'1.00331'),
(15,4592,'1.00331'),
(16,4592,'1.00331'),
(17,4592,'1.00331'),
(18,4592,'1.00331'),
(19,4592,'1.00331'),
(20,4592,'1.00331'),
(13,4593,'1.14331'),
(14,4593,'1.14331'),
(15,4593,'1.14331'),
(16,4593,'1.14331'),
(17,4593,'1.14331'),
(18,4593,'1.14331'),
(19,4593,'1.14331'),
(20,4593,'1.14331'),
(13,4594,'0.95669'),
(14,4594,'0.95669'),
(15,4594,'0.95669'),
(16,4594,'0.95669'),
(17,4594,'0.95669'),
(18,4594,'0.95669'),
(19,4594,'0.95669'),
(20,4594,'0.95669'),
(13,4595,'1.07331'),
(14,4595,'1.07331'),
(15,4595,'1.07331'),
(16,4595,'1.07331'),
(17,4595,'1.07331'),
(18,4595,'1.07331'),
(19,4595,'1.07331'),
(20,4595,'1.07331'),
(13,4596,'3.00993'),
(14,4596,'3.00993'),
(15,4596,'3.00993'),
(16,4596,'3.00993'),
(17,4596,'3.00993'),
(18,4596,'3.00993'),
(19,4596,'3.00993'),
(20,4596,'3.00993'),
(13,4597,'3.42993'),
(14,4597,'3.42993'),
(15,4597,'3.42993'),
(16,4597,'3.42993'),
(17,4597,'3.42993');
INSERT INTO `#__finder_links_terms0` VALUES 
(18,4597,'3.42993'),
(19,4597,'3.42993'),
(20,4597,'3.42993'),
(13,4598,'0.95669'),
(14,4598,'0.95669'),
(15,4598,'0.95669'),
(16,4598,'0.95669'),
(17,4598,'0.95669'),
(18,4598,'0.95669'),
(19,4598,'0.95669'),
(20,4598,'0.95669'),
(13,4599,'1.09669'),
(14,4599,'1.09669'),
(15,4599,'1.09669'),
(16,4599,'1.09669'),
(17,4599,'1.09669'),
(18,4599,'1.09669'),
(19,4599,'1.09669'),
(20,4599,'1.09669'),
(13,4600,'0.84'),
(14,4600,'0.84'),
(15,4600,'0.84'),
(16,4600,'0.84'),
(17,4600,'0.84'),
(18,4600,'0.84'),
(19,4600,'0.84'),
(20,4600,'0.84'),
(13,4601,'1.12'),
(14,4601,'1.12'),
(15,4601,'1.12'),
(16,4601,'1.12'),
(17,4601,'1.12'),
(18,4601,'1.12'),
(19,4601,'1.12'),
(20,4601,'1.12'),
(13,4602,'0.88669'),
(14,4602,'0.88669'),
(15,4602,'0.88669'),
(16,4602,'0.88669'),
(17,4602,'0.88669'),
(18,4602,'0.88669'),
(19,4602,'0.88669'),
(20,4602,'0.88669'),
(13,4603,'1.00331'),
(14,4603,'1.00331'),
(15,4603,'1.00331'),
(16,4603,'1.00331'),
(17,4603,'1.00331'),
(18,4603,'1.00331'),
(19,4603,'1.00331');
INSERT INTO `#__finder_links_terms0` VALUES 
(20,4603,'1.00331'),
(13,4604,'0.93331'),
(14,4604,'0.93331'),
(15,4604,'0.93331'),
(16,4604,'0.93331'),
(17,4604,'0.93331'),
(18,4604,'0.93331'),
(19,4604,'0.93331'),
(20,4604,'0.93331'),
(13,4605,'1.05'),
(14,4605,'1.05'),
(15,4605,'1.05'),
(16,4605,'1.05'),
(17,4605,'1.05'),
(18,4605,'1.05'),
(19,4605,'1.05'),
(20,4605,'1.05'),
(13,4606,'0.98'),
(14,4606,'0.98'),
(15,4606,'0.98'),
(16,4606,'0.98'),
(17,4606,'0.98'),
(18,4606,'0.98'),
(19,4606,'0.98'),
(20,4606,'0.98'),
(13,4607,'1.09669'),
(14,4607,'1.09669'),
(15,4607,'1.09669'),
(16,4607,'1.09669'),
(17,4607,'1.09669'),
(18,4607,'1.09669'),
(19,4607,'1.09669'),
(20,4607,'1.09669'),
(32,4608,'1.4'),
(13,4608,'1.68'),
(14,4608,'1.68'),
(15,4608,'1.68'),
(16,4608,'1.68'),
(17,4608,'1.68'),
(18,4608,'1.68'),
(19,4608,'1.68'),
(20,4608,'1.68'),
(13,4609,'3.21993'),
(14,4609,'3.21993'),
(15,4609,'3.21993'),
(16,4609,'3.21993'),
(17,4609,'3.21993'),
(18,4609,'3.21993'),
(19,4609,'3.21993'),
(20,4609,'3.21993');
INSERT INTO `#__finder_links_terms0` VALUES 
(13,4610,'3.50007'),
(14,4610,'3.50007'),
(15,4610,'3.50007'),
(16,4610,'3.50007'),
(17,4610,'3.50007'),
(18,4610,'3.50007'),
(19,4610,'3.50007'),
(20,4610,'3.50007'),
(13,4611,'3.00993'),
(14,4611,'3.00993'),
(15,4611,'3.00993'),
(16,4611,'3.00993'),
(17,4611,'3.00993'),
(18,4611,'3.00993'),
(19,4611,'3.00993'),
(20,4611,'3.00993'),
(13,4612,'3.15'),
(14,4612,'3.15'),
(15,4612,'3.15'),
(16,4612,'3.15'),
(17,4612,'3.15'),
(18,4612,'3.15'),
(19,4612,'3.15'),
(20,4612,'3.15'),
(13,4613,'2.14662'),
(14,4613,'2.14662'),
(15,4613,'2.14662'),
(16,4613,'2.14662'),
(17,4613,'2.14662'),
(18,4613,'2.14662'),
(19,4613,'2.14662'),
(20,4613,'2.14662'),
(13,4614,'1.09669'),
(14,4614,'1.09669'),
(15,4614,'1.09669'),
(16,4614,'1.09669'),
(17,4614,'1.09669'),
(18,4614,'1.09669'),
(19,4614,'1.09669'),
(20,4614,'1.09669'),
(13,4615,'1.02669'),
(14,4615,'1.02669'),
(15,4615,'1.02669'),
(16,4615,'1.02669'),
(17,4615,'1.02669'),
(18,4615,'1.02669'),
(19,4615,'1.02669'),
(20,4615,'1.02669'),
(13,4616,'1.02669'),
(14,4616,'1.02669');
INSERT INTO `#__finder_links_terms0` VALUES 
(15,4616,'1.02669'),
(16,4616,'1.02669'),
(17,4616,'1.02669'),
(18,4616,'1.02669'),
(19,4616,'1.02669'),
(20,4616,'1.02669'),
(13,4617,'5.01655'),
(14,4617,'5.01655'),
(15,4617,'5.01655'),
(16,4617,'5.01655'),
(17,4617,'5.01655'),
(18,4617,'5.01655'),
(19,4617,'5.01655'),
(20,4617,'5.01655'),
(13,4618,'3.29007'),
(14,4618,'3.29007'),
(15,4618,'3.29007'),
(16,4618,'3.29007'),
(17,4618,'3.29007'),
(18,4618,'3.29007'),
(19,4618,'3.29007'),
(20,4618,'3.29007'),
(13,4619,'1.09669'),
(14,4619,'1.09669'),
(15,4619,'1.09669'),
(16,4619,'1.09669'),
(17,4619,'1.09669'),
(18,4619,'1.09669'),
(19,4619,'1.09669'),
(20,4619,'1.09669'),
(13,4620,'1.02669'),
(14,4620,'1.02669'),
(15,4620,'1.02669'),
(16,4620,'1.02669'),
(17,4620,'1.02669'),
(18,4620,'1.02669'),
(19,4620,'1.02669'),
(20,4620,'1.02669'),
(13,4621,'1.09669'),
(14,4621,'1.09669'),
(15,4621,'1.09669'),
(16,4621,'1.09669'),
(17,4621,'1.09669'),
(18,4621,'1.09669'),
(19,4621,'1.09669'),
(20,4621,'1.09669'),
(13,4622,'1.00331'),
(14,4622,'1.00331'),
(15,4622,'1.00331'),
(16,4622,'1.00331');
INSERT INTO `#__finder_links_terms0` VALUES 
(17,4622,'1.00331'),
(18,4622,'1.00331'),
(19,4622,'1.00331'),
(20,4622,'1.00331'),
(13,4623,'1.12'),
(14,4623,'1.12'),
(15,4623,'1.12'),
(16,4623,'1.12'),
(17,4623,'1.12'),
(18,4623,'1.12'),
(19,4623,'1.12'),
(20,4623,'1.12'),
(13,4624,'1.53993'),
(14,4624,'1.53993'),
(15,4624,'1.53993'),
(16,4624,'1.53993'),
(17,4624,'1.53993'),
(18,4624,'1.53993'),
(19,4624,'1.53993'),
(20,4624,'1.53993'),
(13,4625,'2.05338'),
(14,4625,'2.05338'),
(15,4625,'2.05338'),
(16,4625,'2.05338'),
(17,4625,'2.05338'),
(18,4625,'2.05338'),
(19,4625,'2.05338'),
(20,4625,'2.05338'),
(13,4626,'2.38'),
(14,4626,'2.38'),
(15,4626,'2.38'),
(16,4626,'2.38'),
(17,4626,'2.38'),
(18,4626,'2.38'),
(19,4626,'2.38'),
(20,4626,'2.38'),
(13,4627,'1.02669'),
(14,4627,'1.02669'),
(15,4627,'1.02669'),
(16,4627,'1.02669'),
(17,4627,'1.02669'),
(18,4627,'1.02669'),
(19,4627,'1.02669'),
(20,4627,'1.02669'),
(13,4628,'1.28331'),
(14,4628,'1.28331'),
(15,4628,'1.28331'),
(16,4628,'1.28331'),
(17,4628,'1.28331'),
(18,4628,'1.28331');
INSERT INTO `#__finder_links_terms0` VALUES 
(19,4628,'1.28331'),
(20,4628,'1.28331'),
(14,4981,'1.72679'),
(49,6288,'0.0175'),
(34,6288,'0.0925'),
(49,6902,'0.42'),
(41,6902,'2.52'),
(31,7299,'2.79993'),
(41,7299,'2.79993'),
(31,7300,'3.36'),
(41,7300,'3.36'),
(31,7301,'0.18669'),
(41,7301,'0.37338'),
(31,7302,'0.88669'),
(41,7302,'1.77338'),
(31,7303,'1.12'),
(41,7303,'2.24'),
(31,7304,'0.88669'),
(41,7304,'0.88669'),
(31,7305,'1.02669'),
(41,7305,'1.02669'),
(31,7306,'0.88669'),
(41,7306,'0.88669'),
(31,7307,'1.02669'),
(41,7307,'1.02669'),
(31,7308,'0.88669'),
(41,7308,'0.88669'),
(31,7309,'1.02669'),
(41,7309,'1.02669'),
(31,7310,'2.52'),
(41,7310,'5.04'),
(31,7311,'2.73'),
(41,7311,'4.55'),
(31,7312,'0.84'),
(49,7312,'0.84'),
(41,7312,'1.68'),
(31,7313,'0.98'),
(41,7313,'1.96'),
(31,7314,'2.87007'),
(41,7314,'2.87007'),
(31,7315,'3.15'),
(41,7315,'3.15'),
(31,7408,'0.84'),
(41,7408,'1.68'),
(31,7409,'2.24'),
(41,7409,'4.48'),
(31,7410,'1.26'),
(41,7410,'1.26'),
(31,7411,'1.19'),
(41,7411,'1.19');
INSERT INTO `#__finder_links_terms0` VALUES 
(31,7412,'3.08007'),
(41,7412,'3.08007'),
(31,7413,'0.88669'),
(41,7413,'1.77338'),
(31,7414,'1.00331'),
(41,7414,'2.00662'),
(31,7415,'1.72662'),
(41,7415,'3.45324'),
(31,7416,'1.86662'),
(41,7416,'3.73324'),
(32,7545,'0.88669'),
(32,7546,'0.95669'),
(32,7547,'0.98'),
(32,7548,'1.05'),
(32,7549,'2.79993'),
(32,7550,'3.29007'),
(32,7551,'0.84'),
(32,7552,'0.98'),
(32,7553,'0.93331'),
(32,7554,'1.07331'),
(32,7555,'0.95669'),
(32,7556,'1.09669'),
(32,7557,'1.07331'),
(32,7558,'1.16669'),
(32,7559,'2.42662'),
(32,7560,'1.07331'),
(32,7561,'1.21331'),
(32,7562,'0.95669'),
(32,7563,'1.09669'),
(32,7564,'3.08007'),
(32,7565,'3.84993'),
(32,7566,'0.95669'),
(32,7567,'1.07331'),
(32,7568,'0.86331'),
(32,7569,'1.05'),
(32,7570,'0.98'),
(32,7571,'1.09669'),
(32,7572,'1.02669'),
(32,7573,'1.21331'),
(32,7574,'2.94'),
(32,7575,'3.42993'),
(32,7728,'0.93331'),
(32,7729,'1.09669'),
(32,7730,'0.81669'),
(32,7731,'0.98'),
(32,7732,'0.93331'),
(32,7733,'1.07331'),
(32,7734,'0.93331'),
(32,7735,'1.14331'),
(32,7736,'0.88669');
INSERT INTO `#__finder_links_terms0` VALUES 
(32,7737,'0.95669'),
(32,7738,'0.93331'),
(32,7739,'1.09669'),
(32,7740,'2.79993'),
(32,7741,'3.00993'),
(32,7742,'0.98'),
(32,7743,'1.02669'),
(32,7744,'0.95669'),
(32,7745,'1.16669'),
(32,7746,'1.05'),
(32,7747,'1.00331'),
(32,7748,'1.07331'),
(32,7749,'1.00331'),
(32,7750,'1.16669'),
(32,7751,'1.72679'),
(34,8323,'3.92'),
(34,8324,'5.22676'),
(34,8325,'0.32669'),
(34,8326,'0.93331'),
(34,8327,'1.12'),
(34,8328,'5.18'),
(34,8329,'6.41321'),
(34,8330,'0.93331'),
(34,8331,'1.00331'),
(34,8332,'0.93331'),
(34,8333,'1.07331'),
(34,8334,'0.91'),
(34,8335,'1.07331'),
(34,8336,'0.93331'),
(34,8337,'1.16669'),
(34,8338,'0.95669'),
(34,8339,'1.09669'),
(34,8340,'0.93331'),
(34,8341,'1.16669'),
(34,8456,'1.68'),
(34,8457,'1.00331'),
(34,8458,'1.05'),
(34,8459,'1.09669'),
(34,8460,'4.10676'),
(34,8461,'1.21331'),
(34,8462,'1.19'),
(34,8463,'2.38'),
(34,8464,'0.32669'),
(34,8465,'1.07331'),
(34,8466,'1.26'),
(34,8467,'2.94'),
(34,8468,'1.14331'),
(34,8469,'2.33338'),
(34,8470,'0.32669'),
(34,8471,'1.00331');
INSERT INTO `#__finder_links_terms0` VALUES 
(34,8472,'1.09669'),
(41,20887,'3.85'),
(41,20888,'4.55'),
(41,20889,'3.36'),
(41,20890,'1.91338'),
(41,20891,'1.77338'),
(41,20892,'10.3597'),
(41,20893,'4.78345'),
(41,20894,'1.07331'),
(41,20895,'1.12'),
(41,20896,'1.07331'),
(41,20897,'1.00331'),
(41,20898,'1.12'),
(41,20899,'1.05'),
(41,20900,'1.00331'),
(41,20901,'6.53352'),
(41,20902,'5.46'),
(41,20903,'0.93331'),
(41,20904,'0.93331'),
(41,20905,'4.2'),
(41,20906,'4.9'),
(41,20907,'2.37993'),
(41,20908,'1.72662'),
(41,20909,'0.86331'),
(41,20910,'0.86331'),
(41,20911,'1.00331'),
(41,20912,'1.54'),
(41,20913,'0.88669'),
(41,20914,'0.86331'),
(41,20915,'2.52'),
(41,20916,'1.96'),
(41,20917,'0.95669'),
(41,20918,'2.58993'),
(41,20919,'3.15'),
(41,20920,'1.68'),
(41,20921,'4.57324'),
(41,20922,'5.50676'),
(41,20923,'14.0003'),
(41,20924,'4.94676'),
(41,20925,'2.28662'),
(41,20926,'1.16669'),
(41,20927,'10.5236'),
(41,20928,'12.32'),
(41,20929,'0.93324'),
(41,20930,'1.09669'),
(41,20931,'1.21331'),
(41,20932,'1.07331'),
(41,20933,'1.19'),
(41,20934,'1.14331'),
(41,20935,'1.26');
INSERT INTO `#__finder_links_terms0` VALUES 
(41,20936,'0.93331'),
(41,20937,'1.05'),
(41,20938,'0.51331'),
(41,20939,'1.07331'),
(41,20940,'1.19'),
(41,20941,'0.46669'),
(41,20942,'1.05'),
(41,20943,'1.16669'),
(41,20944,'0.60669'),
(41,20945,'1.12'),
(41,20946,'1.23669'),
(41,20947,'0.98'),
(41,20948,'1.05'),
(41,20949,'0.93331'),
(41,20950,'0.98'),
(41,20951,'0.7'),
(41,20952,'1.00331'),
(41,20953,'1.05'),
(41,20954,'1.72662'),
(41,20955,'1.91338'),
(41,20956,'0.91'),
(41,20957,'0.95669'),
(41,20958,'0.91'),
(41,20959,'0.95669'),
(41,20960,'12.8797'),
(41,20961,'14.28'),
(41,20962,'45.7322'),
(41,20963,'45.15'),
(41,20964,'2.00662'),
(41,20965,'1.12'),
(41,20966,'1.05'),
(41,20967,'2.00662'),
(41,20968,'4.31655'),
(41,20969,'4.66655'),
(41,20970,'2.1'),
(41,20971,'2.56662'),
(41,20972,'0.02338'),
(41,20973,'1.77338'),
(41,20974,'0.93331'),
(41,20975,'1.05'),
(41,20976,'1.82'),
(41,20977,'2.00662'),
(41,20978,'1.68'),
(41,20979,'1.96'),
(41,20980,'2.58993'),
(41,20981,'2.94'),
(41,20982,'2.66007'),
(41,20983,'2.87007'),
(41,22563,'12.6'),
(41,22564,'14.5597');
INSERT INTO `#__finder_links_terms0` VALUES 
(41,22565,'2.42662'),
(41,22566,'0.28'),
(41,22567,'0.95669'),
(41,22568,'1.09669'),
(41,22569,'11.1997'),
(41,22570,'14.0003'),
(41,22571,'0.93331'),
(41,22572,'1.49324'),
(48,22572,'1.97321'),
(41,22573,'3.21993'),
(41,22574,'1.21331'),
(41,22575,'2.38'),
(41,22576,'14.0003'),
(41,22577,'50.3078'),
(41,22578,'4.78345'),
(41,22579,'2.28662'),
(41,22580,'0.14'),
(41,22581,'0.84'),
(41,22582,'0.98'),
(41,22583,'0.23331'),
(41,22584,'0.93331'),
(41,22585,'1.05'),
(41,22586,'2.14662'),
(41,22587,'2.42662'),
(41,22588,'1.86662'),
(41,22589,'2.05338'),
(41,22590,'0.28'),
(41,22591,'1.00331'),
(41,22592,'1.09669'),
(41,22593,'12.3203'),
(41,22594,'13.09'),
(41,22595,'2.14662'),
(41,22596,'2.33338'),
(41,22597,'2.05338'),
(41,22598,'2.14662'),
(41,22599,'2.00662'),
(41,22600,'2.56662'),
(41,22601,'10.4546'),
(41,22602,'4.2'),
(41,22603,'3.82676'),
(41,22604,'0.88669'),
(41,22605,'1.05'),
(41,22606,'1.16669'),
(41,22607,'23.3328'),
(41,22608,'2.24'),
(41,22609,'2.42662'),
(41,22610,'4.2'),
(41,22611,'1.37669'),
(41,22612,'1.21331'),
(41,22613,'2.00662');
INSERT INTO `#__finder_links_terms0` VALUES 
(41,22614,'4.38676'),
(41,22615,'2.28662'),
(41,22616,'3.21993'),
(41,22617,'4.01324'),
(41,22618,'0.95669'),
(41,22619,'1.07331'),
(41,22620,'3.54676'),
(41,22621,'3.92'),
(41,22622,'0.91'),
(41,22623,'1.07331'),
(41,22624,'1.12'),
(41,22625,'1.35331'),
(41,22626,'0.93331'),
(41,22627,'1.07331'),
(41,22628,'0.84'),
(41,22629,'0.98'),
(41,22630,'1.86662'),
(41,22631,'2.24'),
(41,22632,'9.1'),
(41,22633,'10.5'),
(41,22634,'1.82'),
(41,22635,'2.05338'),
(41,22636,'1.72662'),
(41,22637,'1.86662'),
(41,22638,'1.14331'),
(41,22639,'1.12'),
(41,22640,'2.73'),
(41,22641,'3.00993'),
(41,22642,'4.66655'),
(41,22643,'5.6'),
(41,22644,'0.84'),
(41,22645,'0.88669'),
(41,22646,'1.30676'),
(41,22647,'4.01324'),
(41,22648,'4.76'),
(41,22649,'1.86655'),
(41,22650,'0.95669'),
(41,22651,'1.05'),
(41,22652,'2.19338'),
(41,22653,'2.56662'),
(41,22654,'2.00662'),
(41,22655,'2.14662'),
(41,22656,'4.2'),
(41,22657,'1.26'),
(41,22658,'1.21331'),
(41,22659,'2.24'),
(41,22660,'12.6'),
(41,22661,'1.12'),
(41,22662,'1.12'),
(41,22663,'1.09669');
INSERT INTO `#__finder_links_terms0` VALUES 
(41,22664,'1.09669'),
(41,22665,'1.23669'),
(41,22666,'7.69986'),
(41,22667,'1.09669'),
(41,22668,'12.0397'),
(41,22669,'13.44'),
(49,22923,'0.91'),
(49,22924,'1.07331'),
(49,22925,'1.21331'),
(49,22926,'1.12'),
(49,22927,'1.00331'),
(49,22928,'0.88669'),
(49,22929,'0.95669'),
(49,22930,'0.28'),
(49,22931,'0.91'),
(49,22932,'1.07331'),
(49,22933,'0.91'),
(49,22934,'1.09669'),
(49,22935,'0.93338'),
(49,22936,'1.02669'),
(49,22937,'1.14331'),
(49,22938,'1.09669'),
(49,22939,'1.28331'),
(49,22940,'0.81669'),
(49,22941,'1.05'),
(49,22942,'0.86331'),
(49,22943,'1.00331'),
(49,22944,'1.02669'),
(49,22945,'1.07331'),
(49,22946,'0.88669'),
(49,22947,'1.05'),
(49,22948,'0.0175'),
(49,22949,'1.02669'),
(49,22950,'1.19'),
(49,22951,'0.79331'),
(49,22952,'0.95669'),
(49,22953,'0.79331'),
(49,22954,'0.95669'),
(49,22955,'0.93331'),
(49,22956,'0.84'),
(49,22957,'1.07331'),
(49,22958,'1.26'),
(49,22959,'1.02669'),
(49,22960,'1.12'),
(49,23129,'0.18669'),
(49,23130,'0.88669'),
(49,23131,'1.00331'),
(49,23132,'0.46669'),
(49,23133,'1.09669'),
(49,23134,'1.23669');
INSERT INTO `#__finder_links_terms0` VALUES 
(49,23135,'0.28'),
(49,23136,'0.88669'),
(49,23137,'0.98'),
(49,23138,'0.86331'),
(49,23139,'1.05'),
(49,23140,'0.28'),
(49,23141,'1.07331'),
(49,23142,'1.12'),
(49,23143,'1.07331'),
(49,23144,'1.19'),
(49,23145,'0.46662'),
(49,23146,'0.95669'),
(49,23147,'1.12'),
(49,23148,'1.00331'),
(49,23149,'1.21331'),
(49,23150,'0.42'),
(49,23151,'1.07331'),
(49,23152,'1.23669'),
(49,23153,'0.28'),
(49,23154,'1.00331'),
(49,23155,'1.12'),
(49,23156,'2.24'),
(49,23157,'1.82'),
(49,23158,'0.95669'),
(49,23159,'1.00331'),
(49,23160,'0.93331'),
(49,23161,'1.09669'),
(49,23162,'3.82676'),
(49,23163,'1.02669'),
(49,23164,'1.21331'),
(49,23165,'1.19'),
(49,23166,'1.19'),
(49,23167,'0.91'),
(49,23168,'1.02669'),
(49,23169,'3.46645'),
(49,23170,'0.98'),
(49,23171,'1.33'),
(49,23172,'0.95669'),
(49,23173,'1.05'),
(49,23174,'1.09669'),
(49,23175,'1.16669'),
(49,23176,'0.98'),
(49,23177,'1.07331');

DROP TABLE IF EXISTS #__finder_links_terms1;
CREATE TABLE `#__finder_links_terms1` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_links_terms2;
CREATE TABLE `#__finder_links_terms2` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_terms2` VALUES 
(5,415,'0.18669'),
(41,415,'0.18669'),
(42,415,'0.98679'),
(42,427,'0.23331'),
(32,427,'0.46662'),
(31,427,'0.69993'),
(14,427,'1.39986'),
(15,427,'1.39986'),
(16,427,'1.39986'),
(17,427,'1.39986'),
(18,427,'1.39986'),
(19,427,'1.39986'),
(20,427,'1.39986'),
(13,427,'2.63307'),
(41,427,'7.93254'),
(42,428,'0.95669'),
(32,428,'1.91338'),
(14,428,'2.87007'),
(15,428,'2.87007'),
(16,428,'2.87007'),
(17,428,'2.87007'),
(18,428,'2.87007'),
(19,428,'2.87007'),
(20,428,'2.87007'),
(31,428,'2.87007'),
(13,428,'7.92686'),
(41,428,'27.744'),
(42,429,'1.09669'),
(32,429,'2.19338'),
(13,429,'3.29007'),
(14,429,'3.29007'),
(15,429,'3.29007'),
(16,429,'3.29007'),
(17,429,'3.29007'),
(18,429,'3.29007'),
(19,429,'3.29007'),
(20,429,'3.29007'),
(31,429,'3.29007'),
(41,429,'29.6106'),
(5,628,'0.18669'),
(49,628,'0.18669'),
(5,629,'0.91'),
(5,630,'1.05'),
(5,631,'0.91'),
(5,632,'0.98'),
(6,633,'0.035'),
(5,633,'0.0525'),
(5,634,'0.84'),
(5,635,'0.93331'),
(5,636,'1.68');
INSERT INTO `#__finder_links_terms2` VALUES 
(6,636,'1.68'),
(5,637,'1.02669'),
(5,638,'1.00331'),
(5,673,'0.18669'),
(5,674,'0.98'),
(5,675,'1.14331'),
(5,676,'0.56'),
(5,677,'1.35331'),
(5,678,'1.4'),
(5,679,'0.37331'),
(5,680,'1.12'),
(5,681,'1.4'),
(5,682,'0.32669'),
(5,683,'0.95669'),
(5,684,'1.07331'),
(5,685,'0.18669'),
(5,686,'0.93331'),
(5,687,'1.23669'),
(6,1081,'1.07331'),
(6,1082,'1.00331'),
(42,1822,'0.18669'),
(49,1822,'0.18669'),
(41,1822,'0.37338'),
(42,1823,'0.93331'),
(41,1823,'1.86662'),
(42,1824,'1.14331'),
(41,1824,'2.28662'),
(13,3037,'0.32669'),
(14,3037,'0.32669'),
(15,3037,'0.32669'),
(16,3037,'0.32669'),
(17,3037,'0.32669'),
(18,3037,'0.32669'),
(19,3037,'0.32669'),
(20,3037,'0.32669'),
(32,3037,'0.32669'),
(41,3037,'1.96014'),
(31,3040,'0.42'),
(41,3040,'2.52'),
(13,4238,'3.78'),
(14,4238,'3.78'),
(15,4238,'3.78'),
(16,4238,'3.78'),
(17,4238,'3.78'),
(18,4238,'3.78'),
(19,4238,'3.78'),
(20,4238,'3.78'),
(13,4239,'2.14662'),
(14,4239,'2.14662'),
(15,4239,'2.14662');
INSERT INTO `#__finder_links_terms2` VALUES 
(16,4239,'2.14662'),
(17,4239,'2.14662'),
(18,4239,'2.14662'),
(19,4239,'2.14662'),
(20,4239,'2.14662'),
(13,4240,'2.42662'),
(14,4240,'2.42662'),
(15,4240,'2.42662'),
(16,4240,'2.42662'),
(17,4240,'2.42662'),
(18,4240,'2.42662'),
(19,4240,'2.42662'),
(20,4240,'2.42662'),
(13,4241,'1.00331'),
(14,4241,'1.00331'),
(15,4241,'1.00331'),
(16,4241,'1.00331'),
(17,4241,'1.00331'),
(18,4241,'1.00331'),
(19,4241,'1.00331'),
(20,4241,'1.00331'),
(13,4242,'1.23669'),
(14,4242,'1.23669'),
(15,4242,'1.23669'),
(16,4242,'1.23669'),
(17,4242,'1.23669'),
(18,4242,'1.23669'),
(19,4242,'1.23669'),
(20,4242,'1.23669'),
(13,4243,'2.05338'),
(14,4243,'2.05338'),
(15,4243,'2.05338'),
(16,4243,'2.05338'),
(17,4243,'2.05338'),
(18,4243,'2.05338'),
(19,4243,'2.05338'),
(20,4243,'2.05338'),
(13,4244,'2.42662'),
(14,4244,'2.42662'),
(15,4244,'2.42662'),
(16,4244,'2.42662'),
(17,4244,'2.42662'),
(18,4244,'2.42662'),
(19,4244,'2.42662'),
(20,4244,'2.42662'),
(13,4245,'1.00331'),
(14,4245,'1.00331'),
(15,4245,'1.00331'),
(16,4245,'1.00331'),
(17,4245,'1.00331');
INSERT INTO `#__finder_links_terms2` VALUES 
(18,4245,'1.00331'),
(19,4245,'1.00331'),
(20,4245,'1.00331'),
(13,4246,'1.21331'),
(14,4246,'1.21331'),
(15,4246,'1.21331'),
(16,4246,'1.21331'),
(17,4246,'1.21331'),
(18,4246,'1.21331'),
(19,4246,'1.21331'),
(20,4246,'1.21331'),
(13,4247,'3.15'),
(14,4247,'3.15'),
(15,4247,'3.15'),
(16,4247,'3.15'),
(17,4247,'3.15'),
(18,4247,'3.15'),
(19,4247,'3.15'),
(20,4247,'3.15'),
(13,4248,'3.78'),
(14,4248,'3.78'),
(15,4248,'3.78'),
(16,4248,'3.78'),
(17,4248,'3.78'),
(18,4248,'3.78'),
(19,4248,'3.78'),
(20,4248,'3.78'),
(13,4286,'0.28'),
(14,4286,'0.28'),
(15,4286,'0.28'),
(16,4286,'0.28'),
(17,4286,'0.28'),
(18,4286,'0.28'),
(19,4286,'0.28'),
(20,4286,'0.28'),
(41,4286,'0.56'),
(13,4287,'0.91'),
(14,4287,'0.91'),
(15,4287,'0.91'),
(16,4287,'0.91'),
(17,4287,'0.91'),
(18,4287,'0.91'),
(19,4287,'0.91'),
(20,4287,'0.91'),
(41,4287,'1.82'),
(13,4288,'1.07331'),
(14,4288,'1.07331'),
(15,4288,'1.07331'),
(16,4288,'1.07331'),
(17,4288,'1.07331');
INSERT INTO `#__finder_links_terms2` VALUES 
(18,4288,'1.07331'),
(19,4288,'1.07331'),
(20,4288,'1.07331'),
(41,4288,'2.14662'),
(13,4289,'1.00331'),
(14,4289,'1.00331'),
(15,4289,'1.00331'),
(16,4289,'1.00331'),
(17,4289,'1.00331'),
(18,4289,'1.00331'),
(19,4289,'1.00331'),
(20,4289,'1.00331'),
(13,4290,'1.09669'),
(14,4290,'1.09669'),
(15,4290,'1.09669'),
(16,4290,'1.09669'),
(17,4290,'1.09669'),
(18,4290,'1.09669'),
(19,4290,'1.09669'),
(20,4290,'1.09669'),
(13,4291,'0.46662'),
(14,4291,'0.46662'),
(15,4291,'0.46662'),
(16,4291,'0.46662'),
(17,4291,'0.46662'),
(18,4291,'0.46662'),
(19,4291,'0.46662'),
(20,4291,'0.46662'),
(32,4291,'0.46662'),
(13,4292,'1.09669'),
(14,4292,'1.09669'),
(15,4292,'1.09669'),
(16,4292,'1.09669'),
(17,4292,'1.09669'),
(18,4292,'1.09669'),
(19,4292,'1.09669'),
(20,4292,'1.09669'),
(13,4293,'1.21331'),
(14,4293,'1.21331'),
(15,4293,'1.21331'),
(16,4293,'1.21331'),
(17,4293,'1.21331'),
(18,4293,'1.21331'),
(19,4293,'1.21331'),
(20,4293,'1.21331'),
(13,4294,'0.95669'),
(14,4294,'0.95669'),
(15,4294,'0.95669'),
(16,4294,'0.95669'),
(17,4294,'0.95669');
INSERT INTO `#__finder_links_terms2` VALUES 
(18,4294,'0.95669'),
(19,4294,'0.95669'),
(20,4294,'0.95669'),
(13,4295,'1.19'),
(14,4295,'1.19'),
(15,4295,'1.19'),
(16,4295,'1.19'),
(17,4295,'1.19'),
(18,4295,'1.19'),
(19,4295,'1.19'),
(20,4295,'1.19'),
(13,4296,'0.98007'),
(14,4296,'0.98007'),
(15,4296,'0.98007'),
(16,4296,'0.98007'),
(17,4296,'0.98007'),
(18,4296,'0.98007'),
(19,4296,'0.98007'),
(20,4296,'0.98007'),
(13,4297,'2.05338'),
(14,4297,'2.05338'),
(15,4297,'2.05338'),
(16,4297,'2.05338'),
(17,4297,'2.05338'),
(18,4297,'2.05338'),
(19,4297,'2.05338'),
(20,4297,'2.05338'),
(13,4298,'2.24'),
(14,4298,'2.24'),
(15,4298,'2.24'),
(16,4298,'2.24'),
(17,4298,'2.24'),
(18,4298,'2.24'),
(19,4298,'2.24'),
(20,4298,'2.24'),
(13,4299,'1.02669'),
(14,4299,'1.02669'),
(15,4299,'1.02669'),
(16,4299,'1.02669'),
(17,4299,'1.02669'),
(18,4299,'1.02669'),
(19,4299,'1.02669'),
(20,4299,'1.02669'),
(13,4300,'1.16669'),
(14,4300,'1.16669'),
(15,4300,'1.16669'),
(16,4300,'1.16669'),
(17,4300,'1.16669'),
(18,4300,'1.16669'),
(19,4300,'1.16669');
INSERT INTO `#__finder_links_terms2` VALUES 
(20,4300,'1.16669'),
(32,4301,'0.28'),
(13,4301,'3.08'),
(14,4301,'3.08'),
(15,4301,'3.08'),
(16,4301,'3.08'),
(17,4301,'3.08'),
(18,4301,'3.08'),
(19,4301,'3.08'),
(20,4301,'3.08'),
(13,4302,'2.94'),
(14,4302,'2.94'),
(15,4302,'2.94'),
(16,4302,'2.94'),
(17,4302,'2.94'),
(18,4302,'2.94'),
(19,4302,'2.94'),
(20,4302,'2.94'),
(13,4303,'3.21993'),
(14,4303,'3.21993'),
(15,4303,'3.21993'),
(16,4303,'3.21993'),
(17,4303,'3.21993'),
(18,4303,'3.21993'),
(19,4303,'3.21993'),
(20,4303,'3.21993'),
(13,4304,'3.92'),
(14,4304,'3.92'),
(15,4304,'3.92'),
(16,4304,'3.92'),
(17,4304,'3.92'),
(18,4304,'3.92'),
(19,4304,'3.92'),
(20,4304,'3.92'),
(13,4305,'4.85324'),
(14,4305,'4.85324'),
(15,4305,'4.85324'),
(16,4305,'4.85324'),
(17,4305,'4.85324'),
(18,4305,'4.85324'),
(19,4305,'4.85324'),
(20,4305,'4.85324'),
(13,4306,'0.91'),
(14,4306,'0.91'),
(15,4306,'0.91'),
(16,4306,'0.91'),
(17,4306,'0.91'),
(18,4306,'0.91'),
(19,4306,'0.91'),
(20,4306,'0.91');
INSERT INTO `#__finder_links_terms2` VALUES 
(13,4307,'1.09669'),
(14,4307,'1.09669'),
(15,4307,'1.09669'),
(16,4307,'1.09669'),
(17,4307,'1.09669'),
(18,4307,'1.09669'),
(19,4307,'1.09669'),
(20,4307,'1.09669'),
(13,4308,'1.96'),
(14,4308,'1.96'),
(15,4308,'1.96'),
(16,4308,'1.96'),
(17,4308,'1.96'),
(18,4308,'1.96'),
(19,4308,'1.96'),
(20,4308,'1.96'),
(13,4309,'2.52'),
(14,4309,'2.52'),
(15,4309,'2.52'),
(16,4309,'2.52'),
(17,4309,'2.52'),
(18,4309,'2.52'),
(19,4309,'2.52'),
(20,4309,'2.52'),
(32,4310,'0.28'),
(41,4310,'1.12'),
(13,4310,'3.36'),
(14,4310,'3.36'),
(15,4310,'3.36'),
(16,4310,'3.36'),
(17,4310,'3.36'),
(18,4310,'3.36'),
(19,4310,'3.36'),
(20,4310,'3.36'),
(13,4311,'2.66007'),
(14,4311,'2.66007'),
(15,4311,'2.66007'),
(16,4311,'2.66007'),
(17,4311,'2.66007'),
(18,4311,'2.66007'),
(19,4311,'2.66007'),
(20,4311,'2.66007'),
(13,4312,'3.15'),
(14,4312,'3.15'),
(15,4312,'3.15'),
(16,4312,'3.15'),
(17,4312,'3.15'),
(18,4312,'3.15'),
(19,4312,'3.15'),
(20,4312,'3.15');
INSERT INTO `#__finder_links_terms2` VALUES 
(13,4313,'1.82'),
(14,4313,'1.82'),
(15,4313,'1.82'),
(16,4313,'1.82'),
(17,4313,'1.82'),
(18,4313,'1.82'),
(19,4313,'1.82'),
(20,4313,'1.82'),
(13,4314,'2.14662'),
(14,4314,'2.14662'),
(15,4314,'2.14662'),
(16,4314,'2.14662'),
(17,4314,'2.14662'),
(18,4314,'2.14662'),
(19,4314,'2.14662'),
(20,4314,'2.14662'),
(13,4315,'1.82'),
(14,4315,'1.82'),
(15,4315,'1.82'),
(16,4315,'1.82'),
(17,4315,'1.82'),
(18,4315,'1.82'),
(19,4315,'1.82'),
(20,4315,'1.82'),
(13,4316,'2.14662'),
(14,4316,'2.14662'),
(15,4316,'2.14662'),
(16,4316,'2.14662'),
(17,4316,'2.14662'),
(18,4316,'2.14662'),
(19,4316,'2.14662'),
(20,4316,'2.14662'),
(13,4317,'5.13345'),
(14,4317,'5.13345'),
(15,4317,'5.13345'),
(16,4317,'5.13345'),
(17,4317,'5.13345'),
(18,4317,'5.13345'),
(19,4317,'5.13345'),
(20,4317,'5.13345'),
(13,4318,'5.83345'),
(14,4318,'5.83345'),
(15,4318,'5.83345'),
(16,4318,'5.83345'),
(17,4318,'5.83345'),
(18,4318,'5.83345'),
(19,4318,'5.83345'),
(20,4318,'5.83345'),
(32,4319,'0.28'),
(13,4319,'1.96');
INSERT INTO `#__finder_links_terms2` VALUES 
(14,4319,'1.96'),
(15,4319,'1.96'),
(16,4319,'1.96'),
(17,4319,'1.96'),
(18,4319,'1.96'),
(19,4319,'1.96'),
(20,4319,'1.96'),
(13,4320,'2.14662'),
(14,4320,'2.14662'),
(15,4320,'2.14662'),
(16,4320,'2.14662'),
(17,4320,'2.14662'),
(18,4320,'2.14662'),
(19,4320,'2.14662'),
(20,4320,'2.14662'),
(13,4321,'2.47338'),
(14,4321,'2.47338'),
(15,4321,'2.47338'),
(16,4321,'2.47338'),
(17,4321,'2.47338'),
(18,4321,'2.47338'),
(19,4321,'2.47338'),
(20,4321,'2.47338'),
(13,4322,'1.07331'),
(14,4322,'1.07331'),
(15,4322,'1.07331'),
(16,4322,'1.07331'),
(17,4322,'1.07331'),
(18,4322,'1.07331'),
(19,4322,'1.07331'),
(20,4322,'1.07331'),
(13,4323,'1.30669'),
(14,4323,'1.30669'),
(15,4323,'1.30669'),
(16,4323,'1.30669'),
(17,4323,'1.30669'),
(18,4323,'1.30669'),
(19,4323,'1.30669'),
(20,4323,'1.30669'),
(13,4324,'0.95669'),
(14,4324,'0.95669'),
(15,4324,'0.95669'),
(16,4324,'0.95669'),
(17,4324,'0.95669'),
(18,4324,'0.95669'),
(19,4324,'0.95669'),
(20,4324,'0.95669'),
(13,4325,'1.19'),
(14,4325,'1.19'),
(15,4325,'1.19');
INSERT INTO `#__finder_links_terms2` VALUES 
(16,4325,'1.19'),
(17,4325,'1.19'),
(18,4325,'1.19'),
(19,4325,'1.19'),
(20,4325,'1.19'),
(13,4326,'1.07331'),
(14,4326,'1.07331'),
(15,4326,'1.07331'),
(16,4326,'1.07331'),
(17,4326,'1.07331'),
(18,4326,'1.07331'),
(19,4326,'1.07331'),
(20,4326,'1.07331'),
(13,4327,'1.30669'),
(14,4327,'1.30669'),
(15,4327,'1.30669'),
(16,4327,'1.30669'),
(17,4327,'1.30669'),
(18,4327,'1.30669'),
(19,4327,'1.30669'),
(20,4327,'1.30669'),
(13,4328,'1.86662'),
(14,4328,'1.86662'),
(15,4328,'1.86662'),
(16,4328,'1.86662'),
(17,4328,'1.86662'),
(18,4328,'1.86662'),
(19,4328,'1.86662'),
(20,4328,'1.86662'),
(13,4329,'2.42662'),
(14,4329,'2.42662'),
(15,4329,'2.42662'),
(16,4329,'2.42662'),
(17,4329,'2.42662'),
(18,4329,'2.42662'),
(19,4329,'2.42662'),
(20,4329,'2.42662'),
(13,4330,'0.37331'),
(14,4330,'0.37331'),
(15,4330,'0.37331'),
(16,4330,'0.37331'),
(17,4330,'0.37331'),
(18,4330,'0.37331'),
(19,4330,'0.37331'),
(20,4330,'0.37331'),
(13,4331,'1.02669'),
(14,4331,'1.02669'),
(15,4331,'1.02669'),
(16,4331,'1.02669'),
(17,4331,'1.02669');
INSERT INTO `#__finder_links_terms2` VALUES 
(18,4331,'1.02669'),
(19,4331,'1.02669'),
(20,4331,'1.02669'),
(13,4332,'1.30669'),
(14,4332,'1.30669'),
(15,4332,'1.30669'),
(16,4332,'1.30669'),
(17,4332,'1.30669'),
(18,4332,'1.30669'),
(19,4332,'1.30669'),
(20,4332,'1.30669'),
(13,4333,'0.98'),
(14,4333,'0.98'),
(15,4333,'0.98'),
(16,4333,'0.98'),
(17,4333,'0.98'),
(18,4333,'0.98'),
(19,4333,'0.98'),
(20,4333,'0.98'),
(13,4334,'1.21331'),
(14,4334,'1.21331'),
(15,4334,'1.21331'),
(16,4334,'1.21331'),
(17,4334,'1.21331'),
(18,4334,'1.21331'),
(19,4334,'1.21331'),
(20,4334,'1.21331'),
(13,4335,'1.86662'),
(14,4335,'1.86662'),
(15,4335,'1.86662'),
(16,4335,'1.86662'),
(17,4335,'1.86662'),
(18,4335,'1.86662'),
(19,4335,'1.86662'),
(20,4335,'1.86662'),
(13,4336,'2.19338'),
(14,4336,'2.19338'),
(15,4336,'2.19338'),
(16,4336,'2.19338'),
(17,4336,'2.19338'),
(18,4336,'2.19338'),
(19,4336,'2.19338'),
(20,4336,'2.19338'),
(32,4337,'0.28'),
(13,4337,'1.4'),
(14,4337,'1.4'),
(15,4337,'1.4'),
(16,4337,'1.4'),
(17,4337,'1.4'),
(18,4337,'1.4');
INSERT INTO `#__finder_links_terms2` VALUES 
(19,4337,'1.4'),
(20,4337,'1.4'),
(13,4338,'2.87007'),
(14,4338,'2.87007'),
(15,4338,'2.87007'),
(16,4338,'2.87007'),
(17,4338,'2.87007'),
(18,4338,'2.87007'),
(19,4338,'2.87007'),
(20,4338,'2.87007'),
(13,4339,'3.29007'),
(14,4339,'3.29007'),
(15,4339,'3.29007'),
(16,4339,'3.29007'),
(17,4339,'3.29007'),
(18,4339,'3.29007'),
(19,4339,'3.29007'),
(20,4339,'3.29007'),
(13,4340,'1.91338'),
(14,4340,'1.91338'),
(15,4340,'1.91338'),
(16,4340,'1.91338'),
(17,4340,'1.91338'),
(18,4340,'1.91338'),
(19,4340,'1.91338'),
(20,4340,'1.91338'),
(13,4341,'2.14662'),
(14,4341,'2.14662'),
(15,4341,'2.14662'),
(16,4341,'2.14662'),
(17,4341,'2.14662'),
(18,4341,'2.14662'),
(19,4341,'2.14662'),
(20,4341,'2.14662'),
(49,6868,'0.18669'),
(41,6868,'0.37338'),
(31,7365,'2.73'),
(41,7365,'2.73'),
(31,7366,'2.94'),
(41,7366,'2.94'),
(31,7367,'0.18669'),
(41,7367,'0.37338'),
(31,7368,'0.93331'),
(41,7368,'0.93331'),
(31,7369,'1.07331'),
(41,7369,'1.07331'),
(31,7370,'0.42'),
(41,7370,'0.84'),
(31,7371,'2.52'),
(41,7371,'4.2');
INSERT INTO `#__finder_links_terms2` VALUES 
(31,7372,'0.98'),
(31,7373,'0.98'),
(41,7373,'0.98'),
(31,7374,'0.98'),
(41,7374,'0.98'),
(32,7658,'1.02669'),
(32,7659,'1.21331'),
(32,7660,'0.93331'),
(32,7661,'1.09669'),
(32,7662,'0.98'),
(32,7663,'1.16669'),
(32,7664,'1.02669'),
(32,7665,'1.19'),
(32,7666,'0.91'),
(32,7667,'0.98'),
(32,7668,'0.93331'),
(32,7669,'1.12'),
(32,7670,'1.00331'),
(32,7671,'1.09669'),
(34,8389,'0.28'),
(34,8390,'0.98'),
(34,8391,'1.07331'),
(34,8403,'0.84'),
(34,8404,'1.19'),
(34,8405,'1.05'),
(34,8406,'1.14331'),
(34,8407,'0.23331'),
(34,8408,'0.98'),
(34,8409,'1.16669'),
(34,8410,'1.96'),
(34,8411,'1.02669'),
(34,8412,'1.14331'),
(34,8413,'4.66676'),
(34,8414,'3.99'),
(34,8415,'0.93331'),
(34,8416,'1.16669'),
(34,8417,'0.95669'),
(34,8418,'1.14331'),
(41,20847,'0.42'),
(41,20848,'1.77338'),
(41,20849,'1.96'),
(41,21410,'0.09331'),
(41,21411,'0.88669'),
(41,21412,'1.02669'),
(41,21413,'0.09331'),
(41,21414,'0.88669'),
(41,21415,'1.02669'),
(41,21416,'0.09331'),
(41,21417,'0.88669'),
(41,21418,'1.02669');
INSERT INTO `#__finder_links_terms2` VALUES 
(41,21419,'0.09331'),
(41,21420,'0.88669'),
(41,21421,'1.02669'),
(41,21422,'0.09331'),
(41,21423,'0.88669'),
(41,21424,'1.02669'),
(41,21425,'0.09331'),
(41,21426,'0.88669'),
(41,21427,'1.02669'),
(41,21428,'0.28'),
(44,21428,'1.48'),
(46,21428,'1.48'),
(41,21429,'1.00331'),
(41,21430,'1.09669'),
(41,21431,'1.96014'),
(41,21432,'0.98'),
(41,21433,'1.05'),
(41,21434,'0.98'),
(41,21435,'1.05'),
(41,21436,'0.95669'),
(41,21437,'1.02669'),
(41,21438,'0.95669'),
(41,21439,'1.02669'),
(41,21440,'1.00331'),
(41,21441,'1.07331'),
(41,21442,'0.95669'),
(41,21443,'1.02669'),
(41,21444,'0.37331'),
(41,21445,'1.00331'),
(41,21446,'1.07331'),
(49,21447,'0.18669'),
(41,21447,'5.6007'),
(41,21448,'3.54676'),
(41,21449,'2.94'),
(41,21450,'1.00331'),
(41,21451,'2.58993'),
(41,21452,'2.94'),
(41,21453,'16.8'),
(41,21454,'0.91'),
(41,21455,'0.88669'),
(41,21456,'1.09669'),
(41,21457,'15.0737'),
(41,21458,'2.58993'),
(41,21459,'2.94'),
(41,21460,'0.98'),
(41,21461,'1.07331'),
(41,21462,'3.54711'),
(41,21463,'0.88669'),
(41,21464,'1.00331'),
(41,21465,'0.93331');
INSERT INTO `#__finder_links_terms2` VALUES 
(41,21466,'1.00331'),
(41,21467,'4.66655'),
(41,21468,'2.1'),
(41,21469,'3.42993'),
(41,21470,'0.93331'),
(41,21471,'0.98'),
(41,21472,'0.86331'),
(41,21473,'1.16669'),
(41,21474,'2.66007'),
(41,21475,'3.42993'),
(41,21476,'5.46'),
(41,21477,'5.74014'),
(41,21478,'0.91'),
(41,21479,'1.02669'),
(41,21480,'1.91338'),
(41,21481,'1.05'),
(41,21482,'1.09669'),
(41,22285,'6.43986'),
(41,22286,'7.27986'),
(41,22287,'0.74676'),
(41,22288,'3.92'),
(41,22289,'4.48'),
(41,22290,'2.52'),
(41,22291,'2.73'),
(41,22292,'10.3597'),
(41,22293,'12.3203'),
(41,22294,'5.41198'),
(41,22295,'2.66007'),
(41,22296,'1.19'),
(41,22297,'1.09669'),
(41,22298,'1.09669'),
(41,22299,'1.77338'),
(41,22300,'1.96'),
(41,22301,'2.66007'),
(41,22302,'2.87007'),
(41,22303,'18.7839'),
(41,22304,'1.91338'),
(41,22305,'1.91338'),
(41,22306,'2.87007'),
(41,22307,'2.87007'),
(41,22308,'3.36'),
(41,22309,'2.87007'),
(41,22310,'2.05338'),
(41,22311,'2.14662'),
(41,22312,'3.00993'),
(41,22313,'4.43345'),
(41,22314,'5.13345'),
(41,22315,'2.66007'),
(41,22316,'3.21993'),
(41,22317,'3.15');
INSERT INTO `#__finder_links_terms2` VALUES 
(41,22318,'3.63993'),
(41,22319,'2.66007'),
(41,22320,'2.94'),
(41,22321,'1.91338'),
(41,22322,'2.24'),
(41,22323,'4.90014'),
(41,22324,'4.55'),
(41,22325,'1.12'),
(41,22326,'2.00662'),
(41,22327,'2.47338'),
(41,22328,'2.79993'),
(41,22329,'3.15'),
(41,22330,'1.05'),
(41,22331,'1.28331'),
(41,22332,'1.00331'),
(41,22333,'1.16669'),
(41,22334,'1.82'),
(41,22335,'1.96'),
(41,22336,'0.88669'),
(41,22337,'0.95669'),
(41,22338,'0.37338'),
(41,22339,'1.77338'),
(41,22340,'2.33338'),
(41,22341,'0.37331'),
(41,22342,'1.00331'),
(41,22343,'1.12'),
(41,22344,'1.12014'),
(41,22345,'5.46'),
(41,22346,'6.16014'),
(41,22347,'0.46662'),
(41,22348,'0.88669'),
(41,22349,'1.00331'),
(41,22350,'0.88669'),
(41,22351,'1.00331'),
(41,22352,'2.05338'),
(41,22353,'3.73324'),
(41,22354,'4.48'),
(41,22355,'2.87007'),
(44,22900,'5.55'),
(46,22906,'5.30321'),
(49,23033,'0.86331'),
(49,23034,'0.95669'),
(49,23035,'0.42'),
(49,23036,'0.95669'),
(49,23037,'1.05'),
(49,23038,'0.56'),
(49,23039,'0.93331'),
(49,23040,'1.05'),
(49,23041,'0.93331'),
(49,23042,'1.05');
INSERT INTO `#__finder_links_terms2` VALUES 
(49,23043,'0.88669'),
(49,23044,'1.14331'),
(49,23045,'0.86331'),
(49,23046,'0.95669'),
(49,23047,'0.23331'),
(49,23048,'0.98'),
(49,23049,'1.07331'),
(49,23050,'0.98'),
(49,23051,'1.14331'),
(49,23056,'0.23331'),
(49,23057,'0.95669'),
(49,23058,'1.07331');

DROP TABLE IF EXISTS #__finder_links_terms3;
CREATE TABLE `#__finder_links_terms3` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_terms3` VALUES 
(5,426,'1.11996'),
(6,426,'1.11996'),
(32,426,'1.11996'),
(34,426,'1.11996'),
(41,426,'1.11996'),
(42,426,'1.11996'),
(49,426,'1.11996'),
(5,666,'0.51331'),
(6,666,'0.51331'),
(5,667,'1.09669'),
(5,668,'1.19'),
(34,669,'0.28'),
(5,669,'0.56'),
(5,670,'2.05338'),
(5,671,'1.26'),
(5,672,'1.12'),
(6,1087,'1.14331'),
(6,1088,'1.23669'),
(34,2932,'0.09331'),
(41,2932,'0.18662'),
(32,4277,'0.23331'),
(13,4277,'1.63317'),
(14,4277,'1.63317'),
(15,4277,'1.63317'),
(16,4277,'1.63317'),
(17,4277,'1.63317'),
(18,4277,'1.63317'),
(19,4277,'1.63317'),
(20,4277,'1.63317'),
(13,4278,'1.05'),
(14,4278,'1.05'),
(15,4278,'1.05'),
(16,4278,'1.05'),
(17,4278,'1.05'),
(18,4278,'1.05'),
(19,4278,'1.05'),
(20,4278,'1.05'),
(13,4279,'1.14331'),
(14,4279,'1.14331'),
(15,4279,'1.14331'),
(16,4279,'1.14331'),
(17,4279,'1.14331'),
(18,4279,'1.14331'),
(19,4279,'1.14331'),
(20,4279,'1.14331'),
(13,4280,'0.95669'),
(14,4280,'0.95669'),
(15,4280,'0.95669'),
(16,4280,'0.95669'),
(17,4280,'0.95669');
INSERT INTO `#__finder_links_terms3` VALUES 
(18,4280,'0.95669'),
(19,4280,'0.95669'),
(20,4280,'0.95669'),
(13,4281,'1.05'),
(14,4281,'1.05'),
(15,4281,'1.05'),
(16,4281,'1.05'),
(17,4281,'1.05'),
(18,4281,'1.05'),
(19,4281,'1.05'),
(20,4281,'1.05'),
(13,4282,'2.73'),
(14,4282,'2.73'),
(15,4282,'2.73'),
(16,4282,'2.73'),
(17,4282,'2.73'),
(18,4282,'2.73'),
(19,4282,'2.73'),
(20,4282,'2.73'),
(13,4283,'3.08007'),
(14,4283,'3.08007'),
(15,4283,'3.08007'),
(16,4283,'3.08007'),
(17,4283,'3.08007'),
(18,4283,'3.08007'),
(19,4283,'3.08007'),
(20,4283,'3.08007'),
(13,4284,'1.82'),
(14,4284,'1.82'),
(15,4284,'1.82'),
(16,4284,'1.82'),
(17,4284,'1.82'),
(18,4284,'1.82'),
(19,4284,'1.82'),
(20,4284,'1.82'),
(13,4285,'2.24'),
(14,4285,'2.24'),
(15,4285,'2.24'),
(16,4285,'2.24'),
(17,4285,'2.24'),
(18,4285,'2.24'),
(19,4285,'2.24'),
(20,4285,'2.24'),
(32,7656,'0.88669'),
(32,7657,'1.02669'),
(34,8399,'0.95669'),
(34,8400,'1.12'),
(34,8401,'1.05'),
(34,8402,'1.12'),
(41,22148,'0.81669');
INSERT INTO `#__finder_links_terms3` VALUES 
(41,22149,'0.93331'),
(41,22150,'0.79331'),
(41,22151,'0.91'),
(41,22152,'0.37331'),
(41,22153,'1.00331'),
(41,22154,'1.12'),
(41,22155,'0.37331'),
(41,22156,'1.00331'),
(41,22157,'1.12'),
(41,22158,'0.74662'),
(41,22159,'1.05'),
(41,22160,'1.16669'),
(41,22161,'1.00331'),
(41,22162,'1.14331'),
(41,22163,'0.56'),
(41,22164,'1.86662'),
(41,22165,'2.14662'),
(41,22166,'0.84'),
(41,22167,'2.00662'),
(41,22168,'2.28662'),
(41,22169,'0.51331'),
(41,22170,'1.07331'),
(41,22171,'1.19'),
(41,22172,'0.32669'),
(41,22173,'0.98'),
(41,22174,'1.09669'),
(41,22175,'0.37331'),
(41,22176,'1.00331'),
(41,22177,'1.12'),
(41,22178,'0.37331'),
(41,22179,'1.00331'),
(41,22180,'1.12'),
(41,22181,'0.60669'),
(41,22182,'1.12'),
(41,22183,'1.23669'),
(41,22184,'0.84'),
(41,22185,'2.05338'),
(41,22186,'2.33338'),
(41,22187,'0.7'),
(41,22188,'1.14331'),
(41,22189,'1.28331'),
(41,22190,'0.7'),
(41,22191,'1.30669'),
(41,22192,'1.4'),
(41,22193,'0.7'),
(41,22194,'1.16669'),
(41,22195,'1.30669'),
(41,22196,'0.65331'),
(41,22197,'1.14331'),
(41,22198,'1.28331');
INSERT INTO `#__finder_links_terms3` VALUES 
(41,22199,'1.12'),
(41,22200,'1.07331'),
(41,22201,'1.16669'),
(41,22202,'1.09669'),
(41,22203,'1.21331'),
(41,22204,'0.42'),
(41,22205,'1.02669'),
(41,22206,'1.14331'),
(41,22207,'0.37331'),
(41,22208,'0.98'),
(41,22209,'1.07331'),
(41,22210,'0.37331'),
(41,22211,'1.00331'),
(41,22212,'1.12'),
(41,22213,'0.84'),
(41,22214,'2.00662'),
(41,22215,'2.28662'),
(41,22216,'0.32669'),
(41,22217,'0.98'),
(41,22218,'1.09669'),
(41,22219,'0.32669'),
(41,22220,'0.98'),
(41,22221,'1.09669'),
(41,22222,'0.37331'),
(41,22223,'1.00331'),
(41,22224,'1.12'),
(41,22225,'0.32669'),
(41,22226,'0.98'),
(41,22227,'1.09669'),
(41,22228,'0.98007'),
(41,22229,'0.95669'),
(41,22230,'1.09669'),
(41,22231,'1.91338'),
(41,22232,'2.1'),
(41,22233,'0.46669'),
(41,22234,'1.05'),
(41,22235,'1.19'),
(41,22236,'0.32669'),
(41,22237,'0.98'),
(41,22238,'1.09669'),
(41,22239,'2.05324'),
(41,22240,'4.2'),
(41,22241,'2.19338'),
(41,22242,'2.38'),
(41,22243,'0.60669'),
(41,22244,'1.12'),
(41,22245,'1.23669'),
(41,22246,'0.32669'),
(41,22247,'0.98'),
(41,22248,'1.09669');
INSERT INTO `#__finder_links_terms3` VALUES 
(41,22249,'0.32669'),
(41,22250,'0.98'),
(41,22251,'1.09669'),
(41,22252,'0.42'),
(41,22253,'1.02669'),
(41,22254,'1.14331'),
(41,22255,'0.74662'),
(41,22256,'0.98'),
(41,22257,'1.09669'),
(41,22258,'0.98'),
(41,22259,'1.07331'),
(41,22260,'0.46669'),
(41,22261,'1.14331'),
(41,22262,'1.26'),
(41,22263,'0.37331'),
(41,22264,'1.00331'),
(41,22265,'1.12'),
(41,22266,'0.46669'),
(41,22267,'0.98'),
(41,22268,'1.12'),
(41,22269,'0.32669'),
(41,22270,'0.98'),
(41,22271,'1.09669'),
(41,22272,'0.32669'),
(41,22273,'0.98'),
(41,22274,'1.09669'),
(41,22275,'0.74676'),
(41,22276,'3.54676'),
(41,22277,'1.14331'),
(41,22278,'2.05338'),
(41,22279,'1.12'),
(41,22280,'0.42'),
(41,22281,'0.98'),
(41,22282,'1.09669'),
(41,22283,'1.72662'),
(41,22284,'2.00662'),
(49,23053,'0.18669'),
(49,23054,'0.91'),
(49,23055,'0.98');

DROP TABLE IF EXISTS #__finder_links_terms4;
CREATE TABLE `#__finder_links_terms4` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_terms4` VALUES 
(5,566,'0.28'),
(5,567,'0.93331'),
(5,568,'1.12'),
(5,569,'0.65338'),
(41,569,'1.63345'),
(5,570,'1.05'),
(5,571,'1.23669'),
(5,572,'0.98'),
(5,573,'1.16669'),
(49,574,'0.28'),
(5,574,'0.56'),
(41,574,'0.56'),
(5,575,'1.86662'),
(5,576,'2.1'),
(6,816,'0.0175'),
(34,816,'0.0175'),
(5,816,'0.0525'),
(49,816,'0.0875'),
(5,817,'0.88669'),
(6,817,'0.88669'),
(49,817,'0.88669'),
(5,818,'0.95669'),
(6,818,'0.95669'),
(49,818,'0.95669'),
(5,819,'0.88669'),
(49,819,'1.77338'),
(5,820,'0.95669'),
(49,820,'0.95669'),
(5,821,'0.88669'),
(5,822,'1.07331'),
(5,823,'0.02331'),
(31,823,'0.02331'),
(41,823,'0.04662'),
(49,823,'0.04662'),
(6,823,'0.09324'),
(5,824,'0.91'),
(5,825,'1.05'),
(6,1039,'0.46662'),
(6,1040,'1.77338'),
(6,1041,'1.00331'),
(6,1042,'0.98'),
(6,1043,'0.60669'),
(49,1043,'0.60669'),
(6,1044,'1.12'),
(6,1045,'1.23669'),
(6,1046,'0.42'),
(34,1046,'0.42'),
(6,1047,'1.00331'),
(6,1048,'1.19'),
(6,1182,'0.0175');
INSERT INTO `#__finder_links_terms4` VALUES 
(6,1183,'0.86331'),
(6,1184,'0.98'),
(6,1185,'1.00331'),
(6,1186,'1.09669'),
(6,1187,'0.91'),
(6,1188,'1.00331'),
(6,1189,'1.00331'),
(6,1190,'1.12'),
(6,1191,'0.98'),
(6,1192,'1.05'),
(31,1597,'0.98007'),
(13,1597,'1.96014'),
(14,1597,'1.96014'),
(15,1597,'1.96014'),
(16,1597,'1.96014'),
(17,1597,'1.96014'),
(18,1597,'1.96014'),
(19,1597,'1.96014'),
(20,1597,'1.96014'),
(41,1597,'1.96014'),
(13,1794,'1.68'),
(14,1794,'1.68'),
(15,1794,'1.68'),
(16,1794,'1.68'),
(17,1794,'1.68'),
(18,1794,'1.68'),
(19,1794,'1.68'),
(20,1794,'1.68'),
(42,1794,'1.68'),
(41,1794,'3.36'),
(42,1795,'4.01324'),
(41,1795,'8.02648'),
(42,1796,'4.48'),
(41,1796,'8.96'),
(42,1797,'0.74676'),
(41,1797,'1.49352'),
(42,1798,'2.79993'),
(41,1798,'5.59986'),
(42,1799,'3.15'),
(41,1799,'6.3'),
(41,1800,'0.93331'),
(42,1800,'0.93331'),
(41,1801,'1.12'),
(42,1801,'1.12'),
(42,1849,'0.18669'),
(41,1849,'1.68021'),
(42,1850,'0.91'),
(41,1850,'8.19'),
(13,2154,'0.51331'),
(14,2154,'0.51331');
INSERT INTO `#__finder_links_terms4` VALUES 
(15,2154,'0.51331'),
(16,2154,'0.51331'),
(17,2154,'0.51331'),
(18,2154,'0.51331'),
(19,2154,'0.51331'),
(20,2154,'0.51331'),
(41,2154,'6.15972'),
(32,2157,'1.02662'),
(13,2157,'5.1331'),
(14,2157,'5.1331'),
(15,2157,'5.1331'),
(16,2157,'5.1331'),
(17,2157,'5.1331'),
(18,2157,'5.1331'),
(19,2157,'5.1331'),
(20,2157,'5.1331'),
(41,2157,'9.23958'),
(13,2158,'2.42662'),
(14,2158,'2.42662'),
(15,2158,'2.42662'),
(16,2158,'2.42662'),
(17,2158,'2.42662'),
(18,2158,'2.42662'),
(19,2158,'2.42662'),
(20,2158,'2.42662'),
(32,2158,'2.42662'),
(41,2158,'21.8396'),
(13,2159,'2.66'),
(14,2159,'2.66'),
(15,2159,'2.66'),
(16,2159,'2.66'),
(17,2159,'2.66'),
(18,2159,'2.66'),
(19,2159,'2.66'),
(20,2159,'2.66'),
(32,2159,'2.66'),
(41,2159,'23.94'),
(13,2167,'0.84'),
(14,2167,'0.84'),
(15,2167,'0.84'),
(16,2167,'0.84'),
(17,2167,'0.84'),
(18,2167,'0.84'),
(19,2167,'0.84'),
(20,2167,'0.84'),
(41,2167,'7.56'),
(32,4045,'0.65338'),
(13,4045,'1.30676'),
(14,4045,'1.30676'),
(15,4045,'1.30676');
INSERT INTO `#__finder_links_terms4` VALUES 
(16,4045,'1.30676'),
(17,4045,'1.30676'),
(18,4045,'1.30676'),
(19,4045,'1.30676'),
(20,4045,'1.30676'),
(13,4046,'4.01324'),
(14,4046,'4.01324'),
(15,4046,'4.01324'),
(16,4046,'4.01324'),
(17,4046,'4.01324'),
(18,4046,'4.01324'),
(19,4046,'4.01324'),
(20,4046,'4.01324'),
(13,4047,'4.38676'),
(14,4047,'4.38676'),
(15,4047,'4.38676'),
(16,4047,'4.38676'),
(17,4047,'4.38676'),
(18,4047,'4.38676'),
(19,4047,'4.38676'),
(20,4047,'4.38676'),
(13,4048,'1.07331'),
(14,4048,'1.07331'),
(15,4048,'1.07331'),
(16,4048,'1.07331'),
(17,4048,'1.07331'),
(18,4048,'1.07331'),
(19,4048,'1.07331'),
(20,4048,'1.07331'),
(13,4049,'1.14331'),
(14,4049,'1.14331'),
(15,4049,'1.14331'),
(16,4049,'1.14331'),
(17,4049,'1.14331'),
(18,4049,'1.14331'),
(19,4049,'1.14331'),
(20,4049,'1.14331'),
(32,4050,'0.28'),
(13,4050,'0.84'),
(14,4050,'0.84'),
(15,4050,'0.84'),
(16,4050,'0.84'),
(17,4050,'0.84'),
(18,4050,'0.84'),
(19,4050,'0.84'),
(20,4050,'0.84'),
(13,4051,'3.00993'),
(14,4051,'3.00993'),
(15,4051,'3.00993'),
(16,4051,'3.00993');
INSERT INTO `#__finder_links_terms4` VALUES 
(17,4051,'3.00993'),
(18,4051,'3.00993'),
(19,4051,'3.00993'),
(20,4051,'3.00993'),
(13,4052,'3.71007'),
(14,4052,'3.71007'),
(15,4052,'3.71007'),
(16,4052,'3.71007'),
(17,4052,'3.71007'),
(18,4052,'3.71007'),
(19,4052,'3.71007'),
(20,4052,'3.71007'),
(13,4053,'1.23669'),
(14,4053,'1.23669'),
(15,4053,'1.23669'),
(16,4053,'1.23669'),
(17,4053,'1.23669'),
(18,4053,'1.23669'),
(19,4053,'1.23669'),
(20,4053,'1.23669'),
(13,4054,'1.35331'),
(14,4054,'1.35331'),
(15,4054,'1.35331'),
(16,4054,'1.35331'),
(17,4054,'1.35331'),
(18,4054,'1.35331'),
(19,4054,'1.35331'),
(20,4054,'1.35331'),
(13,4055,'1.14331'),
(14,4055,'1.14331'),
(15,4055,'1.14331'),
(16,4055,'1.14331'),
(17,4055,'1.14331'),
(18,4055,'1.14331'),
(19,4055,'1.14331'),
(20,4055,'1.14331'),
(13,4056,'1.33'),
(14,4056,'1.33'),
(15,4056,'1.33'),
(16,4056,'1.33'),
(17,4056,'1.33'),
(18,4056,'1.33'),
(19,4056,'1.33'),
(20,4056,'1.33'),
(13,4057,'1.07331'),
(14,4057,'1.07331'),
(15,4057,'1.07331'),
(16,4057,'1.07331'),
(17,4057,'1.07331'),
(18,4057,'1.07331');
INSERT INTO `#__finder_links_terms4` VALUES 
(19,4057,'1.07331'),
(20,4057,'1.07331'),
(13,4058,'1.21331'),
(14,4058,'1.21331'),
(15,4058,'1.21331'),
(16,4058,'1.21331'),
(17,4058,'1.21331'),
(18,4058,'1.21331'),
(19,4058,'1.21331'),
(20,4058,'1.21331'),
(13,4059,'1.23669'),
(14,4059,'1.23669'),
(15,4059,'1.23669'),
(16,4059,'1.23669'),
(17,4059,'1.23669'),
(18,4059,'1.23669'),
(19,4059,'1.23669'),
(20,4059,'1.23669'),
(13,4060,'1.4'),
(14,4060,'1.4'),
(15,4060,'1.4'),
(16,4060,'1.4'),
(17,4060,'1.4'),
(18,4060,'1.4'),
(19,4060,'1.4'),
(20,4060,'1.4'),
(13,4061,'2.24'),
(14,4061,'2.24'),
(15,4061,'2.24'),
(16,4061,'2.24'),
(17,4061,'2.24'),
(18,4061,'2.24'),
(19,4061,'2.24'),
(20,4061,'2.24'),
(13,4062,'2.38'),
(14,4062,'2.38'),
(15,4062,'2.38'),
(16,4062,'2.38'),
(17,4062,'2.38'),
(18,4062,'2.38'),
(19,4062,'2.38'),
(20,4062,'2.38'),
(13,4063,'2.33338'),
(14,4063,'2.33338'),
(15,4063,'2.33338'),
(16,4063,'2.33338'),
(17,4063,'2.33338'),
(18,4063,'2.33338'),
(19,4063,'2.33338'),
(20,4063,'2.33338');
INSERT INTO `#__finder_links_terms4` VALUES 
(13,4064,'2.70662'),
(14,4064,'2.70662'),
(15,4064,'2.70662'),
(16,4064,'2.70662'),
(17,4064,'2.70662'),
(18,4064,'2.70662'),
(19,4064,'2.70662'),
(20,4064,'2.70662'),
(13,4065,'3.00993'),
(14,4065,'3.00993'),
(15,4065,'3.00993'),
(16,4065,'3.00993'),
(17,4065,'3.00993'),
(18,4065,'3.00993'),
(19,4065,'3.00993'),
(20,4065,'3.00993'),
(13,4066,'3.57'),
(14,4066,'3.57'),
(15,4066,'3.57'),
(16,4066,'3.57'),
(17,4066,'3.57'),
(18,4066,'3.57'),
(19,4066,'3.57'),
(20,4066,'3.57'),
(13,4067,'1.00331'),
(14,4067,'1.00331'),
(15,4067,'1.00331'),
(16,4067,'1.00331'),
(17,4067,'1.00331'),
(18,4067,'1.00331'),
(19,4067,'1.00331'),
(20,4067,'1.00331'),
(13,4068,'1.12'),
(14,4068,'1.12'),
(15,4068,'1.12'),
(16,4068,'1.12'),
(17,4068,'1.12'),
(18,4068,'1.12'),
(19,4068,'1.12'),
(20,4068,'1.12'),
(13,4069,'1.09669'),
(14,4069,'1.09669'),
(15,4069,'1.09669'),
(16,4069,'1.09669'),
(17,4069,'1.09669'),
(18,4069,'1.09669'),
(19,4069,'1.09669'),
(20,4069,'1.09669'),
(13,4070,'1.35331'),
(14,4070,'1.35331');
INSERT INTO `#__finder_links_terms4` VALUES 
(15,4070,'1.35331'),
(16,4070,'1.35331'),
(17,4070,'1.35331'),
(18,4070,'1.35331'),
(19,4070,'1.35331'),
(20,4070,'1.35331'),
(13,4071,'1.02669'),
(14,4071,'1.02669'),
(15,4071,'1.02669'),
(16,4071,'1.02669'),
(17,4071,'1.02669'),
(18,4071,'1.02669'),
(19,4071,'1.02669'),
(20,4071,'1.02669'),
(13,4072,'1.14331'),
(14,4072,'1.14331'),
(15,4072,'1.14331'),
(16,4072,'1.14331'),
(17,4072,'1.14331'),
(18,4072,'1.14331'),
(19,4072,'1.14331'),
(20,4072,'1.14331'),
(32,4073,'0.18669'),
(13,4073,'0.74676'),
(14,4073,'0.74676'),
(15,4073,'0.74676'),
(16,4073,'0.74676'),
(17,4073,'0.74676'),
(18,4073,'0.74676'),
(19,4073,'0.74676'),
(20,4073,'0.74676'),
(13,4074,'3.00993'),
(14,4074,'3.00993'),
(15,4074,'3.00993'),
(16,4074,'3.00993'),
(17,4074,'3.00993'),
(18,4074,'3.00993'),
(19,4074,'3.00993'),
(20,4074,'3.00993'),
(13,4075,'3.57'),
(14,4075,'3.57'),
(15,4075,'3.57'),
(16,4075,'3.57'),
(17,4075,'3.57'),
(18,4075,'3.57'),
(19,4075,'3.57'),
(20,4075,'3.57'),
(13,4076,'0.86331'),
(14,4076,'0.86331'),
(15,4076,'0.86331');
INSERT INTO `#__finder_links_terms4` VALUES 
(16,4076,'0.86331'),
(17,4076,'0.86331'),
(18,4076,'0.86331'),
(19,4076,'0.86331'),
(20,4076,'0.86331'),
(13,4077,'0.98'),
(14,4077,'0.98'),
(15,4077,'0.98'),
(16,4077,'0.98'),
(17,4077,'0.98'),
(18,4077,'0.98'),
(19,4077,'0.98'),
(20,4077,'0.98'),
(13,4078,'0.28'),
(14,4078,'0.28'),
(15,4078,'0.28'),
(16,4078,'0.28'),
(17,4078,'0.28'),
(18,4078,'0.28'),
(19,4078,'0.28'),
(20,4078,'0.28'),
(32,4078,'0.28'),
(13,4079,'1.09669'),
(14,4079,'1.09669'),
(15,4079,'1.09669'),
(16,4079,'1.09669'),
(17,4079,'1.09669'),
(18,4079,'1.09669'),
(19,4079,'1.09669'),
(20,4079,'1.09669'),
(13,4080,'1.23669'),
(14,4080,'1.23669'),
(15,4080,'1.23669'),
(16,4080,'1.23669'),
(17,4080,'1.23669'),
(18,4080,'1.23669'),
(19,4080,'1.23669'),
(20,4080,'1.23669'),
(13,4549,'0.56004'),
(14,4549,'0.56004'),
(15,4549,'0.56004'),
(16,4549,'0.56004'),
(17,4549,'0.56004'),
(18,4549,'0.56004'),
(19,4549,'0.56004'),
(20,4549,'0.56004'),
(13,4550,'0.91'),
(14,4550,'0.91'),
(15,4550,'0.91'),
(16,4550,'0.91');
INSERT INTO `#__finder_links_terms4` VALUES 
(17,4550,'0.91'),
(18,4550,'0.91'),
(19,4550,'0.91'),
(20,4550,'0.91'),
(13,4551,'1.05'),
(14,4551,'1.05'),
(15,4551,'1.05'),
(16,4551,'1.05'),
(17,4551,'1.05'),
(18,4551,'1.05'),
(19,4551,'1.05'),
(20,4551,'1.05'),
(13,4552,'1.00331'),
(14,4552,'1.00331'),
(15,4552,'1.00331'),
(16,4552,'1.00331'),
(17,4552,'1.00331'),
(18,4552,'1.00331'),
(19,4552,'1.00331'),
(20,4552,'1.00331'),
(13,4553,'1.09669'),
(14,4553,'1.09669'),
(15,4553,'1.09669'),
(16,4553,'1.09669'),
(17,4553,'1.09669'),
(18,4553,'1.09669'),
(19,4553,'1.09669'),
(20,4553,'1.09669'),
(13,4554,'1.86662'),
(14,4554,'1.86662'),
(15,4554,'1.86662'),
(16,4554,'1.86662'),
(17,4554,'1.86662'),
(18,4554,'1.86662'),
(19,4554,'1.86662'),
(20,4554,'1.86662'),
(13,4555,'2.19338'),
(14,4555,'2.19338'),
(15,4555,'2.19338'),
(16,4555,'2.19338'),
(17,4555,'2.19338'),
(18,4555,'2.19338'),
(19,4555,'2.19338'),
(20,4555,'2.19338'),
(13,4556,'2.1'),
(14,4556,'2.1'),
(15,4556,'2.1'),
(16,4556,'2.1'),
(17,4556,'2.1'),
(18,4556,'2.1');
INSERT INTO `#__finder_links_terms4` VALUES 
(19,4556,'2.1'),
(20,4556,'2.1'),
(13,4557,'2.47338'),
(14,4557,'2.47338'),
(15,4557,'2.47338'),
(16,4557,'2.47338'),
(17,4557,'2.47338'),
(18,4557,'2.47338'),
(19,4557,'2.47338'),
(20,4557,'2.47338'),
(32,4558,'0.23331'),
(13,4558,'0.69993'),
(14,4558,'0.69993'),
(15,4558,'0.69993'),
(16,4558,'0.69993'),
(17,4558,'0.69993'),
(18,4558,'0.69993'),
(19,4558,'0.69993'),
(20,4558,'0.69993'),
(13,4559,'1.77338'),
(14,4559,'1.77338'),
(15,4559,'1.77338'),
(16,4559,'1.77338'),
(17,4559,'1.77338'),
(18,4559,'1.77338'),
(19,4559,'1.77338'),
(20,4559,'1.77338'),
(13,4560,'2.24'),
(14,4560,'2.24'),
(15,4560,'2.24'),
(16,4560,'2.24'),
(17,4560,'2.24'),
(18,4560,'2.24'),
(19,4560,'2.24'),
(20,4560,'2.24'),
(13,4561,'0.91'),
(14,4561,'0.91'),
(15,4561,'0.91'),
(16,4561,'0.91'),
(17,4561,'0.91'),
(18,4561,'0.91'),
(19,4561,'0.91'),
(20,4561,'0.91'),
(13,4562,'1.02669'),
(14,4562,'1.02669'),
(15,4562,'1.02669'),
(16,4562,'1.02669'),
(17,4562,'1.02669'),
(18,4562,'1.02669'),
(19,4562,'1.02669');
INSERT INTO `#__finder_links_terms4` VALUES 
(20,4562,'1.02669'),
(32,4563,'0.28'),
(13,4563,'0.56'),
(14,4563,'0.56'),
(15,4563,'0.56'),
(16,4563,'0.56'),
(17,4563,'0.56'),
(18,4563,'0.56'),
(19,4563,'0.56'),
(20,4563,'0.56'),
(13,4564,'2.1'),
(14,4564,'2.1'),
(15,4564,'2.1'),
(16,4564,'2.1'),
(17,4564,'2.1'),
(18,4564,'2.1'),
(19,4564,'2.1'),
(20,4564,'2.1'),
(13,4565,'2.28662'),
(14,4565,'2.28662'),
(15,4565,'2.28662'),
(16,4565,'2.28662'),
(17,4565,'2.28662'),
(18,4565,'2.28662'),
(19,4565,'2.28662'),
(20,4565,'2.28662'),
(14,4982,'1.48'),
(14,4983,'5.42679'),
(49,6311,'0.23331'),
(41,6311,'0.46662'),
(34,6311,'0.93324'),
(41,6825,'0.95669'),
(49,6825,'0.95669'),
(31,7316,'0.93324'),
(41,7316,'1.86648'),
(31,7317,'0.88669'),
(41,7317,'1.77338'),
(31,7318,'1.00331'),
(41,7318,'2.00662'),
(31,7319,'3.08007'),
(41,7319,'6.16014'),
(31,7320,'1.09669'),
(41,7320,'2.19338'),
(31,7321,'1.16669'),
(41,7321,'1.16669'),
(31,7322,'1.14331'),
(41,7322,'1.14331'),
(31,7406,'2.94'),
(41,7406,'5.88'),
(31,7407,'3.29007');
INSERT INTO `#__finder_links_terms4` VALUES 
(41,7407,'6.58014'),
(31,7433,'0.91'),
(41,7433,'1.82'),
(31,7434,'1.00331'),
(41,7434,'2.00662'),
(32,7578,'1.02669'),
(32,7579,'1.12'),
(32,7580,'0.95669'),
(32,7581,'1.00331'),
(32,7582,'0.95669'),
(32,7583,'1.05'),
(32,7584,'0.98'),
(32,7585,'1.12'),
(32,7586,'1.00331'),
(32,7587,'1.19'),
(32,7724,'0.98'),
(32,7725,'1.14331'),
(32,7726,'0.98'),
(32,7727,'1.05'),
(34,8320,'0.23331'),
(34,8321,'0.91'),
(34,8322,'1.07331'),
(34,8348,'3.64'),
(34,8349,'4.10676'),
(34,8350,'2.42676'),
(34,8351,'3.50007'),
(34,8352,'4.2'),
(34,8353,'1.12'),
(34,8354,'1.28331'),
(34,8453,'0.46669'),
(34,8454,'1.09669'),
(34,8455,'1.21331'),
(34,8513,'0.84'),
(34,8514,'1.07331'),
(41,21036,'0.04669'),
(41,21037,'0.86331'),
(41,21038,'1.00331'),
(41,21039,'2.24'),
(41,21040,'0.74676'),
(41,21041,'4.29324'),
(41,21042,'2.38'),
(41,21043,'2.38'),
(41,21044,'1.77338'),
(41,21045,'2.05338'),
(41,21046,'29.6304'),
(41,21047,'3.82676'),
(41,21048,'1.23669'),
(41,21049,'1.21331'),
(41,21050,'1.28331'),
(41,21051,'1.07331');
INSERT INTO `#__finder_links_terms4` VALUES 
(41,21052,'2.94'),
(41,21053,'3.08007'),
(41,21054,'2.73'),
(41,21055,'3.00993'),
(41,21056,'2.94'),
(41,21057,'3.21993'),
(41,21058,'4.55'),
(41,21059,'5.13345'),
(41,21060,'2.00662'),
(41,21061,'2.24'),
(41,21062,'3.00993'),
(41,21063,'3.29007'),
(41,21064,'1.12'),
(41,21065,'1.23669'),
(41,21066,'1.12'),
(41,21067,'1.23669'),
(41,21068,'3.29007'),
(41,21069,'3.71007'),
(41,21070,'3.73324'),
(41,21071,'1.05'),
(41,21072,'3.21993'),
(41,21073,'2.1'),
(41,21074,'2.33338'),
(41,21075,'1.02669'),
(41,21076,'1.14331'),
(41,21077,'1.07331'),
(41,21078,'1.19'),
(41,21079,'1.26'),
(41,21080,'1.37669'),
(41,21081,'1.19'),
(41,21082,'1.4'),
(41,21083,'1.09669'),
(41,21084,'1.21331'),
(41,21085,'1.02669'),
(41,21086,'1.23669'),
(41,21087,'1.07331'),
(41,21088,'1.16669'),
(41,21089,'1.12'),
(41,21090,'1.21331'),
(41,21091,'1.09669'),
(41,21092,'1.19'),
(41,21093,'1.77338'),
(41,21094,'0.95669'),
(41,21095,'0.93331'),
(41,21096,'1.02669'),
(41,21097,'1.14331'),
(41,21098,'1.02669'),
(41,21099,'1.14331'),
(41,21100,'2.05338'),
(41,21101,'1.19');
INSERT INTO `#__finder_links_terms4` VALUES 
(41,21102,'1.14331'),
(41,21103,'1.96'),
(41,21104,'2.14662'),
(41,21105,'2.1'),
(41,21106,'2.28662'),
(41,21107,'1.09669'),
(41,21108,'1.21331'),
(41,21109,'1.00331'),
(41,21110,'1.12'),
(41,21111,'1.02669'),
(41,21112,'1.14331'),
(41,21113,'1.02669'),
(41,21114,'1.14331'),
(41,21115,'1.14331'),
(41,21116,'1.26'),
(41,21117,'2.1'),
(41,21118,'2.33338'),
(41,21119,'1.21331'),
(41,21120,'1.28331'),
(41,21121,'1.23669'),
(41,21122,'1.4'),
(41,21123,'1.21331'),
(41,21124,'1.30669'),
(41,21125,'1.16669'),
(41,21126,'1.28331'),
(41,21127,'2.24'),
(41,21128,'1.21331'),
(41,21129,'1.23669'),
(41,21130,'1.05'),
(41,21131,'1.16669'),
(41,21132,'1.02669'),
(41,21133,'1.12'),
(41,21134,'1.02669'),
(41,21135,'1.14331'),
(41,21136,'2.1'),
(41,21137,'2.28662'),
(41,21138,'1.00331'),
(41,21139,'1.12'),
(41,21140,'1.00331'),
(41,21141,'1.12'),
(41,21142,'1.02669'),
(41,21143,'1.14331'),
(41,21144,'1.00331'),
(41,21145,'1.12'),
(41,21146,'3.00993'),
(41,21147,'1.09669'),
(41,21148,'2.19338'),
(41,21149,'1.07331'),
(41,21150,'1.19'),
(41,21151,'1.00331');
INSERT INTO `#__finder_links_terms4` VALUES 
(41,21152,'1.12'),
(41,21153,'1.14331'),
(41,21154,'1.26'),
(41,21155,'1.00331'),
(41,21156,'1.12'),
(41,21157,'1.00331'),
(41,21158,'1.12'),
(41,21159,'1.05'),
(41,21160,'1.16669'),
(41,21161,'2.05338'),
(41,21162,'1.12'),
(41,21163,'1.12'),
(41,21164,'1.07331'),
(41,21165,'1.28331'),
(41,21166,'1.02669'),
(41,21167,'1.14331'),
(41,21168,'1.07331'),
(41,21169,'1.12'),
(41,21170,'1.00331'),
(41,21171,'1.12'),
(41,21172,'1.00331'),
(41,21173,'1.12'),
(41,21174,'1.86662'),
(41,21175,'2.05338'),
(41,21176,'1.02669'),
(41,21177,'1.14331'),
(41,21178,'3.92'),
(41,21179,'1.12'),
(41,21180,'1.07331'),
(41,21181,'1.12'),
(41,21182,'1.12'),
(41,21183,'2.87007'),
(41,21184,'3.21993'),
(41,21185,'1.07331'),
(41,21186,'1.12'),
(41,21187,'4.10676'),
(41,21188,'1.07331'),
(41,21189,'3.42993'),
(41,21190,'1.05'),
(41,21191,'1.14331'),
(41,21192,'0.95669'),
(41,21193,'1.07331'),
(41,21194,'5.13345'),
(41,21195,'1.09669'),
(41,21196,'2.47338'),
(41,21197,'2.28662'),
(41,21198,'6.69683'),
(41,21199,'1.16669'),
(41,21200,'1.09669'),
(41,21201,'1.05');
INSERT INTO `#__finder_links_terms4` VALUES 
(41,21202,'1.07331'),
(41,21203,'1.23669'),
(41,21204,'1.19'),
(41,21205,'1.07331'),
(41,21206,'1.07331'),
(41,21207,'1.19'),
(41,21208,'1.00331'),
(41,21209,'1.12'),
(41,21210,'3.54676'),
(41,21211,'2.87007'),
(41,21212,'0.95669'),
(41,21213,'0.95669'),
(41,21214,'1.07331'),
(41,21215,'0.74662'),
(41,21216,'1.00331'),
(41,21217,'1.09669'),
(41,21218,'0.98'),
(41,21219,'1.68'),
(41,21220,'4.10676'),
(41,21221,'5.13324'),
(41,21222,'0.18669'),
(41,21223,'0.88669'),
(41,21224,'1.02669'),
(41,21225,'0.32669'),
(41,21226,'1.02669'),
(41,21227,'1.12'),
(41,21228,'0.56'),
(41,21229,'1.63338'),
(41,21230,'1.86662'),
(41,21231,'1.82'),
(41,21232,'2.05338'),
(41,21233,'12.8797'),
(41,21234,'15.3997'),
(41,21235,'1.96014'),
(41,21236,'1.96'),
(41,21237,'2.52'),
(41,21238,'2.94'),
(41,21239,'1.07331'),
(41,21240,'1.12'),
(41,21241,'1.05'),
(41,21242,'1.02669'),
(41,21243,'1.09669'),
(41,21244,'3.82676'),
(41,21245,'4.38676'),
(41,21246,'6.3'),
(41,21247,'7.42014'),
(41,21248,'12.0397'),
(41,21249,'13.44'),
(41,21250,'0.84'),
(41,21251,'0.88669');
INSERT INTO `#__finder_links_terms4` VALUES 
(41,21252,'1.12'),
(41,21253,'0.95669'),
(41,21254,'1.07331'),
(41,21255,'0.56'),
(41,21256,'1.09669'),
(41,21257,'1.23669'),
(41,21258,'0.56'),
(41,21259,'1.09669'),
(41,21260,'1.35331'),
(41,21261,'1.49324'),
(41,21262,'4.66676'),
(41,21263,'5.6'),
(41,22545,'3.82676'),
(41,22546,'1.07331'),
(41,22547,'1.14331'),
(41,22548,'1.09669'),
(41,22549,'2.24'),
(41,22550,'1.49324'),
(41,22551,'0.93331'),
(41,22552,'1.07331'),
(41,22553,'3.00993'),
(41,22554,'3.36'),
(41,22555,'1.53993'),
(41,22556,'3.57'),
(41,22557,'1.35331'),
(41,22558,'1.30669'),
(41,22559,'1.28331'),
(41,22560,'0.42'),
(41,22561,'1.00331'),
(41,22562,'1.14331'),
(43,22896,'0.63996'),
(44,22896,'0.63996'),
(45,22896,'0.63996'),
(46,22896,'0.63996'),
(47,22896,'0.63996'),
(48,22896,'0.63996'),
(44,22898,'0.34'),
(44,22899,'1.97321'),
(45,22901,'0.34'),
(46,22904,'0.34'),
(47,22907,'0.34'),
(48,22910,'0.34'),
(49,22973,'0.14'),
(49,22974,'0.95669'),
(49,22975,'1.02669'),
(49,22976,'0.93331'),
(49,22977,'1.02669'),
(49,22978,'1.07331'),
(49,22979,'1.16669'),
(49,22980,'0.32669');
INSERT INTO `#__finder_links_terms4` VALUES 
(49,22981,'0.93331'),
(49,22982,'1.14331'),
(49,22983,'0.32669'),
(49,22984,'1.02669'),
(49,22985,'1.14331'),
(49,22986,'0.14'),
(49,22987,'0.93331'),
(49,22988,'1.09669'),
(49,22989,'1.14331'),
(49,23123,'0.28'),
(49,23124,'0.98'),
(49,23125,'1.12'),
(49,23126,'0.37331'),
(49,23127,'0.95669'),
(49,23128,'1.05'),
(49,23237,'0.86331'),
(49,23238,'1.05'),
(49,23239,'0.88669'),
(49,23240,'1.00331'),
(49,23241,'0.98'),
(49,23242,'0.95669'),
(49,23243,'1.07331'),
(49,23244,'0.98'),
(49,23245,'1.14331');

DROP TABLE IF EXISTS #__finder_links_terms5;
CREATE TABLE `#__finder_links_terms5` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_links_terms6;
CREATE TABLE `#__finder_links_terms6` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_terms6` VALUES 
(5,688,'0.32669'),
(5,689,'0.98'),
(5,690,'1.02669'),
(5,691,'0.01169'),
(5,692,'0.86331'),
(5,693,'0.98'),
(5,694,'0.23331'),
(5,695,'0.93331'),
(5,696,'1.05'),
(5,697,'0.28'),
(5,698,'0.95669'),
(5,699,'1.07331'),
(5,700,'0.84'),
(34,700,'1.12'),
(41,700,'2.24'),
(49,700,'4.28'),
(5,701,'1.07331'),
(5,702,'1.14331'),
(5,703,'0.91'),
(5,704,'0.95669'),
(5,705,'0.91'),
(5,706,'1.14331'),
(5,707,'0.32669'),
(49,707,'0.65338'),
(41,707,'1.63345'),
(5,708,'1.02669'),
(5,709,'1.09669'),
(5,710,'0.23331'),
(5,711,'0.98'),
(5,712,'1.07331'),
(6,1089,'0.32669'),
(6,1090,'0.93331'),
(6,1091,'1.05'),
(31,1583,'0.69993'),
(13,1583,'1.63317'),
(14,1583,'1.63317'),
(15,1583,'1.63317'),
(16,1583,'1.63317'),
(17,1583,'1.63317'),
(18,1583,'1.63317'),
(19,1583,'1.63317'),
(20,1583,'1.63317'),
(41,1583,'4.19958'),
(42,1837,'0.18669'),
(41,1837,'0.37338'),
(41,1838,'0.91'),
(42,1838,'0.91'),
(41,1839,'1.05'),
(42,1839,'1.05'),
(42,1840,'0.02331');
INSERT INTO `#__finder_links_terms6` VALUES 
(34,1840,'0.09324'),
(41,1840,'0.20979'),
(13,3061,'0.56'),
(14,3061,'0.56'),
(15,3061,'0.56'),
(16,3061,'0.56'),
(17,3061,'0.56'),
(18,3061,'0.56'),
(19,3061,'0.56'),
(20,3061,'0.56'),
(32,3061,'1.96'),
(41,3061,'3.36'),
(32,4342,'0.37331'),
(13,4342,'0.74662'),
(14,4342,'0.74662'),
(15,4342,'0.74662'),
(16,4342,'0.74662'),
(17,4342,'0.74662'),
(18,4342,'0.74662'),
(19,4342,'0.74662'),
(20,4342,'0.74662'),
(13,4343,'2.14662'),
(14,4343,'2.14662'),
(15,4343,'2.14662'),
(16,4343,'2.14662'),
(17,4343,'2.14662'),
(18,4343,'2.14662'),
(19,4343,'2.14662'),
(20,4343,'2.14662'),
(13,4344,'2.47338'),
(14,4344,'2.47338'),
(15,4344,'2.47338'),
(16,4344,'2.47338'),
(17,4344,'2.47338'),
(18,4344,'2.47338'),
(19,4344,'2.47338'),
(20,4344,'2.47338'),
(32,4345,'0.23331'),
(41,4345,'0.46662'),
(13,4345,'0.69993'),
(14,4345,'0.69993'),
(15,4345,'0.69993'),
(16,4345,'0.69993'),
(17,4345,'0.69993'),
(18,4345,'0.69993'),
(19,4345,'0.69993'),
(20,4345,'0.69993'),
(13,4346,'0.98'),
(14,4346,'0.98'),
(15,4346,'0.98');
INSERT INTO `#__finder_links_terms6` VALUES 
(16,4346,'0.98'),
(17,4346,'0.98'),
(18,4346,'0.98'),
(19,4346,'0.98'),
(20,4346,'0.98'),
(41,4346,'1.96'),
(13,4347,'0.98'),
(14,4347,'0.98'),
(15,4347,'0.98'),
(16,4347,'0.98'),
(17,4347,'0.98'),
(18,4347,'0.98'),
(19,4347,'0.98'),
(20,4347,'0.98'),
(13,4348,'1.23669'),
(14,4348,'1.23669'),
(15,4348,'1.23669'),
(16,4348,'1.23669'),
(17,4348,'1.23669'),
(18,4348,'1.23669'),
(19,4348,'1.23669'),
(20,4348,'1.23669'),
(13,4349,'0.88669'),
(14,4349,'0.88669'),
(15,4349,'0.88669'),
(16,4349,'0.88669'),
(17,4349,'0.88669'),
(18,4349,'0.88669'),
(19,4349,'0.88669'),
(20,4349,'0.88669'),
(13,4350,'1.00331'),
(14,4350,'1.00331'),
(15,4350,'1.00331'),
(16,4350,'1.00331'),
(17,4350,'1.00331'),
(18,4350,'1.00331'),
(19,4350,'1.00331'),
(20,4350,'1.00331'),
(13,4351,'2.1'),
(14,4351,'2.1'),
(15,4351,'2.1'),
(16,4351,'2.1'),
(17,4351,'2.1'),
(18,4351,'2.1'),
(19,4351,'2.1'),
(20,4351,'2.1'),
(13,4352,'1.14331'),
(14,4352,'1.14331'),
(15,4352,'1.14331'),
(16,4352,'1.14331');
INSERT INTO `#__finder_links_terms6` VALUES 
(17,4352,'1.14331'),
(18,4352,'1.14331'),
(19,4352,'1.14331'),
(20,4352,'1.14331'),
(13,4353,'1.23669'),
(14,4353,'1.23669'),
(15,4353,'1.23669'),
(16,4353,'1.23669'),
(17,4353,'1.23669'),
(18,4353,'1.23669'),
(19,4353,'1.23669'),
(20,4353,'1.23669'),
(13,4354,'4.57324'),
(14,4354,'4.57324'),
(15,4354,'4.57324'),
(16,4354,'4.57324'),
(17,4354,'4.57324'),
(18,4354,'4.57324'),
(19,4354,'4.57324'),
(20,4354,'4.57324'),
(13,4355,'5.13324'),
(14,4355,'5.13324'),
(15,4355,'5.13324'),
(16,4355,'5.13324'),
(17,4355,'5.13324'),
(18,4355,'5.13324'),
(19,4355,'5.13324'),
(20,4355,'5.13324'),
(13,4356,'0.69993'),
(14,4356,'0.69993'),
(15,4356,'0.69993'),
(16,4356,'0.69993'),
(17,4356,'0.69993'),
(18,4356,'0.69993'),
(19,4356,'0.69993'),
(20,4356,'0.69993'),
(13,4357,'0.88669'),
(14,4357,'0.88669'),
(15,4357,'0.88669'),
(16,4357,'0.88669'),
(17,4357,'0.88669'),
(18,4357,'0.88669'),
(19,4357,'0.88669'),
(20,4357,'0.88669'),
(13,4358,'1.07331'),
(14,4358,'1.07331'),
(15,4358,'1.07331'),
(16,4358,'1.07331'),
(17,4358,'1.07331'),
(18,4358,'1.07331');
INSERT INTO `#__finder_links_terms6` VALUES 
(19,4358,'1.07331'),
(20,4358,'1.07331'),
(13,4359,'0.95669'),
(14,4359,'0.95669'),
(15,4359,'0.95669'),
(16,4359,'0.95669'),
(17,4359,'0.95669'),
(18,4359,'0.95669'),
(19,4359,'0.95669'),
(20,4359,'0.95669'),
(13,4360,'1.16669'),
(14,4360,'1.16669'),
(15,4360,'1.16669'),
(16,4360,'1.16669'),
(17,4360,'1.16669'),
(18,4360,'1.16669'),
(19,4360,'1.16669'),
(20,4360,'1.16669'),
(13,4361,'1.00331'),
(14,4361,'1.00331'),
(15,4361,'1.00331'),
(16,4361,'1.00331'),
(17,4361,'1.00331'),
(18,4361,'1.00331'),
(19,4361,'1.00331'),
(20,4361,'1.00331'),
(13,4362,'1.26'),
(14,4362,'1.26'),
(15,4362,'1.26'),
(16,4362,'1.26'),
(17,4362,'1.26'),
(18,4362,'1.26'),
(19,4362,'1.26'),
(20,4362,'1.26'),
(13,4363,'0.56'),
(14,4363,'0.56'),
(15,4363,'0.56'),
(16,4363,'0.56'),
(17,4363,'0.56'),
(18,4363,'0.56'),
(19,4363,'0.56'),
(20,4363,'0.56'),
(13,4364,'1.82'),
(14,4364,'1.82'),
(15,4364,'1.82'),
(16,4364,'1.82'),
(17,4364,'1.82'),
(18,4364,'1.82'),
(19,4364,'1.82'),
(20,4364,'1.82');
INSERT INTO `#__finder_links_terms6` VALUES 
(13,4365,'1.05'),
(14,4365,'1.05'),
(15,4365,'1.05'),
(16,4365,'1.05'),
(17,4365,'1.05'),
(18,4365,'1.05'),
(19,4365,'1.05'),
(20,4365,'1.05'),
(13,4366,'1.21331'),
(14,4366,'1.21331'),
(15,4366,'1.21331'),
(16,4366,'1.21331'),
(17,4366,'1.21331'),
(18,4366,'1.21331'),
(19,4366,'1.21331'),
(20,4366,'1.21331'),
(13,4367,'2.14662'),
(14,4367,'2.14662'),
(15,4367,'2.14662'),
(16,4367,'2.14662'),
(17,4367,'2.14662'),
(18,4367,'2.14662'),
(19,4367,'2.14662'),
(20,4367,'2.14662'),
(13,4368,'2.38'),
(14,4368,'2.38'),
(15,4368,'2.38'),
(16,4368,'2.38'),
(17,4368,'2.38'),
(18,4368,'2.38'),
(19,4368,'2.38'),
(20,4368,'2.38'),
(32,4369,'0.46662'),
(13,4369,'0.69993'),
(14,4369,'0.69993'),
(15,4369,'0.69993'),
(16,4369,'0.69993'),
(17,4369,'0.69993'),
(18,4369,'0.69993'),
(19,4369,'0.69993'),
(20,4369,'0.69993'),
(32,4370,'0.98'),
(13,4370,'1.96'),
(14,4370,'1.96'),
(15,4370,'1.96'),
(16,4370,'1.96'),
(17,4370,'1.96'),
(18,4370,'1.96'),
(19,4370,'1.96'),
(20,4370,'1.96');
INSERT INTO `#__finder_links_terms6` VALUES 
(13,4371,'2.42662'),
(14,4371,'2.42662'),
(15,4371,'2.42662'),
(16,4371,'2.42662'),
(17,4371,'2.42662'),
(18,4371,'2.42662'),
(19,4371,'2.42662'),
(20,4371,'2.42662'),
(13,4372,'1.02669'),
(14,4372,'1.02669'),
(15,4372,'1.02669'),
(16,4372,'1.02669'),
(17,4372,'1.02669'),
(18,4372,'1.02669'),
(19,4372,'1.02669'),
(20,4372,'1.02669'),
(13,4373,'1.23669'),
(14,4373,'1.23669'),
(15,4373,'1.23669'),
(16,4373,'1.23669'),
(17,4373,'1.23669'),
(18,4373,'1.23669'),
(19,4373,'1.23669'),
(20,4373,'1.23669'),
(32,4374,'0.09331'),
(13,4374,'0.18662'),
(14,4374,'0.18662'),
(15,4374,'0.18662'),
(16,4374,'0.18662'),
(17,4374,'0.18662'),
(18,4374,'0.18662'),
(19,4374,'0.18662'),
(20,4374,'0.18662'),
(13,4375,'0.88669'),
(14,4375,'0.88669'),
(15,4375,'0.88669'),
(16,4375,'0.88669'),
(17,4375,'0.88669'),
(18,4375,'0.88669'),
(19,4375,'0.88669'),
(20,4375,'0.88669'),
(13,4376,'1.02669'),
(14,4376,'1.02669'),
(15,4376,'1.02669'),
(16,4376,'1.02669'),
(17,4376,'1.02669'),
(18,4376,'1.02669'),
(19,4376,'1.02669'),
(20,4376,'1.02669'),
(13,4377,'1.02669');
INSERT INTO `#__finder_links_terms6` VALUES 
(14,4377,'1.02669'),
(15,4377,'1.02669'),
(16,4377,'1.02669'),
(17,4377,'1.02669'),
(18,4377,'1.02669'),
(19,4377,'1.02669'),
(20,4377,'1.02669'),
(13,4378,'1.30669'),
(14,4378,'1.30669'),
(15,4378,'1.30669'),
(16,4378,'1.30669'),
(17,4378,'1.30669'),
(18,4378,'1.30669'),
(19,4378,'1.30669'),
(20,4378,'1.30669'),
(13,4379,'4.78345'),
(14,4379,'4.78345'),
(15,4379,'4.78345'),
(16,4379,'4.78345'),
(17,4379,'4.78345'),
(18,4379,'4.78345'),
(19,4379,'4.78345'),
(20,4379,'4.78345'),
(13,4380,'5.6'),
(14,4380,'5.6'),
(15,4380,'5.6'),
(16,4380,'5.6'),
(17,4380,'5.6'),
(18,4380,'5.6'),
(19,4380,'5.6'),
(20,4380,'5.6'),
(13,4381,'0.88669'),
(14,4381,'0.88669'),
(15,4381,'0.88669'),
(16,4381,'0.88669'),
(17,4381,'0.88669'),
(18,4381,'0.88669'),
(19,4381,'0.88669'),
(20,4381,'0.88669'),
(13,4382,'1.16669'),
(14,4382,'1.16669'),
(15,4382,'1.16669'),
(16,4382,'1.16669'),
(17,4382,'1.16669'),
(18,4382,'1.16669'),
(19,4382,'1.16669'),
(20,4382,'1.16669'),
(13,4383,'0.91'),
(14,4383,'0.91'),
(15,4383,'0.91');
INSERT INTO `#__finder_links_terms6` VALUES 
(16,4383,'0.91'),
(17,4383,'0.91'),
(18,4383,'0.91'),
(19,4383,'0.91'),
(20,4383,'0.91'),
(13,4384,'1.12'),
(14,4384,'1.12'),
(15,4384,'1.12'),
(16,4384,'1.12'),
(17,4384,'1.12'),
(18,4384,'1.12'),
(19,4384,'1.12'),
(20,4384,'1.12'),
(18,4991,'1.23321'),
(18,4992,'5.55'),
(31,7375,'0.98007'),
(41,7375,'1.96014'),
(31,7376,'2.87007'),
(41,7376,'2.87007'),
(31,7377,'3.63993'),
(41,7377,'3.63993'),
(31,7378,'0.69993'),
(41,7378,'1.39986'),
(31,7379,'0.95669'),
(41,7379,'0.95669'),
(31,7380,'1.16669'),
(41,7380,'1.16669'),
(31,7381,'0.91'),
(41,7381,'0.91'),
(31,7382,'1.12'),
(41,7382,'1.12'),
(31,7383,'1.05'),
(41,7383,'1.05'),
(31,7384,'1.26'),
(41,7384,'1.26'),
(31,7385,'3.00993'),
(41,7385,'6.01986'),
(31,7386,'3.36'),
(41,7386,'6.72'),
(32,7672,'0.95669'),
(32,7673,'1.14331'),
(32,7674,'0.98'),
(32,7675,'1.23669'),
(32,7676,'1.02669'),
(32,7677,'1.23669'),
(32,7678,'0.91'),
(32,7679,'1.02669'),
(32,7680,'2.73'),
(32,7681,'3.15'),
(32,7682,'1.05');
INSERT INTO `#__finder_links_terms6` VALUES 
(32,7683,'1.12'),
(32,7684,'0.98'),
(32,7685,'1.19'),
(32,7686,'1.05'),
(32,7687,'1.02669'),
(32,7688,'1.12'),
(32,7689,'0.81669'),
(32,7690,'0.88669'),
(32,7691,'0.84'),
(32,7692,'3.00993'),
(32,7693,'3.29007'),
(34,8419,'0.28'),
(34,8420,'1.00331'),
(34,8421,'1.19'),
(34,8422,'0.56'),
(34,8423,'1.07331'),
(34,8424,'1.35331'),
(34,8425,'1.05'),
(34,8426,'1.19'),
(34,8427,'0.32669'),
(34,8428,'0.95669'),
(34,8429,'1.19'),
(34,8430,'4.29324'),
(34,8431,'4.66676'),
(34,8432,'3.92'),
(34,8433,'4.48'),
(41,22356,'1.12'),
(41,22357,'1.07331'),
(41,22358,'1.12'),
(41,22359,'3.73324'),
(41,22360,'4.57324'),
(41,22361,'0.91'),
(41,22362,'1.05'),
(41,22363,'0.91'),
(41,22364,'1.05'),
(41,22365,'0.88669'),
(41,22366,'1.02669'),
(41,22367,'0.88669'),
(41,22368,'1.02669'),
(41,22369,'1.02669'),
(41,22370,'1.19'),
(41,22371,'6.43986'),
(41,22372,'7.27986'),
(41,22373,'0.88669'),
(41,22374,'1.02669'),
(41,22375,'2.79993'),
(41,22376,'3.00993'),
(41,22377,'0.91'),
(41,22378,'1.00331'),
(41,22379,'0.18669');
INSERT INTO `#__finder_links_terms6` VALUES 
(41,22380,'0.91'),
(41,22381,'1.05'),
(41,22382,'1.12'),
(41,22383,'0.98'),
(41,22384,'1.09669'),
(41,22385,'0.93331'),
(41,22386,'1.05'),
(41,22387,'0.98'),
(41,22388,'1.09669'),
(41,22389,'0.98'),
(41,22390,'1.09669'),
(41,22391,'4.66655'),
(41,22392,'4.29324'),
(41,22393,'1.02669'),
(41,22394,'0.98'),
(41,22395,'1.12'),
(41,22396,'0.88669'),
(41,22397,'0.93331'),
(41,22398,'0.91'),
(41,22399,'1.05'),
(41,22400,'1.09669'),
(41,22401,'1.19'),
(41,22402,'1.00331'),
(41,22403,'1.09669'),
(41,22404,'1.09669'),
(41,22405,'1.19'),
(41,22406,'1.09669'),
(41,22407,'1.19'),
(41,22408,'1.00331'),
(41,22409,'1.09669'),
(41,22410,'2.79993'),
(41,22411,'3.08007'),
(41,22412,'12.3203'),
(41,22413,'13.7197'),
(41,22414,'3.36'),
(41,22415,'2.79993'),
(41,22416,'0.88669'),
(41,22417,'0.95669'),
(41,22418,'1.00331'),
(41,22419,'1.02669'),
(41,22420,'1.14331'),
(41,22421,'0.98'),
(41,22422,'1.12'),
(41,22423,'2.00662'),
(41,22424,'1.19'),
(49,23059,'0.18669'),
(49,23060,'0.91'),
(49,23061,'1.09669'),
(49,23062,'0.42'),
(49,23063,'0.95669');
INSERT INTO `#__finder_links_terms6` VALUES 
(49,23064,'1.21331'),
(49,23065,'0.23331'),
(49,23066,'0.93331'),
(49,23067,'1.05'),
(49,23068,'0.14'),
(49,23069,'0.98'),
(49,23070,'1.19'),
(49,23071,'0.28'),
(49,23072,'0.98'),
(49,23073,'1.09669'),
(49,23074,'1.16669'),
(49,23075,'1.23669'),
(49,23076,'2.05338'),
(49,23077,'1.07331'),
(49,23078,'1.26'),
(49,23079,'1.00331'),
(49,23080,'1.09669'),
(49,23081,'0.91'),
(49,23082,'1.00331'),
(49,23083,'1.07331'),
(49,23084,'1.21331'),
(49,23085,'1.00331'),
(49,23086,'1.12'),
(49,23087,'5.55'),
(49,23088,'0.91'),
(49,23089,'1.07331'),
(49,23090,'1.91338'),
(49,23091,'1.02669'),
(49,23092,'1.05'),
(49,23093,'1.02669'),
(49,23094,'1.12'),
(49,23095,'1.02669'),
(49,23096,'1.14331');

DROP TABLE IF EXISTS #__finder_links_terms7;
CREATE TABLE `#__finder_links_terms7` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_terms7` VALUES 
(42,459,'0.01169'),
(31,459,'0.02338'),
(41,459,'0.1169'),
(42,460,'0.81669'),
(31,460,'1.63338'),
(41,460,'4.90014'),
(5,462,'0.07992'),
(6,462,'0.07992'),
(13,462,'0.07992'),
(14,462,'0.07992'),
(15,462,'0.07992'),
(16,462,'0.07992'),
(17,462,'0.07992'),
(18,462,'0.07992'),
(19,462,'0.07992'),
(20,462,'0.07992'),
(31,462,'0.07992'),
(32,462,'0.07992'),
(34,462,'0.07992'),
(42,462,'0.07992'),
(49,462,'0.07992'),
(41,462,'0.17316'),
(5,713,'0.18669'),
(6,713,'0.18669'),
(49,713,'0.18669'),
(5,714,'0.86331'),
(6,714,'0.86331'),
(49,714,'0.86331'),
(5,715,'1.02669'),
(5,716,'0.035'),
(5,717,'0.91'),
(5,718,'1.09669'),
(5,719,'0.91'),
(5,720,'1.05'),
(5,807,'0.23331'),
(34,807,'0.23331'),
(5,808,'0.91'),
(5,809,'1.09669'),
(6,1092,'0.98'),
(6,1170,'0.51331'),
(6,1171,'1.07331'),
(6,1172,'1.12'),
(32,1586,'0.14'),
(13,1586,'0.42'),
(14,1586,'0.42'),
(15,1586,'0.42'),
(16,1586,'0.42'),
(17,1586,'0.42'),
(18,1586,'0.42'),
(19,1586,'0.42');
INSERT INTO `#__finder_links_terms7` VALUES 
(20,1586,'0.42'),
(31,1586,'0.42'),
(41,1586,'0.84'),
(13,1594,'0.74676'),
(14,1594,'0.74676'),
(15,1594,'0.74676'),
(16,1594,'0.74676'),
(17,1594,'0.74676'),
(18,1594,'0.74676'),
(19,1594,'0.74676'),
(20,1594,'0.74676'),
(31,1594,'1.12014'),
(41,1594,'4.48056'),
(41,1864,'0.91'),
(42,1864,'0.91'),
(32,3100,'0.28'),
(13,3100,'1.68'),
(14,3100,'1.68'),
(15,3100,'1.68'),
(16,3100,'1.68'),
(17,3100,'1.68'),
(18,3100,'1.68'),
(19,3100,'1.68'),
(20,3100,'1.68'),
(41,3100,'1.68'),
(13,3103,'0.56007'),
(14,3103,'0.56007'),
(15,3103,'0.56007'),
(16,3103,'0.56007'),
(17,3103,'0.56007'),
(18,3103,'0.56007'),
(19,3103,'0.56007'),
(20,3103,'0.56007'),
(41,3103,'2.24028'),
(13,3109,'0.74676'),
(14,3109,'0.74676'),
(15,3109,'0.74676'),
(16,3109,'0.74676'),
(17,3109,'0.74676'),
(18,3109,'0.74676'),
(20,3109,'0.74676'),
(19,3109,'1.73355'),
(41,3109,'9.52119'),
(13,4385,'0.98'),
(14,4385,'0.98'),
(15,4385,'0.98'),
(16,4385,'0.98'),
(17,4385,'0.98'),
(18,4385,'0.98'),
(19,4385,'0.98');
INSERT INTO `#__finder_links_terms7` VALUES 
(20,4385,'0.98'),
(13,4386,'2.79993'),
(14,4386,'2.79993'),
(15,4386,'2.79993'),
(16,4386,'2.79993'),
(17,4386,'2.79993'),
(18,4386,'2.79993'),
(19,4386,'2.79993'),
(20,4386,'2.79993'),
(13,4387,'3.21993'),
(14,4387,'3.21993'),
(15,4387,'3.21993'),
(16,4387,'3.21993'),
(17,4387,'3.21993'),
(18,4387,'3.21993'),
(19,4387,'3.21993'),
(20,4387,'3.21993'),
(13,4388,'0.84'),
(14,4388,'0.84'),
(15,4388,'0.84'),
(16,4388,'0.84'),
(17,4388,'0.84'),
(18,4388,'0.84'),
(19,4388,'0.84'),
(20,4388,'0.84'),
(13,4389,'1.02669'),
(14,4389,'1.02669'),
(15,4389,'1.02669'),
(16,4389,'1.02669'),
(17,4389,'1.02669'),
(18,4389,'1.02669'),
(19,4389,'1.02669'),
(20,4389,'1.02669'),
(13,4390,'2.87007'),
(14,4390,'2.87007'),
(15,4390,'2.87007'),
(16,4390,'2.87007'),
(17,4390,'2.87007'),
(18,4390,'2.87007'),
(19,4390,'2.87007'),
(20,4390,'2.87007'),
(13,4391,'3.36'),
(14,4391,'3.36'),
(15,4391,'3.36'),
(16,4391,'3.36'),
(17,4391,'3.36'),
(18,4391,'3.36'),
(19,4391,'3.36'),
(20,4391,'3.36'),
(13,4392,'0.98');
INSERT INTO `#__finder_links_terms7` VALUES 
(14,4392,'0.98'),
(15,4392,'0.98'),
(16,4392,'0.98'),
(17,4392,'0.98'),
(18,4392,'0.98'),
(19,4392,'0.98'),
(20,4392,'0.98'),
(13,4393,'1.09669'),
(14,4393,'1.09669'),
(15,4393,'1.09669'),
(16,4393,'1.09669'),
(17,4393,'1.09669'),
(18,4393,'1.09669'),
(19,4393,'1.09669'),
(20,4393,'1.09669'),
(13,4394,'0.88669'),
(14,4394,'0.88669'),
(15,4394,'0.88669'),
(16,4394,'0.88669'),
(17,4394,'0.88669'),
(18,4394,'0.88669'),
(19,4394,'0.88669'),
(20,4394,'0.88669'),
(13,4395,'0.95669'),
(14,4395,'0.95669'),
(15,4395,'0.95669'),
(16,4395,'0.95669'),
(17,4395,'0.95669'),
(18,4395,'0.95669'),
(19,4395,'0.95669'),
(20,4395,'0.95669'),
(13,4396,'3.54676'),
(14,4396,'3.54676'),
(15,4396,'3.54676'),
(16,4396,'3.54676'),
(17,4396,'3.54676'),
(18,4396,'3.54676'),
(19,4396,'3.54676'),
(20,4396,'3.54676'),
(13,4397,'3.82676'),
(14,4397,'3.82676'),
(15,4397,'3.82676'),
(16,4397,'3.82676'),
(17,4397,'3.82676'),
(18,4397,'3.82676'),
(19,4397,'3.82676'),
(20,4397,'3.82676'),
(13,4398,'1.00331'),
(14,4398,'1.00331'),
(15,4398,'1.00331');
INSERT INTO `#__finder_links_terms7` VALUES 
(16,4398,'1.00331'),
(17,4398,'1.00331'),
(18,4398,'1.00331'),
(19,4398,'1.00331'),
(20,4398,'1.00331'),
(13,4399,'1.09669'),
(14,4399,'1.09669'),
(15,4399,'1.09669'),
(16,4399,'1.09669'),
(17,4399,'1.09669'),
(18,4399,'1.09669'),
(19,4399,'1.09669'),
(20,4399,'1.09669'),
(13,4400,'3.82676'),
(14,4400,'3.82676'),
(15,4400,'3.82676'),
(16,4400,'3.82676'),
(17,4400,'3.82676'),
(18,4400,'3.82676'),
(19,4400,'3.82676'),
(20,4400,'3.82676'),
(13,4401,'1.09669'),
(14,4401,'1.09669'),
(15,4401,'1.09669'),
(16,4401,'1.09669'),
(17,4401,'1.09669'),
(18,4401,'1.09669'),
(19,4401,'1.09669'),
(20,4401,'1.09669'),
(13,4402,'1.02669'),
(14,4402,'1.02669'),
(15,4402,'1.02669'),
(16,4402,'1.02669'),
(17,4402,'1.02669'),
(18,4402,'1.02669'),
(19,4402,'1.02669'),
(20,4402,'1.02669'),
(13,4403,'2.28662'),
(14,4403,'2.28662'),
(15,4403,'2.28662'),
(16,4403,'2.28662'),
(17,4403,'2.28662'),
(18,4403,'2.28662'),
(19,4403,'2.28662'),
(20,4403,'2.28662'),
(13,4404,'0.84'),
(14,4404,'0.84'),
(15,4404,'0.84'),
(16,4404,'0.84'),
(17,4404,'0.84');
INSERT INTO `#__finder_links_terms7` VALUES 
(18,4404,'0.84'),
(19,4404,'0.84'),
(20,4404,'0.84'),
(13,4405,'1.00331'),
(14,4405,'1.00331'),
(15,4405,'1.00331'),
(16,4405,'1.00331'),
(17,4405,'1.00331'),
(18,4405,'1.00331'),
(19,4405,'1.00331'),
(20,4405,'1.00331'),
(13,4406,'1.63317'),
(14,4406,'1.63317'),
(15,4406,'1.63317'),
(16,4406,'1.63317'),
(17,4406,'1.63317'),
(18,4406,'1.63317'),
(19,4406,'1.63317'),
(20,4406,'1.63317'),
(13,4407,'2.87007'),
(14,4407,'2.87007'),
(15,4407,'2.87007'),
(16,4407,'2.87007'),
(17,4407,'2.87007'),
(18,4407,'2.87007'),
(19,4407,'2.87007'),
(20,4407,'2.87007'),
(13,4408,'3.21993'),
(14,4408,'3.21993'),
(15,4408,'3.21993'),
(16,4408,'3.21993'),
(17,4408,'3.21993'),
(18,4408,'3.21993'),
(19,4408,'3.21993'),
(20,4408,'3.21993'),
(13,4409,'2.79993'),
(14,4409,'2.79993'),
(15,4409,'2.79993'),
(16,4409,'2.79993'),
(17,4409,'2.79993'),
(18,4409,'2.79993'),
(19,4409,'2.79993'),
(20,4409,'2.79993'),
(13,4410,'3.08007'),
(14,4410,'3.08007'),
(15,4410,'3.08007'),
(16,4410,'3.08007'),
(17,4410,'3.08007'),
(18,4410,'3.08007'),
(19,4410,'3.08007');
INSERT INTO `#__finder_links_terms7` VALUES 
(20,4410,'3.08007'),
(13,4411,'1.02669'),
(14,4411,'1.02669'),
(15,4411,'1.02669'),
(16,4411,'1.02669'),
(17,4411,'1.02669'),
(18,4411,'1.02669'),
(19,4411,'1.02669'),
(20,4411,'1.02669'),
(13,4412,'1.23669'),
(14,4412,'1.23669'),
(15,4412,'1.23669'),
(16,4412,'1.23669'),
(17,4412,'1.23669'),
(18,4412,'1.23669'),
(19,4412,'1.23669'),
(20,4412,'1.23669'),
(32,4413,'0.18669'),
(13,4413,'1.30683'),
(14,4413,'1.30683'),
(15,4413,'1.30683'),
(16,4413,'1.30683'),
(17,4413,'1.30683'),
(18,4413,'1.30683'),
(19,4413,'1.30683'),
(20,4413,'1.30683'),
(13,4414,'1.86662'),
(14,4414,'1.86662'),
(15,4414,'1.86662'),
(16,4414,'1.86662'),
(17,4414,'1.86662'),
(18,4414,'1.86662'),
(19,4414,'1.86662'),
(20,4414,'1.86662'),
(13,4415,'2.05338'),
(14,4415,'2.05338'),
(15,4415,'2.05338'),
(16,4415,'2.05338'),
(17,4415,'2.05338'),
(18,4415,'2.05338'),
(19,4415,'2.05338'),
(20,4415,'2.05338'),
(13,4416,'4.43345'),
(14,4416,'4.43345'),
(15,4416,'4.43345'),
(16,4416,'4.43345'),
(17,4416,'4.43345'),
(18,4416,'4.43345'),
(19,4416,'4.43345'),
(20,4416,'4.43345');
INSERT INTO `#__finder_links_terms7` VALUES 
(13,4417,'5.13345'),
(14,4417,'5.13345'),
(15,4417,'5.13345'),
(16,4417,'5.13345'),
(17,4417,'5.13345'),
(18,4417,'5.13345'),
(19,4417,'5.13345'),
(20,4417,'5.13345'),
(32,4418,'0.37338'),
(13,4418,'0.74676'),
(14,4418,'0.74676'),
(15,4418,'0.74676'),
(16,4418,'0.74676'),
(17,4418,'0.74676'),
(18,4418,'0.74676'),
(19,4418,'0.74676'),
(20,4418,'0.74676'),
(13,4419,'1.68'),
(14,4419,'1.68'),
(15,4419,'1.68'),
(16,4419,'1.68'),
(17,4419,'1.68'),
(18,4419,'1.68'),
(19,4419,'1.68'),
(20,4419,'1.68'),
(13,4420,'2.05338'),
(14,4420,'2.05338'),
(15,4420,'2.05338'),
(16,4420,'2.05338'),
(17,4420,'2.05338'),
(18,4420,'2.05338'),
(19,4420,'2.05338'),
(20,4420,'2.05338'),
(13,4421,'1.96'),
(14,4421,'1.96'),
(15,4421,'1.96'),
(16,4421,'1.96'),
(17,4421,'1.96'),
(18,4421,'1.96'),
(19,4421,'1.96'),
(20,4421,'1.96'),
(13,4422,'2.1'),
(14,4422,'2.1'),
(15,4422,'2.1'),
(16,4422,'2.1'),
(17,4422,'2.1'),
(18,4422,'2.1'),
(19,4422,'2.1'),
(20,4422,'2.1'),
(13,4423,'1.02669');
INSERT INTO `#__finder_links_terms7` VALUES 
(14,4423,'1.02669'),
(15,4423,'1.02669'),
(16,4423,'1.02669'),
(17,4423,'1.02669'),
(18,4423,'1.02669'),
(19,4423,'1.02669'),
(20,4423,'1.02669'),
(13,4424,'1.12'),
(14,4424,'1.12'),
(15,4424,'1.12'),
(16,4424,'1.12'),
(17,4424,'1.12'),
(18,4424,'1.12'),
(19,4424,'1.12'),
(20,4424,'1.12'),
(13,4425,'0.86331'),
(14,4425,'0.86331'),
(15,4425,'0.86331'),
(16,4425,'0.86331'),
(17,4425,'0.86331'),
(18,4425,'0.86331'),
(19,4425,'0.86331'),
(20,4425,'0.86331'),
(13,4426,'1.12'),
(14,4426,'1.12'),
(15,4426,'1.12'),
(16,4426,'1.12'),
(17,4426,'1.12'),
(18,4426,'1.12'),
(19,4426,'1.12'),
(20,4426,'1.12'),
(13,4427,'0.86331'),
(14,4427,'0.86331'),
(15,4427,'0.86331'),
(16,4427,'0.86331'),
(17,4427,'0.86331'),
(18,4427,'0.86331'),
(19,4427,'0.86331'),
(20,4427,'0.86331'),
(13,4428,'1.02669'),
(14,4428,'1.02669'),
(15,4428,'1.02669'),
(16,4428,'1.02669'),
(17,4428,'1.02669'),
(18,4428,'1.02669'),
(19,4428,'1.02669'),
(20,4428,'1.02669'),
(13,4429,'1.05'),
(14,4429,'1.05'),
(15,4429,'1.05');
INSERT INTO `#__finder_links_terms7` VALUES 
(16,4429,'1.05'),
(17,4429,'1.05'),
(18,4429,'1.05'),
(19,4429,'1.05'),
(20,4429,'1.05'),
(13,4430,'1.23669'),
(14,4430,'1.23669'),
(15,4430,'1.23669'),
(16,4430,'1.23669'),
(17,4430,'1.23669'),
(18,4430,'1.23669'),
(19,4430,'1.23669'),
(20,4430,'1.23669'),
(13,4431,'0.93331'),
(14,4431,'0.93331'),
(15,4431,'0.93331'),
(16,4431,'0.93331'),
(17,4431,'0.93331'),
(18,4431,'0.93331'),
(19,4431,'0.93331'),
(20,4431,'0.93331'),
(13,4432,'1.16669'),
(14,4432,'1.16669'),
(15,4432,'1.16669'),
(16,4432,'1.16669'),
(17,4432,'1.16669'),
(18,4432,'1.16669'),
(19,4432,'1.16669'),
(20,4432,'1.16669'),
(13,4433,'0.98'),
(14,4433,'0.98'),
(15,4433,'0.98'),
(16,4433,'0.98'),
(17,4433,'0.98'),
(18,4433,'0.98'),
(19,4433,'0.98'),
(20,4433,'0.98'),
(13,4434,'1.12'),
(14,4434,'1.12'),
(15,4434,'1.12'),
(16,4434,'1.12'),
(17,4434,'1.12'),
(18,4434,'1.12'),
(19,4434,'1.12'),
(20,4434,'1.12'),
(32,4435,'0.46662'),
(13,4435,'4.43289'),
(14,4435,'4.43289'),
(16,4435,'4.43289'),
(17,4435,'4.43289');
INSERT INTO `#__finder_links_terms7` VALUES 
(18,4435,'4.43289'),
(19,4435,'4.43289'),
(20,4435,'4.43289'),
(15,4435,'5.6661'),
(13,4436,'4.43345'),
(14,4436,'4.43345'),
(15,4436,'4.43345'),
(16,4436,'4.43345'),
(17,4436,'4.43345'),
(18,4436,'4.43345'),
(19,4436,'4.43345'),
(20,4436,'4.43345'),
(13,4437,'4.48'),
(14,4437,'4.48'),
(15,4437,'4.48'),
(16,4437,'4.48'),
(17,4437,'4.48'),
(18,4437,'4.48'),
(19,4437,'4.48'),
(20,4437,'4.48'),
(13,4438,'1.02669'),
(14,4438,'1.02669'),
(15,4438,'1.02669'),
(16,4438,'1.02669'),
(17,4438,'1.02669'),
(18,4438,'1.02669'),
(19,4438,'1.02669'),
(20,4438,'1.02669'),
(13,4439,'3.08007'),
(14,4439,'3.08007'),
(15,4439,'3.08007'),
(16,4439,'3.08007'),
(17,4439,'3.08007'),
(18,4439,'3.08007'),
(19,4439,'3.08007'),
(20,4439,'3.08007'),
(13,4440,'3.36'),
(14,4440,'3.36'),
(15,4440,'3.36'),
(16,4440,'3.36'),
(17,4440,'3.36'),
(18,4440,'3.36'),
(19,4440,'3.36'),
(20,4440,'3.36'),
(13,4441,'3.08007'),
(14,4441,'3.08007'),
(15,4441,'3.08007'),
(16,4441,'3.08007'),
(17,4441,'3.08007'),
(18,4441,'3.08007');
INSERT INTO `#__finder_links_terms7` VALUES 
(19,4441,'3.08007'),
(20,4441,'3.08007'),
(13,4442,'3.57'),
(14,4442,'3.57'),
(15,4442,'3.57'),
(16,4442,'3.57'),
(17,4442,'3.57'),
(18,4442,'3.57'),
(19,4442,'3.57'),
(20,4442,'3.57'),
(13,4443,'0.95669'),
(14,4443,'0.95669'),
(15,4443,'0.95669'),
(16,4443,'0.95669'),
(17,4443,'0.95669'),
(18,4443,'0.95669'),
(19,4443,'0.95669'),
(20,4443,'0.95669'),
(13,4444,'1.02669'),
(14,4444,'1.02669'),
(15,4444,'1.02669'),
(16,4444,'1.02669'),
(17,4444,'1.02669'),
(18,4444,'1.02669'),
(19,4444,'1.02669'),
(20,4444,'1.02669'),
(13,4445,'4.2'),
(14,4445,'4.2'),
(15,4445,'4.2'),
(16,4445,'4.2'),
(17,4445,'4.2'),
(18,4445,'4.2'),
(19,4445,'4.2'),
(20,4445,'4.2'),
(13,4446,'4.94676'),
(14,4446,'4.94676'),
(15,4446,'4.94676'),
(16,4446,'4.94676'),
(17,4446,'4.94676'),
(18,4446,'4.94676'),
(19,4446,'4.94676'),
(20,4446,'4.94676'),
(13,4447,'1.09669'),
(14,4447,'1.09669'),
(16,4447,'1.09669'),
(17,4447,'1.09669'),
(18,4447,'1.09669'),
(19,4447,'1.09669'),
(20,4447,'1.09669'),
(15,4447,'6.89348');
INSERT INTO `#__finder_links_terms7` VALUES 
(13,4448,'1.23669'),
(14,4448,'1.23669'),
(15,4448,'1.23669'),
(16,4448,'1.23669'),
(17,4448,'1.23669'),
(18,4448,'1.23669'),
(19,4448,'1.23669'),
(20,4448,'1.23669'),
(13,4449,'2.14662'),
(14,4449,'2.14662'),
(15,4449,'2.14662'),
(16,4449,'2.14662'),
(17,4449,'2.14662'),
(18,4449,'2.14662'),
(19,4449,'2.14662'),
(20,4449,'2.14662'),
(13,4450,'2.56662'),
(14,4450,'2.56662'),
(15,4450,'2.56662'),
(16,4450,'2.56662'),
(17,4450,'2.56662'),
(18,4450,'2.56662'),
(19,4450,'2.56662'),
(20,4450,'2.56662'),
(13,4451,'0.86331'),
(14,4451,'0.86331'),
(15,4451,'0.86331'),
(16,4451,'0.86331'),
(17,4451,'0.86331'),
(18,4451,'0.86331'),
(19,4451,'0.86331'),
(20,4451,'0.86331'),
(13,4452,'1.00331'),
(14,4452,'1.00331'),
(15,4452,'1.00331'),
(16,4452,'1.00331'),
(17,4452,'1.00331'),
(18,4452,'1.00331'),
(19,4452,'1.00331'),
(20,4452,'1.00331'),
(13,4453,'0.93331'),
(14,4453,'0.93331'),
(15,4453,'0.93331'),
(16,4453,'0.93331'),
(17,4453,'0.93331'),
(18,4453,'0.93331'),
(19,4453,'0.93331'),
(20,4453,'0.93331'),
(13,4454,'1.07331'),
(14,4454,'1.07331');
INSERT INTO `#__finder_links_terms7` VALUES 
(15,4454,'1.07331'),
(16,4454,'1.07331'),
(17,4454,'1.07331'),
(18,4454,'1.07331'),
(19,4454,'1.07331'),
(20,4454,'1.07331'),
(13,4455,'0.88669'),
(14,4455,'0.88669'),
(15,4455,'0.88669'),
(16,4455,'0.88669'),
(17,4455,'0.88669'),
(18,4455,'0.88669'),
(19,4455,'0.88669'),
(20,4455,'0.88669'),
(13,4456,'0.95669'),
(14,4456,'0.95669'),
(15,4456,'0.95669'),
(16,4456,'0.95669'),
(17,4456,'0.95669'),
(18,4456,'0.95669'),
(19,4456,'0.95669'),
(20,4456,'0.95669'),
(13,4457,'1.00331'),
(14,4457,'1.00331'),
(15,4457,'1.00331'),
(16,4457,'1.00331'),
(17,4457,'1.00331'),
(18,4457,'1.00331'),
(20,4457,'1.00331'),
(19,4457,'6.30652'),
(13,4458,'1.19'),
(14,4458,'1.19'),
(15,4458,'1.19'),
(16,4458,'1.19'),
(17,4458,'1.19'),
(18,4458,'1.19'),
(19,4458,'1.19'),
(20,4458,'1.19'),
(32,4531,'0.18669'),
(13,4531,'0.74676'),
(14,4531,'0.74676'),
(15,4531,'0.74676'),
(16,4531,'0.74676'),
(17,4531,'0.74676'),
(18,4531,'0.74676'),
(19,4531,'0.74676'),
(20,4531,'0.74676'),
(13,4532,'1.72662'),
(14,4532,'1.72662'),
(15,4532,'1.72662');
INSERT INTO `#__finder_links_terms7` VALUES 
(16,4532,'1.72662'),
(17,4532,'1.72662'),
(18,4532,'1.72662'),
(19,4532,'1.72662'),
(20,4532,'1.72662'),
(13,4533,'2.14662'),
(14,4533,'2.14662'),
(15,4533,'2.14662'),
(16,4533,'2.14662'),
(17,4533,'2.14662'),
(18,4533,'2.14662'),
(19,4533,'2.14662'),
(20,4533,'2.14662'),
(13,4534,'0.91'),
(14,4534,'0.91'),
(15,4534,'0.91'),
(16,4534,'0.91'),
(17,4534,'0.91'),
(18,4534,'0.91'),
(19,4534,'0.91'),
(20,4534,'0.91'),
(13,4535,'1.12'),
(14,4535,'1.12'),
(15,4535,'1.12'),
(16,4535,'1.12'),
(17,4535,'1.12'),
(18,4535,'1.12'),
(19,4535,'1.12'),
(20,4535,'1.12'),
(13,4536,'0.93331'),
(14,4536,'0.93331'),
(15,4536,'0.93331'),
(16,4536,'0.93331'),
(17,4536,'0.93331'),
(18,4536,'0.93331'),
(19,4536,'0.93331'),
(20,4536,'0.93331'),
(13,4537,'1.07331'),
(14,4537,'1.07331'),
(15,4537,'1.07331'),
(16,4537,'1.07331'),
(17,4537,'1.07331'),
(18,4537,'1.07331'),
(19,4537,'1.07331'),
(20,4537,'1.07331'),
(13,4538,'0.93331'),
(14,4538,'0.93331'),
(15,4538,'0.93331'),
(16,4538,'0.93331'),
(17,4538,'0.93331');
INSERT INTO `#__finder_links_terms7` VALUES 
(18,4538,'0.93331'),
(19,4538,'0.93331'),
(20,4538,'0.93331'),
(13,4539,'1.07331'),
(14,4539,'1.07331'),
(15,4539,'1.07331'),
(16,4539,'1.07331'),
(17,4539,'1.07331'),
(18,4539,'1.07331'),
(19,4539,'1.07331'),
(20,4539,'1.07331'),
(13,4540,'0.86331'),
(14,4540,'0.86331'),
(15,4540,'0.86331'),
(16,4540,'0.86331'),
(17,4540,'0.86331'),
(18,4540,'0.86331'),
(19,4540,'0.86331'),
(20,4540,'0.86331'),
(13,4541,'1.00331'),
(14,4541,'1.00331'),
(15,4541,'1.00331'),
(16,4541,'1.00331'),
(17,4541,'1.00331'),
(18,4541,'1.00331'),
(19,4541,'1.00331'),
(20,4541,'1.00331'),
(13,4542,'0.91'),
(14,4542,'0.91'),
(15,4542,'0.91'),
(16,4542,'0.91'),
(17,4542,'0.91'),
(18,4542,'0.91'),
(19,4542,'0.91'),
(20,4542,'0.91'),
(13,4543,'0.98'),
(14,4543,'0.98'),
(15,4543,'0.98'),
(16,4543,'0.98'),
(17,4543,'0.98'),
(18,4543,'0.98'),
(19,4543,'0.98'),
(20,4543,'0.98'),
(13,4544,'1.00331'),
(14,4544,'1.00331'),
(15,4544,'1.00331'),
(16,4544,'1.00331'),
(17,4544,'1.00331'),
(18,4544,'1.00331'),
(19,4544,'1.00331');
INSERT INTO `#__finder_links_terms7` VALUES 
(20,4544,'1.00331'),
(13,4545,'1.05'),
(14,4545,'1.05'),
(15,4545,'1.05'),
(16,4545,'1.05'),
(17,4545,'1.05'),
(18,4545,'1.05'),
(19,4545,'1.05'),
(20,4545,'1.05'),
(13,4546,'0.65338'),
(14,4546,'0.65338'),
(15,4546,'0.65338'),
(16,4546,'0.65338'),
(17,4546,'0.65338'),
(18,4546,'0.65338'),
(19,4546,'0.65338'),
(20,4546,'0.65338'),
(13,4547,'2.24'),
(14,4547,'2.24'),
(15,4547,'2.24'),
(16,4547,'2.24'),
(17,4547,'2.24'),
(18,4547,'2.24'),
(19,4547,'2.24'),
(20,4547,'2.24'),
(13,4548,'2.56662'),
(14,4548,'2.56662'),
(15,4548,'2.56662'),
(16,4548,'2.56662'),
(17,4548,'2.56662'),
(18,4548,'2.56662'),
(19,4548,'2.56662'),
(20,4548,'2.56662'),
(13,4659,'0.51331'),
(14,4659,'0.51331'),
(15,4659,'0.51331'),
(16,4659,'0.51331'),
(17,4659,'0.51331'),
(18,4659,'0.51331'),
(19,4659,'0.51331'),
(20,4659,'0.51331'),
(13,4660,'1.09669'),
(14,4660,'1.09669'),
(15,4660,'1.09669'),
(16,4660,'1.09669'),
(17,4660,'1.09669'),
(18,4660,'1.09669'),
(19,4660,'1.09669'),
(20,4660,'1.09669'),
(13,4661,'1.28331');
INSERT INTO `#__finder_links_terms7` VALUES 
(14,4661,'1.28331'),
(15,4661,'1.28331'),
(16,4661,'1.28331'),
(17,4661,'1.28331'),
(18,4661,'1.28331'),
(19,4661,'1.28331'),
(20,4661,'1.28331'),
(32,4662,'0.37331'),
(13,4662,'1.49324'),
(14,4662,'1.49324'),
(15,4662,'1.49324'),
(16,4662,'1.49324'),
(17,4662,'1.49324'),
(18,4662,'1.49324'),
(19,4662,'1.49324'),
(20,4662,'1.49324'),
(13,4663,'2.05338'),
(14,4663,'2.05338'),
(15,4663,'2.05338'),
(16,4663,'2.05338'),
(17,4663,'2.05338'),
(18,4663,'2.05338'),
(19,4663,'2.05338'),
(20,4663,'2.05338'),
(13,4664,'2.24'),
(14,4664,'2.24'),
(15,4664,'2.24'),
(16,4664,'2.24'),
(17,4664,'2.24'),
(18,4664,'2.24'),
(19,4664,'2.24'),
(20,4664,'2.24'),
(13,4665,'1.96'),
(14,4665,'1.96'),
(15,4665,'1.96'),
(16,4665,'1.96'),
(17,4665,'1.96'),
(18,4665,'1.96'),
(19,4665,'1.96'),
(20,4665,'1.96'),
(13,4666,'2.1'),
(14,4666,'2.1'),
(15,4666,'2.1'),
(16,4666,'2.1'),
(17,4666,'2.1'),
(18,4666,'2.1'),
(19,4666,'2.1'),
(20,4666,'2.1'),
(13,4667,'3.36'),
(14,4667,'3.36');
INSERT INTO `#__finder_links_terms7` VALUES 
(15,4667,'3.36'),
(16,4667,'3.36'),
(17,4667,'3.36'),
(19,4667,'3.36'),
(20,4667,'3.36'),
(18,4667,'5.58'),
(13,4668,'2.19338'),
(14,4668,'2.19338'),
(15,4668,'2.19338'),
(16,4668,'2.19338'),
(17,4668,'2.19338'),
(18,4668,'2.19338'),
(19,4668,'2.19338'),
(20,4668,'2.19338'),
(13,4669,'2.56662'),
(14,4669,'2.56662'),
(15,4669,'2.56662'),
(16,4669,'2.56662'),
(17,4669,'2.56662'),
(18,4669,'2.56662'),
(19,4669,'2.56662'),
(20,4669,'2.56662'),
(13,4670,'2.1'),
(14,4670,'2.1'),
(15,4670,'2.1'),
(16,4670,'2.1'),
(17,4670,'2.1'),
(18,4670,'2.1'),
(19,4670,'2.1'),
(20,4670,'2.1'),
(13,4671,'2.33338'),
(14,4671,'2.33338'),
(15,4671,'2.33338'),
(16,4671,'2.33338'),
(17,4671,'2.33338'),
(18,4671,'2.33338'),
(19,4671,'2.33338'),
(20,4671,'2.33338'),
(13,4672,'4.2'),
(14,4672,'4.2'),
(15,4672,'4.2'),
(16,4672,'4.2'),
(17,4672,'4.2'),
(18,4672,'4.2'),
(19,4672,'4.2'),
(20,4672,'4.2'),
(13,4673,'3.57'),
(14,4673,'3.57'),
(15,4673,'3.57'),
(16,4673,'3.57');
INSERT INTO `#__finder_links_terms7` VALUES 
(17,4673,'3.57'),
(18,4673,'3.57'),
(19,4673,'3.57'),
(20,4673,'3.57'),
(13,4674,'1.26'),
(14,4674,'1.26'),
(15,4674,'1.26'),
(16,4674,'1.26'),
(17,4674,'1.26'),
(18,4674,'1.26'),
(19,4674,'1.26'),
(20,4674,'1.26'),
(13,4675,'1.49352'),
(14,4675,'1.49352'),
(15,4675,'1.49352'),
(16,4675,'1.49352'),
(17,4675,'1.49352'),
(18,4675,'1.49352'),
(19,4675,'1.49352'),
(20,4675,'1.49352'),
(13,4676,'1.02669'),
(14,4676,'1.02669'),
(15,4676,'1.02669'),
(16,4676,'1.02669'),
(17,4676,'1.02669'),
(18,4676,'1.02669'),
(19,4676,'1.02669'),
(20,4676,'1.02669'),
(13,4677,'1.12'),
(14,4677,'1.12'),
(15,4677,'1.12'),
(16,4677,'1.12'),
(17,4677,'1.12'),
(18,4677,'1.12'),
(19,4677,'1.12'),
(20,4677,'1.12'),
(13,4678,'0.91'),
(14,4678,'0.91'),
(15,4678,'0.91'),
(16,4678,'0.91'),
(17,4678,'0.91'),
(18,4678,'0.91'),
(19,4678,'0.91'),
(20,4678,'0.91'),
(13,4679,'1.02669'),
(14,4679,'1.02669'),
(15,4679,'1.02669'),
(16,4679,'1.02669'),
(17,4679,'1.02669'),
(18,4679,'1.02669');
INSERT INTO `#__finder_links_terms7` VALUES 
(19,4679,'1.02669'),
(20,4679,'1.02669'),
(13,4680,'1.72662'),
(14,4680,'1.72662'),
(15,4680,'1.72662'),
(16,4680,'1.72662'),
(17,4680,'1.72662'),
(18,4680,'1.72662'),
(19,4680,'1.72662'),
(20,4680,'1.72662'),
(13,4681,'2.14662'),
(14,4681,'2.14662'),
(15,4681,'2.14662'),
(16,4681,'2.14662'),
(17,4681,'2.14662'),
(18,4681,'2.14662'),
(19,4681,'2.14662'),
(20,4681,'2.14662'),
(13,4682,'1.91338'),
(14,4682,'1.91338'),
(15,4682,'1.91338'),
(16,4682,'1.91338'),
(17,4682,'1.91338'),
(18,4682,'1.91338'),
(19,4682,'1.91338'),
(20,4682,'1.91338'),
(13,4683,'2.14662'),
(14,4683,'2.14662'),
(15,4683,'2.14662'),
(16,4683,'2.14662'),
(17,4683,'2.14662'),
(18,4683,'2.14662'),
(19,4683,'2.14662'),
(20,4683,'2.14662'),
(13,4684,'1.91338'),
(14,4684,'1.91338'),
(15,4684,'1.91338'),
(16,4684,'1.91338'),
(17,4684,'1.91338'),
(18,4684,'1.91338'),
(19,4684,'1.91338'),
(20,4684,'1.91338'),
(13,4685,'2.05338'),
(14,4685,'2.05338'),
(15,4685,'2.05338'),
(16,4685,'2.05338'),
(17,4685,'2.05338'),
(18,4685,'2.05338'),
(19,4685,'2.05338'),
(20,4685,'2.05338');
INSERT INTO `#__finder_links_terms7` VALUES 
(31,4686,'0.27993'),
(32,4686,'0.55986'),
(41,4686,'0.74648'),
(13,4686,'1.11972'),
(14,4686,'1.11972'),
(15,4686,'1.11972'),
(16,4686,'1.11972'),
(17,4686,'1.11972'),
(18,4686,'1.11972'),
(19,4686,'1.11972'),
(20,4686,'1.11972'),
(13,4687,'1.96'),
(14,4687,'1.96'),
(15,4687,'1.96'),
(16,4687,'1.96'),
(17,4687,'1.96'),
(18,4687,'1.96'),
(19,4687,'1.96'),
(20,4687,'1.96'),
(13,4688,'2.19338'),
(14,4688,'2.19338'),
(15,4688,'2.19338'),
(16,4688,'2.19338'),
(17,4688,'2.19338'),
(18,4688,'2.19338'),
(19,4688,'2.19338'),
(20,4688,'2.19338'),
(13,4689,'0.91'),
(14,4689,'0.91'),
(15,4689,'0.91'),
(16,4689,'0.91'),
(17,4689,'0.91'),
(18,4689,'0.91'),
(19,4689,'0.91'),
(20,4689,'0.91'),
(41,4689,'1.82'),
(13,4690,'0.98'),
(14,4690,'0.98'),
(15,4690,'0.98'),
(16,4690,'0.98'),
(17,4690,'0.98'),
(18,4690,'0.98'),
(19,4690,'0.98'),
(20,4690,'0.98'),
(41,4690,'1.96'),
(13,4691,'3.64'),
(14,4691,'3.64'),
(15,4691,'3.64'),
(16,4691,'3.64'),
(17,4691,'3.64');
INSERT INTO `#__finder_links_terms7` VALUES 
(18,4691,'3.64'),
(19,4691,'3.64'),
(20,4691,'3.64'),
(13,4692,'4.2'),
(14,4692,'4.2'),
(15,4692,'4.2'),
(16,4692,'4.2'),
(17,4692,'4.2'),
(18,4692,'4.2'),
(19,4692,'4.2'),
(20,4692,'4.2'),
(13,4693,'0.88669'),
(14,4693,'0.88669'),
(15,4693,'0.88669'),
(16,4693,'0.88669'),
(17,4693,'0.88669'),
(18,4693,'0.88669'),
(19,4693,'0.88669'),
(20,4693,'0.88669'),
(13,4694,'0.95669'),
(14,4694,'0.95669'),
(15,4694,'0.95669'),
(16,4694,'0.95669'),
(17,4694,'0.95669'),
(18,4694,'0.95669'),
(19,4694,'0.95669'),
(20,4694,'0.95669'),
(13,4695,'0.91'),
(14,4695,'0.91'),
(15,4695,'0.91'),
(16,4695,'0.91'),
(17,4695,'0.91'),
(18,4695,'0.91'),
(19,4695,'0.91'),
(20,4695,'0.91'),
(13,4696,'1.02669'),
(14,4696,'1.02669'),
(15,4696,'1.02669'),
(16,4696,'1.02669'),
(17,4696,'1.02669'),
(18,4696,'1.02669'),
(19,4696,'1.02669'),
(20,4696,'1.02669'),
(13,4697,'1.63338'),
(14,4697,'1.63338'),
(15,4697,'1.63338'),
(16,4697,'1.63338'),
(17,4697,'1.63338'),
(18,4697,'1.63338'),
(19,4697,'1.63338');
INSERT INTO `#__finder_links_terms7` VALUES 
(20,4697,'1.63338'),
(13,4698,'2.1'),
(14,4698,'2.1'),
(15,4698,'2.1'),
(16,4698,'2.1'),
(17,4698,'2.1'),
(18,4698,'2.1'),
(19,4698,'2.1'),
(20,4698,'2.1'),
(13,4699,'1.00331'),
(14,4699,'1.00331'),
(15,4699,'1.00331'),
(16,4699,'1.00331'),
(17,4699,'1.00331'),
(18,4699,'1.00331'),
(19,4699,'1.00331'),
(20,4699,'1.00331'),
(13,4700,'1.16669'),
(14,4700,'1.16669'),
(15,4700,'1.16669'),
(16,4700,'1.16669'),
(17,4700,'1.16669'),
(18,4700,'1.16669'),
(19,4700,'1.16669'),
(20,4700,'1.16669'),
(31,7387,'0.01169'),
(41,7387,'0.02338'),
(31,7388,'0.84'),
(41,7388,'1.68'),
(31,7389,'0.91'),
(41,7389,'1.82'),
(31,7390,'2.87007'),
(41,7390,'5.74014'),
(31,7391,'3.21993'),
(41,7391,'6.43986'),
(31,7402,'2.79993'),
(41,7402,'5.59986'),
(31,7403,'3.21993'),
(41,7403,'3.21993'),
(31,7404,'2.66007'),
(41,7404,'5.32014'),
(31,7405,'3.08007'),
(41,7405,'3.08007'),
(31,7424,'1.04004'),
(31,7425,'1.05'),
(41,7425,'2.1'),
(31,7426,'1.07331'),
(41,7426,'2.14662'),
(31,7427,'2.58993'),
(41,7427,'5.17986');
INSERT INTO `#__finder_links_terms7` VALUES 
(31,7428,'3.15'),
(41,7428,'5.25'),
(32,7694,'0.93331'),
(32,7695,'1.05'),
(32,7696,'0.91'),
(32,7697,'1.07331'),
(32,7698,'1.00331'),
(32,7699,'1.19'),
(32,7700,'0.88669'),
(32,7701,'1.05'),
(32,7702,'0.86331'),
(32,7703,'0.98'),
(32,7704,'0.95669'),
(32,7705,'1.19'),
(32,7706,'0.95669'),
(32,7707,'1.02669'),
(32,7708,'1.05'),
(32,7709,'1.12'),
(32,7710,'0.28'),
(32,7711,'0.93331'),
(32,7712,'1.07331'),
(32,7723,'1.00331'),
(32,7767,'0.98'),
(32,7768,'1.21331'),
(32,7769,'2.79993'),
(32,7770,'3.21993'),
(32,7771,'0.81669'),
(32,7772,'0.95669'),
(32,7773,'0.86331'),
(32,7774,'1.07331'),
(32,7775,'0.91'),
(32,7776,'1.05'),
(34,8434,'0.28'),
(34,8435,'0.93331'),
(34,8436,'1.07331'),
(34,8497,'0.95669'),
(34,8498,'1.21331'),
(34,8499,'1.30676'),
(34,8500,'1.05'),
(34,8501,'1.14331'),
(34,8502,'1.02669'),
(34,8503,'1.23669'),
(34,8504,'2.05338'),
(34,8505,'1.30669'),
(34,8506,'1.23669'),
(41,22425,'1.30683'),
(41,22426,'5.04'),
(41,22427,'4.43345'),
(41,22428,'0.93331'),
(41,22429,'0.91');
INSERT INTO `#__finder_links_terms7` VALUES 
(41,22430,'1.23669'),
(41,22431,'11.4803'),
(41,22432,'13.44'),
(41,22433,'10.92'),
(41,22434,'12.0397'),
(41,22435,'0.32669'),
(41,22436,'1.02669'),
(41,22437,'1.07331'),
(41,22438,'45.2212'),
(41,22439,'51.1688'),
(41,22541,'3.00993'),
(41,22542,'2.87007'),
(41,22543,'11.4803'),
(41,22544,'14.0003'),
(41,22722,'0.18662'),
(41,22723,'0.79331'),
(41,22724,'0.86331'),
(41,22725,'0.88669'),
(41,22726,'1.67958'),
(41,22727,'2.66007'),
(41,22728,'1.21331'),
(41,22729,'1.28331'),
(41,22730,'1.21331'),
(41,22731,'4.2'),
(41,22732,'4.66655'),
(41,22733,'2.58993'),
(41,22734,'3.29007'),
(41,22735,'4.08345'),
(41,22736,'4.78345'),
(41,22737,'0.86331'),
(41,22738,'0.98'),
(41,22739,'1.05'),
(41,22740,'1.12'),
(41,22741,'0.42'),
(41,22742,'1.05'),
(41,22743,'1.12'),
(41,22744,'2.45007'),
(41,22745,'2.73'),
(41,22746,'0.93331'),
(41,22747,'0.81669'),
(41,22748,'0.88669'),
(41,22749,'4.2'),
(41,22750,'2.33338'),
(41,22751,'2.33338'),
(49,23097,'0.74676'),
(49,23098,'0.86331'),
(49,23099,'0.91'),
(49,23100,'1.05'),
(49,23101,'1.14331'),
(49,23102,'1.02669');
INSERT INTO `#__finder_links_terms7` VALUES 
(49,23103,'1.07331'),
(49,23104,'1.02669'),
(49,23105,'1.07331'),
(49,23106,'0.95669'),
(49,23215,'0.07'),
(49,23216,'3.45324'),
(49,23217,'1.05'),
(49,23218,'2.19338'),
(49,23219,'1.02669'),
(49,23220,'0.28'),
(49,23221,'1.00331'),
(49,23222,'1.07331');

DROP TABLE IF EXISTS #__finder_links_terms8;
CREATE TABLE `#__finder_links_terms8` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_terms8` VALUES 
(42,402,'0.23331'),
(31,402,'0.69993'),
(13,402,'0.93324'),
(14,402,'0.93324'),
(15,402,'0.93324'),
(16,402,'0.93324'),
(17,402,'0.93324'),
(18,402,'0.93324'),
(19,402,'0.93324'),
(20,402,'0.93324'),
(32,402,'1.16655'),
(41,402,'6.9993'),
(5,419,'0.6666'),
(6,419,'0.6666'),
(13,419,'0.6666'),
(14,419,'0.6666'),
(15,419,'0.6666'),
(16,419,'0.6666'),
(17,419,'0.6666'),
(18,419,'0.6666'),
(19,419,'0.6666'),
(20,419,'0.6666'),
(31,419,'0.6666'),
(32,419,'0.6666'),
(34,419,'0.6666'),
(41,419,'0.6666'),
(42,419,'0.6666'),
(49,419,'0.6666'),
(34,420,'0.37331'),
(42,420,'0.37331'),
(31,420,'2.23986'),
(41,420,'5.22634'),
(42,423,'0.23331'),
(14,423,'0.69993'),
(15,423,'0.69993'),
(16,423,'0.69993'),
(17,423,'0.69993'),
(18,423,'0.69993'),
(19,423,'0.69993'),
(20,423,'0.69993'),
(31,423,'0.69993'),
(32,423,'0.69993'),
(13,423,'1.93314'),
(41,423,'19.8314'),
(42,424,'0.95669'),
(32,424,'1.91338'),
(13,424,'2.87007'),
(14,424,'2.87007'),
(15,424,'2.87007'),
(16,424,'2.87007');
INSERT INTO `#__finder_links_terms8` VALUES 
(17,424,'2.87007'),
(18,424,'2.87007'),
(19,424,'2.87007'),
(20,424,'2.87007'),
(31,424,'2.87007'),
(41,424,'26.7873'),
(13,436,'0.46662'),
(14,436,'0.46662'),
(15,436,'0.46662'),
(16,436,'0.46662'),
(17,436,'0.46662'),
(18,436,'0.46662'),
(19,436,'0.46662'),
(20,436,'0.46662'),
(31,436,'0.69993'),
(42,436,'0.93324'),
(41,436,'3.26634'),
(5,577,'0.42'),
(34,577,'0.42'),
(5,578,'1.09669'),
(5,579,'1.16669'),
(5,580,'0.98007'),
(5,581,'1.82'),
(5,582,'1.14331'),
(5,583,'1.07331'),
(5,584,'1.00331'),
(5,585,'1.19'),
(5,586,'1.26'),
(5,587,'0.98'),
(5,588,'1.14331'),
(5,589,'0.98'),
(5,590,'1.05'),
(5,591,'1.05'),
(5,592,'1.14331'),
(5,593,'0.18669'),
(5,594,'0.88669'),
(5,595,'1.02669'),
(5,611,'0.18669'),
(5,612,'0.88669'),
(5,613,'1.00331'),
(6,614,'0.42'),
(5,614,'0.84'),
(49,614,'1.26'),
(5,615,'1.12'),
(5,616,'1.35331'),
(5,617,'1.12'),
(5,618,'1.4'),
(5,619,'0.0175'),
(6,619,'0.035'),
(49,619,'0.07');
INSERT INTO `#__finder_links_terms8` VALUES 
(34,619,'0.105'),
(5,620,'0.88669'),
(5,621,'0.98'),
(5,622,'0.23331'),
(5,623,'0.95669'),
(5,624,'1.02669'),
(5,639,'0.09331'),
(13,639,'0.37324'),
(14,639,'0.37324'),
(15,639,'0.37324'),
(16,639,'0.37324'),
(17,639,'0.37324'),
(18,639,'0.37324'),
(19,639,'0.37324'),
(20,639,'0.37324'),
(5,640,'0.81669'),
(5,641,'0.91'),
(5,642,'0.01169'),
(49,642,'0.03507'),
(5,643,'0.84'),
(49,643,'2.52'),
(5,644,'0.95669'),
(49,644,'1.91338'),
(6,645,'0.01169'),
(31,645,'0.01169'),
(5,645,'0.02338'),
(42,645,'0.02338'),
(41,645,'0.07014'),
(13,645,'0.08183'),
(14,645,'0.08183'),
(15,645,'0.08183'),
(16,645,'0.08183'),
(17,645,'0.08183'),
(18,645,'0.08183'),
(19,645,'0.08183'),
(20,645,'0.08183'),
(32,645,'0.08183'),
(5,646,'0.79331'),
(6,646,'0.79331'),
(5,647,'0.95669'),
(5,648,'0.84'),
(5,649,'1.07331'),
(34,650,'0.01169'),
(6,650,'0.02338'),
(5,650,'0.04676'),
(41,650,'0.09352'),
(5,651,'0.79331'),
(6,651,'0.79331'),
(5,652,'0.95669'),
(5,653,'0.98');
INSERT INTO `#__finder_links_terms8` VALUES 
(5,654,'1.12'),
(5,655,'0.98'),
(5,656,'1.05'),
(5,657,'0.84'),
(5,658,'1.00331'),
(5,659,'0.03507'),
(5,660,'0.91'),
(5,661,'0.98'),
(5,662,'0.93331'),
(5,663,'1.02669'),
(5,664,'0.81669'),
(5,665,'1.05'),
(5,733,'0.11655'),
(6,733,'0.16983'),
(5,734,'0.88669'),
(5,735,'0.95669'),
(5,736,'0.86331'),
(5,737,'0.95669'),
(5,738,'0.88669'),
(5,739,'1.02669'),
(5,740,'0.91'),
(6,740,'0.91'),
(5,741,'0.95669'),
(6,741,'0.95669'),
(5,742,'0.88669'),
(6,742,'0.88669'),
(5,743,'1.00331'),
(5,744,'0.14'),
(6,744,'0.14'),
(5,745,'0.28'),
(5,746,'0.93331'),
(5,747,'1.05'),
(5,748,'0.28'),
(5,749,'0.91'),
(5,750,'1.07331'),
(5,751,'0.37331'),
(5,752,'1.26'),
(5,753,'1.35331'),
(5,754,'0.42'),
(5,755,'0.98'),
(5,756,'1.07331'),
(6,1049,'0.32669'),
(6,1050,'1.02669'),
(6,1051,'1.09669'),
(6,1059,'0.18669'),
(6,1060,'1.02669'),
(6,1061,'1.30669'),
(6,1062,'0.18669'),
(6,1063,'0.86331'),
(6,1064,'0.91');
INSERT INTO `#__finder_links_terms8` VALUES 
(6,1065,'1.02669'),
(6,1066,'1.26'),
(6,1067,'0.95669'),
(6,1068,'1.14331'),
(6,1069,'0.88669'),
(6,1070,'1.07331'),
(6,1071,'0.23331'),
(6,1072,'0.88669'),
(6,1073,'1.00331'),
(6,1083,'0.91'),
(6,1084,'1.07331'),
(6,1085,'1.02669'),
(6,1086,'1.14331'),
(6,1112,'1.00331'),
(6,1113,'0.51331'),
(6,1114,'1.02669'),
(6,1115,'1.21331'),
(31,1550,'1.12014'),
(41,1550,'4.48056'),
(13,1555,'1.82'),
(14,1555,'1.82'),
(15,1555,'1.82'),
(16,1555,'1.82'),
(17,1555,'1.82'),
(18,1555,'1.82'),
(19,1555,'1.82'),
(20,1555,'1.82'),
(32,1555,'1.82'),
(31,1555,'2.73'),
(41,1555,'25.48'),
(13,1556,'2.05338'),
(14,1556,'2.05338'),
(15,1556,'2.05338'),
(16,1556,'2.05338'),
(17,1556,'2.05338'),
(18,1556,'2.05338'),
(19,1556,'2.05338'),
(20,1556,'2.05338'),
(32,1556,'2.05338'),
(31,1556,'3.08007'),
(41,1556,'28.7473'),
(13,1573,'2.1'),
(14,1573,'2.1'),
(15,1573,'2.1'),
(16,1573,'2.1'),
(17,1573,'2.1'),
(18,1573,'2.1'),
(19,1573,'2.1'),
(20,1573,'2.1'),
(32,1573,'2.1');
INSERT INTO `#__finder_links_terms8` VALUES 
(31,1573,'3.15'),
(41,1573,'27.3'),
(42,1802,'0.69993'),
(41,1802,'1.39986'),
(42,1803,'2.79993'),
(41,1803,'5.59986'),
(41,1804,'1.19'),
(42,1804,'1.19'),
(42,1805,'2.14662'),
(41,1805,'4.29324'),
(42,1806,'0.84'),
(41,1806,'1.68'),
(41,1807,'1.05'),
(42,1807,'1.05'),
(41,1808,'1.19'),
(42,1808,'1.19'),
(41,1809,'1.02669'),
(42,1809,'1.02669'),
(41,1810,'1.14331'),
(42,1810,'1.14331'),
(41,1811,'0.95669'),
(42,1811,'0.95669'),
(41,1812,'1.14331'),
(42,1812,'1.14331'),
(42,1813,'0.46662'),
(31,1813,'0.69993'),
(13,1813,'2.3331'),
(14,1813,'2.3331'),
(15,1813,'2.3331'),
(16,1813,'2.3331'),
(17,1813,'2.3331'),
(18,1813,'2.3331'),
(19,1813,'2.3331'),
(20,1813,'2.3331'),
(41,1813,'2.3331'),
(42,1814,'2.14662'),
(41,1814,'4.29324'),
(41,1815,'2.28662'),
(42,1815,'2.28662'),
(42,1819,'0.84'),
(41,1819,'1.68'),
(13,1819,'2.1'),
(14,1819,'2.1'),
(15,1819,'2.1'),
(16,1819,'2.1'),
(17,1819,'2.1'),
(18,1819,'2.1'),
(19,1819,'2.1'),
(20,1819,'2.1'),
(42,1820,'1.96');
INSERT INTO `#__finder_links_terms8` VALUES 
(41,1820,'3.92'),
(42,1821,'2.24'),
(41,1821,'4.48'),
(32,1825,'0.65338'),
(13,1825,'0.98007'),
(14,1825,'0.98007'),
(15,1825,'0.98007'),
(16,1825,'0.98007'),
(17,1825,'0.98007'),
(18,1825,'0.98007'),
(19,1825,'0.98007'),
(20,1825,'0.98007'),
(42,1825,'1.30676'),
(41,1825,'2.61352'),
(13,1826,'3.00993'),
(14,1826,'3.00993'),
(15,1826,'3.00993'),
(16,1826,'3.00993'),
(17,1826,'3.00993'),
(18,1826,'3.00993'),
(19,1826,'3.00993'),
(20,1826,'3.00993'),
(42,1826,'4.01324'),
(41,1826,'8.02648'),
(42,1827,'4.94676'),
(41,1827,'9.89352'),
(42,1828,'0.84'),
(41,1828,'1.68'),
(13,1828,'2.1'),
(14,1828,'2.1'),
(15,1828,'2.1'),
(16,1828,'2.1'),
(17,1828,'2.1'),
(18,1828,'2.1'),
(19,1828,'2.1'),
(20,1828,'2.1'),
(42,1829,'2.28662'),
(41,1829,'4.57324'),
(41,1830,'1.28331'),
(42,1830,'1.28331'),
(41,1831,'1.26'),
(42,1831,'1.26'),
(42,1832,'1.96'),
(41,1832,'3.92'),
(42,1833,'2.1'),
(41,1833,'4.2'),
(41,1834,'1.02669'),
(42,1834,'1.02669'),
(41,1835,'1.21331'),
(42,1835,'1.21331');
INSERT INTO `#__finder_links_terms8` VALUES 
(41,1836,'1.09669'),
(42,1836,'1.09669'),
(42,1841,'0.93338'),
(41,1841,'1.86676'),
(41,1842,'2.00662'),
(42,1842,'2.00662'),
(41,1843,'2.47338'),
(42,1843,'2.47338'),
(42,1844,'4.01324'),
(41,1844,'8.02648'),
(42,1845,'4.57324'),
(41,1845,'9.14648'),
(42,1846,'0.93324'),
(13,1846,'1.63317'),
(14,1846,'1.63317'),
(15,1846,'1.63317'),
(16,1846,'1.63317'),
(17,1846,'1.63317'),
(18,1846,'1.63317'),
(19,1846,'1.63317'),
(20,1846,'1.63317'),
(41,1846,'1.86648'),
(42,1847,'4.2'),
(41,1847,'8.4'),
(42,1848,'4.57324'),
(41,1848,'9.14648'),
(13,2194,'0.37338'),
(14,2194,'0.37338'),
(15,2194,'0.37338'),
(16,2194,'0.37338'),
(17,2194,'0.37338'),
(18,2194,'0.37338'),
(19,2194,'0.37338'),
(20,2194,'0.37338'),
(41,2194,'11.7615'),
(32,2217,'0.69993'),
(41,2217,'1.39986'),
(13,2217,'2.09979'),
(14,2217,'2.09979'),
(15,2217,'2.09979'),
(16,2217,'2.09979'),
(17,2217,'2.09979'),
(18,2217,'2.09979'),
(19,2217,'2.09979'),
(20,2217,'2.09979'),
(13,3181,'0.23331'),
(14,3181,'0.23331'),
(15,3181,'0.23331'),
(16,3181,'0.23331'),
(17,3181,'0.23331');
INSERT INTO `#__finder_links_terms8` VALUES 
(18,3181,'0.23331'),
(19,3181,'0.23331'),
(20,3181,'0.23331'),
(41,3181,'1.39986'),
(32,3184,'0.65338'),
(41,3184,'1.30676'),
(32,4081,'0.98007'),
(13,4081,'1.30676'),
(14,4081,'1.30676'),
(15,4081,'1.30676'),
(16,4081,'1.30676'),
(17,4081,'1.30676'),
(18,4081,'1.30676'),
(19,4081,'1.30676'),
(20,4081,'1.30676'),
(13,4082,'1.02669'),
(14,4082,'1.02669'),
(15,4082,'1.02669'),
(16,4082,'1.02669'),
(17,4082,'1.02669'),
(18,4082,'1.02669'),
(19,4082,'1.02669'),
(20,4082,'1.02669'),
(13,4083,'1.09669'),
(14,4083,'1.09669'),
(15,4083,'1.09669'),
(16,4083,'1.09669'),
(17,4083,'1.09669'),
(18,4083,'1.09669'),
(19,4083,'1.09669'),
(20,4083,'1.09669'),
(13,4084,'3.42993'),
(14,4084,'3.42993'),
(15,4084,'3.42993'),
(16,4084,'3.42993'),
(17,4084,'3.42993'),
(18,4084,'3.42993'),
(19,4084,'3.42993'),
(20,4084,'3.42993'),
(13,4085,'2.42662'),
(14,4085,'2.42662'),
(15,4085,'2.42662'),
(16,4085,'2.42662'),
(17,4085,'2.42662'),
(18,4085,'2.42662'),
(19,4085,'2.42662'),
(20,4085,'2.42662'),
(13,4086,'1.21331'),
(14,4086,'1.21331'),
(15,4086,'1.21331');
INSERT INTO `#__finder_links_terms8` VALUES 
(16,4086,'1.21331'),
(17,4086,'1.21331'),
(18,4086,'1.21331'),
(19,4086,'1.21331'),
(20,4086,'1.21331'),
(32,4087,'0.28'),
(13,4087,'1.12'),
(14,4087,'1.12'),
(15,4087,'1.12'),
(16,4087,'1.12'),
(17,4087,'1.12'),
(18,4087,'1.12'),
(19,4087,'1.12'),
(20,4087,'1.12'),
(13,4088,'2.94'),
(14,4088,'2.94'),
(15,4088,'2.94'),
(16,4088,'2.94'),
(17,4088,'2.94'),
(18,4088,'2.94'),
(19,4088,'2.94'),
(20,4088,'2.94'),
(13,4089,'3.21993'),
(14,4089,'3.21993'),
(15,4089,'3.21993'),
(16,4089,'3.21993'),
(17,4089,'3.21993'),
(18,4089,'3.21993'),
(19,4089,'3.21993'),
(20,4089,'3.21993'),
(13,4090,'1.07331'),
(14,4090,'1.07331'),
(15,4090,'1.07331'),
(16,4090,'1.07331'),
(17,4090,'1.07331'),
(18,4090,'1.07331'),
(19,4090,'1.07331'),
(20,4090,'1.07331'),
(13,4091,'0.09331'),
(14,4091,'0.09331'),
(15,4091,'0.09331'),
(16,4091,'0.09331'),
(17,4091,'0.09331'),
(18,4091,'0.09331'),
(19,4091,'0.09331'),
(20,4091,'0.09331'),
(41,4091,'0.18662'),
(13,4092,'0.93331'),
(14,4092,'0.93331'),
(15,4092,'0.93331');
INSERT INTO `#__finder_links_terms8` VALUES 
(16,4092,'0.93331'),
(17,4092,'0.93331'),
(18,4092,'0.93331'),
(19,4092,'0.93331'),
(20,4092,'0.93331'),
(41,4092,'1.86662'),
(13,4093,'1.09669'),
(14,4093,'1.09669'),
(15,4093,'1.09669'),
(16,4093,'1.09669'),
(17,4093,'1.09669'),
(18,4093,'1.09669'),
(19,4093,'1.09669'),
(20,4093,'1.09669'),
(41,4093,'2.19338'),
(13,4094,'0.91'),
(14,4094,'0.91'),
(15,4094,'0.91'),
(16,4094,'0.91'),
(17,4094,'0.91'),
(18,4094,'0.91'),
(19,4094,'0.91'),
(20,4094,'0.91'),
(13,4095,'1.19'),
(14,4095,'1.19'),
(15,4095,'1.19'),
(16,4095,'1.19'),
(17,4095,'1.19'),
(18,4095,'1.19'),
(19,4095,'1.19'),
(20,4095,'1.19'),
(13,4096,'0.93331'),
(14,4096,'0.93331'),
(15,4096,'0.93331'),
(16,4096,'0.93331'),
(17,4096,'0.93331'),
(18,4096,'0.93331'),
(19,4096,'0.93331'),
(20,4096,'0.93331'),
(13,4097,'1.14331'),
(14,4097,'1.14331'),
(15,4097,'1.14331'),
(16,4097,'1.14331'),
(17,4097,'1.14331'),
(18,4097,'1.14331'),
(19,4097,'1.14331'),
(20,4097,'1.14331'),
(13,4098,'0.28'),
(14,4098,'0.28'),
(15,4098,'0.28');
INSERT INTO `#__finder_links_terms8` VALUES 
(16,4098,'0.28'),
(17,4098,'0.28'),
(18,4098,'0.28'),
(19,4098,'0.28'),
(20,4098,'0.28'),
(41,4098,'0.56'),
(13,4099,'0.98'),
(14,4099,'0.98'),
(15,4099,'0.98'),
(16,4099,'0.98'),
(17,4099,'0.98'),
(18,4099,'0.98'),
(19,4099,'0.98'),
(20,4099,'0.98'),
(41,4099,'1.96'),
(13,4100,'1.14331'),
(14,4100,'1.14331'),
(15,4100,'1.14331'),
(16,4100,'1.14331'),
(17,4100,'1.14331'),
(18,4100,'1.14331'),
(19,4100,'1.14331'),
(20,4100,'1.14331'),
(41,4100,'2.28662'),
(13,4101,'2.79993'),
(14,4101,'2.79993'),
(15,4101,'2.79993'),
(16,4101,'2.79993'),
(17,4101,'2.79993'),
(18,4101,'2.79993'),
(19,4101,'2.79993'),
(20,4101,'2.79993'),
(13,4102,'3.21993'),
(14,4102,'3.21993'),
(15,4102,'3.21993'),
(16,4102,'3.21993'),
(17,4102,'3.21993'),
(18,4102,'3.21993'),
(19,4102,'3.21993'),
(20,4102,'3.21993'),
(13,4103,'1.00331'),
(14,4103,'1.00331'),
(15,4103,'1.00331'),
(16,4103,'1.00331'),
(17,4103,'1.00331'),
(18,4103,'1.00331'),
(19,4103,'1.00331'),
(20,4103,'1.00331'),
(13,4104,'1.09669'),
(14,4104,'1.09669');
INSERT INTO `#__finder_links_terms8` VALUES 
(15,4104,'1.09669'),
(16,4104,'1.09669'),
(17,4104,'1.09669'),
(18,4104,'1.09669'),
(19,4104,'1.09669'),
(20,4104,'1.09669'),
(13,4105,'4.55'),
(14,4105,'4.55'),
(15,4105,'4.55'),
(16,4105,'4.55'),
(17,4105,'4.55'),
(18,4105,'4.55'),
(19,4105,'4.55'),
(20,4105,'4.55'),
(13,4106,'5.13345'),
(14,4106,'5.13345'),
(15,4106,'5.13345'),
(16,4106,'5.13345'),
(17,4106,'5.13345'),
(18,4106,'5.13345'),
(19,4106,'5.13345'),
(20,4106,'5.13345'),
(13,4107,'0.91'),
(14,4107,'0.91'),
(15,4107,'0.91'),
(16,4107,'0.91'),
(17,4107,'0.91'),
(18,4107,'0.91'),
(19,4107,'0.91'),
(20,4107,'0.91'),
(13,4108,'1.02669'),
(14,4108,'1.02669'),
(15,4108,'1.02669'),
(16,4108,'1.02669'),
(17,4108,'1.02669'),
(18,4108,'1.02669'),
(19,4108,'1.02669'),
(20,4108,'1.02669'),
(13,4109,'0.14'),
(14,4109,'0.14'),
(15,4109,'0.14'),
(16,4109,'0.14'),
(17,4109,'0.14'),
(18,4109,'0.14'),
(19,4109,'0.14'),
(20,4109,'0.14'),
(13,4110,'0.95669'),
(14,4110,'0.95669'),
(15,4110,'0.95669'),
(16,4110,'0.95669');
INSERT INTO `#__finder_links_terms8` VALUES 
(17,4110,'0.95669'),
(18,4110,'0.95669'),
(19,4110,'0.95669'),
(20,4110,'0.95669'),
(13,4111,'1.14331'),
(14,4111,'1.14331'),
(15,4111,'1.14331'),
(16,4111,'1.14331'),
(17,4111,'1.14331'),
(18,4111,'1.14331'),
(19,4111,'1.14331'),
(20,4111,'1.14331'),
(13,4112,'1.72662'),
(14,4112,'1.72662'),
(15,4112,'1.72662'),
(16,4112,'1.72662'),
(17,4112,'1.72662'),
(18,4112,'1.72662'),
(19,4112,'1.72662'),
(20,4112,'1.72662'),
(13,4113,'1.96'),
(14,4113,'1.96'),
(15,4113,'1.96'),
(16,4113,'1.96'),
(17,4113,'1.96'),
(18,4113,'1.96'),
(19,4113,'1.96'),
(20,4113,'1.96'),
(13,4201,'1.11993'),
(14,4201,'1.11993'),
(15,4201,'1.11993'),
(16,4201,'1.11993'),
(17,4201,'1.11993'),
(18,4201,'1.11993'),
(19,4201,'1.11993'),
(20,4201,'1.11993'),
(13,4202,'2.94'),
(14,4202,'2.94'),
(15,4202,'2.94'),
(16,4202,'2.94'),
(17,4202,'2.94'),
(18,4202,'2.94'),
(19,4202,'2.94'),
(20,4202,'2.94'),
(13,4203,'3.42993'),
(14,4203,'3.42993'),
(15,4203,'3.42993'),
(16,4203,'3.42993'),
(17,4203,'3.42993'),
(18,4203,'3.42993');
INSERT INTO `#__finder_links_terms8` VALUES 
(19,4203,'3.42993'),
(20,4203,'3.42993'),
(13,4204,'4.01324'),
(14,4204,'4.01324'),
(15,4204,'4.01324'),
(16,4204,'4.01324'),
(17,4204,'4.01324'),
(18,4204,'4.01324'),
(19,4204,'4.01324'),
(20,4204,'4.01324'),
(13,4205,'4.48'),
(14,4205,'4.48'),
(15,4205,'4.48'),
(16,4205,'4.48'),
(17,4205,'4.48'),
(18,4205,'4.48'),
(19,4205,'4.48'),
(20,4205,'4.48'),
(13,4206,'1.00331'),
(14,4206,'1.00331'),
(15,4206,'1.00331'),
(16,4206,'1.00331'),
(17,4206,'1.00331'),
(18,4206,'1.00331'),
(19,4206,'1.00331'),
(20,4206,'1.00331'),
(13,4207,'1.12'),
(14,4207,'1.12'),
(15,4207,'1.12'),
(16,4207,'1.12'),
(17,4207,'1.12'),
(18,4207,'1.12'),
(19,4207,'1.12'),
(20,4207,'1.12'),
(13,4208,'0.37331'),
(14,4208,'0.37331'),
(15,4208,'0.37331'),
(16,4208,'0.37331'),
(17,4208,'0.37331'),
(18,4208,'0.37331'),
(19,4208,'0.37331'),
(20,4208,'0.37331'),
(32,4208,'0.37331'),
(13,4209,'0.95669'),
(14,4209,'0.95669'),
(15,4209,'0.95669'),
(16,4209,'0.95669'),
(17,4209,'0.95669'),
(18,4209,'0.95669'),
(19,4209,'0.95669');
INSERT INTO `#__finder_links_terms8` VALUES 
(20,4209,'0.95669'),
(13,4210,'1.09669'),
(14,4210,'1.09669'),
(15,4210,'1.09669'),
(16,4210,'1.09669'),
(17,4210,'1.09669'),
(18,4210,'1.09669'),
(19,4210,'1.09669'),
(20,4210,'1.09669'),
(13,4211,'4.2'),
(14,4211,'4.2'),
(15,4211,'4.2'),
(16,4211,'4.2'),
(17,4211,'4.2'),
(18,4211,'4.2'),
(19,4211,'4.2'),
(20,4211,'4.2'),
(13,4212,'4.57324'),
(14,4212,'4.57324'),
(15,4212,'4.57324'),
(16,4212,'4.57324'),
(17,4212,'4.57324'),
(18,4212,'4.57324'),
(19,4212,'4.57324'),
(20,4212,'4.57324'),
(13,4213,'0.88669'),
(14,4213,'0.88669'),
(15,4213,'0.88669'),
(16,4213,'0.88669'),
(17,4213,'0.88669'),
(18,4213,'0.88669'),
(19,4213,'0.88669'),
(20,4213,'0.88669'),
(13,4214,'1.05'),
(14,4214,'1.05'),
(15,4214,'1.05'),
(16,4214,'1.05'),
(17,4214,'1.05'),
(18,4214,'1.05'),
(19,4214,'1.05'),
(20,4214,'1.05'),
(13,4215,'1.91338'),
(14,4215,'1.91338'),
(15,4215,'1.91338'),
(16,4215,'1.91338'),
(17,4215,'1.91338'),
(18,4215,'1.91338'),
(19,4215,'1.91338'),
(20,4215,'1.91338'),
(13,4216,'2.33338');
INSERT INTO `#__finder_links_terms8` VALUES 
(14,4216,'2.33338'),
(15,4216,'2.33338'),
(16,4216,'2.33338'),
(17,4216,'2.33338'),
(18,4216,'2.33338'),
(19,4216,'2.33338'),
(20,4216,'2.33338'),
(13,4217,'1.82'),
(14,4217,'1.82'),
(15,4217,'1.82'),
(16,4217,'1.82'),
(17,4217,'1.82'),
(18,4217,'1.82'),
(19,4217,'1.82'),
(20,4217,'1.82'),
(13,4218,'2.05338'),
(14,4218,'2.05338'),
(15,4218,'2.05338'),
(16,4218,'2.05338'),
(17,4218,'2.05338'),
(18,4218,'2.05338'),
(19,4218,'2.05338'),
(20,4218,'2.05338'),
(13,4219,'0.42'),
(14,4219,'0.42'),
(15,4219,'0.42'),
(16,4219,'0.42'),
(17,4219,'0.42'),
(18,4219,'0.42'),
(19,4219,'0.42'),
(20,4219,'0.42'),
(13,4220,'1.05'),
(14,4220,'1.05'),
(15,4220,'1.05'),
(16,4220,'1.05'),
(17,4220,'1.05'),
(18,4220,'1.05'),
(19,4220,'1.05'),
(20,4220,'1.05'),
(13,4221,'1.14331'),
(14,4221,'1.14331'),
(15,4221,'1.14331'),
(16,4221,'1.14331'),
(17,4221,'1.14331'),
(18,4221,'1.14331'),
(19,4221,'1.14331'),
(20,4221,'1.14331'),
(13,4222,'1.30676'),
(14,4222,'1.30676'),
(15,4222,'1.30676');
INSERT INTO `#__finder_links_terms8` VALUES 
(17,4222,'1.30676'),
(18,4222,'1.30676'),
(19,4222,'1.30676'),
(20,4222,'1.30676'),
(16,4222,'3.03355'),
(13,4223,'0.91'),
(14,4223,'0.91'),
(15,4223,'0.91'),
(16,4223,'0.91'),
(17,4223,'0.91'),
(18,4223,'0.91'),
(19,4223,'0.91'),
(20,4223,'0.91'),
(13,4224,'1.05'),
(14,4224,'1.05'),
(15,4224,'1.05'),
(16,4224,'1.05'),
(17,4224,'1.05'),
(18,4224,'1.05'),
(19,4224,'1.05'),
(20,4224,'1.05'),
(13,4225,'0.98'),
(14,4225,'0.98'),
(15,4225,'0.98'),
(16,4225,'0.98'),
(17,4225,'0.98'),
(18,4225,'0.98'),
(19,4225,'0.98'),
(20,4225,'0.98'),
(13,4226,'1.05'),
(14,4226,'1.05'),
(15,4226,'1.05'),
(16,4226,'1.05'),
(17,4226,'1.05'),
(18,4226,'1.05'),
(19,4226,'1.05'),
(20,4226,'1.05'),
(13,4227,'2.14662'),
(14,4227,'2.14662'),
(15,4227,'2.14662'),
(16,4227,'2.14662'),
(17,4227,'2.14662'),
(18,4227,'2.14662'),
(19,4227,'2.14662'),
(20,4227,'2.14662'),
(13,4228,'2.47338'),
(14,4228,'2.47338'),
(15,4228,'2.47338'),
(16,4228,'2.47338'),
(17,4228,'2.47338');
INSERT INTO `#__finder_links_terms8` VALUES 
(18,4228,'2.47338'),
(19,4228,'2.47338'),
(20,4228,'2.47338'),
(13,4229,'0.42'),
(14,4229,'0.42'),
(15,4229,'0.42'),
(16,4229,'0.42'),
(17,4229,'0.42'),
(18,4229,'0.42'),
(19,4229,'0.42'),
(20,4229,'0.42'),
(13,4230,'1.05'),
(14,4230,'1.05'),
(15,4230,'1.05'),
(16,4230,'1.05'),
(17,4230,'1.05'),
(18,4230,'1.05'),
(19,4230,'1.05'),
(20,4230,'1.05'),
(13,4231,'1.14331'),
(14,4231,'1.14331'),
(15,4231,'1.14331'),
(16,4231,'1.14331'),
(17,4231,'1.14331'),
(18,4231,'1.14331'),
(19,4231,'1.14331'),
(20,4231,'1.14331'),
(13,4232,'0.23331'),
(14,4232,'0.23331'),
(15,4232,'0.23331'),
(16,4232,'0.23331'),
(17,4232,'0.23331'),
(18,4232,'0.23331'),
(19,4232,'0.23331'),
(20,4232,'0.23331'),
(13,4233,'0.88669'),
(14,4233,'0.88669'),
(15,4233,'0.88669'),
(16,4233,'0.88669'),
(17,4233,'0.88669'),
(18,4233,'0.88669'),
(19,4233,'0.88669'),
(20,4233,'0.88669'),
(13,4234,'1.02669'),
(14,4234,'1.02669'),
(15,4234,'1.02669'),
(16,4234,'1.02669'),
(17,4234,'1.02669'),
(18,4234,'1.02669'),
(19,4234,'1.02669');
INSERT INTO `#__finder_links_terms8` VALUES 
(20,4234,'1.02669'),
(13,4249,'3.29007'),
(14,4249,'3.29007'),
(15,4249,'3.29007'),
(16,4249,'3.29007'),
(17,4249,'3.29007'),
(18,4249,'3.29007'),
(19,4249,'3.29007'),
(20,4249,'3.29007'),
(13,4250,'1.72662'),
(14,4250,'1.72662'),
(15,4250,'1.72662'),
(16,4250,'1.72662'),
(17,4250,'1.72662'),
(18,4250,'1.72662'),
(19,4250,'1.72662'),
(20,4250,'1.72662'),
(13,4251,'1.96'),
(14,4251,'1.96'),
(15,4251,'1.96'),
(16,4251,'1.96'),
(17,4251,'1.96'),
(18,4251,'1.96'),
(19,4251,'1.96'),
(20,4251,'1.96'),
(13,4252,'1.82'),
(14,4252,'1.82'),
(15,4252,'1.82'),
(16,4252,'1.82'),
(17,4252,'1.82'),
(18,4252,'1.82'),
(19,4252,'1.82'),
(20,4252,'1.82'),
(13,4253,'2.1'),
(14,4253,'2.1'),
(15,4253,'2.1'),
(16,4253,'2.1'),
(17,4253,'2.1'),
(18,4253,'2.1'),
(19,4253,'2.1'),
(20,4253,'2.1'),
(13,4254,'2.05338'),
(14,4254,'2.05338'),
(15,4254,'2.05338'),
(16,4254,'2.05338'),
(17,4254,'2.05338'),
(18,4254,'2.05338'),
(19,4254,'2.05338'),
(20,4254,'2.05338'),
(13,4255,'1.19');
INSERT INTO `#__finder_links_terms8` VALUES 
(14,4255,'1.19'),
(15,4255,'1.19'),
(16,4255,'1.19'),
(17,4255,'1.19'),
(18,4255,'1.19'),
(19,4255,'1.19'),
(20,4255,'1.19'),
(13,4256,'2.1'),
(14,4256,'2.1'),
(15,4256,'2.1'),
(16,4256,'2.1'),
(17,4256,'2.1'),
(18,4256,'2.1'),
(19,4256,'2.1'),
(20,4256,'2.1'),
(13,4257,'2.28662'),
(14,4257,'2.28662'),
(15,4257,'2.28662'),
(16,4257,'2.28662'),
(17,4257,'2.28662'),
(18,4257,'2.28662'),
(19,4257,'2.28662'),
(20,4257,'2.28662'),
(13,4258,'1.00331'),
(14,4258,'1.00331'),
(15,4258,'1.00331'),
(16,4258,'1.00331'),
(17,4258,'1.00331'),
(18,4258,'1.00331'),
(19,4258,'1.00331'),
(20,4258,'1.00331'),
(13,4259,'1.16669'),
(14,4259,'1.16669'),
(15,4259,'1.16669'),
(16,4259,'1.16669'),
(17,4259,'1.16669'),
(18,4259,'1.16669'),
(19,4259,'1.16669'),
(20,4259,'1.16669'),
(13,4260,'0.93331'),
(14,4260,'0.93331'),
(15,4260,'0.93331'),
(16,4260,'0.93331'),
(17,4260,'0.93331'),
(18,4260,'0.93331'),
(19,4260,'0.93331'),
(20,4260,'0.93331'),
(13,4261,'1.09669'),
(14,4261,'1.09669'),
(15,4261,'1.09669');
INSERT INTO `#__finder_links_terms8` VALUES 
(16,4261,'1.09669'),
(17,4261,'1.09669'),
(18,4261,'1.09669'),
(19,4261,'1.09669'),
(20,4261,'1.09669'),
(13,4262,'0.91'),
(14,4262,'0.91'),
(15,4262,'0.91'),
(16,4262,'0.91'),
(17,4262,'0.91'),
(18,4262,'0.91'),
(19,4262,'0.91'),
(20,4262,'0.91'),
(13,4263,'1.02669'),
(14,4263,'1.02669'),
(15,4263,'1.02669'),
(16,4263,'1.02669'),
(17,4263,'1.02669'),
(18,4263,'1.02669'),
(19,4263,'1.02669'),
(20,4263,'1.02669'),
(13,4264,'1.96'),
(14,4264,'1.96'),
(15,4264,'1.96'),
(16,4264,'1.96'),
(17,4264,'1.96'),
(18,4264,'1.96'),
(19,4264,'1.96'),
(20,4264,'1.96'),
(13,4265,'2.19338'),
(14,4265,'2.19338'),
(15,4265,'2.19338'),
(16,4265,'2.19338'),
(17,4265,'2.19338'),
(18,4265,'2.19338'),
(19,4265,'2.19338'),
(20,4265,'2.19338'),
(13,4266,'1.00331'),
(14,4266,'1.00331'),
(15,4266,'1.00331'),
(16,4266,'1.00331'),
(17,4266,'1.00331'),
(18,4266,'1.00331'),
(19,4266,'1.00331'),
(20,4266,'1.00331'),
(13,4267,'1.07331'),
(14,4267,'1.07331'),
(15,4267,'1.07331'),
(16,4267,'1.07331'),
(17,4267,'1.07331');
INSERT INTO `#__finder_links_terms8` VALUES 
(18,4267,'1.07331'),
(19,4267,'1.07331'),
(20,4267,'1.07331'),
(13,4268,'1.91338'),
(14,4268,'1.91338'),
(15,4268,'1.91338'),
(16,4268,'1.91338'),
(17,4268,'1.91338'),
(18,4268,'1.91338'),
(19,4268,'1.91338'),
(20,4268,'1.91338'),
(13,4269,'2.24'),
(14,4269,'2.24'),
(15,4269,'2.24'),
(16,4269,'2.24'),
(17,4269,'2.24'),
(18,4269,'2.24'),
(19,4269,'2.24'),
(20,4269,'2.24'),
(13,4270,'0.46669'),
(14,4270,'0.46669'),
(15,4270,'0.46669'),
(16,4270,'0.46669'),
(17,4270,'0.46669'),
(18,4270,'0.46669'),
(19,4270,'0.46669'),
(20,4270,'0.46669'),
(41,4270,'0.93338'),
(13,4271,'1.00331'),
(14,4271,'1.00331'),
(15,4271,'1.00331'),
(16,4271,'1.00331'),
(17,4271,'1.00331'),
(18,4271,'1.00331'),
(19,4271,'1.00331'),
(20,4271,'1.00331'),
(41,4271,'1.00331'),
(13,4272,'1.16669'),
(14,4272,'1.16669'),
(15,4272,'1.16669'),
(16,4272,'1.16669'),
(17,4272,'1.16669'),
(18,4272,'1.16669'),
(19,4272,'1.16669'),
(20,4272,'1.16669'),
(41,4272,'1.16669'),
(13,4273,'1.11993'),
(14,4273,'1.11993'),
(15,4273,'1.11993'),
(16,4273,'1.11993');
INSERT INTO `#__finder_links_terms8` VALUES 
(17,4273,'1.11993'),
(18,4273,'1.11993'),
(19,4273,'1.11993'),
(20,4273,'1.11993'),
(13,4274,'3.15'),
(14,4274,'3.15'),
(15,4274,'3.15'),
(16,4274,'3.15'),
(17,4274,'3.15'),
(18,4274,'3.15'),
(19,4274,'3.15'),
(20,4274,'3.15'),
(13,4275,'3.50007'),
(14,4275,'3.50007'),
(15,4275,'3.50007'),
(16,4275,'3.50007'),
(17,4275,'3.50007'),
(18,4275,'3.50007'),
(19,4275,'3.50007'),
(20,4275,'3.50007'),
(13,4276,'1.07331'),
(14,4276,'1.07331'),
(15,4276,'1.07331'),
(16,4276,'1.07331'),
(17,4276,'1.07331'),
(18,4276,'1.07331'),
(19,4276,'1.07331'),
(20,4276,'1.07331'),
(31,4471,'1.68'),
(41,4471,'3.36'),
(13,4471,'3.92'),
(14,4471,'3.92'),
(15,4471,'3.92'),
(16,4471,'3.92'),
(17,4471,'3.92'),
(18,4471,'3.92'),
(19,4471,'3.92'),
(20,4471,'3.92'),
(13,4472,'2.42662'),
(14,4472,'2.42662'),
(15,4472,'2.42662'),
(16,4472,'2.42662'),
(17,4472,'2.42662'),
(18,4472,'2.42662'),
(19,4472,'2.42662'),
(20,4472,'2.42662'),
(13,4473,'2.70662'),
(14,4473,'2.70662'),
(15,4473,'2.70662'),
(16,4473,'2.70662');
INSERT INTO `#__finder_links_terms8` VALUES 
(17,4473,'2.70662'),
(18,4473,'2.70662'),
(19,4473,'2.70662'),
(20,4473,'2.70662'),
(13,4474,'4.57324'),
(14,4474,'4.57324'),
(15,4474,'4.57324'),
(16,4474,'4.57324'),
(17,4474,'4.57324'),
(18,4474,'4.57324'),
(19,4474,'4.57324'),
(20,4474,'4.57324'),
(13,4475,'3.84993'),
(14,4475,'3.84993'),
(15,4475,'3.84993'),
(16,4475,'3.84993'),
(17,4475,'3.84993'),
(18,4475,'3.84993'),
(19,4475,'3.84993'),
(20,4475,'3.84993'),
(13,4476,'1.14331'),
(14,4476,'1.14331'),
(15,4476,'1.14331'),
(16,4476,'1.14331'),
(17,4476,'1.14331'),
(18,4476,'1.14331'),
(19,4476,'1.14331'),
(20,4476,'1.14331'),
(13,4477,'1.26'),
(14,4477,'1.26'),
(15,4477,'1.26'),
(16,4477,'1.26'),
(17,4477,'1.26'),
(18,4477,'1.26'),
(19,4477,'1.26'),
(20,4477,'1.26'),
(13,4478,'0.74662'),
(14,4478,'0.74662'),
(15,4478,'0.74662'),
(16,4478,'0.74662'),
(17,4478,'0.74662'),
(18,4478,'0.74662'),
(19,4478,'0.74662'),
(20,4478,'0.74662'),
(13,4479,'2.1'),
(14,4479,'2.1'),
(15,4479,'2.1'),
(16,4479,'2.1'),
(17,4479,'2.1'),
(18,4479,'2.1');
INSERT INTO `#__finder_links_terms8` VALUES 
(19,4479,'2.1'),
(20,4479,'2.1'),
(13,4480,'2.38'),
(14,4480,'2.38'),
(15,4480,'2.38'),
(16,4480,'2.38'),
(17,4480,'2.38'),
(18,4480,'2.38'),
(19,4480,'2.38'),
(20,4480,'2.38'),
(13,4481,'0.42'),
(14,4481,'0.42'),
(15,4481,'0.42'),
(16,4481,'0.42'),
(17,4481,'0.42'),
(18,4481,'0.42'),
(19,4481,'0.42'),
(20,4481,'0.42'),
(32,4481,'0.42'),
(13,4482,'1.14331'),
(14,4482,'1.14331'),
(15,4482,'1.14331'),
(16,4482,'1.14331'),
(17,4482,'1.14331'),
(18,4482,'1.14331'),
(19,4482,'1.14331'),
(20,4482,'1.14331'),
(13,4483,'1.21331'),
(14,4483,'1.21331'),
(15,4483,'1.21331'),
(16,4483,'1.21331'),
(17,4483,'1.21331'),
(18,4483,'1.21331'),
(19,4483,'1.21331'),
(20,4483,'1.21331'),
(13,4484,'1.86655'),
(14,4484,'1.86655'),
(15,4484,'1.86655'),
(16,4484,'1.86655'),
(17,4484,'1.86655'),
(18,4484,'1.86655'),
(20,4484,'1.86655'),
(19,4484,'3.83976'),
(13,4485,'3.50007'),
(14,4485,'3.50007'),
(15,4485,'3.50007'),
(16,4485,'3.50007'),
(17,4485,'3.50007'),
(18,4485,'3.50007'),
(19,4485,'3.50007');
INSERT INTO `#__finder_links_terms8` VALUES 
(20,4485,'3.50007'),
(13,4486,'1.4'),
(14,4486,'1.4'),
(15,4486,'1.4'),
(16,4486,'1.4'),
(17,4486,'1.4'),
(18,4486,'1.4'),
(19,4486,'1.4'),
(20,4486,'1.4'),
(13,4487,'2.75338'),
(14,4487,'2.75338'),
(15,4487,'2.75338'),
(16,4487,'2.75338'),
(17,4487,'2.75338'),
(18,4487,'2.75338'),
(19,4487,'2.75338'),
(20,4487,'2.75338'),
(13,4488,'1.07331'),
(14,4488,'1.07331'),
(15,4488,'1.07331'),
(16,4488,'1.07331'),
(17,4488,'1.07331'),
(18,4488,'1.07331'),
(19,4488,'1.07331'),
(20,4488,'1.07331'),
(13,4489,'1.28331'),
(14,4489,'1.28331'),
(15,4489,'1.28331'),
(16,4489,'1.28331'),
(17,4489,'1.28331'),
(18,4489,'1.28331'),
(19,4489,'1.28331'),
(20,4489,'1.28331'),
(13,4490,'1.00331'),
(14,4490,'1.00331'),
(15,4490,'1.00331'),
(16,4490,'1.00331'),
(17,4490,'1.00331'),
(18,4490,'1.00331'),
(19,4490,'1.00331'),
(20,4490,'1.00331'),
(13,4491,'1.07331'),
(14,4491,'1.07331'),
(15,4491,'1.07331'),
(16,4491,'1.07331'),
(17,4491,'1.07331'),
(18,4491,'1.07331'),
(19,4491,'1.07331'),
(20,4491,'1.07331'),
(13,4492,'0.91');
INSERT INTO `#__finder_links_terms8` VALUES 
(14,4492,'0.91'),
(15,4492,'0.91'),
(16,4492,'0.91'),
(17,4492,'0.91'),
(18,4492,'0.91'),
(19,4492,'0.91'),
(20,4492,'0.91'),
(13,4493,'1.07331'),
(14,4493,'1.07331'),
(15,4493,'1.07331'),
(16,4493,'1.07331'),
(17,4493,'1.07331'),
(18,4493,'1.07331'),
(19,4493,'1.07331'),
(20,4493,'1.07331'),
(13,4494,'2.52'),
(14,4494,'2.52'),
(15,4494,'2.52'),
(16,4494,'2.52'),
(17,4494,'2.52'),
(18,4494,'2.52'),
(19,4494,'2.52'),
(20,4494,'2.52'),
(13,4495,'4.38676'),
(14,4495,'4.38676'),
(15,4495,'4.38676'),
(16,4495,'4.38676'),
(17,4495,'4.38676'),
(18,4495,'4.38676'),
(19,4495,'4.38676'),
(20,4495,'4.38676'),
(13,4496,'4.94676'),
(14,4496,'4.94676'),
(15,4496,'4.94676'),
(16,4496,'4.94676'),
(17,4496,'4.94676'),
(18,4496,'4.94676'),
(19,4496,'4.94676'),
(20,4496,'4.94676'),
(13,4497,'1.02669'),
(14,4497,'1.02669'),
(15,4497,'1.02669'),
(16,4497,'1.02669'),
(17,4497,'1.02669'),
(18,4497,'1.02669'),
(19,4497,'1.02669'),
(20,4497,'1.02669'),
(13,4498,'1.12'),
(14,4498,'1.12'),
(15,4498,'1.12');
INSERT INTO `#__finder_links_terms8` VALUES 
(16,4498,'1.12'),
(17,4498,'1.12'),
(18,4498,'1.12'),
(19,4498,'1.12'),
(20,4498,'1.12'),
(13,4499,'1.19'),
(14,4499,'1.19'),
(15,4499,'1.19'),
(16,4499,'1.19'),
(17,4499,'1.19'),
(18,4499,'1.19'),
(19,4499,'1.19'),
(20,4499,'1.19'),
(13,4500,'1.33'),
(14,4500,'1.33'),
(15,4500,'1.33'),
(16,4500,'1.33'),
(17,4500,'1.33'),
(18,4500,'1.33'),
(19,4500,'1.33'),
(20,4500,'1.33'),
(13,4501,'0.74662'),
(14,4501,'0.74662'),
(15,4501,'0.74662'),
(16,4501,'0.74662'),
(18,4501,'0.74662'),
(19,4501,'0.74662'),
(20,4501,'0.74662'),
(17,4501,'2.71983'),
(13,4502,'2.19338'),
(14,4502,'2.19338'),
(15,4502,'2.19338'),
(16,4502,'2.19338'),
(18,4502,'2.19338'),
(19,4502,'2.19338'),
(20,4502,'2.19338'),
(17,4502,'7.99017'),
(13,4503,'2.52'),
(14,4503,'2.52'),
(15,4503,'2.52'),
(16,4503,'2.52'),
(17,4503,'2.52'),
(18,4503,'2.52'),
(19,4503,'2.52'),
(20,4503,'2.52'),
(32,4504,'0.32669'),
(13,4504,'3.59359'),
(14,4504,'3.59359'),
(15,4504,'3.59359'),
(16,4504,'3.59359');
INSERT INTO `#__finder_links_terms8` VALUES 
(17,4504,'3.59359'),
(18,4504,'3.59359'),
(19,4504,'3.59359'),
(20,4504,'3.59359'),
(13,4505,'1.00331'),
(14,4505,'1.00331'),
(15,4505,'1.00331'),
(16,4505,'1.00331'),
(17,4505,'1.00331'),
(18,4505,'1.00331'),
(19,4505,'1.00331'),
(20,4505,'1.00331'),
(13,4506,'1.09669'),
(14,4506,'1.09669'),
(15,4506,'1.09669'),
(16,4506,'1.09669'),
(17,4506,'1.09669'),
(18,4506,'1.09669'),
(19,4506,'1.09669'),
(20,4506,'1.09669'),
(13,4507,'4.66676'),
(14,4507,'4.66676'),
(15,4507,'4.66676'),
(16,4507,'4.66676'),
(17,4507,'4.66676'),
(18,4507,'4.66676'),
(19,4507,'4.66676'),
(20,4507,'4.66676'),
(13,4508,'5.32'),
(14,4508,'5.32'),
(15,4508,'5.32'),
(16,4508,'5.32'),
(17,4508,'5.32'),
(18,4508,'5.32'),
(19,4508,'5.32'),
(20,4508,'5.32'),
(13,4509,'0.95669'),
(14,4509,'0.95669'),
(15,4509,'0.95669'),
(16,4509,'0.95669'),
(17,4509,'0.95669'),
(18,4509,'0.95669'),
(19,4509,'0.95669'),
(20,4509,'0.95669'),
(13,4510,'1.07331'),
(14,4510,'1.07331'),
(15,4510,'1.07331'),
(16,4510,'1.07331'),
(17,4510,'1.07331'),
(18,4510,'1.07331');
INSERT INTO `#__finder_links_terms8` VALUES 
(19,4510,'1.07331'),
(20,4510,'1.07331'),
(13,4511,'5.01655'),
(14,4511,'5.01655'),
(15,4511,'5.01655'),
(16,4511,'5.01655'),
(17,4511,'5.01655'),
(18,4511,'5.01655'),
(19,4511,'5.01655'),
(20,4511,'5.01655'),
(13,4512,'5.71655'),
(14,4512,'5.71655'),
(15,4512,'5.71655'),
(16,4512,'5.71655'),
(17,4512,'5.71655'),
(18,4512,'5.71655'),
(19,4512,'5.71655'),
(20,4512,'5.71655'),
(13,4513,'1.00331'),
(14,4513,'1.00331'),
(15,4513,'1.00331'),
(16,4513,'1.00331'),
(17,4513,'1.00331'),
(18,4513,'1.00331'),
(19,4513,'1.00331'),
(20,4513,'1.00331'),
(13,4514,'1.19'),
(14,4514,'1.19'),
(15,4514,'1.19'),
(16,4514,'1.19'),
(17,4514,'1.19'),
(18,4514,'1.19'),
(19,4514,'1.19'),
(20,4514,'1.19'),
(13,4515,'1.05'),
(14,4515,'1.05'),
(15,4515,'1.05'),
(16,4515,'1.05'),
(17,4515,'1.05'),
(18,4515,'1.05'),
(19,4515,'1.05'),
(20,4515,'1.05'),
(13,4516,'1.19'),
(14,4516,'1.19'),
(15,4516,'1.19'),
(16,4516,'1.19'),
(17,4516,'1.19'),
(18,4516,'1.19'),
(19,4516,'1.19'),
(20,4516,'1.19');
INSERT INTO `#__finder_links_terms8` VALUES 
(13,4517,'1.86655'),
(14,4517,'1.86655'),
(15,4517,'1.86655'),
(16,4517,'1.86655'),
(17,4517,'1.86655'),
(18,4517,'1.86655'),
(19,4517,'1.86655'),
(20,4517,'1.86655'),
(13,4518,'0.93331'),
(14,4518,'0.93331'),
(15,4518,'0.93331'),
(16,4518,'0.93331'),
(17,4518,'0.93331'),
(18,4518,'0.93331'),
(19,4518,'0.93331'),
(20,4518,'0.93331'),
(13,4519,'1.05'),
(14,4519,'1.05'),
(15,4519,'1.05'),
(16,4519,'1.05'),
(17,4519,'1.05'),
(18,4519,'1.05'),
(19,4519,'1.05'),
(20,4519,'1.05'),
(13,4520,'2.19338'),
(14,4520,'2.19338'),
(15,4520,'2.19338'),
(16,4520,'2.19338'),
(17,4520,'2.19338'),
(18,4520,'2.19338'),
(19,4520,'2.19338'),
(20,4520,'2.19338'),
(13,4521,'2.8'),
(14,4521,'2.8'),
(15,4521,'2.8'),
(16,4521,'2.8'),
(17,4521,'2.8'),
(18,4521,'2.8'),
(19,4521,'2.8'),
(20,4521,'2.8'),
(13,4522,'2.1'),
(14,4522,'2.1'),
(15,4522,'2.1'),
(16,4522,'2.1'),
(17,4522,'2.1'),
(18,4522,'2.1'),
(19,4522,'2.1'),
(20,4522,'2.1'),
(13,4523,'2.42662'),
(14,4523,'2.42662');
INSERT INTO `#__finder_links_terms8` VALUES 
(15,4523,'2.42662'),
(16,4523,'2.42662'),
(17,4523,'2.42662'),
(18,4523,'2.42662'),
(19,4523,'2.42662'),
(20,4523,'2.42662'),
(13,4524,'3.64'),
(14,4524,'3.64'),
(15,4524,'3.64'),
(16,4524,'3.64'),
(17,4524,'3.64'),
(18,4524,'3.64'),
(19,4524,'3.64'),
(20,4524,'3.64'),
(13,4525,'3.42993'),
(14,4525,'3.42993'),
(15,4525,'3.42993'),
(16,4525,'3.42993'),
(17,4525,'3.42993'),
(18,4525,'3.42993'),
(19,4525,'3.42993'),
(20,4525,'3.42993'),
(13,4526,'0.98'),
(14,4526,'0.98'),
(15,4526,'0.98'),
(16,4526,'0.98'),
(17,4526,'0.98'),
(18,4526,'0.98'),
(19,4526,'0.98'),
(20,4526,'0.98'),
(13,4527,'0.91'),
(14,4527,'0.91'),
(15,4527,'0.91'),
(16,4527,'0.91'),
(17,4527,'0.91'),
(18,4527,'0.91'),
(19,4527,'0.91'),
(20,4527,'0.91'),
(13,4528,'1.02669'),
(14,4528,'1.02669'),
(15,4528,'1.02669'),
(16,4528,'1.02669'),
(17,4528,'1.02669'),
(18,4528,'1.02669'),
(19,4528,'1.02669'),
(20,4528,'1.02669'),
(13,4529,'1.82'),
(14,4529,'1.82'),
(15,4529,'1.82'),
(16,4529,'1.82');
INSERT INTO `#__finder_links_terms8` VALUES 
(17,4529,'1.82'),
(18,4529,'1.82'),
(19,4529,'1.82'),
(20,4529,'1.82'),
(13,4530,'2.19338'),
(14,4530,'2.19338'),
(15,4530,'2.19338'),
(16,4530,'2.19338'),
(17,4530,'2.19338'),
(18,4530,'2.19338'),
(19,4530,'2.19338'),
(20,4530,'2.19338'),
(31,7323,'3.29007'),
(41,7323,'3.29007'),
(31,7324,'3.78'),
(41,7324,'3.78'),
(31,7325,'2.73'),
(41,7325,'5.46'),
(31,7326,'3.15'),
(41,7326,'6.3'),
(31,7327,'2.66007'),
(41,7327,'5.32014'),
(31,7328,'3.00993'),
(41,7328,'6.01986'),
(31,7329,'0.42'),
(41,7329,'0.84'),
(31,7330,'0.91'),
(41,7330,'1.82'),
(31,7331,'1.12'),
(41,7331,'2.24'),
(31,7332,'0.98'),
(41,7332,'1.96'),
(31,7333,'1.09669'),
(41,7333,'1.09669'),
(31,7334,'0.84'),
(41,7334,'1.68'),
(31,7335,'0.98'),
(41,7335,'1.96'),
(31,7341,'0.98007'),
(41,7341,'1.96014'),
(31,7342,'2.94'),
(41,7342,'5.88'),
(31,7343,'3.84993'),
(41,7343,'3.84993'),
(31,7346,'0.42'),
(41,7346,'0.84'),
(31,7347,'3.08007'),
(41,7347,'6.16014'),
(31,7348,'2.19338'),
(41,7348,'2.19338');
INSERT INTO `#__finder_links_terms8` VALUES 
(31,7349,'0.86331'),
(41,7349,'1.72662'),
(31,7350,'0.98'),
(41,7350,'1.96'),
(31,7351,'0.46669'),
(41,7351,'0.93338'),
(31,7352,'1.02669'),
(41,7352,'2.05338'),
(31,7353,'1.16669'),
(41,7353,'2.33338'),
(31,7354,'1.40007'),
(41,7354,'2.80014'),
(31,7355,'2.00662'),
(41,7355,'2.00662'),
(31,7356,'2.19338'),
(41,7356,'2.19338'),
(31,7357,'0.95669'),
(41,7357,'1.91338'),
(31,7358,'1.05'),
(41,7358,'2.1'),
(31,7359,'2.05338'),
(41,7359,'2.05338'),
(31,7360,'2.33338'),
(41,7360,'2.33338'),
(31,7361,'0.95669'),
(41,7361,'0.95669'),
(31,7362,'1.05'),
(41,7362,'1.05'),
(31,7363,'2.00662'),
(41,7363,'2.00662'),
(31,7364,'2.14662'),
(41,7364,'2.14662'),
(31,7396,'3.42993'),
(41,7396,'6.85986'),
(31,7397,'3.99'),
(41,7397,'3.99'),
(41,7398,'0.32669'),
(31,7398,'1.72679'),
(31,7399,'2.49339'),
(31,7400,'2.73'),
(41,7400,'5.46'),
(31,7401,'3.29007'),
(41,7401,'6.58014'),
(32,7544,'0.34'),
(32,7588,'3.00993'),
(32,7589,'1.12'),
(32,7590,'1.23669'),
(32,7591,'1.26'),
(32,7592,'0.95669'),
(32,7593,'1.09669');
INSERT INTO `#__finder_links_terms8` VALUES 
(32,7594,'0.93331'),
(32,7595,'1.12'),
(32,7596,'1.05'),
(32,7597,'1.14331'),
(32,7598,'1.07331'),
(32,7599,'1.26'),
(32,7632,'1.02669'),
(32,7633,'1.16669'),
(32,7634,'0.86331'),
(32,7635,'1.12'),
(32,7636,'0.93331'),
(32,7637,'1.02669'),
(32,7638,'1.00331'),
(32,7639,'1.09669'),
(32,7640,'1.02669'),
(32,7641,'1.09669'),
(32,7642,'1.09669'),
(32,7643,'1.21331'),
(32,7644,'2.66007'),
(32,7645,'3.15'),
(32,7646,'0.86331'),
(32,7647,'1.00331'),
(32,7648,'0.91'),
(32,7649,'1.05'),
(32,7650,'0.93331'),
(32,7651,'1.16669'),
(32,7652,'0.81669'),
(32,7653,'0.98'),
(32,7654,'0.88669'),
(32,7655,'1.00331'),
(32,7715,'1.00331'),
(32,7716,'1.12'),
(32,7717,'0.93331'),
(32,7718,'1.09669'),
(32,7719,'1.09669'),
(32,7720,'1.28331'),
(32,7721,'1.02669'),
(32,7722,'1.14331'),
(34,8317,'0.51331'),
(34,8318,'1.09669'),
(34,8319,'1.19'),
(34,8355,'0.32669'),
(34,8356,'0.95669'),
(34,8357,'1.12'),
(34,8358,'0.37331'),
(34,8359,'1.07331'),
(34,8360,'1.14331'),
(34,8361,'1.30676'),
(34,8362,'4.01324'),
(34,8363,'4.66676');
INSERT INTO `#__finder_links_terms8` VALUES 
(34,8364,'1.07331'),
(34,8365,'1.33'),
(34,8366,'0.46669'),
(34,8373,'1.00331'),
(34,8374,'1.16669'),
(34,8375,'0.91'),
(34,8376,'1.05'),
(34,8377,'0.93331'),
(34,8378,'1.09669'),
(34,8379,'0.93331'),
(34,8380,'1.02669'),
(34,8381,'1.82'),
(34,8382,'2.14662'),
(34,8383,'0.42'),
(34,8384,'1.12'),
(34,8385,'1.28331'),
(34,8386,'0.23331'),
(34,8387,'1.07331'),
(34,8388,'1.23669'),
(34,8392,'0.37331'),
(34,8393,'1.05'),
(34,8394,'1.23669'),
(34,8395,'1.05'),
(34,8396,'1.26'),
(34,8397,'0.88669'),
(34,8398,'1.02669'),
(34,8442,'0.74662'),
(34,8443,'1.02669'),
(34,8444,'1.12'),
(34,8445,'0.98'),
(34,8446,'1.14331'),
(34,8447,'4.32'),
(34,8448,'5.01655'),
(34,8449,'1.14331'),
(34,8450,'1.16669'),
(34,8451,'1.16669'),
(34,8452,'2.28662'),
(41,20878,'0.56'),
(41,20879,'1.77338'),
(41,20880,'1.96'),
(41,21264,'1.53993'),
(41,21265,'3.29007'),
(41,21266,'1.23669'),
(41,21267,'2.42662'),
(41,21268,'2.05324'),
(41,21269,'4.76'),
(41,21270,'5.6'),
(41,21271,'2.58993'),
(41,21272,'2.79993'),
(41,21273,'12.0397');
INSERT INTO `#__finder_links_terms8` VALUES 
(41,21274,'13.7197'),
(41,21275,'0.98'),
(41,21276,'1.91338'),
(41,21277,'1.00331'),
(41,21278,'1.00331'),
(41,21279,'0.84'),
(41,21280,'0.95669'),
(41,21281,'1.09669'),
(41,21282,'1.00331'),
(41,21283,'1.09669'),
(41,21284,'12.88'),
(41,21285,'0.81669'),
(41,21286,'0.95669'),
(41,21287,'0.84'),
(41,21288,'0.93331'),
(41,21289,'0.98'),
(41,21290,'1.21331'),
(41,21291,'40.95'),
(41,21292,'4.2'),
(41,21293,'3.21993'),
(41,21294,'3.00993'),
(41,21295,'3.21993'),
(41,21296,'3.29007'),
(41,21297,'1.19'),
(41,21298,'2.28662'),
(41,21299,'2.14662'),
(41,21300,'2.28662'),
(41,21301,'2.28662'),
(41,21302,'1.33'),
(41,21303,'1.30669'),
(41,21304,'1.26'),
(41,21305,'2.28662'),
(41,21306,'2.19338'),
(41,21307,'1.16669'),
(41,21308,'1.16669'),
(41,21309,'1.16669'),
(41,21310,'3.15'),
(41,21311,'3.36'),
(41,21312,'4.2'),
(41,21313,'30.2158'),
(41,21314,'0.93331'),
(41,21315,'1.07331'),
(41,21316,'20.0662'),
(41,21317,'10.5236'),
(41,21318,'1.14331'),
(41,21319,'0.93331'),
(41,21320,'0.88669'),
(41,21321,'1.07331'),
(41,21322,'0.88669'),
(41,21323,'1.05');
INSERT INTO `#__finder_links_terms8` VALUES 
(41,21324,'1.05'),
(41,21325,'1.28331'),
(41,21326,'0.88669'),
(41,21327,'0.95669'),
(41,21328,'2.52'),
(41,21329,'2.73'),
(41,21330,'0.84'),
(41,21331,'0.91'),
(41,21332,'0.56'),
(41,21333,'1.02669'),
(41,21334,'1.16669'),
(41,21335,'1.82'),
(41,21336,'2.33338'),
(41,21337,'1.00331'),
(41,21338,'1.14331'),
(41,21339,'0.93331'),
(41,21340,'1.07331'),
(41,21341,'2.28662'),
(41,21342,'0.74676'),
(41,21343,'0.91'),
(41,21344,'1.02669'),
(41,21345,'2.79993'),
(41,21346,'3.15'),
(41,21347,'1.07331'),
(41,21348,'52.3612'),
(41,21349,'58.3088'),
(41,21350,'11.76'),
(41,21351,'12.8797'),
(41,21375,'0.37331'),
(41,21376,'1.00331'),
(41,21377,'1.12'),
(41,21378,'1.00331'),
(41,21379,'1.16669'),
(41,21380,'4.66655'),
(41,21381,'5.01655'),
(41,21382,'3.15'),
(41,21383,'0.56'),
(41,21384,'3.92'),
(41,21385,'5.04'),
(41,21386,'0.18669'),
(41,21387,'0.86331'),
(41,21388,'1.00331'),
(41,21389,'0.18669'),
(41,21390,'0.91'),
(41,21391,'1.05'),
(41,21392,'0.18669'),
(41,21393,'0.86331'),
(41,21394,'1.00331'),
(41,21483,'3.21993'),
(41,21484,'0.18669');
INSERT INTO `#__finder_links_terms8` VALUES 
(41,21485,'0.95669'),
(41,21486,'1.00331'),
(41,21487,'0.51331'),
(41,21488,'1.19'),
(41,21489,'1.4'),
(41,21490,'0.7'),
(41,21491,'1.4'),
(41,21492,'1.4'),
(41,21493,'1.4'),
(41,21494,'1.35331'),
(41,21495,'1.4'),
(41,21496,'1.23669'),
(41,21497,'1.28331'),
(41,21498,'1.4'),
(41,21499,'1.4'),
(41,21500,'1.4'),
(41,21501,'1.4'),
(41,21502,'1.4'),
(41,21503,'0.7'),
(41,21504,'1.4'),
(41,21505,'1.4'),
(41,21506,'0.7'),
(41,21507,'1.4'),
(41,21508,'1.4'),
(41,21509,'0.7'),
(41,21510,'1.4'),
(41,21511,'1.4'),
(41,21512,'0.7'),
(41,21513,'1.4'),
(41,21514,'1.4'),
(41,21515,'0.60669'),
(41,21516,'1.37669'),
(41,21517,'1.4'),
(41,21518,'0.60669'),
(41,21519,'1.23669'),
(41,21520,'1.4'),
(41,21521,'0.60669'),
(41,21522,'1.23669'),
(41,21523,'1.4'),
(41,21524,'0.7'),
(41,21525,'1.4'),
(41,21526,'1.4'),
(41,21527,'0.56'),
(41,21528,'1.19'),
(41,21529,'1.4'),
(41,21530,'0.42'),
(41,21531,'0.42'),
(41,21532,'1.19'),
(41,21533,'1.4'),
(41,21534,'0.42');
INSERT INTO `#__finder_links_terms8` VALUES 
(41,21535,'1.23669'),
(41,21536,'1.4'),
(41,21537,'0.60669'),
(41,21538,'1.26'),
(41,21539,'1.4'),
(41,21540,'0.65331'),
(41,21541,'1.4'),
(41,21542,'1.4'),
(41,21543,'0.60669'),
(41,21544,'1.23669'),
(41,21545,'0.60669'),
(41,21546,'1.28331'),
(41,21547,'1.4'),
(41,21548,'0.51331'),
(41,21549,'1.19'),
(41,21550,'1.4'),
(41,21551,'0.7'),
(41,21552,'1.4'),
(41,21553,'1.4'),
(41,21554,'0.46669'),
(41,21555,'1.16669'),
(41,21556,'1.4'),
(41,21557,'0.7'),
(41,21558,'1.4'),
(41,21559,'1.4'),
(41,21560,'0.7'),
(41,21561,'1.4'),
(41,21562,'1.4'),
(41,21563,'0.7'),
(41,21564,'1.4'),
(41,21565,'1.4'),
(41,21566,'0.7'),
(41,21567,'1.4'),
(41,21568,'1.4'),
(41,21569,'0.7'),
(41,21570,'1.4'),
(41,21571,'1.4'),
(41,21572,'0.7'),
(41,21573,'1.4'),
(41,21574,'1.4'),
(41,21575,'0.7'),
(41,21576,'1.4'),
(41,21577,'1.4'),
(41,21578,'0.7'),
(41,21579,'1.4'),
(41,21580,'1.4'),
(41,21581,'0.46669'),
(41,21582,'1.26'),
(41,21583,'1.4'),
(41,21584,'0.7');
INSERT INTO `#__finder_links_terms8` VALUES 
(41,21585,'1.4'),
(41,21586,'1.4'),
(41,21587,'0.7'),
(41,21588,'1.4'),
(41,21589,'1.4'),
(41,21590,'0.37331'),
(41,21591,'1.14331'),
(41,21592,'1.37669'),
(41,21593,'0.7'),
(41,21594,'1.4'),
(41,21595,'1.4'),
(41,21596,'0.7'),
(41,21597,'1.35331'),
(41,21598,'1.4'),
(41,21599,'0.56'),
(41,21600,'1.26'),
(41,21601,'1.4'),
(41,21602,'0.7'),
(41,21603,'1.37669'),
(41,21604,'1.4'),
(41,21605,'0.7'),
(41,21606,'1.4'),
(41,21607,'1.4'),
(41,21608,'0.7'),
(41,21609,'1.4'),
(41,21610,'1.4'),
(41,21611,'0.56'),
(41,21612,'1.26'),
(41,21613,'1.4'),
(41,21614,'0.65331'),
(41,21615,'1.37669'),
(41,21616,'1.4'),
(41,21617,'0.60669'),
(41,21618,'1.28331'),
(41,21619,'0.7'),
(41,21620,'1.4'),
(41,21621,'1.4'),
(41,21622,'0.60669'),
(41,21623,'1.35331'),
(41,21624,'1.4'),
(41,21625,'0.42'),
(41,21626,'1.16669'),
(41,21627,'1.4'),
(41,21628,'0.46669'),
(41,21629,'1.35331'),
(41,21630,'1.4'),
(41,21631,'0.60669'),
(41,21632,'1.28331'),
(41,21633,'1.4'),
(41,21634,'0.42');
INSERT INTO `#__finder_links_terms8` VALUES 
(41,21635,'1.16669'),
(41,21636,'1.4'),
(41,21637,'0.7'),
(41,21638,'1.4'),
(41,21639,'1.4'),
(41,21640,'0.51331'),
(41,21641,'1.4'),
(41,21642,'1.4'),
(41,21643,'0.51331'),
(41,21644,'1.19'),
(41,21645,'1.4'),
(41,21646,'0.65331'),
(41,21647,'1.4'),
(41,21648,'1.4'),
(41,21649,'0.60669'),
(41,21650,'1.35331'),
(41,21651,'1.4'),
(41,21652,'0.7'),
(41,21653,'1.4'),
(41,21654,'1.4'),
(41,21655,'0.7'),
(41,21656,'1.4'),
(41,21657,'1.4'),
(41,21658,'0.7'),
(41,21659,'1.4'),
(41,21660,'1.4'),
(41,21661,'0.42'),
(41,21662,'1.14331'),
(41,21663,'1.37669'),
(41,21664,'0.42'),
(41,21665,'1.23669'),
(41,21666,'1.4'),
(41,21667,'0.51331'),
(41,21668,'1.30669'),
(41,21669,'1.4'),
(41,21670,'0.42'),
(41,21671,'1.23669'),
(41,21672,'1.4'),
(41,21673,'0.42'),
(41,21674,'1.28331'),
(41,21675,'1.4'),
(41,21676,'0.46669'),
(41,21677,'1.23669'),
(41,21678,'1.4'),
(41,21679,'0.7'),
(41,21680,'1.4'),
(41,21681,'1.4'),
(41,21682,'0.7'),
(41,21683,'1.4'),
(41,21684,'1.4');
INSERT INTO `#__finder_links_terms8` VALUES 
(41,21685,'0.7'),
(41,21686,'1.4'),
(41,21687,'1.4'),
(41,21688,'0.7'),
(41,21689,'1.4'),
(41,21690,'1.4'),
(41,21691,'0.7'),
(41,21692,'1.4'),
(41,21693,'1.4'),
(41,21694,'0.7'),
(41,21695,'1.4'),
(41,21696,'1.4'),
(41,21697,'0.7'),
(41,21698,'1.4'),
(41,21699,'1.4'),
(41,21700,'0.42'),
(41,21701,'1.14331'),
(41,21702,'1.4'),
(41,21703,'0.56'),
(41,21704,'0.7'),
(41,21705,'1.4'),
(41,21706,'1.4'),
(41,21707,'0.37331'),
(41,21708,'1.12'),
(41,21709,'1.4'),
(41,21710,'0.42'),
(41,21711,'1.14331'),
(41,21712,'1.37669'),
(41,21713,'0.46669'),
(41,21714,'0.46669'),
(41,21715,'1.21331'),
(41,21716,'1.4'),
(41,21717,'0.65331'),
(41,21718,'1.4'),
(41,21719,'1.4'),
(41,21720,'0.65331'),
(41,21721,'1.33'),
(41,21722,'1.4'),
(41,21723,'0.7'),
(41,21724,'1.4'),
(41,21725,'1.4'),
(41,21726,'0.56'),
(41,21727,'1.33'),
(41,21728,'1.4'),
(41,21729,'0.60669'),
(41,21730,'1.35331'),
(41,21731,'1.4'),
(41,21732,'0.37331'),
(41,21733,'1.21331'),
(41,21734,'1.4');
INSERT INTO `#__finder_links_terms8` VALUES 
(41,21735,'0.51331'),
(41,21736,'1.33'),
(41,21737,'1.4'),
(41,21738,'0.7'),
(41,21739,'1.4'),
(41,21740,'1.4'),
(41,21741,'0.46669'),
(41,21742,'1.16669'),
(41,21743,'1.4'),
(41,21744,'0.7'),
(41,21745,'1.30669'),
(41,21746,'1.4'),
(41,21747,'0.42'),
(41,21748,'1.14331'),
(41,21749,'1.37669'),
(41,21750,'0.51331'),
(41,21751,'0.46669'),
(41,21752,'1.33'),
(41,21753,'1.4'),
(41,21754,'0.7'),
(41,21755,'1.4'),
(41,21756,'1.4'),
(41,21757,'0.7'),
(41,21758,'1.4'),
(41,21759,'1.4'),
(41,21760,'0.65331'),
(41,21761,'1.4'),
(41,21762,'1.4'),
(41,21763,'0.51331'),
(41,21764,'1.35331'),
(41,21765,'1.4'),
(41,21766,'0.51331'),
(41,21767,'1.07331'),
(41,21768,'1.19'),
(41,21769,'0.42'),
(41,21770,'1.14331'),
(41,21771,'1.4'),
(41,21772,'0.42'),
(41,21773,'1.16669'),
(41,21774,'1.4'),
(41,21775,'0.42'),
(41,21776,'1.30669'),
(41,21777,'1.4'),
(41,21778,'0.60669'),
(41,21779,'1.23669'),
(41,21780,'1.4'),
(41,21781,'0.42'),
(41,21782,'1.14331'),
(41,21783,'1.4'),
(41,21784,'0.51331');
INSERT INTO `#__finder_links_terms8` VALUES 
(41,21785,'1.21331'),
(41,21786,'1.4'),
(41,21787,'0.56'),
(41,21788,'1.35331'),
(41,21789,'1.4'),
(41,21790,'0.51331'),
(41,21791,'1.33'),
(41,21792,'1.4'),
(41,21793,'0.7'),
(41,21794,'1.33'),
(41,21795,'1.4'),
(41,21796,'0.46669'),
(41,21797,'1.19'),
(41,21798,'1.4'),
(41,21799,'0.7'),
(41,21800,'1.4'),
(41,21801,'1.4'),
(41,21802,'0.42'),
(41,21803,'1.35331'),
(41,21804,'1.4'),
(41,21805,'0.46669'),
(41,21806,'1.21331'),
(41,21807,'1.4'),
(41,21808,'0.7'),
(41,21809,'1.33'),
(41,21810,'1.4'),
(41,21811,'0.37331'),
(41,21812,'1.16669'),
(41,21813,'1.37669'),
(41,21814,'0.32669'),
(41,21815,'1.14331'),
(41,21816,'1.4'),
(41,21817,'0.65331'),
(41,21818,'1.4'),
(41,21819,'1.4'),
(41,21820,'0.56'),
(41,21821,'1.4'),
(41,21822,'1.4'),
(41,21823,'0.42'),
(41,21824,'1.16669'),
(41,21825,'1.4'),
(41,21826,'0.65331'),
(41,21827,'1.4'),
(41,21828,'1.4'),
(41,21829,'0.46669'),
(41,21830,'1.16669'),
(41,21831,'1.4'),
(41,21832,'0.51331'),
(41,21833,'1.21331'),
(41,21834,'0.46669');
INSERT INTO `#__finder_links_terms8` VALUES 
(41,21835,'1.23669'),
(41,21836,'0.65331'),
(41,21837,'1.28331'),
(41,21838,'1.4'),
(41,21839,'0.56'),
(41,21840,'1.35331'),
(41,21841,'1.4'),
(41,21842,'0.46669'),
(41,21843,'1.26'),
(41,21844,'1.4'),
(41,21845,'0.42'),
(41,21846,'1.16669'),
(41,21847,'1.4'),
(41,21848,'0.7'),
(41,21849,'1.35331'),
(41,21850,'1.4'),
(41,21851,'0.42'),
(41,21852,'1.14331'),
(41,21853,'1.4'),
(41,21854,'0.65331'),
(41,21855,'1.4'),
(41,21856,'1.4'),
(41,21857,'0.46669'),
(41,21858,'1.21331'),
(41,21859,'1.4'),
(41,21860,'0.56'),
(41,21861,'0.51331'),
(41,21862,'1.26'),
(41,21863,'1.4'),
(41,21864,'0.7'),
(41,21865,'1.4'),
(41,21866,'1.4'),
(41,21867,'0.51331'),
(41,21868,'1.26'),
(41,21869,'1.4'),
(41,21870,'0.51331'),
(41,21871,'1.19'),
(41,21872,'1.4'),
(41,21873,'0.56'),
(41,21874,'1.30669'),
(41,21875,'1.4'),
(41,21876,'0.7'),
(41,21877,'1.4'),
(41,21878,'1.4'),
(41,21879,'0.51331'),
(41,21880,'1.26'),
(41,21881,'1.4'),
(41,21882,'0.7'),
(41,21883,'1.4'),
(41,21884,'1.4');
INSERT INTO `#__finder_links_terms8` VALUES 
(41,21885,'0.7'),
(41,21886,'1.37669'),
(41,21887,'1.4'),
(41,21888,'0.51331'),
(41,21889,'1.26'),
(41,21890,'1.4'),
(41,21891,'0.7'),
(41,21892,'1.4'),
(41,21893,'0.7'),
(41,21894,'1.4'),
(41,21895,'1.4'),
(41,21896,'0.7'),
(41,21897,'0.7'),
(41,21898,'1.4'),
(41,21899,'1.4'),
(41,21900,'0.56'),
(41,21901,'1.4'),
(41,21902,'1.4'),
(41,21903,'0.42'),
(41,21904,'1.33'),
(41,21905,'1.4'),
(41,21906,'0.42'),
(41,21907,'1.14331'),
(41,21908,'1.4'),
(41,21909,'0.46669'),
(41,21910,'1.21331'),
(41,21911,'0.7'),
(41,21912,'1.4'),
(41,21913,'1.4'),
(41,21914,'0.60669'),
(41,21915,'1.33'),
(41,21916,'1.4'),
(41,21917,'0.51331'),
(41,21918,'1.21331'),
(41,21919,'1.4'),
(41,21920,'0.42'),
(41,21921,'1.30669'),
(41,21922,'1.4'),
(41,21923,'0.46669'),
(41,21924,'1.19'),
(41,21925,'1.4'),
(41,21926,'0.65331'),
(41,21927,'1.4'),
(41,21928,'1.4'),
(41,21929,'0.7'),
(41,21930,'1.4'),
(41,21931,'1.4'),
(41,21932,'0.51331'),
(41,21933,'1.16669'),
(41,21934,'1.4');
INSERT INTO `#__finder_links_terms8` VALUES 
(41,21935,'0.42'),
(41,21936,'1.4'),
(41,21937,'1.4'),
(41,21938,'0.7'),
(41,21939,'1.4'),
(41,21940,'1.4'),
(41,21941,'0.7'),
(41,21942,'1.4'),
(41,21943,'1.4'),
(41,21944,'0.7'),
(41,21945,'1.4'),
(41,21946,'1.4'),
(41,21947,'0.7'),
(41,21948,'1.4'),
(41,21949,'1.4'),
(41,21950,'0.7'),
(41,21951,'1.4'),
(41,21952,'1.4'),
(41,21953,'0.7'),
(41,21954,'1.4'),
(41,21955,'1.4'),
(41,21956,'0.65331'),
(41,21957,'1.37669'),
(41,21958,'0.65331'),
(41,21959,'0.65331'),
(41,21960,'1.4'),
(41,21961,'1.4'),
(41,21962,'0.7'),
(41,21963,'1.4'),
(41,21964,'1.4'),
(41,21965,'0.7'),
(41,21966,'1.4'),
(41,21967,'1.4'),
(41,21968,'0.42'),
(41,21969,'1.28331'),
(41,21970,'1.4'),
(41,21971,'0.7'),
(41,21972,'1.28331'),
(41,21973,'1.4'),
(41,21974,'0.46669'),
(41,21975,'1.26'),
(41,21976,'1.4'),
(41,21977,'0.7'),
(41,21978,'1.4'),
(41,21979,'1.4'),
(41,21980,'0.7'),
(41,21981,'1.35331'),
(41,21982,'1.4'),
(41,21983,'0.42'),
(41,21984,'1.21331');
INSERT INTO `#__finder_links_terms8` VALUES 
(41,21985,'0.65331'),
(41,21986,'1.4'),
(41,21987,'1.4'),
(41,21988,'0.37331'),
(41,21989,'1.12'),
(41,21990,'1.35331'),
(41,21991,'0.42'),
(41,21992,'1.14331'),
(41,21993,'1.4'),
(41,21994,'0.46669'),
(41,21995,'1.21331'),
(41,21996,'1.4'),
(41,21997,'0.7'),
(41,21998,'1.4'),
(41,21999,'0.7'),
(41,22000,'0.32669'),
(41,22001,'1.16669'),
(41,22002,'1.35331'),
(41,22003,'0.60669'),
(41,22004,'1.19'),
(41,22005,'1.4'),
(41,22006,'0.56'),
(41,22007,'1.16669'),
(41,22008,'1.4'),
(41,22009,'0.7'),
(41,22010,'1.4'),
(41,22011,'1.4'),
(41,22012,'0.65331'),
(41,22013,'1.4'),
(41,22014,'1.4'),
(41,22015,'0.42'),
(41,22016,'1.14331'),
(41,22017,'1.4'),
(41,22018,'0.42'),
(41,22019,'1.14331'),
(41,22020,'1.4'),
(41,22021,'0.46669'),
(41,22022,'1.19'),
(41,22023,'1.4'),
(41,22024,'0.60669'),
(41,22025,'1.30669'),
(41,22026,'1.4'),
(41,22027,'0.46669'),
(41,22028,'1.16669'),
(41,22029,'1.4'),
(41,22030,'0.7'),
(41,22031,'1.4'),
(41,22032,'1.4'),
(41,22033,'0.7'),
(41,22034,'1.37669');
INSERT INTO `#__finder_links_terms8` VALUES 
(41,22035,'1.4'),
(41,22036,'0.65331'),
(41,22037,'1.30669'),
(41,22038,'1.4'),
(41,22039,'0.51331'),
(41,22040,'0.74662'),
(41,22041,'1.09669'),
(41,22042,'1.33'),
(41,22043,'1.09669'),
(41,22044,'1.30669'),
(41,22045,'0.42'),
(41,22046,'1.14331'),
(41,22047,'1.4'),
(41,22048,'0.7'),
(41,22049,'1.4'),
(41,22050,'1.4'),
(41,22051,'0.7'),
(41,22052,'1.4'),
(41,22053,'1.4'),
(41,22054,'0.65331'),
(41,22055,'1.30669'),
(41,22056,'1.4'),
(41,22057,'0.7'),
(41,22058,'1.35331'),
(41,22059,'1.4'),
(41,22060,'0.51331'),
(41,22061,'1.21331'),
(41,22062,'1.4'),
(41,22063,'0.56'),
(41,22064,'1.30669'),
(41,22065,'1.4'),
(41,22066,'0.60669'),
(41,22067,'1.21331'),
(41,22068,'1.4'),
(41,22069,'0.42'),
(41,22070,'1.00331'),
(41,22071,'1.09669'),
(41,22072,'0.42'),
(41,22073,'1.00331'),
(41,22074,'1.09669'),
(41,22075,'0.93324'),
(41,22076,'1.00331'),
(41,22077,'1.09669'),
(41,22078,'2.73'),
(41,22079,'1.12'),
(41,22080,'2.00662'),
(41,22081,'1.4'),
(41,22082,'5.13345'),
(41,22083,'1.26'),
(41,22084,'1.16669');
INSERT INTO `#__finder_links_terms8` VALUES 
(41,22085,'1.26'),
(41,22086,'1.26'),
(41,22087,'1.16669'),
(41,22088,'1.12'),
(41,22089,'2.73'),
(41,22090,'1.16669'),
(41,22091,'1.21331'),
(41,22092,'1.19'),
(41,22093,'4.31655'),
(41,22094,'5.13345'),
(41,22095,'0.46669'),
(41,22096,'1.02669'),
(41,22097,'1.16669'),
(41,22098,'0.56'),
(41,22099,'1.07331'),
(41,22100,'1.21331'),
(41,22101,'0.51331'),
(41,22102,'1.05'),
(41,22103,'1.19'),
(41,22104,'2.38'),
(41,22105,'1.00331'),
(41,22106,'1.07331'),
(41,22107,'1.30676'),
(41,22108,'2.00662'),
(41,22109,'1.14331'),
(41,22110,'1.96'),
(41,22111,'2.1'),
(41,22112,'1.30676'),
(41,22113,'4.2'),
(41,22114,'4.66676'),
(41,22115,'2.94'),
(41,22116,'3.21993'),
(41,22117,'4.9'),
(41,22118,'3.21993'),
(41,22119,'2.1'),
(41,22120,'1.00331'),
(41,22121,'1.05'),
(41,22122,'1.07331'),
(41,22123,'41.999'),
(41,22124,'52.501'),
(41,22125,'1.77338'),
(41,22126,'1.91338'),
(41,22127,'1.77338'),
(41,22128,'2.05338'),
(41,22129,'1.00331'),
(41,22130,'1.14331'),
(41,22131,'4.01324'),
(41,22132,'4.66676'),
(41,22133,'0.93331'),
(41,22134,'1.05');
INSERT INTO `#__finder_links_terms8` VALUES 
(41,22135,'1.77338'),
(41,22136,'2.05338'),
(41,22137,'0.91'),
(41,22138,'1.02669'),
(41,22139,'5.59986'),
(41,22140,'1.05'),
(41,22141,'1.05'),
(41,22142,'1.02669'),
(41,22143,'1.02669'),
(41,22144,'1.07331'),
(41,22145,'1.02669'),
(41,22146,'0.86331'),
(41,22147,'1.02669'),
(41,22465,'2.61464'),
(41,22466,'0.79331'),
(41,22467,'0.93331'),
(41,22468,'2.31'),
(41,22469,'0.91'),
(41,22470,'0.88669'),
(41,22471,'0.91'),
(41,22472,'0.98'),
(41,22473,'1.23669'),
(41,22474,'18.9928'),
(41,22475,'1.16669'),
(41,22476,'1.16669'),
(41,22477,'1.07331'),
(41,22478,'2.14662'),
(41,22479,'1.14331'),
(41,22480,'1.05'),
(41,22481,'1.07331'),
(41,22482,'1.07331'),
(41,22483,'1.16669'),
(41,22484,'1.09669'),
(41,22485,'1.07331'),
(41,22486,'1.05'),
(41,22487,'1.05'),
(41,22488,'1.05'),
(41,22489,'1.05'),
(41,22490,'1.05'),
(41,22491,'1.05'),
(41,22492,'1.09669'),
(41,22493,'1.05'),
(41,22494,'1.05'),
(41,22495,'1.07331'),
(41,22496,'1.72662'),
(41,22497,'2.00662'),
(41,22498,'15.4'),
(41,22499,'16.38'),
(41,22500,'0.91'),
(41,22501,'1.72662');
INSERT INTO `#__finder_links_terms8` VALUES 
(41,22502,'2.1'),
(41,22503,'0.84'),
(41,22504,'0.95669'),
(41,22505,'1.72662'),
(41,22506,'1.96'),
(41,22507,'0.81669'),
(41,22508,'1.00331'),
(41,22509,'3.63993'),
(41,22510,'1.12'),
(41,22511,'2.1'),
(41,22512,'1.09669'),
(41,22513,'1.19'),
(41,22514,'0.46662'),
(41,22515,'0.86331'),
(41,22516,'1.00331'),
(41,22517,'0.91'),
(41,22518,'1.00331'),
(41,22519,'0.42'),
(41,22520,'2.58993'),
(41,22521,'1.09669'),
(41,22522,'1.00331'),
(41,22523,'1.00331'),
(41,22524,'6.01986'),
(41,22525,'7.27986'),
(41,22526,'2.00662'),
(41,22527,'2.14662'),
(41,22528,'3.92'),
(41,22529,'4.10676'),
(41,22530,'0.69993'),
(41,22531,'2.79993'),
(41,22532,'3.21993'),
(41,22533,'1.00331'),
(41,22534,'1.19'),
(41,22535,'1.30676'),
(41,22536,'4.10676'),
(41,22537,'4.48'),
(41,22538,'0.46669'),
(41,22539,'0.98'),
(41,22540,'1.12'),
(45,22902,'1.48'),
(46,22905,'1.48'),
(47,22905,'1.48'),
(49,22990,'0.32669'),
(49,22991,'0.95669'),
(49,22992,'1.12'),
(49,22993,'0.65338'),
(49,22994,'0.91'),
(49,22995,'1.00331'),
(49,22996,'1.09669'),
(49,22997,'1.21331');
INSERT INTO `#__finder_links_terms8` VALUES 
(49,22998,'0.65331'),
(49,22999,'1.19'),
(49,23000,'1.26'),
(49,23017,'2.24'),
(49,23018,'1.21331'),
(49,23019,'1.19'),
(49,23020,'1.02669'),
(49,23021,'1.12'),
(49,23022,'1.12'),
(49,23023,'1.28331'),
(49,23024,'0.93331'),
(49,23025,'1.00331'),
(49,23026,'0.93331'),
(49,23027,'1.16669'),
(49,23028,'1.00331'),
(49,23029,'1.16669'),
(49,23052,'0.95669'),
(49,23112,'0.42'),
(49,23113,'1.05'),
(49,23114,'1.19'),
(49,23115,'0.28'),
(49,23116,'0.95669'),
(49,23117,'1.02669'),
(49,23118,'0.28'),
(49,23119,'0.81669'),
(49,23120,'0.98'),
(49,23121,'0.88669'),
(49,23122,'1.05');

DROP TABLE IF EXISTS #__finder_links_terms9;
CREATE TABLE `#__finder_links_terms9` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_terms9` VALUES 
(5,563,'0.18669'),
(5,564,'0.93331'),
(5,565,'1.09669'),
(6,1173,'0.37331'),
(6,1174,'1.00331'),
(6,1175,'1.28331'),
(32,2027,'0.37331'),
(41,2027,'2.23986'),
(32,3301,'0.37331'),
(13,3301,'1.49324'),
(14,3301,'1.49324'),
(15,3301,'1.49324'),
(16,3301,'1.49324'),
(18,3301,'1.49324'),
(19,3301,'1.49324'),
(20,3301,'1.49324'),
(17,3301,'3.46645'),
(41,3301,'4.47972'),
(32,3307,'0.32669'),
(13,3307,'0.98007'),
(14,3307,'0.98007'),
(15,3307,'0.98007'),
(16,3307,'0.98007'),
(17,3307,'0.98007'),
(18,3307,'0.98007'),
(19,3307,'0.98007'),
(20,3307,'0.98007'),
(41,3307,'3.92028'),
(13,4042,'0.65338'),
(14,4042,'0.65338'),
(15,4042,'0.65338'),
(16,4042,'0.65338'),
(17,4042,'0.65338'),
(18,4042,'0.65338'),
(19,4042,'0.65338'),
(20,4042,'0.65338'),
(13,4043,'2.05338'),
(14,4043,'2.05338'),
(15,4043,'2.05338'),
(16,4043,'2.05338'),
(17,4043,'2.05338'),
(18,4043,'2.05338'),
(19,4043,'2.05338'),
(20,4043,'2.05338'),
(13,4044,'2.33338'),
(14,4044,'2.33338'),
(15,4044,'2.33338'),
(16,4044,'2.33338'),
(17,4044,'2.33338'),
(18,4044,'2.33338');
INSERT INTO `#__finder_links_terms9` VALUES 
(19,4044,'2.33338'),
(20,4044,'2.33338'),
(31,4701,'0.84'),
(41,4701,'1.68'),
(13,4701,'1.96'),
(14,4701,'1.96'),
(15,4701,'1.96'),
(16,4701,'1.96'),
(17,4701,'1.96'),
(18,4701,'1.96'),
(19,4701,'1.96'),
(20,4701,'1.96'),
(13,4702,'2.00662'),
(14,4702,'2.00662'),
(15,4702,'2.00662'),
(16,4702,'2.00662'),
(17,4702,'2.00662'),
(18,4702,'2.00662'),
(19,4702,'2.00662'),
(20,4702,'2.00662'),
(13,4703,'2.47338'),
(14,4703,'2.47338'),
(15,4703,'2.47338'),
(16,4703,'2.47338'),
(17,4703,'2.47338'),
(18,4703,'2.47338'),
(19,4703,'2.47338'),
(20,4703,'2.47338'),
(13,4704,'2.87007'),
(14,4704,'2.87007'),
(15,4704,'2.87007'),
(16,4704,'2.87007'),
(17,4704,'2.87007'),
(18,4704,'2.87007'),
(19,4704,'2.87007'),
(20,4704,'2.87007'),
(13,4705,'3.15'),
(14,4705,'3.15'),
(15,4705,'3.15'),
(16,4705,'3.15'),
(17,4705,'3.15'),
(18,4705,'3.15'),
(19,4705,'3.15'),
(20,4705,'3.15'),
(13,4706,'1.96'),
(14,4706,'1.96'),
(15,4706,'1.96'),
(16,4706,'1.96'),
(17,4706,'1.96'),
(18,4706,'1.96');
INSERT INTO `#__finder_links_terms9` VALUES 
(19,4706,'1.96'),
(20,4706,'1.96'),
(13,4707,'1.12'),
(14,4707,'1.12'),
(15,4707,'1.12'),
(16,4707,'1.12'),
(17,4707,'1.12'),
(18,4707,'1.12'),
(19,4707,'1.12'),
(20,4707,'1.12'),
(13,4708,'1.16669'),
(14,4708,'1.16669'),
(15,4708,'1.16669'),
(16,4708,'1.16669'),
(17,4708,'1.16669'),
(18,4708,'1.16669'),
(19,4708,'1.16669'),
(20,4708,'1.16669'),
(13,4709,'1.02669'),
(14,4709,'1.02669'),
(15,4709,'1.02669'),
(16,4709,'1.02669'),
(17,4709,'1.02669'),
(18,4709,'1.02669'),
(19,4709,'1.02669'),
(20,4709,'1.02669'),
(13,4710,'1.09669'),
(14,4710,'1.09669'),
(15,4710,'1.09669'),
(16,4710,'1.09669'),
(17,4710,'1.09669'),
(18,4710,'1.09669'),
(19,4710,'1.09669'),
(20,4710,'1.09669'),
(13,4711,'2.1'),
(14,4711,'2.1'),
(15,4711,'2.1'),
(16,4711,'2.1'),
(17,4711,'2.1'),
(18,4711,'2.1'),
(19,4711,'2.1'),
(20,4711,'2.1'),
(13,4712,'2.24'),
(14,4712,'2.24'),
(15,4712,'2.24'),
(16,4712,'2.24'),
(17,4712,'2.24'),
(18,4712,'2.24'),
(19,4712,'2.24'),
(20,4712,'2.24');
INSERT INTO `#__finder_links_terms9` VALUES 
(13,4713,'1.12'),
(14,4713,'1.12'),
(15,4713,'1.12'),
(16,4713,'1.12'),
(17,4713,'1.12'),
(18,4713,'1.12'),
(19,4713,'1.12'),
(20,4713,'1.12'),
(13,4714,'1.23669'),
(14,4714,'1.23669'),
(15,4714,'1.23669'),
(16,4714,'1.23669'),
(17,4714,'1.23669'),
(18,4714,'1.23669'),
(19,4714,'1.23669'),
(20,4714,'1.23669'),
(32,4715,'0.42'),
(13,4715,'1.54'),
(14,4715,'1.54'),
(15,4715,'1.54'),
(16,4715,'1.54'),
(17,4715,'1.54'),
(18,4715,'1.54'),
(19,4715,'1.54'),
(20,4715,'1.54'),
(13,4716,'0.88669'),
(14,4716,'0.88669'),
(15,4716,'0.88669'),
(16,4716,'0.88669'),
(17,4716,'0.88669'),
(18,4716,'0.88669'),
(19,4716,'0.88669'),
(20,4716,'0.88669'),
(13,4717,'1.05'),
(14,4717,'1.05'),
(15,4717,'1.05'),
(16,4717,'1.05'),
(17,4717,'1.05'),
(18,4717,'1.05'),
(19,4717,'1.05'),
(20,4717,'1.05'),
(13,4718,'1.91338'),
(14,4718,'1.91338'),
(15,4718,'1.91338'),
(16,4718,'1.91338'),
(17,4718,'1.91338'),
(18,4718,'1.91338'),
(19,4718,'1.91338'),
(20,4718,'1.91338'),
(13,4719,'2.33338');
INSERT INTO `#__finder_links_terms9` VALUES 
(14,4719,'2.33338'),
(15,4719,'2.33338'),
(16,4719,'2.33338'),
(17,4719,'2.33338'),
(18,4719,'2.33338'),
(19,4719,'2.33338'),
(20,4719,'2.33338'),
(13,4720,'0.98'),
(14,4720,'0.98'),
(15,4720,'0.98'),
(16,4720,'0.98'),
(17,4720,'0.98'),
(18,4720,'0.98'),
(19,4720,'0.98'),
(20,4720,'0.98'),
(13,4721,'1.09669'),
(14,4721,'1.09669'),
(15,4721,'1.09669'),
(16,4721,'1.09669'),
(17,4721,'1.09669'),
(18,4721,'1.09669'),
(19,4721,'1.09669'),
(20,4721,'1.09669'),
(13,4722,'1.96'),
(14,4722,'1.96'),
(15,4722,'1.96'),
(16,4722,'1.96'),
(17,4722,'1.96'),
(18,4722,'1.96'),
(19,4722,'1.96'),
(20,4722,'1.96'),
(13,4723,'2.24'),
(14,4723,'2.24'),
(15,4723,'2.24'),
(16,4723,'2.24'),
(17,4723,'2.24'),
(18,4723,'2.24'),
(19,4723,'2.24'),
(20,4723,'2.24'),
(13,4724,'2.1'),
(14,4724,'2.1'),
(15,4724,'2.1'),
(16,4724,'2.1'),
(17,4724,'2.1'),
(18,4724,'2.1'),
(19,4724,'2.1'),
(20,4724,'2.1'),
(13,4725,'2.56662'),
(14,4725,'2.56662'),
(15,4725,'2.56662');
INSERT INTO `#__finder_links_terms9` VALUES 
(16,4725,'2.56662'),
(17,4725,'2.56662'),
(18,4725,'2.56662'),
(19,4725,'2.56662'),
(20,4725,'2.56662'),
(13,4726,'0.93331'),
(14,4726,'0.93331'),
(15,4726,'0.93331'),
(16,4726,'0.93331'),
(17,4726,'0.93331'),
(18,4726,'0.93331'),
(19,4726,'0.93331'),
(20,4726,'0.93331'),
(13,4727,'1.02669'),
(14,4727,'1.02669'),
(15,4727,'1.02669'),
(16,4727,'1.02669'),
(17,4727,'1.02669'),
(18,4727,'1.02669'),
(19,4727,'1.02669'),
(20,4727,'1.02669'),
(13,4728,'1.77338'),
(14,4728,'1.77338'),
(15,4728,'1.77338'),
(16,4728,'1.77338'),
(17,4728,'1.77338'),
(18,4728,'1.77338'),
(19,4728,'1.77338'),
(20,4728,'1.77338'),
(13,4729,'1.91338'),
(14,4729,'1.91338'),
(15,4729,'1.91338'),
(16,4729,'1.91338'),
(17,4729,'1.91338'),
(18,4729,'1.91338'),
(19,4729,'1.91338'),
(20,4729,'1.91338'),
(32,4730,'0.46662'),
(13,4730,'1.86648'),
(14,4730,'1.86648'),
(15,4730,'1.86648'),
(16,4730,'1.86648'),
(17,4730,'1.86648'),
(18,4730,'1.86648'),
(19,4730,'1.86648'),
(20,4730,'1.86648'),
(13,4731,'0.95669'),
(14,4731,'0.95669'),
(15,4731,'0.95669'),
(16,4731,'0.95669');
INSERT INTO `#__finder_links_terms9` VALUES 
(17,4731,'0.95669'),
(18,4731,'0.95669'),
(19,4731,'0.95669'),
(20,4731,'0.95669'),
(13,4732,'1.14331'),
(14,4732,'1.14331'),
(15,4732,'1.14331'),
(16,4732,'1.14331'),
(17,4732,'1.14331'),
(18,4732,'1.14331'),
(19,4732,'1.14331'),
(20,4732,'1.14331'),
(13,4733,'3.64'),
(14,4733,'3.64'),
(15,4733,'3.64'),
(16,4733,'3.64'),
(17,4733,'3.64'),
(18,4733,'3.64'),
(19,4733,'3.64'),
(20,4733,'3.64'),
(13,4734,'4.38676'),
(14,4734,'4.38676'),
(15,4734,'4.38676'),
(16,4734,'4.38676'),
(17,4734,'4.38676'),
(18,4734,'4.38676'),
(19,4734,'4.38676'),
(20,4734,'4.38676'),
(13,4735,'0.91'),
(14,4735,'0.91'),
(15,4735,'0.91'),
(16,4735,'0.91'),
(17,4735,'0.91'),
(18,4735,'0.91'),
(19,4735,'0.91'),
(20,4735,'0.91'),
(13,4736,'1.07331'),
(14,4736,'1.07331'),
(15,4736,'1.07331'),
(16,4736,'1.07331'),
(17,4736,'1.07331'),
(18,4736,'1.07331'),
(19,4736,'1.07331'),
(20,4736,'1.07331'),
(13,4737,'2.19338'),
(14,4737,'2.19338'),
(15,4737,'2.19338'),
(16,4737,'2.19338'),
(17,4737,'2.19338'),
(18,4737,'2.19338');
INSERT INTO `#__finder_links_terms9` VALUES 
(19,4737,'2.19338'),
(20,4737,'2.19338'),
(13,4738,'2.42662'),
(14,4738,'2.42662'),
(15,4738,'2.42662'),
(16,4738,'2.42662'),
(17,4738,'2.42662'),
(18,4738,'2.42662'),
(19,4738,'2.42662'),
(20,4738,'2.42662'),
(41,4739,'1.86676'),
(13,4739,'2.80014'),
(14,4739,'2.80014'),
(15,4739,'2.80014'),
(16,4739,'2.80014'),
(17,4739,'2.80014'),
(18,4739,'2.80014'),
(19,4739,'2.80014'),
(32,4739,'2.80014'),
(20,4739,'5.26693'),
(13,4740,'1.09669'),
(14,4740,'1.09669'),
(15,4740,'1.09669'),
(16,4740,'1.09669'),
(17,4740,'1.09669'),
(18,4740,'1.09669'),
(19,4740,'1.09669'),
(20,4740,'1.09669'),
(13,4741,'1.19'),
(14,4741,'1.19'),
(15,4741,'1.19'),
(16,4741,'1.19'),
(17,4741,'1.19'),
(18,4741,'1.19'),
(19,4741,'1.19'),
(20,4741,'1.19'),
(13,4742,'2.19338'),
(14,4742,'2.19338'),
(15,4742,'2.19338'),
(16,4742,'2.19338'),
(17,4742,'2.19338'),
(18,4742,'2.19338'),
(19,4742,'2.19338'),
(20,4742,'2.19338'),
(13,4743,'2.47338'),
(14,4743,'2.47338'),
(15,4743,'2.47338'),
(16,4743,'2.47338'),
(17,4743,'2.47338'),
(18,4743,'2.47338');
INSERT INTO `#__finder_links_terms9` VALUES 
(19,4743,'2.47338'),
(20,4743,'2.47338'),
(13,4744,'2.28662'),
(14,4744,'2.28662'),
(15,4744,'2.28662'),
(16,4744,'2.28662'),
(17,4744,'2.28662'),
(18,4744,'2.28662'),
(19,4744,'2.28662'),
(20,4744,'2.28662'),
(13,4745,'2.56662'),
(14,4745,'2.56662'),
(15,4745,'2.56662'),
(16,4745,'2.56662'),
(17,4745,'2.56662'),
(18,4745,'2.56662'),
(19,4745,'2.56662'),
(20,4745,'2.56662'),
(13,4746,'1.00331'),
(14,4746,'1.00331'),
(15,4746,'1.00331'),
(16,4746,'1.00331'),
(17,4746,'1.00331'),
(18,4746,'1.00331'),
(19,4746,'1.00331'),
(20,4746,'1.00331'),
(32,4746,'3.00993'),
(13,4747,'1.14331'),
(14,4747,'1.14331'),
(15,4747,'1.14331'),
(16,4747,'1.14331'),
(17,4747,'1.14331'),
(18,4747,'1.14331'),
(19,4747,'1.14331'),
(20,4747,'1.14331'),
(32,4748,'0.23331'),
(13,4748,'1.39986'),
(14,4748,'1.39986'),
(15,4748,'1.39986'),
(16,4748,'1.39986'),
(17,4748,'1.39986'),
(18,4748,'1.39986'),
(19,4748,'1.39986'),
(20,4748,'1.39986'),
(13,4749,'0.95669'),
(14,4749,'0.95669'),
(15,4749,'0.95669'),
(16,4749,'0.95669'),
(17,4749,'0.95669'),
(18,4749,'0.95669');
INSERT INTO `#__finder_links_terms9` VALUES 
(19,4749,'0.95669'),
(20,4749,'0.95669'),
(13,4750,'1.12'),
(14,4750,'1.12'),
(15,4750,'1.12'),
(16,4750,'1.12'),
(17,4750,'1.12'),
(18,4750,'1.12'),
(19,4750,'1.12'),
(20,4750,'1.12'),
(13,4751,'4.78345'),
(14,4751,'4.78345'),
(15,4751,'4.78345'),
(16,4751,'4.78345'),
(17,4751,'4.78345'),
(18,4751,'4.78345'),
(19,4751,'4.78345'),
(20,4751,'4.78345'),
(13,4752,'5.13345'),
(14,4752,'5.13345'),
(15,4752,'5.13345'),
(16,4752,'5.13345'),
(17,4752,'5.13345'),
(18,4752,'5.13345'),
(19,4752,'5.13345'),
(20,4752,'5.13345'),
(32,4753,'0.32669'),
(13,4753,'0.65338'),
(14,4753,'0.65338'),
(15,4753,'0.65338'),
(16,4753,'0.65338'),
(17,4753,'0.65338'),
(18,4753,'0.65338'),
(19,4753,'0.65338'),
(20,4753,'0.65338'),
(31,4753,'0.98007'),
(41,4753,'1.96014'),
(13,4754,'2.1'),
(14,4754,'2.1'),
(15,4754,'2.1'),
(16,4754,'2.1'),
(17,4754,'2.1'),
(18,4754,'2.1'),
(19,4754,'2.1'),
(20,4754,'2.1'),
(13,4755,'2.42662'),
(14,4755,'2.42662'),
(15,4755,'2.42662'),
(16,4755,'2.42662'),
(17,4755,'2.42662');
INSERT INTO `#__finder_links_terms9` VALUES 
(18,4755,'2.42662'),
(19,4755,'2.42662'),
(20,4755,'2.42662'),
(13,4756,'3.08007'),
(14,4756,'3.08007'),
(15,4756,'3.08007'),
(16,4756,'3.08007'),
(17,4756,'3.08007'),
(18,4756,'3.08007'),
(19,4756,'3.08007'),
(20,4756,'3.08007'),
(13,4757,'3.57'),
(14,4757,'3.57'),
(15,4757,'3.57'),
(16,4757,'3.57'),
(17,4757,'3.57'),
(18,4757,'3.57'),
(19,4757,'3.57'),
(20,4757,'3.57'),
(32,4758,'0.37331'),
(13,4758,'1.49324'),
(14,4758,'1.49324'),
(15,4758,'1.49324'),
(16,4758,'1.49324'),
(17,4758,'1.49324'),
(18,4758,'1.49324'),
(19,4758,'1.49324'),
(20,4758,'1.49324'),
(13,4759,'1.00331'),
(14,4759,'1.00331'),
(15,4759,'1.00331'),
(16,4759,'1.00331'),
(17,4759,'1.00331'),
(18,4759,'1.00331'),
(19,4759,'1.00331'),
(20,4759,'1.00331'),
(13,4760,'1.07331'),
(14,4760,'1.07331'),
(15,4760,'1.07331'),
(16,4760,'1.07331'),
(17,4760,'1.07331'),
(18,4760,'1.07331'),
(19,4760,'1.07331'),
(20,4760,'1.07331'),
(13,4761,'2.1'),
(14,4761,'2.1'),
(15,4761,'2.1'),
(16,4761,'2.1'),
(17,4761,'2.1'),
(18,4761,'2.1');
INSERT INTO `#__finder_links_terms9` VALUES 
(19,4761,'2.1'),
(20,4761,'2.1'),
(13,4762,'2.24'),
(14,4762,'2.24'),
(15,4762,'2.24'),
(16,4762,'2.24'),
(17,4762,'2.24'),
(18,4762,'2.24'),
(19,4762,'2.24'),
(20,4762,'2.24'),
(13,4763,'1.09669'),
(14,4763,'1.09669'),
(15,4763,'1.09669'),
(16,4763,'1.09669'),
(17,4763,'1.09669'),
(18,4763,'1.09669'),
(19,4763,'1.09669'),
(20,4763,'1.09669'),
(13,4764,'1.33'),
(14,4764,'1.33'),
(15,4764,'1.33'),
(16,4764,'1.33'),
(17,4764,'1.33'),
(18,4764,'1.33'),
(19,4764,'1.33'),
(20,4764,'1.33'),
(13,4765,'0.42'),
(14,4765,'0.42'),
(15,4765,'0.42'),
(16,4765,'0.42'),
(17,4765,'0.42'),
(18,4765,'0.42'),
(19,4765,'0.42'),
(20,4765,'0.42'),
(32,4765,'0.84'),
(13,4766,'0.98'),
(14,4766,'0.98'),
(15,4766,'0.98'),
(16,4766,'0.98'),
(17,4766,'0.98'),
(18,4766,'0.98'),
(19,4766,'0.98'),
(20,4766,'0.98'),
(13,4767,'1.07331'),
(14,4767,'1.07331'),
(15,4767,'1.07331'),
(16,4767,'1.07331'),
(17,4767,'1.07331'),
(18,4767,'1.07331'),
(19,4767,'1.07331');
INSERT INTO `#__finder_links_terms9` VALUES 
(20,4767,'1.07331'),
(31,7429,'3.08007'),
(41,7429,'3.08007'),
(31,7430,'3.42993'),
(41,7430,'3.42993'),
(31,7431,'2.94'),
(41,7431,'5.88'),
(31,7432,'3.21993'),
(41,7432,'6.43986'),
(32,7576,'1.07331'),
(32,7577,'1.14331'),
(32,7777,'0.91'),
(32,7778,'1.05'),
(32,7779,'2.00662'),
(32,7780,'1.12'),
(32,7781,'1.09669'),
(32,7782,'0.88669'),
(32,7783,'1.02669'),
(32,7784,'0.95669'),
(32,7785,'1.12'),
(32,7786,'0.42'),
(41,7786,'1.68'),
(32,7787,'1.09669'),
(32,7788,'1.26'),
(32,7789,'1.12'),
(32,7790,'1.28331'),
(32,7791,'1.00331'),
(32,7792,'1.07331'),
(32,7793,'1.09669'),
(32,7794,'1.23669'),
(32,7795,'3.57'),
(32,7796,'0.98'),
(32,7797,'1.14331'),
(32,7798,'1.02669'),
(32,7799,'1.14331'),
(32,7800,'0.95669'),
(32,7801,'1.07331'),
(32,7802,'1.02669'),
(32,7803,'1.09669'),
(32,7804,'1.02669'),
(32,7805,'1.09669'),
(32,7806,'1.00331'),
(32,7807,'1.16669'),
(34,8342,'0.28'),
(34,8343,'0.88669'),
(34,8344,'1.02669'),
(34,8345,'0.32669'),
(34,8346,'0.98'),
(34,8347,'1.12'),
(34,8507,'0.32669');
INSERT INTO `#__finder_links_terms9` VALUES 
(34,8508,'1.05'),
(34,8509,'1.26'),
(41,20984,'0.04669'),
(41,20985,'0.86331'),
(41,20986,'1.00331'),
(41,20987,'6.16014'),
(41,20988,'1.21331'),
(41,20989,'5.71655'),
(41,20990,'2.33345'),
(41,20991,'1.19'),
(41,20992,'1.23669'),
(41,20993,'1.07331'),
(41,20994,'1.33'),
(41,20995,'2.14662'),
(41,20996,'2.42662'),
(41,20997,'0.98'),
(41,20998,'1.12'),
(41,20999,'0.84'),
(41,21000,'0.93331'),
(41,21001,'1.07331'),
(41,21002,'1.77338'),
(41,21003,'2.05338'),
(41,21004,'0.32669'),
(41,21005,'0.95669'),
(41,21006,'1.09669'),
(41,21007,'0.84'),
(41,21008,'2.66007'),
(41,21009,'3.08007'),
(41,21010,'0.42'),
(41,21011,'2.58993'),
(41,21012,'3.00993'),
(41,21013,'0.84'),
(41,21014,'2.79993'),
(41,21015,'3.21993'),
(41,21016,'0.27993'),
(41,21017,'1.63338'),
(41,21018,'2.1'),
(41,21019,'0.81669'),
(41,21020,'0.98'),
(41,21021,'0.7'),
(41,21022,'4.43345'),
(41,21023,'1.02669'),
(41,21024,'2.94'),
(41,21025,'1.00331'),
(41,21026,'1.11993'),
(41,21027,'3.36'),
(41,21028,'1.28331'),
(41,21029,'1.23669'),
(41,21030,'1.21331'),
(41,21031,'0.56');
INSERT INTO `#__finder_links_terms9` VALUES 
(41,21032,'1.00331'),
(41,21033,'1.05'),
(41,21034,'0.88669'),
(41,21035,'1.02669'),
(41,22752,'2.73'),
(41,22753,'2.94'),
(41,22754,'12.3203'),
(41,22755,'14.8403'),
(41,22756,'1.96'),
(41,22757,'2.1'),
(41,22758,'2.24'),
(41,22759,'2.56662'),
(41,22760,'4.66676'),
(41,22761,'2.47338'),
(41,22762,'2.75338'),
(41,22763,'0.23331'),
(41,22764,'0.93331'),
(41,22765,'1.05'),
(41,22766,'11.4803'),
(41,22767,'12.6'),
(49,22961,'0.01169'),
(49,22962,'0.81669'),
(49,22963,'0.91'),
(49,22964,'0.23331'),
(49,22965,'0.98'),
(49,22966,'1.14331'),
(49,22967,'0.32669'),
(49,22968,'1.07331'),
(49,22969,'1.16669'),
(49,22970,'0.01169'),
(49,22971,'0.95669'),
(49,22972,'1.00331'),
(49,23223,'0.02331'),
(49,23224,'0.95669'),
(49,23225,'1.12'),
(49,23226,'0.18669'),
(49,23227,'0.88669'),
(49,23228,'1.05');

DROP TABLE IF EXISTS #__finder_links_termsa;
CREATE TABLE `#__finder_links_termsa` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_termsa` VALUES 
(5,516,'1.95'),
(5,517,'0.95669'),
(5,518,'1.05'),
(5,519,'0.88669'),
(5,520,'1.00331'),
(5,521,'1.77338'),
(5,522,'0.98'),
(5,523,'0.95669'),
(6,1026,'0.07'),
(49,1026,'0.07'),
(6,1027,'0.86331'),
(6,1028,'0.93331'),
(34,8313,'0.23331'),
(34,8314,'0.91'),
(34,8315,'1.09669'),
(34,8316,'0.51331'),
(41,20873,'0.42'),
(41,20874,'0.81669'),
(41,20875,'0.88669'),
(41,20876,'1.05'),
(41,20877,'1.28331'),
(49,22921,'0.98'),
(49,22922,'1.07331');

DROP TABLE IF EXISTS #__finder_links_termsb;
CREATE TABLE `#__finder_links_termsb` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_termsb` VALUES 
(5,625,'0.01169'),
(6,625,'0.01169'),
(5,626,'0.81669'),
(6,626,'0.81669'),
(5,627,'1.00331'),
(6,1074,'0.18669'),
(6,1075,'0.91'),
(6,1076,'1.12'),
(6,1077,'0.28'),
(6,1078,'1.16669'),
(6,1079,'1.28331'),
(6,1080,'0.98'),
(13,4235,'0.32669'),
(14,4235,'0.32669'),
(15,4235,'0.32669'),
(16,4235,'0.32669'),
(17,4235,'0.32669'),
(18,4235,'0.32669'),
(19,4235,'0.32669'),
(20,4235,'0.32669'),
(13,4236,'0.98'),
(14,4236,'0.98'),
(15,4236,'0.98'),
(16,4236,'0.98'),
(17,4236,'0.98'),
(18,4236,'0.98'),
(19,4236,'0.98'),
(20,4236,'0.98'),
(13,4237,'1.16669'),
(14,4237,'1.16669'),
(15,4237,'1.16669'),
(16,4237,'1.16669'),
(17,4237,'1.16669'),
(18,4237,'1.16669'),
(19,4237,'1.16669'),
(20,4237,'1.16669'),
(31,6859,'0.0175'),
(41,6859,'0.035'),
(49,6859,'0.035'),
(31,7344,'1.00331'),
(41,7344,'2.00662'),
(31,7345,'1.21331'),
(41,7345,'2.42662'),
(41,21395,'0.42'),
(41,21396,'1.02669'),
(41,21397,'1.14331'),
(41,21398,'5.6007'),
(41,21399,'27.3'),
(41,21400,'4.01324'),
(41,21401,'2.94');
INSERT INTO `#__finder_links_termsb` VALUES 
(41,21402,'19.1338'),
(41,21403,'2.94'),
(41,21404,'0.46669'),
(41,21405,'1.05'),
(41,21406,'1.16669'),
(41,21407,'0.09331'),
(41,21408,'1.05'),
(41,21409,'1.12'),
(49,23030,'1.72662'),
(49,23031,'1.09669'),
(49,23032,'1.09669');

DROP TABLE IF EXISTS #__finder_links_termsc;
CREATE TABLE `#__finder_links_termsc` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_termsc` VALUES 
(5,509,'0.07'),
(6,509,'0.07'),
(13,509,'0.07'),
(14,509,'0.07'),
(15,509,'0.07'),
(16,509,'0.07'),
(17,509,'0.07'),
(18,509,'0.07'),
(19,509,'0.07'),
(20,509,'0.07'),
(49,509,'0.07'),
(5,510,'0.79331'),
(6,510,'0.79331'),
(5,511,'0.86331'),
(6,511,'0.86331'),
(5,512,'0.51'),
(5,513,'0.07'),
(6,513,'0.07'),
(13,513,'0.07'),
(14,513,'0.07'),
(15,513,'0.07'),
(16,513,'0.07'),
(17,513,'0.07'),
(18,513,'0.07'),
(19,513,'0.07'),
(20,513,'0.07'),
(49,513,'0.14'),
(5,514,'0.84'),
(5,515,'0.93331'),
(6,1020,'0.51'),
(6,1021,'0.86331'),
(6,1022,'0.93331'),
(42,1784,'0.21'),
(41,1784,'0.42'),
(41,1785,'0.88669'),
(42,1785,'0.88669'),
(41,1786,'1.00331'),
(42,1786,'1.00331'),
(34,1913,'0.07'),
(13,3957,'0.86331'),
(14,3957,'0.86331'),
(15,3957,'0.86331'),
(16,3957,'0.86331'),
(17,3957,'0.86331'),
(18,3957,'0.86331'),
(19,3957,'0.86331'),
(20,3957,'0.86331'),
(13,3958,'1.12'),
(14,3958,'1.12'),
(15,3958,'1.12');
INSERT INTO `#__finder_links_termsc` VALUES 
(16,3958,'1.12'),
(17,3958,'1.12'),
(18,3958,'1.12'),
(19,3958,'1.12'),
(20,3958,'1.12'),
(13,3959,'0.51'),
(13,3960,'0.86331'),
(14,3960,'0.86331'),
(15,3960,'0.86331'),
(16,3960,'0.86331'),
(17,3960,'0.86331'),
(18,3960,'0.86331'),
(19,3960,'0.86331'),
(20,3960,'0.86331'),
(13,3961,'1.00331'),
(14,3961,'1.00331'),
(15,3961,'1.00331'),
(16,3961,'1.00331'),
(17,3961,'1.00331'),
(18,3961,'1.00331'),
(19,3961,'1.00331'),
(20,3961,'1.00331'),
(14,4980,'0.51'),
(15,4987,'0.51'),
(16,4988,'0.51'),
(17,4989,'0.51'),
(18,4990,'0.51'),
(19,4993,'0.51'),
(20,4994,'0.51'),
(31,7289,'0.51'),
(31,7290,'0.35'),
(41,7290,'0.7'),
(31,7291,'0.95669'),
(41,7291,'0.95669'),
(31,7292,'1.05'),
(41,7292,'1.05'),
(31,7293,'0.35'),
(41,7293,'0.7'),
(31,7294,'0.95669'),
(41,7294,'0.95669'),
(31,7295,'1.09669'),
(41,7295,'1.09669'),
(34,8310,'0.86331'),
(34,8311,'0.95669'),
(34,8312,'0.51'),
(41,20850,'0.28'),
(41,20851,'0.88669'),
(41,20852,'1.02669'),
(41,20853,'0.86331'),
(41,20854,'0.98');
INSERT INTO `#__finder_links_termsc` VALUES 
(41,20855,'0.14'),
(41,20856,'0.88669'),
(41,20857,'1.02669'),
(41,20858,'0.14'),
(41,20859,'0.88669'),
(41,20860,'1.02669'),
(41,20861,'0.93331'),
(41,20862,'1.05'),
(41,20863,'0.88669'),
(41,20864,'1.00331'),
(41,20865,'0.93331'),
(41,20866,'1.05'),
(41,20881,'0.34'),
(41,20882,'3.08'),
(41,20883,'2.14662'),
(41,20884,'2.38'),
(41,20885,'2.14662'),
(41,20886,'2.24'),
(42,22894,'0.51'),
(43,22895,'0.34'),
(49,22911,'0.95669'),
(49,22912,'1.12'),
(49,22913,'0.51'),
(49,22914,'1.63338'),
(49,22915,'1.82');

DROP TABLE IF EXISTS #__finder_links_termsd;
CREATE TABLE `#__finder_links_termsd` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_termsd` VALUES 
(5,721,'0.01169'),
(6,721,'0.02338'),
(5,722,'0.84'),
(5,723,'1.07331'),
(5,724,'0.18669'),
(5,725,'0.91'),
(5,726,'1.00331'),
(5,727,'0.01169'),
(31,727,'0.01169'),
(34,727,'0.01169'),
(41,727,'0.02338'),
(5,728,'0.88669'),
(5,729,'1.00331'),
(5,730,'0.02919'),
(5,731,'1.00331'),
(5,732,'1.09669'),
(6,1093,'0.01169'),
(31,1093,'0.01169'),
(49,1093,'0.01169'),
(41,1093,'0.02338'),
(6,1094,'0.86331'),
(6,1095,'0.98'),
(6,1096,'3.36024'),
(6,1097,'1.05'),
(6,1098,'1.12'),
(6,1099,'1.02669'),
(6,1100,'1.14331'),
(6,1101,'7.14'),
(6,1102,'1.09669'),
(6,1103,'1.07331'),
(6,1104,'0.95669'),
(6,1105,'0.86331'),
(6,1106,'0.93331'),
(6,1107,'0.84'),
(6,1108,'0.93331'),
(6,1109,'0.28'),
(6,1110,'0.95669'),
(6,1111,'1.00331'),
(13,3112,'0.56007'),
(14,3112,'0.56007'),
(15,3112,'0.56007'),
(16,3112,'0.56007'),
(17,3112,'0.56007'),
(18,3112,'0.56007'),
(19,3112,'0.56007'),
(20,3112,'0.56007'),
(41,3112,'2.24028'),
(13,4459,'1.82'),
(14,4459,'1.82'),
(15,4459,'1.82');
INSERT INTO `#__finder_links_termsd` VALUES 
(16,4459,'1.82'),
(17,4459,'1.82'),
(18,4459,'1.82'),
(19,4459,'1.82'),
(20,4459,'1.82'),
(13,4460,'2.28662'),
(14,4460,'2.28662'),
(15,4460,'2.28662'),
(16,4460,'2.28662'),
(17,4460,'2.28662'),
(18,4460,'2.28662'),
(19,4460,'2.28662'),
(20,4460,'2.28662'),
(13,4461,'0.88669'),
(14,4461,'0.88669'),
(15,4461,'0.88669'),
(16,4461,'0.88669'),
(17,4461,'0.88669'),
(18,4461,'0.88669'),
(19,4461,'0.88669'),
(20,4461,'0.88669'),
(13,4462,'1.07331'),
(14,4462,'1.07331'),
(15,4462,'1.07331'),
(16,4462,'1.07331'),
(17,4462,'1.07331'),
(18,4462,'1.07331'),
(19,4462,'1.07331'),
(20,4462,'1.07331'),
(32,4463,'0.18669'),
(13,4463,'0.56007'),
(14,4463,'0.56007'),
(15,4463,'0.56007'),
(16,4463,'0.56007'),
(17,4463,'0.56007'),
(18,4463,'0.56007'),
(19,4463,'0.56007'),
(20,4463,'0.56007'),
(13,4464,'1.02669'),
(14,4464,'1.02669'),
(15,4464,'1.02669'),
(16,4464,'1.02669'),
(17,4464,'1.02669'),
(18,4464,'1.02669'),
(19,4464,'1.02669'),
(20,4464,'1.02669'),
(13,4465,'1.30669'),
(14,4465,'1.30669'),
(15,4465,'1.30669'),
(16,4465,'1.30669');
INSERT INTO `#__finder_links_termsd` VALUES 
(17,4465,'1.30669'),
(18,4465,'1.30669'),
(19,4465,'1.30669'),
(20,4465,'1.30669'),
(13,4466,'0.95669'),
(14,4466,'0.95669'),
(15,4466,'0.95669'),
(16,4466,'0.95669'),
(17,4466,'0.95669'),
(18,4466,'0.95669'),
(19,4466,'0.95669'),
(20,4466,'0.95669'),
(13,4467,'1.02669'),
(14,4467,'1.02669'),
(15,4467,'1.02669'),
(16,4467,'1.02669'),
(17,4467,'1.02669'),
(18,4467,'1.02669'),
(19,4467,'1.02669'),
(20,4467,'1.02669'),
(13,4468,'0.28'),
(14,4468,'0.28'),
(15,4468,'0.28'),
(16,4468,'0.28'),
(17,4468,'0.28'),
(18,4468,'0.28'),
(19,4468,'0.28'),
(20,4468,'0.28'),
(13,4469,'0.95669'),
(14,4469,'0.95669'),
(15,4469,'0.95669'),
(16,4469,'0.95669'),
(17,4469,'0.95669'),
(18,4469,'0.95669'),
(19,4469,'0.95669'),
(20,4469,'0.95669'),
(13,4470,'1.19'),
(14,4470,'1.19'),
(15,4470,'1.19'),
(16,4470,'1.19'),
(17,4470,'1.19'),
(18,4470,'1.19'),
(19,4470,'1.19'),
(20,4470,'1.19'),
(31,7392,'0.86331'),
(41,7392,'1.72662'),
(31,7393,'1.00331'),
(41,7393,'1.00331'),
(31,7394,'0.88669'),
(41,7394,'1.77338');
INSERT INTO `#__finder_links_termsd` VALUES 
(31,7395,'0.95669'),
(41,7395,'1.91338'),
(32,7713,'0.98'),
(32,7714,'1.14331'),
(34,8437,'0.93331'),
(34,8438,'1.02669'),
(34,8439,'0.07'),
(34,8440,'3.54676'),
(34,8441,'4.29324'),
(41,22440,'10.6403'),
(41,22441,'12.8797'),
(41,22442,'0.95669'),
(41,22443,'0.42'),
(41,22444,'1.07331'),
(41,22445,'1.23669'),
(41,22446,'0.46662'),
(41,22447,'0.86331'),
(41,22448,'0.95669'),
(41,22449,'0.98'),
(41,22450,'1.14331'),
(41,22451,'0.55986'),
(41,22452,'1.77338'),
(41,22453,'1.09669'),
(41,22454,'1.09669'),
(41,22455,'2.58993'),
(41,22456,'3.29007'),
(41,22457,'0.86331'),
(41,22458,'0.98'),
(41,22459,'0.14'),
(41,22460,'0.84'),
(41,22461,'0.98'),
(41,22462,'0.32669'),
(41,22463,'1.00331'),
(41,22464,'1.07331'),
(49,23107,'0.84'),
(49,23108,'1.00331'),
(49,23109,'0.42'),
(49,23110,'0.95669'),
(49,23111,'1.12');

DROP TABLE IF EXISTS #__finder_links_termse;
CREATE TABLE `#__finder_links_termse` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_termse` VALUES 
(5,411,'0.39996'),
(6,411,'0.39996'),
(13,411,'0.39996'),
(14,411,'0.39996'),
(15,411,'0.39996'),
(16,411,'0.39996'),
(17,411,'0.39996'),
(18,411,'0.39996'),
(19,411,'0.39996'),
(20,411,'0.39996'),
(31,411,'0.39996'),
(32,411,'0.39996'),
(34,411,'0.39996'),
(41,411,'0.39996'),
(42,411,'0.39996'),
(43,411,'0.39996'),
(44,411,'0.39996'),
(45,411,'0.39996'),
(46,411,'0.39996'),
(47,411,'0.39996'),
(48,411,'0.39996'),
(49,411,'0.39996'),
(42,456,'0.01169'),
(31,456,'0.02338'),
(34,456,'0.02338'),
(5,456,'0.07014'),
(41,456,'0.07014'),
(49,456,'0.08183'),
(6,456,'0.09352'),
(5,596,'0.18669'),
(6,596,'0.18669'),
(5,597,'0.88669'),
(6,597,'0.88669'),
(5,598,'1.02669'),
(5,599,'1.69983'),
(5,600,'5.72'),
(5,601,'1.09669'),
(5,602,'0.91'),
(5,603,'1.4'),
(5,604,'1.14331'),
(5,605,'1.21331'),
(5,606,'1.16669'),
(5,607,'1.23669'),
(5,608,'0.23331'),
(5,609,'1.00331'),
(5,610,'1.07331'),
(5,768,'0.18669'),
(5,769,'0.86331'),
(5,770,'0.98'),
(5,771,'0.42');
INSERT INTO `#__finder_links_termse` VALUES 
(6,771,'0.42'),
(5,772,'1.19'),
(6,772,'1.19'),
(5,773,'1.33'),
(31,774,'0.0175'),
(41,774,'0.035'),
(6,774,'0.07'),
(5,774,'0.14'),
(49,774,'0.175'),
(5,775,'0.95669'),
(5,776,'1.02669'),
(5,777,'0.95669'),
(5,778,'1.07331'),
(5,779,'0.91'),
(5,780,'1.00331'),
(6,781,'1.00331'),
(5,781,'2.00662'),
(49,781,'3.00993'),
(5,782,'1.21331'),
(5,783,'1.21331'),
(5,784,'0.93331'),
(5,785,'1.00331'),
(5,786,'0.88669'),
(5,787,'0.98'),
(5,788,'0.93331'),
(5,789,'1.09669'),
(5,790,'0.04662'),
(41,790,'0.18648'),
(5,791,'0.86331'),
(41,791,'6.90648'),
(5,792,'0.91'),
(5,793,'0.91'),
(5,794,'1.02669'),
(5,795,'0.91'),
(5,796,'1.00331'),
(5,797,'0.93331'),
(5,798,'1.12'),
(5,799,'2.79993'),
(5,800,'1.96'),
(5,801,'1.07331'),
(5,802,'0.91'),
(5,803,'1.02669'),
(5,804,'0.14'),
(5,805,'0.88669'),
(5,806,'1.00331'),
(6,1023,'0.07'),
(13,1023,'0.07'),
(14,1023,'0.07'),
(15,1023,'0.07'),
(16,1023,'0.07');
INSERT INTO `#__finder_links_termse` VALUES 
(17,1023,'0.07'),
(18,1023,'0.07'),
(19,1023,'0.07'),
(20,1023,'0.07'),
(49,1023,'0.07'),
(6,1024,'0.84'),
(6,1025,'0.91'),
(6,1052,'1.12'),
(6,1053,'0.28'),
(6,1054,'0.93331'),
(6,1055,'1.12'),
(6,1056,'0.51331'),
(6,1057,'1.09669'),
(6,1058,'1.19'),
(6,1142,'1.37669'),
(6,1143,'0.18669'),
(41,1143,'4.48056'),
(6,1144,'0.88669'),
(6,1145,'1.07331'),
(6,1146,'1.12'),
(6,1147,'0.91'),
(6,1148,'0.98'),
(6,1149,'1.91338'),
(6,1150,'2.14662'),
(6,1151,'0.02919'),
(49,1151,'0.02919'),
(6,1152,'0.88669'),
(6,1153,'0.93331'),
(6,1154,'0.98'),
(34,1154,'0.98'),
(6,1155,'1.07331'),
(6,1156,'0.93331'),
(6,1157,'1.09669'),
(6,1158,'0.86331'),
(6,1159,'0.95669'),
(6,1160,'0.91'),
(6,1161,'1.00331'),
(6,1162,'0.86331'),
(6,1163,'0.98'),
(6,1164,'0.86331'),
(6,1165,'0.98'),
(6,1166,'0.91'),
(6,1167,'1.07331'),
(6,1168,'0.84'),
(6,1169,'0.98'),
(42,1816,'0.18669'),
(32,1816,'0.37338'),
(31,1816,'0.56007'),
(13,1816,'0.74676'),
(14,1816,'0.74676');
INSERT INTO `#__finder_links_termse` VALUES 
(15,1816,'0.74676'),
(16,1816,'0.74676'),
(17,1816,'0.74676'),
(18,1816,'0.74676'),
(19,1816,'0.74676'),
(20,1816,'0.74676'),
(41,1816,'4.85394'),
(41,1817,'0.93331'),
(42,1817,'0.93331'),
(41,1818,'1.12'),
(42,1818,'1.12'),
(41,1862,'0.84'),
(42,1862,'0.84'),
(41,1863,'0.95669'),
(42,1863,'0.95669'),
(32,2211,'0.74676'),
(41,2211,'0.74676'),
(13,2211,'2.05359'),
(14,2211,'2.05359'),
(15,2211,'2.05359'),
(16,2211,'2.05359'),
(17,2211,'2.05359'),
(18,2211,'2.05359'),
(19,2211,'2.05359'),
(20,2211,'2.05359'),
(32,3253,'0.56'),
(13,3253,'2.52'),
(14,3253,'2.52'),
(15,3253,'2.52'),
(16,3253,'2.52'),
(17,3253,'2.52'),
(18,3253,'2.52'),
(19,3253,'2.52'),
(20,3253,'2.52'),
(41,3253,'3.36'),
(13,3262,'1.26'),
(14,3262,'1.26'),
(15,3262,'1.26'),
(16,3262,'1.26'),
(17,3262,'1.26'),
(18,3262,'1.26'),
(19,3262,'1.26'),
(20,3262,'1.26'),
(41,3262,'21.42'),
(32,3271,'0.84'),
(41,3271,'3.36'),
(13,3962,'0.84'),
(14,3962,'0.84'),
(15,3962,'0.84'),
(16,3962,'0.84');
INSERT INTO `#__finder_links_termse` VALUES 
(17,3962,'0.84'),
(18,3962,'0.84'),
(19,3962,'0.84'),
(20,3962,'0.84'),
(13,3963,'1.05'),
(14,3963,'1.05'),
(15,3963,'1.05'),
(16,3963,'1.05'),
(17,3963,'1.05'),
(18,3963,'1.05'),
(19,3963,'1.05'),
(20,3963,'1.05'),
(13,4114,'0.32669'),
(14,4114,'0.32669'),
(15,4114,'0.32669'),
(16,4114,'0.32669'),
(17,4114,'0.32669'),
(18,4114,'0.32669'),
(19,4114,'0.32669'),
(20,4114,'0.32669'),
(13,4115,'1.07331'),
(14,4115,'1.07331'),
(15,4115,'1.07331'),
(16,4115,'1.07331'),
(17,4115,'1.07331'),
(18,4115,'1.07331'),
(19,4115,'1.07331'),
(20,4115,'1.07331'),
(13,4116,'1.21331'),
(14,4116,'1.21331'),
(15,4116,'1.21331'),
(16,4116,'1.21331'),
(17,4116,'1.21331'),
(18,4116,'1.21331'),
(19,4116,'1.21331'),
(20,4116,'1.21331'),
(32,4117,'0.37338'),
(13,4117,'0.93345'),
(14,4117,'0.93345'),
(15,4117,'0.93345'),
(16,4117,'0.93345'),
(17,4117,'0.93345'),
(18,4117,'0.93345'),
(19,4117,'0.93345'),
(20,4117,'0.93345'),
(13,4118,'2.05338'),
(14,4118,'2.05338'),
(15,4118,'2.05338'),
(16,4118,'2.05338'),
(17,4118,'2.05338');
INSERT INTO `#__finder_links_termse` VALUES 
(18,4118,'2.05338'),
(19,4118,'2.05338'),
(20,4118,'2.05338'),
(13,4119,'1.21331'),
(14,4119,'1.21331'),
(15,4119,'1.21331'),
(16,4119,'1.21331'),
(17,4119,'1.21331'),
(18,4119,'1.21331'),
(19,4119,'1.21331'),
(20,4119,'1.21331'),
(13,4120,'1.14331'),
(14,4120,'1.14331'),
(15,4120,'1.14331'),
(16,4120,'1.14331'),
(17,4120,'1.14331'),
(18,4120,'1.14331'),
(19,4120,'1.14331'),
(20,4120,'1.14331'),
(13,4121,'2.79993'),
(14,4121,'2.79993'),
(15,4121,'2.79993'),
(16,4121,'2.79993'),
(17,4121,'2.79993'),
(18,4121,'2.79993'),
(19,4121,'2.79993'),
(20,4121,'2.79993'),
(13,4122,'3.15'),
(14,4122,'3.15'),
(15,4122,'3.15'),
(16,4122,'3.15'),
(17,4122,'3.15'),
(18,4122,'3.15'),
(19,4122,'3.15'),
(20,4122,'3.15'),
(13,4123,'0.32669'),
(14,4123,'0.32669'),
(15,4123,'0.32669'),
(16,4123,'0.32669'),
(17,4123,'0.32669'),
(18,4123,'0.32669'),
(19,4123,'0.32669'),
(20,4123,'0.32669'),
(41,4123,'0.65338'),
(13,4124,'1.02669'),
(14,4124,'1.02669'),
(15,4124,'1.02669'),
(16,4124,'1.02669'),
(17,4124,'1.02669'),
(18,4124,'1.02669');
INSERT INTO `#__finder_links_termse` VALUES 
(19,4124,'1.02669'),
(20,4124,'1.02669'),
(41,4124,'2.05338'),
(13,4125,'1.28331'),
(14,4125,'1.28331'),
(15,4125,'1.28331'),
(16,4125,'1.28331'),
(17,4125,'1.28331'),
(18,4125,'1.28331'),
(19,4125,'1.28331'),
(20,4125,'1.28331'),
(41,4125,'2.56662'),
(13,4126,'1.11993'),
(14,4126,'1.11993'),
(15,4126,'1.11993'),
(16,4126,'1.11993'),
(17,4126,'1.11993'),
(18,4126,'1.11993'),
(19,4126,'1.11993'),
(20,4126,'1.11993'),
(13,4127,'3.21993'),
(14,4127,'3.21993'),
(15,4127,'3.21993'),
(16,4127,'3.21993'),
(17,4127,'3.21993'),
(18,4127,'3.21993'),
(19,4127,'3.21993'),
(20,4127,'3.21993'),
(13,4128,'3.63993'),
(14,4128,'3.63993'),
(15,4128,'3.63993'),
(16,4128,'3.63993'),
(17,4128,'3.63993'),
(18,4128,'3.63993'),
(19,4128,'3.63993'),
(20,4128,'3.63993'),
(13,4129,'0.91'),
(14,4129,'0.91'),
(15,4129,'0.91'),
(16,4129,'0.91'),
(17,4129,'0.91'),
(18,4129,'0.91'),
(19,4129,'0.91'),
(20,4129,'0.91'),
(13,4130,'1.12'),
(14,4130,'1.12'),
(15,4130,'1.12'),
(16,4130,'1.12'),
(17,4130,'1.12'),
(18,4130,'1.12');
INSERT INTO `#__finder_links_termse` VALUES 
(19,4130,'1.12'),
(20,4130,'1.12'),
(13,4131,'0.93331'),
(14,4131,'0.93331'),
(15,4131,'0.93331'),
(16,4131,'0.93331'),
(17,4131,'0.93331'),
(18,4131,'0.93331'),
(19,4131,'0.93331'),
(20,4131,'0.93331'),
(13,4132,'1.21331'),
(14,4132,'1.21331'),
(15,4132,'1.21331'),
(16,4132,'1.21331'),
(17,4132,'1.21331'),
(18,4132,'1.21331'),
(19,4132,'1.21331'),
(20,4132,'1.21331'),
(13,4133,'1.77338'),
(14,4133,'1.77338'),
(15,4133,'1.77338'),
(16,4133,'1.77338'),
(17,4133,'1.77338'),
(18,4133,'1.77338'),
(19,4133,'1.77338'),
(20,4133,'1.77338'),
(41,4133,'1.77338'),
(13,4134,'0.95669'),
(14,4134,'0.95669'),
(15,4134,'0.95669'),
(16,4134,'0.95669'),
(17,4134,'0.95669'),
(18,4134,'0.95669'),
(19,4134,'0.95669'),
(20,4134,'0.95669'),
(41,4134,'1.91338'),
(13,4135,'1.12'),
(14,4135,'1.12'),
(15,4135,'1.12'),
(16,4135,'1.12'),
(17,4135,'1.12'),
(18,4135,'1.12'),
(19,4135,'1.12'),
(20,4135,'1.12'),
(13,4136,'0.37338'),
(14,4136,'0.37338'),
(15,4136,'0.37338'),
(16,4136,'0.37338'),
(17,4136,'0.37338'),
(18,4136,'0.37338');
INSERT INTO `#__finder_links_termse` VALUES 
(19,4136,'0.37338'),
(20,4136,'0.37338'),
(13,4137,'0.95669'),
(14,4137,'0.95669'),
(15,4137,'0.95669'),
(16,4137,'0.95669'),
(17,4137,'0.95669'),
(18,4137,'0.95669'),
(19,4137,'0.95669'),
(20,4137,'0.95669'),
(13,4138,'1.19'),
(14,4138,'1.19'),
(15,4138,'1.19'),
(16,4138,'1.19'),
(17,4138,'1.19'),
(18,4138,'1.19'),
(19,4138,'1.19'),
(20,4138,'1.19'),
(13,4139,'0.93331'),
(14,4139,'0.93331'),
(15,4139,'0.93331'),
(16,4139,'0.93331'),
(17,4139,'0.93331'),
(18,4139,'0.93331'),
(19,4139,'0.93331'),
(20,4139,'0.93331'),
(13,4140,'1.02669'),
(14,4140,'1.02669'),
(15,4140,'1.02669'),
(16,4140,'1.02669'),
(17,4140,'1.02669'),
(18,4140,'1.02669'),
(19,4140,'1.02669'),
(20,4140,'1.02669'),
(13,4141,'3.45324'),
(14,4141,'3.45324'),
(15,4141,'3.45324'),
(16,4141,'3.45324'),
(17,4141,'3.45324'),
(18,4141,'3.45324'),
(19,4141,'3.45324'),
(20,4141,'3.45324'),
(13,4142,'4.2'),
(14,4142,'4.2'),
(15,4142,'4.2'),
(16,4142,'4.2'),
(17,4142,'4.2'),
(18,4142,'4.2'),
(19,4142,'4.2'),
(20,4142,'4.2');
INSERT INTO `#__finder_links_termse` VALUES 
(13,4143,'2.66007'),
(14,4143,'2.66007'),
(15,4143,'2.66007'),
(16,4143,'2.66007'),
(17,4143,'2.66007'),
(18,4143,'2.66007'),
(19,4143,'2.66007'),
(20,4143,'2.66007'),
(13,4144,'3.15'),
(14,4144,'3.15'),
(15,4144,'3.15'),
(16,4144,'3.15'),
(17,4144,'3.15'),
(18,4144,'3.15'),
(19,4144,'3.15'),
(20,4144,'3.15'),
(13,4145,'1.82'),
(14,4145,'1.82'),
(15,4145,'1.82'),
(16,4145,'1.82'),
(17,4145,'1.82'),
(18,4145,'1.82'),
(19,4145,'1.82'),
(20,4145,'1.82'),
(13,4146,'1.05'),
(14,4146,'1.05'),
(15,4146,'1.05'),
(16,4146,'1.05'),
(17,4146,'1.05'),
(18,4146,'1.05'),
(19,4146,'1.05'),
(20,4146,'1.05'),
(13,4147,'1.00331'),
(14,4147,'1.00331'),
(15,4147,'1.00331'),
(16,4147,'1.00331'),
(17,4147,'1.00331'),
(18,4147,'1.00331'),
(19,4147,'1.00331'),
(20,4147,'1.00331'),
(13,4148,'0.91'),
(14,4148,'0.91'),
(15,4148,'0.91'),
(16,4148,'0.91'),
(17,4148,'0.91'),
(18,4148,'0.91'),
(19,4148,'0.91'),
(20,4148,'0.91'),
(13,4149,'1.05'),
(14,4149,'1.05');
INSERT INTO `#__finder_links_termse` VALUES 
(15,4149,'1.05'),
(16,4149,'1.05'),
(17,4149,'1.05'),
(18,4149,'1.05'),
(19,4149,'1.05'),
(20,4149,'1.05'),
(13,4150,'1.00331'),
(14,4150,'1.00331'),
(15,4150,'1.00331'),
(16,4150,'1.00331'),
(17,4150,'1.00331'),
(18,4150,'1.00331'),
(19,4150,'1.00331'),
(20,4150,'1.00331'),
(13,4151,'1.12'),
(14,4151,'1.12'),
(15,4151,'1.12'),
(16,4151,'1.12'),
(17,4151,'1.12'),
(18,4151,'1.12'),
(19,4151,'1.12'),
(20,4151,'1.12'),
(32,4152,'0.18669'),
(13,4152,'0.56007'),
(14,4152,'0.56007'),
(15,4152,'0.56007'),
(16,4152,'0.56007'),
(17,4152,'0.56007'),
(18,4152,'0.56007'),
(19,4152,'0.56007'),
(20,4152,'0.56007'),
(13,4153,'2.79993'),
(14,4153,'2.79993'),
(15,4153,'2.79993'),
(16,4153,'2.79993'),
(17,4153,'2.79993'),
(18,4153,'2.79993'),
(19,4153,'2.79993'),
(20,4153,'2.79993'),
(13,4154,'3.50007'),
(14,4154,'3.50007'),
(15,4154,'3.50007'),
(16,4154,'3.50007'),
(17,4154,'3.50007'),
(18,4154,'3.50007'),
(19,4154,'3.50007'),
(20,4154,'3.50007'),
(32,4155,'0.56'),
(13,4155,'0.7'),
(14,4155,'0.7');
INSERT INTO `#__finder_links_termse` VALUES 
(15,4155,'0.7'),
(16,4155,'0.7'),
(17,4155,'0.7'),
(18,4155,'0.7'),
(19,4155,'0.7'),
(20,4155,'0.7'),
(13,4156,'4.55'),
(14,4156,'4.55'),
(15,4156,'4.55'),
(16,4156,'4.55'),
(17,4156,'4.55'),
(18,4156,'4.55'),
(19,4156,'4.55'),
(20,4156,'4.55'),
(13,4157,'5.25'),
(14,4157,'5.25'),
(15,4157,'5.25'),
(16,4157,'5.25'),
(17,4157,'5.25'),
(18,4157,'5.25'),
(19,4157,'5.25'),
(20,4157,'5.25'),
(41,4158,'0.18662'),
(32,4158,'0.27993'),
(13,4158,'0.83979'),
(14,4158,'0.83979'),
(15,4158,'0.83979'),
(16,4158,'0.83979'),
(17,4158,'0.83979'),
(18,4158,'0.83979'),
(19,4158,'0.83979'),
(20,4158,'0.83979'),
(13,4159,'1.02669'),
(14,4159,'1.02669'),
(15,4159,'1.02669'),
(16,4159,'1.02669'),
(17,4159,'1.02669'),
(18,4159,'1.02669'),
(19,4159,'1.02669'),
(20,4159,'1.02669'),
(13,4160,'1.14331'),
(14,4160,'1.14331'),
(15,4160,'1.14331'),
(16,4160,'1.14331'),
(17,4160,'1.14331'),
(18,4160,'1.14331'),
(19,4160,'1.14331'),
(20,4160,'1.14331'),
(13,4161,'0.91'),
(14,4161,'0.91');
INSERT INTO `#__finder_links_termse` VALUES 
(15,4161,'0.91'),
(16,4161,'0.91'),
(17,4161,'0.91'),
(18,4161,'0.91'),
(19,4161,'0.91'),
(20,4161,'0.91'),
(41,4161,'1.82'),
(13,4162,'1.05'),
(14,4162,'1.05'),
(15,4162,'1.05'),
(16,4162,'1.05'),
(17,4162,'1.05'),
(18,4162,'1.05'),
(19,4162,'1.05'),
(20,4162,'1.05'),
(41,4162,'2.1'),
(13,4163,'1.96'),
(14,4163,'1.96'),
(15,4163,'1.96'),
(16,4163,'1.96'),
(17,4163,'1.96'),
(18,4163,'1.96'),
(19,4163,'1.96'),
(20,4163,'1.96'),
(13,4164,'2.19338'),
(14,4164,'2.19338'),
(15,4164,'2.19338'),
(16,4164,'2.19338'),
(17,4164,'2.19338'),
(18,4164,'2.19338'),
(19,4164,'2.19338'),
(20,4164,'2.19338'),
(13,4165,'1.82'),
(14,4165,'1.82'),
(15,4165,'1.82'),
(16,4165,'1.82'),
(17,4165,'1.82'),
(18,4165,'1.82'),
(19,4165,'1.82'),
(20,4165,'1.82'),
(13,4166,'2.28662'),
(14,4166,'2.28662'),
(15,4166,'2.28662'),
(16,4166,'2.28662'),
(17,4166,'2.28662'),
(18,4166,'2.28662'),
(19,4166,'2.28662'),
(20,4166,'2.28662'),
(13,4167,'0.86331'),
(14,4167,'0.86331');
INSERT INTO `#__finder_links_termse` VALUES 
(15,4167,'0.86331'),
(16,4167,'0.86331'),
(17,4167,'0.86331'),
(18,4167,'0.86331'),
(19,4167,'0.86331'),
(20,4167,'0.86331'),
(13,4168,'1.09669'),
(14,4168,'1.09669'),
(15,4168,'1.09669'),
(16,4168,'1.09669'),
(17,4168,'1.09669'),
(18,4168,'1.09669'),
(19,4168,'1.09669'),
(20,4168,'1.09669'),
(13,4169,'1.91338'),
(14,4169,'1.91338'),
(15,4169,'1.91338'),
(16,4169,'1.91338'),
(17,4169,'1.91338'),
(18,4169,'1.91338'),
(19,4169,'1.91338'),
(20,4169,'1.91338'),
(13,4170,'2.24'),
(14,4170,'2.24'),
(15,4170,'2.24'),
(16,4170,'2.24'),
(17,4170,'2.24'),
(18,4170,'2.24'),
(19,4170,'2.24'),
(20,4170,'2.24'),
(32,4171,'0.23331'),
(13,4171,'0.46662'),
(14,4171,'0.46662'),
(15,4171,'0.46662'),
(16,4171,'0.46662'),
(17,4171,'0.46662'),
(18,4171,'0.46662'),
(19,4171,'0.46662'),
(20,4171,'0.46662'),
(13,4172,'0.88669'),
(14,4172,'0.88669'),
(15,4172,'0.88669'),
(16,4172,'0.88669'),
(17,4172,'0.88669'),
(18,4172,'0.88669'),
(19,4172,'0.88669'),
(20,4172,'0.88669'),
(13,4173,'1.07331'),
(14,4173,'1.07331'),
(15,4173,'1.07331');
INSERT INTO `#__finder_links_termse` VALUES 
(16,4173,'1.07331'),
(17,4173,'1.07331'),
(18,4173,'1.07331'),
(19,4173,'1.07331'),
(20,4173,'1.07331'),
(13,4174,'0.93331'),
(14,4174,'0.93331'),
(15,4174,'0.93331'),
(16,4174,'0.93331'),
(17,4174,'0.93331'),
(18,4174,'0.93331'),
(19,4174,'0.93331'),
(20,4174,'0.93331'),
(13,4175,'1.00331'),
(14,4175,'1.00331'),
(15,4175,'1.00331'),
(16,4175,'1.00331'),
(17,4175,'1.00331'),
(18,4175,'1.00331'),
(19,4175,'1.00331'),
(20,4175,'1.00331'),
(32,4176,'0.18662'),
(13,4176,'1.02641'),
(14,4176,'1.02641'),
(15,4176,'1.02641'),
(16,4176,'1.02641'),
(17,4176,'1.02641'),
(18,4176,'1.02641'),
(19,4176,'1.02641'),
(20,4176,'1.02641'),
(13,4177,'0.93331'),
(14,4177,'0.93331'),
(15,4177,'0.93331'),
(16,4177,'0.93331'),
(17,4177,'0.93331'),
(18,4177,'0.93331'),
(19,4177,'0.93331'),
(20,4177,'0.93331'),
(13,4178,'1.07331'),
(14,4178,'1.07331'),
(15,4178,'1.07331'),
(16,4178,'1.07331'),
(17,4178,'1.07331'),
(18,4178,'1.07331'),
(19,4178,'1.07331'),
(20,4178,'1.07331'),
(13,4179,'2.05338'),
(14,4179,'2.05338'),
(15,4179,'2.05338'),
(16,4179,'2.05338');
INSERT INTO `#__finder_links_termse` VALUES 
(17,4179,'2.05338'),
(18,4179,'2.05338'),
(19,4179,'2.05338'),
(20,4179,'2.05338'),
(13,4180,'2.38'),
(14,4180,'2.38'),
(15,4180,'2.38'),
(16,4180,'2.38'),
(17,4180,'2.38'),
(18,4180,'2.38'),
(19,4180,'2.38'),
(20,4180,'2.38'),
(13,4181,'0.93331'),
(14,4181,'0.93331'),
(15,4181,'0.93331'),
(16,4181,'0.93331'),
(17,4181,'0.93331'),
(18,4181,'0.93331'),
(19,4181,'0.93331'),
(20,4181,'0.93331'),
(13,4182,'0.98'),
(14,4182,'0.98'),
(15,4182,'0.98'),
(16,4182,'0.98'),
(17,4182,'0.98'),
(18,4182,'0.98'),
(19,4182,'0.98'),
(20,4182,'0.98'),
(13,4183,'0.88669'),
(14,4183,'0.88669'),
(15,4183,'0.88669'),
(16,4183,'0.88669'),
(17,4183,'0.88669'),
(18,4183,'0.88669'),
(19,4183,'0.88669'),
(20,4183,'0.88669'),
(13,4184,'1.14331'),
(14,4184,'1.14331'),
(15,4184,'1.14331'),
(16,4184,'1.14331'),
(17,4184,'1.14331'),
(18,4184,'1.14331'),
(19,4184,'1.14331'),
(20,4184,'1.14331'),
(13,4185,'1.05'),
(14,4185,'1.05'),
(15,4185,'1.05'),
(16,4185,'1.05'),
(17,4185,'1.05'),
(18,4185,'1.05');
INSERT INTO `#__finder_links_termse` VALUES 
(19,4185,'1.05'),
(20,4185,'1.05'),
(13,4186,'1.21331'),
(14,4186,'1.21331'),
(15,4186,'1.21331'),
(16,4186,'1.21331'),
(17,4186,'1.21331'),
(18,4186,'1.21331'),
(19,4186,'1.21331'),
(20,4186,'1.21331'),
(13,4187,'1.91338'),
(14,4187,'1.91338'),
(15,4187,'1.91338'),
(16,4187,'1.91338'),
(17,4187,'1.91338'),
(18,4187,'1.91338'),
(19,4187,'1.91338'),
(20,4187,'1.91338'),
(13,4188,'2.33338'),
(14,4188,'2.33338'),
(15,4188,'2.33338'),
(16,4188,'2.33338'),
(17,4188,'2.33338'),
(18,4188,'2.33338'),
(19,4188,'2.33338'),
(20,4188,'2.33338'),
(13,4189,'0.86331'),
(14,4189,'0.86331'),
(15,4189,'0.86331'),
(16,4189,'0.86331'),
(17,4189,'0.86331'),
(18,4189,'0.86331'),
(19,4189,'0.86331'),
(20,4189,'0.86331'),
(13,4190,'1.00331'),
(14,4190,'1.00331'),
(15,4190,'1.00331'),
(16,4190,'1.00331'),
(17,4190,'1.00331'),
(18,4190,'1.00331'),
(19,4190,'1.00331'),
(20,4190,'1.00331'),
(13,4191,'0.88669'),
(14,4191,'0.88669'),
(15,4191,'0.88669'),
(16,4191,'0.88669'),
(17,4191,'0.88669'),
(18,4191,'0.88669'),
(19,4191,'0.88669'),
(20,4191,'0.88669');
INSERT INTO `#__finder_links_termse` VALUES 
(13,4192,'0.98'),
(14,4192,'0.98'),
(15,4192,'0.98'),
(16,4192,'0.98'),
(17,4192,'0.98'),
(18,4192,'0.98'),
(19,4192,'0.98'),
(20,4192,'0.98'),
(13,4193,'0.93331'),
(14,4193,'0.93331'),
(15,4193,'0.93331'),
(16,4193,'0.93331'),
(17,4193,'0.93331'),
(18,4193,'0.93331'),
(19,4193,'0.93331'),
(20,4193,'0.93331'),
(13,4194,'1.09669'),
(14,4194,'1.09669'),
(15,4194,'1.09669'),
(16,4194,'1.09669'),
(17,4194,'1.09669'),
(18,4194,'1.09669'),
(19,4194,'1.09669'),
(20,4194,'1.09669'),
(13,4195,'0.98007'),
(14,4195,'0.98007'),
(15,4195,'0.98007'),
(16,4195,'0.98007'),
(17,4195,'0.98007'),
(18,4195,'0.98007'),
(19,4195,'0.98007'),
(20,4195,'0.98007'),
(13,4196,'1.05'),
(14,4196,'1.05'),
(15,4196,'1.05'),
(16,4196,'1.05'),
(17,4196,'1.05'),
(18,4196,'1.05'),
(19,4196,'1.05'),
(20,4196,'1.05'),
(13,4197,'1.19'),
(14,4197,'1.19'),
(15,4197,'1.19'),
(16,4197,'1.19'),
(17,4197,'1.19'),
(18,4197,'1.19'),
(19,4197,'1.19'),
(20,4197,'1.19'),
(13,4198,'2.1'),
(14,4198,'2.1');
INSERT INTO `#__finder_links_termse` VALUES 
(15,4198,'2.1'),
(16,4198,'2.1'),
(17,4198,'2.1'),
(18,4198,'2.1'),
(19,4198,'2.1'),
(20,4198,'2.1'),
(13,4199,'1.09669'),
(14,4199,'1.09669'),
(15,4199,'1.09669'),
(16,4199,'1.09669'),
(17,4199,'1.09669'),
(18,4199,'1.09669'),
(19,4199,'1.09669'),
(20,4199,'1.09669'),
(13,4200,'1.12'),
(14,4200,'1.12'),
(15,4200,'1.12'),
(16,4200,'1.12'),
(17,4200,'1.12'),
(18,4200,'1.12'),
(19,4200,'1.12'),
(20,4200,'1.12'),
(13,4629,'1.82'),
(14,4629,'1.82'),
(15,4629,'1.82'),
(16,4629,'1.82'),
(17,4629,'1.82'),
(18,4629,'1.82'),
(19,4629,'1.82'),
(20,4629,'1.82'),
(13,4630,'2.24'),
(14,4630,'2.24'),
(15,4630,'2.24'),
(16,4630,'2.24'),
(17,4630,'2.24'),
(18,4630,'2.24'),
(19,4630,'2.24'),
(20,4630,'2.24'),
(13,4631,'1.82'),
(14,4631,'1.82'),
(15,4631,'1.82'),
(16,4631,'1.82'),
(17,4631,'1.82'),
(18,4631,'1.82'),
(19,4631,'1.82'),
(20,4631,'1.82'),
(13,4632,'2.28662'),
(14,4632,'2.28662'),
(15,4632,'2.28662'),
(16,4632,'2.28662');
INSERT INTO `#__finder_links_termse` VALUES 
(17,4632,'2.28662'),
(18,4632,'2.28662'),
(19,4632,'2.28662'),
(20,4632,'2.28662'),
(13,4633,'1.96'),
(14,4633,'1.96'),
(15,4633,'1.96'),
(16,4633,'1.96'),
(17,4633,'1.96'),
(18,4633,'1.96'),
(19,4633,'1.96'),
(20,4633,'1.96'),
(13,4634,'2.1'),
(14,4634,'2.1'),
(15,4634,'2.1'),
(16,4634,'2.1'),
(17,4634,'2.1'),
(18,4634,'2.1'),
(19,4634,'2.1'),
(20,4634,'2.1'),
(13,4635,'2.00662'),
(14,4635,'2.00662'),
(15,4635,'2.00662'),
(16,4635,'2.00662'),
(17,4635,'2.00662'),
(18,4635,'2.00662'),
(19,4635,'2.00662'),
(20,4635,'2.00662'),
(13,4636,'2.42662'),
(14,4636,'2.42662'),
(15,4636,'2.42662'),
(16,4636,'2.42662'),
(17,4636,'2.42662'),
(18,4636,'2.42662'),
(19,4636,'2.42662'),
(20,4636,'2.42662'),
(13,4637,'0.93331'),
(14,4637,'0.93331'),
(15,4637,'0.93331'),
(16,4637,'0.93331'),
(17,4637,'0.93331'),
(18,4637,'0.93331'),
(19,4637,'0.93331'),
(20,4637,'0.93331'),
(13,4638,'1.12'),
(14,4638,'1.12'),
(15,4638,'1.12'),
(16,4638,'1.12'),
(17,4638,'1.12'),
(18,4638,'1.12');
INSERT INTO `#__finder_links_termse` VALUES 
(19,4638,'1.12'),
(20,4638,'1.12'),
(32,4639,'0.28'),
(41,4639,'0.56'),
(13,4639,'0.84'),
(14,4639,'0.84'),
(15,4639,'0.84'),
(16,4639,'0.84'),
(17,4639,'0.84'),
(18,4639,'0.84'),
(19,4639,'0.84'),
(20,4639,'0.84'),
(13,4640,'0.98'),
(14,4640,'0.98'),
(15,4640,'0.98'),
(16,4640,'0.98'),
(17,4640,'0.98'),
(18,4640,'0.98'),
(19,4640,'0.98'),
(20,4640,'0.98'),
(13,4641,'1.05'),
(14,4641,'1.05'),
(15,4641,'1.05'),
(16,4641,'1.05'),
(17,4641,'1.05'),
(18,4641,'1.05'),
(19,4641,'1.05'),
(20,4641,'1.05'),
(13,4642,'1.09669'),
(14,4642,'1.09669'),
(15,4642,'1.09669'),
(16,4642,'1.09669'),
(17,4642,'1.09669'),
(18,4642,'1.09669'),
(19,4642,'1.09669'),
(20,4642,'1.09669'),
(41,4642,'2.19338'),
(13,4643,'1.16669'),
(14,4643,'1.16669'),
(15,4643,'1.16669'),
(16,4643,'1.16669'),
(17,4643,'1.16669'),
(18,4643,'1.16669'),
(19,4643,'1.16669'),
(20,4643,'1.16669'),
(41,4643,'1.16669'),
(13,4644,'0.95669'),
(14,4644,'0.95669'),
(15,4644,'0.95669'),
(16,4644,'0.95669');
INSERT INTO `#__finder_links_termse` VALUES 
(17,4644,'0.95669'),
(18,4644,'0.95669'),
(19,4644,'0.95669'),
(20,4644,'0.95669'),
(13,4645,'1.05'),
(14,4645,'1.05'),
(15,4645,'1.05'),
(16,4645,'1.05'),
(17,4645,'1.05'),
(18,4645,'1.05'),
(19,4645,'1.05'),
(20,4645,'1.05'),
(32,4646,'0.28'),
(13,4646,'0.84'),
(14,4646,'0.84'),
(15,4646,'0.84'),
(16,4646,'0.84'),
(17,4646,'0.84'),
(18,4646,'0.84'),
(19,4646,'0.84'),
(20,4646,'0.84'),
(13,4647,'1.96'),
(14,4647,'1.96'),
(15,4647,'1.96'),
(16,4647,'1.96'),
(17,4647,'1.96'),
(18,4647,'1.96'),
(19,4647,'1.96'),
(20,4647,'1.96'),
(13,4648,'2.24'),
(14,4648,'2.24'),
(15,4648,'2.24'),
(16,4648,'2.24'),
(17,4648,'2.24'),
(18,4648,'2.24'),
(19,4648,'2.24'),
(20,4648,'2.24'),
(13,4649,'0.93331'),
(14,4649,'0.93331'),
(15,4649,'0.93331'),
(16,4649,'0.93331'),
(17,4649,'0.93331'),
(18,4649,'0.93331'),
(19,4649,'0.93331'),
(20,4649,'0.93331'),
(13,4650,'1.14331'),
(14,4650,'1.14331'),
(15,4650,'1.14331'),
(16,4650,'1.14331'),
(17,4650,'1.14331');
INSERT INTO `#__finder_links_termse` VALUES 
(18,4650,'1.14331'),
(19,4650,'1.14331'),
(20,4650,'1.14331'),
(13,4651,'2.05338'),
(14,4651,'2.05338'),
(15,4651,'2.05338'),
(16,4651,'2.05338'),
(17,4651,'2.05338'),
(18,4651,'2.05338'),
(19,4651,'2.05338'),
(20,4651,'2.05338'),
(13,4652,'2.19338'),
(14,4652,'2.19338'),
(15,4652,'2.19338'),
(16,4652,'2.19338'),
(17,4652,'2.19338'),
(18,4652,'2.19338'),
(19,4652,'2.19338'),
(20,4652,'2.19338'),
(13,4653,'0.28'),
(14,4653,'0.28'),
(15,4653,'0.28'),
(16,4653,'0.28'),
(17,4653,'0.28'),
(18,4653,'0.28'),
(19,4653,'0.28'),
(20,4653,'0.28'),
(32,4653,'0.28'),
(13,4654,'0.91'),
(14,4654,'0.91'),
(15,4654,'0.91'),
(16,4654,'0.91'),
(17,4654,'0.91'),
(18,4654,'0.91'),
(19,4654,'0.91'),
(20,4654,'0.91'),
(32,4654,'0.91'),
(13,4655,'1.09669'),
(14,4655,'1.09669'),
(15,4655,'1.09669'),
(16,4655,'1.09669'),
(17,4655,'1.09669'),
(18,4655,'1.09669'),
(19,4655,'1.09669'),
(20,4655,'1.09669'),
(13,4656,'0.84'),
(14,4656,'0.84'),
(15,4656,'0.84'),
(16,4656,'0.84'),
(17,4656,'0.84');
INSERT INTO `#__finder_links_termse` VALUES 
(18,4656,'0.84'),
(19,4656,'0.84'),
(20,4656,'0.84'),
(32,4656,'0.84'),
(13,4657,'2.05338'),
(14,4657,'2.05338'),
(15,4657,'2.05338'),
(16,4657,'2.05338'),
(17,4657,'2.05338'),
(18,4657,'2.05338'),
(19,4657,'2.05338'),
(20,4657,'2.05338'),
(13,4658,'2.38'),
(14,4658,'2.38'),
(15,4658,'2.38'),
(16,4658,'2.38'),
(17,4658,'2.38'),
(18,4658,'2.38'),
(19,4658,'2.38'),
(20,4658,'2.38'),
(34,6464,'0.02331'),
(49,6464,'0.06993'),
(31,7296,'0.35'),
(41,7296,'0.7'),
(31,7297,'0.95669'),
(41,7297,'0.95669'),
(31,7298,'1.19'),
(41,7298,'1.19'),
(31,7336,'0.42'),
(41,7336,'0.84'),
(31,7337,'1.05'),
(41,7337,'2.1'),
(31,7338,'1.26'),
(41,7338,'2.52'),
(31,7339,'2.94'),
(41,7339,'4.9'),
(31,7340,'3.21993'),
(41,7340,'3.21993'),
(31,7417,'0.68'),
(31,7418,'0.91'),
(41,7418,'1.82'),
(31,7419,'0.98'),
(41,7419,'1.96'),
(31,7420,'0.98'),
(41,7420,'1.96'),
(31,7421,'1.12'),
(41,7421,'2.24'),
(31,7422,'1.00331'),
(41,7422,'2.00662'),
(31,7423,'1.09669');
INSERT INTO `#__finder_links_termse` VALUES 
(41,7423,'2.19338'),
(32,7600,'0.93331'),
(32,7601,'1.05'),
(32,7602,'0.93331'),
(32,7603,'1.07331'),
(32,7604,'1.91338'),
(32,7605,'2.05338'),
(32,7606,'0.86331'),
(32,7607,'1.00331'),
(32,7608,'0.95669'),
(32,7609,'1.05'),
(32,7610,'0.88669'),
(32,7611,'1.05'),
(32,7612,'0.88669'),
(32,7613,'1.12'),
(32,7614,'0.86331'),
(32,7615,'1.05'),
(32,7616,'2.52'),
(32,7617,'3.08007'),
(32,7618,'0.91'),
(32,7619,'1.07331'),
(32,7620,'0.88669'),
(32,7621,'1.09669'),
(32,7622,'0.88669'),
(32,7623,'1.05'),
(32,7624,'0.88669'),
(32,7625,'1.12'),
(32,7626,'0.88669'),
(32,7627,'0.98'),
(32,7628,'0.88669'),
(32,7629,'1.07331'),
(32,7630,'0.93331'),
(32,7631,'1.09669'),
(32,7752,'1.02669'),
(32,7753,'1.12'),
(32,7754,'1.09669'),
(32,7755,'1.26'),
(32,7756,'1.00331'),
(32,7757,'1.07331'),
(32,7758,'0.95669'),
(32,7759,'1.02669'),
(32,7760,'1.12'),
(32,7761,'0.98'),
(32,7762,'1.16669'),
(32,7763,'1.02669'),
(32,7764,'1.12'),
(32,7765,'3.29007'),
(32,7766,'3.50007'),
(34,8367,'0.14'),
(34,8368,'1.00331');
INSERT INTO `#__finder_links_termse` VALUES 
(34,8369,'1.21331'),
(34,8370,'0.23331'),
(34,8371,'0.95669'),
(34,8372,'1.12'),
(34,8473,'0.84'),
(34,8474,'1.12'),
(34,8475,'1.26'),
(34,8476,'1.07331'),
(34,8477,'1.21331'),
(34,8478,'1.05'),
(34,8479,'1.14331'),
(34,8480,'0.32669'),
(34,8481,'0.93331'),
(34,8482,'1.12'),
(34,8483,'2.71983'),
(34,8484,'0.95669'),
(34,8485,'1.09669'),
(34,8486,'1.05'),
(34,8487,'1.14331'),
(34,8488,'5.92'),
(34,8489,'0.98'),
(34,8490,'1.05'),
(34,8491,'1.19'),
(34,8492,'0.93331'),
(34,8493,'1.12'),
(34,8494,'0.18669'),
(34,8495,'0.93331'),
(34,8496,'1.09669'),
(41,20867,'0.42'),
(41,20868,'1.72662'),
(41,20869,'0.91'),
(41,20870,'1.14331'),
(41,20871,'0.93331'),
(41,20872,'1.05'),
(41,21352,'10.92'),
(41,21353,'13.1603'),
(41,21354,'3.92'),
(41,21355,'4.66676'),
(41,21356,'2.1'),
(41,21357,'0.91'),
(41,21358,'1.05'),
(41,21359,'0.93324'),
(41,21360,'1.72662'),
(41,21361,'0.93331'),
(41,21362,'1.00331'),
(41,21363,'0.91'),
(41,21364,'1.00331'),
(41,21365,'1.86676'),
(41,21366,'2.1'),
(41,21367,'2.66');
INSERT INTO `#__finder_links_termse` VALUES 
(41,21368,'2.1'),
(41,21369,'2.33338'),
(41,21370,'3.36'),
(41,21371,'3.82676'),
(41,21372,'0.84'),
(41,21373,'2.05338'),
(41,21374,'2.33338'),
(41,22670,'0.23331'),
(41,22671,'1.00331'),
(41,22672,'1.68'),
(41,22673,'4.57324'),
(41,22674,'5.04'),
(41,22675,'11.0364'),
(41,22676,'11.2'),
(41,22677,'1.16669'),
(41,22678,'21.84'),
(41,22679,'24.6406'),
(41,22680,'1.02669'),
(41,22681,'6.3'),
(41,22682,'0.98'),
(41,22683,'0.23331'),
(41,22684,'0.88669'),
(41,22685,'1.02669'),
(41,22686,'52.3612'),
(41,22687,'57.12'),
(41,22688,'2.3331'),
(41,22689,'1.02669'),
(41,22690,'1.26'),
(41,22691,'0.95669'),
(41,22692,'1.16669'),
(41,22693,'3.00993'),
(41,22694,'3.36'),
(41,22695,'0.91'),
(41,22696,'1.12'),
(41,22697,'0.93331'),
(41,22698,'1.07331'),
(41,22699,'1.09669'),
(41,22700,'1.33'),
(41,22701,'1.05'),
(41,22702,'1.26'),
(41,22703,'0.93331'),
(41,22704,'1.00331'),
(41,22705,'0.86331'),
(41,22706,'0.98'),
(41,22707,'0.46669'),
(41,22708,'1.05'),
(41,22709,'1.16669'),
(41,22710,'0.14'),
(41,22711,'0.95669'),
(41,22712,'1.12');
INSERT INTO `#__finder_links_termse` VALUES 
(41,22713,'12.8797'),
(41,22714,'14.0003'),
(41,22715,'0.32669'),
(41,22716,'0.98'),
(41,22717,'1.09669'),
(41,22718,'0.14'),
(41,22719,'0.84'),
(41,22720,'0.98'),
(41,22721,'2.46679'),
(43,22897,'2.96'),
(47,22897,'2.96'),
(47,22908,'6.04321'),
(49,22916,'0.81669'),
(49,22917,'0.91'),
(49,22918,'0.21'),
(49,22919,'0.93331'),
(49,22920,'1.05'),
(49,23001,'0.28'),
(49,23002,'0.93331'),
(49,23003,'1.16669'),
(49,23004,'0.14'),
(49,23005,'0.86331'),
(49,23006,'0.95669'),
(49,23007,'0.37331'),
(49,23008,'0.93331'),
(49,23009,'1.12'),
(49,23010,'0.32669'),
(49,23011,'0.46669'),
(49,23012,'1.02669'),
(49,23013,'1.28331'),
(49,23014,'0.46669'),
(49,23015,'0.98'),
(49,23016,'1.07331'),
(49,23178,'0.95669'),
(49,23179,'1.02669'),
(49,23180,'0.88669'),
(49,23181,'0.98'),
(49,23182,'0.91'),
(49,23183,'1.07331'),
(49,23184,'0.95669'),
(49,23185,'1.05'),
(49,23186,'0.86331'),
(49,23187,'0.95669'),
(49,23188,'0.95669'),
(49,23189,'2.42662'),
(49,23190,'1.12'),
(49,23191,'0.88669'),
(49,23192,'0.98'),
(49,23193,'1.02669'),
(49,23194,'1.19');
INSERT INTO `#__finder_links_termse` VALUES 
(49,23195,'1.00331'),
(49,23196,'1.16669'),
(49,23197,'0.93331'),
(49,23198,'1.02669'),
(49,23199,'0.02331'),
(49,23200,'0.88669'),
(49,23201,'0.93331'),
(49,23202,'0.91'),
(49,23203,'1.16669'),
(49,23204,'1.68'),
(49,23205,'1.86662'),
(49,23206,'0.86331'),
(49,23207,'0.98'),
(49,23208,'0.84'),
(49,23209,'1.05'),
(49,23210,'1.68'),
(49,23211,'0.88669'),
(49,23212,'0.95669'),
(49,23213,'0.91'),
(49,23214,'1.05');

DROP TABLE IF EXISTS #__finder_links_termsf;
CREATE TABLE `#__finder_links_termsf` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_termsf` VALUES 
(5,810,'0.02331'),
(49,810,'0.04662'),
(5,811,'0.86331'),
(49,811,'0.86331'),
(5,812,'1.05'),
(5,813,'0.02331'),
(5,814,'0.98'),
(5,815,'1.07331'),
(6,1176,'0.32669'),
(6,1177,'0.93331'),
(6,1178,'1.21331'),
(6,1179,'0.0175'),
(6,1180,'0.88669'),
(6,1181,'1.07331'),
(34,8510,'0.02919'),
(34,8511,'0.98'),
(34,8512,'1.07331'),
(41,22768,'0.56'),
(41,22769,'4.2'),
(41,22770,'4.57324'),
(49,23229,'0.88669'),
(49,23230,'1.02669'),
(49,23231,'0.95669'),
(49,23232,'0.04662'),
(49,23233,'0.86331'),
(49,23234,'0.93331'),
(49,23235,'0.88669'),
(49,23236,'0.98');

DROP TABLE IF EXISTS #__finder_taxonomy;
CREATE TABLE `#__finder_taxonomy` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL,
  `state` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `access` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `parent_id` (`parent_id`),
  KEY `state` (`state`),
  KEY `ordering` (`ordering`),
  KEY `access` (`access`),
  KEY `idx_parent_published` (`parent_id`,`state`,`access`)
) AUTO_INCREMENT=119 DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_taxonomy` VALUES 
(91,1,'Type',1,1,0),
(93,1,'Author',1,1,0),
(95,1,'Category',1,1,0),
(97,1,'Language',1,1,0),
(107,91,'Article',1,1,0),
(108,93,'Super User',1,1,0),
(109,95,'JM-Sample-Data',1,1,0),
(110,97,'en-GB',1,1,0),
(114,95,'Recipes',1,1,0),
(117,95,'Uncategorised',1,1,0),
(118,91,'Category',1,1,0);

DROP TABLE IF EXISTS #__finder_taxonomy_map;
CREATE TABLE `#__finder_taxonomy_map` (
  `link_id` int(10) unsigned NOT NULL,
  `node_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`node_id`),
  KEY `link_id` (`link_id`),
  KEY `node_id` (`node_id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_taxonomy_map` VALUES 
(5,107),
(5,108),
(5,109),
(5,110),
(6,107),
(6,108),
(6,109),
(6,110),
(13,107),
(13,108),
(13,110),
(13,114),
(14,107),
(14,108),
(14,110),
(14,114),
(15,107),
(15,108),
(15,110),
(15,114),
(16,107),
(16,108),
(16,110),
(16,114),
(17,107),
(17,108),
(17,110),
(17,114),
(18,107),
(18,108),
(18,110),
(18,114),
(19,107),
(19,108),
(19,110),
(19,114),
(20,107),
(20,108),
(20,110),
(20,114),
(31,107),
(31,108),
(31,110),
(31,117),
(32,107),
(32,108),
(32,109),
(32,110),
(34,107),
(34,108);
INSERT INTO `#__finder_taxonomy_map` VALUES 
(34,109),
(34,110),
(41,107),
(41,108),
(41,109),
(41,110),
(42,107),
(42,108),
(42,109),
(42,110),
(43,110),
(43,118),
(44,110),
(44,118),
(45,110),
(45,118),
(46,110),
(46,118),
(47,110),
(47,118),
(48,110),
(48,118),
(49,107),
(49,108),
(49,109),
(49,110);

DROP TABLE IF EXISTS #__finder_terms;
CREATE TABLE `#__finder_terms` (
  `term_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `weight` float unsigned NOT NULL DEFAULT '0',
  `soundex` varchar(75) NOT NULL,
  `links` int(10) NOT NULL DEFAULT '0',
  `language` char(3) NOT NULL DEFAULT '',
  PRIMARY KEY (`term_id`),
  UNIQUE KEY `idx_term` (`term`),
  KEY `idx_term_phrase` (`term`,`phrase`),
  KEY `idx_stem_phrase` (`stem`,`phrase`),
  KEY `idx_soundex_phrase` (`soundex`,`phrase`)
) AUTO_INCREMENT=23246 DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_terms` VALUES 
(389,'article','article',0,0,'0.4667','A6324',16,'en'),
(402,'dolor','dolor',0,0,'0.3333','D460',12,'en'),
(411,'en-gb','en-gb',0,0,'0.3333','E521',22,'en'),
(415,'home','home',0,0,'0.2667','H500',3,'en'),
(419,'index','index',0,0,'0.3333','I532',16,'en'),
(420,'internet','internet',0,0,'0.5333','I53653',4,'en'),
(423,'ipsum','ipsum',0,0,'0.3333','I125',12,'en'),
(424,'ipsum dolor','ipsum dolor',0,1,'1.3667','I125346',12,'en'),
(426,'jm-sample-data','jm-sample-data',0,0,'0.9333','J525143',7,'en'),
(427,'lorem','lorem',0,0,'0.3333','L650',12,'en'),
(428,'lorem ipsum','lorem ipsum',0,1,'1.3667','L65125',12,'en'),
(429,'lorem ipsum dolor','lorem ipsum dolor',0,1,'1.5667','L65125346',12,'en'),
(436,'proin','proin',0,0,'0.3333','P650',11,'en'),
(446,'speed','speed',0,0,'0.3333','S130',3,'en'),
(454,'super','super',0,0,'0.3333','S160',16,'en'),
(455,'super user','super user',0,1,'1.3333','S1626',16,'en'),
(456,'to','to',1,0,'0.0167','T000',7,'en'),
(459,'up','up',1,0,'0.0167','U100',3,'en'),
(460,'up to','up to',0,1,'1.1667','U130',3,'en'),
(462,'user','user',1,0,'0.0333','U260',16,'en'),
(509,'1','1',0,0,'0.1','',11,'en'),
(510,'1 go','1 go',0,1,'1.1333','G000',2,'en'),
(511,'1 go to','1 go to',0,1,'1.2333','G300',2,'en'),
(512,'131','131',0,0,'0.3','',1,'en'),
(513,'2','2',0,0,'0.1','',11,'en'),
(514,'2 find','2 find',0,1,'1.2','F530',1,'en'),
(515,'2 find and','2 find and',0,1,'1.3333','F5353',1,'en'),
(516,'404','404',0,0,'0.3','',1,'en'),
(517,'404 article','404 article',0,1,'1.3667','A6324',1,'en'),
(518,'404 article how','404 article how',0,1,'1.5','A6324',1,'en'),
(519,'404 oops','404 oops',0,1,'1.2667','O120',1,'en'),
(520,'404 oops page','404 oops page',0,1,'1.4333','O1212',1,'en'),
(521,'404 page','404 page',0,1,'1.2667','P200',1,'en'),
(522,'404 page how','404 page how',0,1,'1.4','P200',1,'en'),
(523,'404 page if','404 page if',0,1,'1.3667','P210',1,'en'),
(524,'a','a',1,0,'0.0083','A000',13,'en'),
(525,'a different','a different',0,1,'1.3667','A31653',1,'en'),
(526,'a different article','a different article',0,1,'1.6333','A316536324',1,'en'),
(527,'a joomla','a joomla',0,1,'1.2667','A254',1,'en'),
(528,'a joomla article','a joomla article',0,1,'1.5333','A2546324',1,'en'),
(529,'a module','a module',0,1,'1.2667','A534',2,'en'),
(530,'a module in','a module in',0,1,'1.3667','A5345',1,'en'),
(531,'again','again',0,0,'0.3333','A250',1,'en'),
(532,'again loadposition','again loadposition',0,1,'1.6','A25431235',1,'en'),
(533,'again loadposition error404-search','again loadposition error404-search',0,1,'2','A254312356262',1,'en'),
(534,'allows','allows',0,0,'0.4','A420',2,'en'),
(535,'allows to','allows to',0,1,'1.3','A423',1,'en'),
(536,'allows to display','allows to display',0,1,'1.5667','A423214',1,'en'),
(537,'and','and',1,0,'0.025','A530',3,'en'),
(538,'and edit','and edit',0,1,'1.2667','A530',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(539,'and edit the','and edit the',0,1,'1.4','A530',1,'en'),
(540,'anymore','anymore',0,0,'0.4667','A560',1,'en'),
(541,'anymore or','anymore or',0,1,'1.3333','A560',1,'en'),
(542,'anymore or might','anymore or might',0,1,'1.5333','A56523',1,'en'),
(543,'appears','appears',0,0,'0.4667','A162',1,'en'),
(544,'appears the','appears the',0,1,'1.3667','A1623',1,'en'),
(545,'appears the page','appears the page',0,1,'1.5333','A162312',1,'en'),
(546,'article as','article as',0,1,'1.3333','A63242',1,'en'),
(547,'article as custom','article as custom',0,1,'1.5667','A6324235',1,'en'),
(548,'article displayed','article displayed',0,1,'1.5667','A632432143',1,'en'),
(549,'article displayed as','article displayed as',0,1,'1.6667','A6324321432',1,'en'),
(550,'article how','article how',0,1,'1.3667','A6324',1,'en'),
(551,'article how is','article how is',0,1,'1.4667','A63242',1,'en'),
(552,'article id','article id',0,1,'1.3333','A63243',1,'en'),
(553,'article id in','article id in',0,1,'1.4333','A632435',1,'en'),
(554,'article manager','article manager',0,1,'1.5','A6324526',1,'en'),
(555,'article manager step','article manager step',0,1,'1.6667','A6324526231',1,'en'),
(556,'article the','article the',0,1,'1.3667','A63243',1,'en'),
(557,'article the module','article the module',0,1,'1.6','A63243534',1,'en'),
(558,'article you','article you',0,1,'1.3667','A6324',1,'en'),
(559,'article you need','article you need',0,1,'1.5333','A632453',1,'en'),
(560,'as','as',1,0,'0.0167','A200',4,'en'),
(561,'as custom','as custom',0,1,'1.3','A235',1,'en'),
(562,'as custom 404','as custom 404',0,1,'1.4333','A235',1,'en'),
(563,'been','been',0,0,'0.2667','B500',1,'en'),
(564,'been moved','been moved',0,1,'1.3333','B513',1,'en'),
(565,'been moved please','been moved please',0,1,'1.5667','B513142',1,'en'),
(566,'change','change',0,0,'0.4','C520',1,'en'),
(567,'change the','change the',0,1,'1.3333','C523',1,'en'),
(568,'change the article','change the article',0,1,'1.6','C5236324',1,'en'),
(569,'content','content',0,0,'0.4667','C5353',2,'en'),
(570,'content article','content article',0,1,'1.5','C53536324',1,'en'),
(571,'content article manager','content article manager',0,1,'1.7667','C53536324526',1,'en'),
(572,'content load','content load',0,1,'1.4','C535343',1,'en'),
(573,'content load modules','content load modules',0,1,'1.6667','C5353435342',1,'en'),
(574,'custom','custom',0,0,'0.4','C350',3,'en'),
(575,'custom 404','custom 404',0,1,'1.3333','C350',1,'en'),
(576,'custom 404 page','custom 404 page',0,1,'1.5','C3512',1,'en'),
(577,'different','different',0,0,'0.6','D1653',2,'en'),
(578,'different article','different article',0,1,'1.5667','D16536324',1,'en'),
(579,'different article as','different article as',0,1,'1.6667','D165363242',1,'en'),
(580,'display','display',0,0,'0.4667','D214',1,'en'),
(581,'display a','display a',0,1,'1.3','D214',1,'en'),
(582,'display a different','display a different',0,1,'1.6333','D21431653',1,'en'),
(583,'display a module','display a module',0,1,'1.5333','D214534',1,'en'),
(584,'display other','display other',0,1,'1.4333','D21436',1,'en'),
(585,'display other article','display other article',0,1,'1.7','D21436324',1,'en'),
(586,'displayed','displayed',0,0,'0.6','D2143',1,'en'),
(587,'displayed as','displayed as',0,1,'1.4','D21432',1,'en'),
(588,'displayed as custom','displayed as custom',0,1,'1.6333','D2143235',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(589,'displayed it','displayed it',0,1,'1.4','D2143',1,'en'),
(590,'displayed it is','displayed it is',0,1,'1.5','D21432',1,'en'),
(591,'displayed using','displayed using',0,1,'1.5','D2143252',1,'en'),
(592,'displayed using the','displayed using the',0,1,'1.6333','D21432523',1,'en'),
(593,'does','does',0,0,'0.2667','D200',1,'en'),
(594,'does not','does not',0,1,'1.2667','D253',1,'en'),
(595,'does not exist','does not exist',0,1,'1.4667','D25323',1,'en'),
(596,'edit','edit',0,0,'0.2667','E300',2,'en'),
(597,'edit the','edit the',0,1,'1.2667','E300',2,'en'),
(598,'edit the error','edit the error',0,1,'1.4667','E360',1,'en'),
(599,'error','error',0,0,'0.3333','E600',1,'en'),
(600,'error 404','error 404',0,1,'1.3','E600',1,'en'),
(601,'error 404 article','error 404 article',0,1,'1.5667','E6324',1,'en'),
(602,'error php','error php',0,1,'1.3','E610',1,'en'),
(603,'error404-search','error404-search',0,0,'1','E6262',1,'en'),
(604,'error404-search how','error404-search how',0,1,'1.6333','E6262',1,'en'),
(605,'error404-search how to','error404-search how to',0,1,'1.7333','E62623',1,'en'),
(606,'error404-search take','error404-search take',0,1,'1.6667','E626232',1,'en'),
(607,'error404-search take me','error404-search take me',0,1,'1.7667','E6262325',1,'en'),
(608,'exist','exist',0,0,'0.3333','E230',1,'en'),
(609,'exist anymore','exist anymore',0,1,'1.4333','E2356',1,'en'),
(610,'exist anymore or','exist anymore or',0,1,'1.5333','E2356',1,'en'),
(611,'find','find',0,0,'0.2667','F530',1,'en'),
(612,'find and','find and',0,1,'1.2667','F5353',1,'en'),
(613,'find and edit','find and edit',0,1,'1.4333','F5353',1,'en'),
(614,'following','following',0,0,'0.6','F452',3,'en'),
(615,'following location','following location',0,1,'1.6','F4524235',1,'en'),
(616,'following location templates','following location templates',0,1,'1.9333','F4524235351432',1,'en'),
(617,'following position','following position',0,1,'1.6','F4521235',1,'en'),
(618,'following position error404-search','following position error404-search',0,1,'2','F45212356262',1,'en'),
(619,'for','for',1,0,'0.025','F600',4,'en'),
(620,'for does','for does',0,1,'1.2667','F632',1,'en'),
(621,'for does not','for does not',0,1,'1.4','F63253',1,'en'),
(622,'found','found',0,0,'0.3333','F530',1,'en'),
(623,'found sorry','found sorry',0,1,'1.3667','F5326',1,'en'),
(624,'found sorry it','found sorry it',0,1,'1.4667','F53263',1,'en'),
(625,'go','go',1,0,'0.0167','G000',2,'en'),
(626,'go to','go to',0,1,'1.1667','G300',2,'en'),
(627,'go to content','go to content',0,1,'1.4333','G325353',1,'en'),
(628,'have','have',0,0,'0.2667','H100',2,'en'),
(629,'have been','have been',0,1,'1.3','H150',1,'en'),
(630,'have been moved','have been moved',0,1,'1.5','H1513',1,'en'),
(631,'home this','home this',0,1,'1.3','H532',1,'en'),
(632,'home this is','home this is',0,1,'1.4','H532',1,'en'),
(633,'how','how',1,0,'0.025','H000',2,'en'),
(634,'how is','how is',0,1,'1.2','H200',1,'en'),
(635,'how is the','how is the',0,1,'1.3333','H230',1,'en'),
(636,'how to','how to',0,1,'1.2','H300',2,'en'),
(637,'how to display','how to display',0,1,'1.4667','H3214',1,'en'),
(638,'how to modify','how to modify',0,1,'1.4333','H3531',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(639,'id','id',0,0,'0.1333','I300',9,'en'),
(640,'id in','id in',0,1,'1.1667','I350',1,'en'),
(641,'id in the','id in the',0,1,'1.3','I353',1,'en'),
(642,'if','if',1,0,'0.0167','I100',2,'en'),
(643,'if you','if you',0,1,'1.2','I100',2,'en'),
(644,'if you want','if you want',0,1,'1.3667','I153',2,'en'),
(645,'in','in',1,0,'0.0167','I500',14,'en'),
(646,'in a','in a',0,1,'1.1333','I500',2,'en'),
(647,'in a joomla','in a joomla',0,1,'1.3667','I5254',1,'en'),
(648,'in the','in the',0,1,'1.2','I530',1,'en'),
(649,'in the following','in the following',0,1,'1.5333','I531452',1,'en'),
(650,'is','is',1,0,'0.0167','I200',4,'en'),
(651,'is a','is a',0,1,'1.1333','I200',2,'en'),
(652,'is a joomla','is a joomla',0,1,'1.3667','I254',1,'en'),
(653,'is displayed','is displayed',0,1,'1.4','I232143',1,'en'),
(654,'is displayed using','is displayed using',0,1,'1.6','I232143252',1,'en'),
(655,'is published','is published',0,1,'1.4','I21423',1,'en'),
(656,'is published on','is published on',0,1,'1.5','I214235',1,'en'),
(657,'is the','is the',0,1,'1.2','I230',1,'en'),
(658,'is the search','is the search',0,1,'1.4333','I23262',1,'en'),
(659,'it','it',1,0,'0.0167','I300',1,'en'),
(660,'it allows','it allows',0,1,'1.3','I342',1,'en'),
(661,'it allows to','it allows to',0,1,'1.4','I3423',1,'en'),
(662,'it appears','it appears',0,1,'1.3333','I3162',1,'en'),
(663,'it appears the','it appears the',0,1,'1.4667','I31623',1,'en'),
(664,'it is','it is',0,1,'1.1667','I320',1,'en'),
(665,'it is displayed','it is displayed',0,1,'1.5','I3232143',1,'en'),
(666,'jm-template','jm-template',0,0,'0.7333','J535143',2,'en'),
(667,'jm-template error','jm-template error',0,1,'1.5667','J5351436',1,'en'),
(668,'jm-template error php','jm-template error php',0,1,'1.7','J53514361',1,'en'),
(669,'joomla','joomla',0,0,'0.4','J540',2,'en'),
(670,'joomla article','joomla article',0,1,'1.4667','J546324',1,'en'),
(671,'joomla article displayed','joomla article displayed',0,1,'1.8','J54632432143',1,'en'),
(672,'joomla article the','joomla article the',0,1,'1.6','J5463243',1,'en'),
(673,'load','load',0,0,'0.2667','L300',1,'en'),
(674,'load modules','load modules',0,1,'1.4','L35342',1,'en'),
(675,'load modules plugin','load modules plugin',0,1,'1.6333','L353421425',1,'en'),
(676,'loadposition','loadposition',0,0,'0.8','L31235',1,'en'),
(677,'loadposition error404-search','loadposition error404-search',0,1,'1.9333','L312356262',1,'en'),
(678,'loadposition error404-search take','loadposition error404-search take',0,1,'2','L31235626232',1,'en'),
(679,'location','location',0,0,'0.5333','L235',1,'en'),
(680,'location templates','location templates',0,1,'1.6','L235351432',1,'en'),
(681,'location templates jm-template','location templates jm-template',0,1,'2','L235351432535143',1,'en'),
(682,'looking','looking',0,0,'0.4667','L252',1,'en'),
(683,'looking for','looking for',0,1,'1.3667','L25216',1,'en'),
(684,'looking for does','looking for does',0,1,'1.5333','L2521632',1,'en'),
(685,'luck','luck',0,0,'0.2667','L200',1,'en'),
(686,'luck again','luck again',0,1,'1.3333','L250',1,'en'),
(687,'luck again loadposition','luck again loadposition',0,1,'1.7667','L25431235',1,'en'),
(688,'manager','manager',0,0,'0.4667','M260',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(689,'manager step','manager step',0,1,'1.4','M26231',1,'en'),
(690,'manager step 2','manager step 2',0,1,'1.4667','M26231',1,'en'),
(691,'me','me',1,0,'0.0167','M000',1,'en'),
(692,'me home','me home',0,1,'1.2333','M000',1,'en'),
(693,'me home this','me home this',0,1,'1.4','M320',1,'en'),
(694,'might','might',0,0,'0.3333','M230',1,'en'),
(695,'might have','might have',0,1,'1.3333','M231',1,'en'),
(696,'might have been','might have been',0,1,'1.5','M2315',1,'en'),
(697,'modify','modify',0,0,'0.4','M310',1,'en'),
(698,'modify this','modify this',0,1,'1.3667','M3132',1,'en'),
(699,'modify this page','modify this page',0,1,'1.5333','M313212',1,'en'),
(700,'module','module',0,0,'0.4','M340',4,'en'),
(701,'module displayed','module displayed',0,1,'1.5333','M3432143',1,'en'),
(702,'module displayed it','module displayed it',0,1,'1.6333','M3432143',1,'en'),
(703,'module in','module in',0,1,'1.3','M345',1,'en'),
(704,'module in a','module in a',0,1,'1.3667','M345',1,'en'),
(705,'module is','module is',0,1,'1.3','M342',1,'en'),
(706,'module is published','module is published',0,1,'1.6333','M3421423',1,'en'),
(707,'modules','modules',0,0,'0.4667','M342',3,'en'),
(708,'modules plugin','modules plugin',0,1,'1.4667','M3421425',1,'en'),
(709,'modules plugin it','modules plugin it',0,1,'1.5667','M34214253',1,'en'),
(710,'moved','moved',0,0,'0.3333','M130',1,'en'),
(711,'moved please','moved please',0,1,'1.4','M13142',1,'en'),
(712,'moved please try','moved please try',0,1,'1.5333','M1314236',1,'en'),
(713,'need','need',0,0,'0.2667','N300',3,'en'),
(714,'need to','need to',0,1,'1.2333','N300',3,'en'),
(715,'need to change','need to change',0,1,'1.4667','N3252',1,'en'),
(716,'not','not',1,0,'0.025','N300',1,'en'),
(717,'not exist','not exist',0,1,'1.3','N323',1,'en'),
(718,'not exist anymore','not exist anymore',0,1,'1.5667','N32356',1,'en'),
(719,'not found','not found',0,1,'1.3','N3153',1,'en'),
(720,'not found sorry','not found sorry',0,1,'1.5','N315326',1,'en'),
(721,'on','on',1,0,'0.0167','O500',2,'en'),
(722,'on the','on the',0,1,'1.2','O530',1,'en'),
(723,'on the following','on the following',0,1,'1.5333','O531452',1,'en'),
(724,'oops','oops',0,0,'0.2667','O120',1,'en'),
(725,'oops page','oops page',0,1,'1.3','O1212',1,'en'),
(726,'oops page not','oops page not',0,1,'1.4333','O121253',1,'en'),
(727,'or','or',1,0,'0.0167','O600',4,'en'),
(728,'or might','or might',0,1,'1.2667','O6523',1,'en'),
(729,'or might have','or might have',0,1,'1.4333','O65231',1,'en'),
(730,'other','other',1,0,'0.0417','O360',1,'en'),
(731,'other article','other article',0,1,'1.4333','O36324',1,'en'),
(732,'other article you','other article you',0,1,'1.5667','O36324',1,'en'),
(733,'page','page',1,0,'0.0333','P200',2,'en'),
(734,'page how','page how',0,1,'1.2667','P200',1,'en'),
(735,'page how to','page how to',0,1,'1.3667','P230',1,'en'),
(736,'page if','page if',0,1,'1.2333','P210',1,'en'),
(737,'page if you','page if you',0,1,'1.3667','P210',1,'en'),
(738,'page not','page not',0,1,'1.2667','P253',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(739,'page not found','page not found',0,1,'1.4667','P253153',1,'en'),
(740,'page step','page step',0,1,'1.3','P231',2,'en'),
(741,'page step 1','page step 1',0,1,'1.3667','P231',2,'en'),
(742,'page you','page you',0,1,'1.2667','P200',2,'en'),
(743,'page you were','page you were',0,1,'1.4333','P260',1,'en'),
(744,'php','php',0,0,'0.2','P000',2,'en'),
(745,'please','please',0,0,'0.4','P420',1,'en'),
(746,'please try','please try',0,1,'1.3333','P4236',1,'en'),
(747,'please try your','please try your',0,1,'1.5','P4236',1,'en'),
(748,'plugin','plugin',0,0,'0.4','P425',1,'en'),
(749,'plugin it','plugin it',0,1,'1.3','P4253',1,'en'),
(750,'plugin it allows','plugin it allows',0,1,'1.5333','P425342',1,'en'),
(751,'position','position',0,0,'0.5333','P235',1,'en'),
(752,'position error404-search','position error404-search',0,1,'1.8','P2356262',1,'en'),
(753,'position error404-search how','position error404-search how',0,1,'1.9333','P2356262',1,'en'),
(754,'published','published',0,0,'0.6','P423',1,'en'),
(755,'published on','published on',0,1,'1.4','P4235',1,'en'),
(756,'published on the','published on the',0,1,'1.5333','P42353',1,'en'),
(757,'search','search',0,0,'0.4','S620',1,'en'),
(758,'search module','search module',0,1,'1.4333','S62534',1,'en'),
(759,'search module displayed','search module displayed',0,1,'1.7667','S6253432143',1,'en'),
(760,'sorry','sorry',0,0,'0.3333','S600',1,'en'),
(761,'sorry it','sorry it',0,1,'1.2667','S630',1,'en'),
(762,'sorry it appears','sorry it appears',0,1,'1.5333','S63162',1,'en'),
(763,'step','step',0,0,'0.2667','S310',4,'en'),
(764,'step 1','step 1',0,1,'1.2','S310',2,'en'),
(765,'step 1 go','step 1 go',0,1,'1.3','S312',2,'en'),
(766,'step 2','step 2',0,1,'1.2','S310',2,'en'),
(767,'step 2 find','step 2 find',0,1,'1.3667','S3153',1,'en'),
(768,'take','take',0,0,'0.2667','T200',1,'en'),
(769,'take me','take me',0,1,'1.2333','T250',1,'en'),
(770,'take me home','take me home',0,1,'1.4','T250',1,'en'),
(771,'templates','templates',0,0,'0.6','T51432',2,'en'),
(772,'templates jm-template','templates jm-template',0,1,'1.7','T51432535143',2,'en'),
(773,'templates jm-template error','templates jm-template error',0,1,'1.9','T514325351436',1,'en'),
(774,'the','the',1,0,'0.025','T000',5,'en'),
(775,'the article','the article',0,1,'1.3667','T6324',1,'en'),
(776,'the article id','the article id',0,1,'1.4667','T63243',1,'en'),
(777,'the content','the content',0,1,'1.3667','T25353',1,'en'),
(778,'the content load','the content load',0,1,'1.5333','T2535343',1,'en'),
(779,'the error','the error',0,1,'1.3','T600',1,'en'),
(780,'the error 404','the error 404',0,1,'1.4333','T600',1,'en'),
(781,'the following','the following',0,1,'1.4333','T1452',3,'en'),
(782,'the following location','the following location',0,1,'1.7333','T14524235',1,'en'),
(783,'the following position','the following position',0,1,'1.7333','T14521235',1,'en'),
(784,'the module','the module',0,1,'1.3333','T534',1,'en'),
(785,'the module is','the module is',0,1,'1.4333','T5342',1,'en'),
(786,'the page','the page',0,1,'1.2667','T120',1,'en'),
(787,'the page you','the page you',0,1,'1.4','T120',1,'en'),
(788,'the search','the search',0,1,'1.3333','T262',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(789,'the search module','the search module',0,1,'1.5667','T262534',1,'en'),
(790,'this','this',1,0,'0.0333','T200',2,'en'),
(791,'this is','this is',0,1,'1.2333','T200',2,'en'),
(792,'this is a','this is a',0,1,'1.3','T200',1,'en'),
(793,'this page','this page',0,1,'1.3','T212',1,'en'),
(794,'this page step','this page step',0,1,'1.4667','T21231',1,'en'),
(795,'to change','to change',0,1,'1.3','T252',1,'en'),
(796,'to change the','to change the',0,1,'1.4333','T2523',1,'en'),
(797,'to content','to content',0,1,'1.3333','T25353',1,'en'),
(798,'to content article','to content article',0,1,'1.6','T253536324',1,'en'),
(799,'to display','to display',0,1,'1.3333','T214',1,'en'),
(800,'to display a','to display a',0,1,'1.4','T214',1,'en'),
(801,'to display other','to display other',0,1,'1.5333','T21436',1,'en'),
(802,'to modify','to modify',0,1,'1.3','T531',1,'en'),
(803,'to modify this','to modify this',0,1,'1.4667','T53132',1,'en'),
(804,'try','try',0,0,'0.2','T600',1,'en'),
(805,'try your','try your',0,1,'1.2667','T600',1,'en'),
(806,'try your luck','try your luck',0,1,'1.4333','T642',1,'en'),
(807,'using','using',0,0,'0.3333','U252',2,'en'),
(808,'using the','using the',0,1,'1.3','U2523',1,'en'),
(809,'using the content','using the content',0,1,'1.5667','U252325353',1,'en'),
(810,'want','want',1,0,'0.0333','W530',2,'en'),
(811,'want to','want to',0,1,'1.2333','W530',2,'en'),
(812,'want to display','want to display',0,1,'1.5','W53214',1,'en'),
(813,'were','were',1,0,'0.0333','W600',1,'en'),
(814,'were looking','were looking',0,1,'1.4','W64252',1,'en'),
(815,'were looking for','were looking for',0,1,'1.5333','W6425216',1,'en'),
(816,'you','you',1,0,'0.025','Y000',4,'en'),
(817,'you need','you need',0,1,'1.2667','Y530',3,'en'),
(818,'you need to','you need to',0,1,'1.3667','Y530',3,'en'),
(819,'you want','you want',0,1,'1.2667','Y530',2,'en'),
(820,'you want to','you want to',0,1,'1.3667','Y530',2,'en'),
(821,'you were','you were',0,1,'1.2667','Y600',1,'en'),
(822,'you were looking','you were looking',0,1,'1.5333','Y64252',1,'en'),
(823,'your','your',1,0,'0.0333','Y600',5,'en'),
(824,'your luck','your luck',0,1,'1.3','Y642',1,'en'),
(825,'your luck again','your luck again',0,1,'1.5','Y6425',1,'en'),
(1020,'132','132',0,0,'0.3','',1,'en'),
(1021,'2 click','2 click',0,1,'1.2333','C420',1,'en'),
(1022,'2 click on','2 click on',0,1,'1.3333','C425',1,'en'),
(1023,'3','3',0,0,'0.1','',10,'en'),
(1024,'3 fill','3 fill',0,1,'1.2','F400',1,'en'),
(1025,'3 fill in','3 fill in',0,1,'1.3','F450',1,'en'),
(1026,'4','4',0,0,'0.1','',2,'en'),
(1027,'4 click','4 click',0,1,'1.2333','C420',1,'en'),
(1028,'4 click on','4 click on',0,1,'1.3333','C425',1,'en'),
(1029,'a possibility','a possibility',0,1,'1.4333','A12143',1,'en'),
(1030,'a possibility to','a possibility to',0,1,'1.5333','A12143',1,'en'),
(1031,'a text','a text',0,1,'1.2','A323',1,'en'),
(1032,'a text for','a text for',0,1,'1.3333','A32316',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(1033,'about','about',1,0,'0.0417','A130',2,'en'),
(1034,'about why','about why',0,1,'1.3','A130',1,'en'),
(1035,'about why your','about why your',0,1,'1.4667','A136',1,'en'),
(1036,'access','access',0,0,'0.4','A200',1,'en'),
(1037,'access to','access to',0,1,'1.3','A230',1,'en'),
(1038,'access to the','access to the',0,1,'1.4333','A230',1,'en'),
(1039,'click','click',0,0,'0.3333','C420',1,'en'),
(1040,'click on','click on',0,1,'1.2667','C425',1,'en'),
(1041,'click on save','click on save',0,1,'1.4333','C42521',1,'en'),
(1042,'click on yes','click on yes',0,1,'1.4','C4252',1,'en'),
(1043,'configuration','configuration',0,0,'0.8667','C512635',2,'en'),
(1044,'configuration site','configuration site',0,1,'1.6','C51263523',1,'en'),
(1045,'configuration site step','configuration site step',0,1,'1.7667','C51263523231',1,'en'),
(1046,'customize','customize',0,0,'0.6','C352',2,'en'),
(1047,'customize the','customize the',0,1,'1.4333','C3523',1,'en'),
(1048,'customize the offline','customize the offline',0,1,'1.7','C3523145',1,'en'),
(1049,'disable','disable',0,0,'0.4667','D214',1,'en'),
(1050,'disable access','disable access',0,1,'1.4667','D2142',1,'en'),
(1051,'disable access to','disable access to',0,1,'1.5667','D21423',1,'en'),
(1052,'edit the following','edit the following',0,1,'1.6','E31452',1,'en'),
(1053,'enable','enable',0,0,'0.4','E514',1,'en'),
(1054,'enable the','enable the',0,1,'1.3333','E5143',1,'en'),
(1055,'enable the offline','enable the offline',0,1,'1.6','E5143145',1,'en'),
(1056,'explanation','explanation',0,0,'0.7333','E214535',1,'en'),
(1057,'explanation about','explanation about',0,1,'1.5667','E21453513',1,'en'),
(1058,'explanation about why','explanation about why',0,1,'1.7','E21453513',1,'en'),
(1059,'file','file',0,0,'0.2667','F400',1,'en'),
(1060,'file templates','file templates',0,1,'1.4667','F4351432',1,'en'),
(1061,'file templates jm-template','file templates jm-template',0,1,'1.8667','F4351432535143',1,'en'),
(1062,'fill','fill',0,0,'0.2667','F400',1,'en'),
(1063,'fill in','fill in',0,1,'1.2333','F450',1,'en'),
(1064,'fill in a','fill in a',0,1,'1.3','F450',1,'en'),
(1065,'following file','following file',0,1,'1.4667','F45214',1,'en'),
(1066,'following file templates','following file templates',0,1,'1.8','F45214351432',1,'en'),
(1067,'for offline','for offline',0,1,'1.3667','F6145',1,'en'),
(1068,'for offline message','for offline message',0,1,'1.6333','F61452',1,'en'),
(1069,'for site','for site',0,1,'1.2667','F623',1,'en'),
(1070,'for site offline','for site offline',0,1,'1.5333','F623145',1,'en'),
(1071,'front','front',0,0,'0.3333','F653',1,'en'),
(1072,'front of','front of',0,1,'1.2667','F6531',1,'en'),
(1073,'front of your','front of your',0,1,'1.4333','F65316',1,'en'),
(1074,'give','give',0,0,'0.2667','G100',1,'en'),
(1075,'give your','give your',0,1,'1.3','G160',1,'en'),
(1076,'give your visitors','give your visitors',0,1,'1.6','G1612362',1,'en'),
(1077,'global','global',0,0,'0.4','G414',1,'en'),
(1078,'global configuration','global configuration',0,1,'1.6667','G4142512635',1,'en'),
(1079,'global configuration site','global configuration site',0,1,'1.8333','G414251263523',1,'en'),
(1080,'go to system','go to system',0,1,'1.4','G3235',1,'en'),
(1081,'how to customize','how to customize',0,1,'1.5333','H32352',1,'en'),
(1082,'how to enable','how to enable',0,1,'1.4333','H3514',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(1083,'in a text','in a text',0,1,'1.3','I5323',1,'en'),
(1084,'is a possibility','is a possibility',0,1,'1.5333','I212143',1,'en'),
(1085,'is unavailable','is unavailable',0,1,'1.4667','I251414',1,'en'),
(1086,'is unavailable step','is unavailable step',0,1,'1.6333','I251414231',1,'en'),
(1087,'jm-template offline','jm-template offline',0,1,'1.6333','J535143145',1,'en'),
(1088,'jm-template offline php','jm-template offline php',0,1,'1.7667','J5351431451',1,'en'),
(1089,'message','message',0,0,'0.4667','M200',1,'en'),
(1090,'message to','message to',0,1,'1.3333','M230',1,'en'),
(1091,'message to give','message to give',0,1,'1.5','M2321',1,'en'),
(1092,'need to edit','need to edit',0,1,'1.4','N300',1,'en'),
(1093,'of','of',1,0,'0.0167','O100',4,'en'),
(1094,'of your','of your',0,1,'1.2333','O160',1,'en'),
(1095,'of your site','of your site',0,1,'1.4','O1623',1,'en'),
(1096,'offline','offline',0,0,'0.4667','O145',1,'en'),
(1097,'offline message','offline message',0,1,'1.5','O1452',1,'en'),
(1098,'offline message to','offline message to',0,1,'1.6','O14523',1,'en'),
(1099,'offline option','offline option',0,1,'1.4667','O145135',1,'en'),
(1100,'offline option step','offline option step',0,1,'1.6333','O145135231',1,'en'),
(1101,'offline page','offline page',0,1,'1.4','O14512',1,'en'),
(1102,'offline page step','offline page step',0,1,'1.5667','O1451231',1,'en'),
(1103,'offline page you','offline page you',0,1,'1.5333','O14512',1,'en'),
(1104,'offline php','offline php',0,1,'1.3667','O1451',1,'en'),
(1105,'on save','on save',0,1,'1.2333','O521',1,'en'),
(1106,'on save to','on save to',0,1,'1.3333','O5213',1,'en'),
(1107,'on yes','on yes',0,1,'1.2','O520',1,'en'),
(1108,'on yes for','on yes for',0,1,'1.3333','O5216',1,'en'),
(1109,'option','option',0,0,'0.4','O135',1,'en'),
(1110,'option step','option step',0,1,'1.3667','O135231',1,'en'),
(1111,'option step 3','option step 3',0,1,'1.4333','O135231',1,'en'),
(1112,'page you need','page you need',0,1,'1.4333','P253',1,'en'),
(1113,'possibility','possibility',0,0,'0.7333','P2143',1,'en'),
(1114,'possibility to','possibility to',0,1,'1.4667','P2143',1,'en'),
(1115,'possibility to disable','possibility to disable',0,1,'1.7333','P2143214',1,'en'),
(1116,'save','save',0,0,'0.2667','S100',1,'en'),
(1117,'save to','save to',0,1,'1.2333','S130',1,'en'),
(1118,'save to save','save to save',0,1,'1.4','S1321',1,'en'),
(1119,'save your','save your',0,1,'1.3','S160',1,'en'),
(1120,'save your settings','save your settings',0,1,'1.6','S162352',1,'en'),
(1121,'settings','settings',0,0,'0.5333','S352',1,'en'),
(1122,'settings how','settings how',0,1,'1.4','S352',1,'en'),
(1123,'settings how to','settings how to',0,1,'1.5','S3523',1,'en'),
(1124,'site','site',0,0,'0.2667','S300',1,'en'),
(1125,'site how','site how',0,1,'1.2667','S300',1,'en'),
(1126,'site how to','site how to',0,1,'1.3667','S300',1,'en'),
(1127,'site offline','site offline',0,1,'1.4','S3145',1,'en'),
(1128,'site offline option','site offline option',0,1,'1.6333','S3145135',1,'en'),
(1129,'site step','site step',0,1,'1.3','S3231',1,'en'),
(1130,'site step 2','site step 2',0,1,'1.3667','S3231',1,'en'),
(1131,'some','some',1,0,'0.0333','S500',1,'en'),
(1132,'some explanation','some explanation',0,1,'1.5333','S5214535',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(1133,'some explanation about','some explanation about',0,1,'1.7333','S521453513',1,'en'),
(1134,'step 2 click','step 2 click',0,1,'1.4','S31242',1,'en'),
(1135,'step 3','step 3',0,1,'1.2','S310',1,'en'),
(1136,'step 3 fill','step 3 fill',0,1,'1.3667','S314',1,'en'),
(1137,'step 4','step 4',0,1,'1.2','S310',1,'en'),
(1138,'step 4 click','step 4 click',0,1,'1.4','S31242',1,'en'),
(1139,'system','system',0,0,'0.4','S350',1,'en'),
(1140,'system global','system global',0,1,'1.4333','S352414',1,'en'),
(1141,'system global configuration','system global configuration',0,1,'1.9','S3524142512635',1,'en'),
(1142,'templates jm-template offline','templates jm-template offline',0,1,'1.9667','T51432535143145',1,'en'),
(1143,'text','text',0,0,'0.2667','T230',2,'en'),
(1144,'text for','text for',0,1,'1.2667','T2316',1,'en'),
(1145,'text for offline','text for offline',0,1,'1.5333','T2316145',1,'en'),
(1146,'the following file','the following file',0,1,'1.6','T145214',1,'en'),
(1147,'the front','the front',0,1,'1.3','T1653',1,'en'),
(1148,'the front of','the front of',0,1,'1.4','T16531',1,'en'),
(1149,'the offline','the offline',0,1,'1.3667','T145',1,'en'),
(1150,'the offline page','the offline page',0,1,'1.5333','T14512',1,'en'),
(1151,'there','there',1,0,'0.0417','T600',2,'en'),
(1152,'there is','there is',0,1,'1.2667','T620',1,'en'),
(1153,'there is a','there is a',0,1,'1.3333','T620',1,'en'),
(1154,'to customize','to customize',0,1,'1.4','T2352',2,'en'),
(1155,'to customize the','to customize the',0,1,'1.5333','T23523',1,'en'),
(1156,'to disable','to disable',0,1,'1.3333','T214',1,'en'),
(1157,'to disable access','to disable access',0,1,'1.5667','T2142',1,'en'),
(1158,'to edit','to edit',0,1,'1.2333','T000',1,'en'),
(1159,'to edit the','to edit the',0,1,'1.3667','T000',1,'en'),
(1160,'to enable','to enable',0,1,'1.3','T514',1,'en'),
(1161,'to enable the','to enable the',0,1,'1.4333','T5143',1,'en'),
(1162,'to give','to give',0,1,'1.2333','T210',1,'en'),
(1163,'to give your','to give your',0,1,'1.4','T216',1,'en'),
(1164,'to save','to save',0,1,'1.2333','T210',1,'en'),
(1165,'to save your','to save your',0,1,'1.4','T216',1,'en'),
(1166,'to system','to system',0,1,'1.3','T235',1,'en'),
(1167,'to system global','to system global',0,1,'1.5333','T2352414',1,'en'),
(1168,'to the','to the',0,1,'1.2','T000',1,'en'),
(1169,'to the front','to the front',0,1,'1.4','T1653',1,'en'),
(1170,'unavailable','unavailable',0,0,'0.7333','U51414',1,'en'),
(1171,'unavailable step','unavailable step',0,1,'1.5333','U51414231',1,'en'),
(1172,'unavailable step 4','unavailable step 4',0,1,'1.6','U51414231',1,'en'),
(1173,'visitors','visitors',0,0,'0.5333','V2362',1,'en'),
(1174,'visitors some','visitors some',0,1,'1.4333','V23625',1,'en'),
(1175,'visitors some explanation','visitors some explanation',0,1,'1.8333','V23625214535',1,'en'),
(1176,'website','website',0,0,'0.4667','W123',1,'en'),
(1177,'website is','website is',0,1,'1.3333','W1232',1,'en'),
(1178,'website is unavailable','website is unavailable',0,1,'1.7333','W123251414',1,'en'),
(1179,'why','why',1,0,'0.025','W000',1,'en'),
(1180,'why your','why your',0,1,'1.2667','W600',1,'en'),
(1181,'why your website','why your website',0,1,'1.5333','W6123',1,'en'),
(1182,'yes','yes',1,0,'0.025','Y200',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(1183,'yes for','yes for',0,1,'1.2333','Y216',1,'en'),
(1184,'yes for site','yes for site',0,1,'1.4','Y21623',1,'en'),
(1185,'your settings','your settings',0,1,'1.4333','Y62352',1,'en'),
(1186,'your settings how','your settings how',0,1,'1.5667','Y62352',1,'en'),
(1187,'your site','your site',0,1,'1.3','Y623',1,'en'),
(1188,'your site how','your site how',0,1,'1.4333','Y623',1,'en'),
(1189,'your visitors','your visitors',0,1,'1.4333','Y612362',1,'en'),
(1190,'your visitors some','your visitors some',0,1,'1.6','Y6123625',1,'en'),
(1191,'your website','your website',0,1,'1.4','Y6123',1,'en'),
(1192,'your website is','your website is',0,1,'1.5','Y61232',1,'en'),
(1533,'amet','amet',0,0,'0.2667','A530',11,'en'),
(1540,'at','at',1,0,'0.0167','A300',13,'en'),
(1543,'augue','augue',0,0,'0.3333','A200',12,'en'),
(1550,'diam','diam',0,0,'0.2667','D500',2,'en'),
(1555,'dolor sit','dolor sit',0,1,'1.3','D4623',11,'en'),
(1556,'dolor sit amet','dolor sit amet',0,1,'1.4667','D462353',11,'en'),
(1573,'ipsum dolor sit','ipsum dolor sit',0,1,'1.5','I12534623',11,'en'),
(1583,'morbi','morbi',0,0,'0.3333','M610',10,'en'),
(1586,'non','non',0,0,'0.2','N000',11,'en'),
(1594,'quis','quis',0,0,'0.2667','Q000',10,'en'),
(1597,'rhoncus','rhoncus',0,0,'0.4667','R520',10,'en'),
(1600,'sit','sit',0,0,'0.2','S300',11,'en'),
(1601,'sit amet','sit amet',0,1,'1.2667','S353',11,'en'),
(1784,'250','250',0,0,'0.3','',2,'en'),
(1785,'250 mbps','250 mbps',0,1,'1.2667','M120',2,'en'),
(1786,'250 mbps high','250 mbps high',0,1,'1.4333','M120',2,'en'),
(1787,'adipiscing','adipiscing',0,0,'0.6667','A31252',11,'en'),
(1788,'adipiscing elit','adipiscing elit',0,1,'1.5','A3125243',11,'en'),
(1789,'adipiscing elit proin','adipiscing elit proin',0,1,'1.7','A3125243165',2,'en'),
(1790,'at augue','at augue',0,1,'1.2667','A320',2,'en'),
(1791,'at augue imperdiet','at augue imperdiet',0,1,'1.6','A325163',2,'en'),
(1792,'augue imperdiet','augue imperdiet',0,1,'1.5','A25163',2,'en'),
(1793,'augue imperdiet dignissim','augue imperdiet dignissim',0,1,'1.8333','A251632525',2,'en'),
(1794,'consequat','consequat',0,0,'0.6','C523',10,'en'),
(1795,'consequat sem','consequat sem',0,1,'1.4333','C52325',2,'en'),
(1796,'consequat sem cure','consequat sem cure',0,1,'1.6','C5232526',2,'en'),
(1797,'cure','cure',0,0,'0.2667','C600',2,'en'),
(1798,'cure digni','cure digni',0,1,'1.3333','C6325',2,'en'),
(1799,'cure digni ssim','cure digni ssim',0,1,'1.5','C632525',2,'en'),
(1800,'cure proin','cure proin',0,1,'1.3333','C6165',2,'en'),
(1801,'cure proin iaculis','cure proin iaculis',0,1,'1.6','C6165242',2,'en'),
(1802,'digni','digni',0,0,'0.3333','D250',2,'en'),
(1803,'digni ssim','digni ssim',0,1,'1.3333','D2525',2,'en'),
(1804,'digni ssim adipiscing','digni ssim adipiscing',0,1,'1.7','D252531252',2,'en'),
(1805,'digni ssim donec','digni ssim donec',0,1,'1.5333','D2525352',2,'en'),
(1806,'dignissim','dignissim',0,0,'0.6','D2525',2,'en'),
(1807,'dignissim lorem','dignissim lorem',0,1,'1.5','D2525465',2,'en'),
(1808,'dignissim lorem ipsum','dignissim lorem ipsum',0,1,'1.7','D2525465125',2,'en'),
(1809,'dignissim read','dignissim read',0,1,'1.4667','D252563',2,'en'),
(1810,'dignissim read more','dignissim read more',0,1,'1.6333','D25256356',2,'en');
INSERT INTO `#__finder_terms` VALUES 
(1811,'dolor proin','dolor proin',0,1,'1.3667','D46165',2,'en'),
(1812,'dolor proin iaculis','dolor proin iaculis',0,1,'1.6333','D46165242',2,'en'),
(1813,'donec','donec',0,0,'0.3333','D520',11,'en'),
(1814,'donec porttitora','donec porttitora',0,1,'1.5333','D521636',2,'en'),
(1815,'donec porttitora in','donec porttitora in',0,1,'1.6333','D5216365',2,'en'),
(1816,'elit','elit',0,0,'0.2667','E430',12,'en'),
(1817,'elit proin','elit proin',0,1,'1.3333','E43165',2,'en'),
(1818,'elit proin iaculis','elit proin iaculis',0,1,'1.6','E43165242',2,'en'),
(1819,'facilisis','facilisis',0,0,'0.6','F242',10,'en'),
(1820,'facilisis at','facilisis at',0,1,'1.4','F2423',2,'en'),
(1821,'facilisis at augue','facilisis at augue',0,1,'1.6','F24232',2,'en'),
(1822,'high','high',0,0,'0.2667','H200',3,'en'),
(1823,'high speed','high speed',0,1,'1.3333','H213',2,'en'),
(1824,'high speed internet','high speed internet',0,1,'1.6333','H21353653',2,'en'),
(1825,'iaculis','iaculis',0,0,'0.4667','I242',11,'en'),
(1826,'iaculis purus','iaculis purus',0,1,'1.4333','I242162',10,'en'),
(1827,'iaculis purus consequat','iaculis purus consequat',0,1,'1.7667','I242162523',2,'en'),
(1828,'imperdiet','imperdiet',0,0,'0.6','I5163',10,'en'),
(1829,'imperdiet dignissim','imperdiet dignissim',0,1,'1.6333','I51632525',2,'en'),
(1830,'imperdiet dignissim lorem','imperdiet dignissim lorem',0,1,'1.8333','I51632525465',2,'en'),
(1831,'imperdiet dignissim read','imperdiet dignissim read',0,1,'1.8','I5163252563',2,'en'),
(1832,'in facilisis','in facilisis',0,1,'1.4','I51242',2,'en'),
(1833,'in facilisis at','in facilisis at',0,1,'1.5','I512423',2,'en'),
(1834,'internet proin','internet proin',0,1,'1.4667','I53653165',2,'en'),
(1835,'internet proin iaculis','internet proin iaculis',0,1,'1.7333','I53653165242',2,'en'),
(1836,'ipsum dolor proin','ipsum dolor proin',0,1,'1.5667','I125346165',2,'en'),
(1837,'mbps','mbps',0,0,'0.2667','M120',2,'en'),
(1838,'mbps high','mbps high',0,1,'1.3','M120',2,'en'),
(1839,'mbps high speed','mbps high speed',0,1,'1.5','M1213',2,'en'),
(1840,'more','more',1,0,'0.0333','M600',3,'en'),
(1841,'porttitora','porttitora',0,0,'0.6667','P636',2,'en'),
(1842,'porttitora in','porttitora in',0,1,'1.4333','P6365',2,'en'),
(1843,'porttitora in facilisis','porttitora in facilisis',0,1,'1.7667','P63651242',2,'en'),
(1844,'proin iaculis','proin iaculis',0,1,'1.4333','P65242',2,'en'),
(1845,'proin iaculis purus','proin iaculis purus',0,1,'1.6333','P65242162',2,'en'),
(1846,'purus','purus',0,0,'0.3333','P620',10,'en'),
(1847,'purus consequat','purus consequat',0,1,'1.5','P62523',2,'en'),
(1848,'purus consequat sem','purus consequat sem',0,1,'1.6333','P6252325',2,'en'),
(1849,'read','read',0,0,'0.2667','R300',2,'en'),
(1850,'read more','read more',0,1,'1.3','R356',2,'en'),
(1851,'sem','sem',0,0,'0.2','S500',3,'en'),
(1852,'sem cure','sem cure',0,1,'1.2667','S526',2,'en'),
(1853,'sem cure digni','sem cure digni',0,1,'1.4667','S526325',2,'en'),
(1854,'sem cure proin','sem cure proin',0,1,'1.4667','S526165',2,'en'),
(1855,'speed internet','speed internet',0,1,'1.4667','S1353653',2,'en'),
(1856,'speed internet proin','speed internet proin',0,1,'1.6667','S1353653165',2,'en'),
(1857,'ssim','ssim',0,0,'0.2667','S500',2,'en'),
(1858,'ssim adipiscing','ssim adipiscing',0,1,'1.5','S531252',2,'en'),
(1859,'ssim adipiscing elit','ssim adipiscing elit',0,1,'1.6667','S53125243',2,'en'),
(1860,'ssim donec','ssim donec',0,1,'1.3333','S5352',2,'en');
INSERT INTO `#__finder_terms` VALUES 
(1861,'ssim donec porttitora','ssim donec porttitora',0,1,'1.7','S53521636',2,'en'),
(1862,'to 250','to 250',0,1,'1.2','T000',2,'en'),
(1863,'to 250 mbps','to 250 mbps',0,1,'1.3667','T512',2,'en'),
(1864,'up to 250','up to 250',0,1,'1.3','U130',2,'en'),
(1913,'0','0',0,0,'0.1','',1,'en'),
(1981,'aenean','aenean',0,0,'0.4','A500',9,'en'),
(2011,'amet consectetur','amet consectetur',0,1,'1.5333','A5325236',10,'en'),
(2012,'amet consectetur adipiscing','amet consectetur adipiscing',0,1,'1.9','A532523631252',10,'en'),
(2019,'ante','ante',0,0,'0.2667','A530',9,'en'),
(2027,'bibendum','bibendum',0,0,'0.5333','B535',2,'en'),
(2154,'condimentum','condimentum',0,0,'0.7333','C53535',9,'en'),
(2157,'consectetur','consectetur',0,0,'0.7333','C5236',10,'en'),
(2158,'consectetur adipiscing','consectetur adipiscing',0,1,'1.7333','C523631252',10,'en'),
(2159,'consectetur adipiscing elit','consectetur adipiscing elit',0,1,'1.9','C52363125243',10,'en'),
(2167,'convallis','convallis',0,0,'0.6','C5142',9,'en'),
(2194,'duis','duis',0,0,'0.2667','D200',9,'en'),
(2211,'erat','erat',0,0,'0.2667','E630',10,'en'),
(2217,'felis','felis',0,0,'0.3333','F420',10,'en'),
(2932,'jm','jm',0,0,'0.1333','J500',2,'en'),
(3037,'lacinia','lacinia',0,0,'0.4667','L250',10,'en'),
(3040,'leo','leo',0,0,'0.2','L000',2,'en'),
(3061,'mauris','mauris',0,0,'0.4','M620',10,'en'),
(3100,'nec','nec',0,0,'0.2','N200',10,'en'),
(3103,'nisl','nisl',0,0,'0.2667','N240',9,'en'),
(3109,'nunc','nunc',0,0,'0.2667','N200',9,'en'),
(3112,'odio','odio',0,0,'0.2667','O300',9,'en'),
(3181,'porta','porta',0,0,'0.3333','P630',9,'en'),
(3184,'posuere','posuere',0,0,'0.4667','P260',2,'en'),
(3198,'sapien','sapien',0,0,'0.4','S150',10,'en'),
(3204,'sed','sed',0,0,'0.2','S300',10,'en'),
(3208,'sit amet consectetur','sit amet consectetur',0,1,'1.6667','S35325236',10,'en'),
(3216,'small','small',1,0,'0.0417','S540',2,'en'),
(3224,'sodales','sodales',0,0,'0.4667','S342',10,'en'),
(3242,'suscipit','suscipit',0,0,'0.5333','S130',9,'en'),
(3253,'tellus','tellus',0,0,'0.4','T420',10,'en'),
(3262,'tincidunt','tincidunt',0,0,'0.6','T52353',9,'en'),
(3271,'turpis','turpis',0,0,'0.4','T612',2,'en'),
(3301,'vehicula','vehicula',0,0,'0.5333','V240',10,'en'),
(3307,'viverra','viverra',0,0,'0.4667','V600',10,'en'),
(3957,'1 nulla','1 nulla',0,1,'1.2333','N400',8,'en'),
(3958,'1 nulla vestibulum','1 nulla vestibulum',0,1,'1.6','N4123145',8,'en'),
(3959,'129','129',0,0,'0.3','',1,'en'),
(3960,'2 lorem','2 lorem',0,1,'1.2333','L650',8,'en'),
(3961,'2 lorem ipsum','2 lorem ipsum',0,1,'1.4333','L65125',8,'en'),
(3962,'3 cras','3 cras',0,1,'1.2','C620',8,'en'),
(3963,'3 cras eleifend','3 cras eleifend',0,1,'1.5','C624153',8,'en'),
(3964,'a aliquam','a aliquam',0,1,'1.3','A425',8,'en'),
(3965,'a aliquam nibh','a aliquam nibh',0,1,'1.4667','A4251',8,'en'),
(3966,'a luctus','a luctus',0,1,'1.2667','A4232',8,'en'),
(3967,'a luctus eros','a luctus eros',0,1,'1.4333','A423262',8,'en');
INSERT INTO `#__finder_terms` VALUES 
(3968,'ac','ac',0,0,'0.1333','A200',9,'en'),
(3969,'ac dapibus','ac dapibus',0,1,'1.3333','A2312',8,'en'),
(3970,'ac dapibus lectus','ac dapibus lectus',0,1,'1.5667','A23124232',8,'en'),
(3971,'ac dui','ac dui',0,1,'1.2','A230',8,'en'),
(3972,'ac dui aliquet','ac dui aliquet',0,1,'1.4667','A23423',8,'en'),
(3973,'ac justo','ac justo',0,1,'1.2667','A230',8,'en'),
(3974,'ac justo hendrerit','ac justo hendrerit',0,1,'1.6','A235363',8,'en'),
(3975,'ac malesuada','ac malesuada',0,1,'1.4','A25423',8,'en'),
(3976,'ac malesuada ultricies','ac malesuada ultricies',0,1,'1.7333','A254234362',8,'en'),
(3977,'ac nulla','ac nulla',0,1,'1.2667','A254',8,'en'),
(3978,'ac nulla morbi','ac nulla morbi',0,1,'1.4667','A254561',8,'en'),
(3979,'ac nulla porttitor','ac nulla porttitor',0,1,'1.6','A2541636',8,'en'),
(3980,'ac tellus','ac tellus',0,1,'1.3','A2342',8,'en'),
(3981,'ac tellus rutrum','ac tellus rutrum',0,1,'1.5333','A23426365',8,'en'),
(3982,'accumsan','accumsan',0,0,'0.5333','A2525',9,'en'),
(3983,'accumsan cras','accumsan cras',0,1,'1.4333','A2525262',8,'en'),
(3984,'accumsan cras eleifend','accumsan cras eleifend',0,1,'1.7333','A25252624153',8,'en'),
(3985,'adipiscing elit cras','adipiscing elit cras',0,1,'1.6667','A3125243262',8,'en'),
(3986,'adipiscing elit nulla','adipiscing elit nulla',0,1,'1.7','A312524354',8,'en'),
(3987,'adipiscing etiam','adipiscing etiam',0,1,'1.5333','A3125235',8,'en'),
(3988,'adipiscing etiam quis','adipiscing etiam quis',0,1,'1.7','A31252352',8,'en'),
(3989,'adipisicing','adipisicing',0,0,'0.7333','A31252',8,'en'),
(3990,'adipisicing elit','adipisicing elit',0,1,'1.5333','A3125243',8,'en'),
(3991,'adipisicing elit sed','adipisicing elit sed',0,1,'1.6667','A312524323',8,'en'),
(3992,'aenean ultricies','aenean ultricies',0,1,'1.5333','A54362',8,'en'),
(3993,'aenean ultricies euismod','aenean ultricies euismod',0,1,'1.8','A5436253',8,'en'),
(3994,'aliqua','aliqua',0,0,'0.4','A420',9,'en'),
(3995,'aliquam','aliquam',0,0,'0.4667','A425',9,'en'),
(3996,'aliquam erat','aliquam erat',0,1,'1.4','A42563',8,'en'),
(3997,'aliquam erat volutpat','aliquam erat volutpat',0,1,'1.7','A4256314313',8,'en'),
(3998,'aliquam feugiat','aliquam feugiat',0,1,'1.5','A425123',8,'en'),
(3999,'aliquam feugiat nunc','aliquam feugiat nunc',0,1,'1.6667','A42512352',8,'en'),
(4000,'aliquam nibh','aliquam nibh',0,1,'1.4','A4251',8,'en'),
(4001,'aliquam nibh augue','aliquam nibh augue',0,1,'1.6','A42512',8,'en'),
(4002,'aliquam velit','aliquam velit',0,1,'1.4333','A425143',8,'en'),
(4003,'aliquam velit donec','aliquam velit donec',0,1,'1.6333','A42514352',8,'en'),
(4004,'aliquet','aliquet',0,0,'0.4667','A423',9,'en'),
(4005,'aliquet dapibus','aliquet dapibus',0,1,'1.5','A42312',8,'en'),
(4006,'aliquet dapibus suspendisse','aliquet dapibus suspendisse',0,1,'1.9','A423121532',8,'en'),
(4007,'aliquet ut','aliquet ut',0,1,'1.3333','A423',8,'en'),
(4008,'aliquet ut ut','aliquet ut ut',0,1,'1.4333','A423',8,'en'),
(4009,'amet consectetur adipisicing','amet consectetur adipisicing',0,1,'1.9333','A532523631252',8,'en'),
(4010,'amet dapibus','amet dapibus',0,1,'1.4','A5312',8,'en'),
(4011,'amet dapibus suspendisse','amet dapibus suspendisse',0,1,'1.8','A53121532',8,'en'),
(4012,'amet faucibus','amet faucibus',0,1,'1.4333','A531212',8,'en'),
(4013,'amet faucibus ac','amet faucibus ac',0,1,'1.5333','A531212',8,'en'),
(4014,'amet lorem','amet lorem',0,1,'1.3333','A53465',8,'en'),
(4015,'amet lorem dictum','amet lorem dictum',0,1,'1.5667','A534653235',8,'en'),
(4016,'amet metus','amet metus',0,1,'1.3333','A53532',8,'en'),
(4017,'amet metus sagittis','amet metus sagittis',0,1,'1.6333','A5353232',8,'en');
INSERT INTO `#__finder_terms` VALUES 
(4018,'amet nibh','amet nibh',0,1,'1.3','A5351',8,'en'),
(4019,'amet nibh est','amet nibh est',0,1,'1.4333','A535123',8,'en'),
(4020,'amet placerat','amet placerat',0,1,'1.4333','A5314263',8,'en'),
(4021,'amet placerat consectetur','amet placerat consectetur',0,1,'1.8333','A531426325236',8,'en'),
(4022,'amet praesent','amet praesent',0,1,'1.4333','A5316253',8,'en'),
(4023,'amet praesent vehicula','amet praesent vehicula',0,1,'1.7333','A5316253124',8,'en'),
(4024,'ante etiam','ante etiam',0,1,'1.3333','A535',8,'en'),
(4025,'ante etiam eu','ante etiam eu',0,1,'1.4333','A535',8,'en'),
(4026,'arcu','arcu',0,0,'0.2667','A620',8,'en'),
(4027,'arcu aliquam','arcu aliquam',0,1,'1.4','A62425',8,'en'),
(4028,'arcu aliquam erat','arcu aliquam erat',0,1,'1.5667','A6242563',8,'en'),
(4029,'arcu nec','arcu nec',0,1,'1.2667','A6252',8,'en'),
(4030,'arcu nec accumsan','arcu nec accumsan',0,1,'1.5667','A6252525',8,'en'),
(4031,'arcu nec duis','arcu nec duis',0,1,'1.4333','A625232',8,'en'),
(4032,'arcu nec ut','arcu nec ut',0,1,'1.3667','A62523',8,'en'),
(4033,'at pretium','at pretium',0,1,'1.3333','A31635',8,'en'),
(4034,'at pretium pellentesque','at pretium pellentesque',0,1,'1.7667','A3163514532',8,'en'),
(4035,'auctor','auctor',0,0,'0.4','A236',9,'en'),
(4036,'auctor justo','auctor justo',0,1,'1.4','A23623',8,'en'),
(4037,'auctor justo vel','auctor justo vel',0,1,'1.5333','A2362314',8,'en'),
(4038,'augue libero','augue libero',0,1,'1.4','A2416',8,'en'),
(4039,'augue libero pretium','augue libero pretium',0,1,'1.6667','A24161635',8,'en'),
(4040,'augue vel','augue vel',0,1,'1.3','A214',8,'en'),
(4041,'augue vel urna','augue vel urna',0,1,'1.4667','A21465',8,'en'),
(4042,'blandit','blandit',0,0,'0.4667','B453',8,'en'),
(4043,'blandit tellus','blandit tellus',0,1,'1.4667','B45342',8,'en'),
(4044,'blandit tellus risus','blandit tellus risus',0,1,'1.6667','B4534262',8,'en'),
(4045,'commodo','commodo',0,0,'0.4667','C530',9,'en'),
(4046,'commodo velit','commodo velit',0,1,'1.4333','C53143',8,'en'),
(4047,'commodo velit nec','commodo velit nec',0,1,'1.5667','C5314352',8,'en'),
(4048,'condimentum duis','condimentum duis',0,1,'1.5333','C5353532',8,'en'),
(4049,'condimentum duis id','condimentum duis id',0,1,'1.6333','C53535323',8,'en'),
(4050,'congue','congue',0,0,'0.4','C520',9,'en'),
(4051,'congue semper','congue semper',0,1,'1.4333','C52516',8,'en'),
(4052,'congue semper consequat','congue semper consequat',0,1,'1.7667','C525162523',8,'en'),
(4053,'consectetur adipisicing','consectetur adipisicing',0,1,'1.7667','C523631252',8,'en'),
(4054,'consectetur adipisicing elit','consectetur adipisicing elit',0,1,'1.9333','C52363125243',8,'en'),
(4055,'consectetur aliquam','consectetur aliquam',0,1,'1.6333','C5236425',8,'en'),
(4056,'consectetur aliquam feugiat','consectetur aliquam feugiat',0,1,'1.9','C5236425123',8,'en'),
(4057,'consectetur ante','consectetur ante',0,1,'1.5333','C523653',8,'en'),
(4058,'consectetur ante etiam','consectetur ante etiam',0,1,'1.7333','C5236535',8,'en'),
(4059,'consectetur consectetur','consectetur consectetur',0,1,'1.7667','C523625236',8,'en'),
(4060,'consectetur consectetur adipiscing','consectetur consectetur adipiscing',0,1,'2','C52362523631252',8,'en'),
(4061,'consectetur libero','consectetur libero',0,1,'1.6','C5236416',8,'en'),
(4062,'consectetur libero id','consectetur libero id',0,1,'1.7','C52364163',8,'en'),
(4063,'consectetur maecenas','consectetur maecenas',0,1,'1.6667','C52365252',8,'en'),
(4064,'consectetur maecenas laoreet','consectetur maecenas laoreet',0,1,'1.9333','C52365252463',8,'en'),
(4065,'consequat nam','consequat nam',0,1,'1.4333','C5235',8,'en'),
(4066,'consequat nam viverra','consequat nam viverra',0,1,'1.7','C523516',8,'en'),
(4067,'consequat sit','consequat sit',0,1,'1.4333','C52323',8,'en');
INSERT INTO `#__finder_terms` VALUES 
(4068,'consequat sit amet','consequat sit amet',0,1,'1.6','C5232353',8,'en'),
(4069,'convallis quisque','convallis quisque',0,1,'1.5667','C5142',8,'en'),
(4070,'convallis quisque vestibulum','convallis quisque vestibulum',0,1,'1.9333','C5142123145',8,'en'),
(4071,'convallis urna','convallis urna',0,1,'1.4667','C514265',8,'en'),
(4072,'convallis urna erat','convallis urna erat',0,1,'1.6333','C51426563',8,'en'),
(4073,'cras','cras',0,0,'0.2667','C620',9,'en'),
(4074,'cras eleifend','cras eleifend',0,1,'1.4333','C624153',8,'en'),
(4075,'cras eleifend iaculis','cras eleifend iaculis',0,1,'1.7','C624153242',8,'en'),
(4076,'cras eu','cras eu',0,1,'1.2333','C620',8,'en'),
(4077,'cras eu quam','cras eu quam',0,1,'1.4','C625',8,'en'),
(4078,'cursus','cursus',0,0,'0.4','C620',9,'en'),
(4079,'cursus adipiscing','cursus adipiscing',0,1,'1.5667','C6231252',8,'en'),
(4080,'cursus adipiscing etiam','cursus adipiscing etiam',0,1,'1.7667','C623125235',8,'en'),
(4081,'dapibus','dapibus',0,0,'0.4667','D120',9,'en'),
(4082,'dapibus lectus','dapibus lectus',0,1,'1.4667','D124232',8,'en'),
(4083,'dapibus lectus in','dapibus lectus in',0,1,'1.5667','D1242325',8,'en'),
(4084,'dapibus suspendisse','dapibus suspendisse',0,1,'1.6333','D121532',8,'en'),
(4085,'dapibus suspendisse et','dapibus suspendisse et',0,1,'1.7333','D1215323',8,'en'),
(4086,'dapibus suspendisse ut','dapibus suspendisse ut',0,1,'1.7333','D1215323',8,'en'),
(4087,'dictum','dictum',0,0,'0.4','D235',9,'en'),
(4088,'dictum justo','dictum justo',0,1,'1.4','D23523',8,'en'),
(4089,'dictum justo sit','dictum justo sit',0,1,'1.5333','D2352323',8,'en'),
(4090,'dictum tincidunt','dictum tincidunt',0,1,'1.5333','D235352353',8,'en'),
(4091,'do','do',0,0,'0.1333','D000',9,'en'),
(4092,'do eiusmod','do eiusmod',0,1,'1.3333','D253',9,'en'),
(4093,'do eiusmod tempor','do eiusmod tempor',0,1,'1.5667','D253516',9,'en'),
(4094,'dolor non','dolor non',0,1,'1.3','D465',8,'en'),
(4095,'dolor non consectetur','dolor non consectetur',0,1,'1.7','D46525236',8,'en'),
(4096,'dolor nunc','dolor nunc',0,1,'1.3333','D4652',8,'en'),
(4097,'dolor nunc placerat','dolor nunc placerat',0,1,'1.6333','D465214263',8,'en'),
(4098,'dolore','dolore',0,0,'0.4','D460',9,'en'),
(4099,'dolore magna','dolore magna',0,1,'1.4','D46525',9,'en'),
(4100,'dolore magna aliqua','dolore magna aliqua',0,1,'1.6333','D4652542',9,'en'),
(4101,'donec eget','donec eget',0,1,'1.3333','D523',8,'en'),
(4102,'donec eget neque','donec eget neque',0,1,'1.5333','D52352',8,'en'),
(4103,'donec pretium','donec pretium',0,1,'1.4333','D521635',8,'en'),
(4104,'donec pretium sed','donec pretium sed',0,1,'1.5667','D52163523',8,'en'),
(4105,'donec sit','donec sit',0,1,'1.3','D523',8,'en'),
(4106,'donec sit amet','donec sit amet',0,1,'1.4667','D52353',8,'en'),
(4107,'donec vel','donec vel',0,1,'1.3','D5214',8,'en'),
(4108,'donec vel enim','donec vel enim',0,1,'1.4667','D52145',8,'en'),
(4109,'dui','dui',0,0,'0.2','D000',8,'en'),
(4110,'dui aliquet','dui aliquet',0,1,'1.3667','D423',8,'en'),
(4111,'dui aliquet dapibus','dui aliquet dapibus',0,1,'1.6333','D42312',8,'en'),
(4112,'duis id','duis id',0,1,'1.2333','D230',8,'en'),
(4113,'duis id erat','duis id erat',0,1,'1.4','D2363',8,'en'),
(4114,'egestas','egestas',0,0,'0.4667','E232',8,'en'),
(4115,'egestas vehicula','egestas vehicula',0,1,'1.5333','E232124',8,'en'),
(4116,'egestas vehicula fusce','egestas vehicula fusce',0,1,'1.7333','E23212412',8,'en'),
(4117,'eget','eget',0,0,'0.2667','E230',9,'en');
INSERT INTO `#__finder_terms` VALUES 
(4118,'eget convallis','eget convallis',0,1,'1.4667','E2325142',8,'en'),
(4119,'eget convallis quisque','eget convallis quisque',0,1,'1.7333','E2325142',8,'en'),
(4120,'eget convallis urna','eget convallis urna',0,1,'1.6333','E232514265',8,'en'),
(4121,'eget neque','eget neque',0,1,'1.3333','E2352',8,'en'),
(4122,'eget neque erat','eget neque erat',0,1,'1.5','E235263',8,'en'),
(4123,'eiusmod','eiusmod',0,0,'0.4667','E253',9,'en'),
(4124,'eiusmod tempor','eiusmod tempor',0,1,'1.4667','E253516',9,'en'),
(4125,'eiusmod tempor incididunt','eiusmod tempor incididunt',0,1,'1.8333','E25351652353',9,'en'),
(4126,'eleifend','eleifend',0,0,'0.5333','E4153',8,'en'),
(4127,'eleifend iaculis','eleifend iaculis',0,1,'1.5333','E4153242',8,'en'),
(4128,'eleifend iaculis purus','eleifend iaculis purus',0,1,'1.7333','E4153242162',8,'en'),
(4129,'elit cras','elit cras',0,1,'1.3','E43262',8,'en'),
(4130,'elit cras eleifend','elit cras eleifend',0,1,'1.6','E432624153',8,'en'),
(4131,'elit nulla','elit nulla',0,1,'1.3333','E4354',8,'en'),
(4132,'elit nulla scelerisque','elit nulla scelerisque',0,1,'1.7333','E43542462',8,'en'),
(4133,'elit sed','elit sed',0,1,'1.2667','E4323',9,'en'),
(4134,'elit sed do','elit sed do',0,1,'1.3667','E4323',9,'en'),
(4135,'elit sed fringilla','elit sed fringilla',0,1,'1.6','E432316524',8,'en'),
(4136,'enim','enim',0,0,'0.2667','E500',8,'en'),
(4137,'enim ligula','enim ligula',0,1,'1.3667','E5424',8,'en'),
(4138,'enim ligula phasellus','enim ligula phasellus',0,1,'1.7','E54241242',8,'en'),
(4139,'enim porta','enim porta',0,1,'1.3333','E5163',8,'en'),
(4140,'enim porta vel','enim porta vel',0,1,'1.4667','E516314',8,'en'),
(4141,'erat at','erat at',0,1,'1.2333','E630',8,'en'),
(4142,'erat at pretium','erat at pretium',0,1,'1.5','E631635',8,'en'),
(4143,'erat nam','erat nam',0,1,'1.2667','E635',8,'en'),
(4144,'erat nam dictum','erat nam dictum',0,1,'1.5','E6353235',8,'en'),
(4145,'erat nunc','erat nunc',0,1,'1.3','E6352',8,'en'),
(4146,'erat nunc lorem','erat nunc lorem',0,1,'1.5','E6352465',8,'en'),
(4147,'erat nunc nam','erat nunc nam',0,1,'1.4333','E63525',8,'en'),
(4148,'erat quis','erat quis',0,1,'1.3','E632',8,'en'),
(4149,'erat quis justo','erat quis justo',0,1,'1.5','E6323',8,'en'),
(4150,'erat volutpat','erat volutpat',0,1,'1.4333','E6314313',8,'en'),
(4151,'erat volutpat cras','erat volutpat cras',0,1,'1.6','E6314313262',8,'en'),
(4152,'eros','eros',0,0,'0.2667','E620',9,'en'),
(4153,'eros nulla','eros nulla',0,1,'1.3333','E6254',8,'en'),
(4154,'eros nulla porttitor','eros nulla porttitor',0,1,'1.6667','E62541636',8,'en'),
(4155,'est','est',0,0,'0.2','E230',9,'en'),
(4156,'est morbi','est morbi',0,1,'1.3','E23561',8,'en'),
(4157,'est morbi augue','est morbi augue',0,1,'1.5','E235612',8,'en'),
(4158,'et','et',0,0,'0.1333','E300',10,'en'),
(4159,'et consectetur','et consectetur',0,1,'1.4667','E325236',8,'en'),
(4160,'et consectetur ante','et consectetur ante',0,1,'1.6333','E32523653',8,'en'),
(4161,'et dolore','et dolore',0,1,'1.3','E346',9,'en'),
(4162,'et dolore magna','et dolore magna',0,1,'1.5','E346525',9,'en'),
(4163,'et hendrerit','et hendrerit',0,1,'1.4','E35363',8,'en'),
(4164,'et hendrerit nisi','et hendrerit nisi',0,1,'1.5667','E3536352',8,'en'),
(4165,'et ligula','et ligula',0,1,'1.3','E3424',8,'en'),
(4166,'et ligula hendrerit','et ligula hendrerit',0,1,'1.6333','E34245363',8,'en'),
(4167,'et orci','et orci',0,1,'1.2333','E362',8,'en');
INSERT INTO `#__finder_terms` VALUES 
(4168,'et orci porttitor','et orci porttitor',0,1,'1.5667','E3621636',8,'en'),
(4169,'et pulvinar','et pulvinar',0,1,'1.3667','E314156',8,'en'),
(4170,'et pulvinar varius','et pulvinar varius',0,1,'1.6','E314156162',8,'en'),
(4171,'etiam','etiam',0,0,'0.3333','E350',9,'en'),
(4172,'etiam eu','etiam eu',0,1,'1.2667','E350',8,'en'),
(4173,'etiam eu sodales','etiam eu sodales',0,1,'1.5333','E352342',8,'en'),
(4174,'etiam quis','etiam quis',0,1,'1.3333','E352',8,'en'),
(4175,'etiam quis mi','etiam quis mi',0,1,'1.4333','E3525',8,'en'),
(4176,'eu','eu',0,0,'0.1333','E000',9,'en'),
(4177,'eu aliquam','eu aliquam',0,1,'1.3333','E425',8,'en'),
(4178,'eu aliquam velit','eu aliquam velit',0,1,'1.5333','E425143',8,'en'),
(4179,'eu consectetur','eu consectetur',0,1,'1.4667','E25236',8,'en'),
(4180,'eu consectetur libero','eu consectetur libero',0,1,'1.7','E25236416',8,'en'),
(4181,'eu feugiat','eu feugiat',0,1,'1.3333','E123',8,'en'),
(4182,'eu feugiat 1','eu feugiat 1',0,1,'1.4','E123',8,'en'),
(4183,'eu nulla','eu nulla',0,1,'1.2667','E540',8,'en'),
(4184,'eu nulla vestibulum','eu nulla vestibulum',0,1,'1.6333','E54123145',8,'en'),
(4185,'eu pellentesque','eu pellentesque',0,1,'1.5','E14532',8,'en'),
(4186,'eu pellentesque ligula','eu pellentesque ligula',0,1,'1.7333','E14532424',8,'en'),
(4187,'eu pulvinar','eu pulvinar',0,1,'1.3667','E14156',8,'en'),
(4188,'eu pulvinar sagittis','eu pulvinar sagittis',0,1,'1.6667','E14156232',8,'en'),
(4189,'eu quam','eu quam',0,1,'1.2333','E250',8,'en'),
(4190,'eu quam vitae','eu quam vitae',0,1,'1.4333','E2513',8,'en'),
(4191,'eu risus','eu risus',0,1,'1.2667','E620',8,'en'),
(4192,'eu risus sit','eu risus sit',0,1,'1.4','E623',8,'en'),
(4193,'eu sodales','eu sodales',0,1,'1.3333','E2342',8,'en'),
(4194,'eu sodales tortor','eu sodales tortor',0,1,'1.5667','E23423636',8,'en'),
(4195,'euismod','euismod',0,0,'0.4667','E253',8,'en'),
(4196,'euismod pretium','euismod pretium',0,1,'1.5','E2531635',8,'en'),
(4197,'euismod pretium dolor','euismod pretium dolor',0,1,'1.7','E2531635346',8,'en'),
(4198,'euismod rhoncus','euismod rhoncus',0,1,'1.5','E253652',8,'en'),
(4199,'euismod rhoncus 2','euismod rhoncus 2',0,1,'1.5667','E253652',8,'en'),
(4200,'euismod rhoncus ut','euismod rhoncus ut',0,1,'1.6','E2536523',8,'en'),
(4201,'facilisi','facilisi',0,0,'0.5333','F242',8,'en'),
(4202,'facilisi sed','facilisi sed',0,1,'1.4','F2423',8,'en'),
(4203,'facilisi sed congue','facilisi sed congue',0,1,'1.6333','F2423252',8,'en'),
(4204,'facilisis nec','facilisis nec',0,1,'1.4333','F24252',8,'en'),
(4205,'facilisis nec erat','facilisis nec erat',0,1,'1.6','F2425263',8,'en'),
(4206,'facilisis sit','facilisis sit',0,1,'1.4333','F2423',8,'en'),
(4207,'facilisis sit amet','facilisis sit amet',0,1,'1.6','F242353',8,'en'),
(4208,'faucibus','faucibus',0,0,'0.5333','F212',9,'en'),
(4209,'faucibus ac','faucibus ac',0,1,'1.3667','F212',8,'en'),
(4210,'faucibus ac nulla','faucibus ac nulla',0,1,'1.5667','F21254',8,'en'),
(4211,'felis facilisis','felis facilisis',0,1,'1.5','F421242',8,'en'),
(4212,'felis facilisis nec','felis facilisis nec',0,1,'1.6333','F42124252',8,'en'),
(4213,'felis in','felis in',0,1,'1.2667','F425',8,'en'),
(4214,'felis in ornare','felis in ornare',0,1,'1.5','F425656',8,'en'),
(4215,'felis nulla','felis nulla',0,1,'1.3667','F4254',8,'en'),
(4216,'felis nulla interdum','felis nulla interdum',0,1,'1.6667','F425453635',8,'en'),
(4217,'felis sit','felis sit',0,1,'1.3','F423',8,'en');
INSERT INTO `#__finder_terms` VALUES 
(4218,'felis sit amet','felis sit amet',0,1,'1.4667','F42353',8,'en'),
(4219,'fermentum','fermentum',0,0,'0.6','F6535',8,'en'),
(4220,'fermentum velit','fermentum velit',0,1,'1.5','F6535143',8,'en'),
(4221,'fermentum velit non','fermentum velit non',0,1,'1.6333','F65351435',8,'en'),
(4222,'feugiat','feugiat',0,0,'0.4667','F230',8,'en'),
(4223,'feugiat 1','feugiat 1',0,1,'1.3','F230',8,'en'),
(4224,'feugiat 1 nulla','feugiat 1 nulla',0,1,'1.5','F2354',8,'en'),
(4225,'feugiat nunc','feugiat nunc',0,1,'1.4','F2352',8,'en'),
(4226,'feugiat nunc ac','feugiat nunc ac',0,1,'1.5','F2352',8,'en'),
(4227,'feugiat pharetra','feugiat pharetra',0,1,'1.5333','F231636',8,'en'),
(4228,'feugiat pharetra lectus','feugiat pharetra lectus',0,1,'1.7667','F2316364232',8,'en'),
(4229,'fringilla','fringilla',0,0,'0.6','F6524',8,'en'),
(4230,'fringilla purus','fringilla purus',0,1,'1.5','F6524162',8,'en'),
(4231,'fringilla purus sed','fringilla purus sed',0,1,'1.6333','F65241623',8,'en'),
(4232,'fusce','fusce',0,0,'0.3333','F200',8,'en'),
(4233,'fusce eu','fusce eu',0,1,'1.2667','F200',8,'en'),
(4234,'fusce eu risus','fusce eu risus',0,1,'1.4667','F262',8,'en'),
(4235,'gravida','gravida',0,0,'0.4667','G613',8,'en'),
(4236,'gravida arcu','gravida arcu',0,1,'1.4','G61362',8,'en'),
(4237,'gravida arcu aliquam','gravida arcu aliquam',0,1,'1.6667','G61362425',8,'en'),
(4238,'hendrerit','hendrerit',0,0,'0.6','H5363',8,'en'),
(4239,'hendrerit auctor','hendrerit auctor',0,1,'1.5333','H5363236',8,'en'),
(4240,'hendrerit auctor justo','hendrerit auctor justo',0,1,'1.7333','H536323623',8,'en'),
(4241,'hendrerit nec','hendrerit nec',0,1,'1.4333','H536352',8,'en'),
(4242,'hendrerit nec facilisis','hendrerit nec facilisis',0,1,'1.7667','H5363521242',8,'en'),
(4243,'hendrerit nisi','hendrerit nisi',0,1,'1.4667','H536352',8,'en'),
(4244,'hendrerit nisi aliquet','hendrerit nisi aliquet',0,1,'1.7333','H536352423',8,'en'),
(4245,'hendrerit non','hendrerit non',0,1,'1.4333','H53635',8,'en'),
(4246,'hendrerit non lobortis','hendrerit non lobortis',0,1,'1.7333','H5363541632',8,'en'),
(4247,'hendrerit nulla','hendrerit nulla',0,1,'1.5','H536354',8,'en'),
(4248,'hendrerit nulla facilisi','hendrerit nulla facilisi',0,1,'1.8','H5363541242',8,'en'),
(4249,'iaculis purus sed','iaculis purus sed',0,1,'1.5667','I2421623',8,'en'),
(4250,'id erat','id erat',0,1,'1.2333','I363',8,'en'),
(4251,'id erat nunc','id erat nunc',0,1,'1.4','I36352',8,'en'),
(4252,'id varius','id varius',0,1,'1.3','I3162',8,'en'),
(4253,'id varius massa','id varius massa',0,1,'1.5','I316252',8,'en'),
(4254,'imperdiet orci','imperdiet orci',0,1,'1.4667','I516362',8,'en'),
(4255,'imperdiet orci tellus','imperdiet orci tellus',0,1,'1.7','I516362342',8,'en'),
(4256,'imperdiet purus','imperdiet purus',0,1,'1.5','I5163162',8,'en'),
(4257,'imperdiet purus vel','imperdiet purus vel',0,1,'1.6333','I516316214',8,'en'),
(4258,'imperdiet sed','imperdiet sed',0,1,'1.4333','I516323',8,'en'),
(4259,'imperdiet sed sapien','imperdiet sed sapien',0,1,'1.6667','I516323215',8,'en'),
(4260,'in laoreet','in laoreet',0,1,'1.3333','I5463',8,'en'),
(4261,'in laoreet tempor','in laoreet tempor',0,1,'1.5667','I5463516',8,'en'),
(4262,'in ornare','in ornare',0,1,'1.3','I5656',8,'en'),
(4263,'in ornare urna','in ornare urna',0,1,'1.4667','I56565',8,'en'),
(4264,'in tristique','in tristique',0,1,'1.4','I536232',8,'en'),
(4265,'in tristique urna','in tristique urna',0,1,'1.5667','I53623265',8,'en'),
(4266,'in vestibulum','in vestibulum',0,1,'1.4333','I5123145',8,'en'),
(4267,'in vestibulum ut','in vestibulum ut',0,1,'1.5333','I51231453',8,'en');
INSERT INTO `#__finder_terms` VALUES 
(4268,'in volutpat','in volutpat',0,1,'1.3667','I514313',8,'en'),
(4269,'in volutpat tellus','in volutpat tellus',0,1,'1.6','I51431342',8,'en'),
(4270,'incididunt','incididunt',0,0,'0.6667','I52353',9,'en'),
(4271,'incididunt ut','incididunt ut',0,1,'1.4333','I52353',9,'en'),
(4272,'incididunt ut labore','incididunt ut labore',0,1,'1.6667','I52353416',9,'en'),
(4273,'interdum','interdum',0,0,'0.5333','I53635',8,'en'),
(4274,'interdum varius','interdum varius',0,1,'1.5','I53635162',8,'en'),
(4275,'interdum varius arcu','interdum varius arcu',0,1,'1.6667','I5363516262',8,'en'),
(4276,'ipsum dolor nunc','ipsum dolor nunc',0,1,'1.5333','I12534652',8,'en'),
(4277,'justo','justo',0,0,'0.3333','J300',9,'en'),
(4278,'justo hendrerit','justo hendrerit',0,1,'1.5','J35363',8,'en'),
(4279,'justo hendrerit non','justo hendrerit non',0,1,'1.6333','J353635',8,'en'),
(4280,'justo morbi','justo morbi',0,1,'1.3667','J3561',8,'en'),
(4281,'justo morbi vel','justo morbi vel',0,1,'1.5','J35614',8,'en'),
(4282,'justo sit','justo sit',0,1,'1.3','J323',8,'en'),
(4283,'justo sit amet','justo sit amet',0,1,'1.4667','J32353',8,'en'),
(4284,'justo vel','justo vel',0,1,'1.3','J314',8,'en'),
(4285,'justo vel sagittis','justo vel sagittis',0,1,'1.6','J314232',8,'en'),
(4286,'labore','labore',0,0,'0.4','L160',9,'en'),
(4287,'labore et','labore et',0,1,'1.3','L163',9,'en'),
(4288,'labore et dolore','labore et dolore',0,1,'1.5333','L16346',9,'en'),
(4289,'lacinia purus','lacinia purus',0,1,'1.4333','L25162',8,'en'),
(4290,'lacinia purus sit','lacinia purus sit',0,1,'1.5667','L251623',8,'en'),
(4291,'lacus','lacus',0,0,'0.3333','L200',9,'en'),
(4292,'lacus condimentum','lacus condimentum',0,1,'1.5667','L253535',8,'en'),
(4293,'lacus condimentum duis','lacus condimentum duis',0,1,'1.7333','L25353532',8,'en'),
(4294,'lacus proin','lacus proin',0,1,'1.3667','L2165',8,'en'),
(4295,'lacus proin fermentum','lacus proin fermentum',0,1,'1.7','L216516535',8,'en'),
(4296,'laoreet','laoreet',0,0,'0.4667','L630',8,'en'),
(4297,'laoreet ligula','laoreet ligula',0,1,'1.4667','L63424',8,'en'),
(4298,'laoreet ligula vel','laoreet ligula vel',0,1,'1.6','L6342414',8,'en'),
(4299,'laoreet tempor','laoreet tempor',0,1,'1.4667','L63516',8,'en'),
(4300,'laoreet tempor felis','laoreet tempor felis',0,1,'1.6667','L63516142',8,'en'),
(4301,'lectus','lectus',0,0,'0.4','L232',9,'en'),
(4302,'lectus donec','lectus donec',0,1,'1.4','L232352',8,'en'),
(4303,'lectus donec sit','lectus donec sit',0,1,'1.5333','L2323523',8,'en'),
(4304,'lectus felis','lectus felis',0,1,'1.4','L232142',8,'en'),
(4305,'lectus felis facilisis','lectus felis facilisis',0,1,'1.7333','L2321421242',8,'en'),
(4306,'lectus in','lectus in',0,1,'1.3','L2325',8,'en'),
(4307,'lectus in laoreet','lectus in laoreet',0,1,'1.5667','L2325463',8,'en'),
(4308,'lectus velit','lectus velit',0,1,'1.4','L232143',8,'en'),
(4309,'lectus velit scelerisque','lectus velit scelerisque',0,1,'1.8','L2321432462',8,'en'),
(4310,'libero','libero',0,0,'0.4','L160',10,'en'),
(4311,'libero a','libero a',0,1,'1.2667','L160',8,'en'),
(4312,'libero a luctus','libero a luctus',0,1,'1.5','L164232',8,'en'),
(4313,'libero ac','libero ac',0,1,'1.3','L162',8,'en'),
(4314,'libero ac tellus','libero ac tellus',0,1,'1.5333','L162342',8,'en'),
(4315,'libero id','libero id',0,1,'1.3','L163',8,'en'),
(4316,'libero id varius','libero id varius',0,1,'1.5333','L163162',8,'en'),
(4317,'libero pretium','libero pretium',0,1,'1.4667','L161635',8,'en');
INSERT INTO `#__finder_terms` VALUES 
(4318,'libero pretium vitae','libero pretium vitae',0,1,'1.6667','L16163513',8,'en'),
(4319,'ligula','ligula',0,0,'0.4','L240',9,'en'),
(4320,'ligula hendrerit','ligula hendrerit',0,1,'1.5333','L245363',8,'en'),
(4321,'ligula hendrerit auctor','ligula hendrerit auctor',0,1,'1.7667','L245363236',8,'en'),
(4322,'ligula malesuada','ligula malesuada',0,1,'1.5333','L245423',8,'en'),
(4323,'ligula malesuada imperdiet','ligula malesuada imperdiet',0,1,'1.8667','L2454235163',8,'en'),
(4324,'ligula nisl','ligula nisl',0,1,'1.3667','L24524',8,'en'),
(4325,'ligula nisl hendrerit','ligula nisl hendrerit',0,1,'1.7','L245245363',8,'en'),
(4326,'ligula phasellus','ligula phasellus',0,1,'1.5333','L241242',8,'en'),
(4327,'ligula phasellus vulputate','ligula phasellus vulputate',0,1,'1.8667','L2412421413',8,'en'),
(4328,'ligula vel','ligula vel',0,1,'1.3333','L2414',8,'en'),
(4329,'ligula vel scelerisque','ligula vel scelerisque',0,1,'1.7333','L24142462',8,'en'),
(4330,'lobortis','lobortis',0,0,'0.5333','L1632',8,'en'),
(4331,'lobortis lacus','lobortis lacus',0,1,'1.4667','L163242',8,'en'),
(4332,'lobortis lacus condimentum','lobortis lacus condimentum',0,1,'1.8667','L16324253535',8,'en'),
(4333,'lorem dictum','lorem dictum',0,1,'1.4','L653235',8,'en'),
(4334,'lorem dictum tincidunt','lorem dictum tincidunt',0,1,'1.7333','L653235352353',8,'en'),
(4335,'lorem urna','lorem urna',0,1,'1.3333','L6565',8,'en'),
(4336,'lorem urna luctus','lorem urna luctus',0,1,'1.5667','L65654232',8,'en'),
(4337,'luctus','luctus',0,0,'0.4','L232',9,'en'),
(4338,'luctus eros','luctus eros',0,1,'1.3667','L23262',8,'en'),
(4339,'luctus eros nulla','luctus eros nulla',0,1,'1.5667','L2326254',8,'en'),
(4340,'luctus odio','luctus odio',0,1,'1.3667','L2323',8,'en'),
(4341,'luctus odio eget','luctus odio eget',0,1,'1.5333','L232323',8,'en'),
(4342,'maecenas','maecenas',0,0,'0.5333','M252',9,'en'),
(4343,'maecenas laoreet','maecenas laoreet',0,1,'1.5333','M252463',8,'en'),
(4344,'maecenas laoreet ligula','maecenas laoreet ligula',0,1,'1.7667','M252463424',8,'en'),
(4345,'magna','magna',0,0,'0.3333','M250',10,'en'),
(4346,'magna aliqua','magna aliqua',0,1,'1.4','M2542',9,'en'),
(4347,'magna cursus','magna cursus',0,1,'1.4','M25262',8,'en'),
(4348,'magna cursus adipiscing','magna cursus adipiscing',0,1,'1.7667','M2526231252',8,'en'),
(4349,'magna et','magna et',0,1,'1.2667','M253',8,'en'),
(4350,'magna et orci','magna et orci',0,1,'1.4333','M25362',8,'en'),
(4351,'malesuada','malesuada',0,0,'0.6','M423',8,'en'),
(4352,'malesuada imperdiet','malesuada imperdiet',0,1,'1.6333','M4235163',8,'en'),
(4353,'malesuada imperdiet sed','malesuada imperdiet sed',0,1,'1.7667','M423516323',8,'en'),
(4354,'malesuada ultricies','malesuada ultricies',0,1,'1.6333','M4234362',8,'en'),
(4355,'malesuada ultricies neque','malesuada ultricies neque',0,1,'1.8333','M423436252',8,'en'),
(4356,'massa','massa',0,0,'0.3333','M200',8,'en'),
(4357,'massa eu','massa eu',0,1,'1.2667','M200',8,'en'),
(4358,'massa eu feugiat','massa eu feugiat',0,1,'1.5333','M2123',8,'en'),
(4359,'massa nulla','massa nulla',0,1,'1.3667','M254',8,'en'),
(4360,'massa nulla interdum','massa nulla interdum',0,1,'1.6667','M25453635',8,'en'),
(4361,'massa quisque','massa quisque',0,1,'1.4333','M200',8,'en'),
(4362,'massa quisque vestibulum','massa quisque vestibulum',0,1,'1.8','M2123145',8,'en'),
(4363,'mattis','mattis',0,0,'0.4','M320',8,'en'),
(4364,'mattis eu','mattis eu',0,1,'1.3','M320',8,'en'),
(4365,'mattis eu nulla','mattis eu nulla',0,1,'1.5','M3254',8,'en'),
(4366,'mattis eu pellentesque','mattis eu pellentesque',0,1,'1.7333','M3214532',8,'en'),
(4367,'mauris tincidunt','mauris tincidunt',0,1,'1.5333','M62352353',8,'en');
INSERT INTO `#__finder_terms` VALUES 
(4368,'mauris tincidunt quam','mauris tincidunt quam',0,1,'1.7','M6235235325',8,'en'),
(4369,'metus','metus',0,0,'0.3333','M320',9,'en'),
(4370,'metus mauris','metus mauris',0,1,'1.4','M32562',9,'en'),
(4371,'metus mauris tincidunt','metus mauris tincidunt',0,1,'1.7333','M32562352353',8,'en'),
(4372,'metus sagittis','metus sagittis',0,1,'1.4667','M3232',8,'en'),
(4373,'metus sagittis volutpat','metus sagittis volutpat',0,1,'1.7667','M323214313',8,'en'),
(4374,'mi','mi',0,0,'0.1333','M000',9,'en'),
(4375,'mi lacus','mi lacus',0,1,'1.2667','M420',8,'en'),
(4376,'mi lacus proin','mi lacus proin',0,1,'1.4667','M42165',8,'en'),
(4377,'mi scelerisque','mi scelerisque',0,1,'1.4667','M2462',8,'en'),
(4378,'mi scelerisque scelerisque','mi scelerisque scelerisque',0,1,'1.8667','M2462462',8,'en'),
(4379,'morbi augue','morbi augue',0,1,'1.3667','M612',8,'en'),
(4380,'morbi augue libero','morbi augue libero',0,1,'1.6','M612416',8,'en'),
(4381,'morbi et','morbi et',0,1,'1.2667','M613',8,'en'),
(4382,'morbi et consectetur','morbi et consectetur',0,1,'1.6667','M61325236',8,'en'),
(4383,'morbi vel','morbi vel',0,1,'1.3','M614',8,'en'),
(4384,'morbi vel placerat','morbi vel placerat',0,1,'1.6','M61414263',8,'en'),
(4385,'nam','nam',0,0,'0.2','N000',8,'en'),
(4386,'nam dictum','nam dictum',0,1,'1.3333','N3235',8,'en'),
(4387,'nam dictum justo','nam dictum justo',0,1,'1.5333','N323523',8,'en'),
(4388,'nam eu','nam eu',0,1,'1.2','N000',8,'en'),
(4389,'nam eu aliquam','nam eu aliquam',0,1,'1.4667','N425',8,'en'),
(4390,'nam viverra','nam viverra',0,1,'1.3667','N160',8,'en'),
(4391,'nam viverra semper','nam viverra semper',0,1,'1.6','N162516',8,'en'),
(4392,'nec accumsan','nec accumsan',0,1,'1.4','N2525',8,'en'),
(4393,'nec accumsan cras','nec accumsan cras',0,1,'1.5667','N2525262',8,'en'),
(4394,'nec duis','nec duis',0,1,'1.2667','N232',8,'en'),
(4395,'nec duis id','nec duis id',0,1,'1.3667','N2323',8,'en'),
(4396,'nec erat','nec erat',0,1,'1.2667','N263',8,'en'),
(4397,'nec erat at','nec erat at',0,1,'1.3667','N263',8,'en'),
(4398,'nec facilisis','nec facilisis',0,1,'1.4333','N21242',8,'en'),
(4399,'nec facilisis sit','nec facilisis sit',0,1,'1.5667','N212423',8,'en'),
(4400,'nec rhoncus','nec rhoncus',0,1,'1.3667','N2652',8,'en'),
(4401,'nec rhoncus donec','nec rhoncus donec',0,1,'1.5667','N2652352',8,'en'),
(4402,'nec rhoncus ut','nec rhoncus ut',0,1,'1.4667','N26523',8,'en'),
(4403,'nec rhoncus vivamus','nec rhoncus vivamus',0,1,'1.6333','N2652152',8,'en'),
(4404,'nec ut','nec ut',0,1,'1.2','N230',8,'en'),
(4405,'nec ut lectus','nec ut lectus',0,1,'1.4333','N234232',8,'en'),
(4406,'neque','neque',0,0,'0.3333','N200',8,'en'),
(4407,'neque donec','neque donec',0,1,'1.3667','N2352',8,'en'),
(4408,'neque donec eget','neque donec eget',0,1,'1.5333','N23523',8,'en'),
(4409,'neque erat','neque erat',0,1,'1.3333','N263',8,'en'),
(4410,'neque erat nam','neque erat nam',0,1,'1.4667','N2635',8,'en'),
(4411,'neque praesent','neque praesent',0,1,'1.4667','N216253',8,'en'),
(4412,'neque praesent vehicula','neque praesent vehicula',0,1,'1.7667','N216253124',8,'en'),
(4413,'nibh','nibh',0,0,'0.2667','N100',9,'en'),
(4414,'nibh augue','nibh augue',0,1,'1.3333','N120',8,'en'),
(4415,'nibh augue vel','nibh augue vel',0,1,'1.4667','N1214',8,'en'),
(4416,'nibh est','nibh est',0,1,'1.2667','N123',8,'en'),
(4417,'nibh est morbi','nibh est morbi',0,1,'1.4667','N123561',8,'en');
INSERT INTO `#__finder_terms` VALUES 
(4418,'nisi','nisi',0,0,'0.2667','N200',9,'en'),
(4419,'nisi a','nisi a',0,1,'1.2','N200',8,'en'),
(4420,'nisi a aliquam','nisi a aliquam',0,1,'1.4667','N2425',8,'en'),
(4421,'nisi aliquet','nisi aliquet',0,1,'1.4','N2423',8,'en'),
(4422,'nisi aliquet ut','nisi aliquet ut',0,1,'1.5','N2423',8,'en'),
(4423,'nisl hendrerit','nisl hendrerit',0,1,'1.4667','N245363',8,'en'),
(4424,'nisl hendrerit nec','nisl hendrerit nec',0,1,'1.6','N24536352',8,'en'),
(4425,'nisl in','nisl in',0,1,'1.2333','N245',8,'en'),
(4426,'nisl in vestibulum','nisl in vestibulum',0,1,'1.6','N245123145',8,'en'),
(4427,'nisl ut','nisl ut',0,1,'1.2333','N243',8,'en'),
(4428,'nisl ut tempor','nisl ut tempor',0,1,'1.4667','N243516',8,'en'),
(4429,'non consectetur','non consectetur',0,1,'1.5','N25236',8,'en'),
(4430,'non consectetur aliquam','non consectetur aliquam',0,1,'1.7667','N25236425',8,'en'),
(4431,'non ligula','non ligula',0,1,'1.3333','N424',8,'en'),
(4432,'non ligula malesuada','non ligula malesuada',0,1,'1.6667','N4245423',8,'en'),
(4433,'non lobortis','non lobortis',0,1,'1.4','N41632',8,'en'),
(4434,'non lobortis lacus','non lobortis lacus',0,1,'1.6','N4163242',8,'en'),
(4435,'nulla','nulla',0,0,'0.3333','N400',9,'en'),
(4436,'nulla ac','nulla ac',0,1,'1.2667','N420',8,'en'),
(4437,'nulla ac malesuada','nulla ac malesuada',0,1,'1.6','N425423',8,'en'),
(4438,'nulla ac nulla','nulla ac nulla',0,1,'1.4667','N4254',8,'en'),
(4439,'nulla facilisi','nulla facilisi',0,1,'1.4667','N41242',8,'en'),
(4440,'nulla facilisi sed','nulla facilisi sed',0,1,'1.6','N412423',8,'en'),
(4441,'nulla interdum','nulla interdum',0,1,'1.4667','N453635',8,'en'),
(4442,'nulla interdum varius','nulla interdum varius',0,1,'1.7','N453635162',8,'en'),
(4443,'nulla morbi','nulla morbi',0,1,'1.3667','N4561',8,'en'),
(4444,'nulla morbi et','nulla morbi et',0,1,'1.4667','N45613',8,'en'),
(4445,'nulla porttitor','nulla porttitor',0,1,'1.5','N41636',8,'en'),
(4446,'nulla porttitor commodo','nulla porttitor commodo',0,1,'1.7667','N41636253',8,'en'),
(4447,'nulla scelerisque','nulla scelerisque',0,1,'1.5667','N42462',8,'en'),
(4448,'nulla scelerisque magna','nulla scelerisque magna',0,1,'1.7667','N42462525',8,'en'),
(4449,'nulla vestibulum','nulla vestibulum',0,1,'1.5333','N4123145',8,'en'),
(4450,'nulla vestibulum ultrices','nulla vestibulum ultrices',0,1,'1.8333','N41231454362',8,'en'),
(4451,'nunc ac','nunc ac',0,1,'1.2333','N200',8,'en'),
(4452,'nunc ac justo','nunc ac justo',0,1,'1.4333','N230',8,'en'),
(4453,'nunc lorem','nunc lorem',0,1,'1.3333','N2465',8,'en'),
(4454,'nunc lorem ipsum','nunc lorem ipsum',0,1,'1.5333','N2465125',8,'en'),
(4455,'nunc nam','nunc nam',0,1,'1.2667','N250',8,'en'),
(4456,'nunc nam eu','nunc nam eu',0,1,'1.3667','N250',8,'en'),
(4457,'nunc placerat','nunc placerat',0,1,'1.4333','N214263',8,'en'),
(4458,'nunc placerat egestas','nunc placerat egestas',0,1,'1.7','N214263232',8,'en'),
(4459,'odio eget','odio eget',0,1,'1.3','O323',8,'en'),
(4460,'odio eget convallis','odio eget convallis',0,1,'1.6333','O32325142',8,'en'),
(4461,'odio sed','odio sed',0,1,'1.2667','O323',8,'en'),
(4462,'odio sed lacinia','odio sed lacinia',0,1,'1.5333','O323425',8,'en'),
(4463,'orci','orci',0,0,'0.2667','O620',9,'en'),
(4464,'orci porttitor','orci porttitor',0,1,'1.4667','O621636',8,'en'),
(4465,'orci porttitor ullamcorper','orci porttitor ullamcorper',0,1,'1.8667','O621636452616',8,'en'),
(4466,'orci tellus','orci tellus',0,1,'1.3667','O62342',8,'en'),
(4467,'orci tellus in','orci tellus in',0,1,'1.4667','O623425',8,'en');
INSERT INTO `#__finder_terms` VALUES 
(4468,'ornare','ornare',0,0,'0.4','O656',8,'en'),
(4469,'ornare urna','ornare urna',0,1,'1.3667','O6565',8,'en'),
(4470,'ornare urna consequat','ornare urna consequat',0,1,'1.7','O65652523',8,'en'),
(4471,'pellentesque','pellentesque',0,0,'0.8','P4532',10,'en'),
(4472,'pellentesque imperdiet','pellentesque imperdiet',0,1,'1.7333','P45325163',8,'en'),
(4473,'pellentesque imperdiet purus','pellentesque imperdiet purus',0,1,'1.9333','P45325163162',8,'en'),
(4474,'pellentesque lectus','pellentesque lectus',0,1,'1.6333','P45324232',8,'en'),
(4475,'pellentesque lectus donec','pellentesque lectus donec',0,1,'1.8333','P45324232352',8,'en'),
(4476,'pellentesque ligula','pellentesque ligula',0,1,'1.6333','P4532424',8,'en'),
(4477,'pellentesque ligula nisl','pellentesque ligula nisl',0,1,'1.8','P4532424524',8,'en'),
(4478,'pharetra','pharetra',0,0,'0.5333','P636',8,'en'),
(4479,'pharetra lectus','pharetra lectus',0,1,'1.5','P6364232',8,'en'),
(4480,'pharetra lectus velit','pharetra lectus velit',0,1,'1.7','P6364232143',8,'en'),
(4481,'phasellus','phasellus',0,0,'0.6','P242',9,'en'),
(4482,'phasellus vulputate','phasellus vulputate',0,1,'1.6333','P2421413',8,'en'),
(4483,'phasellus vulputate ac','phasellus vulputate ac',0,1,'1.7333','P24214132',8,'en'),
(4484,'placerat','placerat',0,0,'0.5333','P4263',8,'en'),
(4485,'placerat consectetur','placerat consectetur',0,1,'1.6667','P426325236',8,'en'),
(4486,'placerat consectetur consectetur','placerat consectetur consectetur',0,1,'2','P42632523625236',8,'en'),
(4487,'placerat consectetur maecenas','placerat consectetur maecenas',0,1,'1.9667','P4263252365252',8,'en'),
(4488,'placerat egestas','placerat egestas',0,1,'1.5333','P4263232',8,'en'),
(4489,'placerat egestas vehicula','placerat egestas vehicula',0,1,'1.8333','P4263232124',8,'en'),
(4490,'placerat nisl','placerat nisl',0,1,'1.4333','P4263524',8,'en'),
(4491,'placerat nisl ut','placerat nisl ut',0,1,'1.5333','P42635243',8,'en'),
(4492,'porta vel','porta vel',0,1,'1.3','P6314',8,'en'),
(4493,'porta vel tempus','porta vel tempus',0,1,'1.5333','P63143512',8,'en'),
(4494,'porttitor','porttitor',0,0,'0.6','P636',8,'en'),
(4495,'porttitor commodo','porttitor commodo',0,1,'1.5667','P636253',8,'en'),
(4496,'porttitor commodo velit','porttitor commodo velit',0,1,'1.7667','P636253143',8,'en'),
(4497,'porttitor elit','porttitor elit',0,1,'1.4667','P63643',8,'en'),
(4498,'porttitor elit sed','porttitor elit sed',0,1,'1.6','P6364323',8,'en'),
(4499,'porttitor ullamcorper','porttitor ullamcorper',0,1,'1.7','P636452616',8,'en'),
(4500,'porttitor ullamcorper proin','porttitor ullamcorper proin',0,1,'1.9','P636452616165',8,'en'),
(4501,'praesent','praesent',0,0,'0.5333','P6253',8,'en'),
(4502,'praesent vehicula','praesent vehicula',0,1,'1.5667','P6253124',8,'en'),
(4503,'praesent vehicula libero','praesent vehicula libero',0,1,'1.8','P625312416',8,'en'),
(4504,'pretium','pretium',0,0,'0.4667','P635',9,'en'),
(4505,'pretium dolor','pretium dolor',0,1,'1.4333','P635346',8,'en'),
(4506,'pretium dolor non','pretium dolor non',0,1,'1.5667','P6353465',8,'en'),
(4507,'pretium pellentesque','pretium pellentesque',0,1,'1.6667','P63514532',8,'en'),
(4508,'pretium pellentesque lectus','pretium pellentesque lectus',0,1,'1.9','P635145324232',8,'en'),
(4509,'pretium sed','pretium sed',0,1,'1.3667','P63523',8,'en'),
(4510,'pretium sed quam','pretium sed quam',0,1,'1.5333','P6352325',8,'en'),
(4511,'pretium vitae','pretium vitae',0,1,'1.4333','P63513',8,'en'),
(4512,'pretium vitae nulla','pretium vitae nulla',0,1,'1.6333','P6351354',8,'en'),
(4513,'proin euismod','proin euismod',0,1,'1.4333','P65253',8,'en'),
(4514,'proin euismod pretium','proin euismod pretium',0,1,'1.7','P652531635',8,'en'),
(4515,'proin fermentum','proin fermentum',0,1,'1.5','P6516535',8,'en'),
(4516,'proin fermentum velit','proin fermentum velit',0,1,'1.7','P6516535143',8,'en'),
(4517,'pulvinar','pulvinar',0,0,'0.5333','P4156',8,'en');
INSERT INTO `#__finder_terms` VALUES 
(4518,'pulvinar 3','pulvinar 3',0,1,'1.3333','P4156',8,'en'),
(4519,'pulvinar 3 cras','pulvinar 3 cras',0,1,'1.5','P4156262',8,'en'),
(4520,'pulvinar sagittis','pulvinar sagittis',0,1,'1.5667','P4156232',8,'en'),
(4521,'pulvinar sagittis pellentesque','pulvinar sagittis pellentesque',0,1,'2','P415623214532',8,'en'),
(4522,'pulvinar varius','pulvinar varius',0,1,'1.5','P4156162',8,'en'),
(4523,'pulvinar varius aenean','pulvinar varius aenean',0,1,'1.7333','P41561625',8,'en'),
(4524,'purus sed','purus sed',0,1,'1.3','P623',8,'en'),
(4525,'purus sed hendrerit','purus sed hendrerit',0,1,'1.6333','P6235363',8,'en'),
(4526,'purus sed mi','purus sed mi',0,1,'1.4','P6235',8,'en'),
(4527,'purus sit','purus sit',0,1,'1.3','P623',8,'en'),
(4528,'purus sit amet','purus sit amet',0,1,'1.4667','P62353',8,'en'),
(4529,'purus vel','purus vel',0,1,'1.3','P6214',8,'en'),
(4530,'purus vel feugiat','purus vel feugiat',0,1,'1.5667','P6214123',8,'en'),
(4531,'quam','quam',0,0,'0.2667','Q500',9,'en'),
(4532,'quam eu','quam eu',0,1,'1.2333','Q500',8,'en'),
(4533,'quam eu pulvinar','quam eu pulvinar',0,1,'1.5333','Q514156',8,'en'),
(4534,'quam quis','quam quis',0,1,'1.3','Q520',8,'en'),
(4535,'quam quis pulvinar','quam quis pulvinar',0,1,'1.6','Q5214156',8,'en'),
(4536,'quam vitae','quam vitae',0,1,'1.3333','Q513',8,'en'),
(4537,'quam vitae magna','quam vitae magna',0,1,'1.5333','Q513525',8,'en'),
(4538,'quis justo','quis justo',0,1,'1.3333','Q300',8,'en'),
(4539,'quis justo morbi','quis justo morbi',0,1,'1.5333','Q3561',8,'en'),
(4540,'quis mi','quis mi',0,1,'1.2333','Q500',8,'en'),
(4541,'quis mi lacus','quis mi lacus',0,1,'1.4333','Q542',8,'en'),
(4542,'quis nisl','quis nisl',0,1,'1.3','Q524',8,'en'),
(4543,'quis nisl in','quis nisl in',0,1,'1.4','Q5245',8,'en'),
(4544,'quis pulvinar','quis pulvinar',0,1,'1.4333','Q14156',8,'en'),
(4545,'quis pulvinar 3','quis pulvinar 3',0,1,'1.5','Q14156',8,'en'),
(4546,'quisque','quisque',0,0,'0.4667','Q000',8,'en'),
(4547,'quisque vestibulum','quisque vestibulum',0,1,'1.6','Q123145',8,'en'),
(4548,'quisque vestibulum tempus','quisque vestibulum tempus',0,1,'1.8333','Q1231453512',8,'en'),
(4549,'recipes','recipes',0,0,'0.4667','R212',8,'en'),
(4550,'rhoncus 2','rhoncus 2',0,1,'1.3','R520',8,'en'),
(4551,'rhoncus 2 lorem','rhoncus 2 lorem',0,1,'1.5','R52465',8,'en'),
(4552,'rhoncus donec','rhoncus donec',0,1,'1.4333','R52352',8,'en'),
(4553,'rhoncus donec sit','rhoncus donec sit',0,1,'1.5667','R523523',8,'en'),
(4554,'rhoncus ut','rhoncus ut',0,1,'1.3333','R523',8,'en'),
(4555,'rhoncus ut lectus','rhoncus ut lectus',0,1,'1.5667','R5234232',8,'en'),
(4556,'rhoncus vivamus','rhoncus vivamus',0,1,'1.5','R52152',8,'en'),
(4557,'rhoncus vivamus blandit','rhoncus vivamus blandit',0,1,'1.7667','R521521453',8,'en'),
(4558,'risus','risus',0,0,'0.3333','R200',9,'en'),
(4559,'risus et','risus et',0,1,'1.2667','R230',8,'en'),
(4560,'risus et hendrerit','risus et hendrerit',0,1,'1.6','R235363',8,'en'),
(4561,'risus sit','risus sit',0,1,'1.3','R230',8,'en'),
(4562,'risus sit amet','risus sit amet',0,1,'1.4667','R2353',8,'en'),
(4563,'rutrum','rutrum',0,0,'0.4','R365',9,'en'),
(4564,'rutrum ultrices','rutrum ultrices',0,1,'1.5','R3654362',8,'en'),
(4565,'rutrum ultrices sed','rutrum ultrices sed',0,1,'1.6333','R36543623',8,'en'),
(4566,'sagittis','sagittis',0,0,'0.5333','S320',8,'en'),
(4567,'sagittis metus','sagittis metus',0,1,'1.4667','S32532',8,'en');
INSERT INTO `#__finder_terms` VALUES 
(4568,'sagittis metus mauris','sagittis metus mauris',0,1,'1.7','S32532562',8,'en'),
(4569,'sagittis pellentesque','sagittis pellentesque',0,1,'1.7','S3214532',8,'en'),
(4570,'sagittis pellentesque imperdiet','sagittis pellentesque imperdiet',0,1,'2','S32145325163',8,'en'),
(4571,'sagittis volutpat','sagittis volutpat',0,1,'1.5667','S3214313',8,'en'),
(4572,'sagittis volutpat vehicula','sagittis volutpat vehicula',0,1,'1.8667','S3214313124',8,'en'),
(4573,'sapien enim','sapien enim',0,1,'1.3667','S150',8,'en'),
(4574,'sapien enim porta','sapien enim porta',0,1,'1.5667','S15163',8,'en'),
(4575,'scelerisque','scelerisque',0,0,'0.7333','S462',8,'en'),
(4576,'scelerisque donec','scelerisque donec',0,1,'1.5667','S462352',8,'en'),
(4577,'scelerisque donec vel','scelerisque donec vel',0,1,'1.7','S46235214',8,'en'),
(4578,'scelerisque magna','scelerisque magna',0,1,'1.5667','S462525',8,'en'),
(4579,'scelerisque magna et','scelerisque magna et',0,1,'1.6667','S4625253',8,'en'),
(4580,'scelerisque nisi','scelerisque nisi',0,1,'1.5333','S46252',8,'en'),
(4581,'scelerisque nisi a','scelerisque nisi a',0,1,'1.6','S46252',8,'en'),
(4582,'scelerisque scelerisque','scelerisque scelerisque',0,1,'1.7667','S462462',8,'en'),
(4583,'scelerisque scelerisque donec','scelerisque scelerisque donec',0,1,'1.9667','S462462352',8,'en'),
(4584,'scelerisque ultricies','scelerisque ultricies',0,1,'1.7','S4624362',8,'en'),
(4585,'scelerisque ultricies lorem','scelerisque ultricies lorem',0,1,'1.9','S4624362465',8,'en'),
(4586,'sed congue','sed congue',0,1,'1.3333','S3252',8,'en'),
(4587,'sed congue semper','sed congue semper',0,1,'1.5667','S3252516',8,'en'),
(4588,'sed do','sed do',0,1,'1.2','S300',9,'en'),
(4589,'sed do eiusmod','sed do eiusmod',0,1,'1.4667','S3253',9,'en'),
(4590,'sed eu','sed eu',0,1,'1.2','S300',8,'en'),
(4591,'sed eu consectetur','sed eu consectetur',0,1,'1.6','S325236',8,'en'),
(4592,'sed fringilla','sed fringilla',0,1,'1.4333','S316524',8,'en'),
(4593,'sed fringilla purus','sed fringilla purus',0,1,'1.6333','S316524162',8,'en'),
(4594,'sed gravida','sed gravida',0,1,'1.3667','S32613',8,'en'),
(4595,'sed gravida arcu','sed gravida arcu',0,1,'1.5333','S3261362',8,'en'),
(4596,'sed hendrerit','sed hendrerit',0,1,'1.4333','S35363',8,'en'),
(4597,'sed hendrerit nulla','sed hendrerit nulla',0,1,'1.6333','S3536354',8,'en'),
(4598,'sed lacinia','sed lacinia',0,1,'1.3667','S3425',8,'en'),
(4599,'sed lacinia purus','sed lacinia purus',0,1,'1.5667','S3425162',8,'en'),
(4600,'sed mi','sed mi',0,1,'1.2','S350',8,'en'),
(4601,'sed mi scelerisque','sed mi scelerisque',0,1,'1.6','S352462',8,'en'),
(4602,'sed quam','sed quam',0,1,'1.2667','S325',8,'en'),
(4603,'sed quam quis','sed quam quis',0,1,'1.4333','S3252',8,'en'),
(4604,'sed sapien','sed sapien',0,1,'1.3333','S3215',8,'en'),
(4605,'sed sapien enim','sed sapien enim',0,1,'1.5','S3215',8,'en'),
(4606,'sed suscipit','sed suscipit',0,1,'1.4','S3213',8,'en'),
(4607,'sed suscipit quis','sed suscipit quis',0,1,'1.5667','S32132',8,'en'),
(4608,'semper','semper',0,0,'0.4','S516',9,'en'),
(4609,'semper consequat','semper consequat',0,1,'1.5333','S5162523',8,'en'),
(4610,'semper consequat nam','semper consequat nam',0,1,'1.6667','S51625235',8,'en'),
(4611,'semper libero','semper libero',0,1,'1.4333','S516416',8,'en'),
(4612,'semper libero a','semper libero a',0,1,'1.5','S516416',8,'en'),
(4613,'sit amet dapibus','sit amet dapibus',0,1,'1.5333','S35312',8,'en'),
(4614,'sit amet faucibus','sit amet faucibus',0,1,'1.5667','S3531212',8,'en'),
(4615,'sit amet lorem','sit amet lorem',0,1,'1.4667','S353465',8,'en'),
(4616,'sit amet metus','sit amet metus',0,1,'1.4667','S353532',8,'en'),
(4617,'sit amet nibh','sit amet nibh',0,1,'1.4333','S35351',8,'en');
INSERT INTO `#__finder_terms` VALUES 
(4618,'sit amet placerat','sit amet placerat',0,1,'1.5667','S35314263',8,'en'),
(4619,'sit amet praesent','sit amet praesent',0,1,'1.5667','S35316253',8,'en'),
(4620,'sodales tortor','sodales tortor',0,1,'1.4667','S3423636',8,'en'),
(4621,'sodales tortor ac','sodales tortor ac',0,1,'1.5667','S34236362',8,'en'),
(4622,'suscipit quis','suscipit quis',0,1,'1.4333','S132',8,'en'),
(4623,'suscipit quis nisl','suscipit quis nisl',0,1,'1.6','S132524',8,'en'),
(4624,'suspendisse','suspendisse',0,0,'0.7333','S1532',8,'en'),
(4625,'suspendisse et','suspendisse et',0,1,'1.4667','S15323',8,'en'),
(4626,'suspendisse et ligula','suspendisse et ligula',0,1,'1.7','S15323424',8,'en'),
(4627,'suspendisse ut','suspendisse ut',0,1,'1.4667','S15323',8,'en'),
(4628,'suspendisse ut vestibulum','suspendisse ut vestibulum',0,1,'1.8333','S15323123145',8,'en'),
(4629,'tellus et','tellus et',0,1,'1.3','T423',8,'en'),
(4630,'tellus et pulvinar','tellus et pulvinar',0,1,'1.6','T42314156',8,'en'),
(4631,'tellus in','tellus in',0,1,'1.3','T425',8,'en'),
(4632,'tellus in tristique','tellus in tristique',0,1,'1.6333','T42536232',8,'en'),
(4633,'tellus risus','tellus risus',0,1,'1.4','T4262',8,'en'),
(4634,'tellus risus et','tellus risus et',0,1,'1.5','T42623',8,'en'),
(4635,'tellus rutrum','tellus rutrum',0,1,'1.4333','T426365',8,'en'),
(4636,'tellus rutrum ultrices','tellus rutrum ultrices',0,1,'1.7333','T4263654362',8,'en'),
(4637,'tellus sed','tellus sed',0,1,'1.3333','T423',8,'en'),
(4638,'tellus sed gravida','tellus sed gravida',0,1,'1.6','T4232613',8,'en'),
(4639,'tempor','tempor',0,0,'0.4','T516',10,'en'),
(4640,'tempor felis','tempor felis',0,1,'1.4','T516142',8,'en'),
(4641,'tempor felis in','tempor felis in',0,1,'1.5','T5161425',8,'en'),
(4642,'tempor incididunt','tempor incididunt',0,1,'1.5667','T51652353',9,'en'),
(4643,'tempor incididunt ut','tempor incididunt ut',0,1,'1.6667','T51652353',9,'en'),
(4644,'tempor odio','tempor odio',0,1,'1.3667','T5163',8,'en'),
(4645,'tempor odio sed','tempor odio sed',0,1,'1.5','T516323',8,'en'),
(4646,'tempus','tempus',0,0,'0.4','T512',9,'en'),
(4647,'tempus felis','tempus felis',0,1,'1.4','T512142',8,'en'),
(4648,'tempus felis nulla','tempus felis nulla',0,1,'1.6','T51214254',8,'en'),
(4649,'tempus sed','tempus sed',0,1,'1.3333','T5123',8,'en'),
(4650,'tempus sed suscipit','tempus sed suscipit',0,1,'1.6333','T5123213',8,'en'),
(4651,'tincidunt quam','tincidunt quam',0,1,'1.4667','T5235325',8,'en'),
(4652,'tincidunt quam eu','tincidunt quam eu',0,1,'1.5667','T5235325',8,'en'),
(4653,'tortor','tortor',0,0,'0.4','T636',9,'en'),
(4654,'tortor ac','tortor ac',0,1,'1.3','T6362',9,'en'),
(4655,'tortor ac dapibus','tortor ac dapibus',0,1,'1.5667','T6362312',8,'en'),
(4656,'tristique','tristique',0,0,'0.6','T6232',9,'en'),
(4657,'tristique urna','tristique urna',0,1,'1.4667','T623265',8,'en'),
(4658,'tristique urna mattis','tristique urna mattis',0,1,'1.7','T62326532',8,'en'),
(4659,'ullamcorper','ullamcorper',0,0,'0.7333','U452616',8,'en'),
(4660,'ullamcorper proin','ullamcorper proin',0,1,'1.5667','U452616165',8,'en'),
(4661,'ullamcorper proin euismod','ullamcorper proin euismod',0,1,'1.8333','U452616165253',8,'en'),
(4662,'ultrices','ultrices',0,0,'0.5333','U4362',9,'en'),
(4663,'ultrices felis','ultrices felis',0,1,'1.4667','U4362142',8,'en'),
(4664,'ultrices felis sit','ultrices felis sit',0,1,'1.6','U43621423',8,'en'),
(4665,'ultrices sed','ultrices sed',0,1,'1.4','U43623',8,'en'),
(4666,'ultrices sed eu','ultrices sed eu',0,1,'1.5','U43623',8,'en'),
(4667,'ultricies','ultricies',0,0,'0.6','U4362',8,'en');
INSERT INTO `#__finder_terms` VALUES 
(4668,'ultricies euismod','ultricies euismod',0,1,'1.5667','U436253',8,'en'),
(4669,'ultricies euismod rhoncus','ultricies euismod rhoncus',0,1,'1.8333','U436253652',8,'en'),
(4670,'ultricies lorem','ultricies lorem',0,1,'1.5','U4362465',8,'en'),
(4671,'ultricies lorem urna','ultricies lorem urna',0,1,'1.6667','U436246565',8,'en'),
(4672,'ultricies neque','ultricies neque',0,1,'1.5','U436252',8,'en'),
(4673,'ultricies neque donec','ultricies neque donec',0,1,'1.7','U436252352',8,'en'),
(4674,'ultricies neque praesent','ultricies neque praesent',0,1,'1.8','U43625216253',8,'en'),
(4675,'urna','urna',0,0,'0.2667','U650',8,'en'),
(4676,'urna consequat','urna consequat',0,1,'1.4667','U652523',8,'en'),
(4677,'urna consequat sit','urna consequat sit',0,1,'1.6','U65252323',8,'en'),
(4678,'urna erat','urna erat',0,1,'1.3','U6563',8,'en'),
(4679,'urna erat quis','urna erat quis',0,1,'1.4667','U65632',8,'en'),
(4680,'urna in','urna in',0,1,'1.2333','U650',8,'en'),
(4681,'urna in volutpat','urna in volutpat',0,1,'1.5333','U6514313',8,'en'),
(4682,'urna luctus','urna luctus',0,1,'1.3667','U654232',8,'en'),
(4683,'urna luctus odio','urna luctus odio',0,1,'1.5333','U6542323',8,'en'),
(4684,'urna mattis','urna mattis',0,1,'1.3667','U6532',8,'en'),
(4685,'urna mattis eu','urna mattis eu',0,1,'1.4667','U6532',8,'en'),
(4686,'ut','ut',0,0,'0.1333','U300',11,'en'),
(4687,'ut imperdiet','ut imperdiet',0,1,'1.4','U35163',8,'en'),
(4688,'ut imperdiet orci','ut imperdiet orci',0,1,'1.5667','U3516362',8,'en'),
(4689,'ut labore','ut labore',0,1,'1.3','U3416',9,'en'),
(4690,'ut labore et','ut labore et',0,1,'1.4','U34163',9,'en'),
(4691,'ut lectus','ut lectus',0,1,'1.3','U34232',8,'en'),
(4692,'ut lectus felis','ut lectus felis',0,1,'1.5','U34232142',8,'en'),
(4693,'ut massa','ut massa',0,1,'1.2667','U352',8,'en'),
(4694,'ut massa eu','ut massa eu',0,1,'1.3667','U352',8,'en'),
(4695,'ut tempor','ut tempor',0,1,'1.3','U3516',8,'en'),
(4696,'ut tempor odio','ut tempor odio',0,1,'1.4667','U35163',8,'en'),
(4697,'ut ut','ut ut',0,1,'1.1667','U300',8,'en'),
(4698,'ut ut imperdiet','ut ut imperdiet',0,1,'1.5','U35163',8,'en'),
(4699,'ut vestibulum','ut vestibulum',0,1,'1.4333','U3123145',8,'en'),
(4700,'ut vestibulum tellus','ut vestibulum tellus',0,1,'1.6667','U3123145342',8,'en'),
(4701,'varius','varius',0,0,'0.4','V620',10,'en'),
(4702,'varius aenean','varius aenean',0,1,'1.4333','V625',8,'en'),
(4703,'varius aenean ultricies','varius aenean ultricies',0,1,'1.7667','V6254362',8,'en'),
(4704,'varius arcu','varius arcu',0,1,'1.3667','V6262',8,'en'),
(4705,'varius arcu nec','varius arcu nec',0,1,'1.5','V626252',8,'en'),
(4706,'varius massa','varius massa',0,1,'1.4','V6252',8,'en'),
(4707,'varius massa nulla','varius massa nulla',0,1,'1.6','V625254',8,'en'),
(4708,'varius massa quisque','varius massa quisque',0,1,'1.6667','V6252',8,'en'),
(4709,'vehicula fusce','vehicula fusce',0,1,'1.4667','V2412',8,'en'),
(4710,'vehicula fusce eu','vehicula fusce eu',0,1,'1.5667','V2412',8,'en'),
(4711,'vehicula libero','vehicula libero',0,1,'1.5','V2416',8,'en'),
(4712,'vehicula libero ac','vehicula libero ac',0,1,'1.6','V24162',8,'en'),
(4713,'vehicula porttitor','vehicula porttitor',0,1,'1.6','V241636',8,'en'),
(4714,'vehicula porttitor elit','vehicula porttitor elit',0,1,'1.7667','V24163643',8,'en'),
(4715,'vel','vel',0,0,'0.2','V400',9,'en'),
(4716,'vel enim','vel enim',0,1,'1.2667','V450',8,'en'),
(4717,'vel enim ligula','vel enim ligula',0,1,'1.5','V45424',8,'en');
INSERT INTO `#__finder_terms` VALUES 
(4718,'vel feugiat','vel feugiat',0,1,'1.3667','V4123',8,'en'),
(4719,'vel feugiat pharetra','vel feugiat pharetra',0,1,'1.6667','V41231636',8,'en'),
(4720,'vel placerat','vel placerat',0,1,'1.4','V414263',8,'en'),
(4721,'vel placerat nisl','vel placerat nisl',0,1,'1.5667','V414263524',8,'en'),
(4722,'vel sagittis','vel sagittis',0,1,'1.4','V4232',8,'en'),
(4723,'vel sagittis metus','vel sagittis metus',0,1,'1.6','V4232532',8,'en'),
(4724,'vel scelerisque','vel scelerisque',0,1,'1.5','V42462',8,'en'),
(4725,'vel scelerisque ultricies','vel scelerisque ultricies',0,1,'1.8333','V424624362',8,'en'),
(4726,'vel tempus','vel tempus',0,1,'1.3333','V43512',8,'en'),
(4727,'vel tempus sed','vel tempus sed',0,1,'1.4667','V435123',8,'en'),
(4728,'vel urna','vel urna',0,1,'1.2667','V465',8,'en'),
(4729,'vel urna in','vel urna in',0,1,'1.3667','V465',8,'en'),
(4730,'velit','velit',0,0,'0.3333','V430',9,'en'),
(4731,'velit donec','velit donec',0,1,'1.3667','V4352',8,'en'),
(4732,'velit donec pretium','velit donec pretium',0,1,'1.6333','V43521635',8,'en'),
(4733,'velit nec','velit nec',0,1,'1.3','V4352',8,'en'),
(4734,'velit nec rhoncus','velit nec rhoncus',0,1,'1.5667','V4352652',8,'en'),
(4735,'velit non','velit non',0,1,'1.3','V435',8,'en'),
(4736,'velit non ligula','velit non ligula',0,1,'1.5333','V435424',8,'en'),
(4737,'velit scelerisque','velit scelerisque',0,1,'1.5667','V432462',8,'en'),
(4738,'velit scelerisque nisi','velit scelerisque nisi',0,1,'1.7333','V43246252',8,'en'),
(4739,'vestibulum','vestibulum',0,0,'0.6667','V23145',10,'en'),
(4740,'vestibulum tellus','vestibulum tellus',0,1,'1.5667','V23145342',8,'en'),
(4741,'vestibulum tellus sed','vestibulum tellus sed',0,1,'1.7','V231453423',8,'en'),
(4742,'vestibulum tempus','vestibulum tempus',0,1,'1.5667','V231453512',8,'en'),
(4743,'vestibulum tempus felis','vestibulum tempus felis',0,1,'1.7667','V231453512142',8,'en'),
(4744,'vestibulum ultrices','vestibulum ultrices',0,1,'1.6333','V231454362',8,'en'),
(4745,'vestibulum ultrices felis','vestibulum ultrices felis',0,1,'1.8333','V231454362142',8,'en'),
(4746,'vestibulum ut','vestibulum ut',0,1,'1.4333','V231453',9,'en'),
(4747,'vestibulum ut massa','vestibulum ut massa',0,1,'1.6333','V23145352',8,'en'),
(4748,'vitae','vitae',0,0,'0.3333','V300',9,'en'),
(4749,'vitae magna','vitae magna',0,1,'1.3667','V3525',8,'en'),
(4750,'vitae magna cursus','vitae magna cursus',0,1,'1.6','V3525262',8,'en'),
(4751,'vitae nulla','vitae nulla',0,1,'1.3667','V354',8,'en'),
(4752,'vitae nulla ac','vitae nulla ac',0,1,'1.4667','V3542',8,'en'),
(4753,'vivamus','vivamus',0,0,'0.4667','V520',11,'en'),
(4754,'vivamus blandit','vivamus blandit',0,1,'1.5','V521453',8,'en'),
(4755,'vivamus blandit tellus','vivamus blandit tellus',0,1,'1.7333','V52145342',8,'en'),
(4756,'viverra semper','viverra semper',0,1,'1.4667','V62516',8,'en'),
(4757,'viverra semper libero','viverra semper libero',0,1,'1.7','V62516416',8,'en'),
(4758,'volutpat','volutpat',0,0,'0.5333','V4313',9,'en'),
(4759,'volutpat cras','volutpat cras',0,1,'1.4333','V4313262',8,'en'),
(4760,'volutpat cras eu','volutpat cras eu',0,1,'1.5333','V4313262',8,'en'),
(4761,'volutpat tellus','volutpat tellus',0,1,'1.5','V431342',8,'en'),
(4762,'volutpat tellus et','volutpat tellus et',0,1,'1.6','V4313423',8,'en'),
(4763,'volutpat vehicula','volutpat vehicula',0,1,'1.5667','V4313124',8,'en'),
(4764,'volutpat vehicula porttitor','volutpat vehicula porttitor',0,1,'1.9','V43131241636',8,'en'),
(4765,'vulputate','vulputate',0,0,'0.6','V413',9,'en'),
(4766,'vulputate ac','vulputate ac',0,1,'1.4','V4132',8,'en'),
(4767,'vulputate ac dui','vulputate ac dui',0,1,'1.5333','V41323',8,'en');
INSERT INTO `#__finder_terms` VALUES 
(4980,'128','128',0,0,'0.3','',1,'en'),
(4981,'adipisc','adipisc',0,0,'0.4667','A312',1,'en'),
(4982,'consec','consec',0,0,'0.4','C520',1,'en'),
(4983,'consec adipisc','consec adipisc',0,1,'1.4667','C52312',1,'en'),
(4987,'127','127',0,0,'0.3','',1,'en'),
(4988,'126','126',0,0,'0.3','',1,'en'),
(4989,'125','125',0,0,'0.3','',1,'en'),
(4990,'124','124',0,0,'0.3','',1,'en'),
(4991,'males','males',0,0,'0.3333','M420',1,'en'),
(4992,'males ultricies','males ultricies',0,1,'1.5','M424362',1,'en'),
(4993,'123','123',0,0,'0.3','',1,'en'),
(4994,'122','122',0,0,'0.3','',1,'en'),
(6288,'all','all',1,0,'0.025','A400',2,'en'),
(6311,'check','check',0,0,'0.3333','C000',3,'en'),
(6464,'that','that',1,0,'0.0333','T000',2,'en'),
(6825,'custom html','custom html',0,1,'1.3667','C35354',2,'en'),
(6859,'get','get',1,0,'0.025','G300',3,'en'),
(6868,'html','html',0,0,'0.2667','H354',2,'en'),
(6902,'solutions','solutions',0,0,'0.6','S4352',2,'en'),
(7289,'135','135',0,0,'0.3','',1,'en'),
(7290,'14.85','14.85',0,0,'0.5','',2,'en'),
(7291,'14.85 month','14.85 month',0,1,'1.3667','M300',2,'en'),
(7292,'14.85 month dsl','14.85 month dsl',0,1,'1.5','M324',2,'en'),
(7293,'29.95','29.95',0,0,'0.5','',2,'en'),
(7294,'29.95 month','29.95 month',0,1,'1.3667','M300',2,'en'),
(7295,'29.95 month cable','29.95 month cable',0,1,'1.5667','M3214',2,'en'),
(7296,'39.95','39.95',0,0,'0.5','',2,'en'),
(7297,'39.95 month','39.95 month',0,1,'1.3667','M300',2,'en'),
(7298,'39.95 month satellite','39.95 month satellite',0,1,'1.7','M32343',2,'en'),
(7299,'amet morbi','amet morbi',0,1,'1.3333','A53561',2,'en'),
(7300,'amet morbi rhoncus','amet morbi rhoncus',0,1,'1.6','A53561652',2,'en'),
(7301,'area','area',0,0,'0.2667','A600',2,'en'),
(7302,'area get','area get',0,1,'1.2667','A623',2,'en'),
(7303,'area get satellite','area get satellite',0,1,'1.6','A6232343',2,'en'),
(7304,'as 14.85','as 14.85',0,1,'1.2667','A200',2,'en'),
(7305,'as 14.85 month','as 14.85 month',0,1,'1.4667','A253',2,'en'),
(7306,'as 29.95','as 29.95',0,1,'1.2667','A200',2,'en'),
(7307,'as 29.95 month','as 29.95 month',0,1,'1.4667','A253',2,'en'),
(7308,'as 39.95','as 39.95',0,1,'1.2667','A200',2,'en'),
(7309,'as 39.95 month','as 39.95 month',0,1,'1.4667','A253',2,'en'),
(7310,'as low','as low',0,1,'1.2','A240',2,'en'),
(7311,'as low as','as low as',0,1,'1.3','A242',2,'en'),
(7312,'at the','at the',0,1,'1.2','A300',3,'en'),
(7313,'at the speed','at the speed',0,1,'1.4','A3213',2,'en'),
(7314,'augue proin','augue proin',0,1,'1.3667','A2165',2,'en'),
(7315,'augue proin non','augue proin non',0,1,'1.5','A2165',2,'en'),
(7316,'cable','cable',0,0,'0.3333','C140',2,'en'),
(7317,'cable in','cable in',0,1,'1.2667','C145',2,'en'),
(7318,'cable in your','cable in your',0,1,'1.4333','C1456',2,'en'),
(7319,'cable internet','cable internet',0,1,'1.4667','C1453653',2,'en');
INSERT INTO `#__finder_terms` VALUES 
(7320,'cable internet at','cable internet at',0,1,'1.5667','C1453653',2,'en'),
(7321,'cable internet lorem','cable internet lorem',0,1,'1.6667','C1453653465',2,'en'),
(7322,'cable internet step','cable internet step',0,1,'1.6333','C1453653231',2,'en'),
(7323,'diam pellentesque','diam pellentesque',0,1,'1.5667','D514532',2,'en'),
(7324,'diam pellentesque varius','diam pellentesque varius',0,1,'1.8','D514532162',2,'en'),
(7325,'diam quis','diam quis',0,1,'1.3','D520',2,'en'),
(7326,'diam quis augue','diam quis augue',0,1,'1.5','D520',2,'en'),
(7327,'donec ut','donec ut',0,1,'1.2667','D523',2,'en'),
(7328,'donec ut elit','donec ut elit',0,1,'1.4333','D52343',2,'en'),
(7329,'dsl','dsl',0,0,'0.2','D240',2,'en'),
(7330,'dsl cable','dsl cable',0,1,'1.3','D24214',2,'en'),
(7331,'dsl cable internet','dsl cable internet',0,1,'1.6','D2421453653',2,'en'),
(7332,'dsl internet','dsl internet',0,1,'1.4','D2453653',2,'en'),
(7333,'dsl internet step','dsl internet step',0,1,'1.5667','D2453653231',2,'en'),
(7334,'dsl or','dsl or',0,1,'1.2','D246',2,'en'),
(7335,'dsl or cable','dsl or cable',0,1,'1.4','D246214',2,'en'),
(7336,'earthlink','earthlink',0,0,'0.6','E63452',2,'en'),
(7337,'earthlink cable','earthlink cable',0,1,'1.5','E6345214',2,'en'),
(7338,'earthlink cable internet','earthlink cable internet',0,1,'1.8','E634521453653',2,'en'),
(7339,'elit maximus','elit maximus',0,1,'1.4','E435252',2,'en'),
(7340,'elit maximus i\'m','elit maximus i',0,1,'1.5333','E4352525',2,'en'),
(7341,'finibus','finibus',0,0,'0.4667','F512',2,'en'),
(7342,'finibus diam','finibus diam',0,1,'1.4','F51235',2,'en'),
(7343,'finibus diam pellentesque','finibus diam pellentesque',0,1,'1.8333','F5123514532',2,'en'),
(7344,'get satellite','get satellite',0,1,'1.4333','G32343',2,'en'),
(7345,'get satellite internet','get satellite internet',0,1,'1.7333','G3234353653',2,'en'),
(7346,'i\'m','i',0,0,'0.2','I500',2,'en'),
(7347,'i\'m interested','i interested',0,1,'1.4667','I53623',2,'en'),
(7348,'i\'m interested as','i interested as',0,1,'1.5667','I536232',2,'en'),
(7349,'in your','in your',0,1,'1.2333','I560',2,'en'),
(7350,'in your area','in your area',0,1,'1.4','I560',2,'en'),
(7351,'incredible','incredible',0,0,'0.6667','I526314',2,'en'),
(7352,'incredible dsl','incredible dsl',0,1,'1.4667','I526314324',2,'en'),
(7353,'incredible dsl cable','incredible dsl cable',0,1,'1.6667','I526314324214',2,'en'),
(7354,'interested','interested',0,0,'0.6667','I53623',2,'en'),
(7355,'interested as','interested as',0,1,'1.4333','I536232',2,'en'),
(7356,'interested as low','interested as low',0,1,'1.5667','I5362324',2,'en'),
(7357,'internet at','internet at',0,1,'1.3667','I53653',2,'en'),
(7358,'internet at the','internet at the',0,1,'1.5','I53653',2,'en'),
(7359,'internet lorem','internet lorem',0,1,'1.4667','I53653465',2,'en'),
(7360,'internet lorem ipsum','internet lorem ipsum',0,1,'1.6667','I53653465125',2,'en'),
(7361,'internet no','internet no',0,1,'1.3667','I536535',2,'en'),
(7362,'internet no dsl','internet no dsl',0,1,'1.5','I536535324',2,'en'),
(7363,'internet step','internet step',0,1,'1.4333','I53653231',2,'en'),
(7364,'internet step up','internet step up',0,1,'1.5333','I53653231',2,'en'),
(7365,'leo donec','leo donec',0,1,'1.3','L352',2,'en'),
(7366,'leo donec ut','leo donec ut',0,1,'1.4','L3523',2,'en'),
(7367,'life','life',0,0,'0.2667','L100',2,'en'),
(7368,'life lorem','life lorem',0,1,'1.3333','L1465',2,'en'),
(7369,'life lorem ipsum','life lorem ipsum',0,1,'1.5333','L1465125',2,'en');
INSERT INTO `#__finder_terms` VALUES 
(7370,'low','low',0,0,'0.2','L000',2,'en'),
(7371,'low as','low as',0,1,'1.2','L200',2,'en'),
(7372,'low as 14.85','low as 14.85',0,1,'1.4','L200',1,'en'),
(7373,'low as 29.95','low as 29.95',0,1,'1.4','L200',2,'en'),
(7374,'low as 39.95','low as 39.95',0,1,'1.4','L200',2,'en'),
(7375,'maximus','maximus',0,0,'0.4667','M252',2,'en'),
(7376,'maximus i\'m','maximus i',0,1,'1.3667','M2525',2,'en'),
(7377,'maximus i\'m interested','maximus i interested',0,1,'1.7333','M25253623',2,'en'),
(7378,'month','month',0,0,'0.3333','M300',2,'en'),
(7379,'month cable','month cable',0,1,'1.3667','M3214',2,'en'),
(7380,'month cable internet','month cable internet',0,1,'1.6667','M321453653',2,'en'),
(7381,'month dsl','month dsl',0,1,'1.3','M324',2,'en'),
(7382,'month dsl internet','month dsl internet',0,1,'1.6','M32453653',2,'en'),
(7383,'month satellite','month satellite',0,1,'1.5','M32343',2,'en'),
(7384,'month satellite internet','month satellite internet',0,1,'1.8','M3234353653',2,'en'),
(7385,'morbi rhoncus','morbi rhoncus',0,1,'1.4333','M61652',2,'en'),
(7386,'morbi rhoncus diam','morbi rhoncus diam',0,1,'1.6','M6165235',2,'en'),
(7387,'no','no',1,0,'0.0167','N000',2,'en'),
(7388,'no dsl','no dsl',0,1,'1.2','N324',2,'en'),
(7389,'no dsl or','no dsl or',0,1,'1.3','N3246',2,'en'),
(7390,'non finibus','non finibus',0,1,'1.3667','N1512',2,'en'),
(7391,'non finibus diam','non finibus diam',0,1,'1.5333','N151235',2,'en'),
(7392,'of life','of life',0,1,'1.2333','O141',2,'en'),
(7393,'of life lorem','of life lorem',0,1,'1.4333','O141465',2,'en'),
(7394,'or cable','or cable',0,1,'1.2667','O6214',2,'en'),
(7395,'or cable in','or cable in',0,1,'1.3667','O62145',2,'en'),
(7396,'pellentesque varius','pellentesque varius',0,1,'1.6333','P4532162',2,'en'),
(7397,'pellentesque varius vivamus','pellentesque varius vivamus',0,1,'1.9','P4532162152',2,'en'),
(7398,'pricing','pricing',0,0,'0.4667','P6252',2,'en'),
(7399,'pricing tables','pricing tables',0,1,'1.4667','P62523142',1,'en'),
(7400,'proin non','proin non',0,1,'1.3','P650',2,'en'),
(7401,'proin non finibus','proin non finibus',0,1,'1.5667','P651512',2,'en'),
(7402,'quis augue','quis augue',0,1,'1.3333','Q000',2,'en'),
(7403,'quis augue proin','quis augue proin',0,1,'1.5333','Q165',2,'en'),
(7404,'quis leo','quis leo',0,1,'1.2667','Q400',2,'en'),
(7405,'quis leo donec','quis leo donec',0,1,'1.4667','Q4352',2,'en'),
(7406,'rhoncus diam','rhoncus diam',0,1,'1.4','R5235',2,'en'),
(7407,'rhoncus diam quis','rhoncus diam quis',0,1,'1.5667','R52352',2,'en'),
(7408,'satellite','satellite',0,0,'0.6','S343',2,'en'),
(7409,'satellite internet','satellite internet',0,1,'1.6','S34353653',2,'en'),
(7410,'satellite internet lorem','satellite internet lorem',0,1,'1.8','S34353653465',2,'en'),
(7411,'satellite internet no','satellite internet no',0,1,'1.7','S343536535',2,'en'),
(7412,'sit amet morbi','sit amet morbi',0,1,'1.4667','S353561',2,'en'),
(7413,'speed of','speed of',0,1,'1.2667','S131',2,'en'),
(7414,'speed of life','speed of life',0,1,'1.4333','S13141',2,'en'),
(7415,'step up','step up',0,1,'1.2333','S310',2,'en'),
(7416,'step up to','step up to',0,1,'1.3333','S313',2,'en'),
(7417,'tables','tables',0,0,'0.4','T142',1,'en'),
(7418,'the speed','the speed',0,1,'1.3','T213',2,'en'),
(7419,'the speed of','the speed of',0,1,'1.4','T2131',2,'en');
INSERT INTO `#__finder_terms` VALUES 
(7420,'to earthlink','to earthlink',0,1,'1.4','T63452',2,'en'),
(7421,'to earthlink cable','to earthlink cable',0,1,'1.6','T6345214',2,'en'),
(7422,'to incredible','to incredible',0,1,'1.4333','T526314',2,'en'),
(7423,'to incredible dsl','to incredible dsl',0,1,'1.5667','T526314324',2,'en'),
(7424,'uncategorised','uncategorised',0,0,'0.8667','U5232623',1,'en'),
(7425,'up to earthlink','up to earthlink',0,1,'1.5','U1363452',2,'en'),
(7426,'up to incredible','up to incredible',0,1,'1.5333','U13526314',2,'en'),
(7427,'ut elit','ut elit',0,1,'1.2333','U343',2,'en'),
(7428,'ut elit maximus','ut elit maximus',0,1,'1.5','U3435252',2,'en'),
(7429,'varius vivamus','varius vivamus',0,1,'1.4667','V62152',2,'en'),
(7430,'varius vivamus quis','varius vivamus quis',0,1,'1.6333','V62152',2,'en'),
(7431,'vivamus quis','vivamus quis',0,1,'1.4','V520',2,'en'),
(7432,'vivamus quis leo','vivamus quis leo',0,1,'1.5333','V524',2,'en'),
(7433,'your area','your area',0,1,'1.3','Y600',2,'en'),
(7434,'your area get','your area get',0,1,'1.4333','Y623',2,'en'),
(7544,'73','73',0,0,'0.2','',1,'en'),
(7545,'a libero','a libero',0,1,'1.2667','A416',1,'en'),
(7546,'a libero in','a libero in',0,1,'1.3667','A4165',1,'en'),
(7547,'a vestibulum','a vestibulum',0,1,'1.4','A123145',1,'en'),
(7548,'a vestibulum mi','a vestibulum mi',0,1,'1.5','A123145',1,'en'),
(7549,'ac aliquet','ac aliquet',0,1,'1.3333','A2423',1,'en'),
(7550,'ac aliquet turpis','ac aliquet turpis',0,1,'1.5667','A2423612',1,'en'),
(7551,'ac est','ac est',0,1,'1.2','A230',1,'en'),
(7552,'ac est metus','ac est metus',0,1,'1.4','A23532',1,'en'),
(7553,'ac sodales','ac sodales',0,1,'1.3333','A2342',1,'en'),
(7554,'ac sodales risus','ac sodales risus',0,1,'1.5333','A234262',1,'en'),
(7555,'ac volutpat','ac volutpat',0,1,'1.3667','A214313',1,'en'),
(7556,'ac volutpat ipsum','ac volutpat ipsum',0,1,'1.5667','A214313125',1,'en'),
(7557,'accumsan commodo','accumsan commodo',0,1,'1.5333','A2525253',1,'en'),
(7558,'accumsan commodo sed','accumsan commodo sed',0,1,'1.6667','A252525323',1,'en'),
(7559,'adipiscing elit mauris','adipiscing elit mauris',0,1,'1.7333','A3125243562',1,'en'),
(7560,'aliquam faucibus','aliquam faucibus',0,1,'1.5333','A4251212',1,'en'),
(7561,'aliquam faucibus velit','aliquam faucibus velit',0,1,'1.7333','A4251212143',1,'en'),
(7562,'aliquam vel','aliquam vel',0,1,'1.3667','A42514',1,'en'),
(7563,'aliquam vel lorem','aliquam vel lorem',0,1,'1.5667','A4251465',1,'en'),
(7564,'aliquet turpis','aliquet turpis',0,1,'1.4667','A423612',1,'en'),
(7565,'aliquet turpis vestibulum','aliquet turpis vestibulum',0,1,'1.8333','A423612123145',1,'en'),
(7566,'amet semper','amet semper',0,1,'1.3667','A532516',1,'en'),
(7567,'amet semper quam','amet semper quam',0,1,'1.5333','A53251625',1,'en'),
(7568,'at orci','at orci',0,1,'1.2333','A362',1,'en'),
(7569,'at orci pretium','at orci pretium',0,1,'1.5','A3621635',1,'en'),
(7570,'auctor felis','auctor felis',0,1,'1.4','A236142',1,'en'),
(7571,'auctor felis nisi','auctor felis nisi',0,1,'1.5667','A23614252',1,'en'),
(7572,'augue bibendum','augue bibendum',0,1,'1.4667','A21535',1,'en'),
(7573,'augue bibendum posuere','augue bibendum posuere',0,1,'1.7333','A21535126',1,'en'),
(7574,'augue mollis','augue mollis',0,1,'1.4','A2542',1,'en'),
(7575,'augue mollis semper','augue mollis semper',0,1,'1.6333','A2542516',1,'en'),
(7576,'bibendum posuere','bibendum posuere',0,1,'1.5333','B535126',1,'en'),
(7577,'bibendum posuere in','bibendum posuere in',0,1,'1.6333','B5351265',1,'en'),
(7578,'commodo ligula','commodo ligula',0,1,'1.4667','C53424',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(7579,'commodo ligula non','commodo ligula non',0,1,'1.6','C534245',1,'en'),
(7580,'commodo sed','commodo sed',0,1,'1.3667','C5323',1,'en'),
(7581,'commodo sed a','commodo sed a',0,1,'1.4333','C5323',1,'en'),
(7582,'congue erat','congue erat',0,1,'1.3667','C5263',1,'en'),
(7583,'congue erat vel','congue erat vel',0,1,'1.5','C526314',1,'en'),
(7584,'cras sodales','cras sodales',0,1,'1.4','C62342',1,'en'),
(7585,'cras sodales justo','cras sodales justo',0,1,'1.6','C623423',1,'en'),
(7586,'cursus tellus','cursus tellus',0,1,'1.4333','C62342',1,'en'),
(7587,'cursus tellus aliquam','cursus tellus aliquam',0,1,'1.7','C62342425',1,'en'),
(7588,'dapibus dolor','dapibus dolor',0,1,'1.4333','D12346',1,'en'),
(7589,'dapibus dolor cras','dapibus dolor cras',0,1,'1.6','D12346262',1,'en'),
(7590,'dapibus dolor phasellus','dapibus dolor phasellus',0,1,'1.7667','D123461242',1,'en'),
(7591,'dapibus dolor vestibulum','dapibus dolor vestibulum',0,1,'1.8','D12346123145',1,'en'),
(7592,'dictum eget','dictum eget',0,1,'1.3667','D23523',1,'en'),
(7593,'dictum eget nulla','dictum eget nulla',0,1,'1.5667','D2352354',1,'en'),
(7594,'dolor cras','dolor cras',0,1,'1.3333','D46262',1,'en'),
(7595,'dolor cras sodales','dolor cras sodales',0,1,'1.6','D46262342',1,'en'),
(7596,'dolor phasellus','dolor phasellus',0,1,'1.5','D461242',1,'en'),
(7597,'dolor phasellus sed','dolor phasellus sed',0,1,'1.6333','D4612423',1,'en'),
(7598,'dolor vestibulum','dolor vestibulum',0,1,'1.5333','D46123145',1,'en'),
(7599,'dolor vestibulum commodo','dolor vestibulum commodo',0,1,'1.8','D46123145253',1,'en'),
(7600,'eget lacus','eget lacus',0,1,'1.3333','E2342',1,'en'),
(7601,'eget lacus erat','eget lacus erat',0,1,'1.5','E234263',1,'en'),
(7602,'eget nulla','eget nulla',0,1,'1.3333','E2354',1,'en'),
(7603,'eget nulla etiam','eget nulla etiam',0,1,'1.5333','E235435',1,'en'),
(7604,'elit mauris','elit mauris',0,1,'1.3667','E43562',1,'en'),
(7605,'elit mauris in','elit mauris in',0,1,'1.4667','E435625',1,'en'),
(7606,'erat et','erat et',0,1,'1.2333','E630',1,'en'),
(7607,'erat et augue','erat et augue',0,1,'1.4333','E632',1,'en'),
(7608,'erat nullam','erat nullam',0,1,'1.3667','E63545',1,'en'),
(7609,'erat nullam nec','erat nullam nec',0,1,'1.5','E635452',1,'en'),
(7610,'erat sem','erat sem',0,1,'1.2667','E6325',1,'en'),
(7611,'erat sem luctus','erat sem luctus',0,1,'1.5','E63254232',1,'en'),
(7612,'erat vel','erat vel',0,1,'1.2667','E6314',1,'en'),
(7613,'erat vel vulputate','erat vel vulputate',0,1,'1.6','E63141413',1,'en'),
(7614,'eros in','eros in',0,1,'1.2333','E625',1,'en'),
(7615,'eros in posuere','eros in posuere',0,1,'1.5','E625126',1,'en'),
(7616,'est ac','est ac',0,1,'1.2','E232',1,'en'),
(7617,'est ac aliquet','est ac aliquet',0,1,'1.4667','E232423',1,'en'),
(7618,'est metus','est metus',0,1,'1.3','E23532',1,'en'),
(7619,'est metus mauris','est metus mauris',0,1,'1.5333','E23532562',1,'en'),
(7620,'et augue','et augue',0,1,'1.2667','E320',1,'en'),
(7621,'et augue bibendum','et augue bibendum',0,1,'1.5667','E321535',1,'en'),
(7622,'et lacus','et lacus',0,1,'1.2667','E342',1,'en'),
(7623,'et lacus lectus','et lacus lectus',0,1,'1.5','E3424232',1,'en'),
(7624,'et nulla','et nulla',0,1,'1.2667','E354',1,'en'),
(7625,'et nulla tristique','et nulla tristique',0,1,'1.6','E35436232',1,'en'),
(7626,'etiam ac','etiam ac',0,1,'1.2667','E352',1,'en'),
(7627,'etiam ac est','etiam ac est',0,1,'1.4','E3523',1,'en'),
(7628,'eu felis','eu felis',0,1,'1.2667','E142',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(7629,'eu felis viverra','eu felis viverra',0,1,'1.5333','E14216',1,'en'),
(7630,'eu iaculis','eu iaculis',0,1,'1.3333','E242',1,'en'),
(7631,'eu iaculis tortor','eu iaculis tortor',0,1,'1.5667','E2423636',1,'en'),
(7632,'faucibus velit','faucibus velit',0,1,'1.4667','F212143',1,'en'),
(7633,'faucibus velit vitae','faucibus velit vitae',0,1,'1.6667','F21214313',1,'en'),
(7634,'felis a','felis a',0,1,'1.2333','F420',1,'en'),
(7635,'felis a vestibulum','felis a vestibulum',0,1,'1.6','F42123145',1,'en'),
(7636,'felis nisi','felis nisi',0,1,'1.3333','F4252',1,'en'),
(7637,'felis nisi sed','felis nisi sed',0,1,'1.4667','F42523',1,'en'),
(7638,'felis viverra','felis viverra',0,1,'1.4333','F4216',1,'en'),
(7639,'felis viverra sit','felis viverra sit',0,1,'1.5667','F421623',1,'en'),
(7640,'iaculis tortor','iaculis tortor',0,1,'1.4667','I2423636',1,'en'),
(7641,'iaculis tortor ac','iaculis tortor ac',0,1,'1.5667','I24236362',1,'en'),
(7642,'iaculis tristique','iaculis tristique',0,1,'1.5667','I24236232',1,'en'),
(7643,'iaculis tristique erat','iaculis tristique erat',0,1,'1.7333','I2423623263',1,'en'),
(7644,'in augue','in augue',0,1,'1.2667','I520',1,'en'),
(7645,'in augue mollis','in augue mollis',0,1,'1.5','I52542',1,'en'),
(7646,'in eget','in eget',0,1,'1.2333','I523',1,'en'),
(7647,'in eget lacus','in eget lacus',0,1,'1.4333','I52342',1,'en'),
(7648,'in mauris','in mauris',0,1,'1.3','I562',1,'en'),
(7649,'in mauris metus','in mauris metus',0,1,'1.5','I562532',1,'en'),
(7650,'in posuere','in posuere',0,1,'1.3333','I5126',1,'en'),
(7651,'in posuere venenatis','in posuere venenatis',0,1,'1.6667','I51261532',1,'en'),
(7652,'in ut','in ut',0,1,'1.1667','I530',1,'en'),
(7653,'in ut semper','in ut semper',0,1,'1.4','I532516',1,'en'),
(7654,'ipsum in','ipsum in',0,1,'1.2667','I125',1,'en'),
(7655,'ipsum in eget','ipsum in eget',0,1,'1.4333','I12523',1,'en'),
(7656,'justo eu','justo eu',0,1,'1.2667','J300',1,'en'),
(7657,'justo eu felis','justo eu felis',0,1,'1.4667','J3142',1,'en'),
(7658,'lacinia mauris','lacinia mauris',0,1,'1.4667','L2562',1,'en'),
(7659,'lacinia mauris aliquam','lacinia mauris aliquam',0,1,'1.7333','L2562425',1,'en'),
(7660,'lacus erat','lacus erat',0,1,'1.3333','L263',1,'en'),
(7661,'lacus erat nullam','lacus erat nullam',0,1,'1.5667','L263545',1,'en'),
(7662,'lacus lectus','lacus lectus',0,1,'1.4','L24232',1,'en'),
(7663,'lacus lectus vivamus','lacus lectus vivamus',0,1,'1.6667','L24232152',1,'en'),
(7664,'lectus vivamus','lectus vivamus',0,1,'1.4667','L232152',1,'en'),
(7665,'lectus vivamus tempus','lectus vivamus tempus',0,1,'1.7','L2321523512',1,'en'),
(7666,'libero in','libero in',0,1,'1.3','L165',1,'en'),
(7667,'libero in ut','libero in ut',0,1,'1.4','L1653',1,'en'),
(7668,'ligula non','ligula non',0,1,'1.3333','L245',1,'en'),
(7669,'ligula non iaculis','ligula non iaculis',0,1,'1.6','L245242',1,'en'),
(7670,'luctus sapien','luctus sapien',0,1,'1.4333','L23215',1,'en'),
(7671,'luctus sapien sed','luctus sapien sed',0,1,'1.5667','L2321523',1,'en'),
(7672,'maecenas eu','maecenas eu',0,1,'1.3667','M252',1,'en'),
(7673,'maecenas eu iaculis','maecenas eu iaculis',0,1,'1.6333','M25242',1,'en'),
(7674,'magna tellus','magna tellus',0,1,'1.4','M25342',1,'en'),
(7675,'magna tellus vestibulum','magna tellus vestibulum',0,1,'1.7667','M25342123145',1,'en'),
(7676,'mauris aliquam','mauris aliquam',0,1,'1.4667','M62425',1,'en'),
(7677,'mauris aliquam faucibus','mauris aliquam faucibus',0,1,'1.7667','M624251212',1,'en'),
(7678,'mauris at','mauris at',0,1,'1.3','M623',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(7679,'mauris at orci','mauris at orci',0,1,'1.4667','M62362',1,'en'),
(7680,'mauris in','mauris in',0,1,'1.3','M625',1,'en'),
(7681,'mauris in augue','mauris in augue',0,1,'1.5','M6252',1,'en'),
(7682,'mauris maecenas','mauris maecenas',0,1,'1.5','M625252',1,'en'),
(7683,'mauris maecenas eu','mauris maecenas eu',0,1,'1.6','M625252',1,'en'),
(7684,'mauris metus','mauris metus',0,1,'1.4','M62532',1,'en'),
(7685,'mauris metus ultrices','mauris metus ultrices',0,1,'1.7','M625324362',1,'en'),
(7686,'metus mauris at','metus mauris at',0,1,'1.5','M325623',1,'en'),
(7687,'metus ultrices','metus ultrices',0,1,'1.4667','M324362',1,'en'),
(7688,'metus ultrices vel','metus ultrices vel',0,1,'1.6','M32436214',1,'en'),
(7689,'mi ut','mi ut',0,1,'1.1667','M300',1,'en'),
(7690,'mi ut et','mi ut et',0,1,'1.2667','M300',1,'en'),
(7691,'mollis','mollis',0,0,'0.4','M420',1,'en'),
(7692,'mollis semper','mollis semper',0,1,'1.4333','M42516',1,'en'),
(7693,'mollis semper est','mollis semper est',0,1,'1.5667','M4251623',1,'en'),
(7694,'nec dictum','nec dictum',0,1,'1.3333','N23235',1,'en'),
(7695,'nec dictum eget','nec dictum eget',0,1,'1.5','N2323523',1,'en'),
(7696,'nec magna','nec magna',0,1,'1.3','N2525',1,'en'),
(7697,'nec magna tellus','nec magna tellus',0,1,'1.5333','N2525342',1,'en'),
(7698,'nibh accumsan','nibh accumsan',0,1,'1.4333','N12525',1,'en'),
(7699,'nibh accumsan commodo','nibh accumsan commodo',0,1,'1.7','N12525253',1,'en'),
(7700,'nisi sed','nisi sed',0,1,'1.2667','N230',1,'en'),
(7701,'nisi sed mauris','nisi sed mauris',0,1,'1.5','N23562',1,'en'),
(7702,'nisi ut','nisi ut',0,1,'1.2333','N230',1,'en'),
(7703,'nisi ut nibh','nisi ut nibh',0,1,'1.4','N2351',1,'en'),
(7704,'non iaculis','non iaculis',0,1,'1.3667','N242',1,'en'),
(7705,'non iaculis tristique','non iaculis tristique',0,1,'1.7','N24236232',1,'en'),
(7706,'nulla etiam','nulla etiam',0,1,'1.3667','N435',1,'en'),
(7707,'nulla etiam ac','nulla etiam ac',0,1,'1.4667','N4352',1,'en'),
(7708,'nulla tristique','nulla tristique',0,1,'1.5','N436232',1,'en'),
(7709,'nulla tristique ac','nulla tristique ac',0,1,'1.6','N436232',1,'en'),
(7710,'nullam','nullam',0,0,'0.4','N450',1,'en'),
(7711,'nullam nec','nullam nec',0,1,'1.3333','N452',1,'en'),
(7712,'nullam nec magna','nullam nec magna',0,1,'1.5333','N452525',1,'en'),
(7713,'orci pretium','orci pretium',0,1,'1.4','O621635',1,'en'),
(7714,'orci pretium congue','orci pretium congue',0,1,'1.6333','O621635252',1,'en'),
(7715,'phasellus sed','phasellus sed',0,1,'1.4333','P2423',1,'en'),
(7716,'phasellus sed nisi','phasellus sed nisi',0,1,'1.6','P242352',1,'en'),
(7717,'posuere in','posuere in',0,1,'1.3333','P265',1,'en'),
(7718,'posuere in mauris','posuere in mauris',0,1,'1.5667','P26562',1,'en'),
(7719,'posuere venenatis','posuere venenatis',0,1,'1.5667','P261532',1,'en'),
(7720,'posuere venenatis lacinia','posuere venenatis lacinia',0,1,'1.8333','P261532425',1,'en'),
(7721,'pretium congue','pretium congue',0,1,'1.4667','P635252',1,'en'),
(7722,'pretium congue erat','pretium congue erat',0,1,'1.6333','P63525263',1,'en'),
(7723,'quam vehicula','quam vehicula',0,1,'1.4333','Q5124',1,'en'),
(7724,'risus tempor','risus tempor',0,1,'1.4','R23516',1,'en'),
(7725,'risus tempor mauris','risus tempor mauris',0,1,'1.6333','R23516562',1,'en'),
(7726,'rutrum velit','rutrum velit',0,1,'1.4','R365143',1,'en'),
(7727,'rutrum velit et','rutrum velit et',0,1,'1.5','R365143',1,'en'),
(7728,'sapien sed','sapien sed',0,1,'1.3333','S1523',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(7729,'sapien sed auctor','sapien sed auctor',0,1,'1.5667','S1523236',1,'en'),
(7730,'sed a','sed a',0,1,'1.1667','S300',1,'en'),
(7731,'sed a libero','sed a libero',0,1,'1.4','S3416',1,'en'),
(7732,'sed auctor','sed auctor',0,1,'1.3333','S3236',1,'en'),
(7733,'sed auctor felis','sed auctor felis',0,1,'1.5333','S3236142',1,'en'),
(7734,'sed mauris','sed mauris',0,1,'1.3333','S3562',1,'en'),
(7735,'sed mauris maecenas','sed mauris maecenas',0,1,'1.6333','S35625252',1,'en'),
(7736,'sed nisi','sed nisi',0,1,'1.2667','S352',1,'en'),
(7737,'sed nisi ut','sed nisi ut',0,1,'1.3667','S3523',1,'en'),
(7738,'sem luctus','sem luctus',0,1,'1.3333','S54232',1,'en'),
(7739,'sem luctus sapien','sem luctus sapien',0,1,'1.5667','S5423215',1,'en'),
(7740,'semper est','semper est',0,1,'1.3333','S51623',1,'en'),
(7741,'semper est ac','semper est ac',0,1,'1.4333','S516232',1,'en'),
(7742,'semper felis','semper felis',0,1,'1.4','S516142',1,'en'),
(7743,'semper felis a','semper felis a',0,1,'1.4667','S516142',1,'en'),
(7744,'semper quam','semper quam',0,1,'1.3667','S51625',1,'en'),
(7745,'semper quam vehicula','semper quam vehicula',0,1,'1.6667','S51625124',1,'en'),
(7746,'sit amet semper','sit amet semper',0,1,'1.5','S3532516',1,'en'),
(7747,'sodales justo','sodales justo',0,1,'1.4333','S3423',1,'en'),
(7748,'sodales justo eu','sodales justo eu',0,1,'1.5333','S3423',1,'en'),
(7749,'sodales risus','sodales risus',0,1,'1.4333','S34262',1,'en'),
(7750,'sodales risus tempor','sodales risus tempor',0,1,'1.6667','S342623516',1,'en'),
(7751,'subpage','subpage',0,0,'0.4667','S120',1,'en'),
(7752,'tellus aliquam','tellus aliquam',0,1,'1.4667','T42425',1,'en'),
(7753,'tellus aliquam vel','tellus aliquam vel',0,1,'1.6','T4242514',1,'en'),
(7754,'tellus vestibulum','tellus vestibulum',0,1,'1.5667','T42123145',1,'en'),
(7755,'tellus vestibulum rutrum','tellus vestibulum rutrum',0,1,'1.8','T421231456365',1,'en'),
(7756,'tempor mauris','tempor mauris',0,1,'1.4333','T516562',1,'en'),
(7757,'tempor mauris in','tempor mauris in',0,1,'1.5333','T5165625',1,'en'),
(7758,'tempus erat','tempus erat',0,1,'1.3667','T51263',1,'en'),
(7759,'tempus erat et','tempus erat et',0,1,'1.4667','T51263',1,'en'),
(7760,'tortor ac volutpat','tortor ac volutpat',0,1,'1.6','T636214313',1,'en'),
(7761,'tristique ac','tristique ac',0,1,'1.4','T6232',1,'en'),
(7762,'tristique ac sodales','tristique ac sodales',0,1,'1.6667','T6232342',1,'en'),
(7763,'tristique erat','tristique erat',0,1,'1.4667','T623263',1,'en'),
(7764,'tristique erat sem','tristique erat sem',0,1,'1.6','T62326325',1,'en'),
(7765,'turpis vestibulum','turpis vestibulum',0,1,'1.5667','T612123145',1,'en'),
(7766,'turpis vestibulum ut','turpis vestibulum ut',0,1,'1.6667','T6121231453',1,'en'),
(7767,'ultrices vel','ultrices vel',0,1,'1.4','U436214',1,'en'),
(7768,'ultrices vel vulputate','ultrices vel vulputate',0,1,'1.7333','U4362141413',1,'en'),
(7769,'ut dapibus','ut dapibus',0,1,'1.3333','U312',1,'en'),
(7770,'ut dapibus dolor','ut dapibus dolor',0,1,'1.5333','U312346',1,'en'),
(7771,'ut et','ut et',0,1,'1.1667','U300',1,'en'),
(7772,'ut et lacus','ut et lacus',0,1,'1.3667','U342',1,'en'),
(7773,'ut nibh','ut nibh',0,1,'1.2333','U351',1,'en'),
(7774,'ut nibh accumsan','ut nibh accumsan',0,1,'1.5333','U3512525',1,'en'),
(7775,'ut semper','ut semper',0,1,'1.3','U32516',1,'en'),
(7776,'ut semper felis','ut semper felis',0,1,'1.5','U32516142',1,'en'),
(7777,'vel lorem','vel lorem',0,1,'1.3','V465',1,'en'),
(7778,'vel lorem ipsum','vel lorem ipsum',0,1,'1.5','V465125',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(7779,'vel vulputate','vel vulputate',0,1,'1.4333','V41413',1,'en'),
(7780,'vel vulputate eros','vel vulputate eros',0,1,'1.6','V4141362',1,'en'),
(7781,'vel vulputate nec','vel vulputate nec',0,1,'1.5667','V4141352',1,'en'),
(7782,'velit et','velit et',0,1,'1.2667','V430',1,'en'),
(7783,'velit et nulla','velit et nulla',0,1,'1.4667','V4354',1,'en'),
(7784,'velit vitae','velit vitae',0,1,'1.3667','V4313',1,'en'),
(7785,'velit vitae cursus','velit vitae cursus',0,1,'1.6','V4313262',1,'en'),
(7786,'venenatis','venenatis',0,0,'0.6','V532',2,'en'),
(7787,'venenatis lacinia','venenatis lacinia',0,1,'1.5667','V532425',1,'en'),
(7788,'venenatis lacinia mauris','venenatis lacinia mauris',0,1,'1.8','V53242562',1,'en'),
(7789,'vestibulum commodo','vestibulum commodo',0,1,'1.6','V23145253',1,'en'),
(7790,'vestibulum commodo ligula','vestibulum commodo ligula',0,1,'1.8333','V23145253424',1,'en'),
(7791,'vestibulum mi','vestibulum mi',0,1,'1.4333','V23145',1,'en'),
(7792,'vestibulum mi ut','vestibulum mi ut',0,1,'1.5333','V231453',1,'en'),
(7793,'vestibulum rutrum','vestibulum rutrum',0,1,'1.5667','V231456365',1,'en'),
(7794,'vestibulum rutrum velit','vestibulum rutrum velit',0,1,'1.7667','V231456365143',1,'en'),
(7795,'vestibulum ut dapibus','vestibulum ut dapibus',0,1,'1.7','V23145312',1,'en'),
(7796,'vitae cursus','vitae cursus',0,1,'1.4','V3262',1,'en'),
(7797,'vitae cursus tellus','vitae cursus tellus',0,1,'1.6333','V3262342',1,'en'),
(7798,'vivamus tempus','vivamus tempus',0,1,'1.4667','V523512',1,'en'),
(7799,'vivamus tempus erat','vivamus tempus erat',0,1,'1.6333','V52351263',1,'en'),
(7800,'viverra sit','viverra sit',0,1,'1.3667','V623',1,'en'),
(7801,'viverra sit amet','viverra sit amet',0,1,'1.5333','V62353',1,'en'),
(7802,'volutpat ipsum','volutpat ipsum',0,1,'1.4667','V4313125',1,'en'),
(7803,'volutpat ipsum in','volutpat ipsum in',0,1,'1.5667','V4313125',1,'en'),
(7804,'vulputate eros','vulputate eros',0,1,'1.4667','V41362',1,'en'),
(7805,'vulputate eros in','vulputate eros in',0,1,'1.5667','V413625',1,'en'),
(7806,'vulputate nec','vulputate nec',0,1,'1.4333','V41352',1,'en'),
(7807,'vulputate nec dictum','vulputate nec dictum',0,1,'1.6667','V413523235',1,'en'),
(8310,'0 check','0 check',0,1,'1.2333','C000',1,'en'),
(8311,'0 check out','0 check out',0,1,'1.3667','C300',1,'en'),
(8312,'130','130',0,0,'0.3','',1,'en'),
(8313,'480px','480px',0,0,'0.3333','P200',1,'en'),
(8314,'480px and','480px and',0,1,'1.3','P253',1,'en'),
(8315,'480px and smaller','480px and smaller',0,1,'1.5667','P2532546',1,'en'),
(8316,'481px-767px','481px-767px',0,0,'0.7333','P212',1,'en'),
(8317,'768px-979px','768px-979px',0,0,'0.7333','P212',1,'en'),
(8318,'768px-979px check','768px-979px check',0,1,'1.5667','P212',1,'en'),
(8319,'768px-979px check out','768px-979px check out',0,1,'1.7','P2123',1,'en'),
(8320,'980px','980px',0,0,'0.3333','P200',1,'en'),
(8321,'980px and','980px and',0,1,'1.3','P253',1,'en'),
(8322,'980px and higher','980px and higher',0,1,'1.5333','P25326',1,'en'),
(8323,'about layout','about layout',0,1,'1.4','A1343',1,'en'),
(8324,'about layout customization','about layout customization',0,1,'1.8667','A1343235235',1,'en'),
(8325,'adjusts','adjusts',0,0,'0.4667','A3232',1,'en'),
(8326,'adjusts to','adjusts to',0,1,'1.3333','A32323',1,'en'),
(8327,'adjusts to various','adjusts to various',0,1,'1.6','A32323162',1,'en'),
(8328,'all template','all template',0,1,'1.4','A435143',1,'en'),
(8329,'all template positions','all template positions',0,1,'1.7333','A43514312352',1,'en'),
(8330,'allows you','allows you',0,1,'1.3333','A420',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(8331,'allows you to','allows you to',0,1,'1.4333','A423',1,'en'),
(8332,'and higher','and higher',0,1,'1.3333','A5326',1,'en'),
(8333,'and higher check','and higher check',0,1,'1.5333','A53262',1,'en'),
(8334,'and large','and large',0,1,'1.3','A53462',1,'en'),
(8335,'and large screen','and large screen',0,1,'1.5333','A5346265',1,'en'),
(8336,'and mobile','and mobile',0,1,'1.3333','A53514',1,'en'),
(8337,'and mobile landscape','and mobile landscape',0,1,'1.6667','A535145321',1,'en'),
(8338,'and smaller','and smaller',0,1,'1.3667','A532546',1,'en'),
(8339,'and smaller check','and smaller check',0,1,'1.5667','A5325462',1,'en'),
(8340,'and tablet','and tablet',0,1,'1.3333','A53143',1,'en'),
(8341,'and tablet landscape','and tablet landscape',0,1,'1.6667','A5314345321',1,'en'),
(8342,'border','border',0,0,'0.4','B636',1,'en'),
(8343,'border 0','border 0',0,1,'1.2667','B636',1,'en'),
(8344,'border 0 check','border 0 check',0,1,'1.4667','B6362',1,'en'),
(8345,'builder','builder',0,0,'0.4667','B436',1,'en'),
(8346,'builder tool','builder tool',0,1,'1.4','B43634',1,'en'),
(8347,'builder tool which','builder tool which',0,1,'1.6','B436342',1,'en'),
(8348,'check out','check out',0,1,'1.3','C300',1,'en'),
(8349,'check out more','check out more',0,1,'1.4667','C356',1,'en'),
(8350,'customization','customization',0,0,'0.8667','C35235',1,'en'),
(8351,'customization module','customization module',0,1,'1.6667','C3523534',1,'en'),
(8352,'customization module positions','customization module positions',0,1,'2','C352353412352',1,'en'),
(8353,'customize template','customize template',0,1,'1.6','C35235143',1,'en'),
(8354,'customize template layout','customize template layout',0,1,'1.8333','C3523514343',1,'en'),
(8355,'desktop','desktop',0,0,'0.4667','D231',1,'en'),
(8356,'desktop and','desktop and',0,1,'1.3667','D23153',1,'en'),
(8357,'desktop and tablet','desktop and tablet',0,1,'1.6','D23153143',1,'en'),
(8358,'desktops','desktops',0,0,'0.5333','D2312',1,'en'),
(8359,'desktops tablets','desktops tablets',0,1,'1.5333','D231231432',1,'en'),
(8360,'desktops tablets or','desktops tablets or',0,1,'1.6333','D2312314326',1,'en'),
(8361,'details','details',0,0,'0.4667','D420',1,'en'),
(8362,'details about','details about',0,1,'1.4333','D4213',1,'en'),
(8363,'details about layout','details about layout',0,1,'1.6667','D421343',1,'en'),
(8364,'different screen','different screen',0,1,'1.5333','D1653265',1,'en'),
(8365,'different screen dimensions','different screen dimensions',0,1,'1.9','D165326535252',1,'en'),
(8366,'dimensions','dimensions',0,0,'0.6667','D5252',1,'en'),
(8367,'ef4','ef4',0,0,'0.2','E100',1,'en'),
(8368,'ef4 framework','ef4 framework',0,1,'1.4333','E16562',1,'en'),
(8369,'ef4 framework includes','ef4 framework includes',0,1,'1.7333','E1656252432',1,'en'),
(8370,'extra','extra',0,0,'0.3333','E236',1,'en'),
(8371,'extra small','extra small',0,1,'1.3667','E236254',1,'en'),
(8372,'extra small screen','extra small screen',0,1,'1.6','E236254265',1,'en'),
(8373,'for different','for different',0,1,'1.4333','F631653',1,'en'),
(8374,'for different screen','for different screen',0,1,'1.6667','F631653265',1,'en'),
(8375,'for extra','for extra',0,1,'1.3','F6236',1,'en'),
(8376,'for extra small','for extra small',0,1,'1.5','F6236254',1,'en'),
(8377,'for medium','for medium',0,1,'1.3333','F6535',1,'en'),
(8378,'for medium screen','for medium screen',0,1,'1.5667','F6535265',1,'en'),
(8379,'for normal','for normal',0,1,'1.3333','F65654',1,'en'),
(8380,'for normal and','for normal and',0,1,'1.4667','F6565453',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(8381,'for small','for small',0,1,'1.3','F6254',1,'en'),
(8382,'for small screen','for small screen',0,1,'1.5333','F6254265',1,'en'),
(8383,'framework','framework',0,0,'0.6','F6562',1,'en'),
(8384,'framework includes','framework includes',0,1,'1.6','F656252432',1,'en'),
(8385,'framework includes layout','framework includes layout',0,1,'1.8333','F65625243243',1,'en'),
(8386,'fully','fully',0,0,'0.3333','F400',1,'en'),
(8387,'fully responsive','fully responsive',0,1,'1.5333','F4621521',1,'en'),
(8388,'fully responsive layout','fully responsive layout',0,1,'1.7667','F462152143',1,'en'),
(8389,'higher','higher',0,0,'0.4','H260',1,'en'),
(8390,'higher check','higher check',0,1,'1.4','H262',1,'en'),
(8391,'higher check out','higher check out',0,1,'1.5333','H2623',1,'en'),
(8392,'includes','includes',0,0,'0.5333','I52432',1,'en'),
(8393,'includes layout','includes layout',0,1,'1.5','I5243243',1,'en'),
(8394,'includes layout builder','includes layout builder',0,1,'1.7667','I52432431436',1,'en'),
(8395,'internet joomla','internet joomla',0,1,'1.5','I53653254',1,'en'),
(8396,'internet joomla template','internet joomla template',0,1,'1.8','I5365325435143',1,'en'),
(8397,'is using','is using',0,1,'1.2667','I252',1,'en'),
(8398,'is using fully','is using fully',0,1,'1.4667','I25214',1,'en'),
(8399,'jm internet','jm internet',0,1,'1.3667','J53653',1,'en'),
(8400,'jm internet joomla','jm internet joomla',0,1,'1.6','J53653254',1,'en'),
(8401,'joomla template','joomla template',0,1,'1.5','J5435143',1,'en'),
(8402,'joomla template is','joomla template is',0,1,'1.6','J54351432',1,'en'),
(8403,'landscape','landscape',0,0,'0.6','L5321',1,'en'),
(8404,'landscape 481px-767px','landscape 481px-767px',0,1,'1.7','L5321212',1,'en'),
(8405,'landscape 980px','landscape 980px',0,1,'1.5','L53212',1,'en'),
(8406,'landscape 980px and','landscape 980px and',0,1,'1.6333','L5321253',1,'en'),
(8407,'large','large',0,0,'0.3333','L620',1,'en'),
(8408,'large screen','large screen',0,1,'1.4','L6265',1,'en'),
(8409,'large screen usually','large screen usually',0,1,'1.6667','L626524',1,'en'),
(8410,'layout','layout',0,0,'0.4','L300',1,'en'),
(8411,'layout builder','layout builder',0,1,'1.4667','L31436',1,'en'),
(8412,'layout builder tool','layout builder tool',0,1,'1.6333','L3143634',1,'en'),
(8413,'layout customization','layout customization',0,1,'1.6667','L3235235',1,'en'),
(8414,'layout customization module','layout customization module',0,1,'1.9','L323523534',1,'en'),
(8415,'layout for','layout for',0,1,'1.3333','L316',1,'en'),
(8416,'layout for different','layout for different',0,1,'1.6667','L31631653',1,'en'),
(8417,'layout that','layout that',0,1,'1.3667','L300',1,'en'),
(8418,'layout that adjusts','layout that adjusts',0,1,'1.6333','L3232',1,'en'),
(8419,'medium','medium',0,0,'0.4','M350',1,'en'),
(8420,'medium screen','medium screen',0,1,'1.4333','M35265',1,'en'),
(8421,'medium screen usually','medium screen usually',0,1,'1.7','M3526524',1,'en'),
(8422,'mobile','mobile',0,0,'0.4','M140',1,'en'),
(8423,'mobile landscape','mobile landscape',0,1,'1.5333','M145321',1,'en'),
(8424,'mobile landscape 481px-767px','mobile landscape 481px-767px',0,1,'1.9333','M145321212',1,'en'),
(8425,'mobile portrait','mobile portrait',0,1,'1.5','M1416363',1,'en'),
(8426,'mobile portrait 480px','mobile portrait 480px',0,1,'1.7','M141636312',1,'en'),
(8427,'mobiles','mobiles',0,0,'0.4667','M142',1,'en'),
(8428,'mobiles ef4','mobiles ef4',0,1,'1.3667','M1421',1,'en'),
(8429,'mobiles ef4 framework','mobiles ef4 framework',0,1,'1.7','M14216562',1,'en'),
(8430,'module positions','module positions',0,1,'1.5333','M3412352',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(8431,'module positions for','module positions for',0,1,'1.6667','M341235216',1,'en'),
(8432,'more details','more details',0,1,'1.4','M6342',1,'en'),
(8433,'more details about','more details about',0,1,'1.6','M634213',1,'en'),
(8434,'normal','normal',0,0,'0.4','N654',1,'en'),
(8435,'normal and','normal and',0,1,'1.3333','N65453',1,'en'),
(8436,'normal and large','normal and large',0,1,'1.5333','N65453462',1,'en'),
(8437,'or mobiles','or mobiles',0,1,'1.3333','O65142',1,'en'),
(8438,'or mobiles ef4','or mobiles ef4',0,1,'1.4667','O651421',1,'en'),
(8439,'out','out',1,0,'0.025','O300',1,'en'),
(8440,'out more','out more',0,1,'1.2667','O356',1,'en'),
(8441,'out more details','out more details',0,1,'1.5333','O356342',1,'en'),
(8442,'portrait','portrait',0,0,'0.5333','P6363',1,'en'),
(8443,'portrait 480px','portrait 480px',0,1,'1.4667','P636312',1,'en'),
(8444,'portrait 480px and','portrait 480px and',0,1,'1.6','P63631253',1,'en'),
(8445,'portrait and','portrait and',0,1,'1.4','P636353',1,'en'),
(8446,'portrait and mobile','portrait and mobile',0,1,'1.6333','P636353514',1,'en'),
(8447,'positions','positions',0,0,'0.6','P2352',1,'en'),
(8448,'positions for','positions for',0,1,'1.4333','P235216',1,'en'),
(8449,'positions for extra','positions for extra',0,1,'1.6333','P235216236',1,'en'),
(8450,'positions for medium','positions for medium',0,1,'1.6667','P235216535',1,'en'),
(8451,'positions for normal','positions for normal',0,1,'1.6667','P2352165654',1,'en'),
(8452,'positions for small','positions for small',0,1,'1.6333','P235216254',1,'en'),
(8453,'responsive','responsive',0,0,'0.6667','R21521',1,'en'),
(8454,'responsive layout','responsive layout',0,1,'1.5667','R2152143',1,'en'),
(8455,'responsive layout that','responsive layout that',0,1,'1.7333','R2152143',1,'en'),
(8456,'screen','screen',0,0,'0.4','S650',1,'en'),
(8457,'screen border','screen border',0,1,'1.4333','S651636',1,'en'),
(8458,'screen border 0','screen border 0',0,1,'1.5','S651636',1,'en'),
(8459,'screen dimensions','screen dimensions',0,1,'1.5667','S6535252',1,'en'),
(8460,'screen usually','screen usually',0,1,'1.4667','S6524',1,'en'),
(8461,'screen usually desktop','screen usually desktop',0,1,'1.7333','S65243231',1,'en'),
(8462,'screen usually mobile','screen usually mobile',0,1,'1.7','S6524514',1,'en'),
(8463,'screen usually tablet','screen usually tablet',0,1,'1.7','S65243143',1,'en'),
(8464,'screens','screens',0,0,'0.4667','S652',1,'en'),
(8465,'screens desktops','screens desktops',0,1,'1.5333','S65232312',1,'en'),
(8466,'screens desktops tablets','screens desktops tablets',0,1,'1.8','S6523231231432',1,'en'),
(8467,'small screen','small screen',0,1,'1.4','S54265',1,'en'),
(8468,'small screen border','small screen border',0,1,'1.6333','S542651636',1,'en'),
(8469,'small screen usually','small screen usually',0,1,'1.6667','S5426524',1,'en'),
(8470,'smaller','smaller',0,0,'0.4667','S546',1,'en'),
(8471,'smaller check','smaller check',0,1,'1.4333','S5462',1,'en'),
(8472,'smaller check out','smaller check out',0,1,'1.5667','S54623',1,'en'),
(8473,'tablet','tablet',0,0,'0.4','T143',1,'en'),
(8474,'tablet 768px-979px','tablet 768px-979px',0,1,'1.6','T1431212',1,'en'),
(8475,'tablet 768px-979px check','tablet 768px-979px check',0,1,'1.8','T1431212',1,'en'),
(8476,'tablet landscape','tablet landscape',0,1,'1.5333','T14345321',1,'en'),
(8477,'tablet landscape 980px','tablet landscape 980px',0,1,'1.7333','T143453212',1,'en'),
(8478,'tablet portrait','tablet portrait',0,1,'1.5','T14316363',1,'en'),
(8479,'tablet portrait and','tablet portrait and',0,1,'1.6333','T1431636353',1,'en'),
(8480,'tablets','tablets',0,0,'0.4667','T1432',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(8481,'tablets or','tablets or',0,1,'1.3333','T14326',1,'en'),
(8482,'tablets or mobiles','tablets or mobiles',0,1,'1.6','T143265142',1,'en'),
(8483,'template','template',0,0,'0.5333','T5143',1,'en'),
(8484,'template is','template is',0,1,'1.3667','T51432',1,'en'),
(8485,'template is using','template is using',0,1,'1.5667','T5143252',1,'en'),
(8486,'template layout','template layout',0,1,'1.5','T514343',1,'en'),
(8487,'template layout for','template layout for',0,1,'1.6333','T51434316',1,'en'),
(8488,'template positions','template positions',0,1,'1.6','T514312352',1,'en'),
(8489,'that adjusts','that adjusts',0,1,'1.4','T232',1,'en'),
(8490,'that adjusts to','that adjusts to',0,1,'1.5','T2323',1,'en'),
(8491,'to customize template','to customize template',0,1,'1.7','T235235143',1,'en'),
(8492,'to various','to various',0,1,'1.3333','T162',1,'en'),
(8493,'to various screens','to various screens',0,1,'1.6','T162652',1,'en'),
(8494,'tool','tool',0,0,'0.2667','T400',1,'en'),
(8495,'tool which','tool which',0,1,'1.3333','T420',1,'en'),
(8496,'tool which allows','tool which allows',0,1,'1.5667','T4242',1,'en'),
(8497,'using fully','using fully',0,1,'1.3667','U25214',1,'en'),
(8498,'using fully responsive','using fully responsive',0,1,'1.7333','U25214621521',1,'en'),
(8499,'usually','usually',0,0,'0.4667','U240',1,'en'),
(8500,'usually desktop','usually desktop',0,1,'1.5','U243231',1,'en'),
(8501,'usually desktop and','usually desktop and',0,1,'1.6333','U24323153',1,'en'),
(8502,'usually mobile','usually mobile',0,1,'1.4667','U24514',1,'en'),
(8503,'usually mobile portrait','usually mobile portrait',0,1,'1.7667','U2451416363',1,'en'),
(8504,'usually tablet','usually tablet',0,1,'1.4667','U243143',1,'en'),
(8505,'usually tablet 768px-979px','usually tablet 768px-979px',0,1,'1.8667','U2431431212',1,'en'),
(8506,'usually tablet portrait','usually tablet portrait',0,1,'1.7667','U24314316363',1,'en'),
(8507,'various','various',0,0,'0.4667','V620',1,'en'),
(8508,'various screens','various screens',0,1,'1.5','V62652',1,'en'),
(8509,'various screens desktops','various screens desktops',0,1,'1.8','V6265232312',1,'en'),
(8510,'which','which',1,0,'0.0417','W200',1,'en'),
(8511,'which allows','which allows',0,1,'1.4','W242',1,'en'),
(8512,'which allows you','which allows you',0,1,'1.5333','W242',1,'en'),
(8513,'you to','you to',0,1,'1.2','Y300',1,'en'),
(8514,'you to customize','you to customize',0,1,'1.5333','Y32352',1,'en'),
(20847,'+44','+44',0,0,'0.3','',1,'en'),
(20848,'+44 7837','+44 7837',0,1,'1.2667','',1,'en'),
(20849,'+44 7837 383','+44 7837 383',0,1,'1.4','',1,'en'),
(20850,'01','01',0,0,'0.2','',1,'en'),
(20851,'01 lorem','01 lorem',0,1,'1.2667','L650',1,'en'),
(20852,'01 lorem ipsum','01 lorem ipsum',0,1,'1.4667','L65125',1,'en'),
(20853,'01 span','01 span',0,1,'1.2333','S150',1,'en'),
(20854,'01 span text','01 span text',0,1,'1.4','S15323',1,'en'),
(20855,'02','02',0,0,'0.2','',1,'en'),
(20856,'02 lorem','02 lorem',0,1,'1.2667','L650',1,'en'),
(20857,'02 lorem ipsum','02 lorem ipsum',0,1,'1.4667','L65125',1,'en'),
(20858,'03','03',0,0,'0.2','',1,'en'),
(20859,'03 lorem','03 lorem',0,1,'1.2667','L650',1,'en'),
(20860,'03 lorem ipsum','03 lorem ipsum',0,1,'1.4667','L65125',1,'en'),
(20861,'14.85 span','14.85 span',0,1,'1.3333','S150',1,'en'),
(20862,'14.85 span span','14.85 span span',0,1,'1.5','S15215',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(20863,'250 span','250 span',0,1,'1.2667','S150',1,'en'),
(20864,'250 span span','250 span span',0,1,'1.4333','S15215',1,'en'),
(20865,'29.95 span','29.95 span',0,1,'1.3333','S150',1,'en'),
(20866,'29.95 span span','29.95 span span',0,1,'1.5','S15215',1,'en'),
(20867,'383','383',0,0,'0.3','',1,'en'),
(20868,'383 484','383 484',0,1,'1.2333','',1,'en'),
(20869,'383 484 a','383 484 a',0,1,'1.3','A000',1,'en'),
(20870,'383 484 residential','383 484 residential',0,1,'1.6333','R23534',1,'en'),
(20871,'39.95 span','39.95 span',0,1,'1.3333','S150',1,'en'),
(20872,'39.95 span span','39.95 span span',0,1,'1.5','S15215',1,'en'),
(20873,'484','484',0,0,'0.3','',1,'en'),
(20874,'484 a','484 a',0,1,'1.1667','A000',1,'en'),
(20875,'484 a li','484 a li',0,1,'1.2667','A400',1,'en'),
(20876,'484 residential','484 residential',0,1,'1.5','R23534',1,'en'),
(20877,'484 residential solutions','484 residential solutions',0,1,'1.8333','R2353424352',1,'en'),
(20878,'7837','7837',0,0,'0.4','',1,'en'),
(20879,'7837 383','7837 383',0,1,'1.2667','',1,'en'),
(20880,'7837 383 484','7837 383 484',0,1,'1.4','',1,'en'),
(20881,'87','87',0,0,'0.2','',1,'en'),
(20882,'888-777-888','888-777-888',0,0,'1.1','',1,'en'),
(20883,'888-777-888 read','888-777-888 read',0,1,'1.5333','R300',1,'en'),
(20884,'888-777-888 read more','888-777-888 read more',0,1,'1.7','R356',1,'en'),
(20885,'888-777-888 span','888-777-888 span',0,1,'1.5333','S150',1,'en'),
(20886,'888-777-888 span a','888-777-888 span a',0,1,'1.6','S150',1,'en'),
(20887,'a a','a a',0,1,'1.1','A000',1,'en'),
(20888,'a a class','a a class',0,1,'1.3','A242',1,'en'),
(20889,'a ante','a ante',0,1,'1.2','A530',1,'en'),
(20890,'a ante john','a ante john',0,1,'1.3667','A5325',1,'en'),
(20891,'a ante p','a ante p',0,1,'1.2667','A531',1,'en'),
(20892,'a class','a class',0,1,'1.2333','A242',1,'en'),
(20893,'a class btn','a class btn',0,1,'1.3667','A242135',1,'en'),
(20894,'a class facebook','a class facebook',0,1,'1.5333','A2421212',1,'en'),
(20895,'a class googleplus','a class googleplus',0,1,'1.6','A2424142',1,'en'),
(20896,'a class linkedin','a class linkedin',0,1,'1.5333','A24245235',1,'en'),
(20897,'a class skype','a class skype',0,1,'1.4333','A2421',1,'en'),
(20898,'a class toggle-nav','a class toggle-nav',0,1,'1.6','A24232451',1,'en'),
(20899,'a class twitter','a class twitter',0,1,'1.5','A24236',1,'en'),
(20900,'a class vimeo','a class vimeo',0,1,'1.4333','A24215',1,'en'),
(20901,'a div','a div',0,1,'1.1667','A310',1,'en'),
(20902,'a div div','a div div',0,1,'1.3','A3131',1,'en'),
(20903,'a div home','a div home',0,1,'1.3333','A315',1,'en'),
(20904,'a div this','a div this',0,1,'1.3333','A3132',1,'en'),
(20905,'a href','a href',0,1,'1.2','A610',1,'en'),
(20906,'a href class','a href class',0,1,'1.4','A61242',1,'en'),
(20907,'a li','a li',0,1,'1.1333','A400',1,'en'),
(20908,'a li li','a li li',0,1,'1.2333','A400',1,'en'),
(20909,'a li ul','a li ul',0,1,'1.2333','A400',1,'en'),
(20910,'a lorem','a lorem',0,1,'1.2333','A465',1,'en'),
(20911,'a lorem ipsum','a lorem ipsum',0,1,'1.4333','A465125',1,'en'),
(20912,'a p','a p',0,1,'1.1','A100',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(20913,'a p read','a p read',0,1,'1.2667','A163',1,'en'),
(20914,'a p top','a p top',0,1,'1.2333','A131',1,'en'),
(20915,'a span','a span',0,1,'1.2','A215',1,'en'),
(20916,'a span class','a span class',0,1,'1.4','A215242',1,'en'),
(20917,'a span text','a span text',0,1,'1.3667','A215323',1,'en'),
(20918,'a title','a title',0,1,'1.2333','A340',1,'en'),
(20919,'a title contact','a title contact',0,1,'1.5','A3425323',1,'en'),
(20920,'acquihire','acquihire',0,0,'0.6','A260',1,'en'),
(20921,'acquihire technical','acquihire technical',0,1,'1.6333','A2632524',1,'en'),
(20922,'acquihire technical cofounder','acquihire technical cofounder',0,1,'1.9667','A263252421536',1,'en'),
(20923,'adipiscing elit duis','adipiscing elit duis',0,1,'1.6667','A31252432',1,'en'),
(20924,'adipiscing elit integer','adipiscing elit integer',0,1,'1.7667','A31252435326',1,'en'),
(20925,'adipiscing elit sed','adipiscing elit sed',0,1,'1.6333','A312524323',1,'en'),
(20926,'adipiscing elit span','adipiscing elit span',0,1,'1.6667','A3125243215',1,'en'),
(20927,'aenean quis','aenean quis',0,1,'1.3667','A520',1,'en'),
(20928,'aenean quis sapien','aenean quis sapien',0,1,'1.6','A5215',1,'en'),
(20929,'alert','alert',0,0,'0.3333','A463',1,'en'),
(20930,'alert alert-error','alert alert-error',0,1,'1.5667','A4634636',1,'en'),
(20931,'alert alert-error text','alert alert-error text',0,1,'1.7333','A4634636323',1,'en'),
(20932,'alert alert-info','alert alert-info',0,1,'1.5333','A46346351',1,'en'),
(20933,'alert alert-info text','alert alert-info text',0,1,'1.7','A46346351323',1,'en'),
(20934,'alert alert-success','alert alert-success',0,1,'1.6333','A4634632',1,'en'),
(20935,'alert alert-success text','alert alert-success text',0,1,'1.8','A4634632323',1,'en'),
(20936,'alert text','alert text',0,1,'1.3333','A46323',1,'en'),
(20937,'alert text goes','alert text goes',0,1,'1.5','A463232',1,'en'),
(20938,'alert-error','alert-error',0,0,'0.7333','A4636',1,'en'),
(20939,'alert-error text','alert-error text',0,1,'1.5333','A4636323',1,'en'),
(20940,'alert-error text goes','alert-error text goes',0,1,'1.7','A46363232',1,'en'),
(20941,'alert-info','alert-info',0,0,'0.6667','A46351',1,'en'),
(20942,'alert-info text','alert-info text',0,1,'1.5','A46351323',1,'en'),
(20943,'alert-info text goes','alert-info text goes',0,1,'1.6667','A463513232',1,'en'),
(20944,'alert-success','alert-success',0,0,'0.8667','A4632',1,'en'),
(20945,'alert-success text','alert-success text',0,1,'1.6','A4632323',1,'en'),
(20946,'alert-success text goes','alert-success text goes',0,1,'1.7667','A46323232',1,'en'),
(20947,'aliqua check','aliqua check',0,1,'1.4','A420',1,'en'),
(20948,'aliqua check an','aliqua check an',0,1,'1.5','A425',1,'en'),
(20949,'aliqua div','aliqua div',0,1,'1.3333','A4231',1,'en'),
(20950,'aliqua div a','aliqua div a',0,1,'1.4','A4231',1,'en'),
(20951,'alt','alt',0,0,'0.2','A430',1,'en'),
(20952,'alt direction','alt direction',0,1,'1.4333','A436235',1,'en'),
(20953,'alt direction a','alt direction a',0,1,'1.5','A436235',1,'en'),
(20954,'alt div','alt div',0,1,'1.2333','A431',1,'en'),
(20955,'alt div div','alt div div',0,1,'1.3667','A43131',1,'en'),
(20956,'alt email','alt email',0,1,'1.3','A4354',1,'en'),
(20957,'alt email a','alt email a',0,1,'1.3667','A4354',1,'en'),
(20958,'alt phone','alt phone',0,1,'1.3','A4315',1,'en'),
(20959,'alt phone a','alt phone a',0,1,'1.3667','A4315',1,'en'),
(20960,'amet condimentum','amet condimentum',0,1,'1.5333','A53253535',1,'en'),
(20961,'amet condimentum diam','amet condimentum diam',0,1,'1.7','A5325353535',1,'en'),
(20962,'amet ipsum','amet ipsum',0,1,'1.3333','A53125',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(20963,'amet ipsum duis','amet ipsum duis',0,1,'1.5','A5312532',1,'en'),
(20964,'amet ipsum ol','amet ipsum ol',0,1,'1.4333','A531254',1,'en'),
(20965,'amet ipsum ordered','amet ipsum ordered',0,1,'1.6','A531256363',1,'en'),
(20966,'amet ipsum read','amet ipsum read',0,1,'1.5','A5312563',1,'en'),
(20967,'amet ipsum ul','amet ipsum ul',0,1,'1.4333','A531254',1,'en'),
(20968,'amet li','amet li',0,1,'1.2333','A534',1,'en'),
(20969,'amet li li','amet li li',0,1,'1.3333','A534',1,'en'),
(20970,'amet vestibulum','amet vestibulum',0,1,'1.5','A53123145',1,'en'),
(20971,'amet vestibulum venenatis','amet vestibulum venenatis',0,1,'1.8333','A531231451532',1,'en'),
(20972,'an','an',1,0,'0.0167','A500',1,'en'),
(20973,'an offer','an offer',0,1,'1.2667','A516',1,'en'),
(20974,'an offer a','an offer a',0,1,'1.3333','A516',1,'en'),
(20975,'an offer social','an offer social',0,1,'1.5','A51624',1,'en'),
(20976,'ante john','ante john',0,1,'1.3','A5325',1,'en'),
(20977,'ante john doe','ante john doe',0,1,'1.4333','A53253',1,'en'),
(20978,'ante p','ante p',0,1,'1.2','A531',1,'en'),
(20979,'ante p small','ante p small',0,1,'1.4','A531254',1,'en'),
(20980,'as span','as span',0,1,'1.2333','A215',1,'en'),
(20981,'as span span','as span span',0,1,'1.4','A215215',1,'en'),
(20982,'augue li','augue li',0,1,'1.2667','A240',1,'en'),
(20983,'augue li li','augue li li',0,1,'1.3667','A240',1,'en'),
(20984,'b','b',0,0,'0.0667','B000',1,'en'),
(20985,'b lorem','b lorem',0,1,'1.2333','B465',1,'en'),
(20986,'b lorem ipsum','b lorem ipsum',0,1,'1.4333','B465125',1,'en'),
(20987,'bibendum felis','bibendum felis',0,1,'1.4667','B535142',1,'en'),
(20988,'bibendum felis numered','bibendum felis numered',0,1,'1.7333','B535142563',1,'en'),
(20989,'bibendum felis this','bibendum felis this',0,1,'1.6333','B53514232',1,'en'),
(20990,'blockquote','blockquote',0,0,'0.6667','B423',1,'en'),
(20991,'blockquote blockquote','blockquote blockquote',0,1,'1.7','B4231423',1,'en'),
(20992,'blockquote blockquote p','blockquote blockquote p',0,1,'1.7667','B42314231',1,'en'),
(20993,'blockquote class','blockquote class',0,1,'1.5333','B423242',1,'en'),
(20994,'blockquote class pull-right','blockquote class pull-right',0,1,'1.9','B42324214623',1,'en'),
(20995,'blockquote lorem','blockquote lorem',0,1,'1.5333','B423465',1,'en'),
(20996,'blockquote lorem ipsum','blockquote lorem ipsum',0,1,'1.7333','B423465125',1,'en'),
(20997,'blockquote p','blockquote p',0,1,'1.4','B4231',1,'en'),
(20998,'blockquote p lorem','blockquote p lorem',0,1,'1.6','B4231465',1,'en'),
(20999,'blocks','blocks',0,0,'0.4','B420',1,'en'),
(21000,'blocks div','blocks div',0,1,'1.3333','B4231',1,'en'),
(21001,'blocks div class','blocks div class',0,1,'1.5333','B4231242',1,'en'),
(21002,'blocks p','blocks p',0,1,'1.2667','B421',1,'en'),
(21003,'blocks p class','blocks p class',0,1,'1.4667','B421242',1,'en'),
(21004,'borders','borders',0,0,'0.4667','B6362',1,'en'),
(21005,'borders img','borders img',0,1,'1.3667','B636252',1,'en'),
(21006,'borders img class','borders img class',0,1,'1.5667','B63625242',1,'en'),
(21007,'bottom','bottom',0,0,'0.4','B350',1,'en'),
(21008,'bottom a','bottom a',0,1,'1.2667','B350',1,'en'),
(21009,'bottom a class','bottom a class',0,1,'1.4667','B35242',1,'en'),
(21010,'box','box',0,0,'0.2','B200',1,'en'),
(21011,'box div','box div',0,1,'1.2333','B231',1,'en'),
(21012,'box div class','box div class',0,1,'1.4333','B231242',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(21013,'box-in','box-in',0,0,'0.4','B250',1,'en'),
(21014,'box-in div','box-in div',0,1,'1.3333','B2531',1,'en'),
(21015,'box-in div class','box-in div class',0,1,'1.5333','B2531242',1,'en'),
(21016,'br','br',0,0,'0.1333','B600',1,'en'),
(21017,'br in','br in',0,1,'1.1667','B650',1,'en'),
(21018,'br in facilisis','br in facilisis',0,1,'1.5','B651242',1,'en'),
(21019,'br ut','br ut',0,1,'1.1667','B630',1,'en'),
(21020,'br ut labore','br ut labore',0,1,'1.4','B63416',1,'en'),
(21021,'btn','btn',0,0,'0.2','B350',1,'en'),
(21022,'btn href','btn href',0,1,'1.2667','B3561',1,'en'),
(21023,'btn href check','btn href check',0,1,'1.4667','B35612',1,'en'),
(21024,'btn href i\'m','btn href i',0,1,'1.4','B35615',1,'en'),
(21025,'btn href read','btn href read',0,1,'1.4333','B356163',1,'en'),
(21026,'business','business',0,0,'0.5333','B252',1,'en'),
(21027,'business solutions','business solutions',0,1,'1.6','B2524352',1,'en'),
(21028,'business solutions module','business solutions module',0,1,'1.8333','B2524352534',1,'en'),
(21029,'business solutions span','business solutions span',0,1,'1.7667','B252435215',1,'en'),
(21030,'business solutions www','business solutions www',0,1,'1.7333','B2524352',1,'en'),
(21031,'button','button',0,0,'0.4','B350',1,'en'),
(21032,'button module','button module',0,1,'1.4333','B3534',1,'en'),
(21033,'button module p','button module p',0,1,'1.5','B35341',1,'en'),
(21034,'button p','button p',0,1,'1.2667','B351',1,'en'),
(21035,'button p class','button p class',0,1,'1.4667','B351242',1,'en'),
(21036,'c','c',0,0,'0.0667','C000',1,'en'),
(21037,'c lorem','c lorem',0,1,'1.2333','C465',1,'en'),
(21038,'c lorem ipsum','c lorem ipsum',0,1,'1.4333','C465125',1,'en'),
(21039,'cable internet div','cable internet div',0,1,'1.6','C14536531',1,'en'),
(21040,'call','call',0,0,'0.2667','C400',1,'en'),
(21041,'call 888-777-888','call 888-777-888',0,1,'1.5333','C400',1,'en'),
(21042,'call 888-777-888 read','call 888-777-888 read',0,1,'1.7','C463',1,'en'),
(21043,'call 888-777-888 span','call 888-777-888 span',0,1,'1.7','C4215',1,'en'),
(21044,'check an','check an',0,1,'1.2667','C500',1,'en'),
(21045,'check an offer','check an offer',0,1,'1.4667','C516',1,'en'),
(21046,'class','class',0,0,'0.3333','C420',1,'en'),
(21047,'class alert','class alert',0,1,'1.3667','C42463',1,'en'),
(21048,'class alert alert-error','class alert alert-error',0,1,'1.7667','C424634636',1,'en'),
(21049,'class alert alert-info','class alert alert-info',0,1,'1.7333','C4246346351',1,'en'),
(21050,'class alert alert-success','class alert alert-success',0,1,'1.8333','C424634632',1,'en'),
(21051,'class alert text','class alert text',0,1,'1.5333','C4246323',1,'en'),
(21052,'class bottom','class bottom',0,1,'1.4','C42135',1,'en'),
(21053,'class bottom a','class bottom a',0,1,'1.4667','C42135',1,'en'),
(21054,'class box','class box',0,1,'1.3','C4212',1,'en'),
(21055,'class box div','class box div',0,1,'1.4333','C421231',1,'en'),
(21056,'class box-in','class box-in',0,1,'1.4','C42125',1,'en'),
(21057,'class box-in div','class box-in div',0,1,'1.5333','C4212531',1,'en'),
(21058,'class btn','class btn',0,1,'1.3','C42135',1,'en'),
(21059,'class btn href','class btn href',0,1,'1.4667','C4213561',1,'en'),
(21060,'class contact','class contact',0,1,'1.4333','C425323',1,'en'),
(21061,'class contact call','class contact call',0,1,'1.6','C42532324',1,'en'),
(21062,'class content','class content',0,1,'1.4333','C425353',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(21063,'class content div','class content div',0,1,'1.5667','C4253531',1,'en'),
(21064,'class custom-icon1','class custom-icon1',0,1,'1.6','C423525',1,'en'),
(21065,'class custom-icon1 span','class custom-icon1 span',0,1,'1.7667','C423525215',1,'en'),
(21066,'class custom-icon2','class custom-icon2',0,1,'1.6','C423525',1,'en'),
(21067,'class custom-icon2 span','class custom-icon2 span',0,1,'1.7667','C423525215',1,'en'),
(21068,'class description','class description',0,1,'1.5667','C42326135',1,'en'),
(21069,'class description lorem','class description lorem',0,1,'1.7667','C42326135465',1,'en'),
(21070,'class down','class down',0,1,'1.3333','C4235',1,'en'),
(21071,'class down mbps','class down mbps',0,1,'1.5','C423512',1,'en'),
(21072,'class down month','class down month',0,1,'1.5333','C42353',1,'en'),
(21073,'class expand-in','class expand-in',0,1,'1.5','C421535',1,'en'),
(21074,'class expand-in span','class expand-in span',0,1,'1.6667','C421535215',1,'en'),
(21075,'class facebook','class facebook',0,1,'1.4667','C421212',1,'en'),
(21076,'class facebook href','class facebook href',0,1,'1.6333','C42121261',1,'en'),
(21077,'class googleplus','class googleplus',0,1,'1.5333','C424142',1,'en'),
(21078,'class googleplus href','class googleplus href',0,1,'1.7','C42414261',1,'en'),
(21079,'class icon-align-justify','class icon-align-justify',0,1,'1.8','C425425231',1,'en'),
(21080,'class icon-align-justify span','class icon-align-justify span',0,1,'1.9667','C425425231215',1,'en'),
(21081,'class icon-align-left','class icon-align-left',0,1,'1.7','C425425413',1,'en'),
(21082,'class icon-align-left icon-align-left','class icon-align-left icon-align-left',0,1,'2','C42542541325425413',1,'en'),
(21083,'class icon-joomla','class icon-joomla',0,1,'1.5667','C425254',1,'en'),
(21084,'class icon-joomla nbsp','class icon-joomla nbsp',0,1,'1.7333','C4252545121',1,'en'),
(21085,'class icon-usd','class icon-usd',0,1,'1.4667','C42523',1,'en'),
(21086,'class icon-usd icon-usd','class icon-usd icon-usd',0,1,'1.7667','C425232523',1,'en'),
(21087,'class img-circle','class img-circle',0,1,'1.5333','C4252624',1,'en'),
(21088,'class img-circle src','class img-circle src',0,1,'1.6667','C4252624262',1,'en'),
(21089,'class img-polaroid','class img-polaroid',0,1,'1.6','C42521463',1,'en'),
(21090,'class img-polaroid src','class img-polaroid src',0,1,'1.7333','C42521463262',1,'en'),
(21091,'class img-rounded','class img-rounded',0,1,'1.5667','C4252653',1,'en'),
(21092,'class img-rounded src','class img-rounded src',0,1,'1.7','C4252653262',1,'en'),
(21093,'class jm','class jm',0,1,'1.2667','C425',1,'en'),
(21094,'class jm 01','class jm 01',0,1,'1.3667','C425',1,'en'),
(21095,'class jm a','class jm a',0,1,'1.3333','C425',1,'en'),
(21096,'class jm-alpha','class jm-alpha',0,1,'1.4667','C42541',1,'en'),
(21097,'class jm-alpha list','class jm-alpha list',0,1,'1.6333','C42541423',1,'en'),
(21098,'class jm-badge','class jm-badge',0,1,'1.4667','C425132',1,'en'),
(21099,'class jm-badge text','class jm-badge text',0,1,'1.6333','C425132323',1,'en'),
(21100,'class jm-block','class jm-block',0,1,'1.4667','C425142',1,'en'),
(21101,'class jm-block second','class jm-block second',0,1,'1.7','C42514253',1,'en'),
(21102,'class jm-block span','class jm-block span',0,1,'1.6333','C42514215',1,'en'),
(21103,'class jm-box','class jm-box',0,1,'1.4','C42512',1,'en'),
(21104,'class jm-box div','class jm-box div',0,1,'1.5333','C4251231',1,'en'),
(21105,'class jm-box-in','class jm-box-in',0,1,'1.5','C425125',1,'en'),
(21106,'class jm-box-in div','class jm-box-in div',0,1,'1.6333','C42512531',1,'en'),
(21107,'class jm-calendar','class jm-calendar',0,1,'1.5667','C42524536',1,'en'),
(21108,'class jm-calendar text','class jm-calendar text',0,1,'1.7333','C42524536323',1,'en'),
(21109,'class jm-chat','class jm-chat',0,1,'1.4333','C42523',1,'en'),
(21110,'class jm-chat text','class jm-chat text',0,1,'1.6','C4252323',1,'en'),
(21111,'class jm-check','class jm-check',0,1,'1.4667','C4252',1,'en'),
(21112,'class jm-check text','class jm-check text',0,1,'1.6333','C4252323',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(21113,'class jm-cloud','class jm-cloud',0,1,'1.4667','C425243',1,'en'),
(21114,'class jm-cloud text','class jm-cloud text',0,1,'1.6333','C42524323',1,'en'),
(21115,'class jm-color-list','class jm-color-list',0,1,'1.6333','C425246423',1,'en'),
(21116,'class jm-color-list list','class jm-color-list list',0,1,'1.8','C425246423423',1,'en'),
(21117,'class jm-column','class jm-column',0,1,'1.5','C425245',1,'en'),
(21118,'class jm-column span','class jm-column span',0,1,'1.6667','C425245215',1,'en'),
(21119,'class jm-contact-icons','class jm-contact-icons',0,1,'1.7333','C42525323252',1,'en'),
(21120,'class jm-contact-icons li','class jm-contact-icons li',0,1,'1.8333','C425253232524',1,'en'),
(21121,'class jm-custom-content','class jm-custom-content',0,1,'1.7667','C42523525353',1,'en'),
(21122,'class jm-custom-content clearfix','class jm-custom-content clearfix',0,1,'2','C4252352535324612',1,'en'),
(21123,'class jm-custom-header','class jm-custom-header',0,1,'1.7333','C42523536',1,'en'),
(21124,'class jm-custom-header div','class jm-custom-header div',0,1,'1.8667','C4252353631',1,'en'),
(21125,'class jm-description','class jm-description',0,1,'1.6667','C425326135',1,'en'),
(21126,'class jm-description span','class jm-description span',0,1,'1.8333','C425326135215',1,'en'),
(21127,'class jm-direction','class jm-direction',0,1,'1.6','C42536235',1,'en'),
(21128,'class jm-direction img','class jm-direction img',0,1,'1.7333','C425362352',1,'en'),
(21129,'class jm-direction text','class jm-direction text',0,1,'1.7667','C42536235323',1,'en'),
(21130,'class jm-divide','class jm-divide',0,1,'1.5','C425313',1,'en'),
(21131,'class jm-divide text','class jm-divide text',0,1,'1.6667','C42531323',1,'en'),
(21132,'class jm-email','class jm-email',0,1,'1.4667','C4254',1,'en'),
(21133,'class jm-email img','class jm-email img',0,1,'1.6','C425452',1,'en'),
(21134,'class jm-error','class jm-error',0,1,'1.4667','C4256',1,'en'),
(21135,'class jm-error text','class jm-error text',0,1,'1.6333','C4256323',1,'en'),
(21136,'class jm-expand','class jm-expand',0,1,'1.5','C4252153',1,'en'),
(21137,'class jm-expand div','class jm-expand div',0,1,'1.6333','C42521531',1,'en'),
(21138,'class jm-fire','class jm-fire',0,1,'1.4333','C42516',1,'en'),
(21139,'class jm-fire text','class jm-fire text',0,1,'1.6','C42516323',1,'en'),
(21140,'class jm-flag','class jm-flag',0,1,'1.4333','C425142',1,'en'),
(21141,'class jm-flag text','class jm-flag text',0,1,'1.6','C425142323',1,'en'),
(21142,'class jm-heart','class jm-heart',0,1,'1.4667','C42563',1,'en'),
(21143,'class jm-heart text','class jm-heart text',0,1,'1.6333','C4256323',1,'en'),
(21144,'class jm-home','class jm-home',0,1,'1.4333','C425',1,'en'),
(21145,'class jm-home text','class jm-home text',0,1,'1.6','C425323',1,'en'),
(21146,'class jm-icon','class jm-icon',0,1,'1.4333','C42525',1,'en'),
(21147,'class jm-icon div','class jm-icon div',0,1,'1.5667','C4252531',1,'en'),
(21148,'class jm-icon img','class jm-icon img',0,1,'1.5667','C425252',1,'en'),
(21149,'class jm-icon-in','class jm-icon-in',0,1,'1.5333','C42525',1,'en'),
(21150,'class jm-icon-in span','class jm-icon-in span',0,1,'1.7','C42525215',1,'en'),
(21151,'class jm-info','class jm-info',0,1,'1.4333','C4251',1,'en'),
(21152,'class jm-info text','class jm-info text',0,1,'1.6','C4251323',1,'en'),
(21153,'class jm-light-list','class jm-light-list',0,1,'1.6333','C425423423',1,'en'),
(21154,'class jm-light-list list','class jm-light-list list',0,1,'1.8','C425423423423',1,'en'),
(21155,'class jm-list','class jm-list',0,1,'1.4333','C425423',1,'en'),
(21156,'class jm-list text','class jm-list text',0,1,'1.6','C42542323',1,'en'),
(21157,'class jm-mail','class jm-mail',0,1,'1.4333','C4254',1,'en'),
(21158,'class jm-mail text','class jm-mail text',0,1,'1.6','C4254323',1,'en'),
(21159,'class jm-people','class jm-people',0,1,'1.5','C42514',1,'en'),
(21160,'class jm-people text','class jm-people text',0,1,'1.6667','C42514323',1,'en'),
(21161,'class jm-phone','class jm-phone',0,1,'1.4667','C42515',1,'en'),
(21162,'class jm-phone +44','class jm-phone +44',0,1,'1.6','C42515',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(21163,'class jm-phone img','class jm-phone img',0,1,'1.6','C425152',1,'en'),
(21164,'class jm-pricing','class jm-pricing',0,1,'1.5333','C42516252',1,'en'),
(21165,'class jm-pricing clearfix','class jm-pricing clearfix',0,1,'1.8333','C425162524612',1,'en'),
(21166,'class jm-roman','class jm-roman',0,1,'1.4667','C42565',1,'en'),
(21167,'class jm-roman list','class jm-roman list',0,1,'1.6333','C42565423',1,'en'),
(21168,'class jm-socials','class jm-socials',0,1,'1.5333','C425242',1,'en'),
(21169,'class jm-socials a','class jm-socials a',0,1,'1.6','C425242',1,'en'),
(21170,'class jm-star','class jm-star',0,1,'1.4333','C425236',1,'en'),
(21171,'class jm-star text','class jm-star text',0,1,'1.6','C425236323',1,'en'),
(21172,'class jm-stat','class jm-stat',0,1,'1.4333','C42523',1,'en'),
(21173,'class jm-stat text','class jm-stat text',0,1,'1.6','C4252323',1,'en'),
(21174,'class link','class link',0,1,'1.3333','C42452',1,'en'),
(21175,'class link www','class link www',0,1,'1.4667','C42452',1,'en'),
(21176,'class linkedin','class linkedin',0,1,'1.4667','C4245235',1,'en'),
(21177,'class linkedin href','class linkedin href',0,1,'1.6333','C424523561',1,'en'),
(21178,'class middle','class middle',0,1,'1.4','C42534',1,'en'),
(21179,'class middle 14.85','class middle 14.85',0,1,'1.6','C42534',1,'en'),
(21180,'class middle 250','class middle 250',0,1,'1.5333','C42534',1,'en'),
(21181,'class middle 29.95','class middle 29.95',0,1,'1.6','C42534',1,'en'),
(21182,'class middle 39.95','class middle 39.95',0,1,'1.6','C42534',1,'en'),
(21183,'class price','class price',0,1,'1.3667','C42162',1,'en'),
(21184,'class price span','class price span',0,1,'1.5333','C4216215',1,'en'),
(21185,'class pull-right','class pull-right',0,1,'1.5333','C4214623',1,'en'),
(21186,'class pull-right p','class pull-right p',0,1,'1.6','C42146231',1,'en'),
(21187,'class readmore','class readmore',0,1,'1.4667','C426356',1,'en'),
(21188,'class readmore a','class readmore a',0,1,'1.5333','C426356',1,'en'),
(21189,'class readmore read','class readmore read',0,1,'1.6333','C4263563',1,'en'),
(21190,'class row-fluid','class row-fluid',0,1,'1.5','C426143',1,'en'),
(21191,'class row-fluid div','class row-fluid div',0,1,'1.6333','C4261431',1,'en'),
(21192,'class skype','class skype',0,1,'1.3667','C421',1,'en'),
(21193,'class skype href','class skype href',0,1,'1.5333','C42161',1,'en'),
(21194,'class subtitle','class subtitle',0,1,'1.4667','C42134',1,'en'),
(21195,'class subtitle no','class subtitle no',0,1,'1.5667','C421345',1,'en'),
(21196,'class subtitle services','class subtitle services',0,1,'1.7667','C421342612',1,'en'),
(21197,'class subtitle step','class subtitle step',0,1,'1.6333','C42134231',1,'en'),
(21198,'class title','class title',0,1,'1.3667','C4234',1,'en'),
(21199,'class title business','class title business',0,1,'1.6667','C42341252',1,'en'),
(21200,'class title cable','class title cable',0,1,'1.5667','C4234214',1,'en'),
(21201,'class title dsl','class title dsl',0,1,'1.5','C4234324',1,'en'),
(21202,'class title high','class title high',0,1,'1.5333','C42342',1,'en'),
(21203,'class title residential','class title residential',0,1,'1.7667','C4234623534',1,'en'),
(21204,'class title satellite','class title satellite',0,1,'1.7','C42342343',1,'en'),
(21205,'class title this','class title this',0,1,'1.5333','C423432',1,'en'),
(21206,'class toggle-nav','class toggle-nav',0,1,'1.5333','C4232451',1,'en'),
(21207,'class toggle-nav menu','class toggle-nav menu',0,1,'1.7','C42324515',1,'en'),
(21208,'class twitter','class twitter',0,1,'1.4333','C4236',1,'en'),
(21209,'class twitter href','class twitter href',0,1,'1.6','C42361',1,'en'),
(21210,'class up','class up',0,1,'1.2667','C421',1,'en'),
(21211,'class up as','class up as',0,1,'1.3667','C4212',1,'en'),
(21212,'class up up','class up up',0,1,'1.3667','C421',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(21213,'class vimeo','class vimeo',0,1,'1.3667','C4215',1,'en'),
(21214,'class vimeo href','class vimeo href',0,1,'1.5333','C421561',1,'en'),
(21215,'clearfix','clearfix',0,0,'0.5333','C4612',1,'en'),
(21216,'clearfix col3','clearfix col3',0,1,'1.4333','C46124',1,'en'),
(21217,'clearfix col3 div','clearfix col3 div',0,1,'1.5667','C4612431',1,'en'),
(21218,'clearfix div','clearfix div',0,1,'1.4','C461231',1,'en'),
(21219,'cofounder','cofounder',0,0,'0.6','C1536',1,'en'),
(21220,'cofounder user','cofounder user',0,1,'1.4667','C153626',1,'en'),
(21221,'cofounder user engagement','cofounder user engagement',0,1,'1.8333','C1536265253',1,'en'),
(21222,'col3','col3',0,0,'0.2667','C400',1,'en'),
(21223,'col3 div','col3 div',0,1,'1.2667','C431',1,'en'),
(21224,'col3 div class','col3 div class',0,1,'1.4667','C431242',1,'en'),
(21225,'colored','colored',0,0,'0.4667','C463',1,'en'),
(21226,'colored blocks','colored blocks',0,1,'1.4667','C463142',1,'en'),
(21227,'colored blocks div','colored blocks div',0,1,'1.6','C46314231',1,'en'),
(21228,'com','com',0,0,'0.2','C500',1,'en'),
(21229,'com a','com a',0,1,'1.1667','C500',1,'en'),
(21230,'com a span','com a span',0,1,'1.3333','C5215',1,'en'),
(21231,'com lorem','com lorem',0,1,'1.3','C5465',1,'en'),
(21232,'com lorem lean','com lorem lean',0,1,'1.4667','C546545',1,'en'),
(21233,'condimentum diam','condimentum diam',0,1,'1.5333','C5353535',1,'en'),
(21234,'condimentum diam vehicula','condimentum diam vehicula',0,1,'1.8333','C5353535124',1,'en'),
(21235,'contact','contact',0,0,'0.4667','C5323',1,'en'),
(21236,'contact call','contact call',0,1,'1.4','C532324',1,'en'),
(21237,'contact call 888-777-888','contact call 888-777-888',0,1,'1.8','C532324',1,'en'),
(21238,'contact href','contact href',0,1,'1.4','C532361',1,'en'),
(21239,'contact href +44','contact href +44',0,1,'1.5333','C532361',1,'en'),
(21240,'contact href email','contact href email',0,1,'1.6','C53236154',1,'en'),
(21241,'contact href gt','contact href gt',0,1,'1.5','C53236123',1,'en'),
(21242,'contact module','contact module',0,1,'1.4667','C5323534',1,'en'),
(21243,'contact module ul','contact module ul',0,1,'1.5667','C5323534',1,'en'),
(21244,'content div','content div',0,1,'1.3667','C53531',1,'en'),
(21245,'content div class','content div class',0,1,'1.5667','C53531242',1,'en'),
(21246,'convallis porta','convallis porta',0,1,'1.5','C5142163',1,'en'),
(21247,'convallis porta lacinia','convallis porta lacinia',0,1,'1.7667','C5142163425',1,'en'),
(21248,'convallis sit','convallis sit',0,1,'1.4333','C51423',1,'en'),
(21249,'convallis sit amet','convallis sit amet',0,1,'1.6','C5142353',1,'en'),
(21250,'cure p','cure p',0,1,'1.2','C610',1,'en'),
(21251,'cure p p','cure p p',0,1,'1.2667','C610',1,'en'),
(21252,'custom html module','custom html module',0,1,'1.6','C35354534',1,'en'),
(21253,'custom span','custom span',0,1,'1.3667','C35215',1,'en'),
(21254,'custom span html','custom span html',0,1,'1.5333','C35215354',1,'en'),
(21255,'custom-icon1','custom-icon1',0,0,'0.8','C3525',1,'en'),
(21256,'custom-icon1 span','custom-icon1 span',0,1,'1.5667','C3525215',1,'en'),
(21257,'custom-icon1 span lorem','custom-icon1 span lorem',0,1,'1.7667','C3525215465',1,'en'),
(21258,'custom-icon2','custom-icon2',0,0,'0.8','C3525',1,'en'),
(21259,'custom-icon2 span','custom-icon2 span',0,1,'1.5667','C3525215',1,'en'),
(21260,'custom-icon2 span adipiscing','custom-icon2 span adipiscing',0,1,'1.9333','C352521531252',1,'en'),
(21261,'customer','customer',0,0,'0.5333','C356',1,'en'),
(21262,'customer development','customer development',0,1,'1.6667','C356314153',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(21263,'customer development acquihire','customer development acquihire',0,1,'2','C35631415326',1,'en'),
(21264,'description','description',0,0,'0.7333','D26135',1,'en'),
(21265,'description lorem','description lorem',0,1,'1.5667','D26135465',1,'en'),
(21266,'description lorem ipsum','description lorem ipsum',0,1,'1.7667','D26135465125',1,'en'),
(21267,'description lorem lean','description lorem lean',0,1,'1.7333','D2613546545',1,'en'),
(21268,'development','development',0,0,'0.7333','D14153',1,'en'),
(21269,'development acquihire','development acquihire',0,1,'1.7','D1415326',1,'en'),
(21270,'development acquihire technical','development acquihire technical',0,1,'2','D141532632524',1,'en'),
(21271,'diam li','diam li',0,1,'1.2333','D540',1,'en'),
(21272,'diam li li','diam li li',0,1,'1.3333','D540',1,'en'),
(21273,'diam vehicula','diam vehicula',0,1,'1.4333','D5124',1,'en'),
(21274,'diam vehicula morbi','diam vehicula morbi',0,1,'1.6333','D5124561',1,'en'),
(21275,'digni ssim p','digni ssim p',0,1,'1.4','D25251',1,'en'),
(21276,'dignissim p','dignissim p',0,1,'1.3667','D25251',1,'en'),
(21277,'dignissim p a','dignissim p a',0,1,'1.4333','D25251',1,'en'),
(21278,'dignissim p p','dignissim p p',0,1,'1.4333','D25251',1,'en'),
(21279,'direction','direction',0,0,'0.6','D6235',1,'en'),
(21280,'direction a','direction a',0,1,'1.3667','D6235',1,'en'),
(21281,'direction a title','direction a title',0,1,'1.5667','D623534',1,'en'),
(21282,'direction png','direction png',0,1,'1.4333','D6235152',1,'en'),
(21283,'direction png alt','direction png alt',0,1,'1.5667','D623515243',1,'en'),
(21284,'div','div',0,0,'0.2','D100',1,'en'),
(21285,'div a','div a',0,1,'1.1667','D100',1,'en'),
(21286,'div a class','div a class',0,1,'1.3667','D1242',1,'en'),
(21287,'div as','div as',0,1,'1.2','D120',1,'en'),
(21288,'div as low','div as low',0,1,'1.3333','D124',1,'en'),
(21289,'div business','div business',0,1,'1.4','D1252',1,'en'),
(21290,'div business solutions','div business solutions',0,1,'1.7333','D12524352',1,'en'),
(21291,'div class','div class',0,1,'1.3','D1242',1,'en'),
(21292,'div class alert','div class alert',0,1,'1.5','D1242463',1,'en'),
(21293,'div class bottom','div class bottom',0,1,'1.5333','D1242135',1,'en'),
(21294,'div class box','div class box',0,1,'1.4333','D124212',1,'en'),
(21295,'div class box-in','div class box-in',0,1,'1.5333','D1242125',1,'en'),
(21296,'div class content','div class content',0,1,'1.5667','D12425353',1,'en'),
(21297,'div class description','div class description',0,1,'1.7','D1242326135',1,'en'),
(21298,'div class expand-in','div class expand-in',0,1,'1.6333','D12421535',1,'en'),
(21299,'div class jm-box','div class jm-box',0,1,'1.5333','D1242512',1,'en'),
(21300,'div class jm-box-in','div class jm-box-in',0,1,'1.6333','D12425125',1,'en'),
(21301,'div class jm-column','div class jm-column',0,1,'1.6333','D12425245',1,'en'),
(21302,'div class jm-custom-content','div class jm-custom-content',0,1,'1.9','D1242523525353',1,'en'),
(21303,'div class jm-custom-header','div class jm-custom-header',0,1,'1.8667','D1242523536',1,'en'),
(21304,'div class jm-description','div class jm-description',0,1,'1.8','D12425326135',1,'en'),
(21305,'div class jm-expand','div class jm-expand',0,1,'1.6333','D124252153',1,'en'),
(21306,'div class jm-icon','div class jm-icon',0,1,'1.5667','D1242525',1,'en'),
(21307,'div class jm-icon-in','div class jm-icon-in',0,1,'1.6667','D1242525',1,'en'),
(21308,'div class jm-pricing','div class jm-pricing',0,1,'1.6667','D1242516252',1,'en'),
(21309,'div class jm-socials','div class jm-socials',0,1,'1.6667','D12425242',1,'en'),
(21310,'div class price','div class price',0,1,'1.5','D1242162',1,'en'),
(21311,'div class subtitle','div class subtitle',0,1,'1.6','D1242134',1,'en'),
(21312,'div class title','div class title',0,1,'1.5','D124234',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(21313,'div div','div div',0,1,'1.2333','D131',1,'en'),
(21314,'div div as','div div as',0,1,'1.3333','D1312',1,'en'),
(21315,'div div business','div div business',0,1,'1.5333','D131252',1,'en'),
(21316,'div div class','div div class',0,1,'1.4333','D131242',1,'en'),
(21317,'div div div','div div div',0,1,'1.3667','D13131',1,'en'),
(21318,'div div residential','div div residential',0,1,'1.6333','D131623534',1,'en'),
(21319,'div div up','div div up',0,1,'1.3333','D131',1,'en'),
(21320,'div home','div home',0,1,'1.2667','D150',1,'en'),
(21321,'div home content','div home content',0,1,'1.5333','D1525353',1,'en'),
(21322,'div icon','div icon',0,1,'1.2667','D125',1,'en'),
(21323,'div icon blocks','div icon blocks',0,1,'1.5','D125142',1,'en'),
(21324,'div residential','div residential',0,1,'1.5','D1623534',1,'en'),
(21325,'div residential solutions','div residential solutions',0,1,'1.8333','D162353424352',1,'en'),
(21326,'div this','div this',0,1,'1.2667','D132',1,'en'),
(21327,'div this is','div this is',0,1,'1.3667','D132',1,'en'),
(21328,'div ul','div ul',0,1,'1.2','D140',1,'en'),
(21329,'div ul li','div ul li',0,1,'1.3','D140',1,'en'),
(21330,'div up','div up',0,1,'1.2','D100',1,'en'),
(21331,'div up to','div up to',0,1,'1.3','D130',1,'en'),
(21332,'doe','doe',0,0,'0.2','D000',1,'en'),
(21333,'doe blockquote','doe blockquote',0,1,'1.4667','D1423',1,'en'),
(21334,'doe blockquote class','doe blockquote class',0,1,'1.6667','D1423242',1,'en'),
(21335,'doe small','doe small',0,1,'1.3','D254',1,'en'),
(21336,'doe small blockquote','doe small blockquote',0,1,'1.6667','D2541423',1,'en'),
(21337,'doe unordered','doe unordered',0,1,'1.4333','D56363',1,'en'),
(21338,'doe unordered lists','doe unordered lists',0,1,'1.6333','D563634232',1,'en'),
(21339,'dolor span','dolor span',0,1,'1.3333','D46215',1,'en'),
(21340,'dolor span proin','dolor span proin',0,1,'1.5333','D46215165',1,'en'),
(21341,'donec porttitora br','donec porttitora br',0,1,'1.6333','D52163616',1,'en'),
(21342,'down','down',0,0,'0.2667','D500',1,'en'),
(21343,'down mbps','down mbps',0,1,'1.3','D512',1,'en'),
(21344,'down mbps span','down mbps span',0,1,'1.4667','D51215',1,'en'),
(21345,'down month','down month',0,1,'1.3333','D530',1,'en'),
(21346,'down month span','down month span',0,1,'1.5','D53215',1,'en'),
(21347,'dsl internet div','dsl internet div',0,1,'1.5333','D24536531',1,'en'),
(21348,'duis tincidunt','duis tincidunt',0,1,'1.4667','D2352353',1,'en'),
(21349,'duis tincidunt nunc','duis tincidunt nunc',0,1,'1.6333','D235235352',1,'en'),
(21350,'duis viverra','duis viverra',0,1,'1.4','D216',1,'en'),
(21351,'duis viverra leo','duis viverra leo',0,1,'1.5333','D2164',1,'en'),
(21352,'elit duis','elit duis',0,1,'1.3','E432',1,'en'),
(21353,'elit duis viverra','elit duis viverra',0,1,'1.5667','E43216',1,'en'),
(21354,'elit integer','elit integer',0,1,'1.4','E435326',1,'en'),
(21355,'elit integer posuere','elit integer posuere',0,1,'1.6667','E435326126',1,'en'),
(21356,'elit maximus li','elit maximus li',0,1,'1.5','E4352524',1,'en'),
(21357,'elit span','elit span',0,1,'1.3','E43215',1,'en'),
(21358,'elit span proin','elit span proin',0,1,'1.5','E43215165',1,'en'),
(21359,'email','email',0,0,'0.3333','E540',1,'en'),
(21360,'email a','email a',0,1,'1.2333','E540',1,'en'),
(21361,'email a li','email a li',0,1,'1.3333','E540',1,'en'),
(21362,'email a title','email a title',0,1,'1.4333','E5434',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(21363,'email png','email png',0,1,'1.3','E54152',1,'en'),
(21364,'email png alt','email png alt',0,1,'1.4333','E5415243',1,'en'),
(21365,'engagement','engagement',0,0,'0.6667','E5253',1,'en'),
(21366,'engagement call','engagement call',0,1,'1.5','E525324',1,'en'),
(21367,'engagement call 888-777-888','engagement call 888-777-888',0,1,'1.9','E525324',1,'en'),
(21368,'engagement span','engagement span',0,1,'1.5','E5253215',1,'en'),
(21369,'engagement span span','engagement span span',0,1,'1.6667','E5253215215',1,'en'),
(21370,'erat a','erat a',0,1,'1.2','E630',1,'en'),
(21371,'erat a ante','erat a ante',0,1,'1.3667','E6353',1,'en'),
(21372,'expand-in','expand-in',0,0,'0.6','E21535',1,'en'),
(21373,'expand-in span','expand-in span',0,1,'1.4667','E21535215',1,'en'),
(21374,'expand-in span class','expand-in span class',0,1,'1.6667','E21535215242',1,'en'),
(21375,'facebook','facebook',0,0,'0.5333','F212',1,'en'),
(21376,'facebook href','facebook href',0,1,'1.4333','F21261',1,'en'),
(21377,'facebook href nbsp','facebook href nbsp',0,1,'1.6','F212615121',1,'en'),
(21378,'felis numered','felis numered',0,1,'1.4333','F42563',1,'en'),
(21379,'felis numered blocks','felis numered blocks',0,1,'1.6667','F42563142',1,'en'),
(21380,'felis this','felis this',0,1,'1.3333','F4232',1,'en'),
(21381,'felis this is','felis this is',0,1,'1.4333','F4232',1,'en'),
(21382,'finibus diam li','finibus diam li',0,1,'1.5','F512354',1,'en'),
(21383,'fit','fit',0,0,'0.2','F300',1,'en'),
(21384,'fit customer','fit customer',0,1,'1.4','F32356',1,'en'),
(21385,'fit customer development','fit customer development',0,1,'1.8','F32356314153',1,'en'),
(21386,'five','five',0,0,'0.2667','F000',1,'en'),
(21387,'five h5','five h5',0,1,'1.2333','F000',1,'en'),
(21388,'five h5 lorem','five h5 lorem',0,1,'1.4333','F465',1,'en'),
(21389,'font','font',0,0,'0.2667','F530',1,'en'),
(21390,'font span','font span',0,1,'1.3','F53215',1,'en'),
(21391,'font span class','font span class',0,1,'1.5','F53215242',1,'en'),
(21392,'four','four',0,0,'0.2667','F600',1,'en'),
(21393,'four h4','four h4',0,1,'1.2333','F600',1,'en'),
(21394,'four h4 lorem','four h4 lorem',0,1,'1.4333','F6465',1,'en'),
(21395,'glyphicon','glyphicon',0,0,'0.6','G4125',1,'en'),
(21396,'glyphicon font','glyphicon font',0,1,'1.4667','G4125153',1,'en'),
(21397,'glyphicon font span','glyphicon font span',0,1,'1.6333','G4125153215',1,'en'),
(21398,'goes','goes',0,0,'0.2667','G000',1,'en'),
(21399,'goes here','goes here',0,1,'1.3','G600',1,'en'),
(21400,'goes here div','goes here div',0,1,'1.4333','G631',1,'en'),
(21401,'goes here ol','goes here ol',0,1,'1.4','G640',1,'en'),
(21402,'goes here p','goes here p',0,1,'1.3667','G610',1,'en'),
(21403,'goes here ul','goes here ul',0,1,'1.4','G640',1,'en'),
(21404,'googleplus','googleplus',0,0,'0.6667','G4142',1,'en'),
(21405,'googleplus href','googleplus href',0,1,'1.5','G414261',1,'en'),
(21406,'googleplus href nbsp','googleplus href nbsp',0,1,'1.6667','G4142615121',1,'en'),
(21407,'gt','gt',0,0,'0.1333','G300',1,'en'),
(21408,'gt peterborough','gt peterborough',0,1,'1.5','G3136162',1,'en'),
(21409,'gt peterborough uk','gt peterborough uk',0,1,'1.6','G3136162',1,'en'),
(21410,'h1','h1',0,0,'0.1333','H000',1,'en'),
(21411,'h1 lorem','h1 lorem',0,1,'1.2667','H465',1,'en'),
(21412,'h1 lorem ipsum','h1 lorem ipsum',0,1,'1.4667','H465125',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(21413,'h2','h2',0,0,'0.1333','H000',1,'en'),
(21414,'h2 lorem','h2 lorem',0,1,'1.2667','H465',1,'en'),
(21415,'h2 lorem ipsum','h2 lorem ipsum',0,1,'1.4667','H465125',1,'en'),
(21416,'h3','h3',0,0,'0.1333','H000',1,'en'),
(21417,'h3 lorem','h3 lorem',0,1,'1.2667','H465',1,'en'),
(21418,'h3 lorem ipsum','h3 lorem ipsum',0,1,'1.4667','H465125',1,'en'),
(21419,'h4','h4',0,0,'0.1333','H000',1,'en'),
(21420,'h4 lorem','h4 lorem',0,1,'1.2667','H465',1,'en'),
(21421,'h4 lorem ipsum','h4 lorem ipsum',0,1,'1.4667','H465125',1,'en'),
(21422,'h5','h5',0,0,'0.1333','H000',1,'en'),
(21423,'h5 lorem','h5 lorem',0,1,'1.2667','H465',1,'en'),
(21424,'h5 lorem ipsum','h5 lorem ipsum',0,1,'1.4667','H465125',1,'en'),
(21425,'h6','h6',0,0,'0.1333','H000',1,'en'),
(21426,'h6 lorem','h6 lorem',0,1,'1.2667','H465',1,'en'),
(21427,'h6 lorem ipsum','h6 lorem ipsum',0,1,'1.4667','H465125',1,'en'),
(21428,'header','header',0,0,'0.4','H360',3,'en'),
(21429,'header module','header module',0,1,'1.4333','H36534',1,'en'),
(21430,'header module div','header module div',0,1,'1.5667','H3653431',1,'en'),
(21431,'heading','heading',0,0,'0.4667','H352',1,'en'),
(21432,'heading five','heading five',0,1,'1.4','H3521',1,'en'),
(21433,'heading five h5','heading five h5',0,1,'1.5','H3521',1,'en'),
(21434,'heading four','heading four',0,1,'1.4','H35216',1,'en'),
(21435,'heading four h4','heading four h4',0,1,'1.5','H35216',1,'en'),
(21436,'heading one','heading one',0,1,'1.3667','H3525',1,'en'),
(21437,'heading one h1','heading one h1',0,1,'1.4667','H3525',1,'en'),
(21438,'heading six','heading six',0,1,'1.3667','H352',1,'en'),
(21439,'heading six h6','heading six h6',0,1,'1.4667','H352',1,'en'),
(21440,'heading three','heading three',0,1,'1.4333','H35236',1,'en'),
(21441,'heading three h3','heading three h3',0,1,'1.5333','H35236',1,'en'),
(21442,'heading two','heading two',0,1,'1.3667','H3523',1,'en'),
(21443,'heading two h2','heading two h2',0,1,'1.4667','H3523',1,'en'),
(21444,'headings','headings',0,0,'0.5333','H352',1,'en'),
(21445,'headings this','headings this',0,1,'1.4333','H35232',1,'en'),
(21446,'headings this is','headings this is',0,1,'1.5333','H35232',1,'en'),
(21447,'here','here',0,0,'0.2667','H600',2,'en'),
(21448,'here div','here div',0,1,'1.2667','H631',1,'en'),
(21449,'here div div','here div div',0,1,'1.4','H63131',1,'en'),
(21450,'here div icon','here div icon',0,1,'1.4333','H63125',1,'en'),
(21451,'here ol','here ol',0,1,'1.2333','H640',1,'en'),
(21452,'here ol duis','here ol duis',0,1,'1.4','H6432',1,'en'),
(21453,'here p','here p',0,1,'1.2','H610',1,'en'),
(21454,'here p 01','here p 01',0,1,'1.3','H610',1,'en'),
(21455,'here p a','here p a',0,1,'1.2667','H610',1,'en'),
(21456,'here p blockquote','here p blockquote',0,1,'1.5667','H61423',1,'en'),
(21457,'here p p','here p p',0,1,'1.2667','H610',1,'en'),
(21458,'here ul','here ul',0,1,'1.2333','H640',1,'en'),
(21459,'here ul duis','here ul duis',0,1,'1.4','H6432',1,'en'),
(21460,'home content','home content',0,1,'1.4','H525353',1,'en'),
(21461,'home content div','home content div',0,1,'1.5333','H5253531',1,'en'),
(21462,'href','href',0,0,'0.2667','H610',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(21463,'href +44','href +44',0,1,'1.2667','H610',1,'en'),
(21464,'href +44 7837','href +44 7837',0,1,'1.4333','H610',1,'en'),
(21465,'href check','href check',0,1,'1.3333','H612',1,'en'),
(21466,'href check an','href check an',0,1,'1.4333','H6125',1,'en'),
(21467,'href class','href class',0,1,'1.3333','H61242',1,'en'),
(21468,'href class link','href class link',0,1,'1.5','H61242452',1,'en'),
(21469,'href class readmore','href class readmore',0,1,'1.6333','H612426356',1,'en'),
(21470,'href email','href email',0,1,'1.3333','H6154',1,'en'),
(21471,'href email a','href email a',0,1,'1.4','H6154',1,'en'),
(21472,'href gt','href gt',0,1,'1.2333','H6123',1,'en'),
(21473,'href gt peterborough','href gt peterborough',0,1,'1.6667','H6123136162',1,'en'),
(21474,'href i\'m','href i',0,1,'1.2667','H615',1,'en'),
(21475,'href i\'m interested','href i interested',0,1,'1.6333','H6153623',1,'en'),
(21476,'href nbsp','href nbsp',0,1,'1.3','H615121',1,'en'),
(21477,'href nbsp a','href nbsp a',0,1,'1.3667','H615121',1,'en'),
(21478,'href read','href read',0,1,'1.3','H6163',1,'en'),
(21479,'href read more','href read more',0,1,'1.4667','H616356',1,'en'),
(21480,'html module','html module',0,1,'1.3667','H354534',1,'en'),
(21481,'html module div','html module div',0,1,'1.5','H35453431',1,'en'),
(21482,'html module lorem','html module lorem',0,1,'1.5667','H35453465',1,'en'),
(21483,'i\'m interested a','i interested a',0,1,'1.5333','I53623',1,'en'),
(21484,'icon','icon',0,0,'0.2667','I250',1,'en'),
(21485,'icon blocks','icon blocks',0,1,'1.3667','I25142',1,'en'),
(21486,'icon blocks p','icon blocks p',0,1,'1.4333','I251421',1,'en'),
(21487,'icon-adjust','icon-adjust',0,0,'0.7333','I25323',1,'en'),
(21488,'icon-adjust icon-tint','icon-adjust icon-tint',0,1,'1.7','I2532325353',1,'en'),
(21489,'icon-adjust icon-tint icon-edit','icon-adjust icon-tint icon-edit',0,1,'2','I2532325353253',1,'en'),
(21490,'icon-align-center','icon-align-center',0,0,'1','I254252536',1,'en'),
(21491,'icon-align-center icon-align-right','icon-align-center icon-align-right',0,1,'2','I25425253625425623',1,'en'),
(21492,'icon-align-center icon-align-right icon-align-justify','icon-align-center icon-align-right icon-align-justify',0,1,'2','I2542525362542562325425231',1,'en'),
(21493,'icon-align-justify','icon-align-justify',0,0,'1','I25425231',1,'en'),
(21494,'icon-align-justify icon-list','icon-align-justify icon-list',0,1,'1.9333','I2542523125423',1,'en'),
(21495,'icon-align-justify icon-list icon-indent-left','icon-align-justify icon-list icon-indent-left',0,1,'2','I254252312542325353413',1,'en'),
(21496,'icon-align-justify span','icon-align-justify span',0,1,'1.7667','I25425231215',1,'en'),
(21497,'icon-align-justify span a','icon-align-justify span a',0,1,'1.8333','I25425231215',1,'en'),
(21498,'icon-align-left','icon-align-left',0,0,'1','I25425413',1,'en'),
(21499,'icon-align-left icon-align-center','icon-align-left icon-align-center',0,1,'2','I25425413254252536',1,'en'),
(21500,'icon-align-left icon-align-center icon-align-right','icon-align-left icon-align-center icon-align-right',0,1,'2','I2542541325425253625425623',1,'en'),
(21501,'icon-align-left icon-align-left','icon-align-left icon-align-left',0,1,'2','I2542541325425413',1,'en'),
(21502,'icon-align-left icon-align-left icon-align-center','icon-align-left icon-align-left icon-align-center',0,1,'2','I2542541325425413254252536',1,'en'),
(21503,'icon-align-right','icon-align-right',0,0,'1','I25425623',1,'en'),
(21504,'icon-align-right icon-align-justify','icon-align-right icon-align-justify',0,1,'2','I2542562325425231',1,'en'),
(21505,'icon-align-right icon-align-justify icon-list','icon-align-right icon-align-justify icon-list',0,1,'2','I254256232542523125423',1,'en'),
(21506,'icon-arrow-down','icon-arrow-down',0,0,'1','I25635',1,'en'),
(21507,'icon-arrow-down icon-share-alt','icon-arrow-down icon-share-alt',0,1,'2','I25635252643',1,'en'),
(21508,'icon-arrow-down icon-share-alt icon-resize-full','icon-arrow-down icon-share-alt icon-resize-full',0,1,'2','I25635252643256214',1,'en'),
(21509,'icon-arrow-left','icon-arrow-left',0,0,'1','I256413',1,'en'),
(21510,'icon-arrow-left icon-arrow-right','icon-arrow-left icon-arrow-right',0,1,'2','I25641325623',1,'en'),
(21511,'icon-arrow-left icon-arrow-right icon-arrow-up','icon-arrow-left icon-arrow-right icon-arrow-up',0,1,'2','I256413256232561',1,'en'),
(21512,'icon-arrow-right','icon-arrow-right',0,0,'1','I25623',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(21513,'icon-arrow-right icon-arrow-up','icon-arrow-right icon-arrow-up',0,1,'2','I256232561',1,'en'),
(21514,'icon-arrow-right icon-arrow-up icon-arrow-down','icon-arrow-right icon-arrow-up icon-arrow-down',0,1,'2','I25623256125635',1,'en'),
(21515,'icon-arrow-up','icon-arrow-up',0,0,'0.8667','I2561',1,'en'),
(21516,'icon-arrow-up icon-arrow-down','icon-arrow-up icon-arrow-down',0,1,'1.9667','I256125635',1,'en'),
(21517,'icon-arrow-up icon-arrow-down icon-share-alt','icon-arrow-up icon-arrow-down icon-share-alt',0,1,'2','I256125635252643',1,'en'),
(21518,'icon-asterisk','icon-asterisk',0,0,'0.8667','I252362',1,'en'),
(21519,'icon-asterisk icon-plus','icon-asterisk icon-plus',0,1,'1.7667','I2523625142',1,'en'),
(21520,'icon-asterisk icon-plus icon-euro','icon-asterisk icon-plus icon-euro',0,1,'2','I252362514256',1,'en'),
(21521,'icon-backward','icon-backward',0,0,'0.8667','I251263',1,'en'),
(21522,'icon-backward icon-play','icon-backward icon-play',0,1,'1.7667','I2512632514',1,'en'),
(21523,'icon-backward icon-play icon-pause','icon-backward icon-play icon-pause',0,1,'2','I25126325142512',1,'en'),
(21524,'icon-ban-circle','icon-ban-circle',0,0,'1','I25152624',1,'en'),
(21525,'icon-ban-circle icon-arrow-left','icon-ban-circle icon-arrow-left',0,1,'2','I25152624256413',1,'en'),
(21526,'icon-ban-circle icon-arrow-left icon-arrow-right','icon-ban-circle icon-arrow-left icon-arrow-right',0,1,'2','I2515262425641325623',1,'en'),
(21527,'icon-barcode','icon-barcode',0,0,'0.8','I251623',1,'en'),
(21528,'icon-barcode icon-tag','icon-barcode icon-tag',0,1,'1.7','I2516232532',1,'en'),
(21529,'icon-barcode icon-tag icon-tags','icon-barcode icon-tag icon-tags',0,1,'2','I2516232532532',1,'en'),
(21530,'icon-bell','icon-bell',0,0,'0.6','I2514',1,'en'),
(21531,'icon-bold','icon-bold',0,0,'0.6','I25143',1,'en'),
(21532,'icon-bold icon-italic','icon-bold icon-italic',0,1,'1.7','I2514325342',1,'en'),
(21533,'icon-bold icon-italic icon-text-height','icon-bold icon-italic icon-text-height',0,1,'2','I2514325342532323',1,'en'),
(21534,'icon-book','icon-book',0,0,'0.6','I2512',1,'en'),
(21535,'icon-book icon-bookmark','icon-book icon-bookmark',0,1,'1.7667','I2512512562',1,'en'),
(21536,'icon-book icon-bookmark icon-print','icon-book icon-bookmark icon-print',0,1,'2','I251251256251653',1,'en'),
(21537,'icon-bookmark','icon-bookmark',0,0,'0.8667','I2512562',1,'en'),
(21538,'icon-bookmark icon-print','icon-bookmark icon-print',0,1,'1.8','I251256251653',1,'en'),
(21539,'icon-bookmark icon-print icon-camera','icon-bookmark icon-print icon-camera',0,1,'2','I25125625165325256',1,'en'),
(21540,'icon-briefcase','icon-briefcase',0,0,'0.9333','I251612',1,'en'),
(21541,'icon-briefcase icon-fullscreen','icon-briefcase icon-fullscreen',0,1,'2','I251612514265',1,'en'),
(21542,'icon-briefcase icon-fullscreen icon-dashboard','icon-briefcase icon-fullscreen icon-dashboard',0,1,'2','I2516125142652532163',1,'en'),
(21543,'icon-bullhorn','icon-bullhorn',0,0,'0.8667','I251465',1,'en'),
(21544,'icon-bullhorn icon-bell','icon-bullhorn icon-bell',0,1,'1.7667','I2514652514',1,'en'),
(21545,'icon-calendar','icon-calendar',0,0,'0.8667','I2524536',1,'en'),
(21546,'icon-calendar icon-random','icon-calendar icon-random',0,1,'1.8333','I2524536256535',1,'en'),
(21547,'icon-calendar icon-random icon-comment','icon-calendar icon-random icon-comment',0,1,'2','I252453625653525253',1,'en'),
(21548,'icon-camera','icon-camera',0,0,'0.7333','I25256',1,'en'),
(21549,'icon-camera icon-font','icon-camera icon-font',0,1,'1.7','I2525625153',1,'en'),
(21550,'icon-camera icon-font icon-bold','icon-camera icon-font icon-bold',0,1,'2','I252562515325143',1,'en'),
(21551,'icon-certificate','icon-certificate',0,0,'1','I25263123',1,'en'),
(21552,'icon-certificate icon-thumbs-up','icon-certificate icon-thumbs-up',0,1,'2','I252631232535121',1,'en'),
(21553,'icon-certificate icon-thumbs-up icon-thumbs-down','icon-certificate icon-thumbs-up icon-thumbs-down',0,1,'2','I25263123253512125351235',1,'en'),
(21554,'icon-check','icon-check',0,0,'0.6667','I252',1,'en'),
(21555,'icon-check icon-move','icon-check icon-move',0,1,'1.6667','I25251',1,'en'),
(21556,'icon-check icon-move icon-step-backward','icon-check icon-move icon-step-backward',0,1,'2','I2525125231263',1,'en'),
(21557,'icon-chevron-down','icon-chevron-down',0,0,'1','I25216535',1,'en'),
(21558,'icon-chevron-down icon-retweet','icon-chevron-down icon-retweet',0,1,'2','I252165352563',1,'en'),
(21559,'icon-chevron-down icon-retweet icon-shopping-cart','icon-chevron-down icon-retweet icon-shopping-cart',0,1,'2','I25216535256325215263',1,'en'),
(21560,'icon-chevron-left','icon-chevron-left',0,0,'1','I252165413',1,'en'),
(21561,'icon-chevron-left icon-chevron-right','icon-chevron-left icon-chevron-right',0,1,'2','I252165413252165623',1,'en'),
(21562,'icon-chevron-left icon-chevron-right icon-plus-sign','icon-chevron-left icon-chevron-right icon-plus-sign',0,1,'2','I252165413252165623251425',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(21563,'icon-chevron-right','icon-chevron-right',0,0,'1','I252165623',1,'en'),
(21564,'icon-chevron-right icon-plus-sign','icon-chevron-right icon-plus-sign',0,1,'2','I252165623251425',1,'en'),
(21565,'icon-chevron-right icon-plus-sign icon-minus-sign','icon-chevron-right icon-plus-sign icon-minus-sign',0,1,'2','I2521656232514252525',1,'en'),
(21566,'icon-chevron-up','icon-chevron-up',0,0,'1','I2521651',1,'en'),
(21567,'icon-chevron-up icon-chevron-down','icon-chevron-up icon-chevron-down',0,1,'2','I252165125216535',1,'en'),
(21568,'icon-chevron-up icon-chevron-down icon-retweet','icon-chevron-up icon-chevron-down icon-retweet',0,1,'2','I2521651252165352563',1,'en'),
(21569,'icon-circle-arrow-down','icon-circle-arrow-down',0,0,'1','I252624635',1,'en'),
(21570,'icon-circle-arrow-down icon-globe','icon-circle-arrow-down icon-globe',0,1,'2','I25262463525241',1,'en'),
(21571,'icon-circle-arrow-down icon-globe icon-wrench','icon-circle-arrow-down icon-globe icon-wrench',0,1,'2','I2526246352524125652',1,'en'),
(21572,'icon-circle-arrow-left','icon-circle-arrow-left',0,0,'1','I2526246413',1,'en'),
(21573,'icon-circle-arrow-left icon-circle-arrow-up','icon-circle-arrow-left icon-circle-arrow-up',0,1,'2','I252624641325262461',1,'en'),
(21574,'icon-circle-arrow-left icon-circle-arrow-up icon-circle-arrow-down','icon-circle-arrow-left icon-circle-arrow-up icon-circle-arrow-down',0,1,'2','I252624641325262461252624635',1,'en'),
(21575,'icon-circle-arrow-right','icon-circle-arrow-right',0,0,'1','I252624623',1,'en'),
(21576,'icon-circle-arrow-right icon-circle-arrow-left','icon-circle-arrow-right icon-circle-arrow-left',0,1,'2','I2526246232526246413',1,'en'),
(21577,'icon-circle-arrow-right icon-circle-arrow-left icon-circle-arrow-up','icon-circle-arrow-right icon-circle-arrow-left icon-circle-arrow-up',0,1,'2','I252624623252624641325262461',1,'en'),
(21578,'icon-circle-arrow-up','icon-circle-arrow-up',0,0,'1','I25262461',1,'en'),
(21579,'icon-circle-arrow-up icon-circle-arrow-down','icon-circle-arrow-up icon-circle-arrow-down',0,1,'2','I25262461252624635',1,'en'),
(21580,'icon-circle-arrow-up icon-circle-arrow-down icon-globe','icon-circle-arrow-up icon-circle-arrow-down icon-globe',0,1,'2','I2526246125262463525241',1,'en'),
(21581,'icon-cloud','icon-cloud',0,0,'0.6667','I25243',1,'en'),
(21582,'icon-cloud icon-envelope','icon-cloud icon-envelope',0,1,'1.8','I2524325141',1,'en'),
(21583,'icon-cloud icon-envelope icon-pencil','icon-cloud icon-envelope icon-pencil',0,1,'2','I2524325141251524',1,'en'),
(21584,'icon-cloud-download','icon-cloud-download',0,0,'1','I25243543',1,'en'),
(21585,'icon-cloud-download icon-cloud-upload','icon-cloud-download icon-cloud-upload',0,1,'2','I2524354325243143',1,'en'),
(21586,'icon-cloud-download icon-cloud-upload icon-tree-conifer','icon-cloud-download icon-cloud-upload icon-tree-conifer',0,1,'2','I252435432524314325362516',1,'en'),
(21587,'icon-cloud-upload','icon-cloud-upload',0,0,'1','I25243143',1,'en'),
(21588,'icon-cloud-upload icon-tree-conifer','icon-cloud-upload icon-tree-conifer',0,1,'2','I2524314325362516',1,'en'),
(21589,'icon-cloud-upload icon-tree-conifer icon-tree-deciduous','icon-cloud-upload icon-tree-conifer icon-tree-deciduous',0,1,'2','I252431432536251625363232',1,'en'),
(21590,'icon-cog','icon-cog',0,0,'0.5333','I252',1,'en'),
(21591,'icon-cog icon-trash','icon-cog icon-trash',0,1,'1.6333','I2525362',1,'en'),
(21592,'icon-cog icon-trash icon-home','icon-cog icon-trash icon-home',0,1,'1.9667','I25253625',1,'en'),
(21593,'icon-collapse-down','icon-collapse-down',0,0,'1','I25241235',1,'en'),
(21594,'icon-collapse-down icon-collapse-up','icon-collapse-down icon-collapse-up',0,1,'2','I252412352524121',1,'en'),
(21595,'icon-collapse-down icon-collapse-up icon-log-in','icon-collapse-down icon-collapse-up icon-log-in',0,1,'2','I25241235252412125425',1,'en'),
(21596,'icon-collapse-up','icon-collapse-up',0,0,'1','I2524121',1,'en'),
(21597,'icon-collapse-up icon-log-in','icon-collapse-up icon-log-in',0,1,'1.9333','I252412125425',1,'en'),
(21598,'icon-collapse-up icon-log-in icon-flash','icon-collapse-up icon-log-in icon-flash',0,1,'2','I25241212542525142',1,'en'),
(21599,'icon-comment','icon-comment',0,0,'0.8','I25253',1,'en'),
(21600,'icon-comment icon-magnet','icon-comment icon-magnet',0,1,'1.8','I2525325253',1,'en'),
(21601,'icon-comment icon-magnet icon-chevron-up','icon-comment icon-magnet icon-chevron-up',0,1,'2','I25253252532521651',1,'en'),
(21602,'icon-compressed','icon-compressed',0,0,'1','I25251623',1,'en'),
(21603,'icon-compressed icon-earphone','icon-compressed icon-earphone',0,1,'1.9667','I2525162325615',1,'en'),
(21604,'icon-compressed icon-earphone icon-phone-alt','icon-compressed icon-earphone icon-phone-alt',0,1,'2','I2525162325615251543',1,'en'),
(21605,'icon-copyright-mark','icon-copyright-mark',0,0,'1','I2521623562',1,'en'),
(21606,'icon-copyright-mark icon-registration-mark','icon-copyright-mark icon-registration-mark',0,1,'2','I2521623562562363562',1,'en'),
(21607,'icon-copyright-mark icon-registration-mark icon-cloud-download','icon-copyright-mark icon-registration-mark icon-cloud-download',0,1,'2','I25216235625623635625243543',1,'en'),
(21608,'icon-credit-card','icon-credit-card',0,0,'1','I25263263',1,'en'),
(21609,'icon-credit-card icon-transfer','icon-credit-card icon-transfer',0,1,'2','I2526326325365216',1,'en'),
(21610,'icon-credit-card icon-transfer icon-cutlery','icon-credit-card icon-transfer icon-cutlery',0,1,'2','I2526326325365216252346',1,'en'),
(21611,'icon-cutlery','icon-cutlery',0,0,'0.8','I252346',1,'en'),
(21612,'icon-cutlery icon-header','icon-cutlery icon-header',0,1,'1.8','I2523462536',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(21613,'icon-cutlery icon-header icon-compressed','icon-cutlery icon-header icon-compressed',0,1,'2','I252346253625251623',1,'en'),
(21614,'icon-dashboard','icon-dashboard',0,0,'0.9333','I2532163',1,'en'),
(21615,'icon-dashboard icon-paperclip','icon-dashboard icon-paperclip',0,1,'1.9667','I25321632516241',1,'en'),
(21616,'icon-dashboard icon-paperclip icon-heart-empty','icon-dashboard icon-paperclip icon-heart-empty',0,1,'2','I253216325162412563513',1,'en'),
(21617,'icon-download','icon-download',0,0,'0.8667','I253543',1,'en'),
(21618,'icon-download icon-upload','icon-download icon-upload',0,1,'1.8333','I25354325143',1,'en'),
(21619,'icon-download-alt','icon-download-alt',0,0,'1','I25354343',1,'en'),
(21620,'icon-download-alt icon-download','icon-download-alt icon-download',0,1,'2','I25354343253543',1,'en'),
(21621,'icon-download-alt icon-download icon-upload','icon-download-alt icon-download icon-upload',0,1,'2','I2535434325354325143',1,'en'),
(21622,'icon-earphone','icon-earphone',0,0,'0.8667','I25615',1,'en'),
(21623,'icon-earphone icon-phone-alt','icon-earphone icon-phone-alt',0,1,'1.9333','I25615251543',1,'en'),
(21624,'icon-earphone icon-phone-alt icon-tower','icon-earphone icon-phone-alt icon-tower',0,1,'2','I256152515432536',1,'en'),
(21625,'icon-edit','icon-edit',0,0,'0.6','I253',1,'en'),
(21626,'icon-edit icon-share','icon-edit icon-share',0,1,'1.6667','I2532526',1,'en'),
(21627,'icon-edit icon-share icon-check','icon-edit icon-share icon-check',0,1,'2','I2532526252',1,'en'),
(21628,'icon-eject','icon-eject',0,0,'0.6667','I2523',1,'en'),
(21629,'icon-eject icon-chevron-left','icon-eject icon-chevron-left',0,1,'1.9333','I2523252165413',1,'en'),
(21630,'icon-eject icon-chevron-left icon-chevron-right','icon-eject icon-chevron-left icon-chevron-right',0,1,'2','I2523252165413252165623',1,'en'),
(21631,'icon-envelope','icon-envelope',0,0,'0.8667','I25141',1,'en'),
(21632,'icon-envelope icon-pencil','icon-envelope icon-pencil',0,1,'1.8333','I25141251524',1,'en'),
(21633,'icon-envelope icon-pencil icon-glass','icon-envelope icon-pencil icon-glass',0,1,'2','I2514125152425242',1,'en'),
(21634,'icon-euro','icon-euro',0,0,'0.6','I256',1,'en'),
(21635,'icon-euro icon-minus','icon-euro icon-minus',0,1,'1.6667','I256252',1,'en'),
(21636,'icon-euro icon-minus icon-cloud','icon-euro icon-minus icon-cloud',0,1,'2','I2562525243',1,'en'),
(21637,'icon-exclamation-sign','icon-exclamation-sign',0,0,'1','I252453525',1,'en'),
(21638,'icon-exclamation-sign icon-gift','icon-exclamation-sign icon-gift',0,1,'2','I25245352525213',1,'en'),
(21639,'icon-exclamation-sign icon-gift icon-leaf','icon-exclamation-sign icon-gift icon-leaf',0,1,'2','I252453525252132541',1,'en'),
(21640,'icon-expand','icon-expand',0,0,'0.7333','I252153',1,'en'),
(21641,'icon-expand icon-collapse-down','icon-expand icon-collapse-down',0,1,'2','I25215325241235',1,'en'),
(21642,'icon-expand icon-collapse-down icon-collapse-up','icon-expand icon-collapse-down icon-collapse-up',0,1,'2','I252153252412352524121',1,'en'),
(21643,'icon-export','icon-export',0,0,'0.7333','I252163',1,'en'),
(21644,'icon-export icon-send','icon-export icon-send',0,1,'1.7','I25216325253',1,'en'),
(21645,'icon-export icon-send icon-floppy-disk','icon-export icon-send icon-floppy-disk',0,1,'2','I252163252532514132',1,'en'),
(21646,'icon-eye-close','icon-eye-close',0,0,'0.9333','I25242',1,'en'),
(21647,'icon-eye-close icon-warning-sign','icon-eye-close icon-warning-sign',0,1,'2','I2524256525',1,'en'),
(21648,'icon-eye-close icon-warning-sign icon-plane','icon-eye-close icon-warning-sign icon-plane',0,1,'2','I252425652525145',1,'en'),
(21649,'icon-eye-open','icon-eye-open',0,0,'0.8667','I2515',1,'en'),
(21650,'icon-eye-open icon-eye-close','icon-eye-open icon-eye-close',0,1,'1.9333','I251525242',1,'en'),
(21651,'icon-eye-open icon-eye-close icon-warning-sign','icon-eye-open icon-eye-close icon-warning-sign',0,1,'2','I25152524256525',1,'en'),
(21652,'icon-facetime-video','icon-facetime-video',0,0,'1','I25123513',1,'en'),
(21653,'icon-facetime-video icon-picture','icon-facetime-video icon-picture',0,1,'2','I25123513251236',1,'en'),
(21654,'icon-facetime-video icon-picture icon-map-marker','icon-facetime-video icon-picture icon-map-marker',0,1,'2','I251235132512362515626',1,'en'),
(21655,'icon-fast-backward','icon-fast-backward',0,0,'1','I251231263',1,'en'),
(21656,'icon-fast-backward icon-backward','icon-fast-backward icon-backward',0,1,'2','I251231263251263',1,'en'),
(21657,'icon-fast-backward icon-backward icon-play','icon-fast-backward icon-backward icon-play',0,1,'2','I2512312632512632514',1,'en'),
(21658,'icon-fast-forward','icon-fast-forward',0,0,'1','I25123163',1,'en'),
(21659,'icon-fast-forward icon-step-forward','icon-fast-forward icon-step-forward',0,1,'2','I251231632523163',1,'en'),
(21660,'icon-fast-forward icon-step-forward icon-eject','icon-fast-forward icon-step-forward icon-eject',0,1,'2','I2512316325231632523',1,'en'),
(21661,'icon-file','icon-file',0,0,'0.6','I2514',1,'en'),
(21662,'icon-file icon-time','icon-file icon-time',0,1,'1.6333','I25142535',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(21663,'icon-file icon-time icon-road','icon-file icon-time icon-road',0,1,'1.9667','I251425352563',1,'en'),
(21664,'icon-film','icon-film',0,0,'0.6','I25145',1,'en'),
(21665,'icon-film icon-th-large','icon-film icon-th-large',0,1,'1.7667','I25145253462',1,'en'),
(21666,'icon-film icon-th-large icon-th','icon-film icon-th-large icon-th',0,1,'2','I2514525346253',1,'en'),
(21667,'icon-filter','icon-filter',0,0,'0.7333','I251436',1,'en'),
(21668,'icon-filter icon-briefcase','icon-filter icon-briefcase',0,1,'1.8667','I251436251612',1,'en'),
(21669,'icon-filter icon-briefcase icon-fullscreen','icon-filter icon-briefcase icon-fullscreen',0,1,'2','I251436251612514265',1,'en'),
(21670,'icon-fire','icon-fire',0,0,'0.6','I2516',1,'en'),
(21671,'icon-fire icon-eye-open','icon-fire icon-eye-open',0,1,'1.7667','I25162515',1,'en'),
(21672,'icon-fire icon-eye-open icon-eye-close','icon-fire icon-eye-open icon-eye-close',0,1,'2','I2516251525242',1,'en'),
(21673,'icon-flag','icon-flag',0,0,'0.6','I25142',1,'en'),
(21674,'icon-flag icon-headphones','icon-flag icon-headphones',0,1,'1.8333','I2514253152',1,'en'),
(21675,'icon-flag icon-headphones icon-volume-off','icon-flag icon-headphones icon-volume-off',0,1,'2','I251425315251451',1,'en'),
(21676,'icon-flash','icon-flash',0,0,'0.6667','I25142',1,'en'),
(21677,'icon-flash icon-log-out','icon-flash icon-log-out',0,1,'1.7667','I251425423',1,'en'),
(21678,'icon-flash icon-log-out icon-new-window','icon-flash icon-log-out icon-new-window',0,1,'2','I251425423253',1,'en'),
(21679,'icon-floppy-disk','icon-floppy-disk',0,0,'1','I2514132',1,'en'),
(21680,'icon-floppy-disk icon-floppy-saved','icon-floppy-disk icon-floppy-saved',0,1,'2','I25141325141213',1,'en'),
(21681,'icon-floppy-disk icon-floppy-saved icon-floppy-remove','icon-floppy-disk icon-floppy-saved icon-floppy-remove',0,1,'2','I2514132514121325141651',1,'en'),
(21682,'icon-floppy-open','icon-floppy-open',0,0,'1','I251415',1,'en'),
(21683,'icon-floppy-open icon-credit-card','icon-floppy-open icon-credit-card',0,1,'2','I25141525263263',1,'en'),
(21684,'icon-floppy-open icon-credit-card icon-transfer','icon-floppy-open icon-credit-card icon-transfer',0,1,'2','I2514152526326325365216',1,'en'),
(21685,'icon-floppy-remove','icon-floppy-remove',0,0,'1','I25141651',1,'en'),
(21686,'icon-floppy-remove icon-floppy-save','icon-floppy-remove icon-floppy-save',0,1,'2','I251416512514121',1,'en'),
(21687,'icon-floppy-remove icon-floppy-save icon-floppy-open','icon-floppy-remove icon-floppy-save icon-floppy-open',0,1,'2','I251416512514121251415',1,'en'),
(21688,'icon-floppy-save','icon-floppy-save',0,0,'1','I2514121',1,'en'),
(21689,'icon-floppy-save icon-floppy-open','icon-floppy-save icon-floppy-open',0,1,'2','I2514121251415',1,'en'),
(21690,'icon-floppy-save icon-floppy-open icon-credit-card','icon-floppy-save icon-floppy-open icon-credit-card',0,1,'2','I251412125141525263263',1,'en'),
(21691,'icon-floppy-saved','icon-floppy-saved',0,0,'1','I25141213',1,'en'),
(21692,'icon-floppy-saved icon-floppy-remove','icon-floppy-saved icon-floppy-remove',0,1,'2','I2514121325141651',1,'en'),
(21693,'icon-floppy-saved icon-floppy-remove icon-floppy-save','icon-floppy-saved icon-floppy-remove icon-floppy-save',0,1,'2','I25141213251416512514121',1,'en'),
(21694,'icon-folder-close','icon-folder-close',0,0,'1','I251436242',1,'en'),
(21695,'icon-folder-close icon-folder-open','icon-folder-close icon-folder-open',0,1,'2','I2514362425143615',1,'en'),
(21696,'icon-folder-close icon-folder-open icon-resize-vertical','icon-folder-close icon-folder-open icon-resize-vertical',0,1,'2','I2514362425143615256216324',1,'en'),
(21697,'icon-folder-open','icon-folder-open',0,0,'1','I25143615',1,'en'),
(21698,'icon-folder-open icon-resize-vertical','icon-folder-open icon-resize-vertical',0,1,'2','I25143615256216324',1,'en'),
(21699,'icon-folder-open icon-resize-vertical icon-resize-horizontal','icon-folder-open icon-resize-vertical icon-resize-horizontal',0,1,'2','I25143615256216324256262534',1,'en'),
(21700,'icon-font','icon-font',0,0,'0.6','I25153',1,'en'),
(21701,'icon-font icon-bold','icon-font icon-bold',0,1,'1.6333','I2515325143',1,'en'),
(21702,'icon-font icon-bold icon-italic','icon-font icon-bold icon-italic',0,1,'2','I251532514325342',1,'en'),
(21703,'icon-forward','icon-forward',0,0,'0.8','I25163',1,'en'),
(21704,'icon-fullscreen','icon-fullscreen',0,0,'1','I2514265',1,'en'),
(21705,'icon-fullscreen icon-dashboard','icon-fullscreen icon-dashboard',0,1,'2','I25142652532163',1,'en'),
(21706,'icon-fullscreen icon-dashboard icon-paperclip','icon-fullscreen icon-dashboard icon-paperclip',0,1,'2','I251426525321632516241',1,'en'),
(21707,'icon-gbp','icon-gbp',0,0,'0.5333','I2521',1,'en'),
(21708,'icon-gbp icon-sort','icon-gbp icon-sort',0,1,'1.6','I252125263',1,'en'),
(21709,'icon-gbp icon-sort icon-sort-by-alphabet','icon-gbp icon-sort icon-sort-by-alphabet',0,1,'2','I252125263252631413',1,'en'),
(21710,'icon-gift','icon-gift',0,0,'0.6','I25213',1,'en'),
(21711,'icon-gift icon-leaf','icon-gift icon-leaf',0,1,'1.6333','I252132541',1,'en'),
(21712,'icon-gift icon-leaf icon-fire','icon-gift icon-leaf icon-fire',0,1,'1.9667','I2521325412516',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(21713,'icon-glass','icon-glass',0,0,'0.6667','I25242',1,'en'),
(21714,'icon-globe','icon-globe',0,0,'0.6667','I25241',1,'en'),
(21715,'icon-globe icon-wrench','icon-globe icon-wrench',0,1,'1.7333','I2524125652',1,'en'),
(21716,'icon-globe icon-wrench icon-tasks','icon-globe icon-wrench icon-tasks',0,1,'2','I2524125652532',1,'en'),
(21717,'icon-hand-down','icon-hand-down',0,0,'0.9333','I2535',1,'en'),
(21718,'icon-hand-down icon-circle-arrow-right','icon-hand-down icon-circle-arrow-right',0,1,'2','I2535252624623',1,'en'),
(21719,'icon-hand-down icon-circle-arrow-right icon-circle-arrow-left','icon-hand-down icon-circle-arrow-right icon-circle-arrow-left',0,1,'2','I25352526246232526246413',1,'en'),
(21720,'icon-hand-left','icon-hand-left',0,0,'0.9333','I253413',1,'en'),
(21721,'icon-hand-left icon-hand-up','icon-hand-left icon-hand-up',0,1,'1.9','I2534132531',1,'en'),
(21722,'icon-hand-left icon-hand-up icon-hand-down','icon-hand-left icon-hand-up icon-hand-down',0,1,'2','I25341325312535',1,'en'),
(21723,'icon-hand-right','icon-hand-right',0,0,'1','I253623',1,'en'),
(21724,'icon-hand-right icon-hand-left','icon-hand-right icon-hand-left',0,1,'2','I253623253413',1,'en'),
(21725,'icon-hand-right icon-hand-left icon-hand-up','icon-hand-right icon-hand-left icon-hand-up',0,1,'2','I2536232534132531',1,'en'),
(21726,'icon-hand-up','icon-hand-up',0,0,'0.8','I2531',1,'en'),
(21727,'icon-hand-up icon-hand-down','icon-hand-up icon-hand-down',0,1,'1.9','I25312535',1,'en'),
(21728,'icon-hand-up icon-hand-down icon-circle-arrow-right','icon-hand-up icon-hand-down icon-circle-arrow-right',0,1,'2','I25312535252624623',1,'en'),
(21729,'icon-hd-video','icon-hd-video',0,0,'0.8667','I25313',1,'en'),
(21730,'icon-hd-video icon-subtitles','icon-hd-video icon-subtitles',0,1,'1.9333','I253132521342',1,'en'),
(21731,'icon-hd-video icon-subtitles icon-sound-stereo','icon-hd-video icon-subtitles icon-sound-stereo',0,1,'2','I2531325213425253236',1,'en'),
(21732,'icon-hdd','icon-hdd',0,0,'0.5333','I253',1,'en'),
(21733,'icon-hdd icon-bullhorn','icon-hdd icon-bullhorn',0,1,'1.7333','I253251465',1,'en'),
(21734,'icon-hdd icon-bullhorn icon-bell','icon-hdd icon-bullhorn icon-bell',0,1,'2','I2532514652514',1,'en'),
(21735,'icon-header','icon-header',0,0,'0.7333','I2536',1,'en'),
(21736,'icon-header icon-compressed','icon-header icon-compressed',0,1,'1.9','I253625251623',1,'en'),
(21737,'icon-header icon-compressed icon-earphone','icon-header icon-compressed icon-earphone',0,1,'2','I25362525162325615',1,'en'),
(21738,'icon-headphones','icon-headphones',0,0,'1','I253152',1,'en'),
(21739,'icon-headphones icon-volume-off','icon-headphones icon-volume-off',0,1,'2','I25315251451',1,'en'),
(21740,'icon-headphones icon-volume-off icon-volume-down','icon-headphones icon-volume-off icon-volume-down',0,1,'2','I253152514512514535',1,'en'),
(21741,'icon-heart','icon-heart',0,0,'0.6667','I2563',1,'en'),
(21742,'icon-heart icon-star','icon-heart icon-star',0,1,'1.6667','I256325236',1,'en'),
(21743,'icon-heart icon-star icon-star-empty','icon-heart icon-star icon-star-empty',0,1,'2','I25632523625236513',1,'en'),
(21744,'icon-heart-empty','icon-heart-empty',0,0,'1','I2563513',1,'en'),
(21745,'icon-heart-empty icon-link','icon-heart-empty icon-link',0,1,'1.8667','I256351325452',1,'en'),
(21746,'icon-heart-empty icon-link icon-phone','icon-heart-empty icon-link icon-phone',0,1,'2','I256351325452515',1,'en'),
(21747,'icon-home','icon-home',0,0,'0.6','I250',1,'en'),
(21748,'icon-home icon-file','icon-home icon-file',0,1,'1.6333','I252514',1,'en'),
(21749,'icon-home icon-file icon-time','icon-home icon-file icon-time',0,1,'1.9667','I2525142535',1,'en'),
(21750,'icon-import','icon-import',0,0,'0.7333','I25163',1,'en'),
(21751,'icon-inbox','icon-inbox',0,0,'0.6667','I2512',1,'en'),
(21752,'icon-inbox icon-play-circle','icon-inbox icon-play-circle',0,1,'1.9','I25125142624',1,'en'),
(21753,'icon-inbox icon-play-circle icon-repeat','icon-inbox icon-play-circle icon-repeat',0,1,'2','I2512514262425613',1,'en'),
(21754,'icon-indent-left','icon-indent-left',0,0,'1','I25353413',1,'en'),
(21755,'icon-indent-left icon-indent-right','icon-indent-left icon-indent-right',0,1,'2','I2535341325353623',1,'en'),
(21756,'icon-indent-left icon-indent-right icon-facetime-video','icon-indent-left icon-indent-right icon-facetime-video',0,1,'2','I253534132535362325123513',1,'en'),
(21757,'icon-indent-right','icon-indent-right',0,0,'1','I25353623',1,'en'),
(21758,'icon-indent-right icon-facetime-video','icon-indent-right icon-facetime-video',0,1,'2','I2535362325123513',1,'en'),
(21759,'icon-indent-right icon-facetime-video icon-picture','icon-indent-right icon-facetime-video icon-picture',0,1,'2','I2535362325123513251236',1,'en'),
(21760,'icon-info-sign','icon-info-sign',0,0,'0.9333','I25125',1,'en'),
(21761,'icon-info-sign icon-screenshot','icon-info-sign icon-screenshot',0,1,'2','I251252526523',1,'en'),
(21762,'icon-info-sign icon-screenshot icon-remove-circle','icon-info-sign icon-screenshot icon-remove-circle',0,1,'2','I251252526523256512624',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(21763,'icon-italic','icon-italic',0,0,'0.7333','I25342',1,'en'),
(21764,'icon-italic icon-text-height','icon-italic icon-text-height',0,1,'1.9333','I25342532323',1,'en'),
(21765,'icon-italic icon-text-height icon-text-width','icon-italic icon-text-height icon-text-width',0,1,'2','I2534253232325323',1,'en'),
(21766,'icon-joomla','icon-joomla',0,0,'0.7333','I25254',1,'en'),
(21767,'icon-joomla nbsp','icon-joomla nbsp',0,1,'1.5333','I252545121',1,'en'),
(21768,'icon-joomla nbsp span','icon-joomla nbsp span',0,1,'1.7','I252545121215',1,'en'),
(21769,'icon-leaf','icon-leaf',0,0,'0.6','I2541',1,'en'),
(21770,'icon-leaf icon-fire','icon-leaf icon-fire',0,1,'1.6333','I25412516',1,'en'),
(21771,'icon-leaf icon-fire icon-eye-open','icon-leaf icon-fire icon-eye-open',0,1,'2','I254125162515',1,'en'),
(21772,'icon-link','icon-link',0,0,'0.6','I25452',1,'en'),
(21773,'icon-link icon-phone','icon-link icon-phone',0,1,'1.6667','I25452515',1,'en'),
(21774,'icon-link icon-phone icon-pushpin','icon-link icon-phone icon-pushpin',0,1,'2','I25452515251215',1,'en'),
(21775,'icon-list','icon-list',0,0,'0.6','I25423',1,'en'),
(21776,'icon-list icon-indent-left','icon-list icon-indent-left',0,1,'1.8667','I2542325353413',1,'en'),
(21777,'icon-list icon-indent-left icon-indent-right','icon-list icon-indent-left icon-indent-right',0,1,'2','I254232535341325353623',1,'en'),
(21778,'icon-list-alt','icon-list-alt',0,0,'0.8667','I2542343',1,'en'),
(21779,'icon-list-alt icon-lock','icon-list-alt icon-lock',0,1,'1.7667','I25423432542',1,'en'),
(21780,'icon-list-alt icon-lock icon-flag','icon-list-alt icon-lock icon-flag',0,1,'2','I254234325425142',1,'en'),
(21781,'icon-lock','icon-lock',0,0,'0.6','I2542',1,'en'),
(21782,'icon-lock icon-flag','icon-lock icon-flag',0,1,'1.6333','I25425142',1,'en'),
(21783,'icon-lock icon-flag icon-headphones','icon-lock icon-flag icon-headphones',0,1,'2','I2542514253152',1,'en'),
(21784,'icon-log-in','icon-log-in',0,0,'0.7333','I25425',1,'en'),
(21785,'icon-log-in icon-flash','icon-log-in icon-flash',0,1,'1.7333','I2542525142',1,'en'),
(21786,'icon-log-in icon-flash icon-log-out','icon-log-in icon-flash icon-log-out',0,1,'2','I25425251425423',1,'en'),
(21787,'icon-log-out','icon-log-out',0,0,'0.8','I25423',1,'en'),
(21788,'icon-log-out icon-new-window','icon-log-out icon-new-window',0,1,'1.9333','I25423253',1,'en'),
(21789,'icon-log-out icon-new-window icon-record','icon-log-out icon-new-window icon-record',0,1,'2','I25423253256263',1,'en'),
(21790,'icon-magnet','icon-magnet',0,0,'0.7333','I25253',1,'en'),
(21791,'icon-magnet icon-chevron-up','icon-magnet icon-chevron-up',0,1,'1.9','I252532521651',1,'en'),
(21792,'icon-magnet icon-chevron-up icon-chevron-down','icon-magnet icon-chevron-up icon-chevron-down',0,1,'2','I25253252165125216535',1,'en'),
(21793,'icon-map-marker','icon-map-marker',0,0,'1','I2515626',1,'en'),
(21794,'icon-map-marker icon-adjust','icon-map-marker icon-adjust',0,1,'1.9','I251562625323',1,'en'),
(21795,'icon-map-marker icon-adjust icon-tint','icon-map-marker icon-adjust icon-tint',0,1,'2','I25156262532325353',1,'en'),
(21796,'icon-minus','icon-minus',0,0,'0.6667','I252',1,'en'),
(21797,'icon-minus icon-cloud','icon-minus icon-cloud',0,1,'1.7','I2525243',1,'en'),
(21798,'icon-minus icon-cloud icon-envelope','icon-minus icon-cloud icon-envelope',0,1,'2','I252524325141',1,'en'),
(21799,'icon-minus-sign','icon-minus-sign',0,0,'1','I2525',1,'en'),
(21800,'icon-minus-sign icon-remove-sign','icon-minus-sign icon-remove-sign',0,1,'2','I25252565125',1,'en'),
(21801,'icon-minus-sign icon-remove-sign icon-ok-sign','icon-minus-sign icon-remove-sign icon-ok-sign',0,1,'2','I252525651252525',1,'en'),
(21802,'icon-move','icon-move',0,0,'0.6','I251',1,'en'),
(21803,'icon-move icon-step-backward','icon-move icon-step-backward',0,1,'1.9333','I25125231263',1,'en'),
(21804,'icon-move icon-step-backward icon-fast-backward','icon-move icon-step-backward icon-fast-backward',0,1,'2','I25125231263251231263',1,'en'),
(21805,'icon-music','icon-music',0,0,'0.6667','I252',1,'en'),
(21806,'icon-music icon-search','icon-music icon-search',0,1,'1.7333','I2525262',1,'en'),
(21807,'icon-music icon-search icon-heart','icon-music icon-search icon-heart',0,1,'2','I2525262563',1,'en'),
(21808,'icon-new-window','icon-new-window',0,0,'1','I253',1,'en'),
(21809,'icon-new-window icon-record','icon-new-window icon-record',0,1,'1.9','I253256263',1,'en'),
(21810,'icon-new-window icon-record icon-save','icon-new-window icon-record icon-save',0,1,'2','I2532562632521',1,'en'),
(21811,'icon-off','icon-off',0,0,'0.5333','I251',1,'en'),
(21812,'icon-off icon-signal','icon-off icon-signal',0,1,'1.6667','I25125254',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(21813,'icon-off icon-signal icon-cog','icon-off icon-signal icon-cog',0,1,'1.9667','I25125254252',1,'en'),
(21814,'icon-ok','icon-ok',0,0,'0.4667','I252',1,'en'),
(21815,'icon-ok icon-remove','icon-ok icon-remove',0,1,'1.6333','I2525651',1,'en'),
(21816,'icon-ok icon-remove icon-zoom-in','icon-ok icon-remove icon-zoom-in',0,1,'2','I25256512525',1,'en'),
(21817,'icon-ok-circle','icon-ok-circle',0,0,'0.9333','I252624',1,'en'),
(21818,'icon-ok-circle icon-ban-circle','icon-ok-circle icon-ban-circle',0,1,'2','I25262425152624',1,'en'),
(21819,'icon-ok-circle icon-ban-circle icon-arrow-left','icon-ok-circle icon-ban-circle icon-arrow-left',0,1,'2','I25262425152624256413',1,'en'),
(21820,'icon-ok-sign','icon-ok-sign',0,0,'0.8','I2525',1,'en'),
(21821,'icon-ok-sign icon-question-sign','icon-ok-sign icon-question-sign',0,1,'2','I25252523525',1,'en'),
(21822,'icon-ok-sign icon-question-sign icon-info-sign','icon-ok-sign icon-question-sign icon-info-sign',0,1,'2','I2525252352525125',1,'en'),
(21823,'icon-open','icon-open',0,0,'0.6','I2515',1,'en'),
(21824,'icon-open icon-saved','icon-open icon-saved',0,1,'1.6667','I251525213',1,'en'),
(21825,'icon-open icon-saved icon-import','icon-open icon-saved icon-import',0,1,'2','I25152521325163',1,'en'),
(21826,'icon-paperclip','icon-paperclip',0,0,'0.9333','I2516241',1,'en'),
(21827,'icon-paperclip icon-heart-empty','icon-paperclip icon-heart-empty',0,1,'2','I25162412563513',1,'en'),
(21828,'icon-paperclip icon-heart-empty icon-link','icon-paperclip icon-heart-empty icon-link',0,1,'2','I2516241256351325452',1,'en'),
(21829,'icon-pause','icon-pause',0,0,'0.6667','I2512',1,'en'),
(21830,'icon-pause icon-stop','icon-pause icon-stop',0,1,'1.6667','I25125231',1,'en'),
(21831,'icon-pause icon-stop icon-forward','icon-pause icon-stop icon-forward',0,1,'2','I2512523125163',1,'en'),
(21832,'icon-pencil','icon-pencil',0,0,'0.7333','I251524',1,'en'),
(21833,'icon-pencil icon-glass','icon-pencil icon-glass',0,1,'1.7333','I25152425242',1,'en'),
(21834,'icon-phone','icon-phone',0,0,'0.6667','I2515',1,'en'),
(21835,'icon-phone icon-pushpin','icon-phone icon-pushpin',0,1,'1.7667','I2515251215',1,'en'),
(21836,'icon-phone-alt','icon-phone-alt',0,0,'0.9333','I251543',1,'en'),
(21837,'icon-phone-alt icon-tower','icon-phone-alt icon-tower',0,1,'1.8333','I2515432536',1,'en'),
(21838,'icon-phone-alt icon-tower icon-stats','icon-phone-alt icon-tower icon-stats',0,1,'2','I251543253625232',1,'en'),
(21839,'icon-picture','icon-picture',0,0,'0.8','I251236',1,'en'),
(21840,'icon-picture icon-map-marker','icon-picture icon-map-marker',0,1,'1.9333','I2512362515626',1,'en'),
(21841,'icon-picture icon-map-marker icon-adjust','icon-picture icon-map-marker icon-adjust',0,1,'2','I251236251562625323',1,'en'),
(21842,'icon-plane','icon-plane',0,0,'0.6667','I25145',1,'en'),
(21843,'icon-plane icon-calendar','icon-plane icon-calendar',0,1,'1.8','I251452524536',1,'en'),
(21844,'icon-plane icon-calendar icon-random','icon-plane icon-calendar icon-random',0,1,'2','I251452524536256535',1,'en'),
(21845,'icon-play','icon-play',0,0,'0.6','I2514',1,'en'),
(21846,'icon-play icon-pause','icon-play icon-pause',0,1,'1.6667','I25142512',1,'en'),
(21847,'icon-play icon-pause icon-stop','icon-play icon-pause icon-stop',0,1,'2','I251425125231',1,'en'),
(21848,'icon-play-circle','icon-play-circle',0,0,'1','I25142624',1,'en'),
(21849,'icon-play-circle icon-repeat','icon-play-circle icon-repeat',0,1,'1.9333','I2514262425613',1,'en'),
(21850,'icon-play-circle icon-repeat icon-refresh','icon-play-circle icon-repeat icon-refresh',0,1,'2','I2514262425613256162',1,'en'),
(21851,'icon-plus','icon-plus',0,0,'0.6','I25142',1,'en'),
(21852,'icon-plus icon-euro','icon-plus icon-euro',0,1,'1.6333','I2514256',1,'en'),
(21853,'icon-plus icon-euro icon-minus','icon-plus icon-euro icon-minus',0,1,'2','I2514256252',1,'en'),
(21854,'icon-plus-sign','icon-plus-sign',0,0,'0.9333','I251425',1,'en'),
(21855,'icon-plus-sign icon-minus-sign','icon-plus-sign icon-minus-sign',0,1,'2','I2514252525',1,'en'),
(21856,'icon-plus-sign icon-minus-sign icon-remove-sign','icon-plus-sign icon-minus-sign icon-remove-sign',0,1,'2','I25142525252565125',1,'en'),
(21857,'icon-print','icon-print',0,0,'0.6667','I251653',1,'en'),
(21858,'icon-print icon-camera','icon-print icon-camera',0,1,'1.7333','I25165325256',1,'en'),
(21859,'icon-print icon-camera icon-font','icon-print icon-camera icon-font',0,1,'2','I2516532525625153',1,'en'),
(21860,'icon-pushpin','icon-pushpin',0,0,'0.8','I251215',1,'en'),
(21861,'icon-qrcode','icon-qrcode',0,0,'0.7333','I252623',1,'en'),
(21862,'icon-qrcode icon-barcode','icon-qrcode icon-barcode',0,1,'1.8','I252623251623',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(21863,'icon-qrcode icon-barcode icon-tag','icon-qrcode icon-barcode icon-tag',0,1,'2','I2526232516232532',1,'en'),
(21864,'icon-question-sign','icon-question-sign',0,0,'1','I2523525',1,'en'),
(21865,'icon-question-sign icon-info-sign','icon-question-sign icon-info-sign',0,1,'2','I252352525125',1,'en'),
(21866,'icon-question-sign icon-info-sign icon-screenshot','icon-question-sign icon-info-sign icon-screenshot',0,1,'2','I2523525251252526523',1,'en'),
(21867,'icon-random','icon-random',0,0,'0.7333','I256535',1,'en'),
(21868,'icon-random icon-comment','icon-random icon-comment',0,1,'1.8','I25653525253',1,'en'),
(21869,'icon-random icon-comment icon-magnet','icon-random icon-comment icon-magnet',0,1,'2','I2565352525325253',1,'en'),
(21870,'icon-record','icon-record',0,0,'0.7333','I256263',1,'en'),
(21871,'icon-record icon-save','icon-record icon-save',0,1,'1.7','I2562632521',1,'en'),
(21872,'icon-record icon-save icon-open','icon-record icon-save icon-open',0,1,'2','I25626325212515',1,'en'),
(21873,'icon-refresh','icon-refresh',0,0,'0.8','I256162',1,'en'),
(21874,'icon-refresh icon-list-alt','icon-refresh icon-list-alt',0,1,'1.8667','I256162542343',1,'en'),
(21875,'icon-refresh icon-list-alt icon-lock','icon-refresh icon-list-alt icon-lock',0,1,'2','I2561625423432542',1,'en'),
(21876,'icon-registration-mark','icon-registration-mark',0,0,'1','I2562363562',1,'en'),
(21877,'icon-registration-mark icon-cloud-download','icon-registration-mark icon-cloud-download',0,1,'2','I25623635625243543',1,'en'),
(21878,'icon-registration-mark icon-cloud-download icon-cloud-upload','icon-registration-mark icon-cloud-download icon-cloud-upload',0,1,'2','I2562363562524354325243143',1,'en'),
(21879,'icon-remove','icon-remove',0,0,'0.7333','I25651',1,'en'),
(21880,'icon-remove icon-zoom-in','icon-remove icon-zoom-in',0,1,'1.8','I256512525',1,'en'),
(21881,'icon-remove icon-zoom-in icon-zoom-out','icon-remove icon-zoom-in icon-zoom-out',0,1,'2','I25651252525253',1,'en'),
(21882,'icon-remove-circle','icon-remove-circle',0,0,'1','I256512624',1,'en'),
(21883,'icon-remove-circle icon-ok-circle','icon-remove-circle icon-ok-circle',0,1,'2','I256512624252624',1,'en'),
(21884,'icon-remove-circle icon-ok-circle icon-ban-circle','icon-remove-circle icon-ok-circle icon-ban-circle',0,1,'2','I25651262425262425152624',1,'en'),
(21885,'icon-remove-sign','icon-remove-sign',0,0,'1','I2565125',1,'en'),
(21886,'icon-remove-sign icon-ok-sign','icon-remove-sign icon-ok-sign',0,1,'1.9667','I25651252525',1,'en'),
(21887,'icon-remove-sign icon-ok-sign icon-question-sign','icon-remove-sign icon-ok-sign icon-question-sign',0,1,'2','I256512525252523525',1,'en'),
(21888,'icon-repeat','icon-repeat',0,0,'0.7333','I25613',1,'en'),
(21889,'icon-repeat icon-refresh','icon-repeat icon-refresh',0,1,'1.8','I25613256162',1,'en'),
(21890,'icon-repeat icon-refresh icon-list-alt','icon-repeat icon-refresh icon-list-alt',0,1,'2','I25613256162542343',1,'en'),
(21891,'icon-resize-full','icon-resize-full',0,0,'1','I256214',1,'en'),
(21892,'icon-resize-full icon-resize-small','icon-resize-full icon-resize-small',0,1,'2','I256214256254',1,'en'),
(21893,'icon-resize-horizontal','icon-resize-horizontal',0,0,'1','I256262534',1,'en'),
(21894,'icon-resize-horizontal icon-hdd','icon-resize-horizontal icon-hdd',0,1,'2','I256262534253',1,'en'),
(21895,'icon-resize-horizontal icon-hdd icon-bullhorn','icon-resize-horizontal icon-hdd icon-bullhorn',0,1,'2','I256262534253251465',1,'en'),
(21896,'icon-resize-small','icon-resize-small',0,0,'1','I256254',1,'en'),
(21897,'icon-resize-vertical','icon-resize-vertical',0,0,'1','I256216324',1,'en'),
(21898,'icon-resize-vertical icon-resize-horizontal','icon-resize-vertical icon-resize-horizontal',0,1,'2','I256216324256262534',1,'en'),
(21899,'icon-resize-vertical icon-resize-horizontal icon-hdd','icon-resize-vertical icon-resize-horizontal icon-hdd',0,1,'2','I256216324256262534253',1,'en'),
(21900,'icon-retweet','icon-retweet',0,0,'0.8','I2563',1,'en'),
(21901,'icon-retweet icon-shopping-cart','icon-retweet icon-shopping-cart',0,1,'2','I256325215263',1,'en'),
(21902,'icon-retweet icon-shopping-cart icon-folder-close','icon-retweet icon-shopping-cart icon-folder-close',0,1,'2','I256325215263251436242',1,'en'),
(21903,'icon-road','icon-road',0,0,'0.6','I2563',1,'en'),
(21904,'icon-road icon-download-alt','icon-road icon-download-alt',0,1,'1.9','I256325354343',1,'en'),
(21905,'icon-road icon-download-alt icon-download','icon-road icon-download-alt icon-download',0,1,'2','I256325354343253543',1,'en'),
(21906,'icon-save','icon-save',0,0,'0.6','I2521',1,'en'),
(21907,'icon-save icon-open','icon-save icon-open',0,1,'1.6333','I25212515',1,'en'),
(21908,'icon-save icon-open icon-saved','icon-save icon-open icon-saved',0,1,'2','I2521251525213',1,'en'),
(21909,'icon-saved','icon-saved',0,0,'0.6667','I25213',1,'en'),
(21910,'icon-saved icon-import','icon-saved icon-import',0,1,'1.7333','I2521325163',1,'en'),
(21911,'icon-screenshot','icon-screenshot',0,0,'1','I2526523',1,'en'),
(21912,'icon-screenshot icon-remove-circle','icon-screenshot icon-remove-circle',0,1,'2','I2526523256512624',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(21913,'icon-screenshot icon-remove-circle icon-ok-circle','icon-screenshot icon-remove-circle icon-ok-circle',0,1,'2','I2526523256512624252624',1,'en'),
(21914,'icon-sd-video','icon-sd-video',0,0,'0.8667','I252313',1,'en'),
(21915,'icon-sd-video icon-hd-video','icon-sd-video icon-hd-video',0,1,'1.9','I25231325313',1,'en'),
(21916,'icon-sd-video icon-hd-video icon-subtitles','icon-sd-video icon-hd-video icon-subtitles',0,1,'2','I252313253132521342',1,'en'),
(21917,'icon-search','icon-search',0,0,'0.7333','I25262',1,'en'),
(21918,'icon-search icon-heart','icon-search icon-heart',0,1,'1.7333','I25262563',1,'en'),
(21919,'icon-search icon-heart icon-star','icon-search icon-heart icon-star',0,1,'2','I2526256325236',1,'en'),
(21920,'icon-send','icon-send',0,0,'0.6','I25253',1,'en'),
(21921,'icon-send icon-floppy-disk','icon-send icon-floppy-disk',0,1,'1.8667','I252532514132',1,'en'),
(21922,'icon-send icon-floppy-disk icon-floppy-saved','icon-send icon-floppy-disk icon-floppy-saved',0,1,'2','I2525325141325141213',1,'en'),
(21923,'icon-share','icon-share',0,0,'0.6667','I2526',1,'en'),
(21924,'icon-share icon-check','icon-share icon-check',0,1,'1.7','I2526252',1,'en'),
(21925,'icon-share icon-check icon-move','icon-share icon-check icon-move',0,1,'2','I252625251',1,'en'),
(21926,'icon-share-alt','icon-share-alt',0,0,'0.9333','I252643',1,'en'),
(21927,'icon-share-alt icon-resize-full','icon-share-alt icon-resize-full',0,1,'2','I252643256214',1,'en'),
(21928,'icon-share-alt icon-resize-full icon-resize-small','icon-share-alt icon-resize-full icon-resize-small',0,1,'2','I252643256214256254',1,'en'),
(21929,'icon-shopping-cart','icon-shopping-cart',0,0,'1','I25215263',1,'en'),
(21930,'icon-shopping-cart icon-folder-close','icon-shopping-cart icon-folder-close',0,1,'2','I25215263251436242',1,'en'),
(21931,'icon-shopping-cart icon-folder-close icon-folder-open','icon-shopping-cart icon-folder-close icon-folder-open',0,1,'2','I252152632514362425143615',1,'en'),
(21932,'icon-signal','icon-signal',0,0,'0.7333','I25254',1,'en'),
(21933,'icon-signal icon-cog','icon-signal icon-cog',0,1,'1.6667','I25254252',1,'en'),
(21934,'icon-signal icon-cog icon-trash','icon-signal icon-cog icon-trash',0,1,'2','I252542525362',1,'en'),
(21935,'icon-sort','icon-sort',0,0,'0.6','I25263',1,'en'),
(21936,'icon-sort icon-sort-by-alphabet','icon-sort icon-sort-by-alphabet',0,1,'2','I25263252631413',1,'en'),
(21937,'icon-sort icon-sort-by-alphabet icon-sort-by-alphabet-alt','icon-sort icon-sort-by-alphabet icon-sort-by-alphabet-alt',0,1,'2','I2526325263141325263141343',1,'en'),
(21938,'icon-sort-by-alphabet','icon-sort-by-alphabet',0,0,'1','I252631413',1,'en'),
(21939,'icon-sort-by-alphabet icon-sort-by-alphabet-alt','icon-sort-by-alphabet icon-sort-by-alphabet-alt',0,1,'2','I25263141325263141343',1,'en'),
(21940,'icon-sort-by-alphabet icon-sort-by-alphabet-alt icon-sort-by-order','icon-sort-by-alphabet icon-sort-by-alphabet-alt icon-sort-by-order',0,1,'2','I25263141325263141343252631636',1,'en'),
(21941,'icon-sort-by-alphabet-alt','icon-sort-by-alphabet-alt',0,0,'1','I25263141343',1,'en'),
(21942,'icon-sort-by-alphabet-alt icon-sort-by-order','icon-sort-by-alphabet-alt icon-sort-by-order',0,1,'2','I25263141343252631636',1,'en'),
(21943,'icon-sort-by-alphabet-alt icon-sort-by-order icon-sort-by-order-alt','icon-sort-by-alphabet-alt icon-sort-by-order icon-sort-by-order-alt',0,1,'2','I2526314134325263163625263163643',1,'en'),
(21944,'icon-sort-by-attributes','icon-sort-by-attributes',0,0,'1','I25263136132',1,'en'),
(21945,'icon-sort-by-attributes icon-sort-by-attributes-alt','icon-sort-by-attributes icon-sort-by-attributes-alt',0,1,'2','I25263136132526313613243',1,'en'),
(21946,'icon-sort-by-attributes icon-sort-by-attributes-alt icon-unchecked','icon-sort-by-attributes icon-sort-by-attributes-alt icon-unchecked',0,1,'2','I252631361325263136132432523',1,'en'),
(21947,'icon-sort-by-attributes-alt','icon-sort-by-attributes-alt',0,0,'1','I2526313613243',1,'en'),
(21948,'icon-sort-by-attributes-alt icon-unchecked','icon-sort-by-attributes-alt icon-unchecked',0,1,'2','I25263136132432523',1,'en'),
(21949,'icon-sort-by-attributes-alt icon-unchecked icon-expand','icon-sort-by-attributes-alt icon-unchecked icon-expand',0,1,'2','I25263136132432523252153',1,'en'),
(21950,'icon-sort-by-order','icon-sort-by-order',0,0,'1','I252631636',1,'en'),
(21951,'icon-sort-by-order icon-sort-by-order-alt','icon-sort-by-order icon-sort-by-order-alt',0,1,'2','I25263163625263163643',1,'en'),
(21952,'icon-sort-by-order icon-sort-by-order-alt icon-sort-by-attributes','icon-sort-by-order icon-sort-by-order-alt icon-sort-by-attributes',0,1,'2','I2526316362526316364325263136132',1,'en'),
(21953,'icon-sort-by-order-alt','icon-sort-by-order-alt',0,0,'1','I25263163643',1,'en'),
(21954,'icon-sort-by-order-alt icon-sort-by-attributes','icon-sort-by-order-alt icon-sort-by-attributes',0,1,'2','I2526316364325263136132',1,'en'),
(21955,'icon-sort-by-order-alt icon-sort-by-attributes icon-sort-by-attributes-alt','icon-sort-by-order-alt icon-sort-by-attributes icon-sort-by-attributes-alt',0,1,'2','I2526316364325263136132526313613243',1,'en'),
(21956,'icon-sound-5-1','icon-sound-5-1',0,0,'0.9333','I25253',1,'en'),
(21957,'icon-sound-5-1 icon-sound-6-1','icon-sound-5-1 icon-sound-6-1',0,1,'1.9667','I2525325253',1,'en'),
(21958,'icon-sound-6-1','icon-sound-6-1',0,0,'0.9333','I25253',1,'en'),
(21959,'icon-sound-7-1','icon-sound-7-1',0,0,'0.9333','I25253',1,'en'),
(21960,'icon-sound-7-1 icon-copyright-mark','icon-sound-7-1 icon-copyright-mark',0,1,'2','I252532521623562',1,'en'),
(21961,'icon-sound-7-1 icon-copyright-mark icon-registration-mark','icon-sound-7-1 icon-copyright-mark icon-registration-mark',0,1,'2','I252532521623562562363562',1,'en'),
(21962,'icon-sound-dolby','icon-sound-dolby',0,0,'1','I2525341',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(21963,'icon-sound-dolby icon-sound-5-1','icon-sound-dolby icon-sound-5-1',0,1,'2','I252534125253',1,'en'),
(21964,'icon-sound-dolby icon-sound-5-1 icon-sound-6-1','icon-sound-dolby icon-sound-5-1 icon-sound-6-1',0,1,'2','I25253412525325253',1,'en'),
(21965,'icon-sound-stereo','icon-sound-stereo',0,0,'1','I25253236',1,'en'),
(21966,'icon-sound-stereo icon-sound-dolby','icon-sound-stereo icon-sound-dolby',0,1,'2','I252532362525341',1,'en'),
(21967,'icon-sound-stereo icon-sound-dolby icon-sound-5-1','icon-sound-stereo icon-sound-dolby icon-sound-5-1',0,1,'2','I25253236252534125253',1,'en'),
(21968,'icon-star','icon-star',0,0,'0.6','I25236',1,'en'),
(21969,'icon-star icon-star-empty','icon-star icon-star-empty',0,1,'1.8333','I2523625236513',1,'en'),
(21970,'icon-star icon-star-empty icon-user','icon-star icon-star-empty icon-user',0,1,'2','I25236252365132526',1,'en'),
(21971,'icon-star-empty','icon-star-empty',0,0,'1','I25236513',1,'en'),
(21972,'icon-star-empty icon-user','icon-star-empty icon-user',0,1,'1.8333','I252365132526',1,'en'),
(21973,'icon-star-empty icon-user icon-film','icon-star-empty icon-user icon-film',0,1,'2','I25236513252625145',1,'en'),
(21974,'icon-stats','icon-stats',0,0,'0.6667','I25232',1,'en'),
(21975,'icon-stats icon-sd-video','icon-stats icon-sd-video',0,1,'1.8','I2523252313',1,'en'),
(21976,'icon-stats icon-sd-video icon-hd-video','icon-stats icon-sd-video icon-hd-video',0,1,'2','I252325231325313',1,'en'),
(21977,'icon-step-backward','icon-step-backward',0,0,'1','I25231263',1,'en'),
(21978,'icon-step-backward icon-fast-backward','icon-step-backward icon-fast-backward',0,1,'2','I25231263251231263',1,'en'),
(21979,'icon-step-backward icon-fast-backward icon-backward','icon-step-backward icon-fast-backward icon-backward',0,1,'2','I25231263251231263251263',1,'en'),
(21980,'icon-step-forward','icon-step-forward',0,0,'1','I2523163',1,'en'),
(21981,'icon-step-forward icon-eject','icon-step-forward icon-eject',0,1,'1.9333','I25231632523',1,'en'),
(21982,'icon-step-forward icon-eject icon-chevron-left','icon-step-forward icon-eject icon-chevron-left',0,1,'2','I25231632523252165413',1,'en'),
(21983,'icon-stop','icon-stop',0,0,'0.6','I25231',1,'en'),
(21984,'icon-stop icon-forward','icon-stop icon-forward',0,1,'1.7333','I2523125163',1,'en'),
(21985,'icon-subtitles','icon-subtitles',0,0,'0.9333','I2521342',1,'en'),
(21986,'icon-subtitles icon-sound-stereo','icon-subtitles icon-sound-stereo',0,1,'2','I25213425253236',1,'en'),
(21987,'icon-subtitles icon-sound-stereo icon-sound-dolby','icon-subtitles icon-sound-stereo icon-sound-dolby',0,1,'2','I252134252532362525341',1,'en'),
(21988,'icon-tag','icon-tag',0,0,'0.5333','I2532',1,'en'),
(21989,'icon-tag icon-tags','icon-tag icon-tags',0,1,'1.6','I2532532',1,'en'),
(21990,'icon-tag icon-tags icon-book','icon-tag icon-tags icon-book',0,1,'1.9333','I2532532512',1,'en'),
(21991,'icon-tags','icon-tags',0,0,'0.6','I2532',1,'en'),
(21992,'icon-tags icon-book','icon-tags icon-book',0,1,'1.6333','I2532512',1,'en'),
(21993,'icon-tags icon-book icon-bookmark','icon-tags icon-book icon-bookmark',0,1,'2','I2532512512562',1,'en'),
(21994,'icon-tasks','icon-tasks',0,0,'0.6667','I2532',1,'en'),
(21995,'icon-tasks icon-filter','icon-tasks icon-filter',0,1,'1.7333','I253251436',1,'en'),
(21996,'icon-tasks icon-filter icon-briefcase','icon-tasks icon-filter icon-briefcase',0,1,'2','I253251436251612',1,'en'),
(21997,'icon-text-height','icon-text-height',0,0,'1','I2532323',1,'en'),
(21998,'icon-text-height icon-text-width','icon-text-height icon-text-width',0,1,'2','I253232325323',1,'en'),
(21999,'icon-text-width','icon-text-width',0,0,'1','I25323',1,'en'),
(22000,'icon-th','icon-th',0,0,'0.4667','I253',1,'en'),
(22001,'icon-th icon-th-list','icon-th icon-th-list',0,1,'1.6667','I253253423',1,'en'),
(22002,'icon-th icon-th-list icon-ok','icon-th icon-th-list icon-ok',0,1,'1.9333','I253253423252',1,'en'),
(22003,'icon-th-large','icon-th-large',0,0,'0.8667','I253462',1,'en'),
(22004,'icon-th-large icon-th','icon-th-large icon-th',0,1,'1.7','I25346253',1,'en'),
(22005,'icon-th-large icon-th icon-th-list','icon-th-large icon-th icon-th-list',0,1,'2','I25346253253423',1,'en'),
(22006,'icon-th-list','icon-th-list',0,0,'0.8','I253423',1,'en'),
(22007,'icon-th-list icon-ok','icon-th-list icon-ok',0,1,'1.6667','I253423252',1,'en'),
(22008,'icon-th-list icon-ok icon-remove','icon-th-list icon-ok icon-remove',0,1,'2','I2534232525651',1,'en'),
(22009,'icon-thumbs-down','icon-thumbs-down',0,0,'1','I25351235',1,'en'),
(22010,'icon-thumbs-down icon-hand-right','icon-thumbs-down icon-hand-right',0,1,'2','I25351235253623',1,'en'),
(22011,'icon-thumbs-down icon-hand-right icon-hand-left','icon-thumbs-down icon-hand-right icon-hand-left',0,1,'2','I25351235253623253413',1,'en'),
(22012,'icon-thumbs-up','icon-thumbs-up',0,0,'0.9333','I2535121',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(22013,'icon-thumbs-up icon-thumbs-down','icon-thumbs-up icon-thumbs-down',0,1,'2','I253512125351235',1,'en'),
(22014,'icon-thumbs-up icon-thumbs-down icon-hand-right','icon-thumbs-up icon-thumbs-down icon-hand-right',0,1,'2','I253512125351235253623',1,'en'),
(22015,'icon-time','icon-time',0,0,'0.6','I2535',1,'en'),
(22016,'icon-time icon-road','icon-time icon-road',0,1,'1.6333','I25352563',1,'en'),
(22017,'icon-time icon-road icon-download-alt','icon-time icon-road icon-download-alt',0,1,'2','I2535256325354343',1,'en'),
(22018,'icon-tint','icon-tint',0,0,'0.6','I25353',1,'en'),
(22019,'icon-tint icon-edit','icon-tint icon-edit',0,1,'1.6333','I25353253',1,'en'),
(22020,'icon-tint icon-edit icon-share','icon-tint icon-edit icon-share',0,1,'2','I253532532526',1,'en'),
(22021,'icon-tower','icon-tower',0,0,'0.6667','I2536',1,'en'),
(22022,'icon-tower icon-stats','icon-tower icon-stats',0,1,'1.7','I253625232',1,'en'),
(22023,'icon-tower icon-stats icon-sd-video','icon-tower icon-stats icon-sd-video',0,1,'2','I25362523252313',1,'en'),
(22024,'icon-transfer','icon-transfer',0,0,'0.8667','I25365216',1,'en'),
(22025,'icon-transfer icon-cutlery','icon-transfer icon-cutlery',0,1,'1.8667','I25365216252346',1,'en'),
(22026,'icon-transfer icon-cutlery icon-header','icon-transfer icon-cutlery icon-header',0,1,'2','I253652162523462536',1,'en'),
(22027,'icon-trash','icon-trash',0,0,'0.6667','I25362',1,'en'),
(22028,'icon-trash icon-home','icon-trash icon-home',0,1,'1.6667','I253625',1,'en'),
(22029,'icon-trash icon-home icon-file','icon-trash icon-home icon-file',0,1,'2','I2536252514',1,'en'),
(22030,'icon-tree-conifer','icon-tree-conifer',0,0,'1','I25362516',1,'en'),
(22031,'icon-tree-conifer icon-tree-deciduous','icon-tree-conifer icon-tree-deciduous',0,1,'2','I2536251625363232',1,'en'),
(22032,'icon-tree-conifer icon-tree-deciduous offcanvas','icon-tree-conifer icon-tree-deciduous offcanvas',0,1,'2','I253625162536323212512',1,'en'),
(22033,'icon-tree-deciduous','icon-tree-deciduous',0,0,'1','I25363232',1,'en'),
(22034,'icon-tree-deciduous offcanvas','icon-tree-deciduous offcanvas',0,1,'1.9667','I2536323212512',1,'en'),
(22035,'icon-tree-deciduous offcanvas button','icon-tree-deciduous offcanvas button',0,1,'2','I2536323212512135',1,'en'),
(22036,'icon-unchecked','icon-unchecked',0,0,'0.9333','I2523',1,'en'),
(22037,'icon-unchecked icon-expand','icon-unchecked icon-expand',0,1,'1.8667','I2523252153',1,'en'),
(22038,'icon-unchecked icon-expand icon-collapse-down','icon-unchecked icon-expand icon-collapse-down',0,1,'2','I252325215325241235',1,'en'),
(22039,'icon-upload','icon-upload',0,0,'0.7333','I25143',1,'en'),
(22040,'icon-usd','icon-usd',0,0,'0.5333','I2523',1,'en'),
(22041,'icon-usd icon-gbp','icon-usd icon-gbp',0,1,'1.5667','I25232521',1,'en'),
(22042,'icon-usd icon-gbp icon-sort','icon-usd icon-gbp icon-sort',0,1,'1.9','I2523252125263',1,'en'),
(22043,'icon-usd icon-usd','icon-usd icon-usd',0,1,'1.5667','I25232523',1,'en'),
(22044,'icon-usd icon-usd icon-gbp','icon-usd icon-usd icon-gbp',0,1,'1.8667','I252325232521',1,'en'),
(22045,'icon-user','icon-user',0,0,'0.6','I2526',1,'en'),
(22046,'icon-user icon-film','icon-user icon-film',0,1,'1.6333','I252625145',1,'en'),
(22047,'icon-user icon-film icon-th-large','icon-user icon-film icon-th-large',0,1,'2','I252625145253462',1,'en'),
(22048,'icon-volume-down','icon-volume-down',0,0,'1','I2514535',1,'en'),
(22049,'icon-volume-down icon-volume-up','icon-volume-down icon-volume-up',0,1,'2','I2514535251451',1,'en'),
(22050,'icon-volume-down icon-volume-up icon-qrcode','icon-volume-down icon-volume-up icon-qrcode',0,1,'2','I2514535251451252623',1,'en'),
(22051,'icon-volume-off','icon-volume-off',0,0,'1','I251451',1,'en'),
(22052,'icon-volume-off icon-volume-down','icon-volume-off icon-volume-down',0,1,'2','I2514512514535',1,'en'),
(22053,'icon-volume-off icon-volume-down icon-volume-up','icon-volume-off icon-volume-down icon-volume-up',0,1,'2','I2514512514535251451',1,'en'),
(22054,'icon-volume-up','icon-volume-up',0,0,'0.9333','I251451',1,'en'),
(22055,'icon-volume-up icon-qrcode','icon-volume-up icon-qrcode',0,1,'1.8667','I251451252623',1,'en'),
(22056,'icon-volume-up icon-qrcode icon-barcode','icon-volume-up icon-qrcode icon-barcode',0,1,'2','I251451252623251623',1,'en'),
(22057,'icon-warning-sign','icon-warning-sign',0,0,'1','I256525',1,'en'),
(22058,'icon-warning-sign icon-plane','icon-warning-sign icon-plane',0,1,'1.9333','I25652525145',1,'en'),
(22059,'icon-warning-sign icon-plane icon-calendar','icon-warning-sign icon-plane icon-calendar',0,1,'2','I256525251452524536',1,'en'),
(22060,'icon-wrench','icon-wrench',0,0,'0.7333','I25652',1,'en'),
(22061,'icon-wrench icon-tasks','icon-wrench icon-tasks',0,1,'1.7333','I25652532',1,'en'),
(22062,'icon-wrench icon-tasks icon-filter','icon-wrench icon-tasks icon-filter',0,1,'2','I2565253251436',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(22063,'icon-zoom-in','icon-zoom-in',0,0,'0.8','I2525',1,'en'),
(22064,'icon-zoom-in icon-zoom-out','icon-zoom-in icon-zoom-out',0,1,'1.8667','I252525253',1,'en'),
(22065,'icon-zoom-in icon-zoom-out icon-off','icon-zoom-in icon-zoom-out icon-off',0,1,'2','I252525253251',1,'en'),
(22066,'icon-zoom-out','icon-zoom-out',0,0,'0.8667','I25253',1,'en'),
(22067,'icon-zoom-out icon-off','icon-zoom-out icon-off',0,1,'1.7333','I25253251',1,'en'),
(22068,'icon-zoom-out icon-off icon-signal','icon-zoom-out icon-off icon-signal',0,1,'2','I2525325125254',1,'en'),
(22069,'icon1.png','icon1.png',0,0,'0.6','I25152',1,'en'),
(22070,'icon1.png alt','icon1.png alt',0,1,'1.4333','I2515243',1,'en'),
(22071,'icon1.png alt div','icon1.png alt div',0,1,'1.5667','I25152431',1,'en'),
(22072,'icon2.png','icon2.png',0,0,'0.6','I25152',1,'en'),
(22073,'icon2.png alt','icon2.png alt',0,1,'1.4333','I2515243',1,'en'),
(22074,'icon2.png alt div','icon2.png alt div',0,1,'1.5667','I25152431',1,'en'),
(22075,'image','image',0,0,'0.3333','I520',1,'en'),
(22076,'image borders','image borders',0,1,'1.4333','I5216362',1,'en'),
(22077,'image borders img','image borders img',0,1,'1.5667','I521636252',1,'en'),
(22078,'image jpg','image jpg',0,1,'1.3','I5212',1,'en'),
(22079,'image jpg headings','image jpg headings',0,1,'1.6','I5212352',1,'en'),
(22080,'image jpg img','image jpg img',0,1,'1.4333','I521252',1,'en'),
(22081,'images','images',0,0,'0.4','I520',1,'en'),
(22082,'images modules','images modules',0,1,'1.4667','I525342',1,'en'),
(22083,'images modules direction','images modules direction',0,1,'1.8','I52534236235',1,'en'),
(22084,'images modules email','images modules email',0,1,'1.6667','I52534254',1,'en'),
(22085,'images modules icon1.png','images modules icon1.png',0,1,'1.8','I5253425152',1,'en'),
(22086,'images modules icon2.png','images modules icon2.png',0,1,'1.8','I5253425152',1,'en'),
(22087,'images modules phone','images modules phone',0,1,'1.6667','I52534215',1,'en'),
(22088,'img','img',0,0,'0.2','I520',1,'en'),
(22089,'img class','img class',0,1,'1.3','I5242',1,'en'),
(22090,'img class img-circle','img class img-circle',0,1,'1.6667','I524252624',1,'en'),
(22091,'img class img-polaroid','img class img-polaroid',0,1,'1.7333','I5242521463',1,'en'),
(22092,'img class img-rounded','img class img-rounded',0,1,'1.7','I524252653',1,'en'),
(22093,'img src','img src',0,1,'1.2333','I5262',1,'en'),
(22094,'img src images','img src images',0,1,'1.4667','I526252',1,'en'),
(22095,'img-circle','img-circle',0,0,'0.6667','I52624',1,'en'),
(22096,'img-circle src','img-circle src',0,1,'1.4667','I52624262',1,'en'),
(22097,'img-circle src image','img-circle src image',0,1,'1.6667','I5262426252',1,'en'),
(22098,'img-polaroid','img-polaroid',0,0,'0.8','I521463',1,'en'),
(22099,'img-polaroid src','img-polaroid src',0,1,'1.5333','I521463262',1,'en'),
(22100,'img-polaroid src image','img-polaroid src image',0,1,'1.7333','I52146326252',1,'en'),
(22101,'img-rounded','img-rounded',0,0,'0.7333','I52653',1,'en'),
(22102,'img-rounded src','img-rounded src',0,1,'1.5','I52653262',1,'en'),
(22103,'img-rounded src image','img-rounded src image',0,1,'1.7','I5265326252',1,'en'),
(22104,'imperdiet dignissim p','imperdiet dignissim p',0,1,'1.7','I516325251',1,'en'),
(22105,'incididunt br','incididunt br',0,1,'1.4333','I5235316',1,'en'),
(22106,'incididunt br ut','incididunt br ut',0,1,'1.5333','I52353163',1,'en'),
(22107,'include','include',0,0,'0.4667','I5243',1,'en'),
(22108,'include lorem','include lorem',0,1,'1.4333','I5243465',1,'en'),
(22109,'include lorem ipsum','include lorem ipsum',0,1,'1.6333','I5243465125',1,'en'),
(22110,'include span','include span',0,1,'1.4','I5243215',1,'en'),
(22111,'include span ul','include span ul',0,1,'1.5','I52432154',1,'en'),
(22112,'integer','integer',0,0,'0.4667','I5326',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(22113,'integer posuere','integer posuere',0,1,'1.5','I5326126',1,'en'),
(22114,'integer posuere erat','integer posuere erat',0,1,'1.6667','I53261263',1,'en'),
(22115,'interested a','interested a',0,1,'1.4','I53623',1,'en'),
(22116,'interested a div','interested a div',0,1,'1.5333','I536231',1,'en'),
(22117,'internet div','internet div',0,1,'1.4','I536531',1,'en'),
(22118,'internet div div','internet div div',0,1,'1.5333','I53653131',1,'en'),
(22119,'internet div ul','internet div ul',0,1,'1.5','I5365314',1,'en'),
(22120,'internet span','internet span',0,1,'1.4333','I53653215',1,'en'),
(22121,'internet span p','internet span p',0,1,'1.5','I536532151',1,'en'),
(22122,'ipsum dolor span','ipsum dolor span',0,1,'1.5333','I125346215',1,'en'),
(22123,'ipsum duis','ipsum duis',0,1,'1.3333','I12532',1,'en'),
(22124,'ipsum duis tincidunt','ipsum duis tincidunt',0,1,'1.6667','I12532352353',1,'en'),
(22125,'ipsum li','ipsum li',0,1,'1.2667','I1254',1,'en'),
(22126,'ipsum li li','ipsum li li',0,1,'1.3667','I1254',1,'en'),
(22127,'ipsum ol','ipsum ol',0,1,'1.2667','I1254',1,'en'),
(22128,'ipsum ol class','ipsum ol class',0,1,'1.4667','I1254242',1,'en'),
(22129,'ipsum ordered','ipsum ordered',0,1,'1.4333','I1256363',1,'en'),
(22130,'ipsum ordered lists','ipsum ordered lists',0,1,'1.6333','I12563634232',1,'en'),
(22131,'ipsum product','ipsum product',0,1,'1.4333','I12516323',1,'en'),
(22132,'ipsum product market','ipsum product market',0,1,'1.6667','I125163235623',1,'en'),
(22133,'ipsum read','ipsum read',0,1,'1.3333','I12563',1,'en'),
(22134,'ipsum read more','ipsum read more',0,1,'1.5','I1256356',1,'en'),
(22135,'ipsum ul','ipsum ul',0,1,'1.2667','I1254',1,'en'),
(22136,'ipsum ul class','ipsum ul class',0,1,'1.4667','I1254242',1,'en'),
(22137,'is custom','is custom',0,1,'1.3','I235',1,'en'),
(22138,'is custom html','is custom html',0,1,'1.4667','I235354',1,'en'),
(22139,'is heading','is heading',0,1,'1.3333','I2352',1,'en'),
(22140,'is heading five','is heading five',0,1,'1.5','I23521',1,'en'),
(22141,'is heading four','is heading four',0,1,'1.5','I235216',1,'en'),
(22142,'is heading one','is heading one',0,1,'1.4667','I23525',1,'en'),
(22143,'is heading six','is heading six',0,1,'1.4667','I2352',1,'en'),
(22144,'is heading three','is heading three',0,1,'1.5333','I235236',1,'en'),
(22145,'is heading two','is heading two',0,1,'1.4667','I23523',1,'en'),
(22146,'is span','is span',0,1,'1.2333','I215',1,'en'),
(22147,'is span custom','is span custom',0,1,'1.4667','I215235',1,'en'),
(22148,'jm 01','jm 01',0,1,'1.1667','J500',1,'en'),
(22149,'jm 01 span','jm 01 span',0,1,'1.3333','J5215',1,'en'),
(22150,'jm a','jm a',0,1,'1.1333','J500',1,'en'),
(22151,'jm a span','jm a span',0,1,'1.3','J5215',1,'en'),
(22152,'jm-alpha','jm-alpha',0,0,'0.5333','J541',1,'en'),
(22153,'jm-alpha list','jm-alpha list',0,1,'1.4333','J541423',1,'en'),
(22154,'jm-alpha list goes','jm-alpha list goes',0,1,'1.6','J5414232',1,'en'),
(22155,'jm-badge','jm-badge',0,0,'0.5333','J5132',1,'en'),
(22156,'jm-badge text','jm-badge text',0,1,'1.4333','J5132323',1,'en'),
(22157,'jm-badge text goes','jm-badge text goes',0,1,'1.6','J51323232',1,'en'),
(22158,'jm-block','jm-block',0,0,'0.5333','J5142',1,'en'),
(22159,'jm-block second','jm-block second',0,1,'1.5','J514253',1,'en'),
(22160,'jm-block second span','jm-block second span',0,1,'1.6667','J514253215',1,'en'),
(22161,'jm-block span','jm-block span',0,1,'1.4333','J514215',1,'en'),
(22162,'jm-block span class','jm-block span class',0,1,'1.6333','J514215242',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(22163,'jm-box','jm-box',0,0,'0.4','J512',1,'en'),
(22164,'jm-box div','jm-box div',0,1,'1.3333','J51231',1,'en'),
(22165,'jm-box div class','jm-box div class',0,1,'1.5333','J51231242',1,'en'),
(22166,'jm-box-in','jm-box-in',0,0,'0.6','J5125',1,'en'),
(22167,'jm-box-in div','jm-box-in div',0,1,'1.4333','J512531',1,'en'),
(22168,'jm-box-in div class','jm-box-in div class',0,1,'1.6333','J512531242',1,'en'),
(22169,'jm-calendar','jm-calendar',0,0,'0.7333','J524536',1,'en'),
(22170,'jm-calendar text','jm-calendar text',0,1,'1.5333','J524536323',1,'en'),
(22171,'jm-calendar text goes','jm-calendar text goes',0,1,'1.7','J5245363232',1,'en'),
(22172,'jm-chat','jm-chat',0,0,'0.4667','J523',1,'en'),
(22173,'jm-chat text','jm-chat text',0,1,'1.4','J52323',1,'en'),
(22174,'jm-chat text goes','jm-chat text goes',0,1,'1.5667','J523232',1,'en'),
(22175,'jm-check','jm-check',0,0,'0.5333','J520',1,'en'),
(22176,'jm-check text','jm-check text',0,1,'1.4333','J52323',1,'en'),
(22177,'jm-check text goes','jm-check text goes',0,1,'1.6','J523232',1,'en'),
(22178,'jm-cloud','jm-cloud',0,0,'0.5333','J5243',1,'en'),
(22179,'jm-cloud text','jm-cloud text',0,1,'1.4333','J524323',1,'en'),
(22180,'jm-cloud text goes','jm-cloud text goes',0,1,'1.6','J5243232',1,'en'),
(22181,'jm-color-list','jm-color-list',0,0,'0.8667','J5246423',1,'en'),
(22182,'jm-color-list list','jm-color-list list',0,1,'1.6','J5246423423',1,'en'),
(22183,'jm-color-list list goes','jm-color-list list goes',0,1,'1.7667','J52464234232',1,'en'),
(22184,'jm-column','jm-column',0,0,'0.6','J5245',1,'en'),
(22185,'jm-column span','jm-column span',0,1,'1.4667','J5245215',1,'en'),
(22186,'jm-column span class','jm-column span class',0,1,'1.6667','J5245215242',1,'en'),
(22187,'jm-contact-icons','jm-contact-icons',0,0,'1','J525323252',1,'en'),
(22188,'jm-contact-icons li','jm-contact-icons li',0,1,'1.6333','J5253232524',1,'en'),
(22189,'jm-contact-icons li class','jm-contact-icons li class',0,1,'1.8333','J5253232524242',1,'en'),
(22190,'jm-custom-content','jm-custom-content',0,0,'1','J523525353',1,'en'),
(22191,'jm-custom-content clearfix','jm-custom-content clearfix',0,1,'1.8667','J52352535324612',1,'en'),
(22192,'jm-custom-content clearfix div','jm-custom-content clearfix div',0,1,'2','J5235253532461231',1,'en'),
(22193,'jm-custom-header','jm-custom-header',0,0,'1','J523536',1,'en'),
(22194,'jm-custom-header div','jm-custom-header div',0,1,'1.6667','J52353631',1,'en'),
(22195,'jm-custom-header div class','jm-custom-header div class',0,1,'1.8667','J52353631242',1,'en'),
(22196,'jm-description','jm-description',0,0,'0.9333','J5326135',1,'en'),
(22197,'jm-description span','jm-description span',0,1,'1.6333','J5326135215',1,'en'),
(22198,'jm-description span class','jm-description span class',0,1,'1.8333','J5326135215242',1,'en'),
(22199,'jm-direction','jm-direction',0,0,'0.8','J536235',1,'en'),
(22200,'jm-direction img','jm-direction img',0,1,'1.5333','J5362352',1,'en'),
(22201,'jm-direction img src','jm-direction img src',0,1,'1.6667','J536235262',1,'en'),
(22202,'jm-direction text','jm-direction text',0,1,'1.5667','J536235323',1,'en'),
(22203,'jm-direction text goes','jm-direction text goes',0,1,'1.7333','J5362353232',1,'en'),
(22204,'jm-divide','jm-divide',0,0,'0.6','J5313',1,'en'),
(22205,'jm-divide text','jm-divide text',0,1,'1.4667','J531323',1,'en'),
(22206,'jm-divide text goes','jm-divide text goes',0,1,'1.6333','J5313232',1,'en'),
(22207,'jm-email','jm-email',0,0,'0.5333','J540',1,'en'),
(22208,'jm-email img','jm-email img',0,1,'1.4','J5452',1,'en'),
(22209,'jm-email img src','jm-email img src',0,1,'1.5333','J545262',1,'en'),
(22210,'jm-error','jm-error',0,0,'0.5333','J560',1,'en'),
(22211,'jm-error text','jm-error text',0,1,'1.4333','J56323',1,'en'),
(22212,'jm-error text goes','jm-error text goes',0,1,'1.6','J563232',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(22213,'jm-expand','jm-expand',0,0,'0.6','J52153',1,'en'),
(22214,'jm-expand div','jm-expand div',0,1,'1.4333','J521531',1,'en'),
(22215,'jm-expand div class','jm-expand div class',0,1,'1.6333','J521531242',1,'en'),
(22216,'jm-fire','jm-fire',0,0,'0.4667','J516',1,'en'),
(22217,'jm-fire text','jm-fire text',0,1,'1.4','J516323',1,'en'),
(22218,'jm-fire text goes','jm-fire text goes',0,1,'1.5667','J5163232',1,'en'),
(22219,'jm-flag','jm-flag',0,0,'0.4667','J5142',1,'en'),
(22220,'jm-flag text','jm-flag text',0,1,'1.4','J5142323',1,'en'),
(22221,'jm-flag text goes','jm-flag text goes',0,1,'1.5667','J51423232',1,'en'),
(22222,'jm-heart','jm-heart',0,0,'0.5333','J563',1,'en'),
(22223,'jm-heart text','jm-heart text',0,1,'1.4333','J56323',1,'en'),
(22224,'jm-heart text goes','jm-heart text goes',0,1,'1.6','J563232',1,'en'),
(22225,'jm-home','jm-home',0,0,'0.4667','J500',1,'en'),
(22226,'jm-home text','jm-home text',0,1,'1.4','J5323',1,'en'),
(22227,'jm-home text goes','jm-home text goes',0,1,'1.5667','J53232',1,'en'),
(22228,'jm-icon','jm-icon',0,0,'0.4667','J525',1,'en'),
(22229,'jm-icon div','jm-icon div',0,1,'1.3667','J52531',1,'en'),
(22230,'jm-icon div class','jm-icon div class',0,1,'1.5667','J52531242',1,'en'),
(22231,'jm-icon img','jm-icon img',0,1,'1.3667','J5252',1,'en'),
(22232,'jm-icon img src','jm-icon img src',0,1,'1.5','J525262',1,'en'),
(22233,'jm-icon-in','jm-icon-in',0,0,'0.6667','J525',1,'en'),
(22234,'jm-icon-in span','jm-icon-in span',0,1,'1.5','J525215',1,'en'),
(22235,'jm-icon-in span class','jm-icon-in span class',0,1,'1.7','J525215242',1,'en'),
(22236,'jm-info','jm-info',0,0,'0.4667','J510',1,'en'),
(22237,'jm-info text','jm-info text',0,1,'1.4','J51323',1,'en'),
(22238,'jm-info text goes','jm-info text goes',0,1,'1.5667','J513232',1,'en'),
(22239,'jm-internet','jm-internet',0,0,'0.7333','J53653',1,'en'),
(22240,'jm-internet com','jm-internet com',0,1,'1.5','J5365325',1,'en'),
(22241,'jm-internet com a','jm-internet com a',0,1,'1.5667','J5365325',1,'en'),
(22242,'jm-internet com lorem','jm-internet com lorem',0,1,'1.7','J5365325465',1,'en'),
(22243,'jm-light-list','jm-light-list',0,0,'0.8667','J5423423',1,'en'),
(22244,'jm-light-list list','jm-light-list list',0,1,'1.6','J5423423423',1,'en'),
(22245,'jm-light-list list goes','jm-light-list list goes',0,1,'1.7667','J54234234232',1,'en'),
(22246,'jm-list','jm-list',0,0,'0.4667','J5423',1,'en'),
(22247,'jm-list text','jm-list text',0,1,'1.4','J542323',1,'en'),
(22248,'jm-list text goes','jm-list text goes',0,1,'1.5667','J5423232',1,'en'),
(22249,'jm-mail','jm-mail',0,0,'0.4667','J540',1,'en'),
(22250,'jm-mail text','jm-mail text',0,1,'1.4','J54323',1,'en'),
(22251,'jm-mail text goes','jm-mail text goes',0,1,'1.5667','J543232',1,'en'),
(22252,'jm-people','jm-people',0,0,'0.6','J514',1,'en'),
(22253,'jm-people text','jm-people text',0,1,'1.4667','J514323',1,'en'),
(22254,'jm-people text goes','jm-people text goes',0,1,'1.6333','J5143232',1,'en'),
(22255,'jm-phone','jm-phone',0,0,'0.5333','J515',1,'en'),
(22256,'jm-phone +44','jm-phone +44',0,1,'1.4','J515',1,'en'),
(22257,'jm-phone +44 7837','jm-phone +44 7837',0,1,'1.5667','J515',1,'en'),
(22258,'jm-phone img','jm-phone img',0,1,'1.4','J5152',1,'en'),
(22259,'jm-phone img src','jm-phone img src',0,1,'1.5333','J515262',1,'en'),
(22260,'jm-pricing','jm-pricing',0,0,'0.6667','J516252',1,'en'),
(22261,'jm-pricing clearfix','jm-pricing clearfix',0,1,'1.6333','J5162524612',1,'en'),
(22262,'jm-pricing clearfix col3','jm-pricing clearfix col3',0,1,'1.8','J51625246124',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(22263,'jm-roman','jm-roman',0,0,'0.5333','J565',1,'en'),
(22264,'jm-roman list','jm-roman list',0,1,'1.4333','J565423',1,'en'),
(22265,'jm-roman list goes','jm-roman list goes',0,1,'1.6','J5654232',1,'en'),
(22266,'jm-socials','jm-socials',0,0,'0.6667','J5242',1,'en'),
(22267,'jm-socials a','jm-socials a',0,1,'1.4','J5242',1,'en'),
(22268,'jm-socials a class','jm-socials a class',0,1,'1.6','J524242',1,'en'),
(22269,'jm-star','jm-star',0,0,'0.4667','J5236',1,'en'),
(22270,'jm-star text','jm-star text',0,1,'1.4','J5236323',1,'en'),
(22271,'jm-star text goes','jm-star text goes',0,1,'1.5667','J52363232',1,'en'),
(22272,'jm-stat','jm-stat',0,0,'0.4667','J523',1,'en'),
(22273,'jm-stat text','jm-stat text',0,1,'1.4','J52323',1,'en'),
(22274,'jm-stat text goes','jm-stat text goes',0,1,'1.5667','J523232',1,'en'),
(22275,'john','john',0,0,'0.2667','J500',1,'en'),
(22276,'john doe','john doe',0,1,'1.2667','J530',1,'en'),
(22277,'john doe blockquote','john doe blockquote',0,1,'1.6333','J531423',1,'en'),
(22278,'john doe small','john doe small',0,1,'1.4667','J53254',1,'en'),
(22279,'john doe unordered','john doe unordered',0,1,'1.6','J5356363',1,'en'),
(22280,'jpg','jpg',0,0,'0.2','J120',1,'en'),
(22281,'jpg headings','jpg headings',0,1,'1.4','J12352',1,'en'),
(22282,'jpg headings this','jpg headings this',0,1,'1.5667','J1235232',1,'en'),
(22283,'jpg img','jpg img',0,1,'1.2333','J1252',1,'en'),
(22284,'jpg img class','jpg img class',0,1,'1.4333','J125242',1,'en'),
(22285,'lacinia bibendum','lacinia bibendum',0,1,'1.5333','L251535',1,'en'),
(22286,'lacinia bibendum felis','lacinia bibendum felis',0,1,'1.7333','L251535142',1,'en'),
(22287,'lean','lean',0,0,'0.2667','L500',1,'en'),
(22288,'lean startup','lean startup',0,1,'1.4','L523631',1,'en'),
(22289,'lean startup ipsum','lean startup ipsum',0,1,'1.6','L52363125',1,'en'),
(22290,'leo li','leo li',0,1,'1.2','L000',1,'en'),
(22291,'leo li li','leo li li',0,1,'1.3','L000',1,'en'),
(22292,'leo sed','leo sed',0,1,'1.2333','L230',1,'en'),
(22293,'leo sed turpis','leo sed turpis',0,1,'1.4667','L23612',1,'en'),
(22294,'li','li',0,0,'0.1333','L000',1,'en'),
(22295,'li class','li class',0,1,'1.2667','L242',1,'en'),
(22296,'li class jm-direction','li class jm-direction',0,1,'1.7','L242536235',1,'en'),
(22297,'li class jm-email','li class jm-email',0,1,'1.5667','L24254',1,'en'),
(22298,'li class jm-phone','li class jm-phone',0,1,'1.5667','L242515',1,'en'),
(22299,'li dolor','li dolor',0,1,'1.2667','L346',1,'en'),
(22300,'li dolor sit','li dolor sit',0,1,'1.4','L34623',1,'en'),
(22301,'li donec','li donec',0,1,'1.2667','L352',1,'en'),
(22302,'li donec ut','li donec ut',0,1,'1.3667','L3523',1,'en'),
(22303,'li li','li li',0,1,'1.1667','L000',1,'en'),
(22304,'li li class','li li class',0,1,'1.3667','L242',1,'en'),
(22305,'li li dolor','li li dolor',0,1,'1.3667','L346',1,'en'),
(22306,'li li donec','li li donec',0,1,'1.3667','L352',1,'en'),
(22307,'li li morbi','li li morbi',0,1,'1.3667','L561',1,'en'),
(22308,'li li pellentesque','li li pellentesque',0,1,'1.6','L14532',1,'en'),
(22309,'li li proin','li li proin',0,1,'1.3667','L165',1,'en'),
(22310,'li li suscipit','li li suscipit',0,1,'1.4667','L213',1,'en'),
(22311,'li li vestibulum','li li vestibulum',0,1,'1.5333','L123145',1,'en'),
(22312,'li li vivamus','li li vivamus',0,1,'1.4333','L152',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(22313,'li lorem','li lorem',0,1,'1.2667','L650',1,'en'),
(22314,'li lorem ipsum','li lorem ipsum',0,1,'1.4667','L65125',1,'en'),
(22315,'li morbi','li morbi',0,1,'1.2667','L561',1,'en'),
(22316,'li morbi rhoncus','li morbi rhoncus',0,1,'1.5333','L561652',1,'en'),
(22317,'li pellentesque','li pellentesque',0,1,'1.5','L14532',1,'en'),
(22318,'li pellentesque varius','li pellentesque varius',0,1,'1.7333','L14532162',1,'en'),
(22319,'li proin','li proin',0,1,'1.2667','L165',1,'en'),
(22320,'li proin non','li proin non',0,1,'1.4','L165',1,'en'),
(22321,'li suscipit','li suscipit',0,1,'1.3667','L213',1,'en'),
(22322,'li suscipit libero','li suscipit libero',0,1,'1.6','L213416',1,'en'),
(22323,'li ul','li ul',0,1,'1.1667','L000',1,'en'),
(22324,'li ul div','li ul div',0,1,'1.3','L310',1,'en'),
(22325,'li ul peterborough','li ul peterborough',0,1,'1.6','L136162',1,'en'),
(22326,'li vestibulum','li vestibulum',0,1,'1.4333','L123145',1,'en'),
(22327,'li vestibulum venenatis','li vestibulum venenatis',0,1,'1.7667','L1231451532',1,'en'),
(22328,'li vivamus','li vivamus',0,1,'1.3333','L152',1,'en'),
(22329,'li vivamus quis','li vivamus quis',0,1,'1.5','L152',1,'en'),
(22330,'libero business','libero business',0,1,'1.5','L161252',1,'en'),
(22331,'libero business solutions','libero business solutions',0,1,'1.8333','L1612524352',1,'en'),
(22332,'libero header','libero header',0,1,'1.4333','L1636',1,'en'),
(22333,'libero header module','libero header module',0,1,'1.6667','L1636534',1,'en'),
(22334,'libero li','libero li',0,1,'1.3','L164',1,'en'),
(22335,'libero li ul','libero li ul',0,1,'1.4','L164',1,'en'),
(22336,'life div','life div',0,1,'1.2667','L131',1,'en'),
(22337,'life div ul','life div ul',0,1,'1.3667','L1314',1,'en'),
(22338,'link','link',0,0,'0.2667','L520',1,'en'),
(22339,'link www','link www',0,1,'1.2667','L520',1,'en'),
(22340,'link www jm-internet','link www jm-internet',0,1,'1.6667','L5253653',1,'en'),
(22341,'linkedin','linkedin',0,0,'0.5333','L5235',1,'en'),
(22342,'linkedin href','linkedin href',0,1,'1.4333','L523561',1,'en'),
(22343,'linkedin href nbsp','linkedin href nbsp',0,1,'1.6','L5235615121',1,'en'),
(22344,'list','list',0,0,'0.2667','L230',1,'en'),
(22345,'list goes','list goes',0,1,'1.3','L232',1,'en'),
(22346,'list goes here','list goes here',0,1,'1.4667','L2326',1,'en'),
(22347,'lists','lists',0,0,'0.3333','L232',1,'en'),
(22348,'lists ol','lists ol',0,1,'1.2667','L2324',1,'en'),
(22349,'lists ol list','lists ol list',0,1,'1.4333','L232423',1,'en'),
(22350,'lists ul','lists ul',0,1,'1.2667','L2324',1,'en'),
(22351,'lists ul list','lists ul list',0,1,'1.4333','L232423',1,'en'),
(22352,'lorem ipsum li','lorem ipsum li',0,1,'1.4667','L651254',1,'en'),
(22353,'lorem lean','lorem lean',0,1,'1.3333','L6545',1,'en'),
(22354,'lorem lean startup','lorem lean startup',0,1,'1.6','L654523631',1,'en'),
(22355,'low as span','low as span',0,1,'1.3667','L215',1,'en'),
(22356,'magna aliqua check','magna aliqua check',0,1,'1.6','M2542',1,'en'),
(22357,'magna aliqua div','magna aliqua div',0,1,'1.5333','M254231',1,'en'),
(22358,'market','market',0,0,'0.4','M623',1,'en'),
(22359,'market fit','market fit',0,1,'1.3333','M62313',1,'en'),
(22360,'market fit customer','market fit customer',0,1,'1.6333','M623132356',1,'en'),
(22361,'mauris 02','mauris 02',0,1,'1.3','M620',1,'en'),
(22362,'mauris 02 lorem','mauris 02 lorem',0,1,'1.5','M62465',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(22363,'mauris 03','mauris 03',0,1,'1.3','M620',1,'en'),
(22364,'mauris 03 lorem','mauris 03 lorem',0,1,'1.5','M62465',1,'en'),
(22365,'mauris b','mauris b',0,1,'1.2667','M621',1,'en'),
(22366,'mauris b lorem','mauris b lorem',0,1,'1.4667','M621465',1,'en'),
(22367,'mauris c','mauris c',0,1,'1.2667','M620',1,'en'),
(22368,'mauris c lorem','mauris c lorem',0,1,'1.4667','M62465',1,'en'),
(22369,'mauris colored','mauris colored',0,1,'1.4667','M62463',1,'en'),
(22370,'mauris colored blocks','mauris colored blocks',0,1,'1.7','M62463142',1,'en'),
(22371,'mauris convallis','mauris convallis',0,1,'1.5333','M625142',1,'en'),
(22372,'mauris convallis porta','mauris convallis porta',0,1,'1.7333','M625142163',1,'en'),
(22373,'mauris p','mauris p',0,1,'1.2667','M621',1,'en'),
(22374,'mauris p class','mauris p class',0,1,'1.4667','M621242',1,'en'),
(22375,'maximus li','maximus li',0,1,'1.3333','M2524',1,'en'),
(22376,'maximus li ul','maximus li ul',0,1,'1.4333','M2524',1,'en'),
(22377,'mbps span','mbps span',0,1,'1.3','M1215',1,'en'),
(22378,'mbps span div','mbps span div',0,1,'1.4333','M121531',1,'en'),
(22379,'menu','menu',0,0,'0.2667','M000',1,'en'),
(22380,'menu span','menu span',0,1,'1.3','M215',1,'en'),
(22381,'menu span class','menu span class',0,1,'1.5','M215242',1,'en'),
(22382,'middle','middle',0,0,'0.4','M340',1,'en'),
(22383,'middle 14.85','middle 14.85',0,1,'1.4','M340',1,'en'),
(22384,'middle 14.85 span','middle 14.85 span',0,1,'1.5667','M34215',1,'en'),
(22385,'middle 250','middle 250',0,1,'1.3333','M340',1,'en'),
(22386,'middle 250 span','middle 250 span',0,1,'1.5','M34215',1,'en'),
(22387,'middle 29.95','middle 29.95',0,1,'1.4','M340',1,'en'),
(22388,'middle 29.95 span','middle 29.95 span',0,1,'1.5667','M34215',1,'en'),
(22389,'middle 39.95','middle 39.95',0,1,'1.4','M340',1,'en'),
(22390,'middle 39.95 span','middle 39.95 span',0,1,'1.5667','M34215',1,'en'),
(22391,'module div','module div',0,1,'1.3333','M3431',1,'en'),
(22392,'module div class','module div class',0,1,'1.5333','M3431242',1,'en'),
(22393,'module div div','module div div',0,1,'1.4667','M343131',1,'en'),
(22394,'module lorem','module lorem',0,1,'1.4','M3465',1,'en'),
(22395,'module lorem ipsum','module lorem ipsum',0,1,'1.6','M3465125',1,'en'),
(22396,'module p','module p',0,1,'1.2667','M341',1,'en'),
(22397,'module p a','module p a',0,1,'1.3333','M341',1,'en'),
(22398,'module ul','module ul',0,1,'1.3','M340',1,'en'),
(22399,'module ul class','module ul class',0,1,'1.5','M34242',1,'en'),
(22400,'modules direction','modules direction',0,1,'1.5667','M34236235',1,'en'),
(22401,'modules direction png','modules direction png',0,1,'1.7','M34236235152',1,'en'),
(22402,'modules email','modules email',0,1,'1.4333','M34254',1,'en'),
(22403,'modules email png','modules email png',0,1,'1.5667','M34254152',1,'en'),
(22404,'modules icon1.png','modules icon1.png',0,1,'1.5667','M3425152',1,'en'),
(22405,'modules icon1.png alt','modules icon1.png alt',0,1,'1.7','M342515243',1,'en'),
(22406,'modules icon2.png','modules icon2.png',0,1,'1.5667','M3425152',1,'en'),
(22407,'modules icon2.png alt','modules icon2.png alt',0,1,'1.7','M342515243',1,'en'),
(22408,'modules phone','modules phone',0,1,'1.4333','M34215',1,'en'),
(22409,'modules phone png','modules phone png',0,1,'1.5667','M34215152',1,'en'),
(22410,'month span','month span',0,1,'1.3333','M3215',1,'en'),
(22411,'month span div','month span div',0,1,'1.4667','M321531',1,'en'),
(22412,'morbi suscipit','morbi suscipit',0,1,'1.4667','M61213',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(22413,'morbi suscipit nisl','morbi suscipit nisl',0,1,'1.6333','M61213524',1,'en'),
(22414,'more a','more a',0,1,'1.2','M600',1,'en'),
(22415,'more a div','more a div',0,1,'1.3333','M631',1,'en'),
(22416,'more a p','more a p',0,1,'1.2667','M610',1,'en'),
(22417,'more button','more button',0,1,'1.3667','M6135',1,'en'),
(22418,'more button p','more button p',0,1,'1.4333','M61351',1,'en'),
(22419,'more glyphicon','more glyphicon',0,1,'1.4667','M624125',1,'en'),
(22420,'more glyphicon font','more glyphicon font',0,1,'1.6333','M624125153',1,'en'),
(22421,'more pricing','more pricing',0,1,'1.4','M616252',1,'en'),
(22422,'more pricing table','more pricing table',0,1,'1.6','M616252314',1,'en'),
(22423,'more services','more services',0,1,'1.4333','M62612',1,'en'),
(22424,'more services include','more services include',0,1,'1.7','M626125243',1,'en'),
(22425,'nbsp','nbsp',0,0,'0.2667','N121',1,'en'),
(22426,'nbsp a','nbsp a',0,1,'1.2','N121',1,'en'),
(22427,'nbsp a a','nbsp a a',0,1,'1.2667','N121',1,'en'),
(22428,'nbsp a div','nbsp a div',0,1,'1.3333','N12131',1,'en'),
(22429,'nbsp span','nbsp span',0,1,'1.3','N121215',1,'en'),
(22430,'nbsp span icon-asterisk','nbsp span icon-asterisk',0,1,'1.7667','N121215252362',1,'en'),
(22431,'nec sodales','nec sodales',0,1,'1.3667','N2342',1,'en'),
(22432,'nec sodales tellus','nec sodales tellus',0,1,'1.6','N2342342',1,'en'),
(22433,'nisl odio','nisl odio',0,1,'1.3','N243',1,'en'),
(22434,'nisl odio nec','nisl odio nec',0,1,'1.4333','N24352',1,'en'),
(22435,'numered','numered',0,0,'0.4667','N630',1,'en'),
(22436,'numered blocks','numered blocks',0,1,'1.4667','N63142',1,'en'),
(22437,'numered blocks p','numered blocks p',0,1,'1.5333','N631421',1,'en'),
(22438,'nunc sit','nunc sit',0,1,'1.2667','N230',1,'en'),
(22439,'nunc sit amet','nunc sit amet',0,1,'1.4333','N2353',1,'en'),
(22440,'odio nec','odio nec',0,1,'1.2667','O352',1,'en'),
(22441,'odio nec sodales','odio nec sodales',0,1,'1.5333','O352342',1,'en'),
(22442,'of life div','of life div',0,1,'1.3667','O14131',1,'en'),
(22443,'offcanvas','offcanvas',0,0,'0.6','O12512',1,'en'),
(22444,'offcanvas button','offcanvas button',0,1,'1.5333','O12512135',1,'en'),
(22445,'offcanvas button module','offcanvas button module',0,1,'1.7667','O1251213534',1,'en'),
(22446,'offer','offer',0,0,'0.3333','O160',1,'en'),
(22447,'offer a','offer a',0,1,'1.2333','O160',1,'en'),
(22448,'offer a div','offer a div',0,1,'1.3667','O1631',1,'en'),
(22449,'offer social','offer social',0,1,'1.4','O1624',1,'en'),
(22450,'offer social module','offer social module',0,1,'1.6333','O1624534',1,'en'),
(22451,'ol','ol',0,0,'0.1333','O400',1,'en'),
(22452,'ol class','ol class',0,1,'1.2667','O4242',1,'en'),
(22453,'ol class jm-alpha','ol class jm-alpha',0,1,'1.5667','O4242541',1,'en'),
(22454,'ol class jm-roman','ol class jm-roman',0,1,'1.5667','O4242565',1,'en'),
(22455,'ol duis','ol duis',0,1,'1.2333','O432',1,'en'),
(22456,'ol duis tincidunt','ol duis tincidunt',0,1,'1.5667','O432352353',1,'en'),
(22457,'ol list','ol list',0,1,'1.2333','O423',1,'en'),
(22458,'ol list goes','ol list goes',0,1,'1.4','O4232',1,'en'),
(22459,'one','one',0,0,'0.2','O500',1,'en'),
(22460,'one h1','one h1',0,1,'1.2','O500',1,'en'),
(22461,'one h1 lorem','one h1 lorem',0,1,'1.4','O5465',1,'en'),
(22462,'ordered','ordered',0,0,'0.4667','O6363',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(22463,'ordered lists','ordered lists',0,1,'1.4333','O63634232',1,'en'),
(22464,'ordered lists ol','ordered lists ol',0,1,'1.5333','O636342324',1,'en'),
(22465,'p','p',0,0,'0.0667','P000',1,'en'),
(22466,'p 01','p 01',0,1,'1.1333','P000',1,'en'),
(22467,'p 01 lorem','p 01 lorem',0,1,'1.3333','P465',1,'en'),
(22468,'p a','p a',0,1,'1.1','P000',1,'en'),
(22469,'p a class','p a class',0,1,'1.3','P242',1,'en'),
(22470,'p a href','p a href',0,1,'1.2667','P610',1,'en'),
(22471,'p a lorem','p a lorem',0,1,'1.3','P465',1,'en'),
(22472,'p blockquote','p blockquote',0,1,'1.4','P423',1,'en'),
(22473,'p blockquote blockquote','p blockquote blockquote',0,1,'1.7667','P4231423',1,'en'),
(22474,'p class','p class',0,1,'1.2333','P242',1,'en'),
(22475,'p class custom-icon1','p class custom-icon1',0,1,'1.6667','P2423525',1,'en'),
(22476,'p class custom-icon2','p class custom-icon2',0,1,'1.6667','P2423525',1,'en'),
(22477,'p class jm-badge','p class jm-badge',0,1,'1.5333','P2425132',1,'en'),
(22478,'p class jm-block','p class jm-block',0,1,'1.5333','P2425142',1,'en'),
(22479,'p class jm-calendar','p class jm-calendar',0,1,'1.6333','P242524536',1,'en'),
(22480,'p class jm-chat','p class jm-chat',0,1,'1.5','P242523',1,'en'),
(22481,'p class jm-check','p class jm-check',0,1,'1.5333','P24252',1,'en'),
(22482,'p class jm-cloud','p class jm-cloud',0,1,'1.5333','P2425243',1,'en'),
(22483,'p class jm-direction','p class jm-direction',0,1,'1.6667','P242536235',1,'en'),
(22484,'p class jm-divide','p class jm-divide',0,1,'1.5667','P2425313',1,'en'),
(22485,'p class jm-error','p class jm-error',0,1,'1.5333','P24256',1,'en'),
(22486,'p class jm-fire','p class jm-fire',0,1,'1.5','P242516',1,'en'),
(22487,'p class jm-flag','p class jm-flag',0,1,'1.5','P2425142',1,'en'),
(22488,'p class jm-home','p class jm-home',0,1,'1.5','P2425',1,'en'),
(22489,'p class jm-info','p class jm-info',0,1,'1.5','P24251',1,'en'),
(22490,'p class jm-list','p class jm-list',0,1,'1.5','P2425423',1,'en'),
(22491,'p class jm-mail','p class jm-mail',0,1,'1.5','P24254',1,'en'),
(22492,'p class jm-people','p class jm-people',0,1,'1.5667','P242514',1,'en'),
(22493,'p class jm-star','p class jm-star',0,1,'1.5','P2425236',1,'en'),
(22494,'p class jm-stat','p class jm-stat',0,1,'1.5','P242523',1,'en'),
(22495,'p class readmore','p class readmore',0,1,'1.5333','P2426356',1,'en'),
(22496,'p lorem','p lorem',0,1,'1.2333','P465',1,'en'),
(22497,'p lorem ipsum','p lorem ipsum',0,1,'1.4333','P465125',1,'en'),
(22498,'p p','p p',0,1,'1.1','P000',1,'en'),
(22499,'p p class','p p class',0,1,'1.3','P242',1,'en'),
(22500,'p p proin','p p proin',0,1,'1.3','P650',1,'en'),
(22501,'p proin','p proin',0,1,'1.2333','P650',1,'en'),
(22502,'p proin iaculis','p proin iaculis',0,1,'1.5','P65242',1,'en'),
(22503,'p read','p read',0,1,'1.2','P630',1,'en'),
(22504,'p read more','p read more',0,1,'1.3667','P6356',1,'en'),
(22505,'p small','p small',0,1,'1.2333','P254',1,'en'),
(22506,'p small john','p small john',0,1,'1.4','P25425',1,'en'),
(22507,'p top','p top',0,1,'1.1667','P310',1,'en'),
(22508,'p top contact','p top contact',0,1,'1.4333','P3125323',1,'en'),
(22509,'pellentesque varius li','pellentesque varius li',0,1,'1.7333','P45321624',1,'en'),
(22510,'peterborough','peterborough',0,0,'0.8','P36162',1,'en'),
(22511,'peterborough uk','peterborough uk',0,1,'1.5','P36162',1,'en'),
(22512,'peterborough uk a','peterborough uk a',0,1,'1.5667','P36162',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(22513,'peterborough uk email','peterborough uk email',0,1,'1.7','P3616254',1,'en'),
(22514,'phone','phone',0,0,'0.3333','P500',1,'en'),
(22515,'phone a','phone a',0,1,'1.2333','P500',1,'en'),
(22516,'phone a title','phone a title',0,1,'1.4333','P534',1,'en'),
(22517,'phone png','phone png',0,1,'1.3','P5152',1,'en'),
(22518,'phone png alt','phone png alt',0,1,'1.4333','P515243',1,'en'),
(22519,'png','png',0,0,'0.2','P520',1,'en'),
(22520,'png alt','png alt',0,1,'1.2333','P5243',1,'en'),
(22521,'png alt direction','png alt direction',0,1,'1.5667','P52436235',1,'en'),
(22522,'png alt email','png alt email',0,1,'1.4333','P524354',1,'en'),
(22523,'png alt phone','png alt phone',0,1,'1.4333','P524315',1,'en'),
(22524,'porta lacinia','porta lacinia',0,1,'1.4333','P63425',1,'en'),
(22525,'porta lacinia bibendum','porta lacinia bibendum',0,1,'1.7333','P634251535',1,'en'),
(22526,'porttitora br','porttitora br',0,1,'1.4333','P63616',1,'en'),
(22527,'porttitora br in','porttitora br in',0,1,'1.5333','P636165',1,'en'),
(22528,'posuere erat','posuere erat',0,1,'1.4','P263',1,'en'),
(22529,'posuere erat a','posuere erat a',0,1,'1.4667','P263',1,'en'),
(22530,'price','price',0,0,'0.3333','P620',1,'en'),
(22531,'price span','price span',0,1,'1.3333','P6215',1,'en'),
(22532,'price span class','price span class',0,1,'1.5333','P6215242',1,'en'),
(22533,'pricing table','pricing table',0,1,'1.4333','P6252314',1,'en'),
(22534,'pricing table content','pricing table content',0,1,'1.7','P625231425353',1,'en'),
(22535,'product','product',0,0,'0.4667','P6323',1,'en'),
(22536,'product market','product market',0,1,'1.4667','P63235623',1,'en'),
(22537,'product market fit','product market fit',0,1,'1.6','P6323562313',1,'en'),
(22538,'pull-right','pull-right',0,0,'0.6667','P4623',1,'en'),
(22539,'pull-right p','pull-right p',0,1,'1.4','P46231',1,'en'),
(22540,'pull-right p lorem','pull-right p lorem',0,1,'1.6','P46231465',1,'en'),
(22541,'quis augue li','quis augue li',0,1,'1.4333','Q400',1,'en'),
(22542,'quis leo li','quis leo li',0,1,'1.3667','Q400',1,'en'),
(22543,'quis sapien','quis sapien',0,1,'1.3667','Q150',1,'en'),
(22544,'quis sapien suscipit','quis sapien suscipit',0,1,'1.6667','Q15213',1,'en'),
(22545,'read more a','read more a',0,1,'1.3667','R356',1,'en'),
(22546,'read more button','read more button',0,1,'1.5333','R356135',1,'en'),
(22547,'read more glyphicon','read more glyphicon',0,1,'1.6333','R35624125',1,'en'),
(22548,'read more pricing','read more pricing',0,1,'1.5667','R35616252',1,'en'),
(22549,'read more services','read more services',0,1,'1.6','R3562612',1,'en'),
(22550,'readmore','readmore',0,0,'0.5333','R356',1,'en'),
(22551,'readmore a','readmore a',0,1,'1.3333','R356',1,'en'),
(22552,'readmore a class','readmore a class',0,1,'1.5333','R356242',1,'en'),
(22553,'readmore read','readmore read',0,1,'1.4333','R3563',1,'en'),
(22554,'readmore read more','readmore read more',0,1,'1.6','R356356',1,'en'),
(22555,'residential','residential',0,0,'0.7333','R23534',1,'en'),
(22556,'residential solutions','residential solutions',0,1,'1.7','R2353424352',1,'en'),
(22557,'residential solutions module','residential solutions module',0,1,'1.9333','R2353424352534',1,'en'),
(22558,'residential solutions span','residential solutions span',0,1,'1.8667','R235342435215',1,'en'),
(22559,'residential solutions www','residential solutions www',0,1,'1.8333','R2353424352',1,'en'),
(22560,'row-fluid','row-fluid',0,0,'0.6','R143',1,'en'),
(22561,'row-fluid div','row-fluid div',0,1,'1.4333','R1431',1,'en'),
(22562,'row-fluid div class','row-fluid div class',0,1,'1.6333','R1431242',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(22563,'sapien suscipit','sapien suscipit',0,1,'1.5','S15213',1,'en'),
(22564,'sapien suscipit mauris','sapien suscipit mauris',0,1,'1.7333','S15213562',1,'en'),
(22565,'satellite internet div','satellite internet div',0,1,'1.7333','S343536531',1,'en'),
(22566,'second','second',0,0,'0.4','S530',1,'en'),
(22567,'second span','second span',0,1,'1.3667','S53215',1,'en'),
(22568,'second span class','second span class',0,1,'1.5667','S53215242',1,'en'),
(22569,'sed turpis','sed turpis',0,1,'1.3333','S3612',1,'en'),
(22570,'sed turpis convallis','sed turpis convallis',0,1,'1.6667','S36125142',1,'en'),
(22571,'sem cure p','sem cure p',0,1,'1.3333','S5261',1,'en'),
(22572,'services','services',0,0,'0.5333','S612',2,'en'),
(22573,'services include','services include',0,1,'1.5333','S6125243',1,'en'),
(22574,'services include lorem','services include lorem',0,1,'1.7333','S6125243465',1,'en'),
(22575,'services include span','services include span',0,1,'1.7','S6125243215',1,'en'),
(22576,'sit amet condimentum','sit amet condimentum',0,1,'1.6667','S353253535',1,'en'),
(22577,'sit amet ipsum','sit amet ipsum',0,1,'1.4667','S353125',1,'en'),
(22578,'sit amet li','sit amet li',0,1,'1.3667','S3534',1,'en'),
(22579,'sit amet vestibulum','sit amet vestibulum',0,1,'1.6333','S353123145',1,'en'),
(22580,'six','six',0,0,'0.2','S000',1,'en'),
(22581,'six h6','six h6',0,1,'1.2','S000',1,'en'),
(22582,'six h6 lorem','six h6 lorem',0,1,'1.4','S465',1,'en'),
(22583,'skype','skype',0,0,'0.3333','S100',1,'en'),
(22584,'skype href','skype href',0,1,'1.3333','S161',1,'en'),
(22585,'skype href nbsp','skype href nbsp',0,1,'1.5','S1615121',1,'en'),
(22586,'small blockquote','small blockquote',0,1,'1.5333','S541423',1,'en'),
(22587,'small blockquote lorem','small blockquote lorem',0,1,'1.7333','S541423465',1,'en'),
(22588,'small john','small john',0,1,'1.3333','S5425',1,'en'),
(22589,'small john doe','small john doe',0,1,'1.4667','S54253',1,'en'),
(22590,'social','social',0,0,'0.4','S400',1,'en'),
(22591,'social module','social module',0,1,'1.4333','S4534',1,'en'),
(22592,'social module div','social module div',0,1,'1.5667','S453431',1,'en'),
(22593,'sodales tellus','sodales tellus',0,1,'1.4667','S342342',1,'en'),
(22594,'sodales tellus aenean','sodales tellus aenean',0,1,'1.7','S3423425',1,'en'),
(22595,'solutions module','solutions module',0,1,'1.5333','S4352534',1,'en'),
(22596,'solutions module div','solutions module div',0,1,'1.6667','S435253431',1,'en'),
(22597,'solutions span','solutions span',0,1,'1.4667','S435215',1,'en'),
(22598,'solutions span a','solutions span a',0,1,'1.5333','S435215',1,'en'),
(22599,'solutions www','solutions www',0,1,'1.4333','S4352',1,'en'),
(22600,'solutions www jm-internet','solutions www jm-internet',0,1,'1.8333','S435253653',1,'en'),
(22601,'span','span',0,0,'0.2667','S150',1,'en'),
(22602,'span a','span a',0,1,'1.2','S150',1,'en'),
(22603,'span a href','span a href',0,1,'1.3667','S1561',1,'en'),
(22604,'span a p','span a p',0,1,'1.2667','S151',1,'en'),
(22605,'span adipiscing','span adipiscing',0,1,'1.5','S1531252',1,'en'),
(22606,'span adipiscing elit','span adipiscing elit',0,1,'1.6667','S153125243',1,'en'),
(22607,'span class','span class',0,1,'1.3333','S15242',1,'en'),
(22608,'span class contact','span class contact',0,1,'1.6','S152425323',1,'en'),
(22609,'span class description','span class description',0,1,'1.7333','S15242326135',1,'en'),
(22610,'span class down','span class down',0,1,'1.5','S1524235',1,'en'),
(22611,'span class icon-align-justify','span class icon-align-justify',0,1,'1.9667','S152425425231',1,'en'),
(22612,'span class icon-joomla','span class icon-joomla',0,1,'1.7333','S152425254',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(22613,'span class jm','span class jm',0,1,'1.4333','S152425',1,'en'),
(22614,'span class middle','span class middle',0,1,'1.5667','S15242534',1,'en'),
(22615,'span class subtitle','span class subtitle',0,1,'1.6333','S15242134',1,'en'),
(22616,'span class title','span class title',0,1,'1.5333','S1524234',1,'en'),
(22617,'span class up','span class up',0,1,'1.4333','S152421',1,'en'),
(22618,'span custom','span custom',0,1,'1.3667','S15235',1,'en'),
(22619,'span custom span','span custom span',0,1,'1.5333','S15235215',1,'en'),
(22620,'span div','span div',0,1,'1.2667','S1531',1,'en'),
(22621,'span div div','span div div',0,1,'1.4','S153131',1,'en'),
(22622,'span html','span html',0,1,'1.3','S15354',1,'en'),
(22623,'span html module','span html module',0,1,'1.5333','S15354534',1,'en'),
(22624,'span icon-asterisk','span icon-asterisk',0,1,'1.6','S15252362',1,'en'),
(22625,'span icon-asterisk icon-plus','span icon-asterisk icon-plus',0,1,'1.9333','S152523625142',1,'en'),
(22626,'span lorem','span lorem',0,1,'1.3333','S15465',1,'en'),
(22627,'span lorem ipsum','span lorem ipsum',0,1,'1.5333','S15465125',1,'en'),
(22628,'span p','span p',0,1,'1.2','S151',1,'en'),
(22629,'span p proin','span p proin',0,1,'1.4','S15165',1,'en'),
(22630,'span proin','span proin',0,1,'1.3333','S15165',1,'en'),
(22631,'span proin iaculis','span proin iaculis',0,1,'1.6','S15165242',1,'en'),
(22632,'span span','span span',0,1,'1.3','S15215',1,'en'),
(22633,'span span class','span span class',0,1,'1.5','S15215242',1,'en'),
(22634,'span text','span text',0,1,'1.3','S15323',1,'en'),
(22635,'span text goes','span text goes',0,1,'1.4667','S153232',1,'en'),
(22636,'span ul','span ul',0,1,'1.2333','S154',1,'en'),
(22637,'span ul li','span ul li',0,1,'1.3333','S154',1,'en'),
(22638,'speed internet span','speed internet span',0,1,'1.6333','S1353653215',1,'en'),
(22639,'src','src',0,0,'0.2','S620',1,'en'),
(22640,'src image','src image',0,1,'1.3','S6252',1,'en'),
(22641,'src image jpg','src image jpg',0,1,'1.4333','S625212',1,'en'),
(22642,'src images','src images',0,1,'1.3333','S6252',1,'en'),
(22643,'src images modules','src images modules',0,1,'1.6','S62525342',1,'en'),
(22644,'ssim p','ssim p',0,1,'1.2','S510',1,'en'),
(22645,'ssim p p','ssim p p',0,1,'1.2667','S510',1,'en'),
(22646,'startup','startup',0,0,'0.4667','S3631',1,'en'),
(22647,'startup ipsum','startup ipsum',0,1,'1.4333','S363125',1,'en'),
(22648,'startup ipsum product','startup ipsum product',0,1,'1.7','S36312516323',1,'en'),
(22649,'subtitle','subtitle',0,0,'0.5333','S134',1,'en'),
(22650,'subtitle no','subtitle no',0,1,'1.3667','S1345',1,'en'),
(22651,'subtitle no dsl','subtitle no dsl',0,1,'1.5','S1345324',1,'en'),
(22652,'subtitle services','subtitle services',0,1,'1.5667','S1342612',1,'en'),
(22653,'subtitle services include','subtitle services include',0,1,'1.8333','S13426125243',1,'en'),
(22654,'subtitle step','subtitle step',0,1,'1.4333','S134231',1,'en'),
(22655,'subtitle step up','subtitle step up',0,1,'1.5333','S134231',1,'en'),
(22656,'suscipit libero','suscipit libero',0,1,'1.5','S13416',1,'en'),
(22657,'suscipit libero business','suscipit libero business',0,1,'1.8','S134161252',1,'en'),
(22658,'suscipit libero header','suscipit libero header',0,1,'1.7333','S1341636',1,'en'),
(22659,'suscipit libero li','suscipit libero li',0,1,'1.6','S134164',1,'en'),
(22660,'suscipit mauris','suscipit mauris',0,1,'1.5','S13562',1,'en'),
(22661,'suscipit mauris 02','suscipit mauris 02',0,1,'1.6','S13562',1,'en'),
(22662,'suscipit mauris 03','suscipit mauris 03',0,1,'1.6','S13562',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(22663,'suscipit mauris b','suscipit mauris b',0,1,'1.5667','S135621',1,'en'),
(22664,'suscipit mauris c','suscipit mauris c',0,1,'1.5667','S13562',1,'en'),
(22665,'suscipit mauris colored','suscipit mauris colored',0,1,'1.7667','S13562463',1,'en'),
(22666,'suscipit mauris convallis','suscipit mauris convallis',0,1,'1.8333','S135625142',1,'en'),
(22667,'suscipit mauris p','suscipit mauris p',0,1,'1.5667','S135621',1,'en'),
(22668,'suscipit nisl','suscipit nisl',0,1,'1.4333','S13524',1,'en'),
(22669,'suscipit nisl odio','suscipit nisl odio',0,1,'1.6','S135243',1,'en'),
(22670,'table','table',0,0,'0.3333','T140',1,'en'),
(22671,'table content','table content',0,1,'1.4333','T1425353',1,'en'),
(22672,'technical','technical',0,0,'0.6','T2524',1,'en'),
(22673,'technical cofounder','technical cofounder',0,1,'1.6333','T252421536',1,'en'),
(22674,'technical cofounder user','technical cofounder user',0,1,'1.8','T25242153626',1,'en'),
(22675,'tellus aenean','tellus aenean',0,1,'1.4333','T425',1,'en'),
(22676,'tellus aenean quis','tellus aenean quis',0,1,'1.6','T4252',1,'en'),
(22677,'tempor incididunt br','tempor incididunt br',0,1,'1.6667','T5165235316',1,'en'),
(22678,'text goes','text goes',0,1,'1.3','T232',1,'en'),
(22679,'text goes here','text goes here',0,1,'1.4667','T2326',1,'en'),
(22680,'this is custom','this is custom',0,1,'1.4667','T235',1,'en'),
(22681,'this is heading','this is heading',0,1,'1.5','T2352',1,'en'),
(22682,'this is span','this is span',0,1,'1.4','T215',1,'en'),
(22683,'three','three',0,0,'0.3333','T600',1,'en'),
(22684,'three h3','three h3',0,1,'1.2667','T600',1,'en'),
(22685,'three h3 lorem','three h3 lorem',0,1,'1.4667','T6465',1,'en'),
(22686,'tincidunt nunc','tincidunt nunc',0,1,'1.4667','T5235352',1,'en'),
(22687,'tincidunt nunc sit','tincidunt nunc sit',0,1,'1.6','T52353523',1,'en'),
(22688,'title','title',0,0,'0.3333','T400',1,'en'),
(22689,'title business','title business',0,1,'1.4667','T41252',1,'en'),
(22690,'title business solutions','title business solutions',0,1,'1.8','T412524352',1,'en'),
(22691,'title cable','title cable',0,1,'1.3667','T4214',1,'en'),
(22692,'title cable internet','title cable internet',0,1,'1.6667','T421453653',1,'en'),
(22693,'title contact','title contact',0,1,'1.4333','T425323',1,'en'),
(22694,'title contact href','title contact href',0,1,'1.6','T42532361',1,'en'),
(22695,'title dsl','title dsl',0,1,'1.3','T4324',1,'en'),
(22696,'title dsl internet','title dsl internet',0,1,'1.6','T432453653',1,'en'),
(22697,'title high','title high',0,1,'1.3333','T420',1,'en'),
(22698,'title high speed','title high speed',0,1,'1.5333','T4213',1,'en'),
(22699,'title residential','title residential',0,1,'1.5667','T4623534',1,'en'),
(22700,'title residential solutions','title residential solutions',0,1,'1.9','T462353424352',1,'en'),
(22701,'title satellite','title satellite',0,1,'1.5','T42343',1,'en'),
(22702,'title satellite internet','title satellite internet',0,1,'1.8','T4234353653',1,'en'),
(22703,'title this','title this',0,1,'1.3333','T432',1,'en'),
(22704,'title this is','title this is',0,1,'1.4333','T432',1,'en'),
(22705,'to span','to span',0,1,'1.2333','T215',1,'en'),
(22706,'to span span','to span span',0,1,'1.4','T215215',1,'en'),
(22707,'toggle-nav','toggle-nav',0,0,'0.6667','T2451',1,'en'),
(22708,'toggle-nav menu','toggle-nav menu',0,1,'1.5','T24515',1,'en'),
(22709,'toggle-nav menu span','toggle-nav menu span',0,1,'1.6667','T24515215',1,'en'),
(22710,'top','top',0,0,'0.2','T100',1,'en'),
(22711,'top contact','top contact',0,1,'1.3667','T125323',1,'en'),
(22712,'top contact module','top contact module',0,1,'1.6','T125323534',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(22713,'turpis convallis','turpis convallis',0,1,'1.5333','T6125142',1,'en'),
(22714,'turpis convallis sit','turpis convallis sit',0,1,'1.6667','T61251423',1,'en'),
(22715,'twitter','twitter',0,0,'0.4667','T600',1,'en'),
(22716,'twitter href','twitter href',0,1,'1.4','T610',1,'en'),
(22717,'twitter href nbsp','twitter href nbsp',0,1,'1.5667','T615121',1,'en'),
(22718,'two','two',0,0,'0.2','T000',1,'en'),
(22719,'two h2','two h2',0,1,'1.2','T000',1,'en'),
(22720,'two h2 lorem','two h2 lorem',0,1,'1.4','T465',1,'en'),
(22721,'typography','typography',0,0,'0.6667','T1261',1,'en'),
(22722,'uk','uk',0,0,'0.1333','U200',1,'en'),
(22723,'uk a','uk a',0,1,'1.1333','U200',1,'en'),
(22724,'uk a li','uk a li',0,1,'1.2333','U240',1,'en'),
(22725,'uk email','uk email',0,1,'1.2667','U254',1,'en'),
(22726,'ul','ul',0,0,'0.1333','U400',1,'en'),
(22727,'ul class','ul class',0,1,'1.2667','U4242',1,'en'),
(22728,'ul class jm-color-list','ul class jm-color-list',0,1,'1.7333','U42425246423',1,'en'),
(22729,'ul class jm-contact-icons','ul class jm-contact-icons',0,1,'1.8333','U4242525323252',1,'en'),
(22730,'ul class jm-light-list','ul class jm-light-list',0,1,'1.7333','U42425423423',1,'en'),
(22731,'ul div','ul div',0,1,'1.2','U431',1,'en'),
(22732,'ul div div','ul div div',0,1,'1.3333','U43131',1,'en'),
(22733,'ul duis','ul duis',0,1,'1.2333','U432',1,'en'),
(22734,'ul duis tincidunt','ul duis tincidunt',0,1,'1.5667','U432352353',1,'en'),
(22735,'ul li','ul li',0,1,'1.1667','U400',1,'en'),
(22736,'ul li lorem','ul li lorem',0,1,'1.3667','U465',1,'en'),
(22737,'ul list','ul list',0,1,'1.2333','U423',1,'en'),
(22738,'ul list goes','ul list goes',0,1,'1.4','U4232',1,'en'),
(22739,'ul peterborough','ul peterborough',0,1,'1.5','U4136162',1,'en'),
(22740,'ul peterborough uk','ul peterborough uk',0,1,'1.6','U4136162',1,'en'),
(22741,'unordered','unordered',0,0,'0.6','U56363',1,'en'),
(22742,'unordered lists','unordered lists',0,1,'1.5','U563634232',1,'en'),
(22743,'unordered lists ul','unordered lists ul',0,1,'1.6','U5636342324',1,'en'),
(22744,'up as','up as',0,1,'1.1667','U120',1,'en'),
(22745,'up as low','up as low',0,1,'1.3','U124',1,'en'),
(22746,'up to span','up to span',0,1,'1.3333','U13215',1,'en'),
(22747,'up up','up up',0,1,'1.1667','U100',1,'en'),
(22748,'up up to','up up to',0,1,'1.2667','U130',1,'en'),
(22749,'user engagement','user engagement',0,1,'1.5','U265253',1,'en'),
(22750,'user engagement call','user engagement call',0,1,'1.6667','U26525324',1,'en'),
(22751,'user engagement span','user engagement span',0,1,'1.6667','U265253215',1,'en'),
(22752,'varius li','varius li',0,1,'1.3','V624',1,'en'),
(22753,'varius li li','varius li li',0,1,'1.4','V624',1,'en'),
(22754,'vehicula morbi','vehicula morbi',0,1,'1.4667','V24561',1,'en'),
(22755,'vehicula morbi suscipit','vehicula morbi suscipit',0,1,'1.7667','V24561213',1,'en'),
(22756,'venenatis li','venenatis li',0,1,'1.4','V5324',1,'en'),
(22757,'venenatis li li','venenatis li li',0,1,'1.5','V5324',1,'en'),
(22758,'venenatis suscipit','venenatis suscipit',0,1,'1.6','V53213',1,'en'),
(22759,'venenatis suscipit libero','venenatis suscipit libero',0,1,'1.8333','V53213416',1,'en'),
(22760,'vestibulum venenatis','vestibulum venenatis',0,1,'1.6667','V231451532',1,'en'),
(22761,'vestibulum venenatis li','vestibulum venenatis li',0,1,'1.7667','V2314515324',1,'en'),
(22762,'vestibulum venenatis suscipit','vestibulum venenatis suscipit',0,1,'1.9667','V23145153213',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(22763,'vimeo','vimeo',0,0,'0.3333','V500',1,'en'),
(22764,'vimeo href','vimeo href',0,1,'1.3333','V561',1,'en'),
(22765,'vimeo href nbsp','vimeo href nbsp',0,1,'1.5','V5615121',1,'en'),
(22766,'viverra leo','viverra leo',0,1,'1.3667','V640',1,'en'),
(22767,'viverra leo sed','viverra leo sed',0,1,'1.5','V6423',1,'en'),
(22768,'www','www',0,0,'0.2','W000',1,'en'),
(22769,'www jm-internet','www jm-internet',0,1,'1.5','W253653',1,'en'),
(22770,'www jm-internet com','www jm-internet com',0,1,'1.6333','W25365325',1,'en'),
(22894,'134','134',0,0,'0.3','',1,'en'),
(22895,'82','82',0,0,'0.2','',1,'en'),
(22896,'category','category',0,0,'0.5333','C326',6,'en'),
(22897,'testimonials','testimonials',0,0,'0.8','T23542',2,'en'),
(22898,'91','91',0,0,'0.2','',1,'en'),
(22899,'culinary','culinary',0,0,'0.5333','C456',1,'en'),
(22900,'header culinary','header culinary',0,1,'1.5','H362456',1,'en'),
(22901,'92','92',0,0,'0.2','',1,'en'),
(22902,'dishes','dishes',0,0,'0.4','D200',1,'en'),
(22904,'94','94',0,0,'0.2','',1,'en'),
(22905,'dental','dental',0,0,'0.4','D534',2,'en'),
(22906,'header dental','header dental',0,1,'1.4333','H363534',1,'en'),
(22907,'95','95',0,0,'0.2','',1,'en'),
(22908,'testimonials dental','testimonials dental',0,1,'1.6333','T235423534',1,'en'),
(22910,'96','96',0,0,'0.2','',1,'en'),
(22911,'1 available','1 available',0,1,'1.3667','A1414',1,'en'),
(22912,'1 available module','1 available module',0,1,'1.6','A1414534',1,'en'),
(22913,'121','121',0,0,'0.3','',1,'en'),
(22914,'2 use','2 use',0,1,'1.1667','U200',1,'en'),
(22915,'2 use the','2 use the',0,1,'1.3','U230',1,'en'),
(22916,'3 use','3 use',0,1,'1.1667','U200',1,'en'),
(22917,'3 use the','3 use the',0,1,'1.3','U230',1,'en'),
(22918,'300','300',0,0,'0.3','',1,'en'),
(22919,'300 pixels','300 pixels',0,1,'1.3333','P242',1,'en'),
(22920,'300 pixels high','300 pixels high',0,1,'1.5','P242',1,'en'),
(22921,'4 additional','4 additional',0,1,'1.4','A354',1,'en'),
(22922,'4 additional and','4 additional and',0,1,'1.5333','A35453',1,'en'),
(22923,'a correct','a correct',0,1,'1.3','A2623',1,'en'),
(22924,'a correct suffix','a correct suffix',0,1,'1.5333','A2623212',1,'en'),
(22925,'a module configuration','a module configuration',0,1,'1.7333','A5342512635',1,'en'),
(22926,'a module parameter','a module parameter',0,1,'1.6','A53416536',1,'en'),
(22927,'a module will','a module will',0,1,'1.4333','A534',1,'en'),
(22928,'a suffix','a suffix',0,1,'1.2667','A212',1,'en'),
(22929,'a suffix at','a suffix at',0,1,'1.3667','A2123',1,'en'),
(22930,'add','add',0,0,'0.2','A300',1,'en'),
(22931,'add hover','add hover',0,1,'1.3','A316',1,'en'),
(22932,'add hover effect','add hover effect',0,1,'1.5333','A316123',1,'en'),
(22933,'add space','add space',0,1,'1.3','A3212',1,'en'),
(22934,'add space between','add space between',0,1,'1.5667','A3212135',1,'en'),
(22935,'additional','additional',0,0,'0.6667','A354',1,'en'),
(22936,'additional and','additional and',0,1,'1.4667','A35453',1,'en'),
(22937,'additional and very','additional and very',0,1,'1.6333','A3545316',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(22938,'additional module','additional module',0,1,'1.5667','A354534',1,'en'),
(22939,'additional module designs','additional module designs',0,1,'1.8333','A3545343252',1,'en'),
(22940,'all 1','all 1',0,1,'1.1667','A400',1,'en'),
(22941,'all 1 available','all 1 available',0,1,'1.5','A41414',1,'en'),
(22942,'and add','and add',0,1,'1.2333','A530',1,'en'),
(22943,'and add space','and add space',0,1,'1.4333','A53212',1,'en'),
(22944,'and expand2-ms','and expand2-ms',0,1,'1.4667','A53215352',1,'en'),
(22945,'and expand2-ms 3','and expand2-ms 3',0,1,'1.5333','A53215352',1,'en'),
(22946,'and very','and very',0,1,'1.2667','A5316',1,'en'),
(22947,'and very useful','and very useful',0,1,'1.5','A5316214',1,'en'),
(22948,'are','are',1,0,'0.025','A600',1,'en'),
(22949,'are additional','are additional',0,1,'1.4667','A6354',1,'en'),
(22950,'are additional module','are additional module',0,1,'1.7','A6354534',1,'en'),
(22951,'as a','as a',0,1,'1.1333','A200',1,'en'),
(22952,'as a module','as a module',0,1,'1.3667','A2534',1,'en'),
(22953,'at a','at a',0,1,'1.1333','A300',1,'en'),
(22954,'at a module','at a module',0,1,'1.3667','A3534',1,'en'),
(22955,'at the end','at the end',0,1,'1.3333','A353',1,'en'),
(22956,'available','available',0,0,'0.6','A1414',1,'en'),
(22957,'available module','available module',0,1,'1.5333','A1414534',1,'en'),
(22958,'available module designs','available module designs',0,1,'1.8','A14145343252',1,'en'),
(22959,'available that','available that',0,1,'1.4667','A14143',1,'en'),
(22960,'available that you','available that you',0,1,'1.6','A14143',1,'en'),
(22961,'be','be',1,0,'0.0167','B000',1,'en'),
(22962,'be of','be of',0,1,'1.1667','B000',1,'en'),
(22963,'be of 300','be of 300',0,1,'1.3','B000',1,'en'),
(22964,'below','below',0,0,'0.3333','B400',1,'en'),
(22965,'below module','below module',0,1,'1.4','B4534',1,'en'),
(22966,'below module suffix','below module suffix',0,1,'1.6333','B4534212',1,'en'),
(22967,'between','between',0,0,'0.4667','B350',1,'en'),
(22968,'between suffixes','between suffixes',0,1,'1.5333','B35212',1,'en'),
(22969,'between suffixes see','between suffixes see',0,1,'1.6667','B35212',1,'en'),
(22970,'by','by',1,0,'0.0167','B000',1,'en'),
(22971,'by entering','by entering',0,1,'1.3667','B53652',1,'en'),
(22972,'by entering a','by entering a',0,1,'1.4333','B53652',1,'en'),
(22973,'can','can',0,0,'0.2','C500',1,'en'),
(22974,'can control','can control',0,1,'1.3667','C525364',1,'en'),
(22975,'can control by','can control by',0,1,'1.4667','C5253641',1,'en'),
(22976,'check them','check them',0,1,'1.3333','C350',1,'en'),
(22977,'check them all','check them all',0,1,'1.4667','C354',1,'en'),
(22978,'configuration to','configuration to',0,1,'1.5333','C5126353',1,'en'),
(22979,'configuration to get','configuration to get',0,1,'1.6667','C512635323',1,'en'),
(22980,'control','control',0,0,'0.4667','C5364',1,'en'),
(22981,'control by','control by',0,1,'1.3333','C53641',1,'en'),
(22982,'control by entering','control by entering',0,1,'1.6333','C5364153652',1,'en'),
(22983,'correct','correct',0,0,'0.4667','C623',1,'en'),
(22984,'correct suffix','correct suffix',0,1,'1.4667','C623212',1,'en'),
(22985,'correct suffix name','correct suffix name',0,1,'1.6333','C6232125',1,'en'),
(22986,'css','css',0,0,'0.2','C000',1,'en'),
(22987,'css styles','css styles',0,1,'1.3333','C342',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(22988,'css styles suffix','css styles suffix',0,1,'1.5667','C34212',1,'en'),
(22989,'custom html modules','custom html modules',0,1,'1.6333','C353545342',1,'en'),
(22990,'default','default',0,0,'0.4667','D143',1,'en'),
(22991,'default css','default css',0,1,'1.3667','D1432',1,'en'),
(22992,'default css styles','default css styles',0,1,'1.6','D1432342',1,'en'),
(22993,'designs','designs',0,0,'0.4667','D252',1,'en'),
(22994,'designs 2','designs 2',0,1,'1.3','D252',1,'en'),
(22995,'designs 2 use','designs 2 use',0,1,'1.4333','D252',1,'en'),
(22996,'designs available','designs available',0,1,'1.5667','D2521414',1,'en'),
(22997,'designs available that','designs available that',0,1,'1.7333','D25214143',1,'en'),
(22998,'dj-imageslider','dj-imageslider',0,0,'0.9333','D252436',1,'en'),
(22999,'dj-imageslider module','dj-imageslider module',0,1,'1.7','D252436534',1,'en'),
(23000,'dj-imageslider module if','dj-imageslider module if',0,1,'1.8','D2524365341',1,'en'),
(23001,'effect','effect',0,0,'0.4','E123',1,'en'),
(23002,'effect for','effect for',0,1,'1.3333','E12316',1,'en'),
(23003,'effect for solutions','effect for solutions',0,1,'1.6667','E1231624352',1,'en'),
(23004,'end','end',0,0,'0.2','E530',1,'en'),
(23005,'end and','end and',0,1,'1.2333','E5353',1,'en'),
(23006,'end and add','end and add',0,1,'1.3667','E5353',1,'en'),
(23007,'entering','entering',0,0,'0.5333','E53652',1,'en'),
(23008,'entering a','entering a',0,1,'1.3333','E53652',1,'en'),
(23009,'entering a correct','entering a correct',0,1,'1.6','E53652623',1,'en'),
(23010,'example','example',0,0,'0.4667','E2514',1,'en'),
(23011,'expand1-ms','expand1-ms',0,0,'0.6667','E215352',1,'en'),
(23012,'expand1-ms and','expand1-ms and',0,1,'1.4667','E21535253',1,'en'),
(23013,'expand1-ms and expand2-ms','expand1-ms and expand2-ms',0,1,'1.8333','E21535253215352',1,'en'),
(23014,'expand2-ms','expand2-ms',0,0,'0.6667','E215352',1,'en'),
(23015,'expand2-ms 3','expand2-ms 3',0,1,'1.4','E215352',1,'en'),
(23016,'expand2-ms 3 use','expand2-ms 3 use',0,1,'1.5333','E215352',1,'en'),
(23017,'following suffixes','following suffixes',0,1,'1.6','F45212',1,'en'),
(23018,'following suffixes for','following suffixes for',0,1,'1.7333','F4521216',1,'en'),
(23019,'following suffixes if','following suffixes if',0,1,'1.7','F452121',1,'en'),
(23020,'following view','following view',0,1,'1.4667','F4521',1,'en'),
(23021,'following view for','following view for',0,1,'1.6','F45216',1,'en'),
(23022,'for dj-imageslider','for dj-imageslider',0,1,'1.6','F63252436',1,'en'),
(23023,'for dj-imageslider module','for dj-imageslider module',0,1,'1.8333','F63252436534',1,'en'),
(23024,'for module','for module',0,1,'1.3333','F6534',1,'en'),
(23025,'for module to','for module to',0,1,'1.4333','F65343',1,'en'),
(23026,'for slides','for slides',0,1,'1.3333','F62432',1,'en'),
(23027,'for slides otherwise','for slides otherwise',0,1,'1.6667','F62432362',1,'en'),
(23028,'for solutions','for solutions',0,1,'1.4333','F624352',1,'en'),
(23029,'for solutions custom','for solutions custom',0,1,'1.6667','F62435235',1,'en'),
(23030,'get the','get the',0,1,'1.2333','G300',1,'en'),
(23031,'get the following','get the following',0,1,'1.5667','G31452',1,'en'),
(23032,'get the specified','get the specified',0,1,'1.5667','G321213',1,'en'),
(23033,'have to','have to',0,1,'1.2333','H130',1,'en'),
(23034,'have to put','have to put',0,1,'1.3667','H1313',1,'en'),
(23035,'header-ms','header-ms',0,0,'0.6','H3652',1,'en'),
(23036,'header-ms 2','header-ms 2',0,1,'1.3667','H3652',1,'en'),
(23037,'header-ms 2 use','header-ms 2 use',0,1,'1.5','H3652',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(23038,'height','height',0,0,'0.4','H230',1,'en'),
(23039,'height see','height see',0,1,'1.3333','H232',1,'en'),
(23040,'height see here','height see here',0,1,'1.5','H2326',1,'en'),
(23041,'height the','height the',0,1,'1.3333','H230',1,'en'),
(23042,'height the same','height the same',0,1,'1.5','H2325',1,'en'),
(23043,'here the','here the',0,1,'1.2667','H630',1,'en'),
(23044,'here the screenshot','here the screenshot',0,1,'1.6333','H6326523',1,'en'),
(23045,'high if','high if',0,1,'1.2333','H210',1,'en'),
(23046,'high if you','high if you',0,1,'1.3667','H210',1,'en'),
(23047,'hover','hover',0,0,'0.3333','H160',1,'en'),
(23048,'hover effect','hover effect',0,1,'1.4','H16123',1,'en'),
(23049,'hover effect for','hover effect for',0,1,'1.5333','H1612316',1,'en'),
(23050,'html modules','html modules',0,1,'1.4','H3545342',1,'en'),
(23051,'html modules suffix','html modules suffix',0,1,'1.6333','H354534212',1,'en'),
(23052,'if you need','if you need',0,1,'1.3667','I153',1,'en'),
(23053,'just','just',0,0,'0.2667','J300',1,'en'),
(23054,'just have','just have',0,1,'1.3','J310',1,'en'),
(23055,'just have to','just have to',0,1,'1.4','J313',1,'en'),
(23056,'let\'s','let',0,0,'0.3333','L320',1,'en'),
(23057,'let\'s check','let check',0,1,'1.3667','L320',1,'en'),
(23058,'let\'s check them','let check them',0,1,'1.5333','L3235',1,'en'),
(23059,'make','make',0,0,'0.2667','M200',1,'en'),
(23060,'make your','make your',0,1,'1.3','M260',1,'en'),
(23061,'make your modules','make your modules',0,1,'1.5667','M265342',1,'en'),
(23062,'margin-ms','margin-ms',0,0,'0.6','M6252',1,'en'),
(23063,'margin-ms 4','margin-ms 4',0,1,'1.3667','M6252',1,'en'),
(23064,'margin-ms 4 additional','margin-ms 4 additional',0,1,'1.7333','M6252354',1,'en'),
(23065,'means','means',0,0,'0.3333','M200',1,'en'),
(23066,'means that','means that',0,1,'1.3333','M230',1,'en'),
(23067,'means that your','means that your',0,1,'1.5','M236',1,'en'),
(23068,'mix','mix',0,0,'0.2','M200',1,'en'),
(23069,'mix suffixes','mix suffixes',0,1,'1.4','M212',1,'en'),
(23070,'mix suffixes remember','mix suffixes remember',0,1,'1.7','M2126516',1,'en'),
(23071,'mod300','mod300',0,0,'0.4','M300',1,'en'),
(23072,'mod300 means','mod300 means',0,1,'1.4','M352',1,'en'),
(23073,'mod300 means that','mod300 means that',0,1,'1.5667','M3523',1,'en'),
(23074,'module configuration','module configuration',0,1,'1.6667','M342512635',1,'en'),
(23075,'module configuration to','module configuration to',0,1,'1.7667','M3425126353',1,'en'),
(23076,'module designs','module designs',0,1,'1.4667','M343252',1,'en'),
(23077,'module designs 2','module designs 2',0,1,'1.5333','M343252',1,'en'),
(23078,'module designs available','module designs available',0,1,'1.8','M3432521414',1,'en'),
(23079,'module height','module height',0,1,'1.4333','M3423',1,'en'),
(23080,'module height see','module height see',0,1,'1.5667','M34232',1,'en'),
(23081,'module if','module if',0,1,'1.3','M341',1,'en'),
(23082,'module if you','module if you',0,1,'1.4333','M341',1,'en'),
(23083,'module parameter','module parameter',0,1,'1.5333','M3416536',1,'en'),
(23084,'module parameter let\'s','module parameter let',0,1,'1.7333','M3416536432',1,'en'),
(23085,'module suffix','module suffix',0,1,'1.4333','M34212',1,'en'),
(23086,'module suffix name','module suffix name',0,1,'1.6','M342125',1,'en'),
(23087,'module suffixes','module suffixes',0,1,'1.5','M34212',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(23088,'module to','module to',0,1,'1.3','M343',1,'en'),
(23089,'module to reduce','module to reduce',0,1,'1.5333','M343632',1,'en'),
(23090,'module will','module will',0,1,'1.3667','M340',1,'en'),
(23091,'module will be','module will be',0,1,'1.4667','M341',1,'en'),
(23092,'module will use','module will use',0,1,'1.5','M342',1,'en'),
(23093,'modules height','modules height',0,1,'1.4667','M3423',1,'en'),
(23094,'modules height the','modules height the',0,1,'1.6','M3423',1,'en'),
(23095,'modules suffix','modules suffix',0,1,'1.4667','M34212',1,'en'),
(23096,'modules suffix name','modules suffix name',0,1,'1.6333','M342125',1,'en'),
(23097,'name','name',0,0,'0.2667','N000',1,'en'),
(23098,'name as','name as',0,1,'1.2333','N200',1,'en'),
(23099,'name as a','name as a',0,1,'1.3','N200',1,'en'),
(23100,'name expand1-ms','name expand1-ms',0,1,'1.5','N215352',1,'en'),
(23101,'name expand1-ms and','name expand1-ms and',0,1,'1.6333','N21535253',1,'en'),
(23102,'name header-ms','name header-ms',0,1,'1.4667','N3652',1,'en'),
(23103,'name header-ms 2','name header-ms 2',0,1,'1.5333','N3652',1,'en'),
(23104,'name margin-ms','name margin-ms',0,1,'1.4667','N6252',1,'en'),
(23105,'name margin-ms 4','name margin-ms 4',0,1,'1.5333','N6252',1,'en'),
(23106,'need to mix','need to mix',0,1,'1.3667','N352',1,'en'),
(23107,'of 300','of 300',0,1,'1.2','O100',1,'en'),
(23108,'of 300 pixels','of 300 pixels',0,1,'1.4333','O1242',1,'en'),
(23109,'otherwise','otherwise',0,0,'0.6','O362',1,'en'),
(23110,'otherwise a','otherwise a',0,1,'1.3667','O362',1,'en'),
(23111,'otherwise a module','otherwise a module',0,1,'1.6','O362534',1,'en'),
(23112,'parameter','parameter',0,0,'0.6','P6536',1,'en'),
(23113,'parameter let\'s','parameter let',0,1,'1.5','P6536432',1,'en'),
(23114,'parameter let\'s check','parameter let check',0,1,'1.7','P6536432',1,'en'),
(23115,'pixels','pixels',0,0,'0.4','P242',1,'en'),
(23116,'pixels high','pixels high',0,1,'1.3667','P242',1,'en'),
(23117,'pixels high if','pixels high if',0,1,'1.4667','P2421',1,'en'),
(23118,'put','put',0,0,'0.2','P300',1,'en'),
(23119,'put a','put a',0,1,'1.1667','P300',1,'en'),
(23120,'put a suffix','put a suffix',0,1,'1.4','P3212',1,'en'),
(23121,'put that','put that',0,1,'1.2667','P300',1,'en'),
(23122,'put that suffix','put that suffix',0,1,'1.5','P3212',1,'en'),
(23123,'reduce','reduce',0,0,'0.4','R320',1,'en'),
(23124,'reduce space','reduce space',0,1,'1.4','R3212',1,'en'),
(23125,'reduce space below','reduce space below',0,1,'1.6','R321214',1,'en'),
(23126,'remember','remember',0,0,'0.5333','R516',1,'en'),
(23127,'remember to','remember to',0,1,'1.3667','R5163',1,'en'),
(23128,'remember to put','remember to put',0,1,'1.5','R516313',1,'en'),
(23129,'same','same',0,0,'0.2667','S500',1,'en'),
(23130,'same you','same you',0,1,'1.2667','S500',1,'en'),
(23131,'same you just','same you just',0,1,'1.4333','S523',1,'en'),
(23132,'screenshot','screenshot',0,0,'0.6667','S6523',1,'en'),
(23133,'screenshot mod300','screenshot mod300',0,1,'1.5667','S652353',1,'en'),
(23134,'screenshot mod300 means','screenshot mod300 means',0,1,'1.7667','S65235352',1,'en'),
(23135,'see','see',0,0,'0.2','S000',1,'en'),
(23136,'see here','see here',0,1,'1.2667','S600',1,'en'),
(23137,'see here the','see here the',0,1,'1.4','S630',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(23138,'see the','see the',0,1,'1.2333','S300',1,'en'),
(23139,'see the example','see the example',0,1,'1.5','S32514',1,'en'),
(23140,'slides','slides',0,0,'0.4','S432',1,'en'),
(23141,'slides otherwise','slides otherwise',0,1,'1.5333','S432362',1,'en'),
(23142,'slides otherwise a','slides otherwise a',0,1,'1.6','S432362',1,'en'),
(23143,'solutions custom','solutions custom',0,1,'1.5333','S435235',1,'en'),
(23144,'solutions custom html','solutions custom html',0,1,'1.7','S435235354',1,'en'),
(23145,'space','space',0,0,'0.3333','S120',1,'en'),
(23146,'space below','space below',0,1,'1.3667','S1214',1,'en'),
(23147,'space below module','space below module',0,1,'1.6','S1214534',1,'en'),
(23148,'space between','space between',0,1,'1.4333','S12135',1,'en'),
(23149,'space between suffixes','space between suffixes',0,1,'1.7333','S12135212',1,'en'),
(23150,'specified','specified',0,0,'0.6','S1213',1,'en'),
(23151,'specified module','specified module',0,1,'1.5333','S1213534',1,'en'),
(23152,'specified module height','specified module height',0,1,'1.7667','S121353423',1,'en'),
(23153,'styles','styles',0,0,'0.4','S342',1,'en'),
(23154,'styles suffix','styles suffix',0,1,'1.4333','S34212',1,'en'),
(23155,'styles suffix name','styles suffix name',0,1,'1.6','S342125',1,'en'),
(23156,'suffix','suffix',0,0,'0.4','S120',1,'en'),
(23157,'suffix at','suffix at',0,1,'1.3','S123',1,'en'),
(23158,'suffix at a','suffix at a',0,1,'1.3667','S123',1,'en'),
(23159,'suffix at the','suffix at the',0,1,'1.4333','S123',1,'en'),
(23160,'suffix for','suffix for',0,1,'1.3333','S1216',1,'en'),
(23161,'suffix for module','suffix for module',0,1,'1.5667','S1216534',1,'en'),
(23162,'suffix name','suffix name',0,1,'1.3667','S125',1,'en'),
(23163,'suffix name as','suffix name as',0,1,'1.4667','S1252',1,'en'),
(23164,'suffix name expand1-ms','suffix name expand1-ms',0,1,'1.7333','S125215352',1,'en'),
(23165,'suffix name header-ms','suffix name header-ms',0,1,'1.7','S1253652',1,'en'),
(23166,'suffix name margin-ms','suffix name margin-ms',0,1,'1.7','S1256252',1,'en'),
(23167,'suffix to','suffix to',0,1,'1.3','S123',1,'en'),
(23168,'suffix to make','suffix to make',0,1,'1.4667','S12352',1,'en'),
(23169,'suffixes','suffixes',0,0,'0.5333','S120',1,'en'),
(23170,'suffixes for','suffixes for',0,1,'1.4','S1216',1,'en'),
(23171,'suffixes for dj-imageslider','suffixes for dj-imageslider',0,1,'1.9','S12163252436',1,'en'),
(23172,'suffixes if','suffixes if',0,1,'1.3667','S121',1,'en'),
(23173,'suffixes if you','suffixes if you',0,1,'1.5','S121',1,'en'),
(23174,'suffixes remember','suffixes remember',0,1,'1.5667','S126516',1,'en'),
(23175,'suffixes remember to','suffixes remember to',0,1,'1.6667','S1265163',1,'en'),
(23176,'suffixes see','suffixes see',0,1,'1.4','S120',1,'en'),
(23177,'suffixes see the','suffixes see the',0,1,'1.5333','S123',1,'en'),
(23178,'that suffix','that suffix',0,1,'1.3667','T212',1,'en'),
(23179,'that suffix at','that suffix at',0,1,'1.4667','T2123',1,'en'),
(23180,'that you','that you',0,1,'1.2667','T000',1,'en'),
(23181,'that you can','that you can',0,1,'1.4','T250',1,'en'),
(23182,'that your','that your',0,1,'1.3','T600',1,'en'),
(23183,'that your module','that your module',0,1,'1.5333','T6534',1,'en'),
(23184,'the default','the default',0,1,'1.3667','T143',1,'en'),
(23185,'the default css','the default css',0,1,'1.5','T1432',1,'en'),
(23186,'the end','the end',0,1,'1.2333','T530',1,'en'),
(23187,'the end and','the end and',0,1,'1.3667','T5353',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(23188,'the example','the example',0,1,'1.3667','T2514',1,'en'),
(23189,'the following suffixes','the following suffixes',0,1,'1.7333','T145212',1,'en'),
(23190,'the following view','the following view',0,1,'1.6','T14521',1,'en'),
(23191,'the same','the same',0,1,'1.2667','T250',1,'en'),
(23192,'the same you','the same you',0,1,'1.4','T250',1,'en'),
(23193,'the screenshot','the screenshot',0,1,'1.4667','T26523',1,'en'),
(23194,'the screenshot mod300','the screenshot mod300',0,1,'1.7','T2652353',1,'en'),
(23195,'the specified','the specified',0,1,'1.4333','T21213',1,'en'),
(23196,'the specified module','the specified module',0,1,'1.6667','T21213534',1,'en'),
(23197,'the suffix','the suffix',0,1,'1.3333','T212',1,'en'),
(23198,'the suffix for','the suffix for',0,1,'1.4667','T21216',1,'en'),
(23199,'them','them',1,0,'0.0333','T500',1,'en'),
(23200,'them all','them all',0,1,'1.2667','T540',1,'en'),
(23201,'them all 1','them all 1',0,1,'1.3333','T540',1,'en'),
(23202,'there are','there are',0,1,'1.3','T600',1,'en'),
(23203,'there are additional','there are additional',0,1,'1.6667','T6354',1,'en'),
(23204,'to get','to get',0,1,'1.2','T230',1,'en'),
(23205,'to get the','to get the',0,1,'1.3333','T230',1,'en'),
(23206,'to make','to make',0,1,'1.2333','T520',1,'en'),
(23207,'to make your','to make your',0,1,'1.4','T526',1,'en'),
(23208,'to mix','to mix',0,1,'1.2','T520',1,'en'),
(23209,'to mix suffixes','to mix suffixes',0,1,'1.5','T5212',1,'en'),
(23210,'to put','to put',0,1,'1.2','T130',1,'en'),
(23211,'to put a','to put a',0,1,'1.2667','T130',1,'en'),
(23212,'to put that','to put that',0,1,'1.3667','T130',1,'en'),
(23213,'to reduce','to reduce',0,1,'1.3','T632',1,'en'),
(23214,'to reduce space','to reduce space',0,1,'1.5','T63212',1,'en'),
(23215,'use','use',1,0,'0.025','U200',1,'en'),
(23216,'use the','use the',0,1,'1.2333','U230',1,'en'),
(23217,'use the default','use the default',0,1,'1.5','U23143',1,'en'),
(23218,'use the following','use the following',0,1,'1.5667','U231452',1,'en'),
(23219,'use the suffix','use the suffix',0,1,'1.4667','U23212',1,'en'),
(23220,'useful','useful',0,0,'0.4','U214',1,'en'),
(23221,'useful suffix','useful suffix',0,1,'1.4333','U214212',1,'en'),
(23222,'useful suffix to','useful suffix to',0,1,'1.5333','U2142123',1,'en'),
(23223,'very','very',1,0,'0.0333','V600',1,'en'),
(23224,'very useful','very useful',0,1,'1.3667','V6214',1,'en'),
(23225,'very useful suffix','very useful suffix',0,1,'1.6','V6214212',1,'en'),
(23226,'view','view',0,0,'0.2667','V000',1,'en'),
(23227,'view for','view for',0,1,'1.2667','V600',1,'en'),
(23228,'view for slides','view for slides',0,1,'1.5','V62432',1,'en'),
(23229,'want add','want add',0,1,'1.2667','W530',1,'en'),
(23230,'want add hover','want add hover',0,1,'1.4667','W5316',1,'en'),
(23231,'want to get','want to get',0,1,'1.3667','W5323',1,'en'),
(23232,'will','will',1,0,'0.0333','W400',1,'en'),
(23233,'will be','will be',0,1,'1.2333','W410',1,'en'),
(23234,'will be of','will be of',0,1,'1.3333','W410',1,'en'),
(23235,'will use','will use',0,1,'1.2667','W420',1,'en'),
(23236,'will use the','will use the',0,1,'1.4','W423',1,'en'),
(23237,'you can','you can',0,1,'1.2333','Y250',1,'en');
INSERT INTO `#__finder_terms` VALUES 
(23238,'you can control','you can control',0,1,'1.5','Y2525364',1,'en'),
(23239,'you just','you just',0,1,'1.2667','Y230',1,'en'),
(23240,'you just have','you just have',0,1,'1.4333','Y231',1,'en'),
(23241,'you want add','you want add',0,1,'1.4','Y530',1,'en'),
(23242,'your module','your module',0,1,'1.3667','Y6534',1,'en'),
(23243,'your module will','your module will',0,1,'1.5333','Y6534',1,'en'),
(23244,'your modules','your modules',0,1,'1.4','Y65342',1,'en'),
(23245,'your modules height','your modules height',0,1,'1.6333','Y653423',1,'en');

DROP TABLE IF EXISTS #__finder_terms_common;
CREATE TABLE `#__finder_terms_common` (
  `term` varchar(75) NOT NULL,
  `language` varchar(3) NOT NULL,
  KEY `idx_word_lang` (`term`,`language`),
  KEY `idx_lang` (`language`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_terms_common` VALUES 
('a','en'),
('about','en'),
('after','en'),
('ago','en'),
('all','en'),
('am','en'),
('an','en'),
('and','en'),
('ani','en'),
('any','en'),
('are','en'),
('aren\'t','en'),
('as','en'),
('at','en'),
('be','en'),
('but','en'),
('by','en'),
('for','en'),
('from','en'),
('get','en'),
('go','en'),
('how','en'),
('if','en'),
('in','en'),
('into','en'),
('is','en'),
('isn\'t','en'),
('it','en'),
('its','en'),
('me','en'),
('more','en'),
('most','en'),
('must','en'),
('my','en'),
('new','en'),
('no','en'),
('none','en'),
('not','en'),
('noth','en'),
('nothing','en'),
('of','en'),
('off','en'),
('often','en'),
('old','en'),
('on','en'),
('onc','en'),
('once','en'),
('onli','en'),
('only','en'),
('or','en');
INSERT INTO `#__finder_terms_common` VALUES 
('other','en'),
('our','en'),
('ours','en'),
('out','en'),
('over','en'),
('page','en'),
('she','en'),
('should','en'),
('small','en'),
('so','en'),
('some','en'),
('than','en'),
('thank','en'),
('that','en'),
('the','en'),
('their','en'),
('theirs','en'),
('them','en'),
('then','en'),
('there','en'),
('these','en'),
('they','en'),
('this','en'),
('those','en'),
('thus','en'),
('time','en'),
('times','en'),
('to','en'),
('too','en'),
('true','en'),
('under','en'),
('until','en'),
('up','en'),
('upon','en'),
('use','en'),
('user','en'),
('users','en'),
('veri','en'),
('version','en'),
('very','en'),
('via','en'),
('want','en'),
('was','en'),
('way','en'),
('were','en'),
('what','en'),
('when','en'),
('where','en'),
('whi','en'),
('which','en');
INSERT INTO `#__finder_terms_common` VALUES 
('who','en'),
('whom','en'),
('whose','en'),
('why','en'),
('wide','en'),
('will','en'),
('with','en'),
('within','en'),
('without','en'),
('would','en'),
('yes','en'),
('yet','en'),
('you','en'),
('your','en'),
('yours','en');

DROP TABLE IF EXISTS #__finder_tokens;
CREATE TABLE `#__finder_tokens` (
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `weight` float unsigned NOT NULL DEFAULT '1',
  `context` tinyint(1) unsigned NOT NULL DEFAULT '2',
  `language` char(3) NOT NULL DEFAULT '',
  KEY `idx_word` (`term`),
  KEY `idx_context` (`context`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_tokens_aggregate;
CREATE TABLE `#__finder_tokens_aggregate` (
  `term_id` int(10) unsigned NOT NULL,
  `map_suffix` char(1) NOT NULL,
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `term_weight` float unsigned NOT NULL,
  `context` tinyint(1) unsigned NOT NULL DEFAULT '2',
  `context_weight` float unsigned NOT NULL,
  `total_weight` float unsigned NOT NULL,
  `language` char(3) NOT NULL DEFAULT '',
  KEY `token` (`term`),
  KEY `keyword_id` (`term_id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_types;
CREATE TABLE `#__finder_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `mime` varchar(100) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `title` (`title`)
) AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_types` VALUES 
(1,'Tag',''),
(2,'Category',''),
(3,'Contact',''),
(4,'Article',''),
(5,'News Feed',''),
(6,'Web Link','');

DROP TABLE IF EXISTS #__languages;
CREATE TABLE `#__languages` (
  `lang_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `lang_code` char(7) NOT NULL,
  `title` varchar(50) NOT NULL,
  `title_native` varchar(50) NOT NULL,
  `sef` varchar(50) NOT NULL,
  `image` varchar(50) NOT NULL,
  `description` varchar(512) NOT NULL,
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `sitename` varchar(1024) NOT NULL DEFAULT '',
  `published` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`lang_id`),
  UNIQUE KEY `idx_sef` (`sef`),
  UNIQUE KEY `idx_image` (`image`),
  UNIQUE KEY `idx_langcode` (`lang_code`),
  KEY `idx_access` (`access`),
  KEY `idx_ordering` (`ordering`)
) AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__languages` VALUES 
(1,'en-GB','English (UK)','English (UK)','en','en','','','','',1,1,1);

DROP TABLE IF EXISTS #__menu;
CREATE TABLE `#__menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL COMMENT 'The type of menu this item belongs to. FK to #__menu_types.menutype',
  `title` varchar(255) NOT NULL COMMENT 'The display title of the menu item.',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The SEF alias of the menu item.',
  `note` varchar(255) NOT NULL DEFAULT '',
  `path` varchar(1024) NOT NULL COMMENT 'The computed path of the menu item based on the alias field.',
  `link` varchar(1024) NOT NULL COMMENT 'The actually link the menu item refers to.',
  `type` varchar(16) NOT NULL COMMENT 'The type of link: Component, URL, Alias, Separator',
  `published` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The published state of the menu link.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '1' COMMENT 'The parent menu item in the menu tree.',
  `level` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The relative level in the tree.',
  `component_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__extensions.id',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__users.id',
  `checked_out_time` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'The time the menu item was checked out.',
  `browserNav` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The click behaviour of the link.',
  `access` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The access level required to view the menu item.',
  `img` varchar(255) NOT NULL COMMENT 'The image of the menu item.',
  `template_style_id` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL COMMENT 'JSON encoded data for the menu item.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `home` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Indicates if this menu item is the home or default page.',
  `language` char(7) NOT NULL DEFAULT '',
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_client_id_parent_id_alias_language` (`client_id`,`parent_id`,`alias`,`language`),
  KEY `idx_componentid` (`component_id`,`menutype`,`published`,`access`),
  KEY `idx_menutype` (`menutype`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_path` (`path`(255)),
  KEY `idx_language` (`language`)
) AUTO_INCREMENT=805 DEFAULT CHARSET=utf8;

INSERT INTO `#__menu` VALUES 
(1,'','Menu_Item_Root','root','','','','',1,0,0,0,0,'0000-00-00 00:00:00',0,0,'',0,'',0,161,0,'*',0),
(2,'menu','com_banners','Banners','','Banners','index.php?option=com_banners','component',0,1,1,4,0,'0000-00-00 00:00:00',0,0,'class:banners',0,'',107,116,0,'*',1),
(3,'menu','com_banners','Banners','','Banners/Banners','index.php?option=com_banners','component',0,2,2,4,0,'0000-00-00 00:00:00',0,0,'class:banners',0,'',108,109,0,'*',1),
(4,'menu','com_banners_categories','Categories','','Banners/Categories','index.php?option=com_categories&extension=com_banners','component',0,2,2,6,0,'0000-00-00 00:00:00',0,0,'class:banners-cat',0,'',110,111,0,'*',1),
(5,'menu','com_banners_clients','Clients','','Banners/Clients','index.php?option=com_banners&view=clients','component',0,2,2,4,0,'0000-00-00 00:00:00',0,0,'class:banners-clients',0,'',112,113,0,'*',1),
(6,'menu','com_banners_tracks','Tracks','','Banners/Tracks','index.php?option=com_banners&view=tracks','component',0,2,2,4,0,'0000-00-00 00:00:00',0,0,'class:banners-tracks',0,'',114,115,0,'*',1),
(7,'menu','com_contact','Contacts','','Contacts','index.php?option=com_contact','component',0,1,1,8,0,'0000-00-00 00:00:00',0,0,'class:contact',0,'',117,122,0,'*',1),
(8,'menu','com_contact','Contacts','','Contacts/Contacts','index.php?option=com_contact','component',0,7,2,8,0,'0000-00-00 00:00:00',0,0,'class:contact',0,'',118,119,0,'*',1),
(9,'menu','com_contact_categories','Categories','','Contacts/Categories','index.php?option=com_categories&extension=com_contact','component',0,7,2,6,0,'0000-00-00 00:00:00',0,0,'class:contact-cat',0,'',120,121,0,'*',1),
(10,'menu','com_messages','Messaging','','Messaging','index.php?option=com_messages','component',0,1,1,15,0,'0000-00-00 00:00:00',0,0,'class:messages',0,'',123,128,0,'*',1),
(11,'menu','com_messages_add','New Private Message','','Messaging/New Private Message','index.php?option=com_messages&task=message.add','component',0,10,2,15,0,'0000-00-00 00:00:00',0,0,'class:messages-add',0,'',124,125,0,'*',1),
(12,'menu','com_messages_read','Read Private Message','','Messaging/Read Private Message','index.php?option=com_messages','component',0,10,2,15,0,'0000-00-00 00:00:00',0,0,'class:messages-read',0,'',126,127,0,'*',1),
(13,'menu','com_newsfeeds','News Feeds','','News Feeds','index.php?option=com_newsfeeds','component',0,1,1,17,0,'0000-00-00 00:00:00',0,0,'class:newsfeeds',0,'',129,134,0,'*',1),
(14,'menu','com_newsfeeds_feeds','Feeds','','News Feeds/Feeds','index.php?option=com_newsfeeds','component',0,13,2,17,0,'0000-00-00 00:00:00',0,0,'class:newsfeeds',0,'',130,131,0,'*',1),
(15,'menu','com_newsfeeds_categories','Categories','','News Feeds/Categories','index.php?option=com_categories&extension=com_newsfeeds','component',0,13,2,6,0,'0000-00-00 00:00:00',0,0,'class:newsfeeds-cat',0,'',132,133,0,'*',1),
(16,'menu','com_redirect','Redirect','','Redirect','index.php?option=com_redirect','component',0,1,1,24,0,'0000-00-00 00:00:00',0,0,'class:redirect',0,'',147,148,0,'*',1),
(17,'menu','com_search','Basic Search','','Basic Search','index.php?option=com_search','component',0,1,1,19,0,'0000-00-00 00:00:00',0,0,'class:search',0,'',139,140,0,'*',1),
(18,'menu','com_weblinks','Weblinks','','Weblinks','index.php?option=com_weblinks','component',0,1,1,21,0,'0000-00-00 00:00:00',0,0,'class:weblinks',0,'',141,146,0,'*',1),
(19,'menu','com_weblinks_links','Links','','Weblinks/Links','index.php?option=com_weblinks','component',0,18,2,21,0,'0000-00-00 00:00:00',0,0,'class:weblinks',0,'',142,143,0,'*',1),
(20,'menu','com_weblinks_categories','Categories','','Weblinks/Categories','index.php?option=com_categories&extension=com_weblinks','component',0,18,2,6,0,'0000-00-00 00:00:00',0,0,'class:weblinks-cat',0,'',144,145,0,'*',1),
(21,'menu','com_finder','Smart Search','','Smart Search','index.php?option=com_finder','component',0,1,1,27,0,'0000-00-00 00:00:00',0,0,'class:finder',0,'',137,138,0,'*',1),
(22,'menu','com_joomlaupdate','Joomla! Update','','Joomla! Update','index.php?option=com_joomlaupdate','component',0,1,1,28,0,'0000-00-00 00:00:00',0,0,'class:joomlaupdate',0,'',135,136,0,'*',1),
(435,'mainmenu','Home','homepage','','homepage','index.php?option=com_content&view=article&id=134','component',1,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{"show_title":"0","link_titles":"0","show_intro":"0","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_tags":"0","show_noauth":"0","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',1,6,1,'*',0),
(470,'main','com_tags','com-tags','','com-tags','index.php?option=com_tags','component',0,1,1,29,0,'0000-00-00 00:00:00',0,1,'class:tags',0,'',149,150,0,'',1),
(471,'main','com_postinstall','Post-installation messages','','Post-installation messages','index.php?option=com_postinstall','component',0,1,1,32,0,'0000-00-00 00:00:00',0,1,'class:postinstall',0,'',151,152,0,'*',1),
(479,'mainmenu','Pages','pages','','pages','index.php?option=com_content&view=article&id=73','component',1,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',21,74,0,'*',0),
(499,'mainmenu','Languages','2014-05-13-19-05-45','','2014-05-13-19-05-45','','url',1,1,1,0,0,'0000-00-00 00:00:00',0,1,'',0,'{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}',75,80,0,'*',0),
(500,'mainmenu','LTR Languages','2014-05-13-19-06-11','','2014-05-13-19-05-45/2014-05-13-19-06-11','?direction=ltr','url',1,499,2,0,0,'0000-00-00 00:00:00',0,1,'',0,'{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}',76,77,0,'*',0),
(501,'mainmenu','RTL Languages','2014-05-13-19-06-34','','2014-05-13-19-05-45/2014-05-13-19-06-34','?direction=rtl','url',1,499,2,0,0,'0000-00-00 00:00:00',0,1,'',0,'{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}',78,79,0,'*',0),
(502,'mainmenu','Features','features','','features','http://www.joomla-monster.com/knowledge-base-area/templates-documentation/general-info-ef4-framework-for-joomla-3-x/settings','url',1,1,1,0,0,'0000-00-00 00:00:00',0,1,'',0,'{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}',7,20,0,'*',0),
(503,'mainmenu','Typography','typography','','features/typography','index.php?option=com_content&view=article&id=87','component',1,502,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"","show_vote":"0","show_tags":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',14,15,0,'*',0),
(514,'mainmenu','Style','style','','style','index.php?Itemid=','alias',1,1,1,0,0,'0000-00-00 00:00:00',0,1,'',0,'{"aliasoptions":"789","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}',81,104,0,'*',0),
(515,'hiddenmenu','Newsflash','newsflash','','newsflash','index.php?option=com_content&view=category&layout=blog&id=88','component',1,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"2","num_columns":"2","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',153,154,0,'*',0),
(516,'mainmenu','Contact Us','contact','','contact','index.php?option=com_contact&view=contact&id=9','component',1,1,1,8,0,'0000-00-00 00:00:00',0,1,'',0,'{"presentation_style":"","show_contact_category":"","show_contact_list":"","show_tags":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',105,106,0,'*',0),
(519,'mainmenu','Scheme Layouts','scheme-layouts','','pages/scheme-layouts','','separator',1,479,2,0,0,'0000-00-00 00:00:00',0,1,'',0,'{"menu_image":"","menu_text":1}',22,35,0,'*',0),
(520,'mainmenu','Left-Content-Right','left-content-right','','pages/scheme-layouts/left-content-right','index.php?option=com_content&view=article&id=73','component',1,519,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',23,24,0,'*',0),
(521,'mainmenu','Left-Right-Content','left-right-content','','pages/scheme-layouts/left-right-content','index.php?option=com_content&view=article&id=73','component',1,519,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',25,26,0,'*',0),
(522,'mainmenu','Content-Left-Right','content-left-right','','pages/scheme-layouts/content-left-right','index.php?option=com_content&view=article&id=73','component',1,519,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',27,28,0,'*',0),
(523,'mainmenu','Left-Content','left-content','','pages/scheme-layouts/left-content','index.php?option=com_content&view=article&id=73','component',1,519,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',29,30,0,'*',0),
(524,'mainmenu','Content-Right','content-right','','pages/scheme-layouts/content-right','index.php?option=com_content&view=article&id=73','component',1,519,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',31,32,0,'*',0),
(525,'mainmenu','Content','content','','pages/scheme-layouts/content','index.php?option=com_content&view=article&id=73','component',1,519,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',33,34,0,'*',0),
(526,'mainmenu','J! Content','joomla-content','','pages/joomla-content','','separator',1,479,2,0,0,'0000-00-00 00:00:00',0,1,'',0,'{"menu_image":"","menu_text":1}',36,53,0,'*',0),
(527,'mainmenu','Single Article','single-article','','pages/joomla-content/single-article','index.php?option=com_content&view=article&id=111','component',1,526,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',37,38,0,'*',0),
(528,'mainmenu','Blog - 2 columns','blog-2-columns','','pages/joomla-content/blog-2-columns','index.php?option=com_content&view=category&layout=blog&id=83','component',1,526,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"0","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","show_cat_tags":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"4","num_columns":"2","num_links":"0","multi_column_order":"","show_subcategory_content":"-1","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',39,40,0,'*',0),
(529,'mainmenu','Blog - 1 column ','blog-1-column','','pages/joomla-content/blog-1-column','index.php?option=com_content&view=category&layout=blog&id=83','component',1,526,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"0","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","show_cat_tags":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"4","num_columns":"1","num_links":"0","multi_column_order":"","show_subcategory_content":"-1","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',41,42,0,'*',0),
(530,'mainmenu','Category List','category-list','','pages/joomla-content/category-list','index.php?option=com_content&view=category&id=90','component',1,526,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"0","show_empty_categories":"","show_no_articles":"","show_category_heading_title":"","show_subcat_desc":"","show_cat_num_articles":"","show_cat_tags":"","page_subheading":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","display_num":"10","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',43,44,0,'*',0),
(531,'mainmenu','Submit Article','submit-article','','pages/joomla-content/submit-article','index.php?option=com_content&view=form&layout=edit','component',1,526,3,22,0,'0000-00-00 00:00:00',0,2,'',0,'{"enable_category":"0","catid":"9","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',45,46,0,'*',0),
(532,'mainmenu','Tabs','tabs','','pages/joomla-content/tabs','index.php?option=com_content&view=article&id=112','component',1,526,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',47,48,0,'*',0),
(533,'mainmenu','J! Other Pages','joomla-other-pages','','pages/joomla-other-pages','','separator',1,479,2,0,0,'0000-00-00 00:00:00',0,1,'',0,'{"menu_image":"","menu_text":1}',54,73,0,'*',0),
(534,'mainmenu','Registration Form','registration-form','','pages/joomla-other-pages/registration-form','index.php?option=com_users&view=registration','component',1,533,3,25,0,'0000-00-00 00:00:00',0,1,'',0,'{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',55,56,0,'*',0);
INSERT INTO `#__menu` VALUES 
(535,'mainmenu','Login Form','login-form','','pages/joomla-other-pages/login-form','index.php?option=com_users&view=login','component',1,533,3,25,0,'0000-00-00 00:00:00',0,1,'',0,'{"login_redirect_url":"","logindescription_show":"1","login_description":"","login_image":"","logout_redirect_url":"","logoutdescription_show":"1","logout_description":"","logout_image":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',57,58,0,'*',0),
(536,'mainmenu','User Profile','user-profile','','pages/joomla-other-pages/user-profile','index.php?option=com_users&view=profile','component',1,533,3,25,0,'0000-00-00 00:00:00',0,2,'',0,'{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',59,60,0,'*',0),
(538,'mainmenu','Search Form','search-form','','pages/joomla-other-pages/search-form','index.php?option=com_search&view=search','component',1,533,3,19,0,'0000-00-00 00:00:00',0,1,'',0,'{"search_areas":"","show_date":"","searchphrase":"0","ordering":"newest","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',61,62,0,'*',0),
(539,'mainmenu','Smart Search','smart-search','','pages/joomla-other-pages/smart-search','index.php?option=com_finder&view=search','component',1,533,3,27,0,'0000-00-00 00:00:00',0,1,'',0,'{"show_date_filters":"","show_advanced":"","expand_advanced":"","show_description":"","description_length":255,"show_url":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","allow_empty_query":"0","show_suggested_query":"1","show_explained_query":"1","sort_order":"","sort_direction":"","show_feed":"0","show_feed_text":"0","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',63,64,0,'*',0),
(541,'mainmenu','Single Contact','single-contact','','pages/joomla-other-pages/single-contact','index.php?option=com_contact&view=contact&id=10','component',1,533,3,8,0,'0000-00-00 00:00:00',0,1,'',0,'{"presentation_style":"","show_contact_category":"","show_contact_list":"","show_tags":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',65,66,0,'*',0),
(542,'mainmenu','Accordion','accordion','','pages/joomla-content/accordion','index.php?Itemid=','alias',1,526,3,0,0,'0000-00-00 00:00:00',0,1,'',0,'{"aliasoptions":"541","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}',49,50,0,'*',0),
(562,'mainmenu','Template Parameters','2014-06-25-09-39-35','','features/2014-06-25-09-39-35','http://www.joomla-monster.com/knowledge-base-area/templates-documentation/general-info-ef4-framework-for-joomla-3-x/settings','url',1,502,2,0,0,'0000-00-00 00:00:00',1,1,'',0,'{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}',8,9,0,'*',0),
(563,'mainmenu','All Template\'s Positions','all-templates-positions','','features/all-templates-positions','index.php?option=com_content&view=article&id=130','component',1,502,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',10,11,0,'*',0),
(564,'mainmenu','Module Suffixes','module-suffixes','','features/module-suffixes','index.php?option=com_content&view=article&id=121','component',1,502,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',12,13,0,'*',0),
(566,'mainmenu','Install Demo Copy','2014-06-25-09-56-46','','features/2014-06-25-09-56-46','http://www.joomla-monster.com/knowledge-base-area/general-questions/about-our-store/what-is-a-quickstart','url',1,502,2,0,0,'0000-00-00 00:00:00',1,1,'',0,'{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}',16,17,0,'*',0),
(567,'mainmenu','Joomla Templates','2014-06-25-09-58-22','','features/2014-06-25-09-58-22','http://www.joomla-monster.com/all-templates','url',1,502,2,0,0,'0000-00-00 00:00:00',1,1,'',0,'{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}',18,19,0,'*',0),
(568,'mainmenu','Culinary Theme','culinary-theme','','style/culinary-theme','index.php?option=com_content&view=category&layout=blog&id=93','component',-2,514,2,22,0,'0000-00-00 00:00:00',0,1,'',11,'{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","show_cat_tags":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"6","num_columns":"3","num_links":"0","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"0","show_pagination_results":"0","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',84,85,0,'*',0),
(613,'mainmenu','Dental Theme','dental-theme','','style/dental-theme','index.php?option=com_content&view=article&id=73','component',-2,514,2,22,0,'0000-00-00 00:00:00',0,1,'',14,'{"show_title":"1","link_titles":"","show_intro":"","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',86,87,0,'*',0),
(657,'mainmenu','Error 404','error-404','','pages/joomla-other-pages/error-404','index.php?option=com_content&view=article&id=131','component',1,533,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{"show_title":"0","link_titles":"","show_intro":"","info_block_position":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"0","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',67,68,0,'*',0),
(658,'mainmenu','Offline Page','offline-page','','pages/joomla-other-pages/offline-page','index.php?option=com_content&view=article&id=132','component',1,533,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',69,70,0,'*',0),
(779,'mainmenu','Business Theme','business-theme','','style/business-theme','index.php?Itemid=','alias',-2,514,2,0,0,'0000-00-00 00:00:00',0,1,'',0,'{"aliasoptions":"435","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}',82,83,0,'*',0),
(788,'mainmenu','News Feed','news-feed','','pages/joomla-content/news-feed','index.php?option=com_newsfeeds&view=newsfeed&id=5','component',1,526,3,17,0,'0000-00-00 00:00:00',0,1,'',0,'{"show_feed_image":"","show_feed_description":"","show_item_description":"","show_tags":"","feed_character_count":"0","feed_display_order":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',51,52,0,'*',0),
(789,'mainmenu','Home 1 - Slider Background','home1','','homepage/home1','index.php?option=com_content&view=article&id=134','component',1,435,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{"show_title":"0","link_titles":"0","show_intro":"0","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_tags":"0","show_noauth":"0","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',2,3,0,'*',0),
(790,'mainmenu','Home 2 - Custom Image Background','home2','','homepage/home2','index.php?option=com_content&view=article&id=134','component',1,435,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{"show_title":"0","link_titles":"0","show_intro":"0","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_tags":"0","show_noauth":"0","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',4,5,0,'*',0),
(791,'mainmenu','submit article','submit-article','','style/submit-article','index.php?option=com_content&view=form&layout=edit','component',-2,514,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{"enable_category":"0","catid":"9","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',88,89,0,'*',0),
(792,'mainmenu','submit weblink','submit-weblink','','style/submit-weblink','index.php?option=com_weblinks&view=form&layout=edit','component',-2,514,2,21,0,'0000-00-00 00:00:00',0,1,'',0,'{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',90,91,0,'*',0),
(793,'mainmenu','site conf','site-conf','','style/site-conf','index.php?option=com_config&view=config&controller=config.display.config','component',-2,514,2,23,0,'0000-00-00 00:00:00',0,1,'',0,'{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',92,93,0,'*',0),
(794,'mainmenu','temp opt','temp-opt','','style/temp-opt','index.php?option=com_config&view=templates&controller=config.display.templates','component',-2,514,2,23,0,'0000-00-00 00:00:00',0,1,'',0,'{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',94,95,0,'*',0),
(795,'mainmenu','Pricing Tables','pricing','','pages/joomla-other-pages/pricing','index.php?option=com_content&view=article&id=135','component',1,533,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',71,72,0,'*',0),
(796,'main','COM_DJIMAGESLIDER','com-djimageslider','','com-djimageslider','index.php?option=com_djimageslider','component',0,1,1,10003,0,'0000-00-00 00:00:00',0,1,'components/com_djimageslider/assets/icon-16-djimageslider.png',0,'',155,160,0,'',1),
(797,'main','COM_DJIMAGESLIDER_SLIDES','com-djimageslider-slides','','com-djimageslider/com-djimageslider-slides','index.php?option=com_djimageslider&view=items','component',0,796,2,10003,0,'0000-00-00 00:00:00',0,1,'components/com_djimageslider/assets/icon-16-menu-slides.png',0,'',156,157,0,'',1),
(798,'main','COM_DJIMAGESLIDER_CATEGORIES','com-djimageslider-categories','','com-djimageslider/com-djimageslider-categories','index.php?option=com_categories&extension=com_djimageslider','component',0,796,2,10003,0,'0000-00-00 00:00:00',0,1,'class:category',0,'',158,159,0,'',1),
(799,'mainmenu','Style 1 - Blue','style-1-blue','','style/style-1-blue','index.php?Itemid=','alias',1,514,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{"aliasoptions":"789","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}',96,97,0,'*',0),
(800,'mainmenu','Style 2 - Orange','style-2-orange','','style/style-2-orange','index.php?option=com_content&view=article&id=134','component',1,514,2,22,0,'0000-00-00 00:00:00',0,1,'',19,'{"show_title":"0","link_titles":"0","show_intro":"0","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_tags":"0","show_noauth":"0","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',98,99,0,'*',0),
(801,'mainmenu','Style 4 - Red','style-4-red','','style/style-4-red','index.php?option=com_content&view=article&id=134','component',1,514,2,22,0,'0000-00-00 00:00:00',0,1,'',21,'{"show_title":"0","link_titles":"0","show_intro":"0","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_tags":"0","show_noauth":"0","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',102,103,0,'*',0),
(802,'mainmenu','Style 3 - Yellow','style-3-yellow','','style/style-3-yellow','index.php?option=com_content&view=article&id=134','component',1,514,2,22,0,'0000-00-00 00:00:00',0,1,'',20,'{"show_title":"0","link_titles":"0","show_intro":"0","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_tags":"0","show_noauth":"0","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}',100,101,0,'*',0);

DROP TABLE IF EXISTS #__menu_types;
CREATE TABLE `#__menu_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL,
  `title` varchar(48) NOT NULL,
  `description` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_menutype` (`menutype`)
) AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;

INSERT INTO `#__menu_types` VALUES 
(6,'mainmenu','Main Menu','Simple Home Menu'),
(11,'hiddenmenu','Hidden','Hidden');

DROP TABLE IF EXISTS #__messages;
CREATE TABLE `#__messages` (
  `message_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id_from` int(10) unsigned NOT NULL DEFAULT '0',
  `user_id_to` int(10) unsigned NOT NULL DEFAULT '0',
  `folder_id` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `priority` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `message` text NOT NULL,
  PRIMARY KEY (`message_id`),
  KEY `useridto_state` (`user_id_to`,`state`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__messages_cfg;
CREATE TABLE `#__messages_cfg` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `cfg_name` varchar(100) NOT NULL DEFAULT '',
  `cfg_value` varchar(255) NOT NULL DEFAULT '',
  UNIQUE KEY `idx_user_var_name` (`user_id`,`cfg_name`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__modules;
CREATE TABLE `#__modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(100) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `content` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `position` varchar(50) NOT NULL DEFAULT '',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `module` varchar(50) DEFAULT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `showtitle` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `published` (`published`,`access`),
  KEY `newsfeeds` (`module`,`published`),
  KEY `idx_language` (`language`)
) AUTO_INCREMENT=202 DEFAULT CHARSET=utf8;

INSERT INTO `#__modules` VALUES 
(2,0,'Login','','',1,'login',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_login',1,1,'',1,'*'),
(3,0,'Popular Articles','','',2,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_popular',3,1,'{"count":"5","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1","module_tag":"div","bootstrap_size":"6","header_tag":"h3","header_class":"","style":"0"}',1,'*'),
(4,0,'Recently Added Articles','','',1,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_latest',3,1,'{"count":"5","ordering":"c_dsc","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1","module_tag":"div","bootstrap_size":"6","header_tag":"h3","header_class":"","style":"0"}',1,'*'),
(8,0,'Toolbar','','',1,'toolbar',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_toolbar',3,1,'',1,'*'),
(9,0,'Quick Icons','','',1,'icon',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_quickicon',3,1,'',1,'*'),
(10,0,'Logged-in Users','','',4,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_logged',3,1,'{"count":"5","name":"1","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1","module_tag":"div","bootstrap_size":"6","header_tag":"h3","header_class":"","style":"0"}',1,'*'),
(12,0,'Admin Menu','','',1,'menu',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',3,1,'{"layout":"","moduleclass_sfx":"","shownew":"1","showhelp":"1","cache":"0"}',1,'*'),
(13,0,'Admin Submenu','','',1,'submenu',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_submenu',3,1,'',1,'*'),
(14,0,'User Status','','',2,'status',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_status',3,1,'',1,'*'),
(15,0,'Title','','',1,'title',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_title',3,1,'',1,'*'),
(17,222,'Breadcrumbs','','',1,'breadcrumbs',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_breadcrumbs',1,0,'{"showHere":"1","showHome":"1","homeText":"","showLast":"1","separator":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(44,225,'Top-bar Login','','',2,'top-bar2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_login',1,1,'{"pretext":"","posttext":"","login":"","logout":"","greeting":"1","name":"0","usesecure":"0","usetext":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(79,0,'Multilanguage status','','',1,'status',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_multilangstatus',3,1,'{"layout":"_:default","moduleclass_sfx":"","cache":"0"}',1,'*'),
(86,0,'Joomla Version','','',1,'footer',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_version',3,1,'{"format":"short","product":"1","layout":"_:default","moduleclass_sfx":"","cache":"0"}',1,'*'),
(90,0,'Custom Module','','<p>Example custom module for the testing data.</p>',5,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"1","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"6","header_tag":"h3","header_class":"","style":"0"}',1,'*'),
(91,0,'Admin Feed Model','','',6,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_feed',1,1,'{"rssurl":"http:\\/\\/feeds.joomla.org\\/JoomlaAnnouncements","rssrtl":"0","rsstitle":"1","rssdesc":"1","rssimage":"1","rssitems":"3","rssitemdesc":"1","word_count":"0","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"6","header_tag":"h3","header_class":"","style":"0"}',1,'*'),
(92,0,'Statistics','','',3,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_stats_admin',1,1,'{"serverinfo":"1","siteinfo":"1","counter":"1","increase":"0","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"6","header_tag":"h3","header_class":"","style":"0"}',1,'*'),
(98,183,'DJ-Menu','','',1,'top-menu-nav',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_djmenu',1,0,'{"menu":"mainmenu","endLevel":"0","css":"0","select":"1","width":"979","moo":"1","animation_in":"fadeIn","animation_out":"fadeOut","animation_speed":"normal","wrapper":"","delay":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(99,184,'Top-Bar1','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>',1,'top-bar1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(101,186,'Header','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris. Maecenas eu iaculis tortor, ac volutpat ipsum. In eget lacus erat. Nullam nec magna tellus. Vestibulum rutrum velit et nulla tristique, ac sodales risus tempor. Phasellus sed nisi ut nibh accumsan commodo sed a libero. In ut semper felis, a vestibulum mi. Ut et lacus lectus. Vivamus tempus erat et augue bibendum posuere. In mauris metus, ultrices vel vulputate nec, dictum eget nulla. Etiam ac est metus. Mauris at orci pretium, congue erat vel, vulputate eros. In posuere venenatis lacinia. Mauris aliquam faucibus velit, vitae cursus tellus aliquam vel.</p>',1,'header',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" blank-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(102,187,'Top1-1','','<p><strong>Default module</strong></p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris.</p>',1,'top1-1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(103,188,'Top1-2','','<p><strong>Module suffix: title-ms</strong></p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris.</p>',1,'top1-2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" title-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(104,189,'Top1-3','','<p><strong>Module suffix: title-border-ms</strong></p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat.</p>',1,'top1-3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" title-border-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(105,190,'Top1-4','','<p><strong>Module suffix: dark-ms<br /></strong></p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris.</p>',1,'top1-4',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" dark-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(106,191,'Top2-1','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris.</p>',1,'top2-1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" blank-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(107,192,'Top2-2','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris.</p>',1,'top2-2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" blank-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(108,193,'Top2-3','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris.</p>',1,'top2-3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" blank-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(109,194,'Top2-4','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris.</p>',1,'top2-4',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" blank-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(110,195,'Content-Top','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris.</p>',1,'content-top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(111,196,'Content-Bottom','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris.</p>',1,'content-bottom',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(112,197,'Left-Column','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor.</p>',1,'left-column',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(113,198,'Left-Column','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor.</p>',1,'left-column',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(114,199,'Left-Column','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor.</p>',1,'left-column',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(118,203,'Right-Column','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor.</p>',1,'right-column',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(119,204,'Right-Column','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor.</p>',2,'right-column',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(120,205,'Right-Column','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor.</p>',3,'right-column',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(124,209,'Bottom1-1','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris.</p>',1,'bottom1-1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(125,210,'Bottom1-2','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris.</p>',1,'bottom1-2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(126,211,'Bottom1-3','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris.</p>',1,'bottom1-3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(127,212,'Bottom1-4','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris.</p>',1,'bottom1-4',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(128,213,'Bottom2-1','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris.</p>',1,'bottom2-1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(129,214,'Bottom2-2','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris.</p>',1,'bottom2-2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(130,215,'Bottom2-3','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris.</p>',1,'bottom2-3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(131,216,'Bottom2-4','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris.</p>',1,'bottom2-4',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(132,217,'Footer-Mod','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris.</p>',1,'footer-mod-1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" blank-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(133,218,'Footer-Mod','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris.</p>',1,'footer-mod-2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" blank-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(134,219,'Footer-Mod','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris.</p>',1,'footer-mod-3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" blank-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(135,220,'Footer-Mod','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris.</p>',1,'footer-mod-4',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" blank-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(136,221,'Copyrights','','<p>JM Internet All Rights Reserved.</p>',1,'copyrights',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(137,234,'Top-bar Contact','','<ul class="jm-contact-icons">\r\n<li class="jm-direction"><img src="images/modules/direction.png" alt="Direction" /><a title="Contact" href="index.php?option=com_contact&amp;view=contact&amp;id=9&amp;Itemid=516">Peterborough, UK</a></li>\r\n<li class="jm-email"><img src="images/modules/email.png" alt="Email" /><a title="Contact" href="index.php?option=com_contact&amp;view=contact&amp;id=9&amp;Itemid=516">hello@services.com</a></li>\r\n<li class="jm-phone"><img src="images/modules/phone.png" alt="Phone" /><a title="Contact" href="index.php?option=com_contact&amp;view=contact&amp;id=9&amp;Itemid=516">+44 7837 383 484</a></li>\r\n</ul>',1,'top-bar1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*');
INSERT INTO `#__modules` VALUES 
(138,241,'Latest Projects','','',1,'top2-1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_djimageslider',1,1,'{"slider_source":"1","slider_type":"0","link_image":"1","image_folder":"images\\/sampledata\\/fruitshop","link":"","category":"81","show_title":"1","show_desc":"1","show_readmore":"1","readmore_text":"","link_title":"1","link_desc":"1","limit_desc":"","image_width":"370","image_height":"245","fit_to":"0","visible_images":"3","space_between_images":"30","max_images":"20","sort_by":"1","effect":"Expo","autoplay":"0","show_buttons":"0","show_arrows":"0","show_custom_nav":"1","desc_width":"","desc_bottom":"0","desc_horizontal":"0","left_arrow":"images\\/djimageslider\\/navigation\\/prev.png","right_arrow":"images\\/djimageslider\\/navigation\\/next.png","play_button":"images\\/djimageslider\\/navigation\\/play.png","pause_button":"images\\/djimageslider\\/navigation\\/pause.png","arrows_top":"0","arrows_horizontal":"0","effect_type":"0","duration":"","delay":"","preload":"800","layout":"_:default","moduleclass_sfx":" title-border-ms blank-ms","cache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(146,272,'Popular Articles','','',1,'footer-mod-1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_articles_popular',1,1,'{"catid":[""],"count":"5","show_front":"1","layout":"_:default","moduleclass_sfx":" blank-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(147,273,'Tags','','',1,'footer-mod-2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_tags_popular',1,1,'{"maximum":"6","timeframe":"alltime","order_value":"count","order_direction":"1","display_count":0,"no_results_text":"0","minsize":1,"maxsize":1,"layout":"_:cloud","moduleclass_sfx":" blank-ms","owncache":"1","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(148,274,'Latest News','','',1,'footer-mod-3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_articles_news',1,1,'{"catid":["88"],"image":"0","item_title":"1","link_titles":"1","item_heading":"h4","showLastSeparator":"1","readmore":"0","count":"3","ordering":"a.publish_up","direction":"1","layout":"_:default","moduleclass_sfx":" blank-ms","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(149,275,'Stay Connected','','<div class="jm-socials"><a class="facebook" href="#"> </a> <a class="googleplus" href="#"> </a> <a class="twitter" href="#"> </a> <a class="linkedin" href="#"> </a> <a class="skype" href="#"> </a> <a class="vimeo" href="#"> </a></div>',1,'footer-mod-4',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" blank-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(150,303,'Latest News','','',8,'right-column',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_articles_latest',1,1,'{"catid":[""],"count":"5","show_featured":"","ordering":"c_dsc","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(151,304,'Blog Archive','','',9,'right-column',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_articles_archive',1,1,'{"count":"10","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(152,319,'Categories','','',7,'right-column',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_articles_categories',1,1,'{"parent":"83","show_description":"1","numitems":"1","show_children":"0","count":"0","maxlevel":"0","layout":"_:default","item_heading":"4","moduleclass_sfx":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(153,325,'Main Menu','','',1,'right-column',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',1,1,'{"menutype":"mainmenu","base":"","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(154,327,'Map','','<p><iframe style="border: 0;" src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2424.1877486636104!2d-0.2446241!3d52.5842987!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4877f102a7bb5aff%3A0xa8a97bf13d59df1a!2sGreen+Ln!5e0!3m2!1spl!2spl!4v1400164688960" width="100%" height="450" frameborder="0"></iframe></p>',1,'content-top',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" blank-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(160,353,'Popular Tags','','',12,'right-column',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_tags_popular',1,1,'{"maximum":"5","timeframe":"alltime","order_value":"count","order_direction":"1","display_count":1,"no_results_text":"0","minsize":0.5,"maxsize":1.5,"layout":"_:cloud","moduleclass_sfx":" tags-ms","owncache":"1","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(179,397,'Search on Error 404 page','','',1,'error404-search',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_search',1,0,'{"label":"","width":"20","text":"","button":"1","button_pos":"right","imagebutton":"0","button_text":"","opensearch":"1","opensearch_title":"","set_itemid":"0","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(180,400,'Offcanvas Button','','<p><a class="toggle-nav menu"><span class="icon-align-justify"></span></a></p>',1,'top-bar2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" nomargin-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(182,402,'Tags','','',3,'offcanvas',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_tags_popular',1,1,'{"maximum":"6","timeframe":"alltime","order_value":"count","order_direction":"1","display_count":0,"no_results_text":"0","minsize":1,"maxsize":1,"layout":"_:cloud","moduleclass_sfx":" blank-ms","owncache":"1","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(183,403,'Main Menu','','',1,'offcanvas',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',1,1,'{"menutype":"mainmenu","base":"","startLevel":"1","endLevel":"1","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":" blank-ms","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(184,404,'Offcanvas Info','','<p>Assign modules on offcanvas module position to make them visible in the sidebar.</p>',0,'offcanvas',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" blank-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(186,407,'Header Background','','',1,'header-bg',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_djimageslider',1,1,'{"slider_source":"1","slider_type":"0","link_image":"0","image_folder":"images\\/sampledata\\/fruitshop","link":"","category":"80","show_title":"1","show_desc":"1","show_readmore":"1","readmore_text":"Check an offer","link_title":"0","link_desc":"0","limit_desc":"","image_width":"1903","image_height":"655","fit_to":"0","visible_images":"1","space_between_images":"0","max_images":"20","sort_by":"1","effect":"Expo","autoplay":"1","show_buttons":"0","show_arrows":"1","show_custom_nav":"0","desc_width":"770","desc_bottom":"100","desc_horizontal":"570","left_arrow":"images\\/djimageslider\\/navigation\\/prev.png","right_arrow":"images\\/djimageslider\\/navigation\\/next.png","play_button":"images\\/djimageslider\\/navigation\\/play.png","pause_button":"images\\/djimageslider\\/navigation\\/pause.png","arrows_top":"300","arrows_horizontal":"30","effect_type":"easeInOut","duration":"","delay":"8000","preload":"800","layout":"_:default","moduleclass_sfx":" header-ms","cache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(187,408,'Residential Solutions','','<div class="jm-box">\r\n<div class="jm-box-in">\r\n<div class="jm-icon"><img src="images/modules/icon1.png" alt="" /></div>\r\n<div class="jm-column"><span class="title">Residential Solutions</span> <a href="index.php?option=com_content&amp;view=article&amp;id=135&amp;Itemid=795" class="link">www.jm-internet.com</a> <span class="description">Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.</span> <span class="contact">call 888-777-888</span> <a href="index.php?option=com_content&amp;view=article&amp;id=135&amp;Itemid=795" class="readmore">read more</a></div>\r\n<div class="jm-expand">\r\n<div class="expand-in"><span class="subtitle">Services Include</span>\r\n<ul>\r\n<li>Lorem ipsum</li>\r\n<li>Dolor sit amet</li>\r\n<li>Vestibulum venenatis</li>\r\n<li>Suscipit libero</li>\r\n</ul>\r\n</div>\r\n</div>\r\n</div>\r\n</div>',1,'top1-1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" expand1-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(188,409,'Business Solutions','','<div class="jm-box">\r\n<div class="jm-box-in">\r\n<div class="jm-icon"><img src="images/modules/icon2.png" alt="" /></div>\r\n<div class="jm-column">\r\n<div class="column-in"><span class="title">Business Solutions</span> <a href="index.php?option=com_content&amp;view=article&amp;id=135&amp;Itemid=795" class="link">www.jm-internet.com</a> <span class="description">Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.</span> <span class="contact">call 888-777-888</span> <a href="index.php?option=com_content&amp;view=article&amp;id=135&amp;Itemid=795" class="readmore">read more</a></div>\r\n</div>\r\n<div class="jm-expand">\r\n<div class="expand-in"><span class="subtitle">Services Include</span>\r\n<ul>\r\n<li>Lorem ipsum</li>\r\n<li>Dolor sit amet</li>\r\n<li>Vestibulum venenatis</li>\r\n<li>Suscipit libero</li>\r\n</ul>\r\n</div>\r\n</div>\r\n</div>\r\n</div>',1,'top1-2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" expand2-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(189,411,'Header Background 2','','<p><img src="images/djimageslider/header/header1.jpg" alt="" /></p>',1,'header-bg',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(190,412,'Header Custom HTML','','<div class="jm-custom-header">\r\n<div class="title">This is <span>custom</span> html module</div>\r\n<div class="description">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt<br /> ut labore et dolore magna aliqua.</div>\r\n<a class="btn" href="#">Check an offer</a></div>',1,'header',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" blank-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(192,415,'Top1-1','','<p><strong>Module suffix: blank-ms</strong></p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris.</p>',1,'top1-1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" blank-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(193,416,'Top1-2','','<p><strong>Module suffix: title-border-ms blank-ms<br /></strong></p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris.</p>',1,'top1-2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" title-border-ms blank-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(194,417,'Top1-3','','<p><strong>Module suffix: badge-ms</strong></p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat.</p>',1,'top1-3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" badge-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(195,418,'Top1-4','','<p><strong>Module suffix: dark-ms badge-ms<br /></strong></p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat.</p>',1,'top1-4',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" dark-ms badge-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*'),
(201,425,'We will call you back','','',1,'right-column',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_dj_easy_contact',1,1,'{"email_required":"0","email_recipient":"email@email.com","from_email":"email@email.com","email_subject":"Default Subject","introtext":"","message_type":"0","message_label":"Phone number","Static_url":"0","Static_url_address":"","exact_url":"1","disable_https":"1","enable_anti_spam":"0","recaptcha_site_key":"","recaptcha_secret_key":"","moduleclass_sfx":" dark-ms badge-ms","cache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}',0,'*');

DROP TABLE IF EXISTS #__modules_menu;
CREATE TABLE `#__modules_menu` (
  `moduleid` int(11) NOT NULL DEFAULT '0',
  `menuid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`moduleid`,`menuid`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__modules_menu` VALUES 
(2,0),
(3,0),
(4,0),
(6,0),
(7,0),
(8,0),
(9,0),
(10,0),
(12,0),
(13,0),
(14,0),
(15,0),
(17,-802),
(17,-801),
(17,-800),
(17,-799),
(17,-790),
(17,-789),
(17,-435),
(19,-463),
(19,-462),
(19,-433),
(19,-432),
(19,-431),
(19,-430),
(19,-429),
(19,-427),
(19,-400),
(19,-399),
(19,-296),
(19,-244),
(19,-243),
(19,-242),
(19,-234),
(20,0),
(22,231),
(22,234),
(22,238),
(22,242),
(22,243),
(22,244),
(22,296),
(22,399),
(22,400),
(23,277),
(23,280),
(23,282),
(23,283),
(23,284),
(23,285);
INSERT INTO `#__modules_menu` VALUES 
(23,303),
(23,316),
(23,317),
(23,318),
(23,319),
(23,320),
(23,321),
(23,322),
(23,323),
(23,419),
(23,422),
(23,423),
(23,424),
(23,437),
(23,456),
(23,457),
(23,458),
(23,496),
(32,309),
(44,0),
(57,238),
(57,427),
(57,429),
(57,430),
(57,431),
(57,432),
(57,433),
(57,462),
(57,463),
(71,285),
(71,316),
(79,0),
(86,0),
(87,227),
(87,229),
(87,249),
(87,251),
(87,252),
(87,253),
(87,254),
(87,255),
(87,256),
(87,257),
(87,259),
(87,260),
(87,262),
(87,263),
(87,265),
(87,266),
(87,267);
INSERT INTO `#__modules_menu` VALUES 
(87,270),
(87,271),
(87,272),
(87,274),
(87,275),
(87,276),
(87,402),
(87,403),
(87,404),
(87,405),
(87,406),
(87,409),
(87,452),
(87,466),
(87,474),
(87,475),
(87,476),
(87,477),
(87,478),
(87,495),
(88,300),
(88,301),
(88,302),
(88,303),
(88,304),
(88,305),
(88,306),
(88,307),
(88,309),
(88,310),
(88,311),
(88,312),
(88,313),
(88,324),
(88,325),
(88,326),
(88,410),
(88,411),
(88,412),
(88,416),
(88,417),
(88,418),
(88,443),
(88,447),
(88,459),
(88,467),
(88,472),
(88,473),
(88,495),
(89,238);
INSERT INTO `#__modules_menu` VALUES 
(89,427),
(89,429),
(89,430),
(89,431),
(89,432),
(89,433),
(89,462),
(89,463),
(90,0),
(91,0),
(92,0),
(98,0),
(99,479),
(99,519),
(99,520),
(99,521),
(99,522),
(99,523),
(99,524),
(99,525),
(101,479),
(101,520),
(101,521),
(101,522),
(101,523),
(101,524),
(101,525),
(102,479),
(102,519),
(102,520),
(102,521),
(102,522),
(102,523),
(102,524),
(102,525),
(103,479),
(103,519),
(103,520),
(103,521),
(103,522),
(103,523),
(103,524),
(103,525),
(104,479),
(104,519),
(104,520),
(104,521),
(104,522),
(104,523),
(104,524);
INSERT INTO `#__modules_menu` VALUES 
(104,525),
(105,479),
(105,519),
(105,520),
(105,521),
(105,522),
(105,523),
(105,524),
(105,525),
(106,479),
(106,519),
(106,520),
(106,521),
(106,522),
(106,523),
(106,524),
(106,525),
(107,479),
(107,519),
(107,520),
(107,521),
(107,522),
(107,523),
(107,524),
(107,525),
(108,479),
(108,519),
(108,520),
(108,521),
(108,522),
(108,523),
(108,524),
(108,525),
(109,479),
(109,519),
(109,520),
(109,521),
(109,522),
(109,523),
(109,524),
(109,525),
(110,479),
(110,519),
(110,520),
(110,521),
(110,522),
(110,523),
(110,524),
(110,525),
(111,479);
INSERT INTO `#__modules_menu` VALUES 
(111,519),
(111,520),
(111,521),
(111,522),
(111,523),
(111,524),
(111,525),
(112,479),
(112,519),
(112,520),
(112,521),
(112,522),
(112,523),
(113,479),
(113,519),
(113,520),
(113,521),
(113,522),
(113,523),
(114,479),
(114,519),
(114,520),
(114,521),
(114,522),
(118,479),
(118,519),
(118,520),
(118,521),
(118,522),
(118,524),
(119,479),
(119,519),
(119,520),
(119,521),
(119,522),
(119,524),
(120,479),
(120,519),
(120,520),
(120,521),
(120,522),
(124,479),
(124,519),
(124,520),
(124,521),
(124,522),
(124,523),
(124,524),
(124,525),
(125,479);
INSERT INTO `#__modules_menu` VALUES 
(125,519),
(125,520),
(125,521),
(125,522),
(125,523),
(125,524),
(125,525),
(126,479),
(126,519),
(126,520),
(126,521),
(126,522),
(126,523),
(126,524),
(126,525),
(127,479),
(127,519),
(127,520),
(127,521),
(127,522),
(127,523),
(127,524),
(127,525),
(128,479),
(128,519),
(128,520),
(128,521),
(128,522),
(128,523),
(128,524),
(128,525),
(129,479),
(129,519),
(129,520),
(129,521),
(129,522),
(129,523),
(129,524),
(129,525),
(130,479),
(130,519),
(130,520),
(130,521),
(130,522),
(130,523),
(130,524),
(130,525),
(131,479),
(131,519),
(131,520);
INSERT INTO `#__modules_menu` VALUES 
(131,521),
(131,522),
(131,523),
(131,524),
(131,525),
(132,479),
(132,519),
(132,520),
(132,521),
(132,522),
(132,523),
(132,524),
(132,525),
(133,479),
(133,519),
(133,520),
(133,521),
(133,522),
(133,523),
(133,524),
(133,525),
(134,479),
(134,519),
(134,520),
(134,521),
(134,522),
(134,523),
(134,524),
(134,525),
(135,479),
(135,519),
(135,520),
(135,521),
(135,522),
(135,523),
(135,524),
(135,525),
(136,0),
(137,435),
(137,789),
(137,790),
(137,799),
(137,800),
(137,801),
(137,802),
(138,435),
(138,789),
(138,790),
(138,799),
(138,800);
INSERT INTO `#__modules_menu` VALUES 
(138,801),
(138,802),
(146,435),
(146,789),
(146,790),
(147,435),
(147,568),
(147,613),
(147,789),
(147,790),
(148,435),
(148,613),
(148,789),
(148,790),
(149,435),
(149,568),
(149,613),
(149,789),
(149,790),
(150,527),
(150,528),
(150,529),
(151,527),
(151,528),
(151,529),
(152,527),
(152,528),
(152,529),
(152,530),
(152,532),
(153,515),
(154,516),
(155,527),
(155,528),
(155,529),
(155,530),
(155,531),
(155,532),
(155,542),
(156,534),
(156,535),
(156,536),
(157,538),
(157,539),
(158,541),
(160,528),
(160,529),
(179,0),
(180,0),
(182,0);
INSERT INTO `#__modules_menu` VALUES 
(183,0),
(184,0),
(186,435),
(186,789),
(186,799),
(186,800),
(186,801),
(186,802),
(187,435),
(187,789),
(187,790),
(187,799),
(187,800),
(187,801),
(187,802),
(188,435),
(188,789),
(188,790),
(188,799),
(188,800),
(188,801),
(188,802),
(189,479),
(189,519),
(189,520),
(189,521),
(189,522),
(189,523),
(189,524),
(189,525),
(189,790),
(190,790),
(192,479),
(192,519),
(192,520),
(192,521),
(192,522),
(192,523),
(192,524),
(192,525),
(193,479),
(193,519),
(193,520),
(193,521),
(193,522),
(193,523),
(193,524),
(193,525),
(194,479),
(194,519);
INSERT INTO `#__modules_menu` VALUES 
(194,520),
(194,521),
(194,522),
(194,523),
(194,524),
(194,525),
(195,479),
(195,519),
(195,520),
(195,521),
(195,522),
(195,523),
(195,524),
(195,525),
(201,435),
(201,789),
(201,790),
(201,799),
(201,800),
(201,801),
(201,802);

DROP TABLE IF EXISTS #__newsfeeds;
CREATE TABLE `#__newsfeeds` (
  `catid` int(11) NOT NULL DEFAULT '0',
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `link` varchar(200) NOT NULL DEFAULT '',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `numarticles` int(10) unsigned NOT NULL DEFAULT '1',
  `cache_time` int(10) unsigned NOT NULL DEFAULT '3600',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rtl` tinyint(4) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `description` text NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `images` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

INSERT INTO `#__newsfeeds` VALUES 
(97,5,'News Feed','news-feed','http://www.cbc.ca/cmlink/rss-world',1,5,3600,0,'0000-00-00 00:00:00',1,0,1,'*','{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","newsfeed_layout":"","feed_display_order":""}','2014-11-28 12:58:38',56,'','0000-00-00 00:00:00',0,'','','{"robots":"","rights":""}','','0000-00-00 00:00:00','0000-00-00 00:00:00','',1,3,'{"image_first":"","float_first":"","image_first_alt":"","image_first_caption":"","image_second":"","float_second":"","image_second_alt":"","image_second_caption":""}');

DROP TABLE IF EXISTS #__overrider;
CREATE TABLE `#__overrider` (
  `id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `constant` varchar(255) NOT NULL,
  `string` text NOT NULL,
  `file` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) AUTO_INCREMENT=2551 DEFAULT CHARSET=utf8;

INSERT INTO `#__overrider` VALUES 
(1,'COM_AJAX','Ajax Interface','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_ajax.ini'),
(2,'COM_AJAX_XML_DESCRIPTION','An extensible Ajax interface for Joomla','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_ajax.ini'),
(3,'COM_AJAX_SPECIFY_FORMAT','Please specify a valid response format, other than that of HTML, such as json, raw, debug, etc.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_ajax.ini'),
(4,'COM_AJAX_METHOD_NOT_EXISTS','Method %s does not exist','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_ajax.ini'),
(5,'COM_AJAX_FILE_NOT_EXISTS','The file at %s does not exist','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_ajax.ini'),
(6,'COM_AJAX_MODULE_NOT_ACCESSIBLE','Module %s is not published, you do not have access to it, or it\'s not assigned to the current menu item','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_ajax.ini'),
(7,'COM_CONFIG','Admin Services','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_config.ini'),
(8,'COM_CONFIG_CONFIGURATION','Admin Services Configuration','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_config.ini'),
(9,'COM_CONFIG_ERROR_CONTROLLER_NOT_FOUND','Controller Not found!','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_config.ini'),
(10,'COM_CONFIG_FIELD_DEFAULT_ACCESS_LEVEL_DESC','Select the default access level for new content, menu items, and other items created on your site.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_config.ini'),
(11,'COM_CONFIG_FIELD_DEFAULT_ACCESS_LEVEL_LABEL','Default Access Level','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_config.ini'),
(12,'COM_CONFIG_FIELD_DEFAULT_LIST_LIMIT_DESC','Sets the default length of lists in the Control Panel for all users','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_config.ini'),
(13,'COM_CONFIG_FIELD_DEFAULT_LIST_LIMIT_LABEL','Default List Limit','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_config.ini'),
(14,'COM_CONFIG_FIELD_METADESC_DESC','Enter a description of the overall Web site that is to be used by search engines. Generally, a maximum of 20 words is optimal.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_config.ini'),
(15,'COM_CONFIG_FIELD_METADESC_LABEL','Site Meta Description','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_config.ini'),
(16,'COM_CONFIG_FIELD_METAKEYS_DESC','Enter the keywords and phrases that best describe your Web site. Separate keywords and phrases with a comma.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_config.ini'),
(17,'COM_CONFIG_FIELD_METAKEYS_LABEL','Site Meta Keywords','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_config.ini'),
(18,'COM_CONFIG_FIELD_SEF_URL_DESC','Select whether or not the URLs are optimised for Search Engines.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_config.ini'),
(19,'COM_CONFIG_FIELD_SEF_URL_LABEL','Search Engine Friendly URLs','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_config.ini'),
(20,'COM_CONFIG_FIELD_SITE_NAME_DESC','Enter the name of your Web site. This will be used in various locations (e.g. the backend browser title bar and <em>Site Offline</em> pages).','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_config.ini'),
(21,'COM_CONFIG_FIELD_SITE_NAME_LABEL','Site Name','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_config.ini'),
(22,'COM_CONFIG_FIELD_VALUE_AFTER','After','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_config.ini'),
(23,'COM_CONFIG_FIELD_VALUE_BEFORE','Before','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_config.ini'),
(24,'COM_CONFIG_FIELD_SITE_OFFLINE_DESC','Select whether access to the Site frontend is available. If Yes, the frontend will display a message if set such in back-end.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_config.ini'),
(25,'COM_CONFIG_FIELD_SITE_OFFLINE_LABEL','Site Offline','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_config.ini'),
(26,'COM_CONFIG_FIELD_SITENAME_PAGETITLES_DESC','Begin or end all Page Titles with the site name (for example, My Site Name - My Article Name).','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_config.ini'),
(27,'COM_CONFIG_FIELD_SITENAME_PAGETITLES_LABEL','Include Site Name in Page Titles','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_config.ini'),
(28,'COM_CONFIG_METADATA_SETTINGS','Metadata Settings','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_config.ini'),
(29,'COM_CONFIG_SAVE_SUCCESS','Configuration successfully saved.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_config.ini'),
(30,'COM_CONFIG_SEO_SETTINGS','SEO Settings','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_config.ini'),
(31,'COM_CONFIG_SITE_SETTINGS','Site Settings','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_config.ini'),
(32,'COM_CONFIG_TEMPLATE_SETTINGS','Template Settings','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_config.ini'),
(33,'COM_CONFIG_XML_DESCRIPTION','Front End Admin Services Configuration Manager','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_config.ini'),
(34,'COM_CONTACT_ADDRESS','Address','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(35,'COM_CONTACT_ARTICLES_HEADING','Contact\'s articles','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(36,'COM_CONTACT_CAPTCHA_LABEL','Captcha','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(37,'COM_CONTACT_CAPTCHA_DESC','Type in the textbox what you see in the image.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(38,'COM_CONTACT_CAT_NUM','# of Contacts :','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(39,'COM_CONTACT_CONTACT_EMAIL_A_COPY_DESC','Sends a copy of the message to the address you have supplied.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(40,'COM_CONTACT_CONTACT_EMAIL_A_COPY_LABEL','Send copy to yourself','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(41,'COM_CONTACT_CONTACT_EMAIL_NAME_DESC','Your name','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(42,'COM_CONTACT_CONTACT_EMAIL_NAME_LABEL','Name','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(43,'COM_CONTACT_CONTACT_ENTER_MESSAGE_DESC','Enter your message here.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(44,'COM_CONTACT_CONTACT_ENTER_MESSAGE_LABEL','Message','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(45,'COM_CONTACT_CONTACT_ENTER_VALID_EMAIL','Please enter a valid email address.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(46,'COM_CONTACT_FILTER_LABEL','Filter field','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(47,'COM_CONTACT_FILTER_SEARCH_DESC','Contact Filter Search','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(48,'COM_CONTACT_CONTACT_MESSAGE_SUBJECT_DESC','Enter the subject of your message here .','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(49,'COM_CONTACT_CONTACT_MESSAGE_SUBJECT_LABEL','Subject','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(50,'COM_CONTACT_CONTACT_SEND','Send Email','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini');
INSERT INTO `#__overrider` VALUES 
(51,'COM_CONTACT_COPYSUBJECT_OF','Copy of: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(52,'COM_CONTACT_COPYTEXT_OF','This is a copy of the following message you sent to %s via %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(53,'COM_CONTACT_COUNT','Contact count:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(54,'COM_CONTACT_COUNTRY','Country','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(55,'COM_CONTACT_DEFAULT_PAGE_TITLE','Contacts','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(56,'COM_CONTACT_DETAILS','Contact','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(57,'COM_CONTACT_DOWNLOAD_INFORMATION_AS','Download information as:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(58,'COM_CONTACT_EMAIL_BANNEDTEXT','The %s of your email contains banned text.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(59,'COM_CONTACT_EMAIL_DESC','Email for contact','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(60,'COM_CONTACT_EMAIL_FORM','Contact Form','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(61,'COM_CONTACT_EMAIL_LABEL','Email','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(62,'COM_CONTACT_EMAIL_THANKS','Thank you for your email.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(63,'COM_CONTACT_ENQUIRY_TEXT','This is an enquiry email via %s from:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(64,'COM_CONTACT_ERROR_CONTACT_NOT_FOUND','Contact not found','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(65,'COM_CONTACT_FAX','Fax','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(66,'COM_CONTACT_FAX_NUMBER','Fax: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(67,'COM_CONTACT_FORM_LABEL','Send an email. All fields with an * are required.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(68,'COM_CONTACT_FORM_NC','Please make sure the form is complete and valid.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(69,'COM_CONTACT_IMAGE_DETAILS','Contact-image','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(70,'COM_CONTACT_LINKS','Links','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(71,'COM_CONTACT_MAILENQUIRY','%s Enquiry','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(72,'COM_CONTACT_MOBILE','Mobile','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(73,'COM_CONTACT_MOBILE_NUMBER','Mobile: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(74,'COM_CONTACT_NO_CONTACTS','There are no Contacts to display','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(75,'COM_CONTACT_NOT_MORE_THAN_ONE_EMAIL_ADDRESS','You cannot enter more than one email address.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(76,'COM_CONTACT_OPTIONAL','(optional)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(77,'COM_CONTACT_OTHER_INFORMATION','Miscellaneous Information','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(78,'COM_CONTACT_POSITION','Position','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(79,'COM_CONTACT_PROFILE','Profile','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(80,'COM_CONTACT_PROFILE_HEADING','Contact profile','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(81,'COM_CONTACT_SELECT_CONTACT','Select a contact:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(82,'COM_CONTACT_STATE','State','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(83,'COM_CONTACT_SUBURB','Suburb','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(84,'COM_CONTACT_TELEPHONE','Phone','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(85,'COM_CONTACT_TELEPHONE_NUMBER','Phone: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(86,'COM_CONTACT_VCARD','vCard','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_contact.ini'),
(87,'COM_CONTENT_ACCESS_DELETE_DESC','Inherited state for <strong>delete actions</strong> on this article and the calculated state based on the menu selection.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(88,'COM_CONTENT_ACCESS_EDITSTATE_DESC','Inherited state for <strong>edit state actions</strong> on this article and the calculated state based on the menu selection.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(89,'COM_CONTENT_ACCESS_EDIT_DESC','Inherited state for <strong>edit actions</strong> on this article and the calculated state based on the menu selection.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(90,'COM_CONTENT_ARTICLE_CONTENT','Content','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(91,'COM_CONTENT_ARTICLE_HITS','Hits: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(92,'COM_CONTENT_ARTICLE_INFO','Details','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(93,'COM_CONTENT_ARTICLE_VOTE_SUCCESS','Thank You for rating this Article.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(94,'COM_CONTENT_ARTICLE_VOTE_FAILURE','You already rated this Article today!','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(95,'COM_CONTENT_AUTHOR_FILTER_LABEL','Author Filter','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(96,'COM_CONTENT_CATEGORY','Category: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(97,'COM_CONTENT_CHECKED_OUT_BY','Checked out by %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(98,'COM_CONTENT_CREATE_ARTICLE','Submit new article','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(99,'COM_CONTENT_CREATED_DATE','Created Date','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(100,'COM_CONTENT_CREATED_DATE_ON','Created: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini');
INSERT INTO `#__overrider` VALUES 
(101,'COM_CONTENT_EDIT_ITEM','Edit Article','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(102,'COM_CONTENT_ERROR_ARTICLE_NOT_FOUND','Article not found','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(103,'COM_CONTENT_ERROR_LOGIN_TO_VIEW_ARTICLE','Please login to view the article','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(104,'COM_CONTENT_ERROR_PARENT_CATEGORY_NOT_FOUND','Parent category not found','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(105,'COM_CONTENT_FEED_READMORE','Read More...','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(106,'COM_CONTENT_FILTER_SEARCH_DESC','Content Filter Search','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(107,'COM_CONTENT_FORM_EDIT_ARTICLE','Edit an article','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(108,'COM_CONTENT_HEADING_TITLE','Title','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(109,'COM_CONTENT_HITS_FILTER_LABEL','Hits Filter','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(110,'COM_CONTENT_INTROTEXT','Article must have some content.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(111,'COM_CONTENT_INVALID_RATING','Article Rating: Invalid Rating: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(112,'COM_CONTENT_LAST_UPDATED','Last Updated: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(113,'COM_CONTENT_METADATA','Metadata','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(114,'COM_CONTENT_MODIFIED_DATE','Modified Date','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(115,'COM_CONTENT_MONTH','Month','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(116,'COM_CONTENT_MORE_ARTICLES','More Articles...','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(117,'COM_CONTENT_NEW_ARTICLE','New Article','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(118,'COM_CONTENT_NO_ARTICLES','There are no articles in this category. If subcategories display on this page, they may contain articles.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(119,'COM_CONTENT_NONE','None','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(120,'COM_CONTENT_NUM_ITEMS','Article Count:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(121,'COM_CONTENT_ON_NEW_CONTENT','A new Article has been submitted by \'%1$s\' entitled \'%2$s\'.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(122,'COM_CONTENT_ORDERING','Ordering:<br />New articles default to the first position in the Category. The ordering can be changed in backend.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(123,'COM_CONTENT_PAGEBREAK_DOC_TITLE','Page break','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(124,'COM_CONTENT_PAGEBREAK_INSERT_BUTTON','Insert Page Break','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(125,'COM_CONTENT_PAGEBREAK_TITLE','Page Title:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(126,'COM_CONTENT_PAGEBREAK_TOC','Table of Contents Alias:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(127,'COM_CONTENT_PARENT','Parent Category: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(128,'COM_CONTENT_PUBLISHED_DATE','Published Date','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(129,'COM_CONTENT_PUBLISHED_DATE_ON','Published: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(130,'COM_CONTENT_PUBLISHING','Publishing','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(131,'COM_CONTENT_READ_MORE','Read more: ','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(132,'COM_CONTENT_READ_MORE_TITLE','Read more...','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(133,'COM_CONTENT_REGISTER_TO_READ_MORE','Register to read more...','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(134,'COM_CONTENT_SAVE_SUCCESS','Article successfully saved','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(135,'COM_CONTENT_SELECT_AN_ARTICLE','Select an Article','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(136,'COM_CONTENT_SUBMIT_SAVE_SUCCESS','Article successfully submitted','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(137,'COM_CONTENT_TITLE_FILTER_LABEL','Title Filter','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(138,'COM_CONTENT_WRITTEN_BY','Written by %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(139,'COM_CONTENT_FIELD_FULL_DESC','Image for the single article display','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(140,'COM_CONTENT_FIELD_FULL_LABEL','Full article image','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(141,'COM_CONTENT_FIELD_IMAGE_DESC','The image to be displayed','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(142,'COM_CONTENT_FIELD_IMAGE_ALT_DESC','Alternative text used for visitors without access to images. Replaced with caption text if it is present.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(143,'COM_CONTENT_FIELD_IMAGE_ALT_LABEL','Alt text','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(144,'COM_CONTENT_FIELD_IMAGE_CAPTION_DESC','Caption attached to the image','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(145,'COM_CONTENT_FIELD_IMAGE_CAPTION_LABEL','Caption','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(146,'COM_CONTENT_FIELD_INTRO_DESC','Image for the intro text layouts such as blogs and featured','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(147,'COM_CONTENT_FIELD_INTRO_LABEL','Intro Image','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(148,'COM_CONTENT_FIELD_URLC_LABEL','Link C','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(149,'COM_CONTENT_FIELD_URL_DESC','Link for display. Must be a full URL.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(150,'COM_CONTENT_FIELD_URLA_LABEL','Link A','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini');
INSERT INTO `#__overrider` VALUES 
(151,'COM_CONTENT_FIELD_URLA_LINK_TEXT_LABEL','Link A Text','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(152,'COM_CONTENT_FIELD_URLB_LABEL','Link B','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(153,'COM_CONTENT_FIELD_URL_LINK_TEXT_DESC','Text to display for the link','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(154,'COM_CONTENT_FIELD_URLB_LINK_TEXT_LABEL','Link B Text','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(155,'COM_CONTENT_FIELD_URLC_LINK_TEXT_LABEL','Link C Text','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(156,'COM_CONTENT_FLOAT_DESC','Controls placement of the image','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(157,'COM_CONTENT_FLOAT_LABEL','Image Float','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(158,'COM_CONTENT_FLOAT_INTRO_LABEL','Intro image float','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(159,'COM_CONTENT_FLOAT_FULLTEXT_LABEL','Full text image float','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(160,'COM_CONTENT_LEFT','Left','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(161,'COM_CONTENT_RIGHT','Right','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(162,'COM_CONTENT_FIELD_URL_LINK_TEXT_LABEL','Link Text','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(163,'COM_CONTENT_IMAGES_AND_URLS','Images and Links','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_content.ini'),
(164,'COM_FINDER','Smart Search','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(165,'COM_FINDER_ADVANCED_SEARCH_TOGGLE','Advanced Search','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(166,'COM_FINDER_ADVANCED_TIPS','<p>Here are a few examples of how you can use the search feature:</p><p>Entering <span class="term">this and that</span> into the search form will return results containing both "this" and "that".</p><p>Entering <span class="term">this not that</span> into the search form will return results containing "this" and not "that".</p><p>Entering <span class="term">this or that</span> into the search form will return results containing either "this" or "that".</p><p>Entering <span class="term">"this and that"</span> (with quotes) into the search form will return results containing the exact phrase "this and that".</p><p>Search results can also be filtered using a variety of criteria. Select one or more filters below to get started.</p>','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(167,'COM_FINDER_DEFAULT_PAGE_TITLE','Search Results','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(168,'COM_FINDER_FILTER_BRANCH_LABEL','Search by %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(169,'COM_FINDER_FILTER_DATE_BEFORE','Before','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(170,'COM_FINDER_FILTER_DATE_EXACTLY','Exactly','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(171,'COM_FINDER_FILTER_DATE_AFTER','After','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(172,'COM_FINDER_FILTER_DATE1','Start Date','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(173,'COM_FINDER_FILTER_DATE1_DESC','Enter a date in YYYY-MM-DD format','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(174,'COM_FINDER_FILTER_DATE2','End Date','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(175,'COM_FINDER_FILTER_DATE2_DESC','Enter a date in YYYY-MM-DD format','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(176,'COM_FINDER_FILTER_SELECT_ALL_LABEL','Search All','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(177,'COM_FINDER_FILTER_WHEN_AFTER','After','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(178,'COM_FINDER_FILTER_WHEN_BEFORE','Before','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(179,'COM_FINDER_QUERY_END_DATE','ending date <span class="when">%s</span> <span class="date">%s</span>','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(180,'COM_FINDER_QUERY_OPERATOR_AND','and','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(181,'COM_FINDER_QUERY_OPERATOR_OR','or','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(182,'COM_FINDER_QUERY_OPERATOR_NOT','not','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(183,'COM_FINDER_QUERY_FILTER_BRANCH_VENUE','venue','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(184,'COM_FINDER_QUERY_START_DATE','beginning date <span class="when">%s</span> <span class="date">%s</span>','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(185,'COM_FINDER_QUERY_TAXONOMY_NODE','with <span class="node">%s</span> as <span class="branch">%s</span> ','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(186,'COM_FINDER_QUERY_TOKEN_EXCLUDED','<span class="term">%s</span> should be excluded','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(187,'COM_FINDER_QUERY_TOKEN_GLUE',', and ','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(188,'COM_FINDER_QUERY_TOKEN_INTERPRETED','Assuming %s, the following results were found.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(189,'COM_FINDER_QUERY_TOKEN_OPTIONAL','<span class="term">%s</span> is optional','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(190,'COM_FINDER_QUERY_TOKEN_REQUIRED','<span class="term">%s</span> is required','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(191,'COM_FINDER_SEARCH_NO_RESULTS_BODY','No search results could be found for query: %s.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(192,'COM_FINDER_SEARCH_NO_RESULTS_BODY_MULTILANG','No search results (in English-UK) could be found for query: %s.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(193,'COM_FINDER_SEARCH_NO_RESULTS_HEADING','No Results Found','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(194,'COM_FINDER_SEARCH_RESULTS_OF','Results <strong>%s</strong> - <strong>%s</strong> of <strong>%s</strong>','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(195,'COM_FINDER_SEARCH_SIMILAR','Did you mean: %s?','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(196,'COM_FINDER_SEARCH_TERMS','Search Terms:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_finder.ini'),
(197,'COM_MAILTO','Mailto','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_mailto.ini'),
(198,'COM_MAILTO_CANCEL','Cancel','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_mailto.ini'),
(199,'COM_MAILTO_CLOSE_WINDOW','Close Window','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_mailto.ini'),
(200,'COM_MAILTO_EMAIL_ERR_NOINFO','Please provide a valid email address.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_mailto.ini');
INSERT INTO `#__overrider` VALUES 
(201,'COM_MAILTO_EMAIL_INVALID','The address \'%s\' does not appear to be a valid email address.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_mailto.ini'),
(202,'COM_MAILTO_EMAIL_MSG','This is an email from (%s) sent by %s (%s). You may also find the following link interesting: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_mailto.ini'),
(203,'COM_MAILTO_EMAIL_NOT_SENT','Email could not be sent.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_mailto.ini'),
(204,'COM_MAILTO_EMAIL_SENT','Email was sent successfully.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_mailto.ini'),
(205,'COM_MAILTO_EMAIL_TO','Email to','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_mailto.ini'),
(206,'COM_MAILTO_EMAIL_TO_A_FRIEND','Email this link to a friend.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_mailto.ini'),
(207,'COM_MAILTO_LINK_IS_MISSING','Link is missing','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_mailto.ini'),
(208,'COM_MAILTO_SEND','Send','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_mailto.ini'),
(209,'COM_MAILTO_SENDER','Sender','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_mailto.ini'),
(210,'COM_MAILTO_SENT_BY','Item sent by','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_mailto.ini'),
(211,'COM_MAILTO_SUBJECT','Subject','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_mailto.ini'),
(212,'COM_MAILTO_YOUR_EMAIL','Your Email','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_mailto.ini'),
(213,'COM_MEDIA_ALIGN','Image Float','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(214,'COM_MEDIA_ALIGN_DESC','This will apply the classes \'pull-left\', \'pull-center\' or \'pull-right\' to the \'<figure>\' or \'<img>\' element','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(215,'COM_MEDIA_BROWSE_FILES','Browse files','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(216,'COM_MEDIA_CAPTION','Caption','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(217,'COM_MEDIA_CAPTION_CLASS_LABEL','Caption Class','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(218,'COM_MEDIA_CAPTION_CLASS_DESC','This will apply the entered class to the \'<figcaption>\' element. For example: \'text-left\', \'text-right\', \'text-center\'','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(219,'COM_MEDIA_CLEAR_LIST','Clear List','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(220,'COM_MEDIA_CONFIGURATION','Media Manager Options','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(221,'COM_MEDIA_CREATE_FOLDER','Create Folder','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(222,'COM_MEDIA_CURRENT_PROGRESS','Current progress','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(223,'COM_MEDIA_DESCFTP','To upload, change and delete media files, Joomla! will most likely need your FTP account details. Please enter them in the form fields below.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(224,'COM_MEDIA_DESCFTPTITLE','FTP Login Details','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(225,'COM_MEDIA_DETAIL_VIEW','Detail View','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(226,'COM_MEDIA_DIRECTORY','Directory','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(227,'COM_MEDIA_DIRECTORY_UP','Directory Up','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(228,'COM_MEDIA_ERROR_BAD_REQUEST','Bad Request','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(229,'COM_MEDIA_ERROR_FILE_EXISTS','File already exists','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(230,'COM_MEDIA_ERROR_UNABLE_TO_CREATE_FOLDER_WARNDIRNAME','Unable to create directory. Directory name must only contain alphanumeric characters and no spaces.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(231,'COM_MEDIA_ERROR_UNABLE_TO_BROWSE_FOLDER_WARNDIRNAME','Unable to browse:&#160;%s. Directory name must only contain alphanumeric characters and no spaces.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(232,'COM_MEDIA_ERROR_UNABLE_TO_DELETE',' Unable to delete:&#160;','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(233,'COM_MEDIA_ERROR_UNABLE_TO_DELETE_FILE_WARNFILENAME','Unable to delete:&#160;%s. File name must only contain alphanumeric characters and no spaces.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(234,'COM_MEDIA_ERROR_UNABLE_TO_DELETE_FOLDER_NOT_EMPTY','Unable to delete:&#160;%s. Folder is not empty!','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(235,'COM_MEDIA_ERROR_UNABLE_TO_DELETE_FOLDER_WARNDIRNAME','Unable to delete:&#160;%s. Directory name must only contain alphanumeric characters and no spaces.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(236,'COM_MEDIA_ERROR_UNABLE_TO_UPLOAD_FILE','Unable to upload file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(237,'COM_MEDIA_ERROR_WARNFILETOOLARGE','This file is too large to upload.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(238,'COM_MEDIA_ERROR_WARNUPLOADTOOLARGE','Total size of upload exceeds the limit.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(239,'COM_MEDIA_FIELD_CHECK_MIME_DESC','Use MIME Magic or Fileinfo to attempt to verify files. Try disabling this if you get invalid mime type errors','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(240,'COM_MEDIA_FIELD_CHECK_MIME_LABEL','Check MIME Types','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(241,'COM_MEDIA_FIELD_IGNORED_EXTENSIONS_DESC','Ignored file extensions for MIME type checking and restricted uploads','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(242,'COM_MEDIA_FIELD_IGNORED_EXTENSIONS_LABEL','Ignored Extensions','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(243,'COM_MEDIA_FIELD_ILLEGAL_MIME_TYPES_DESC','A comma separated list of illegal MIME types for upload (blacklist)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(244,'COM_MEDIA_FIELD_ILLEGAL_MIME_TYPES_LABEL','Illegal MIME Types','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(245,'COM_MEDIA_FIELD_LEGAL_EXTENSIONS_DESC',' Extensions (file types) you are allowed to upload (comma separated).','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(246,'COM_MEDIA_FIELD_LEGAL_EXTENSIONS_LABEL','Legal Extensions (File Types)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(247,'COM_MEDIA_FIELD_LEGAL_IMAGE_EXTENSIONS_DESC',' Image Extensions (file types) you are allowed to upload (comma separated). These are used to check for valid image headers.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(248,'COM_MEDIA_FIELD_LEGAL_IMAGE_EXTENSIONS_LABEL','Legal Image Extensions (File Types)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(249,'COM_MEDIA_FIELD_LEGAL_MIME_TYPES_DESC','A comma separated list of legal MIME types for upload','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(250,'COM_MEDIA_FIELD_LEGAL_MIME_TYPES_LABEL','Legal MIME Types','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini');
INSERT INTO `#__overrider` VALUES 
(251,'COM_MEDIA_FIELD_MAXIMUM_SIZE_DESC','The maximum size for an upload (in bytes). Use zero for no limit. Note: your server has a maximum limit.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(252,'COM_MEDIA_FIELD_MAXIMUM_SIZE_LABEL','Maximum Size','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(253,'COM_MEDIA_FIELD_PATH_FILE_FOLDER_DESC','Enter the path to the file folder relative to root','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(254,'COM_MEDIA_FIELD_PATH_FILE_FOLDER_LABEL','Path to file folder','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(255,'COM_MEDIA_FIELD_PATH_IAMGE_FOLDER_DESC','Enter the path to the image folder relative to root','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(256,'COM_MEDIA_FIELD_PATH_IMAGE_FOLDER_LABEL','Path to image folder','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(257,'COM_MEDIA_FIELD_RESTRICT_UPLOADS_DESC','Restrict uploads for lower than manager users to just images if Fileinfo or MIME Magic isn\'t installed.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(258,'COM_MEDIA_FIELD_RESTRICT_UPLOADS_LABEL','Restrict Uploads','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(259,'COM_MEDIA_FILES','Files','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(260,'COM_MEDIA_FILESIZE','File size','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(261,'COM_MEDIA_FOLDER','Folder','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(262,'COM_MEDIA_FOLDERS','Folders','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(263,'COM_MEDIA_IMAGE_DESCRIPTION','Image Description','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(264,'COM_MEDIA_IMAGE_URL','Image URL','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(265,'COM_MEDIA_INSERT','Insert','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(266,'COM_MEDIA_INSERT_IMAGE','Insert Image','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(267,'COM_MEDIA_MAXIMUM_SIZE','Maximum Size','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(268,'COM_MEDIA_MEDIA','Media','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(269,'COM_MEDIA_NAME','Image Name','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(270,'COM_MEDIA_NO_IMAGES_FOUND','No Images Found','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(271,'COM_MEDIA_NOT_SET','Not Set','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(272,'COM_MEDIA_OVERALL_PROGRESS','Overall Progress','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(273,'COM_MEDIA_PIXEL_DIMENSIONS','Pixel Dimensions (W x H)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(274,'COM_MEDIA_START_UPLOAD','Start Upload','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(275,'COM_MEDIA_THUMBNAIL_VIEW','Thumbnail View','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(276,'COM_MEDIA_TITLE','Image Title','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(277,'COM_MEDIA_UP','Up','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(278,'COM_MEDIA_UPLOAD','Upload','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(279,'COM_MEDIA_UPLOAD_COMPLETE','Upload Complete','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(280,'COM_MEDIA_UPLOAD_FILE','Upload file','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(281,'COM_MEDIA_UPLOAD_FILES','Upload files (Maximum Size: %s MB)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(282,'COM_MEDIA_UPLOAD_FILES_NOLIMIT','Upload files (No maximum size)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(283,'COM_MEDIA_UPLOAD_SUCCESSFUL','Upload Successful','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_media.ini'),
(284,'COM_MESSAGES_ERR_SEND_FAILED','The user has locked their mailbox. Message failed.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_messages.ini'),
(285,'COM_MESSAGES_NEW_MESSAGE_ARRIVED','A new private message has arrived from %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_messages.ini'),
(286,'COM_MESSAGES_PLEASE_LOGIN','Please log in to %s to read your message.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_messages.ini'),
(287,'COM_NEWSFEEDS_CACHE_DIRECTORY_UNWRITABLE','The cache directory is unwritable. The news feed can\'t be displayed. Please contact a site administrator.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_newsfeeds.ini'),
(288,'COM_NEWSFEEDS_CAT_NUM','# of Newsfeeds :','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_newsfeeds.ini'),
(289,'COM_NEWSFEEDS_DEFAULT_PAGE_TITLE','News Feeds','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_newsfeeds.ini'),
(290,'COM_NEWSFEEDS_ERROR_FEED_NOT_FOUND','Error. Feed not found.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_newsfeeds.ini'),
(291,'COM_NEWSFEEDS_ERRORS_FEED_NOT_RETRIEVED','Error. Feed could not be retrieved.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_newsfeeds.ini'),
(292,'COM_NEWSFEEDS_FEED_LINK','Feed Link','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_newsfeeds.ini'),
(293,'COM_NEWSFEEDS_FEED_NAME','Feed Name','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_newsfeeds.ini'),
(294,'COM_NEWSFEEDS_FILTER_LABEL','Filter field','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_newsfeeds.ini'),
(295,'COM_NEWSFEEDS_FILTER_SEARCH_DESC','Newsfeed Filter Search','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_newsfeeds.ini'),
(296,'COM_NEWSFEEDS_NO_ARTICLES','No Articles for this News Feed','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_newsfeeds.ini'),
(297,'COM_NEWSFEEDS_NUM_ARTICLES','# Articles','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_newsfeeds.ini'),
(298,'COM_NEWSFEEDS_NUM_ARTICLES_COUNT','# Articles: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_newsfeeds.ini'),
(299,'COM_SEARCH_ALL_WORDS','All words','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_search.ini'),
(300,'COM_SEARCH_ALPHABETICAL','Alphabetical','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_search.ini');
INSERT INTO `#__overrider` VALUES 
(301,'COM_SEARCH_ANY_WORDS','Any words','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_search.ini'),
(302,'COM_SEARCH_ERROR_ENTERKEYWORD','Enter a search keyword','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_search.ini'),
(303,'COM_SEARCH_ERROR_IGNOREKEYWORD','One or more common words were ignored in the search.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_search.ini'),
(304,'COM_SEARCH_ERROR_SEARCH_MESSAGE','Search term must be a minimum of %1$s characters and a maximum of %2$s characters.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_search.ini'),
(305,'COM_SEARCH_EXACT_PHRASE','Exact Phrase','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_search.ini'),
(306,'COM_SEARCH_FIELD_SEARCH_AREAS_DESC','Show the search areas checkboxes','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_search.ini'),
(307,'COM_SEARCH_FIELD_SEARCH_AREAS_LABEL','Use Search Areas','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_search.ini'),
(308,'COM_SEARCH_FOR','Search for:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_search.ini'),
(309,'COM_SEARCH_MOST_POPULAR','Most Popular','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_search.ini'),
(310,'COM_SEARCH_NEWEST_FIRST','Newest First','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_search.ini'),
(311,'COM_SEARCH_OLDEST_FIRST','Oldest First','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_search.ini'),
(312,'COM_SEARCH_ORDERING','Ordering:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_search.ini'),
(313,'COM_SEARCH_SEARCH','Search','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_search.ini'),
(314,'COM_SEARCH_SEARCH_AGAIN','Search Again','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_search.ini'),
(315,'COM_SEARCH_SEARCH_KEYWORD','Search Keyword:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_search.ini'),
(316,'COM_SEARCH_SEARCH_KEYWORD_N_RESULTS_1','<strong>Total: One result found.</strong>','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_search.ini'),
(317,'COM_SEARCH_SEARCH_KEYWORD_N_RESULTS','<strong>Total: %s results found.</strong>','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_search.ini'),
(318,'COM_SEARCH_SEARCH_ONLY','Search Only:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_search.ini'),
(319,'COM_SEARCH_SEARCH_RESULT','Search Result','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_search.ini'),
(320,'COM_TAGS_CREATED_DATE','Created Date','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_tags.ini'),
(321,'COM_TAGS_FILTER_SEARCH_DESC','Enter all or part of the title to search for.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_tags.ini'),
(322,'COM_TAGS_MODIFIED_DATE','Modified Date','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_tags.ini'),
(323,'COM_TAGS_NO_ITEMS','No matching items were found.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_tags.ini'),
(324,'COM_TAGS_NO_TAGS','There are no tags','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_tags.ini'),
(325,'COM_TAGS_PUBLISHED_DATE','Published Date','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_tags.ini'),
(326,'COM_TAGS_TITLE_FILTER_LABEL','Enter part of title','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_tags.ini'),
(327,'COM_USERS_ACTIVATION_TOKEN_NOT_FOUND','Verification code not found.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(328,'COM_USERS_CAPTCHA_LABEL','Captcha','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(329,'COM_USERS_CAPTCHA_DESC','Type in the textbox what you see in the image.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(330,'COM_USERS_DATABASE_ERROR','Error getting the user from the database: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(331,'COM_USERS_DESIRED_PASSWORD','Enter your desired password.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(332,'COM_USERS_DESIRED_USERNAME','Enter your desired username.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(333,'COM_USERS_EDIT_PROFILE','Edit Profile','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(334,'COM_USERS_EMAIL_ACCOUNT_DETAILS','Account Details for %s at %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(335,'COM_USERS_EMAIL_ACTIVATE_WITH_ADMIN_ACTIVATION_BODY','Hello administrator,\\n\\nA new user has registered at %s.\\nThe user has verified his email, and requests that you approve his account.\\nThis email contains their details:\\n\\n  Name :  %s \\n  email:  %s \\n Username:  %s \\n\\nYou can activate the user by clicking on the link below:\\n %s \\n','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(336,'COM_USERS_EMAIL_ACTIVATE_WITH_ADMIN_ACTIVATION_SUBJECT','Registration approval required for account of %s at %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(337,'COM_USERS_EMAIL_ACTIVATED_BY_ADMIN_ACTIVATION_BODY','Hello %s,\\n\\nYour account has been activated by an administrator. You can now login at %s using the username %s and the password you chose while registering.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(338,'COM_USERS_EMAIL_ACTIVATED_BY_ADMIN_ACTIVATION_SUBJECT','Account activated for %s at %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(339,'COM_USERS_EMAIL_PASSWORD_RESET_BODY','Hello,\\n\\nA request has been made to reset your %s account password. To reset your password, you will need to submit this verification code in order to verify that the request was legitimate.\\n\\nThe verification code is %s\\n\\nClick on the URL below and proceed with resetting your password.\\n\\n %s \\n\\nThank you.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(340,'COM_USERS_EMAIL_PASSWORD_RESET_SUBJECT','Your %s password reset request','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(341,'COM_USERS_EMAIL_REGISTERED_BODY','Hello %s,\\n\\nThank you for registering at %s.\\n\\nYou may now log in to %s using the following username and password:\\n\\nUsername: %s\\nPassword: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(342,'COM_USERS_EMAIL_REGISTERED_BODY_NOPW','Hello %s,\\n\\nThank you for registering at %s.\\n\\nYou may now log in to %s using the username and password you registered with.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(343,'COM_USERS_EMAIL_REGISTERED_NOTIFICATION_TO_ADMIN_BODY','Hello administrator, \\n\\nA new user \'%s\', username \'%s\', has registered at %s.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(344,'COM_USERS_EMAIL_REGISTERED_WITH_ACTIVATION_BODY','Hello %s,\\n\\nThank you for registering at %s. Your account is created and must be activated before you can use it.\\nTo activate the account click on the following link or copy-paste it in your browser:\\n%s \\n\\nAfter activation you may login to %s using the following username and password:\\n\\nUsername: %s\\nPassword: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(345,'COM_USERS_EMAIL_REGISTERED_WITH_ACTIVATION_BODY_NOPW','Hello %s,\\n\\nThank you for registering at %s. Your account is created and must be activated before you can use it.\\nTo activate the account click on the following link or copy-paste it in your browser:\\n%s \\n\\nAfter activation you may login to %s using the following username and the password you entered during registration:\\n\\nUsername: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(346,'COM_USERS_EMAIL_REGISTERED_WITH_ADMIN_ACTIVATION_BODY','Hello %s,\\n\\nThank you for registering at %s. Your account is created and must be verified before you can use it.\\nTo verify the account click on the following link or copy-paste it in your browser:\\n %s \\n\\nAfter verification an administrator will be notified to activate your account. You\'ll receive a confirmation when it\'s done.\\nOnce that account has been activated you may login to %s using the following username and password:\\n\\nUsername: %s\\nPassword: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(347,'COM_USERS_EMAIL_REGISTERED_WITH_ADMIN_ACTIVATION_BODY_NOPW','Hello %s,\\n\\nThank you for registering at %s. Your account is created and must be verified before you can use it.\\nTo verify the account click on the following link or copy-paste it in your browser:\\n %s \\n\\nAfter verification an administrator will be notified to activate your account. You\'ll receive a confirmation when it\'s done.\\nOnce that account has been activated you may login to %s using the following username and the password you entered during registration:\\n\\nUsername: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(348,'COM_USERS_EMAIL_USERNAME_REMINDER_BODY','Hello,\\n\\nA username reminder has been requested for your %s account.\\n\\nYour username is %s.\\n\\nTo login to your account, click on the link below.\\n\\n%s \\n\\nThank you.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(349,'COM_USERS_EMAIL_USERNAME_REMINDER_SUBJECT','Your %s username','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(350,'COM_USERS_ERROR_SECRET_CODE_WITHOUT_TFA','You have entered a Secret Code but two factor authentication is not enabled in your user account. If you want to use a secret code to secure your login please edit your user profile and enable two factor authentication.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini');
INSERT INTO `#__overrider` VALUES 
(351,'COM_USERS_FIELD_PASSWORD_RESET_DESC','Please enter the email address associated with your User account.<br />A verification code will be sent to you. Once you have received the verification code, you will be able to choose a new password for your account.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(352,'COM_USERS_FIELD_PASSWORD_RESET_LABEL','Email Address:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(353,'COM_USERS_FIELD_REMIND_EMAIL_DESC','Please enter the email address associated with your User account.<br /> Your username will be emailed to the email address on file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(354,'COM_USERS_FIELD_REMIND_EMAIL_LABEL','Email Address:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(355,'COM_USERS_FIELD_RESET_CONFIRM_TOKEN_DESC','Enter the password reset verification code you received by email.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(356,'COM_USERS_FIELD_RESET_CONFIRM_TOKEN_LABEL','Verification Code:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(357,'COM_USERS_FIELD_RESET_CONFIRM_USERNAME_DESC','Enter your username','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(358,'COM_USERS_FIELD_RESET_CONFIRM_USERNAME_LABEL','Username:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(359,'COM_USERS_FIELD_RESET_PASSWORD1_DESC','Enter your new password','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(360,'COM_USERS_FIELD_RESET_PASSWORD1_LABEL','Password:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(361,'COM_USERS_FIELD_RESET_PASSWORD1_MESSAGE','The passwords you entered do not match. Please enter your desired password in the password field and confirm your entry by entering it in the confirm password field.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(362,'COM_USERS_FIELD_RESET_PASSWORD2_DESC','Confirm your new password','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(363,'COM_USERS_FIELD_RESET_PASSWORD2_LABEL','Confirm Password:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(364,'COM_USERS_INVALID_EMAIL','Invalid email address','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(365,'COM_USERS_LOGIN_REGISTER','Don\'t have an account?','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(366,'COM_USERS_LOGIN_REMEMBER_ME','Remember me','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(367,'COM_USERS_LOGIN_REMIND','Forgot your username?','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(368,'COM_USERS_LOGIN_RESET','Forgot your password?','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(369,'COM_USERS_LOGIN_USERNAME_LABEL','Username','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(370,'COM_USERS_MAIL_FAILED','Failed sending email.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(371,'COM_USERS_MAIL_SEND_FAILURE_BODY','An error was encountered when sending the user registration email. The error is: %s The user who attempted to register is: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(372,'COM_USERS_MAIL_SEND_FAILURE_SUBJECT','Error sending email','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(373,'COM_USERS_MSG_NOT_ENOUGH_INTEGERS_N','Password does not contain enough digits. At least %s digits are required.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(374,'COM_USERS_MSG_NOT_ENOUGH_INTEGERS_N_1','Password does not contain enough digits. At least 1 digit is required.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(375,'COM_USERS_MSG_NOT_ENOUGH_SYMBOLS_N','Password does not contain enough symbols. At least %s symbols are required.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(376,'COM_USERS_MSG_NOT_ENOUGH_SYMBOLS_N_1','Password does not contain enough symbols. At least 1 symbol is required.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(377,'COM_USERS_MSG_NOT_ENOUGH_UPPERCASE_LETTERS_N','Password does not contain enough uppercase characters. At least %s upper case characters are required.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(378,'COM_USERS_MSG_NOT_ENOUGH_UPPERCASE_LETTERS_N_1','Password does not contain enough uppercase characters. At least 1 upper case character is required.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(379,'COM_USERS_MSG_PASSWORD_TOO_LONG','Password is too long. Passwords must be less than 100 characters.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(380,'COM_USERS_MSG_PASSWORD_TOO_SHORT_N','Password is too short. Passwords must have at least %s characters.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(381,'COM_USERS_MSG_SPACES_IN_PASSWORD','Password must not contain spaces.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(382,'COM_USERS_OPTIONAL','(optional)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(383,'COM_USERS_OR','or','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(384,'COM_USERS_PROFILE','User Profile','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(385,'COM_USERS_PROFILE_BIND_FAILED','Could not bind profile data: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(386,'COM_USERS_PROFILE_CORE_LEGEND','Profile','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(387,'COM_USERS_PROFILE_CUSTOM_LEGEND','Custom Profile','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(388,'COM_USERS_PROFILE_DEFAULT_LABEL','Edit Your Profile','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(389,'COM_USERS_PROFILE_EMAIL1_DESC','Enter your email address','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(390,'COM_USERS_PROFILE_EMAIL1_LABEL','Email Address:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(391,'COM_USERS_PROFILE_EMAIL1_MESSAGE','The email address you entered is already in use or invalid. Please enter another email address.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(392,'COM_USERS_PROFILE_EMAIL2_DESC','Confirm your email address','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(393,'COM_USERS_PROFILE_EMAIL2_LABEL','Confirm email Address:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(394,'COM_USERS_PROFILE_EMAIL2_MESSAGE','The email addresses you entered do not match. Please enter your email address in the email address field and confirm your entry by entering it in the confirm email field.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(395,'COM_USERS_PROFILE_LAST_VISITED_DATE_LABEL','Last visited date','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(396,'COM_USERS_PROFILE_MY_PROFILE','My Profile','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(397,'COM_USERS_PROFILE_NAME_DESC','Enter your full name','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(398,'COM_USERS_PROFILE_NAME_LABEL','Name:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(399,'COM_USERS_PROFILE_NEVER_VISITED','This is the first time you visit this site','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(400,'COM_USERS_PROFILE_NOCHANGE_USERNAME_DESC','If you want to change your username, please contact a site administrator','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini');
INSERT INTO `#__overrider` VALUES 
(401,'COM_USERS_PROFILE_OTEPS','One time emergency passwords','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(402,'COM_USERS_PROFILE_OTEPS_DESC','If you do not have access to your two factor authentication device you can use any of the following passwords instead of a regular security code. Each one of these emergency passwords is immediately destroyed upon use. We recommend printing these passwords out and keeping the printout in a safe and accessible location, e.g. your wallet or a safety deposit box.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(403,'COM_USERS_PROFILE_OTEPS_WAIT_DESC','There are currently no emergency one time passwords generated in your account. The passwords will be generated automatically and displayed here as soon as you activate two factor authentication.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(404,'COM_USERS_PROFILE_PASSWORD1_LABEL','Password:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(405,'COM_USERS_PROFILE_PASSWORD1_MESSAGE','The passwords you entered do not match. Please enter your desired password in the password field and confirm your entry by entering it in the confirm password field.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(406,'COM_USERS_PROFILE_PASSWORD2_DESC','Confirm your password','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(407,'COM_USERS_PROFILE_PASSWORD2_LABEL','Confirm Password:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(408,'COM_USERS_PROFILE_REGISTERED_DATE_LABEL','Registered Date','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(409,'COM_USERS_PROFILE_SAVE_FAILED','Profile could not be saved: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(410,'COM_USERS_PROFILE_SAVE_SUCCESS','Profile successfully saved','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(411,'COM_USERS_PROFILE_TWO_FACTOR_AUTH','Two Factor Authentication','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(412,'COM_USERS_PROFILE_TWOFACTOR_LABEL','Authentication method','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(413,'COM_USERS_PROFILE_TWOFACTOR_DESC','Which two factor authentication method you want to activate on the user account','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(414,'COM_USERS_PROFILE_USERNAME_DESC','Enter your desired username','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(415,'COM_USERS_PROFILE_USERNAME_LABEL','Username:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(416,'COM_USERS_PROFILE_USERNAME_MESSAGE','The username you entered is not available. Please pick another username.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(417,'COM_USERS_PROFILE_VALUE_NOT_FOUND','No Information Entered','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(418,'COM_USERS_PROFILE_WELCOME','Welcome, %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(419,'COM_USERS_REGISTER_DEFAULT_LABEL','Create An Account','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(420,'COM_USERS_REGISTER_EMAIL1_DESC','Enter your email address','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(421,'COM_USERS_REGISTER_EMAIL1_LABEL','Email Address:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(422,'COM_USERS_REGISTER_EMAIL1_MESSAGE','The email address you entered is already in use or invalid. Please enter another email address.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(423,'COM_USERS_REGISTER_EMAIL2_DESC','Confirm your email address','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(424,'COM_USERS_REGISTER_EMAIL2_LABEL','Confirm email Address:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(425,'COM_USERS_REGISTER_EMAIL2_MESSAGE','The email addresses you entered do not match. Please enter your email address in the email address field and confirm your entry by entering it in the confirm email field.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(426,'COM_USERS_REGISTER_NAME_DESC','Enter your full name','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(427,'COM_USERS_REGISTER_NAME_LABEL','Name:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(428,'COM_USERS_REGISTER_PASSWORD1_LABEL','Password:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(429,'COM_USERS_REGISTER_PASSWORD1_MESSAGE','The passwords you entered do not match. Please enter your desired password in the password field and confirm your entry by entering it in the confirm password field.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(430,'COM_USERS_REGISTER_PASSWORD2_DESC','Confirm your password','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(431,'COM_USERS_REGISTER_PASSWORD2_LABEL','Confirm Password:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(432,'COM_USERS_REGISTER_REQUIRED','<strong class="red">*</strong> Required field','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(433,'COM_USERS_REGISTER_USERNAME_DESC','Enter your desired username','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(434,'COM_USERS_REGISTER_USERNAME_LABEL','Username:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(435,'COM_USERS_REGISTER_USERNAME_MESSAGE','The username you entered is not available. Please pick another username.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(436,'COM_USERS_REGISTRATION','User Registration','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(437,'COM_USERS_REGISTRATION_ACTIVATE_SUCCESS','Your Account has been successfully activated. You can now log in using the username and password you chose during the registration.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(438,'COM_USERS_REGISTRATION_ACTIVATION_NOTIFY_SEND_MAIL_FAILED','An error was encountered while sending activation notification email','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(439,'COM_USERS_REGISTRATION_ACTIVATION_SAVE_FAILED','Failed to save activation data: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(440,'COM_USERS_REGISTRATION_ADMINACTIVATE_SUCCESS','The user\'s account has been successfully activated and the user has been notified about it.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(441,'COM_USERS_REGISTRATION_BIND_FAILED','Failed to bind registration data: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(442,'COM_USERS_REGISTRATION_COMPLETE_ACTIVATE','Your account has been created and an activation link has been sent to the email address you entered. Note that you must activate the account by clicking on the activation link when you get the email before you can login.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(443,'COM_USERS_REGISTRATION_COMPLETE_VERIFY','Your account has been created and a verification link has been sent to the email address you entered. Note that you must verify the account by clicking on the verification link when you get the email and then an administrator will activate your account before you can login.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(444,'COM_USERS_REGISTRATION_DEFAULT_LABEL','User Registration','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(445,'COM_USERS_REGISTRATION_SAVE_FAILED','Registration failed: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(446,'COM_USERS_REGISTRATION_SAVE_SUCCESS','Thank you for registering. You may now log in using the username and password you registered with.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(447,'COM_USERS_REGISTRATION_SEND_MAIL_FAILED','An error was encountered while sending the registration email. A message has been sent to the administrator of this site.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(448,'COM_USERS_REGISTRATION_VERIFY_SUCCESS','Your email has been verified. Once an administrator approves your account, you will be notified by email, and you can login to the site.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(449,'COM_USERS_REMIND','Reminder','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(450,'COM_USERS_REMIND_DEFAULT_LABEL','Please enter the email address associated with your User account. Your username will be emailed to the email address on file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini');
INSERT INTO `#__overrider` VALUES 
(451,'COM_USERS_REMIND_EMAIL_LABEL','Your email','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(452,'COM_USERS_REMIND_LIMIT_ERROR_N_HOURS','You have exceeded the maximum number of password resets allowed. Please try again in %s hours.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(453,'COM_USERS_REMIND_LIMIT_ERROR_N_HOURS_1','You have exceeded the maximum number of password resets allowed. Please try again in one hour.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(454,'COM_USERS_REMIND_REQUEST_FAILED','Reminder failed: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(455,'COM_USERS_REMIND_REQUEST_SUCCESS','Reminder successfully sent. Please check your mail.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(456,'COM_USERS_REMIND_SUPERADMIN_ERROR','A Super User can\'t request a password reminder. Please contact another Super User or use an alternative method.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(457,'COM_USERS_RESET','Password Reset','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(458,'COM_USERS_RESET_COMPLETE_ERROR','Error completing password reset.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(459,'COM_USERS_RESET_COMPLETE_FAILED','Completing reset password failed: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(460,'COM_USERS_RESET_COMPLETE_LABEL','To complete the password reset process, please enter a new password.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(461,'COM_USERS_RESET_COMPLETE_SUCCESS','Reset password successful. You may now login to the site.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(462,'COM_USERS_RESET_CONFIRM_ERROR','Error while confirming the password.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(463,'COM_USERS_RESET_CONFIRM_FAILED','Your password reset confirmation failed because the verification code was invalid. %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(464,'COM_USERS_RESET_CONFIRM_LABEL','An email has been sent to your email address. The email contains a verification code, please paste the verification code in the field below to prove that you are the owner of this account.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(465,'COM_USERS_RESET_COMPLETE_TOKENS_MISSING','Your password reset confirmation failed because the verification code was missing.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(466,'COM_USERS_RESET_REQUEST_ERROR','Error requesting password reset.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(467,'COM_USERS_RESET_REQUEST_FAILED','Reset password failed: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(468,'COM_USERS_RESET_REQUEST_LABEL','Please enter the email address for your account. A verification code will be sent to you. Once you have received the verification code, you will be able to choose a new password for your account.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(469,'COM_USERS_SETTINGS_FIELDSET_LABEL','Basic Settings','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(470,'COM_USERS_USER_BLOCKED','This user is blocked. If this is an error, please contact an administrator.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(471,'COM_USERS_USER_FIELD_BACKEND_LANGUAGE_DESC','Choose here your default language for the backend','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(472,'COM_USERS_USER_FIELD_BACKEND_LANGUAGE_LABEL','Backend language','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(473,'COM_USERS_USER_FIELD_BACKEND_TEMPLATE_DESC','Select the template style for the Administrator Backend interface. This will only affect this User.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(474,'COM_USERS_USER_FIELD_BACKEND_TEMPLATE_LABEL','Backend Template Style','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(475,'COM_USERS_USER_FIELD_EDITOR_DESC','Choose here your text editor','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(476,'COM_USERS_USER_FIELD_EDITOR_LABEL','Editor','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(477,'COM_USERS_USER_FIELD_FRONTEND_LANGUAGE_DESC','Choose here your default language for the frontend','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(478,'COM_USERS_USER_FIELD_FRONTEND_LANGUAGE_LABEL','Frontend language','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(479,'COM_USERS_USER_FIELD_HELPSITE_DESC','Help site for the backend','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(480,'COM_USERS_USER_FIELD_HELPSITE_LABEL','Help Site','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(481,'COM_USERS_USER_FIELD_TIMEZONE_DESC','Choose here your time zone','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(482,'COM_USERS_USER_FIELD_TIMEZONE_LABEL','Time zone','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(483,'COM_USERS_USER_NOT_FOUND','User not found','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(484,'COM_USERS_USER_SAVE_FAILED','Failed to save user: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_users.ini'),
(485,'COM_WEBLINKS_DEFAULT_PAGE_TITLE','Web Links','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(486,'COM_WEBLINKS_EDIT','Edit Web link','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(487,'COM_WEBLINKS_ERR_TABLES_NAME','There is already a Web Link with that name in this category. Please try again.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(488,'COM_WEBLINKS_ERR_TABLES_PROVIDE_URL','Please provide a valid URL','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(489,'COM_WEBLINKS_ERR_TABLES_TITLE','Your Web Link must contain a title.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(490,'COM_WEBLINKS_ERROR_CATEGORY_NOT_FOUND','Web link category not found','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(491,'COM_WEBLINKS_ERROR_UNIQUE_ALIAS','Another Web Link from this category has the same alias','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(492,'COM_WEBLINKS_ERROR_WEBLINK_NOT_FOUND','Web Link not found','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(493,'COM_WEBLINKS_ERROR_WEBLINK_URL_INVALID','Invalid Web link URL','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(494,'COM_WEBLINKS_FIELD_ALIAS_DESC','The alias is for internal use only. Leave this blank and Joomla will fill in a default value from the title. It has to be unique for each web link in the same category.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(495,'COM_WEBLINKS_FIELD_CATEGORY_DESC','You must select a Category.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(496,'COM_WEBLINKS_FIELD_DESCRIPTION_DESC','Enter a description for your Web link','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(497,'COM_WEBLINKS_FILTER_LABEL','Filter field','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(498,'COM_WEBLINKS_FILTER_SEARCH_DESC','Web Links Filter Search','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(499,'COM_WEBLINKS_FIELD_TITLE_DESC','Your Web Link must have a Title.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(500,'COM_WEBLINKS_FIELD_URL_DESC','You must enter a URL.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini');
INSERT INTO `#__overrider` VALUES 
(501,'COM_WEBLINKS_FIELD_URL_LABEL','URL','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(502,'COM_WEBLINKS_FORM_CREATE_WEBLINK','Submit a Web Link','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(503,'COM_WEBLINKS_GRID_TITLE','Title','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(504,'COM_WEBLINKS_LINK','Web Link','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(505,'COM_WEBLINKS_NAME','Name','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(506,'COM_WEBLINKS_NO_WEBLINKS','There are no Web Links in this category','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(507,'COM_WEBLINKS_NUM','# of links:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(508,'COM_WEBLINKS_FORM_EDIT_WEBLINK','Edit a Web Link','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(509,'COM_WEBLINKS_FORM_SUBMIT_WEBLINK','Submit a Web Link','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(510,'COM_WEBLINKS_SAVE_SUCCESS','Web link successfully saved','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(511,'COM_WEBLINKS_SUBMIT_SAVE_SUCCESS','Web Link successfully submitted','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(512,'COM_WEBLINKS_WEB_LINKS','Web links','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(513,'JGLOBAL_NEWITEMSLAST_DESC','New Web Links default to the last position. Ordering can be changed after this Web Link has been saved.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_weblinks.ini'),
(514,'COM_WRAPPER_NO_IFRAMES','This option will not work correctly. Unfortunately, your browser does not support inline frames.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.com_wrapper.ini'),
(515,'FILES_JOOMLA','Joomla CMS','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.files_joomla.sys.ini'),
(516,'FILES_JOOMLA_ERROR_FILE_FOLDER','Error on deleting file or folder %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.files_joomla.sys.ini'),
(517,'FILES_JOOMLA_ERROR_MANIFEST','Error on updating manifest cache: (type, element, folder, client) = (%s, %s, %s, %s)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.files_joomla.sys.ini'),
(518,'FILES_JOOMLA_XML_DESCRIPTION','Joomla! 3 Content Management System','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.files_joomla.sys.ini'),
(519,'FINDER_CLI','Smart Search INDEXER','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.finder_cli.ini'),
(520,'FINDER_CLI_BATCH_COMPLETE',' * Processed batch %s in %s seconds.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.finder_cli.ini'),
(521,'FINDER_CLI_FILTER_RESTORE_WARNING','Warning: Did not find taxonomy %s/%s in filter %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.finder_cli.ini'),
(522,'FINDER_CLI_INDEX_PURGE','Purging index','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.finder_cli.ini'),
(523,'FINDER_CLI_INDEX_PURGE_FAILED','- index purge failed','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.finder_cli.ini'),
(524,'FINDER_CLI_INDEX_PURGE_SUCCESS','- index purge successful','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.finder_cli.ini'),
(525,'FINDER_CLI_PROCESS_COMPLETE','Total Processing Time: %s seconds.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.finder_cli.ini'),
(526,'FINDER_CLI_RESTORE_FILTER_COMPLETED','- number of filters restored: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.finder_cli.ini'),
(527,'FINDER_CLI_RESTORE_FILTERS','Restoring filters','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.finder_cli.ini'),
(528,'FINDER_CLI_SAVE_FILTER_COMPLETED','- number of saved filters: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.finder_cli.ini'),
(529,'FINDER_CLI_SAVE_FILTERS','Saving filters','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.finder_cli.ini'),
(530,'FINDER_CLI_SETTING_UP_PLUGINS','Setting up Finder plugins','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.finder_cli.ini'),
(531,'FINDER_CLI_SETUP_ITEMS','Setup %s items in %s seconds.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.finder_cli.ini'),
(532,'FINDER_CLI_STARTING_INDEXER','Starting Indexer','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.finder_cli.ini'),
(533,'JERROR_PARSING_LANGUAGE_FILE','&#160;: error(s) in line(s) %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(534,'ERROR','Error','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(535,'MESSAGE','Message','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(536,'NOTICE','Notice','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(537,'WARNING','Warning','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(538,'J1','1','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(539,'J2','2','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(540,'J3','3','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(541,'J4','4','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(542,'J5','5','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(543,'J6','6','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(544,'J7','7','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(545,'J8','8','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(546,'J9','9','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(547,'J10','10','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(548,'J15','15','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(549,'J20','20','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(550,'J25','25','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini');
INSERT INTO `#__overrider` VALUES 
(551,'J30','30','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(552,'J50','50','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(553,'J100','100','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(554,'JACTION_ADMIN','Configure','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(555,'JACTION_ADMIN_GLOBAL','Super User','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(556,'JACTION_COMPONENT_SETTINGS','Component Settings','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(557,'JACTION_CREATE','Create','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(558,'JACTION_DELETE','Delete','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(559,'JACTION_EDIT','Edit','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(560,'JACTION_EDITOWN','Edit Own','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(561,'JACTION_EDITSTATE','Edit State','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(562,'JACTION_LOGIN_ADMIN','Admin Login','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(563,'JACTION_LOGIN_SITE','Site Login','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(564,'JACTION_MANAGE','Access Administration Interface','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(565,'JADMINISTRATOR','Administrator','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(566,'JALL','All','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(567,'JALL_LANGUAGE','All','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(568,'JARCHIVED','Archived','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(569,'JAUTHOR','Author','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(570,'JCANCEL','Cancel','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(571,'JCATEGORY','Category','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(572,'JDATE','Date','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(573,'JDEFAULT','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(574,'JDETAILS','Details','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(575,'JDISABLED','Disabled','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(576,'JEDITOR','Editor','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(577,'JENABLED','Enabled','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(578,'JEXPIRED','Expired','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(579,'JFALSE','False','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(580,'JFEATURED','Featured','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(581,'JHIDE','Hide','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(582,'JINVALID_TOKEN','Invalid Token','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(583,'JLOGIN','Log in','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(584,'JLOGOUT','Log out','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(585,'JNEW','New','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(586,'JNEXT','Next','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(587,'JNO','No','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(588,'JNONE','None','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(589,'JNOTPUBLISHEDYET','Not published yet','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(590,'JNOTICE','Notice','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(591,'JOFF','Off','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(592,'JOFFLINE_MESSAGE','This site is down for maintenance.<br /> Please check back again soon.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(593,'JON','On','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(594,'JOPTIONS','Options','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(595,'JPAGETITLE','%1$s - %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(596,'JPREV','Prev','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(597,'JPREVIOUS','Previous','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(598,'JPUBLISHED','Published','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(599,'JREGISTER','Register','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(600,'JREQUIRED','Required','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini');
INSERT INTO `#__overrider` VALUES 
(601,'JSAVE','Save','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(602,'JSHOW','Show','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(603,'JSITE','Site','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(604,'JSTATUS','Status','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(605,'JSUBMIT','Submit','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(606,'JTAG','Tags','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(607,'JTAG_DESC','Add and delete tags to an item.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(608,'JTOOLBAR_VERSIONS','Versions','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(609,'JTRASH','Trash','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(610,'JTRASHED','Trashed','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(611,'JTRUE','True','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(612,'JUNPUBLISHED','Unpublished','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(613,'JYEAR','Year','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(614,'JYES','Yes','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(615,'JBROWSERTARGET_MODAL','Modal','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(616,'JBROWSERTARGET_NEW','Open in new window','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(617,'JBROWSERTARGET_PARENT','Open in parent window','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(618,'JBROWSERTARGET_POPUP','Open in popup','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(619,'JERROR_ALERTNOAUTHOR','You are not authorised to view this resource.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(620,'JERROR_ALERTNOTEMPLATE','<strong>The template for this display is not available. Please contact a Site administrator.</strong>','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(621,'JERROR_AN_ERROR_HAS_OCCURRED','An error has occurred.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(622,'JERROR_COULD_NOT_FIND_TEMPLATE','Could not find template "%s".','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(623,'JERROR_ERROR','Error','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(624,'JERROR_LAYOUT_AN_OUT_OF_DATE_BOOKMARK_FAVOURITE','an <strong>out-of-date bookmark/favourite</strong>','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(625,'JERROR_LAYOUT_ERROR_HAS_OCCURRED_WHILE_PROCESSING_YOUR_REQUEST','An error has occurred while processing your request.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(626,'JERROR_LAYOUT_GO_TO_THE_HOME_PAGE','Go to the Home Page','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(627,'JERROR_LAYOUT_HOME_PAGE','Home Page','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(628,'JERROR_LAYOUT_MIS_TYPED_ADDRESS','a <strong>mistyped address</strong>','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(629,'JERROR_LAYOUT_NOT_ABLE_TO_VISIT','You may not be able to visit this page because of:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(630,'JERROR_LAYOUT_PAGE_NOT_FOUND','The requested page cannot be found.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(631,'JERROR_LAYOUT_PLEASE_CONTACT_THE_SYSTEM_ADMINISTRATOR','If difficulties persist, please contact the System Administrator of this site and report the error below.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(632,'JERROR_LAYOUT_PLEASE_TRY_ONE_OF_THE_FOLLOWING_PAGES','Please try one of the following pages:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(633,'JERROR_LAYOUT_REQUESTED_RESOURCE_WAS_NOT_FOUND','The requested resource was not found.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(634,'JERROR_LAYOUT_SEARCH','You may wish to search the site or visit the home page.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(635,'JERROR_LAYOUT_SEARCH_ENGINE_OUT_OF_DATE_LISTING','a search engine that has an <strong>out-of-date listing for this site</strong>','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(636,'JERROR_LAYOUT_SEARCH_PAGE','Search this site','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(637,'JERROR_LAYOUT_YOU_HAVE_NO_ACCESS_TO_THIS_PAGE','you have <strong>no access</strong> to this page','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(638,'JERROR_LOADING_MENUS','Error loading Menus: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(639,'JERROR_LOGIN_DENIED','You cannot access the private section of this site.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(640,'JERROR_NOLOGIN_BLOCKED','Login denied! Your account has either been blocked or you have not activated it yet.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(641,'JERROR_TABLE_BIND_FAILED','hmm %s ...','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(642,'JERROR_USERS_PROFILE_NOT_FOUND','User profile not found','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(643,'JFIELD_ACCESS_DESC','Access level for this content','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(644,'JFIELD_ACCESS_LABEL','Access','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(645,'JFIELD_ALIAS_DESC','The Alias will be used in the SEF URL. Leave this blank and Joomla! will fill in a default value from the title. This value will depend on the SEO settings (Global Configuration->Site). <br />Using Unicode will produce UTF-8 aliases. You may also enter manually any UTF-8 character. Spaces and some forbidden characters will be changed to hyphens.<br />When using default transliteration it will produce an alias in lower case and with dashes instead of spaces. You may enter the Alias manually. Use lowercase letters and hyphens (-). No spaces or underscores are allowed. Default value will be a date and time if the title is typed in non-latin letters .','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(646,'JFIELD_ALIAS_LABEL','Alias','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(647,'JFIELD_ALIAS_PLACEHOLDER','Auto-generate from title','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(648,'JFIELD_ALT_PAGE_TITLE_LABEL','Alternative Page Title','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(649,'JFIELD_CATEGORY_DESC','Category','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(650,'JFIELD_LANGUAGE_DESC','Assign a language to this article.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini');
INSERT INTO `#__overrider` VALUES 
(651,'JFIELD_LANGUAGE_LABEL','Language','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(652,'JFIELD_META_DESCRIPTION_DESC','Meta data description','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(653,'JFIELD_META_DESCRIPTION_LABEL','Meta Description','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(654,'JFIELD_META_KEYWORDS_DESC','Keywords describing the content','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(655,'JFIELD_META_KEYWORDS_LABEL','Keywords','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(656,'JFIELD_META_RIGHTS_DESC','Describe what rights others have to use this content.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(657,'JFIELD_META_RIGHTS_LABEL','Content Rights','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(658,'JFIELD_ORDERING_DESC','Ordering of the article within the category','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(659,'JFIELD_ORDERING_LABEL','Ordering','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(660,'JFIELD_PUBLISHED_DESC','Set publication status','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(661,'JFIELD_TITLE_DESC','Title for the article','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(662,'JGLOBAL_ARTICLES','Articles','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(663,'JGLOBAL_AUTH_ACCESS_DENIED','Access Denied','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(664,'JGLOBAL_AUTH_ACCESS_GRANTED','Access Granted','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(665,'JGLOBAL_AUTH_BIND_FAILED','Failed binding to LDAP server','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(666,'JGLOBAL_AUTH_CANCEL','Authentication cancelled','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(667,'JGLOBAL_AUTH_CURL_NOT_INSTALLED','Curl isn\'t installed','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(668,'JGLOBAL_AUTH_EMPTY_PASS_NOT_ALLOWED','Empty password not allowed','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(669,'JGLOBAL_AUTH_FAIL','Authentication failed','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(670,'JGLOBAL_AUTH_FAILED','Failed to authenticate: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(671,'JGLOBAL_AUTH_INCORRECT','Incorrect username/password','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(672,'JGLOBAL_AUTH_INVALID_PASS','Username and password do not match or you do not have an account yet.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(673,'JGLOBAL_AUTH_INVALID_SECRETKEY','The two factor authentication Secret Key is invalid.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(674,'JGLOBAL_AUTH_NO_BIND','Unable to bind to LDAP','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(675,'JGLOBAL_AUTH_NO_CONNECT','Unable to connect to LDAP server','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(676,'JGLOBAL_AUTH_NO_REDIRECT','Could not redirect to server: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(677,'JGLOBAL_AUTH_NO_USER','Username and password do not match or you do not have an account yet.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(678,'JGLOBAL_AUTH_NOT_CREATE_DIR','Could not create the FileStore directory %s. Please check the effective permissions.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(679,'JGLOBAL_AUTH_PASS_BLANK','LDAP can\'t have blank password','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(680,'JGLOBAL_AUTH_UNKNOWN_ACCESS_DENIED','Result Unknown. Access Denied','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(681,'JGLOBAL_AUTH_USER_BLACKLISTED','User is blacklisted','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(682,'JGLOBAL_AUTH_USER_NOT_FOUND','Unable to find user','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(683,'JGLOBAL_AUTO','Auto','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(684,'JGLOBAL_CATEGORY_NOT_FOUND','Category not found','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(685,'JGLOBAL_CENTER','Center','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(686,'JGLOBAL_CLICK_TO_SORT_THIS_COLUMN','Click to sort by this column','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(687,'JGLOBAL_CREATED_DATE_ON','Created on %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(688,'JGLOBAL_DESCRIPTION','Description','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(689,'JGLOBAL_DISPLAY_NUM','Display #','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(690,'JGLOBAL_EDIT','Edit','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(691,'JGLOBAL_EMAIL','Email','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(692,'JGLOBAL_FIELD_CREATED_BY_ALIAS_DESC','Uses another name than the author\'s for display','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(693,'JGLOBAL_FIELD_CREATED_BY_ALIAS_LABEL','Author\'s Alias','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(694,'JGLOBAL_FIELD_FEATURED_DESC','Assign the article to the featured blog layout','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(695,'JGLOBAL_FIELD_FEATURED_LABEL','Featured','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(696,'JGLOBAL_FIELD_PUBLISH_DOWN_DESC','An optional date to Stop Publishing','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(697,'JGLOBAL_FIELD_PUBLISH_DOWN_LABEL','Finish Publishing','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(698,'JGLOBAL_FIELD_PUBLISH_UP_DESC','An optional date to Start Publishing','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(699,'JGLOBAL_FIELD_PUBLISH_UP_LABEL','Start Publishing','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(700,'JGLOBAL_FIELD_VERSION_NOTE_DESC','Enter an optional note for this version of the item.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini');
INSERT INTO `#__overrider` VALUES 
(701,'JGLOBAL_FIELD_VERSION_NOTE_LABEL','Version Note','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(702,'JGLOBAL_FILTER_BUTTON','Filter','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(703,'JGLOBAL_FILTER_LABEL','Filter','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(704,'JGLOBAL_FULL_TEXT','Full Text','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(705,'JGLOBAL_GT','&gt;','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(706,'JGLOBAL_HELPREFRESH_BUTTON','Refresh','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(707,'JGLOBAL_HITS','Hits','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(708,'JGLOBAL_HITS_COUNT','Hits: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(709,'JGLOBAL_ICON_SEP','|','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(710,'JGLOBAL_INHERIT','Inherit','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(711,'JGLOBAL_INTRO_TEXT','Intro Text','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(712,'JGLOBAL_KEEP_TYPING','Keep typing...','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(713,'JGLOBAL_LEFT','Left','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(714,'JGLOBAL_LOOKING_FOR','Looking for','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(715,'JGLOBAL_LT','&lt;','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(716,'JGLOBAL_NEWITEMSLAST_DESC','New items default to the last position. Ordering can be changed after this item has been saved.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(717,'JGLOBAL_NUM','#','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(718,'JGLOBAL_OTPMETHOD_NONE','Disable Two Factor Authentication','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(719,'JGLOBAL_PASSWORD','Password','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(720,'JGLOBAL_PASSWORD_RESET_REQUIRED','You are required to reset your password before proceeding.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(721,'JGLOBAL_PRINT','Print','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(722,'JGLOBAL_RECORD_NUMBER','Record ID: %d','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(723,'JGLOBAL_REMEMBER_ME','Remember me','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(724,'JGLOBAL_REMEMBER_MUST_LOGIN','For security reasons you must login before editing your personal information.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(725,'JGLOBAL_RESOURCE_NOT_FOUND','Resource not found','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(726,'JGLOBAL_RIGHT','Right','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(727,'JGLOBAL_ROOT','Root','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(728,'JGLOBAL_SECRETKEY','Secret Key','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(729,'JGLOBAL_SECRETKEY_HELP','If you have enabled two factor authentication in your user account please enter your secret key. If you do not know what this means, you can leave this field blank.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(730,'JGLOBAL_SELECT_AN_OPTION','Select an option','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(731,'JGLOBAL_SELECT_NO_RESULTS_MATCH','No results match','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(732,'JGLOBAL_SELECT_SOME_OPTIONS','Select some options','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(733,'JGLOBAL_START_PUBLISH_AFTER_FINISH','Item start publishing date must be before finish publishing date','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(734,'JGLOBAL_SUBCATEGORIES','Subcategories','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(735,'JGLOBAL_SUBHEADING_DESC','Optional text to show as a subheading.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(736,'JGLOBAL_TITLE','Title','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(737,'JGLOBAL_USE_GLOBAL','Use Global','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(738,'JGLOBAL_USERNAME','Username','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(739,'JGLOBAL_VALIDATION_FORM_FAILED','Invalid form','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(740,'JGLOBAL_YOU_MUST_LOGIN_FIRST','Please login first','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(741,'JGRID_HEADING_ACCESS','Access','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(742,'JGRID_HEADING_ID','ID','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(743,'JGRID_HEADING_LANGUAGE','Language','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(744,'JLIB_DATABASE_ERROR_ADAPTER_MYSQL','The MySQL adapter \'mysql\' is not available.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(745,'JLIB_DATABASE_ERROR_ADAPTER_MYSQLI','The MySQL adapter \'mysqli\' is not available.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(746,'JLIB_DATABASE_ERROR_CONNECT_DATABASE','Unable to connect to the Database: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(747,'JLIB_DATABASE_ERROR_CONNECT_MYSQL','Could not connect to MySQL.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(748,'JLIB_DATABASE_ERROR_DATABASE_CONNECT','Could not connect to database','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(749,'JLIB_DATABASE_ERROR_LOAD_DATABASE_DRIVER','Unable to load Database Driver: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(750,'JLIB_ERROR_INFINITE_LOOP','Infinite loop detected in JError','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini');
INSERT INTO `#__overrider` VALUES 
(751,'JOPTION_SELECT_ACCESS','- Select Access -','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(752,'JOPTION_SELECT_CATEGORY','- Select Category -','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(753,'JOPTION_SELECT_LANGUAGE','- Select Language -','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(754,'JOPTION_SELECT_PUBLISHED','- Select Status -','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(755,'JOPTION_USE_DEFAULT','- Use Default -','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(756,'JSEARCH_FILTER_CLEAR','Clear','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(757,'JSEARCH_FILTER_LABEL','Filter','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(758,'JSEARCH_FILTER_SUBMIT','Search','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(759,'DATE_FORMAT_LC','l, d F Y','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(760,'DATE_FORMAT_LC1','l, d F Y','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(761,'DATE_FORMAT_LC2','l, d F Y H:i','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(762,'DATE_FORMAT_LC3','d F Y','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(763,'DATE_FORMAT_LC4','Y-m-d','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(764,'DATE_FORMAT_JS1','y-m-d','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(765,'JANUARY_SHORT','Jan','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(766,'JANUARY','January','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(767,'FEBRUARY_SHORT','Feb','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(768,'FEBRUARY','February','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(769,'MARCH_SHORT','Mar','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(770,'MARCH','March','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(771,'APRIL_SHORT','Apr','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(772,'APRIL','April','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(773,'MAY_SHORT','May','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(774,'MAY','May','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(775,'JUNE_SHORT','Jun','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(776,'JUNE','June','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(777,'JULY_SHORT','Jul','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(778,'JULY','July','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(779,'AUGUST_SHORT','Aug','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(780,'AUGUST','August','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(781,'SEPTEMBER_SHORT','Sep','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(782,'SEPTEMBER','September','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(783,'OCTOBER_SHORT','Oct','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(784,'OCTOBER','October','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(785,'NOVEMBER_SHORT','Nov','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(786,'NOVEMBER','November','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(787,'DECEMBER_SHORT','Dec','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(788,'DECEMBER','December','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(789,'SAT','Sat','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(790,'SATURDAY','Saturday','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(791,'SUN','Sun','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(792,'SUNDAY','Sunday','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(793,'MON','Mon','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(794,'MONDAY','Monday','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(795,'TUE','Tue','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(796,'TUESDAY','Tuesday','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(797,'WED','Wed','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(798,'WEDNESDAY','Wednesday','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(799,'THU','Thu','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(800,'THURSDAY','Thursday','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini');
INSERT INTO `#__overrider` VALUES 
(801,'FRI','Fri','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(802,'FRIDAY','Friday','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(803,'DECIMALS_SEPARATOR','.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(804,'THOUSANDS_SEPARATOR',',','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(805,'PHPMAILER_PROVIDE_ADDRESS','You must provide at least one recipient email address.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(806,'PHPMAILER_MAILER_IS_NOT_SUPPORTED',' Mailer is not supported.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(807,'PHPMAILER_EXECUTE','Could not execute: ','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(808,'PHPMAILER_INSTANTIATE','Could not start mail function.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(809,'PHPMAILER_AUTHENTICATE','SMTP Error! Could not authenticate.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(810,'PHPMAILER_FROM_FAILED','The following from address failed: ','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(811,'PHPMAILER_RECIPIENTS_FAILED','SMTP Error! The following recipients failed: ','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(812,'PHPMAILER_DATA_NOT_ACCEPTED','SMTP Error! Data not accepted.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(813,'PHPMAILER_CONNECT_HOST','SMTP Error! Could not connect to SMTP host.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(814,'PHPMAILER_FILE_ACCESS','Could not access file: ','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(815,'PHPMAILER_FILE_OPEN','File Error: Could not open file: ','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(816,'PHPMAILER_ENCODING','Unknown encoding: ','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(817,'PHPMAILER_SIGNING_ERROR','Signing error: ','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(818,'PHPMAILER_SMTP_ERROR','SMTP server error: ','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(819,'PHPMAILER_EMPTY_MESSAGE','Empty message body','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(820,'PHPMAILER_INVALID_ADDRESS','Invalid address','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(821,'PHPMAILER_VARIABLE_SET','Cannot set or reset variable: ','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(822,'PHPMAILER_SMTP_CONNECT_FAILED','SMTP connect failed','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(823,'PHPMAILER_TLS','Could not start TLS','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(824,'MYSQL','MySQL','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(825,'MYSQLI','MySQLi','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(826,'ORACLE','Oracle','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(827,'POSTGRESQL','PostgreSQL','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(828,'SQLAZURE','Microsoft SQL Azure','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(829,'SQLITE','SQLite','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(830,'SQLSRV','Microsoft SQL Server','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.ini'),
(831,'LIB_FOF_XML_DESCRIPTION','Framework-on-Framework (FOF) - A rapid component development framework for Joomla!','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_fof.sys.ini'),
(832,'LIB_IDNA_XML_DESCRIPTION','The class idna_convert allows to convert internationalised domain names (see RFC 3490, 3491, 3492 and 3454 for details) as they can be used with various registries worldwide to be translated between their original (localised) form and their encoded form as it will be used in the DNS (Domain Name System).','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_idna_convert.sys.ini'),
(833,'JERROR_PARSING_LANGUAGE_FILE','&#160;: error(s) in line(s) %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(834,'JLIB_APPLICATION_ERROR_ACCESS_FORBIDDEN','Access forbidden','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(835,'JLIB_APPLICATION_ERROR_APPLICATION_GET_NAME','JApplication: :getName() : Can\'t get or parse class name.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(836,'JLIB_APPLICATION_ERROR_APPLICATION_LOAD','Unable to load application: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(837,'JLIB_APPLICATION_ERROR_BATCH_CANNOT_CREATE','You are not allowed to create new items in this category.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(838,'JLIB_APPLICATION_ERROR_BATCH_CANNOT_EDIT','You are not allowed to edit one or more of these items.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(839,'JLIB_APPLICATION_ERROR_BATCH_FAILED','Batch process failed with following error: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(840,'JLIB_APPLICATION_ERROR_BATCH_MOVE_CATEGORY_NOT_FOUND','Cannot find the destination category for this move.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(841,'JLIB_APPLICATION_ERROR_BATCH_MOVE_ROW_NOT_FOUND','Cannot find the item being moved.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(842,'JLIB_APPLICATION_ERROR_CHECKIN_FAILED','Check-in failed with the following error: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(843,'JLIB_APPLICATION_ERROR_CHECKIN_NOT_CHECKED','Item is not checked out','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(844,'JLIB_APPLICATION_ERROR_CHECKIN_USER_MISMATCH','The user checking in does not match the user who checked out the item.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(845,'JLIB_APPLICATION_ERROR_CHECKOUT_FAILED','Check-out failed with the following error: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(846,'JLIB_APPLICATION_ERROR_CHECKOUT_USER_MISMATCH','The user checking out does not match the user who checked out the item.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(847,'JLIB_APPLICATION_ERROR_COMPONENT_NOT_FOUND','Component not found','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(848,'JLIB_APPLICATION_ERROR_COMPONENT_NOT_LOADING','Error loading component: %1$s, %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(849,'JLIB_APPLICATION_ERROR_CONTROLLER_GET_NAME','JController: :getName() : Cannot get or parse class name.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(850,'JLIB_APPLICATION_ERROR_CREATE_RECORD_NOT_PERMITTED','Create record not permitted','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini');
INSERT INTO `#__overrider` VALUES 
(851,'JLIB_APPLICATION_ERROR_DELETE_NOT_PERMITTED','Delete not permitted','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(852,'JLIB_APPLICATION_ERROR_EDITSTATE_NOT_PERMITTED','Edit state is not permitted','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(853,'JLIB_APPLICATION_ERROR_EDIT_ITEM_NOT_PERMITTED','Edit is not permitted','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(854,'JLIB_APPLICATION_ERROR_EDIT_NOT_PERMITTED','Edit not permitted','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(855,'JLIB_APPLICATION_ERROR_HISTORY_ID_MISMATCH','Error restoring item version from history.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(856,'JLIB_APPLICATION_ERROR_INSUFFICIENT_BATCH_INFORMATION','Insufficient information to perform the batch operation','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(857,'JLIB_APPLICATION_ERROR_INVALID_CONTROLLER_CLASS','Invalid controller class: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(858,'JLIB_APPLICATION_ERROR_INVALID_CONTROLLER','Invalid controller: name=\'%s\', format=\'%s\'','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(859,'JLIB_APPLICATION_ERROR_LAYOUTFILE_NOT_FOUND','Layout %s not found','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(860,'JLIB_APPLICATION_ERROR_LIBRARY_NOT_FOUND','Library not found','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(861,'JLIB_APPLICATION_ERROR_LIBRARY_NOT_LOADING','Error loading library: %1$s, %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(862,'JLIB_APPLICATION_ERROR_MODEL_GET_NAME','JModel: :getName() : Can\'t get or parse class name.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(863,'JLIB_APPLICATION_ERROR_MODULE_LOAD','Error loading module %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(864,'JLIB_APPLICATION_ERROR_PATHWAY_LOAD','Unable to load pathway: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(865,'JLIB_APPLICATION_ERROR_REORDER_FAILED','Reorder failed. Error: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(866,'JLIB_APPLICATION_ERROR_ROUTER_LOAD','Unable to load router: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(867,'JLIB_APPLICATION_ERROR_MODELCLASS_NOT_FOUND','Model class %s not found in file','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(868,'JLIB_APPLICATION_ERROR_SAVE_FAILED','Save failed with the following error: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(869,'JLIB_APPLICATION_ERROR_SAVE_NOT_PERMITTED','Save not permitted','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(870,'JLIB_APPLICATION_ERROR_TABLE_NAME_NOT_SUPPORTED','Table %s not supported. File not found.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(871,'JLIB_APPLICATION_ERROR_TASK_NOT_FOUND','Task [%s] not found','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(872,'JLIB_APPLICATION_ERROR_UNHELD_ID','You are not permitted to use that link to directly access that page (#%d).','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(873,'JLIB_APPLICATION_ERROR_VIEW_CLASS_NOT_FOUND','View class not found [class, file]: %1$s, %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(874,'JLIB_APPLICATION_ERROR_VIEW_GET_NAME_SUBSTRING','JView: :getName() : Your classname contains the substring \'view\'. This causes problems when extracting the classname from the name of your objects view. Avoid Object names with the substring \'view\'.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(875,'JLIB_APPLICATION_ERROR_VIEW_GET_NAME','JView: :getName() : Cannot get or parse class name.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(876,'JLIB_APPLICATION_ERROR_VIEW_NOT_FOUND','View not found [name, type, prefix]: %1$s, %2$s, %3$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(877,'JLIB_APPLICATION_SAVE_SUCCESS','Item successfully saved.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(878,'JLIB_APPLICATION_SUBMIT_SAVE_SUCCESS','Item successfully submitted.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(879,'JLIB_APPLICATION_SUCCESS_BATCH','Batch process completed successfully.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(880,'JLIB_APPLICATION_SUCCESS_ITEM_REORDERED','Ordering successfully saved.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(881,'JLIB_APPLICATION_SUCCESS_ORDERING_SAVED','Ordering successfully saved.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(882,'JLIB_APPLICATION_SUCCESS_LOAD_HISTORY','Prior version successfully restored. Saved on %s %s.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(883,'JLIB_LOGIN_AUTHENTICATE','Username and password do not match or you do not have an account yet.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(884,'JLIB_CACHE_ERROR_CACHE_HANDLER_LOAD','Unable to load Cache Handler: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(885,'JLIB_CACHE_ERROR_CACHE_STORAGE_LOAD','Unable to load Cache Storage: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(886,'JLIB_CAPTCHA_ERROR_PLUGIN_NOT_FOUND','Captcha plugin not set or not found. Please contact a site administrator','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(887,'JLIB_CLIENT_ERROR_JFTP_NO_CONNECT','JFTP: :connect: Could not connect to host \' %1$s \' on port \' %2$s \'','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(888,'JLIB_CLIENT_ERROR_JFTP_NO_CONNECT_SOCKET','JFTP: :connect: Could not connect to host \' %1$s \' on port \' %2$s \'. Socket error number: %3$s and error message: %4$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(889,'JLIB_CLIENT_ERROR_JFTP_BAD_RESPONSE','JFTP: :connect: Bad response. Server response: %s [Expected: 220]','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(890,'JLIB_CLIENT_ERROR_JFTP_BAD_USERNAME','JFTP: :login: Bad Username. Server response: %1$s [Expected: 331]. Username sent: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(891,'JLIB_CLIENT_ERROR_JFTP_BAD_PASSWORD','JFTP: :login: Bad Password. Server response: %1$s [Expected: 230]. Password sent: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(892,'JLIB_CLIENT_ERROR_JFTP_PWD_BAD_RESPONSE_NATIVE','FTP: :pwd: Bad response','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(893,'JLIB_CLIENT_ERROR_JFTP_PWD_BAD_RESPONSE','JFTP: :pwd: Bad response. Server response: %s [Expected: 257]','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(894,'JLIB_CLIENT_ERROR_JFTP_SYST_BAD_RESPONSE_NATIVE','JFTP: :syst: Bad response','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(895,'JLIB_CLIENT_ERROR_JFTP_SYST_BAD_RESPONSE','JFTP: :syst: Bad response. Server response: %s [Expected: 215]','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(896,'JLIB_CLIENT_ERROR_JFTP_CHDIR_BAD_RESPONSE_NATIVE','JFTP: :chdir: Bad response','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(897,'JLIB_CLIENT_ERROR_JFTP_CHDIR_BAD_RESPONSE','JFTP: :chdir: Bad response. Server response: %1$s [Expected: 250]. Path sent: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(898,'JLIB_CLIENT_ERROR_JFTP_REINIT_BAD_RESPONSE_NATIVE','JFTP: :reinit: Bad response','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(899,'JLIB_CLIENT_ERROR_JFTP_REINIT_BAD_RESPONSE','JFTP: :reinit: Bad response. Server response: %s [Expected: 220]','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(900,'JLIB_CLIENT_ERROR_JFTP_RENAME_BAD_RESPONSE_NATIVE','JFTP: :rename: Bad response','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini');
INSERT INTO `#__overrider` VALUES 
(901,'JLIB_CLIENT_ERROR_JFTP_RENAME_BAD_RESPONSE_FROM','JFTP: :rename: Bad response. Server response: %1$s [Expected: 350]. From path sent: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(902,'JLIB_CLIENT_ERROR_JFTP_RENAME_BAD_RESPONSE_TO','JFTP: :rename: Bad response. Server response: %1$s [Expected: 250]. To path sent: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(903,'JLIB_CLIENT_ERROR_JFTP_CHMOD_BAD_RESPONSE_NATIVE','JFTP: :chmod: Bad response','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(904,'JLIB_CLIENT_ERROR_JFTP_CHMOD_BAD_RESPONSE','JFTP: :chmod: Bad response. Server response: %1$s [Expected: 250]. Path sent: %2$s. Mode sent: %3$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(905,'JLIB_CLIENT_ERROR_JFTP_DELETE_BAD_RESPONSE_NATIVE','JFTP: :delete: Bad response','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(906,'JLIB_CLIENT_ERROR_JFTP_DELETE_BAD_RESPONSE','JFTP: :delete: Bad response. Server response: %1$s [Expected: 250]. Path sent: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(907,'JLIB_CLIENT_ERROR_JFTP_MKDIR_BAD_RESPONSE_NATIVE','JFTP: :mkdir: Bad response','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(908,'JLIB_CLIENT_ERROR_JFTP_MKDIR_BAD_RESPONSE','JFTP: :mkdir: Bad response. Server response: %1$s [Expected: 257]. Path sent: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(909,'JLIB_CLIENT_ERROR_JFTP_RESTART_BAD_RESPONSE_NATIVE','JFTP: :restart: Bad response','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(910,'JLIB_CLIENT_ERROR_JFTP_RESTART_BAD_RESPONSE','JFTP: :restart: Bad response. Server response: %1$s [Expected: 350]. Restart point sent: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(911,'JLIB_CLIENT_ERROR_JFTP_CREATE_BAD_RESPONSE_BUFFER','JFTP: :create: Bad response','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(912,'JLIB_CLIENT_ERROR_JFTP_CREATE_BAD_RESPONSE_PASSIVE','JFTP: :create: Unable to use passive mode','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(913,'JLIB_CLIENT_ERROR_JFTP_CREATE_BAD_RESPONSE','JFTP: :create: Bad response. Server response: %1$s [Expected: 150 or 125]. Path sent: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(914,'JLIB_CLIENT_ERROR_JFTP_CREATE_BAD_RESPONSE_TRANSFER','JFTP: :create: Transfer Failed. Server response: %1$s [Expected: 226]. Path sent: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(915,'JLIB_CLIENT_ERROR_JFTP_READ_BAD_RESPONSE_BUFFER','JFTP: :read: Bad response','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(916,'JLIB_CLIENT_ERROR_JFTP_READ_BAD_RESPONSE_PASSIVE','JFTP: :read: Unable to use passive mode','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(917,'JLIB_CLIENT_ERROR_JFTP_READ_BAD_RESPONSE','JFTP: :read: Bad response. Server response: %1$s [Expected: 150 or 125]. Path sent: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(918,'JLIB_CLIENT_ERROR_JFTP_READ_BAD_RESPONSE_TRANSFER','JFTP: :read: Transfer Failed. Server response: %1$s [Expected: 226]. Path sent: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(919,'JLIB_CLIENT_ERROR_JFTP_GET_BAD_RESPONSE','JFTP: :get: Bad response','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(920,'JLIB_CLIENT_ERROR_JFTP_GET_PASSIVE','JFTP: :get: Unable to use passive mode','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(921,'JLIB_CLIENT_ERROR_JFTP_GET_WRITING_LOCAL','JFTP: :get: Unable to open local file for writing. Local path: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(922,'JLIB_CLIENT_ERROR_JFTP_GET_BAD_RESPONSE_RETR','JFTP: :get: Bad response. Server response: %1$s [Expected: 150 or 125]. Path sent: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(923,'JLIB_CLIENT_ERROR_JFTP_GET_BAD_RESPONSE_TRANSFER','JFTP: :get: Transfer Failed. Server response: %1$s [Expected: 226]. Path sent: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(924,'JLIB_CLIENT_ERROR_JFTP_STORE_PASSIVE','JFTP: :store: Unable to use passive mode','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(925,'JLIB_CLIENT_ERROR_JFTP_STORE_BAD_RESPONSE','JFTP: :store: Bad response','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(926,'JLIB_CLIENT_ERROR_JFTP_STORE_READING_LOCAL','JFTP: :store: Unable to open local file for reading. Local path: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(927,'JLIB_CLIENT_ERROR_JFTP_STORE_FIND_LOCAL','JFTP: :store: Unable to find local file. Local path: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(928,'JLIB_CLIENT_ERROR_JFTP_STORE_BAD_RESPONSE_STOR','JFTP: :store: Bad response. Server response: %1$s [Expected: 150 or 125]. Path sent: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(929,'JLIB_CLIENT_ERROR_JFTP_STORE_DATA_PORT','JFTP: :store: Unable to write to data port socket','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(930,'JLIB_CLIENT_ERROR_JFTP_STORE_BAD_RESPONSE_TRANSFER','JFTP: :store: Transfer Failed. Server response: %1$s [Expected: 226]. Path sent: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(931,'JLIB_CLIENT_ERROR_JFTP_WRITE_PASSIVE','JFTP: :write: Unable to use passive mode','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(932,'JLIB_CLIENT_ERROR_JFTP_WRITE_BAD_RESPONSE','JFTP: :write: Bad response','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(933,'JLIB_CLIENT_ERROR_JFTP_WRITE_BAD_RESPONSE_STOR','JFTP: :write: Bad response. Server response: %1$s [Expected: 150 or 125]. Path sent: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(934,'JLIB_CLIENT_ERROR_JFTP_WRITE_DATA_PORT','JFTP: :write: Unable to write to data port socket','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(935,'JLIB_CLIENT_ERROR_JFTP_WRITE_BAD_RESPONSE_TRANSFER','JFTP: :write: Transfer Failed. Server response: %1$s [Expected: 226]. Path sent: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(936,'JLIB_CLIENT_ERROR_JFTP_LISTNAMES_PASSIVE','JFTP: :listNames: Unable to use passive mode','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(937,'JLIB_CLIENT_ERROR_JFTP_LISTNAMES_BAD_RESPONSE','JFTP: :listNames: Bad response','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(938,'JLIB_CLIENT_ERROR_JFTP_LISTNAMES_BAD_RESPONSE_NLST','JFTP: :listNames: Bad response. Server response: %1$s [Expected: 150 or 125]. Path sent: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(939,'JLIB_CLIENT_ERROR_JFTP_LISTNAMES_BAD_RESPONSE_TRANSFER','JFTP: :listNames: Transfer Failed. Server response: %1$s [Expected: 226]. Path sent: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(940,'JLIB_CLIENT_ERROR_JFTP_LISTDETAILS_BAD_RESPONSE','JFTP: :listDetails: Bad response','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(941,'JLIB_CLIENT_ERROR_JFTP_LISTDETAILS_PASSIVE','JFTP: :listDetails: Unable to use passive mode','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(942,'JLIB_CLIENT_ERROR_JFTP_LISTDETAILS_BAD_RESPONSE_LIST','JFTP: :listDetails: Bad response. Server response: %1$s [Expected: 150 or 125]. Path sent: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(943,'JLIB_CLIENT_ERROR_JFTP_LISTDETAILS_BAD_RESPONSE_TRANSFER','JFTP: :listDetails: Transfer Failed. Server response: %1$s [Expected: 226]. Path sent: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(944,'JLIB_CLIENT_ERROR_JFTP_LISTDETAILS_UNRECOGNISED','JFTP: :listDetails: Unrecognised directory listing format','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(945,'JLIB_CLIENT_ERROR_JFTP_PUTCMD_UNCONNECTED','JFTP: :_putCmd: Not connected to the control port','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(946,'JLIB_CLIENT_ERROR_JFTP_PUTCMD_SEND','JFTP: :_putCmd: Unable to send command: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(947,'JLIB_CLIENT_ERROR_JFTP_VERIFYRESPONSE','JFTP: :_verifyResponse: Timeout or unrecognised response while waiting for a response from the server. Server response: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(948,'JLIB_CLIENT_ERROR_JFTP_PASSIVE_CONNECT_PORT','JFTP: :_passive: Not connected to the control port','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(949,'JLIB_CLIENT_ERROR_JFTP_PASSIVE_RESPONSE','JFTP: :_passive: Timeout or unrecognised response while waiting for a response from the server. Server response: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(950,'JLIB_CLIENT_ERROR_JFTP_PASSIVE_IP_OBTAIN','JFTP: :_passive: Unable to obtain IP and port for data transfer. Server response: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini');
INSERT INTO `#__overrider` VALUES 
(951,'JLIB_CLIENT_ERROR_JFTP_PASSIVE_IP_VALID','JFTP: :_passive: IP and port for data transfer not valid. Server response: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(952,'JLIB_CLIENT_ERROR_JFTP_PASSIVE_CONNECT','JFTP: :_passive: Could not connect to host %1$s on port %2$s. Socket error number: %3$s and error message: %4$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(953,'JLIB_CLIENT_ERROR_JFTP_MODE_BINARY','JFTP: :_mode: Bad response. Server response: %s [Expected: 200]. Mode sent: Binary','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(954,'JLIB_CLIENT_ERROR_JFTP_MODE_ASCII','JFTP: :_mode: Bad response. Server response: %s [Expected: 200]. Mode sent: Ascii','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(955,'JLIB_CLIENT_ERROR_HELPER_SETCREDENTIALSFROMREQUEST_FAILED','Looks like User\'s credentials are no good...','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(956,'JLIB_CLIENT_ERROR_LDAP_ADDRESS_NOT_AVAILABLE','Address not available.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(957,'JLIB_DATABASE_ERROR_ADAPTER_MYSQL','The MySQL adapter \'mysql\' is not available.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(958,'JLIB_DATABASE_ERROR_ADAPTER_MYSQLI','The MySQL adapter \'mysqli\' is not available.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(959,'JLIB_DATABASE_ERROR_BIND_FAILED_INVALID_SOURCE_ARGUMENT','%s: :bind failed. Invalid source argument.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(960,'JLIB_DATABASE_ERROR_ARTICLE_UNIQUE_ALIAS','Another article from this category has the same alias','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(961,'JLIB_DATABASE_ERROR_CATEGORY_UNIQUE_ALIAS','Another category with the same parent category has the same alias','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(962,'JLIB_DATABASE_ERROR_CHECK_FAILED','%s: :check Failed - %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(963,'JLIB_DATABASE_ERROR_CHECKIN_FAILED','%s: :check-in failed - %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(964,'JLIB_DATABASE_ERROR_CHECKOUT_FAILED','%s: :check-out failed - %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(965,'JLIB_DATABASE_ERROR_CHILD_ROWS_CHECKED_OUT','Child rows checked out.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(966,'JLIB_DATABASE_ERROR_CLASS_DOES_NOT_SUPPORT_ORDERING','%s does not support ordering.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(967,'JLIB_DATABASE_ERROR_CLASS_IS_MISSING_FIELD','Missing field in the database: %s &#160; %s.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(968,'JLIB_DATABASE_ERROR_CLASS_NOT_FOUND_IN_FILE','Table class %s not found in file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(969,'JLIB_DATABASE_ERROR_CONNECT_DATABASE','Unable to connect to the Database: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(970,'JLIB_DATABASE_ERROR_CONNECT_MYSQL','Could not connect to MySQL.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(971,'JLIB_DATABASE_ERROR_DATABASE_CONNECT','Could not connect to database','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(972,'JLIB_DATABASE_ERROR_DELETE_CATEGORY','Left-Right data inconsistency. Cannot delete category.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(973,'JLIB_DATABASE_ERROR_DELETE_FAILED','%s: :delete failed - %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(974,'JLIB_DATABASE_ERROR_DELETE_ROOT_CATEGORIES','Root categories cannot be deleted.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(975,'JLIB_DATABASE_ERROR_EMAIL_INUSE','This email is already registered.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(976,'JLIB_DATABASE_ERROR_EMPTY_ROW_RETURNED','The database row is empty.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(977,'JLIB_DATABASE_ERROR_FUNCTION_FAILED','DB function failed with error number %s <br /><span style="color: red;">%s</span>','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(978,'JLIB_DATABASE_ERROR_GET_NEXT_ORDER_FAILED','%s: :getNextOrder failed - %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(979,'JLIB_DATABASE_ERROR_GET_TREE_FAILED','%s: :getTree Failed - %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(980,'JLIB_DATABASE_ERROR_GETNODE_FAILED','%s: :_getNode Failed - %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(981,'JLIB_DATABASE_ERROR_GETROOTID_FAILED','%s: :getRootId Failed - %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(982,'JLIB_DATABASE_ERROR_HIT_FAILED','%s: :hit failed - %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(983,'JLIB_DATABASE_ERROR_INVALID_LOCATION','%s: :setLocation - Invalid location','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(984,'JLIB_DATABASE_ERROR_INVALID_NODE_RECURSION','%s: :move Failed - Cannot move the node to be a child of itself','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(985,'JLIB_DATABASE_ERROR_INVALID_PARENT_ID','Invalid parent ID.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(986,'JLIB_DATABASE_ERROR_LANGUAGE_NO_TITLE','The language should have a title','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(987,'JLIB_DATABASE_ERROR_LANGUAGE_UNIQUE_IMAGE','A content language already exists with this Image Prefix','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(988,'JLIB_DATABASE_ERROR_LANGUAGE_UNIQUE_LANG_CODE','A content language already exists with this Language Tag','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(989,'JLIB_DATABASE_ERROR_LANGUAGE_UNIQUE_SEF','A content language already exists with this URL Language Code','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(990,'JLIB_DATABASE_ERROR_LOAD_DATABASE_DRIVER','Unable to load Database Driver: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(991,'JLIB_DATABASE_ERROR_MENUTYPE','Some menu items or some menu modules related to this menutype are checked out by another user or the default menu item is in this menu','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(992,'JLIB_DATABASE_ERROR_MENUTYPE_CHECKOUT','The user checking out does not match the user who checked out this menu and/or its linked menu module.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(993,'JLIB_DATABASE_ERROR_MENUTYPE_EMPTY','Menu type empty','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(994,'JLIB_DATABASE_ERROR_MENUTYPE_EXISTS','Menu type exists: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(995,'JLIB_DATABASE_ERROR_MENU_CANNOT_UNSET_DEFAULT','The Language parameter for this menu item must be set to \'All\'. At least one Default menu item must have Language set to All, even if the site is multilingual.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(996,'JLIB_DATABASE_ERROR_MENU_CANNOT_UNSET_DEFAULT_DEFAULT','At least one menu item has to be set as Default.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(997,'JLIB_DATABASE_ERROR_MENU_UNPUBLISH_DEFAULT_HOME','Cannot unpublish default home','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(998,'JLIB_DATABASE_ERROR_MENU_DEFAULT_CHECKIN_USER_MISMATCH','The current home menu for this language is checked out','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(999,'JLIB_DATABASE_ERROR_MENU_UNIQUE_ALIAS','Another menu item with the same parent has this alias','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1000,'JLIB_DATABASE_ERROR_MENU_UNIQUE_ALIAS_ROOT','Another menu item has the same alias in Root. Root is the top level parent','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini');
INSERT INTO `#__overrider` VALUES 
(1001,'JLIB_DATABASE_ERROR_MENU_HOME_NOT_COMPONENT','The home menu item must be a component.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1002,'JLIB_DATABASE_ERROR_MENU_HOME_NOT_UNIQUE_IN_MENU','A menu should contain only one Default home.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1003,'JLIB_DATABASE_ERROR_MENU_ROOT_ALIAS_COMPONENT','A first level menu item alias cannot be \'component\'.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1004,'JLIB_DATABASE_ERROR_MENU_ROOT_ALIAS_FOLDER','A first level menu item alias cannot be \'%s\' because \'%s\' is a sub-folder of your joomla installation folder.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1005,'JLIB_DATABASE_ERROR_MOVE_FAILED','%s: :move failed - %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1006,'JLIB_DATABASE_ERROR_MUSTCONTAIN_A_TITLE_CATEGORY','Category must have a title','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1007,'JLIB_DATABASE_ERROR_MUSTCONTAIN_A_TITLE_EXTENSION','Extension must have a title','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1008,'JLIB_DATABASE_ERROR_MUSTCONTAIN_A_TITLE_MODULE','Module must have a title','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1009,'JLIB_DATABASE_ERROR_NEGATIVE_NOT_PERMITTED','%s cannot be negative','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1010,'JLIB_DATABASE_ERROR_NO_ROWS_SELECTED','No rows selected.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1011,'JLIB_DATABASE_ERROR_NOT_SUPPORTED_FILE_NOT_FOUND','Table %s not supported. File not found.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1012,'JLIB_DATABASE_ERROR_NULL_PRIMARY_KEY','Null primary key not allowed.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1013,'JLIB_DATABASE_ERROR_ORDERDOWN_FAILED','%s: :orderDown Failed - %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1014,'JLIB_DATABASE_ERROR_ORDERUP_FAILED','%s: :orderUp Failed - %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1015,'JLIB_DATABASE_ERROR_PLEASE_ENTER_A_USER_NAME','Please enter a username.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1016,'JLIB_DATABASE_ERROR_PLEASE_ENTER_YOUR_NAME','Please enter your name.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1017,'JLIB_DATABASE_ERROR_PUBLISH_FAILED','%s: :publish failed - %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1018,'JLIB_DATABASE_ERROR_REBUILD_FAILED','%s: :rebuild Failed - %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1019,'JLIB_DATABASE_ERROR_REBUILDPATH_FAILED','%s: :rebuildPath Failed - %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1020,'JLIB_DATABASE_ERROR_REORDER_FAILED','%s: :reorder failed - %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1021,'JLIB_DATABASE_ERROR_REORDER_UPDATE_ROW_FAILED','%s: :reorder update the row %s failed - %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1022,'JLIB_DATABASE_ERROR_ROOT_NODE_NOT_FOUND','Root node not found.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1023,'JLIB_DATABASE_ERROR_STORE_FAILED_UPDATE_ASSET_ID','The asset_id field could not be updated','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1024,'JLIB_DATABASE_ERROR_STORE_FAILED','%1$s: :store failed<br />%2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1025,'JLIB_DATABASE_ERROR_USERGROUP_TITLE','Usergroup must have a title','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1026,'JLIB_DATABASE_ERROR_USERGROUP_TITLE_EXISTS','Usergroup title already exists. Title must be unique with the same parent.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1027,'JLIB_DATABASE_ERROR_USERNAME_CANNOT_CHANGE','Cannot use this username','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1028,'JLIB_DATABASE_ERROR_USERNAME_INUSE','Username in use','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1029,'JLIB_DATABASE_ERROR_VALID_AZ09','Please enter a valid username. No space at beginning or end, at least %d characters and must <strong>not</strong> contain the following characters: < > \\ " \' &#37; ; ( ) &','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1030,'JLIB_DATABASE_ERROR_VALID_MAIL','Please enter a valid email address.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1031,'JLIB_DATABASE_ERROR_VIEWLEVEL','Viewlevel must have a title','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1032,'JLIB_DATABASE_FUNCTION_NOERROR','DB function reports no errors','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1033,'JLIB_DATABASE_QUERY_FAILED','Database query failed (error # %s): %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1034,'JLIB_DOCUMENT_ERROR_UNABLE_LOAD_DOC_CLASS','Unable to load document class','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1035,'JLIB_ENVIRONMENT_SESSION_EXPIRED','Your session has expired. Please log in again.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1036,'JLIB_ERROR_INFINITE_LOOP','Infinite loop detected in JError','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1037,'JLIB_EVENT_ERROR_DISPATCHER','JEventDispatcher: :register: Event handler not recognised. Handler: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1038,'JLIB_FILESYSTEM_BZIP_NOT_SUPPORTED','BZip2 Not Supported','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1039,'JLIB_FILESYSTEM_BZIP_UNABLE_TO_READ','Unable to read archive (bz2)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1040,'JLIB_FILESYSTEM_BZIP_UNABLE_TO_WRITE','Unable to write archive (bz2)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1041,'JLIB_FILESYSTEM_BZIP_UNABLE_TO_WRITE_FILE','Unable to write file (bz2)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1042,'JLIB_FILESYSTEM_GZIP_NOT_SUPPORTED','GZlib Not Supported','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1043,'JLIB_FILESYSTEM_GZIP_UNABLE_TO_READ','Unable to read archive (gz)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1044,'JLIB_FILESYSTEM_GZIP_UNABLE_TO_WRITE','Unable to write archive (gz)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1045,'JLIB_FILESYSTEM_GZIP_UNABLE_TO_WRITE_FILE','Unable to write file (gz)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1046,'JLIB_FILESYSTEM_GZIP_UNABLE_TO_DECOMPRESS','Unable to decompress data','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1047,'JLIB_FILESYSTEM_TAR_UNABLE_TO_READ','Unable to read archive (tar)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1048,'JLIB_FILESYSTEM_TAR_UNABLE_TO_DECOMPRESS','Unable to decompress data','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1049,'JLIB_FILESYSTEM_TAR_UNABLE_TO_CREATE_DESTINATION','Unable to create destination','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1050,'JLIB_FILESYSTEM_TAR_UNABLE_TO_WRITE_ENTRY','Unable to write entry','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini');
INSERT INTO `#__overrider` VALUES 
(1051,'JLIB_FILESYSTEM_ZIP_NOT_SUPPORTED','Zlib Not Supported','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1052,'JLIB_FILESYSTEM_ZIP_UNABLE_TO_READ','Unable to read archive (zip)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1053,'JLIB_FILESYSTEM_ZIP_INFO_FAILED','Get ZIP Information failed','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1054,'JLIB_FILESYSTEM_ZIP_UNABLE_TO_CREATE_DESTINATION','Unable to create destination','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1055,'JLIB_FILESYSTEM_ZIP_UNABLE_TO_WRITE_ENTRY','Unable to write entry','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1056,'JLIB_FILESYSTEM_ZIP_UNABLE_TO_READ_ENTRY','Unable to read entry','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1057,'JLIB_FILESYSTEM_ZIP_UNABLE_TO_OPEN_ARCHIVE','Unable to open archive','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1058,'JLIB_FILESYSTEM_ZIP_INVALID_ZIP_DATA','Invalid ZIP data','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1059,'JLIB_FILESYSTEM_STREAM_FAILED','Failed to register string stream','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1060,'JLIB_FILESYSTEM_UNKNOWNARCHIVETYPE','Unknown Archive type','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1061,'JLIB_FILESYSTEM_UNABLE_TO_LOAD_ARCHIVE','Unable to load archive','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1062,'JLIB_FILESYSTEM_ERROR_JFILE_FIND_COPY','JFile: :copy: Cannot find or read file: $%s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1063,'JLIB_FILESYSTEM_ERROR_JFILE_STREAMS','JFile: :copy(%1$s, %2$s): %3$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1064,'JLIB_FILESYSTEM_ERROR_COPY_FAILED','Copy failed','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1065,'JLIB_FILESYSTEM_DELETE_FAILED','Failed deleting %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1066,'JLIB_FILESYSTEM_CANNOT_FIND_SOURCE_FILE','Cannot find source file','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1067,'JLIB_FILESYSTEM_ERROR_JFILE_MOVE_STREAMS','JFile: :move: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1068,'JLIB_FILESYSTEM_ERROR_RENAME_FILE','Rename failed','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1069,'JLIB_FILESYSTEM_ERROR_READ_UNABLE_TO_OPEN_FILE','JFile: :read: Unable to open file: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1070,'JLIB_FILESYSTEM_ERROR_WRITE_STREAMS','JFile: :write(%1$s): %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1071,'JLIB_FILESYSTEM_ERROR_UPLOAD','JFile: :upload: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1072,'JLIB_FILESYSTEM_ERROR_WARNFS_ERR01','Warning: Failed to change file permissions!','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1073,'JLIB_FILESYSTEM_ERROR_WARNFS_ERR02','Warning: Failed to move file!','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1074,'JLIB_FILESYSTEM_ERROR_FIND_SOURCE_FOLDER','Cannot find source folder','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1075,'JLIB_FILESYSTEM_ERROR_FOLDER_EXISTS','Folder already exists','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1076,'JLIB_FILESYSTEM_ERROR_FOLDER_CREATE','Unable to create target folder','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1077,'JLIB_FILESYSTEM_ERROR_FOLDER_OPEN','Unable to open source folder','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1078,'JLIB_FILESYSTEM_ERROR_FOLDER_LOOP','Infinite loop detected','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1079,'JLIB_FILESYSTEM_ERROR_FOLDER_PATH','Path not in open_basedir paths','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1080,'JLIB_FILESYSTEM_ERROR_COULD_NOT_CREATE_DIRECTORY','Could not create directory','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1081,'JLIB_FILESYSTEM_ERROR_DELETE_BASE_DIRECTORY','You can\'t delete a base directory.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1082,'JLIB_FILESYSTEM_ERROR_PATH_IS_NOT_A_FOLDER','JFolder: :delete: Path is not a folder. Path: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1083,'JLIB_FILESYSTEM_ERROR_FOLDER_DELETE','JFolder: :delete: Could not delete folder. Path: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1084,'JLIB_FILESYSTEM_ERROR_FOLDER_RENAME','Rename failed: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1085,'JLIB_FILESYSTEM_ERROR_PATH_IS_NOT_A_FOLDER_FILES','JFolder: :files: Path is not a folder. Path: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1086,'JLIB_FILESYSTEM_ERROR_PATH_IS_NOT_A_FOLDER_FOLDER','JFolder: :folder: Path is not a folder. Path: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1087,'JLIB_FILESYSTEM_ERROR_STREAMS_FILE_SIZE','Failed to get file size. This may not work for all streams!','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1088,'JLIB_FILESYSTEM_ERROR_STREAMS_FILE_NOT_OPEN','File not open','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1089,'JLIB_FILESYSTEM_ERROR_STREAMS_FILENAME','Filename not set','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1090,'JLIB_FILESYSTEM_ERROR_NO_DATA_WRITTEN','Warning: No data written','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1091,'JLIB_FILESYSTEM_ERROR_STREAMS_FAILED_TO_OPEN_WRITER','Failed to open writer: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1092,'JLIB_FILESYSTEM_ERROR_STREAMS_FAILED_TO_OPEN_READER','Failed to open reader: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1093,'JLIB_FILESYSTEM_ERROR_STREAMS_NOT_UPLOADED_FILE','Not an uploaded file!','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1094,'JLIB_FORM_BUTTON_CLEAR','Clear','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1095,'JLIB_FORM_BUTTON_SELECT','Select','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1096,'JLIB_FORM_CHANGE_IMAGE','Change image','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1097,'JLIB_FORM_CHANGE_IMAGE_BUTTON','Change Image Button','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1098,'JLIB_FORM_CHANGE_USER','Select User','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1099,'JLIB_FORM_ERROR_FIELDS_CATEGORY_ERROR_EXTENSION_EMPTY','Extension attribute is empty in the category field','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1100,'JLIB_FORM_ERROR_FIELDS_GROUPEDLIST_ELEMENT_NAME','Unknown element type: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini');
INSERT INTO `#__overrider` VALUES 
(1101,'JLIB_FORM_ERROR_NO_DATA','No data','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1102,'JLIB_FORM_ERROR_VALIDATE_FIELD','Invalid xml field','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1103,'JLIB_FORM_ERROR_XML_FILE_DID_NOT_LOAD','XML file did not load','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1104,'JLIB_FORM_FIELD_INVALID','Invalid field:&#160','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1105,'JLIB_FORM_INPUTMODE','latin','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1106,'JLIB_FORM_INVALID_FORM_OBJECT','Invalid Form Object: :%s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1107,'JLIB_FORM_INVALID_FORM_RULE','Invalid Form Rule: :%s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1108,'JLIB_FORM_MEDIA_PREVIEW_ALT','Selected image','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1109,'JLIB_FORM_MEDIA_PREVIEW_EMPTY','No image selected.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1110,'JLIB_FORM_MEDIA_PREVIEW_SELECTED_IMAGE','Selected image','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1111,'JLIB_FORM_MEDIA_PREVIEW_TIP_TITLE','Preview','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1112,'JLIB_FORM_SELECT_USER','Select a User','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1113,'JLIB_FORM_VALIDATE_FIELD_INVALID','Invalid field: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1114,'JLIB_FORM_VALIDATE_FIELD_REQUIRED','Field required: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1115,'JLIB_FORM_VALIDATE_FIELD_RULE_MISSING','Validation Rule missing: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1116,'JLIB_FORM_VALUE_CACHE_APC','Alternative PHP Cache','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1117,'JLIB_FORM_VALUE_CACHE_CACHELITE','Cache_Lite','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1118,'JLIB_FORM_VALUE_CACHE_EACCELERATOR','eAccelerator','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1119,'JLIB_FORM_VALUE_CACHE_FILE','File','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1120,'JLIB_FORM_VALUE_CACHE_MEMCACHE','Memcache','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1121,'JLIB_FORM_VALUE_CACHE_MEMCACHED','Memcached (Experimental)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1122,'JLIB_FORM_VALUE_CACHE_WINCACHE','Windows Cache','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1123,'JLIB_FORM_VALUE_CACHE_XCACHE','XCache','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1124,'JLIB_FORM_VALUE_SESSION_APC','Alternative PHP Cache','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1125,'JLIB_FORM_VALUE_SESSION_DATABASE','Database','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1126,'JLIB_FORM_VALUE_SESSION_EACCELERATOR','eAccelerator','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1127,'JLIB_FORM_VALUE_SESSION_MEMCACHE','Memcache','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1128,'JLIB_FORM_VALUE_SESSION_MEMCACHED','Memcached (Experimental)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1129,'JLIB_FORM_VALUE_SESSION_NONE','None','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1130,'JLIB_FORM_VALUE_SESSION_WINCACHE','Windows Cache','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1131,'JLIB_FORM_VALUE_SESSION_XCACHE','XCache','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1132,'JLIB_FORM_VALUE_TIMEZONE_UTC','Universal Time, Coordinated (UTC)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1133,'JLIB_FORM_VALUE_FROM_TEMPLATE','From Template','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1134,'JLIB_FORM_VALUE_INHERITED','Inherited','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1135,'JLIB_HTML_ACCESS_MODIFY_DESC_CAPTION_ACL','ACL','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1136,'JLIB_HTML_ACCESS_MODIFY_DESC_CAPTION_TABLE','Table','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1137,'JLIB_HTML_ACCESS_SUMMARY_DESC_CAPTION','ACL Summary Table','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1138,'JLIB_HTML_ACCESS_SUMMARY_DESC','Shown below is an overview of the permission settings for this article. Click the tabs above to customise these settings by action.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1139,'JLIB_HTML_ACCESS_SUMMARY','Summary','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1140,'JLIB_HTML_ADD_TO_ROOT','Add to root','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1141,'JLIB_HTML_ADD_TO_THIS_MENU','Add to this menu','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1142,'JLIB_HTML_BATCH_ACCESS_LABEL','Set Access Level','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1143,'JLIB_HTML_BATCH_ACCESS_LABEL_DESC','Not making a selection will keep the original access levels when processing.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1144,'JLIB_HTML_BATCH_COPY','Copy','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1145,'JLIB_HTML_BATCH_LANGUAGE_LABEL','Set Language','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1146,'JLIB_HTML_BATCH_LANGUAGE_LABEL_DESC','Not making a selection will keep the original language when processing.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1147,'JLIB_HTML_BATCH_LANGUAGE_NOCHANGE','- Keep original Language -','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1148,'JLIB_HTML_BATCH_MENU_LABEL','Select Category for Move/Copy','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1149,'JLIB_HTML_BATCH_MOVE','Move','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1150,'JLIB_HTML_BATCH_NOCHANGE','- Keep original Access Levels -','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini');
INSERT INTO `#__overrider` VALUES 
(1151,'JLIB_HTML_BATCH_TAG_LABEL','Add Tag','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1152,'JLIB_HTML_BATCH_TAG_LABEL_DESC','Add a tag to selected items.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1153,'JLIB_HTML_BATCH_TAG_NOCHANGE','- Keep original Tags -','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1154,'JLIB_HTML_BATCH_USER_LABEL','Set User','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1155,'JLIB_HTML_BATCH_USER_LABEL_DESC','Not making a selection will keep the original user when processing.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1156,'JLIB_HTML_BATCH_USER_NOCHANGE','- Keep original User -','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1157,'JLIB_HTML_BATCH_USER_NOUSER','No User','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1158,'JLIB_HTML_BEHAVIOR_ABOUT_THE_CALENDAR','About the Calendar','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1159,'JLIB_HTML_BEHAVIOR_CLOSE','Close','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1160,'JLIB_HTML_BEHAVIOR_DATE_SELECTION','Date selection:\\n','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1161,'JLIB_HTML_BEHAVIOR_DISPLAY_S_FIRST','Display %s first','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1162,'JLIB_HTML_BEHAVIOR_DRAG_TO_MOVE','Drag to move','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1163,'JLIB_HTML_BEHAVIOR_GO_TODAY','Go to today','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1164,'JLIB_HTML_BEHAVIOR_GREEN','Green','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1165,'JLIB_HTML_BEHAVIOR_HOLD_MOUSE','- Hold mouse button on any of the above buttons for faster selection.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1166,'JLIB_HTML_BEHAVIOR_MONTH_SELECT','- Use the < and > buttons to select month\\n','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1167,'JLIB_HTML_BEHAVIOR_NEXT_MONTH_HOLD_FOR_MENU','Click to move to the next month. Click and hold for a list of the months.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1168,'JLIB_HTML_BEHAVIOR_NEXT_YEAR_HOLD_FOR_MENU','Click to move to the next year. Click and hold for a list of years.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1169,'JLIB_HTML_BEHAVIOR_PREV_MONTH_HOLD_FOR_MENU','Click to move to the previous month. Click and hold for a list of the months.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1170,'JLIB_HTML_BEHAVIOR_PREV_YEAR_HOLD_FOR_MENU','Click to move to the previous year. Click and hold for a list of years.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1171,'JLIB_HTML_BEHAVIOR_SELECT_DATE','Select a date.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1172,'JLIB_HTML_BEHAVIOR_SHIFT_CLICK_OR_DRAG_TO_CHANGE_VALUE','(Shift-)Click or Drag to change the value.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1173,'JLIB_HTML_BEHAVIOR_TIME','Time:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1174,'JLIB_HTML_BEHAVIOR_TODAY','Today','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1175,'JLIB_HTML_BEHAVIOR_TT_DATE_FORMAT','%a, %b %e','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1176,'JLIB_HTML_BEHAVIOR_WK','wk','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1177,'JLIB_HTML_BEHAVIOR_YEAR_SELECT','- Use the « and » buttons to select year\\n','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1178,'JLIB_HTML_BUTTON_BASE_CLASS','Could not load button base class.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1179,'JLIB_HTML_BUTTON_NO_LOAD','Could not load button %s (%s);','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1180,'JLIB_HTML_BUTTON_NOT_DEFINED','Button not defined for type = %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1181,'JLIB_HTML_CALENDAR','Calendar','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1182,'JLIB_HTML_CHECKED_OUT','Checked out','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1183,'JLIB_HTML_CHECKIN','Check-in','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1184,'JLIB_HTML_CLOAKING','This email address is being protected from spambots. You need JavaScript enabled to view it.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1185,'JLIB_HTML_DATE_RELATIVE_DAYS','%s days ago','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1186,'JLIB_HTML_DATE_RELATIVE_DAYS_1','%s day ago','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1187,'JLIB_HTML_DATE_RELATIVE_DAYS_0','%s days ago','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1188,'JLIB_HTML_DATE_RELATIVE_HOURS','%s hours ago','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1189,'JLIB_HTML_DATE_RELATIVE_HOURS_1','%s hour ago','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1190,'JLIB_HTML_DATE_RELATIVE_HOURS_0','%s hours ago','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1191,'JLIB_HTML_DATE_RELATIVE_LESSTHANAMINUTE','Less than a minute ago','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1192,'JLIB_HTML_DATE_RELATIVE_MINUTES','%s minutes ago','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1193,'JLIB_HTML_DATE_RELATIVE_MINUTES_1','%s minute ago','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1194,'JLIB_HTML_DATE_RELATIVE_MINUTES_0','%s minutes ago','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1195,'JLIB_HTML_DATE_RELATIVE_WEEKS','%s weeks ago','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1196,'JLIB_HTML_DATE_RELATIVE_WEEKS_1','%s week ago','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1197,'JLIB_HTML_DATE_RELATIVE_WEEKS_0','%s weeks ago','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1198,'JLIB_HTML_EDIT_MENU_ITEM','Edit menu item','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1199,'JLIB_HTML_EDIT_MENU_ITEM_ID','Item id: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1200,'JLIB_HTML_EDIT_MODULE','Edit module','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini');
INSERT INTO `#__overrider` VALUES 
(1201,'JLIB_HTML_EDIT_MODULE_IN_POSITION','Position: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1202,'JLIB_HTML_EDITOR_CANNOT_LOAD','Cannot load the editor','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1203,'JLIB_HTML_END','End','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1204,'JLIB_HTML_ERROR_FUNCTION_NOT_SUPPORTED','Function not supported.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1205,'JLIB_HTML_ERROR_NOTFOUNDINFILE','%s: :%s not found in file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1206,'JLIB_HTML_ERROR_NOTSUPPORTED_NOFILE','%s: :%s not supported. File not found.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1207,'JLIB_HTML_ERROR_NOTSUPPORTED','%s: :%s not supported.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1208,'JLIB_HTML_MOVE_DOWN','Move Down','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1209,'JLIB_HTML_MOVE_UP','Move Up','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1210,'JLIB_HTML_NO_PARAMETERS_FOR_THIS_ITEM','There are no parameters for this item','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1211,'JLIB_HTML_NO_RECORDS_FOUND','No record found','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1212,'JLIB_HTML_PAGE_CURRENT_OF_TOTAL','Page %s of %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1213,'JLIB_HTML_PLEASE_MAKE_A_SELECTION_FROM_THE_LIST','Please first make a selection from the list','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1214,'JLIB_HTML_PUBLISH_ITEM','Publish Item','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1215,'JLIB_HTML_PUBLISHED_EXPIRED_ITEM','Published, but has Expired','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1216,'JLIB_HTML_PUBLISHED_FINISHED','Finish: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1217,'JLIB_HTML_PUBLISHED_ITEM','Published and is Current','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1218,'JLIB_HTML_PUBLISHED_PENDING_ITEM','Published, but is Pending','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1219,'JLIB_HTML_PUBLISHED_START','Start: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1220,'JLIB_HTML_RESULTS_OF','Results %s - %s of %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1221,'JLIB_HTML_SAVE_ORDER','Save Order','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1222,'JLIB_HTML_SELECT_STATE','Select State','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1223,'JLIB_HTML_START','Start','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1224,'JLIB_HTML_UNPUBLISH_ITEM','Unpublish Item','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1225,'JLIB_HTML_VIEW_ALL','View All','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1226,'JLIB_HTML_SETDEFAULT_ITEM','Set default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1227,'JLIB_HTML_UNSETDEFAULT_ITEM','Unset default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1228,'JLIB_INSTALLER_ABORT','Aborting language installation: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1229,'JLIB_INSTALLER_ABORT_ALREADYINSTALLED','Extension is already installed','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1230,'JLIB_INSTALLER_ABORT_COMP_BUILDADMINMENUS_FAILED','Error building Admin Menus','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1231,'JLIB_INSTALLER_ABORT_COMP_INSTALL_COPY_SETUP','Component Install: Could not copy setup file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1232,'JLIB_INSTALLER_ABORT_COMP_INSTALL_CUSTOM_INSTALL_FAILURE','Component Install: Custom install routine failure','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1233,'JLIB_INSTALLER_ABORT_COMP_INSTALL_MANIFEST','Component Install: Could not copy PHP manifest file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1234,'JLIB_INSTALLER_ABORT_COMP_INSTALL_PHP_INSTALL','Component Install: Could not copy PHP install file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1235,'JLIB_INSTALLER_ABORT_COMP_INSTALL_PHP_UNINSTALL','Component Install: Could not copy PHP uninstall file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1236,'JLIB_INSTALLER_ABORT_COMP_INSTALL_ROLLBACK','Component Install: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1237,'JLIB_INSTALLER_ABORT_COMP_INSTALL_SQL_ERROR','Component Install: SQL error file %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1238,'JLIB_INSTALLER_ABORT_COMP_UPDATE_ADMIN_ELEMENT','Component Update: The XML file did not contain an administration element','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1239,'JLIB_INSTALLER_ABORT_COMP_UPDATE_COPY_SETUP','Component Update: Could not copy setup file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1240,'JLIB_INSTALLER_ABORT_COMP_UPDATE_MANIFEST','Component Update: Could not copy PHP manifest file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1241,'JLIB_INSTALLER_ABORT_COMP_UPDATE_PHP_INSTALL','Component Update: Could not copy PHP install file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1242,'JLIB_INSTALLER_ABORT_COMP_UPDATE_PHP_UNINSTALL','Component Update: Could not copy PHP uninstall file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1243,'JLIB_INSTALLER_ABORT_COMP_UPDATE_ROLLBACK','Component Update: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1244,'JLIB_INSTALLER_ABORT_COMP_UPDATE_SQL_ERROR','Component Update: SQL error file %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1245,'JLIB_INSTALLER_ABORT_DEBUG','Installation unexpectedly terminated:','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1246,'JLIB_INSTALLER_ABORT_DETECTMANIFEST','Unable to detect manifest file','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1247,'JLIB_INSTALLER_ABORT_EXTENSIONNOTVALID','Extension is not valid','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1248,'JLIB_INSTALLER_ABORT_FILE_INSTALL_COPY_SETUP','Files Install: Could not copy setup file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1249,'JLIB_INSTALLER_ABORT_FILE_INSTALL_CUSTOM_INSTALL_FAILURE','Files Install: Custom install routine failure','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1250,'JLIB_INSTALLER_ABORT_FILE_INSTALL_FAIL_SOURCE_DIRECTORY','Files Install: Failed to find source directory: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini');
INSERT INTO `#__overrider` VALUES 
(1251,'JLIB_INSTALLER_ABORT_FILE_INSTALL_ROLLBACK','Files Install: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1252,'JLIB_INSTALLER_ABORT_FILE_INSTALL_SQL_ERROR','Files %1$s: SQL error file %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1253,'JLIB_INSTALLER_ABORT_FILE_ROLLBACK','Files Install: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1254,'JLIB_INSTALLER_ABORT_FILE_SAME_NAME','Files Install: Another extension with same name already exists.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1255,'JLIB_INSTALLER_ABORT_FILE_UPDATE_SQL_ERROR','Files Update: SQL error file %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1256,'JLIB_INSTALLER_ABORT_LIB_INSTALL_ALREADY_INSTALLED','Library Install: Library already installed','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1257,'JLIB_INSTALLER_ABORT_LIB_INSTALL_COPY_SETUP','Library Install: Could not copy setup file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1258,'JLIB_INSTALLER_ABORT_LIB_INSTALL_FAILED_TO_CREATE_DIRECTORY','Library Install: Failed to create directory: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1259,'JLIB_INSTALLER_ABORT_LIB_INSTALL_NOFILE','Library Install: No library file specified','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1260,'JLIB_INSTALLER_ABORT_LIB_INSTALL_ROLLBACK','Library Install: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1261,'JLIB_INSTALLER_ABORT_LOAD_DETAILS','Failed to load extension details','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1262,'JLIB_INSTALLER_ABORT_METHODNOTSUPPORTED','Method not supported for this extension type','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1263,'JLIB_INSTALLER_ABORT_METHODNOTSUPPORTED_TYPE','Method not supported for this extension type: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1264,'JLIB_INSTALLER_ABORT_MOD_INSTALL_COPY_SETUP','Module Install: Could not copy setup file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1265,'JLIB_INSTALLER_ABORT_MOD_INSTALL_CREATE_DIRECTORY','Module %1$s: Failed to create directory: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1266,'JLIB_INSTALLER_ABORT_MOD_INSTALL_CUSTOM_INSTALL_FAILURE','Module Install: Custom install routine failure','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1267,'JLIB_INSTALLER_ABORT_MOD_INSTALL_DIRECTORY','Module %1$s: Another module is already using directory: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1268,'JLIB_INSTALLER_ABORT_MOD_INSTALL_MANIFEST','Module Install: Could not copy PHP manifest file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1269,'JLIB_INSTALLER_ABORT_MOD_INSTALL_NOFILE','Module %s: No module file specified','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1270,'JLIB_INSTALLER_ABORT_MOD_INSTALL_SQL_ERROR','Module %1$s: SQL error file %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1271,'JLIB_INSTALLER_ABORT_MOD_ROLLBACK','Module %1$s: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1272,'JLIB_INSTALLER_ABORT_MOD_UNINSTALL_UNKNOWN_CLIENT','Module Uninstall: Unknown client type [%s]','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1273,'JLIB_INSTALLER_ABORT_MOD_UNKNOWN_CLIENT','Module %1$s: Unknown client type [%2$s]','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1274,'JLIB_INSTALLER_ABORT_NOINSTALLPATH','Install path does not exist','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1275,'JLIB_INSTALLER_ABORT_NOUPDATEPATH','Update path does not exist','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1276,'JLIB_INSTALLER_ABORT_PACK_INSTALL_COPY_SETUP','Package Install: Could not copy setup file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1277,'JLIB_INSTALLER_ABORT_PACK_INSTALL_CREATE_DIRECTORY','Package Install: Failed to create directory:%s ','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1278,'JLIB_INSTALLER_ABORT_PACKAGE_INSTALL_CUSTOM_INSTALL_FAILURE','Package Install: Custom install routine failure','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1279,'JLIB_INSTALLER_ABORT_PACKAGE_INSTALL_MANIFEST','Installation failed: Could not copy PHP manifest file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1280,'JLIB_INSTALLER_ABORT_PACK_INSTALL_ERROR_EXTENSION','Package %1$s: There was an error installing an extension: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1281,'JLIB_INSTALLER_ABORT_PACK_INSTALL_NO_FILES','Package %s: There were no files to install!','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1282,'JLIB_INSTALLER_ABORT_PACK_INSTALL_NO_PACK','Package %s: No package file specified','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1283,'JLIB_INSTALLER_ABORT_PACK_INSTALL_ROLLBACK','Package Install: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1284,'JLIB_INSTALLER_ABORT_PLG_INSTALL_ALLREADY_EXISTS','Plugin %1$s: Plugin %2$s already exists','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1285,'JLIB_INSTALLER_ABORT_PLG_INSTALL_COPY_SETUP','Plugin %s: Could not copy setup file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1286,'JLIB_INSTALLER_ABORT_PLG_INSTALL_CREATE_DIRECTORY','Plugin %1$s: Failed to create directory: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1287,'JLIB_INSTALLER_ABORT_PLG_INSTALL_CUSTOM_INSTALL_FAILURE','Plugin Install: Custom install routine failure','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1288,'JLIB_INSTALLER_ABORT_PLG_INSTALL_DIRECTORY','Plugin %1$s: Another plugin is already using directory: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1289,'JLIB_INSTALLER_ABORT_PLG_INSTALL_MANIFEST','Plugin %s: Could not copy PHP manifest file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1290,'JLIB_INSTALLER_ABORT_PLG_INSTALL_NO_FILE','Plugin %s: No plugin file specified','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1291,'JLIB_INSTALLER_ABORT_PLG_INSTALL_ROLLBACK','Plugin %1$s: %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1292,'JLIB_INSTALLER_ABORT_PLG_INSTALL_SQL_ERROR','Plugin %1$s: SQL error file %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1293,'JLIB_INSTALLER_ABORT_PLG_UNINSTALL_SQL_ERROR','Plugin Uninstall: SQL error file %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1294,'JLIB_INSTALLER_ABORT_REFRESH_MANIFEST_CACHE','Refresh Manifest Cache failed: Extension is not currently installed.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1295,'JLIB_INSTALLER_ABORT_REFRESH_MANIFEST_CACHE_VALID','Refresh Manifest Cache failed: Extension is not valid.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1296,'JLIB_INSTALLER_ABORT_TPL_INSTALL_ALREADY_INSTALLED','Template Install: Template already installed','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1297,'JLIB_INSTALLER_ABORT_TPL_INSTALL_ANOTHER_TEMPLATE_USING_DIRECTORY','Template Install: There is already a Template using the named directory: %s. Are you trying to install the same template again?','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1298,'JLIB_INSTALLER_ABORT_TPL_INSTALL_COPY_SETUP','Template Install: Could not copy setup file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1299,'JLIB_INSTALLER_ABORT_TPL_INSTALL_FAILED_CREATE_DIRECTORY','Template Install: Failed to create directory: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1300,'JLIB_INSTALLER_ABORT_TPL_INSTALL_ROLLBACK','Template Install: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini');
INSERT INTO `#__overrider` VALUES 
(1301,'JLIB_INSTALLER_ABORT_TPL_INSTALL_UNKNOWN_CLIENT','Template Install: Unknown client type [%s]','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1302,'JLIB_INSTALLER_AVAILABLE_UPDATE_PHP_VERSION','For the extension %1$s version %2$s is available, but it requires at least PHP version %3$s while your system only has %4$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1303,'JLIB_INSTALLER_PURGED_UPDATES','Purged updates','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1304,'JLIB_INSTALLER_FAILED_TO_PURGE_UPDATES','Failed to purge updates','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1305,'JLIB_INSTALLER_DEFAULT_STYLE','%s - Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1306,'JLIB_INSTALLER_DISCOVER','Discover','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1307,'JLIB_INSTALLER_ERROR_COMP_DISCOVER_STORE_DETAILS','Component Discover install: Failed to store component details','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1308,'JLIB_INSTALLER_ERROR_COMP_INSTALL_ADMIN_ELEMENT','Component Install: The XML file did not contain an administration element','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1309,'JLIB_INSTALLER_ERROR_COMP_INSTALL_DIR_ADMIN','Component Install: Another component is already using directory: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1310,'JLIB_INSTALLER_ERROR_COMP_INSTALL_DIR_SITE','Component Install: Another component is already using directory: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1311,'JLIB_INSTALLER_ERROR_COMP_INSTALL_FAILED_TO_CREATE_DIRECTORY_ADMIN','Component Install: Failed to create admin directory: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1312,'JLIB_INSTALLER_ERROR_COMP_INSTALL_FAILED_TO_CREATE_DIRECTORY_SITE','Component Install: Failed to create site directory: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1313,'JLIB_INSTALLER_ERROR_COMP_REFRESH_MANIFEST_CACHE','Component Refresh manifest cache: Failed to store component details','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1314,'JLIB_INSTALLER_ERROR_COMP_REMOVING_ADMIN_MENUS_FAILED','Could not delete the administrator menus.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1315,'JLIB_INSTALLER_ERROR_COMP_UNINSTALL_CUSTOM','Component Uninstall: Custom Uninstall script unsuccessful','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1316,'JLIB_INSTALLER_ERROR_COMP_UNINSTALL_FAILED_DELETE_CATEGORIES','Component Uninstall: Unable to delete the component categories','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1317,'JLIB_INSTALLER_ERROR_COMP_UNINSTALL_ERRORREMOVEMANUALLY','Component Uninstall: Can\'t uninstall. Please remove manually','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1318,'JLIB_INSTALLER_ERROR_COMP_UNINSTALL_ERRORUNKOWNEXTENSION','Component Uninstall: Unknown Extension','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1319,'JLIB_INSTALLER_ERROR_COMP_UNINSTALL_FAILED_REMOVE_DIRECTORY_ADMIN','Component Uninstall: Unable to remove the component admin directory','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1320,'JLIB_INSTALLER_ERROR_COMP_UNINSTALL_FAILED_REMOVE_DIRECTORY_SITE','Component Uninstall: Unable to remove the component site directory','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1321,'JLIB_INSTALLER_ERROR_COMP_UNINSTALL_NO_OPTION','Component Uninstall: Option field empty, cannot remove files','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1322,'JLIB_INSTALLER_ERROR_COMP_UNINSTALL_SQL_ERROR','Component Uninstall: SQL error file %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1323,'JLIB_INSTALLER_ERROR_COMP_UNINSTALL_WARNCORECOMPONENT','Component Uninstall: Trying to uninstall a core component','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1324,'JLIB_INSTALLER_ERROR_COMP_UPDATE_FAILED_TO_CREATE_DIRECTORY_ADMIN','Component Update: Failed to create admin directory: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1325,'JLIB_INSTALLER_ERROR_COMP_UPDATE_FAILED_TO_CREATE_DIRECTORY_SITE','Component Update: Failed to create site directory: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1326,'JLIB_INSTALLER_ERROR_CREATE_DIRECTORY','JInstaller: :Install: Failed to create directory: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1327,'JLIB_INSTALLER_ERROR_CREATE_FOLDER_FAILED','Failed to create directory [%s]','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1328,'JLIB_INSTALLER_ERROR_DEPRECATED_FORMAT','Deprecated install format (client="both"), use package installer in future','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1329,'JLIB_INSTALLER_ERROR_DOWNLOAD_SERVER_CONNECT','Error connecting to the server: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1330,'JLIB_INSTALLER_ERROR_FAIL_COPY_FILE','JInstaller: :Install: Failed to copy file %1$s to %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1331,'JLIB_INSTALLER_ERROR_FAIL_COPY_FOLDER','JInstaller: :Install: Failed to copy folder %1$s to %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1332,'JLIB_INSTALLER_ERROR_FAILED_READING_NETWORK_RESOURCES','Failed reading network resource: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1333,'JLIB_INSTALLER_ERROR_FILE_EXISTS','JInstaller: :Install: File already exists %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1334,'JLIB_INSTALLER_ERROR_FILE_UNINSTALL_INVALID_MANIFEST','Files Uninstall: Invalid manifest file','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1335,'JLIB_INSTALLER_ERROR_FILE_UNINSTALL_INVALID_NOTFOUND_MANIFEST','Files Uninstall: Manifest file invalid or not found.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1336,'JLIB_INSTALLER_ERROR_FILE_UNINSTALL_LOAD_ENTRY','Files Uninstall: Could not load extension entry','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1337,'JLIB_INSTALLER_ERROR_FILE_UNINSTALL_LOAD_MANIFEST','Files Uninstall: Could not load manifest file','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1338,'JLIB_INSTALLER_ERROR_FILE_UNINSTALL_SQL_ERROR','Files Uninstall: SQL error file %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1339,'JLIB_INSTALLER_ERROR_FILE_UNINSTALL_WARNCOREFILE','File Uninstall: Trying to uninstall core files','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1340,'JLIB_INSTALLER_ERROR_FOLDER_IN_USE','Another extension is already using directory [%s]','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1341,'JLIB_INSTALLER_ERROR_LANG_DISCOVER_STORE_DETAILS','Language Discover install: Failed to store language details','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1342,'JLIB_INSTALLER_ERROR_LANG_UNINSTALL_DEFAULT','This language can\'t be uninstalled as long as it is defined as a default language.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1343,'JLIB_INSTALLER_ERROR_LANG_UNINSTALL_DIRECTORY','Language Uninstall: Unable to remove the specified Language directory.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1344,'JLIB_INSTALLER_ERROR_LANG_UNINSTALL_ELEMENT_EMPTY','Language Uninstall: Element is empty, cannot uninstall files','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1345,'JLIB_INSTALLER_ERROR_LANG_UNINSTALL_PATH_EMPTY','Language Uninstall: Language path is empty, cannot uninstall files','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1346,'JLIB_INSTALLER_ERROR_LANG_UNINSTALL_PROTECTED','This language can\'t be uninstalled. It is protected in the database (usually en-GB)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1347,'JLIB_INSTALLER_ERROR_LIB_DISCOVER_STORE_DETAILS','Library Discover install: Failed to store library details','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1348,'JLIB_INSTALLER_ERROR_LIB_UNINSTALL_INVALID_MANIFEST','Library Uninstall: Invalid manifest file','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1349,'JLIB_INSTALLER_ERROR_LIB_UNINSTALL_INVALID_NOTFOUND_MANIFEST','Library Uninstall: Manifest file invalid or not found.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1350,'JLIB_INSTALLER_ERROR_LIB_UNINSTALL_LOAD_MANIFEST','Library Uninstall: Could not load manifest file','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini');
INSERT INTO `#__overrider` VALUES 
(1351,'JLIB_INSTALLER_ERROR_LIB_UNINSTALL_WARNCORELIBRARY','Library Uninstall: Trying to uninstall a core library','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1352,'JLIB_INSTALLER_ERROR_LOAD_XML','JInstaller: :Install: Failed to load XML File: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1353,'JLIB_INSTALLER_ERROR_MOD_DISCOVER_STORE_DETAILS','Module Discover install: Failed to store module details','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1354,'JLIB_INSTALLER_ERROR_MOD_REFRESH_MANIFEST_CACHE','Module Refresh manifest cache: Failed to store module details','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1355,'JLIB_INSTALLER_ERROR_MOD_UNINSTALL_ERRORUNKOWNEXTENSION','Module Uninstall: Unknown Extension','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1356,'JLIB_INSTALLER_ERROR_MOD_UNINSTALL_EXCEPTION','Module Uninstall: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1357,'JLIB_INSTALLER_ERROR_MOD_UNINSTALL_INVALID_NOTFOUND_MANIFEST','Module Uninstall: Manifest file invalid or not found.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1358,'JLIB_INSTALLER_ERROR_MOD_UNINSTALL_SQL_ERROR','Module Uninstall: SQL error file %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1359,'JLIB_INSTALLER_ERROR_MOD_UNINSTALL_WARNCOREMODULE','Module Uninstall: Trying to uninstall a core module: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1360,'JLIB_INSTALLER_ERROR_NO_CORE_LANGUAGE','No core pack exists for the language [%s]','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1361,'JLIB_INSTALLER_ERROR_NO_FILE','JInstaller: :Install: File does not exist %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1362,'JLIB_INSTALLER_ERROR_NO_LANGUAGE_TAG','The package did not specify a language tag. Are you trying to install an old language package?','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1363,'JLIB_INSTALLER_ERROR_NOTFINDJOOMLAXMLSETUPFILE','JInstaller: :Install: Cannot find Joomla XML setup file','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1364,'JLIB_INSTALLER_ERROR_NOTFINDXMLSETUPFILE','JInstaller: :Install: Cannot find XML setup file','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1365,'JLIB_INSTALLER_ERROR_PACK_UNINSTALL_INVALID_MANIFEST','Package Uninstall: Invalid manifest file','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1366,'JLIB_INSTALLER_ERROR_PACK_UNINSTALL_INVALID_NOTFOUND_MANIFEST','Package Uninstall: Manifest file invalid or not found: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1367,'JLIB_INSTALLER_ERROR_PACK_UNINSTALL_LOAD_MANIFEST','Package Uninstall: Could not load manifest file','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1368,'JLIB_INSTALLER_ERROR_PACK_UNINSTALL_MANIFEST_NOT_REMOVED','Package Uninstall: Errors were detected, manifest file not removed!','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1369,'JLIB_INSTALLER_ERROR_PACK_UNINSTALL_MISSINGMANIFEST','Package Uninstall: Missing manifest file','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1370,'JLIB_INSTALLER_ERROR_PACK_UNINSTALL_NOT_PROPER','Package Uninstall: This extension may have already been uninstalled or might not have been uninstall properly: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1371,'JLIB_INSTALLER_ERROR_PACK_UNINSTALL_WARNCOREPACK','Package Uninstall: Trying to uninstall core package','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1372,'JLIB_INSTALLER_ERROR_PLG_DISCOVER_STORE_DETAILS','Plugin Discover install: Failed to store plugin details','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1373,'JLIB_INSTALLER_ERROR_PLG_REFRESH_MANIFEST_CACHE','Plugin Refresh manifest cache: Failed to store plugin details','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1374,'JLIB_INSTALLER_ERROR_PLG_UNINSTALL_ERRORUNKOWNEXTENSION','Plugin Uninstall: Unknown Extension','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1375,'JLIB_INSTALLER_ERROR_PLG_UNINSTALL_FOLDER_FIELD_EMPTY','Plugin Uninstall: Folder field empty, cannot remove files','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1376,'JLIB_INSTALLER_ERROR_PLG_UNINSTALL_INVALID_MANIFEST','Plugin Uninstall: Invalid manifest file','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1377,'JLIB_INSTALLER_ERROR_PLG_UNINSTALL_INVALID_NOTFOUND_MANIFEST','Plugin Uninstall: Manifest file invalid or not found.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1378,'JLIB_INSTALLER_ERROR_PLG_UNINSTALL_LOAD_MANIFEST','Plugin Uninstall: Could not load manifest file','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1379,'JLIB_INSTALLER_ERROR_PLG_UNINSTALL_WARNCOREPLUGIN','Plugin Uninstall: Trying to uninstall a core plugin: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1380,'JLIB_INSTALLER_ERROR_SQL_ERROR','JInstaller: :Install: Error SQL %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1381,'JLIB_INSTALLER_ERROR_SQL_FILENOTFOUND','JInstaller: :Install: SQL File not found %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1382,'JLIB_INSTALLER_ERROR_SQL_READBUFFER','JInstaller: :Install: SQL File Buffer Read Error','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1383,'JLIB_INSTALLER_ERROR_TPL_DISCOVER_STORE_DETAILS','Template Discover install: Failed to store template details','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1384,'JLIB_INSTALLER_ERROR_TPL_UNINSTALL_ERRORUNKOWNEXTENSION','Template Uninstall: Unknown Extension','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1385,'JLIB_INSTALLER_ERROR_TPL_UNINSTALL_INVALID_CLIENT','Template Uninstall: Invalid client.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1386,'JLIB_INSTALLER_ERROR_TPL_UNINSTALL_INVALID_NOTFOUND_MANIFEST','Template Uninstall: Manifest file invalid or not found.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1387,'JLIB_INSTALLER_ERROR_TPL_UNINSTALL_TEMPLATE_DEFAULT','Template Uninstall: Cannot remove default template.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1388,'JLIB_INSTALLER_ERROR_TPL_UNINSTALL_TEMPLATE_DIRECTORY','Template Uninstall: Directory does not exist, cannot remove files','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1389,'JLIB_INSTALLER_ERROR_TPL_UNINSTALL_TEMPLATE_ID_EMPTY','Template Uninstall: Template ID is empty, cannot uninstall files','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1390,'JLIB_INSTALLER_ERROR_TPL_UNINSTALL_WARNCORETEMPLATE','Template Uninstall: Trying to uninstall a core template: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1391,'JLIB_INSTALLER_ERROR_UNKNOWN_CLIENT_TYPE','Unknown Client Type [%s]','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1392,'JLIB_INSTALLER_INSTALL','Install','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1393,'JLIB_INSTALLER_NOTICE_LANG_RESET_USERS','Language set to Default for %d users','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1394,'JLIB_INSTALLER_NOTICE_LANG_RESET_USERS_1','Language set to Default for %d user','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1395,'JLIB_INSTALLER_UNINSTALL','Uninstall','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1396,'JLIB_INSTALLER_UPDATE','Update','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1397,'JLIB_INSTALLER_ERROR_EXTENSION_INVALID_CLIENT_IDENTIFIER','Invalid client identifier specified in extension manifest.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1398,'JLIB_INSTALLER_ERROR_PACK_UNINSTALL_UNKNOWN_EXTENSION','Attempting to uninstall unknown extension from package. This extension may have already been removed earlier.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1399,'JLIB_INSTALLER_NOT_ERROR','If the error is related to the installation of TinyMCE language files it has no effect on the installation of the language(s). Some language packs created prior to Joomla! 3.2.0 may try to install separate TinyMCE language files. As these are now included in the core they no longer need to be installed.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1400,'JLIB_INSTALLER_UPDATE_LOG_QUERY','Ran query from file %1$s. Query text: %2$s.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini');
INSERT INTO `#__overrider` VALUES 
(1401,'JLIB_MAIL_FUNCTION_DISABLED','The mail() function has been disabled and the mail cannot be sent.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1402,'JLIB_MAIL_FUNCTION_OFFLINE','The mail function has been temporarily disabled on this site, please try again later.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1403,'JLIB_MAIL_INVALID_EMAIL_SENDER','JMail: : Invalid email Sender: %s, JMail: :setSender(%s)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1404,'JLIB_MEDIA_ERROR_UPLOAD_INPUT','Unable to upload file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1405,'JLIB_MEDIA_ERROR_WARNFILENAME','File name must only contain alphanumeric characters and no spaces.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1406,'JLIB_MEDIA_ERROR_WARNFILETOOLARGE','This file is too large to upload.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1407,'JLIB_MEDIA_ERROR_WARNFILETYPE','This file type is not supported.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1408,'JLIB_MEDIA_ERROR_WARNIEXSS','Possible IE XSS Attack found.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1409,'JLIB_MEDIA_ERROR_WARNINVALID_IMG','Not a valid image.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1410,'JLIB_MEDIA_ERROR_WARNINVALID_MIME','Illegal or invalid mime type detected.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1411,'JLIB_MEDIA_ERROR_WARNNOTADMIN','Uploaded file is not an image file and you do not have permission.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1412,'JLIB_PLUGIN_ERROR_LOADING_PLUGINS','Error loading Plugins: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1413,'JLIB_REGISTRY_EXCEPTION_LOAD_FORMAT_CLASS','Unable to load format class','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1414,'JLIB_RULES_ACTION','Action','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1415,'JLIB_RULES_ALLOWED','Allowed','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1416,'JLIB_RULES_ALLOWED_ADMIN','Allowed (Super User)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1417,'JLIB_RULES_CALCULATED_SETTING','Calculated Setting <sup>2</sup>','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1418,'JLIB_RULES_CONFLICT','Conflict','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1419,'JLIB_RULES_DENIED','Denied','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1420,'JLIB_RULES_GROUP','%s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1421,'JLIB_RULES_GROUPS','Groups','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1422,'JLIB_RULES_INHERIT','Inherit','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1423,'JLIB_RULES_INHERITED','Inherited','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1424,'JLIB_RULES_NOT_ALLOWED','Not Allowed','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1425,'JLIB_RULES_NOT_ALLOWED_ADMIN_CONFLICT','Conflict','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1426,'JLIB_RULES_NOT_ALLOWED_LOCKED','Not Allowed (Locked)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1427,'JLIB_RULES_NOT_SET','Not Set','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1428,'JLIB_RULES_SELECT_ALLOW_DENY_GROUP','Allow or deny %s for users in the %s group','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1429,'JLIB_RULES_SELECT_SETTING','Select New Setting <sup>1</sup>','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1430,'JLIB_RULES_SETTING_NOTES','1. If you change the setting, it will apply to this and all child groups, components and content. Note that <em>Denied</em> will overrule any inherited setting, and also the setting in any child group, component or content. In the case of a setting conflict, <em>Deny</em> will take precedence. <em>Not Set</em> is equivalent to <em>Denied</em> but can be changed in child groups, components and content.<br />2. If you select a new setting, click <em>Save</em> to refresh the calculated settings.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1431,'JLIB_RULES_SETTING_NOTES_ITEM','1. If you change the setting, it will apply to this item. Note that:<br /><em>Inherited</em> means that the permissions from global configuration, parent group and category will be used.<br /><em>Denied</em> means that no matter what the global configuration, parent group or category settings are, the group being edited cannot take this action on this item.<br /><em>Allowed</em> means that the group being edited will be able to take this action for this item (but if this is in conflict with the global configuration, parent group or category it will have no impact; a conflict will be indicated by <em>Not Allowed (Locked)</em> under Calculated Settings).<br />2. If you select a new setting, click <em>Save</em> to refresh the calculated settings.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1432,'JLIB_RULES_SETTINGS_DESC','Manage the permission settings for the user groups below. See notes at the bottom.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1433,'JLIB_UNKNOWN','Unknown','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1434,'JLIB_UPDATER_ERROR_COLLECTION_FOPEN','The PHP allow_url_fopen setting is disabled. This setting must be enabled for the updater to work.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1435,'JLIB_UPDATER_ERROR_COLLECTION_OPEN_URL','Update: :Collection: Could not open %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1436,'JLIB_UPDATER_ERROR_COLLECTION_PARSE_URL','Update: :Collection: Could not parse %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1437,'JLIB_UPDATER_ERROR_EXTENSION_OPEN_URL','Update: :Extension: Could not open %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1438,'JLIB_UPDATER_ERROR_EXTENSION_PARSE_URL','Update: :Extension: Could not parse %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1439,'JLIB_USER_ERROR_AUTHENTICATION_FAILED_LOAD_PLUGIN','JAuthentication: :authenticate: Failed to load plugin: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1440,'JLIB_USER_ERROR_AUTHENTICATION_LIBRARIES','JAuthentication: :__construct: Could not load authentication libraries.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1441,'JLIB_USER_ERROR_BIND_ARRAY','Unable to bind array to user object','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1442,'JLIB_USER_ERROR_CANNOT_DEMOTE_SELF','You cannot remove your own Super User permissions.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1443,'JLIB_USER_ERROR_CANNOT_REUSE_PASSWORD','You cannot reuse your current password, please enter a new password.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1444,'JLIB_USER_ERROR_ID_NOT_EXISTS','JUser: :_load: User %s does not exist','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1445,'JLIB_USER_ERROR_NOT_SUPERADMIN','Only users with Super User permissions can change other Super User user accounts.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1446,'JLIB_USER_ERROR_PASSWORD_NOT_MATCH','Passwords do not match. Please re-enter password.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1447,'JLIB_USER_ERROR_UNABLE_TO_FIND_USER','Unable to find a user with given activation string','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1448,'JLIB_USER_ERROR_UNABLE_TO_LOAD_USER','JUser: :_load: Unable to load user with ID: %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1449,'JLIB_USER_EXCEPTION_ACCESS_USERGROUP_INVALID','User Group does not exist','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1450,'JLIB_UTIL_ERROR_APP_INSTANTIATION','Application Startup Error','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini');
INSERT INTO `#__overrider` VALUES 
(1451,'JLIB_UTIL_ERROR_CONNECT_DATABASE','JDatabase: :getInstance: Could not connect to database <br />joomla.library: %1$s - %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1452,'JLIB_UTIL_ERROR_DOMIT','DommitDocument is deprecated. Use DomDocument instead','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1453,'JLIB_UTIL_ERROR_LOADING_FEED_DATA','Error loading feed data','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1454,'JLIB_UTIL_ERROR_XML_LOAD','Failed loading XML file','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.ini'),
(1455,'LIB_JOOMLA_XML_DESCRIPTION','The Joomla! Platform is the Core of the Joomla! Content Management System','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_joomla.sys.ini'),
(1456,'LIB_PHPASS_XML_DESCRIPTION','PHPass is a portable password hashing framework for use in PHP applications. The preferred (most secure) hashing method supported by phpass is the OpenBSD-style bcrypt (known in PHP as CRYPT_BLOWFISH), with a fallback to BSDI-style extended DES-based hashes (known in PHP as CRYPT_EXT_DES), and a last resort fallback to an MD5-based variable iteration count password hashing method implemented in phpass itself.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_phpass.sys.ini'),
(1457,'LIB_PHPMAILER_XML_DESCRIPTION','Classes for sending email','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_phpmailer.sys.ini'),
(1458,'LIB_PHPUTF8_XML_DESCRIPTION','Classes for UTF-8','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_phputf8.sys.ini'),
(1459,'LIB_SIMPLEPIE_XML_DESCRIPTION','PHP-Based RSS and Atom Feed Framework.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.lib_simplepie.sys.ini'),
(1460,'MOD_ARTICLES_ARCHIVE','Archived Articles','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_archive.ini'),
(1461,'MOD_ARTICLES_ARCHIVE_FIELD_COUNT_LABEL','# of Months','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_archive.ini'),
(1462,'MOD_ARTICLES_ARCHIVE_FIELD_COUNT_DESC','The number of months to display (the default is 10)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_archive.ini'),
(1463,'MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION','This module shows a list of the calendar months containing archived articles. After you have changed the status of an article to archived, this list will be automatically generated.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_archive.ini'),
(1464,'MOD_ARTICLES_ARCHIVE_DATE','%1$s, %2$s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_archive.ini'),
(1465,'MOD_ARTICLES_ARCHIVE','Archived Articles','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_archive.sys.ini'),
(1466,'MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION','This Module shows a list of the calendar months containing Archived Articles. After you have changed the status of an Article to Archived, this list will be automatically generated.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_archive.sys.ini'),
(1467,'MOD_ARTICLES_ARCHIVE_LAYOUT_DEFAULT','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_archive.sys.ini'),
(1468,'MOD_ARTICLES_CATEGORIES','Articles Categories','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_categories.ini'),
(1469,'MOD_ARTICLES_CATEGORIES_FIELD_COUNT_DESC','Select here the number of first level subcategories to display. Default is all.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_categories.ini'),
(1470,'MOD_ARTICLES_CATEGORIES_FIELD_COUNT_LABEL','# First Subcategories','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_categories.ini'),
(1471,'MOD_ARTICLES_CATEGORIES_FIELD_MAXLEVEL_DESC','Select here the maximum level depth for each subcategory. Default is all.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_categories.ini'),
(1472,'MOD_ARTICLES_CATEGORIES_FIELD_MAXLEVEL_LABEL','Maximum Level Depth','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_categories.ini'),
(1473,'MOD_ARTICLES_CATEGORIES_FIELD_PARENT_DESC','Choose a parent category','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_categories.ini'),
(1474,'MOD_ARTICLES_CATEGORIES_FIELD_PARENT_LABEL','Parent Category','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_categories.ini'),
(1475,'MOD_ARTICLES_CATEGORIES_FIELD_SHOW_CHILDREN_DESC','Show or Hide Subcategories','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_categories.ini'),
(1476,'MOD_ARTICLES_CATEGORIES_FIELD_SHOW_CHILDREN_LABEL','Show Subcategories','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_categories.ini'),
(1477,'MOD_ARTICLES_CATEGORIES_FIELD_NUMITEMS_DESC','Show or Hide Number of articles','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_categories.ini'),
(1478,'MOD_ARTICLES_CATEGORIES_FIELD_NUMITEMS_LABEL','Show Number of Articles','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_categories.ini'),
(1479,'MOD_ARTICLES_CATEGORIES_FIELD_SHOW_DESCRIPTION_DESC','Show or Hide category descriptions','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_categories.ini'),
(1480,'MOD_ARTICLES_CATEGORIES_FIELD_SHOW_DESCRIPTION_LABEL','Category Descriptions','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_categories.ini'),
(1481,'MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION','This module displays a list of categories from one parent category.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_categories.ini'),
(1482,'MOD_ARTICLES_CATEGORIES_TITLE_HEADING_LABEL','Heading style','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_categories.ini'),
(1483,'MOD_ARTICLES_CATEGORIES_TITLE_HEADING_DESC','Set the heading style to use','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_categories.ini'),
(1484,'MOD_ARTICLES_CATEGORIES','Articles Categories','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_categories.sys.ini'),
(1485,'MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION','This module displays a list of categories from one parent category.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_categories.sys.ini'),
(1486,'MOD_ARTICLES_CATEGORIES_LAYOUT_DEFAULT','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_categories.sys.ini'),
(1487,'MOD_ARTICLES_CATEGORY','Articles Category','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1488,'MOD_ARTICLES_CATEGORY_FIELD_ARTICLEGROUPING_DESC','Select how you would like the articles to be grouped.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1489,'MOD_ARTICLES_CATEGORY_FIELD_ARTICLEGROUPING_LABEL','Article Grouping','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1490,'MOD_ARTICLES_CATEGORY_FIELD_ARTICLEGROUPINGDIR_DESC','Select the direction you would like the Article Groupings to be ordered by.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1491,'MOD_ARTICLES_CATEGORY_FIELD_ARTICLEGROUPINGDIR_LABEL','Grouping Direction','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1492,'MOD_ARTICLES_CATEGORY_FIELD_ARTICLEORDERING_DESC','Select which field you would like Articles to be ordered by. Featured Ordering should only be used when Filtering Option for Featured Articles is set to \'Only\'.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1493,'MOD_ARTICLES_CATEGORY_FIELD_ARTICLEORDERING_LABEL','Article Field to Order By','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1494,'MOD_ARTICLES_CATEGORY_FIELD_ARTICLEORDERINGDIR_DESC','Select the direction you would like Articles to be ordered by.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1495,'MOD_ARTICLES_CATEGORY_FIELD_ARTICLEORDERINGDIR_LABEL','Ordering Direction','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1496,'MOD_ARTICLES_CATEGORY_FIELD_AUTHOR_DESC','Select one or more authors from the list below.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1497,'MOD_ARTICLES_CATEGORY_FIELD_AUTHOR_LABEL','Authors','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1498,'MOD_ARTICLES_CATEGORY_FIELD_AUTHORALIAS_DESC','Select one or more author aliases from the list below.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1499,'MOD_ARTICLES_CATEGORY_FIELD_AUTHORALIAS_LABEL','Author Aliases','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1500,'MOD_ARTICLES_CATEGORY_FIELD_AUTHORALIASFILTERING_DESC','Select Inclusive to Include the Selected Author Aliases, Exclusive to Exclude the Selected Author Aliases.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini');
INSERT INTO `#__overrider` VALUES 
(1501,'MOD_ARTICLES_CATEGORY_FIELD_AUTHORALIASFILTERING_LABEL','Author Alias Filtering Type','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1502,'MOD_ARTICLES_CATEGORY_FIELD_AUTHORFILTERING_DESC','Select Inclusive to Include the Selected Authors, Exclusive to Exclude the Selected Authors.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1503,'MOD_ARTICLES_CATEGORY_FIELD_AUTHORFILTERING_LABEL','Author Filtering Type','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1504,'MOD_ARTICLES_CATEGORY_FIELD_CATDEPTH_DESC','The number of child category levels to return.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1505,'MOD_ARTICLES_CATEGORY_FIELD_CATDEPTH_LABEL','Category Depth','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1506,'MOD_ARTICLES_CATEGORY_FIELD_CATEGORY_DESC','Please select one or more categories.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1507,'MOD_ARTICLES_CATEGORY_FIELD_CATFILTERINGTYPE_DESC','Select Inclusive to Include the Selected Categories, Exclusive to Exclude the Selected Categories.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1508,'MOD_ARTICLES_CATEGORY_FIELD_CATFILTERINGTYPE_LABEL','Category Filtering Type','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1509,'MOD_ARTICLES_CATEGORY_FIELD_COUNT_DESC','The number of items to display. The default value of 0 will display all articles.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1510,'MOD_ARTICLES_CATEGORY_FIELD_COUNT_LABEL','Count','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1511,'MOD_ARTICLES_CATEGORY_FIELD_DATERANGEFIELD_DESC','Select which date field you want the date range to be applied to.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1512,'MOD_ARTICLES_CATEGORY_FIELD_DATERANGEFIELD_LABEL','Date Range Field','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1513,'MOD_ARTICLES_CATEGORY_FIELD_DATEFIELD_DESC','Select which date field you want to display.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1514,'MOD_ARTICLES_CATEGORY_FIELD_DATEFIELD_LABEL','Date Field','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1515,'MOD_ARTICLES_CATEGORY_FIELD_DATEFIELDFORMAT_DESC','Please enter in a valid date format. See: http://php.net/date for formatting information.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1516,'MOD_ARTICLES_CATEGORY_FIELD_DATEFIELDFORMAT_LABEL','Date Format','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1517,'MOD_ARTICLES_CATEGORY_FIELD_DATEFILTERING_DESC','Select Date Filtering Type.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1518,'MOD_ARTICLES_CATEGORY_FIELD_DATEFILTERING_LABEL','Date Filtering','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1519,'MOD_ARTICLES_CATEGORY_FIELD_ENDDATE_DESC','If Date Range is selected above, please enter an End Date.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1520,'MOD_ARTICLES_CATEGORY_FIELD_ENDDATE_LABEL','To Date','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1521,'MOD_ARTICLES_CATEGORY_FIELD_EXCLUDEDARTICLES_DESC','Please enter each Article ID on a new line.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1522,'MOD_ARTICLES_CATEGORY_FIELD_EXCLUDEDARTICLES_LABEL','Article IDs to Exclude','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1523,'MOD_ARTICLES_CATEGORY_FIELD_GROUP_DISPLAY_LABEL','Display Options','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1524,'MOD_ARTICLES_CATEGORY_FIELD_GROUP_DYNAMIC_LABEL','Dynamic Mode Options','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1525,'MOD_ARTICLES_CATEGORY_FIELD_GROUP_FILTERING_LABEL','Filtering Options','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1526,'MOD_ARTICLES_CATEGORY_FIELD_GROUP_GROUPING_LABEL','Grouping Options','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1527,'MOD_ARTICLES_CATEGORY_FIELD_GROUP_ORDERING_LABEL','Ordering Options','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1528,'MOD_ARTICLES_CATEGORY_FIELD_INTROTEXTLIMIT_DESC','Please enter in a numeric character limit value. The introtext will be trimmed to the number of characters you enter.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1529,'MOD_ARTICLES_CATEGORY_FIELD_INTROTEXTLIMIT_LABEL','Introtext Limit','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1530,'MOD_ARTICLES_CATEGORY_FIELD_LINKTITLES_LABEL','Linked Titles','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1531,'MOD_ARTICLES_CATEGORY_FIELD_LINKTITLES_DESC','Linked Titles','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1532,'MOD_ARTICLES_CATEGORY_FIELD_MODE_DESC','Please select the mode you would like to use. If Normal Mode is chosen, then simply configure the module and it will display a static list of Articles on the menu items you assign the module to. If Dynamic Mode is chosen, then you can still configure the module normally, however now the Category option will no longer be used. Instead, the module will dynamically detect whether or not you are on a Category view and will display the list of articles within that Category accordingly. When Dynamic Mode is chosen, it is best to leave the module set to display on all pages, as it will decide whether or not to display anything dynamically.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1533,'MOD_ARTICLES_CATEGORY_FIELD_MODE_LABEL','Mode','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1534,'MOD_ARTICLES_CATEGORY_FIELD_MONTHYEARFORMAT_DESC','Please enter in a valid date format. See: http://php.net/date for formatting information.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1535,'MOD_ARTICLES_CATEGORY_FIELD_MONTHYEARFORMAT_LABEL','Month and Year Display Format','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1536,'MOD_ARTICLES_CATEGORY_FIELD_RELATIVEDATE_DESC','If Relative Date is selected above, please enter in a numeric day value. Results will be retrieved relative to the current date and the value you enter.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1537,'MOD_ARTICLES_CATEGORY_FIELD_RELATIVEDATE_LABEL','Relative Date','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1538,'MOD_ARTICLES_CATEGORY_FIELD_SHOWAUTHOR_DESC','Select Show if you would like the author (or author alias instead, if available) to be displayed.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1539,'MOD_ARTICLES_CATEGORY_FIELD_SHOWCATEGORY_DESC','Select Show if you would like the category name displayed.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1540,'MOD_ARTICLES_CATEGORY_FIELD_SHOWCHILDCATEGORYARTICLES_DESC','Include or Exclude Articles from Child Categories.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1541,'MOD_ARTICLES_CATEGORY_FIELD_SHOWCHILDCATEGORYARTICLES_LABEL','Child Category Articles','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1542,'MOD_ARTICLES_CATEGORY_FIELD_SHOWDATE_DESC','Select Show if you would like the date displayed.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1543,'MOD_ARTICLES_CATEGORY_FIELD_SHOWFEATURED_DESC','Select to Show, Hide, or Only display Featured Articles.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1544,'MOD_ARTICLES_CATEGORY_FIELD_SHOWFEATURED_LABEL','Featured Articles','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1545,'MOD_ARTICLES_CATEGORY_FIELD_SHOWHITS_DESC','Select Show if you would like the hits for each article to be displayed.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1546,'MOD_ARTICLES_CATEGORY_FIELD_SHOWHITS_LABEL','Hits','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1547,'MOD_ARTICLES_CATEGORY_FIELD_SHOWINTROTEXT_DESC','Select Show if you would like the introtext to be displayed.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1548,'MOD_ARTICLES_CATEGORY_FIELD_SHOWINTROTEXT_LABEL','Introtext','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1549,'MOD_ARTICLES_CATEGORY_FIELD_SHOWONARTICLEPAGE_DESC','Select to Show or Hide Article List from Article Pages. This means that the module will only display itself dynamically on Category Pages.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1550,'MOD_ARTICLES_CATEGORY_FIELD_SHOWONARTICLEPAGE_LABEL','Show on Article Page','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini');
INSERT INTO `#__overrider` VALUES 
(1551,'MOD_ARTICLES_CATEGORY_FIELD_STARTDATE_DESC','If Date Range is selected above, please enter a Starting Date.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1552,'MOD_ARTICLES_CATEGORY_FIELD_STARTDATE_LABEL','Start Date Range','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1553,'MOD_ARTICLES_CATEGORY_OPTION_ASCENDING_VALUE','Ascending','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1554,'MOD_ARTICLES_CATEGORY_OPTION_CREATED_VALUE','Created Date','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1555,'MOD_ARTICLES_CATEGORY_OPTION_DATERANGE_VALUE','Date Range','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1556,'MOD_ARTICLES_CATEGORY_OPTION_DESCENDING_VALUE','Descending','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1557,'MOD_ARTICLES_CATEGORY_OPTION_DYNAMIC_VALUE','Dynamic','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1558,'MOD_ARTICLES_CATEGORY_OPTION_EXCLUDE_VALUE','Exclude','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1559,'MOD_ARTICLES_CATEGORY_OPTION_EXCLUSIVE_VALUE','Exclusive','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1560,'MOD_ARTICLES_CATEGORY_OPTION_HITS_VALUE','Hits','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1561,'MOD_ARTICLES_CATEGORY_OPTION_ID_VALUE','ID','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1562,'MOD_ARTICLES_CATEGORY_OPTION_INCLUDE_VALUE','Include','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1563,'MOD_ARTICLES_CATEGORY_OPTION_INCLUSIVE_VALUE','Inclusive','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1564,'MOD_ARTICLES_CATEGORY_OPTION_MODIFIED_VALUE','Modified Date','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1565,'MOD_ARTICLES_CATEGORY_OPTION_MONTHYEAR_VALUE','Month and Year','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1566,'MOD_ARTICLES_CATEGORY_OPTION_NORMAL_VALUE','Normal','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1567,'MOD_ARTICLES_CATEGORY_OPTION_OFF_VALUE','Off','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1568,'MOD_ARTICLES_CATEGORY_OPTION_ONLYFEATURED_VALUE','Only','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1569,'MOD_ARTICLES_CATEGORY_OPTION_ORDERING_VALUE','Article Manager Order','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1570,'MOD_ARTICLES_CATEGORY_OPTION_ORDERINGFEATURED_VALUE','Featured Articles Order','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1571,'MOD_ARTICLES_CATEGORY_OPTION_RELATIVEDAY_VALUE','Relative Date','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1572,'MOD_ARTICLES_CATEGORY_OPTION_STARTPUBLISHING_VALUE','Start Publishing Date','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1573,'MOD_ARTICLES_CATEGORY_OPTION_FINISHPUBLISHING_VALUE','Finish Publishing Date','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1574,'MOD_ARTICLES_CATEGORY_OPTION_YEAR_VALUE','Year','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1575,'MOD_ARTICLES_CATEGORY_READ_MORE','Read more: ','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1576,'MOD_ARTICLES_CATEGORY_READ_MORE_TITLE','Read More...','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1577,'MOD_ARTICLES_CATEGORY_REGISTER_TO_READ_MORE','Register to read more','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1578,'MOD_ARTICLES_CATEGORY_XML_DESCRIPTION','This module displays a list of articles from one or more categories.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.ini'),
(1579,'MOD_ARTICLES_CATEGORY','Articles Category','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.sys.ini'),
(1580,'MOD_ARTICLES_CATEGORY_XML_DESCRIPTION','This module displays a list of articles from one or more categories.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.sys.ini'),
(1581,'MOD_ARTICLES_CATEGORY_LAYOUT_DEFAULT','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_category.sys.ini'),
(1582,'MOD_ARTICLES_LATEST','Latest News','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_latest.ini'),
(1583,'MOD_LATEST_NEWS_FIELD_CATEGORY_DESC','Selects Articles from one or more Categories. If no selection will show all categories as default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_latest.ini'),
(1584,'MOD_LATEST_NEWS_FIELD_COUNT_DESC','The number of Articles to display (the default is 5)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_latest.ini'),
(1585,'MOD_LATEST_NEWS_FIELD_COUNT_LABEL','Count','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_latest.ini'),
(1586,'MOD_LATEST_NEWS_FIELD_FEATURED_DESC','Show/Hide Articles designated as Featured','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_latest.ini'),
(1587,'MOD_LATEST_NEWS_FIELD_FEATURED_LABEL','Featured Articles','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_latest.ini'),
(1588,'MOD_LATEST_NEWS_FIELD_ORDERING_DESC','Recently Added First: order the articles using their creation date<br />Recently Modified First: order the articles using their modification date<br />Recently Published First: order the articles using their publication date.<br />Recently Touched First: order the articles using their modification or creation dates.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_latest.ini'),
(1589,'MOD_LATEST_NEWS_FIELD_ORDERING_LABEL','Order','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_latest.ini'),
(1590,'MOD_LATEST_NEWS_FIELD_USER_DESC','Filter by author','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_latest.ini'),
(1591,'MOD_LATEST_NEWS_FIELD_USER_LABEL','Authors','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_latest.ini'),
(1592,'MOD_LATEST_NEWS_VALUE_ADDED_BY_ME','Added or modified by me','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_latest.ini'),
(1593,'MOD_LATEST_NEWS_VALUE_ANYONE','Anyone','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_latest.ini'),
(1594,'MOD_LATEST_NEWS_VALUE_NOTADDED_BY_ME','Not added or modified by me','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_latest.ini'),
(1595,'MOD_LATEST_NEWS_VALUE_ONLY_SHOW_FEATURED','Only show Featured Articles','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_latest.ini'),
(1596,'MOD_LATEST_NEWS_VALUE_RECENT_ADDED','Recently Added First','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_latest.ini'),
(1597,'MOD_LATEST_NEWS_VALUE_RECENT_MODIFIED','Recently Modified First','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_latest.ini'),
(1598,'MOD_LATEST_NEWS_VALUE_RECENT_RAND','Random Articles','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_latest.ini'),
(1599,'MOD_LATEST_NEWS_VALUE_RECENT_PUBLISHED','Recently Published First','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_latest.ini'),
(1600,'MOD_LATEST_NEWS_VALUE_RECENT_TOUCHED','Recently Touched First','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_latest.ini');
INSERT INTO `#__overrider` VALUES 
(1601,'MOD_LATEST_NEWS_XML_DESCRIPTION','This Module shows a list of the most recently published and current Articles. Some that are shown may have expired even though they are the most recent.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_latest.ini'),
(1602,'MOD_ARTICLES_LATEST','Latest News','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_latest.sys.ini'),
(1603,'MOD_LATEST_NEWS_XML_DESCRIPTION','This Module shows a list of the most recently published and current Articles. Some that are shown may have expired even though they are the most recent.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_latest.sys.ini'),
(1604,'MOD_ARTICLES_LATEST_LAYOUT_DEFAULT','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_latest.sys.ini'),
(1605,'MOD_ARTICLES_NEWS','Articles - Newsflash','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.ini'),
(1606,'MOD_ARTICLES_NEWS_FIELD_CATEGORY_DESC','Select Articles from a specific Category or a set of Categories. If no selection will show all categories as default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.ini'),
(1607,'MOD_ARTICLES_NEWS_FIELD_IMAGES_DESC','Display Article images','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.ini'),
(1608,'MOD_ARTICLES_NEWS_FIELD_IMAGES_LABEL','Show Images','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.ini'),
(1609,'MOD_ARTICLES_NEWS_FIELD_ITEMS_DESC','The number of Articles to display within this module','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.ini'),
(1610,'MOD_ARTICLES_NEWS_FIELD_ITEMS_LABEL','Number of Articles','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.ini'),
(1611,'MOD_ARTICLES_NEWS_FIELD_LINKTITLE_DESC','Link the Article titles to Articles.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.ini'),
(1612,'MOD_ARTICLES_NEWS_FIELD_LINKTITLE_LABEL','Linked Titles','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.ini'),
(1613,'MOD_ARTICLES_NEWS_FIELD_ORDERING_DESC','Select the order in which you want query results presented.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.ini'),
(1614,'MOD_ARTICLES_NEWS_FIELD_ORDERING_LABEL','Order Results','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.ini'),
(1615,'MOD_ARTICLES_NEWS_FIELD_ORDERING_CREATED_DATE','Created Date','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.ini'),
(1616,'MOD_ARTICLES_NEWS_FIELD_ORDERING_PUBLISHED_DATE','Published Date','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.ini'),
(1617,'MOD_ARTICLES_NEWS_FIELD_ORDERING_ORDERING','Ordering','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.ini'),
(1618,'MOD_ARTICLES_NEWS_FIELD_ORDERING_RANDOM','Random','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.ini'),
(1619,'MOD_ARTICLES_NEWS_FIELD_READMORE_DESC','If set to Show, the \'Read more...\' link will show if Main text has been provided for an Article.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.ini'),
(1620,'MOD_ARTICLES_NEWS_FIELD_READMORE_LABEL','\'Read more...\' Link','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.ini'),
(1621,'MOD_ARTICLES_NEWS_FIELD_SEPARATOR_DESC','Show separator after last Article','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.ini'),
(1622,'MOD_ARTICLES_NEWS_FIELD_SEPARATOR_LABEL','Show last separator','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.ini'),
(1623,'MOD_ARTICLES_NEWS_FIELD_TITLE_DESC','Show/hide Article title','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.ini'),
(1624,'MOD_ARTICLES_NEWS_FIELD_TITLE_LABEL','Show Article title','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.ini'),
(1625,'MOD_ARTICLES_NEWS_READMORE','Read more...','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.ini'),
(1626,'MOD_ARTICLES_NEWS_READMORE_REGISTER','Register to Read More','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.ini'),
(1627,'MOD_ARTICLES_NEWS_TITLE_HEADING','Header Level','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.ini'),
(1628,'MOD_ARTICLES_NEWS_TITLE_HEADING_DESCRIPTION','Select the desired HTML header level for the Article titles.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.ini'),
(1629,'MOD_ARTICLES_NEWS_XML_DESCRIPTION','The Article Newsflash Module will display a fixed number of Articles from a specific Category or a set of Categories.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.ini'),
(1630,'MOD_ARTICLES_NEWS','Articles - Newsflash','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.sys.ini'),
(1631,'MOD_ARTICLES_NEWS_XML_DESCRIPTION','The Newsflash Module will display a fixed number of articles from a specific category.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.sys.ini'),
(1632,'MOD_ARTICLES_NEWS_LAYOUT_DEFAULT','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_news.sys.ini'),
(1633,'MOD_ARTICLES_POPULAR','Most Read Content','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_popular.ini'),
(1634,'MOD_POPULAR_FIELD_CATEGORY_DESC','Select Articles from a specific Category or a set of Categories. If no selection will show all categories as default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_popular.ini'),
(1635,'MOD_POPULAR_FIELD_COUNT_DESC','The number of Articles to display (the default is 5)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_popular.ini'),
(1636,'MOD_POPULAR_FIELD_COUNT_LABEL','Count','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_popular.ini'),
(1637,'MOD_POPULAR_FIELD_FEATURED_DESC','Show/Hide Articles designated as Featured','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_popular.ini'),
(1638,'MOD_POPULAR_FIELD_FEATURED_LABEL','Featured Articles','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_popular.ini'),
(1639,'MOD_POPULAR_XML_DESCRIPTION','This Module shows a list of the currently published Articles which have the highest number of page views.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_popular.ini'),
(1640,'MOD_ARTICLES_POPULAR','Most Read Content','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_popular.sys.ini'),
(1641,'MOD_POPULAR_XML_DESCRIPTION','This Module shows a list of the currently published Articles which have the highest number of page views.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_popular.sys.ini'),
(1642,'MOD_ARTICLES_POPULAR_LAYOUT_DEFAULT','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_articles_popular.sys.ini'),
(1643,'COM_BANNERS_NO_CLIENT','- No client -','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_banners.ini'),
(1644,'MOD_BANNERS','Banners','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_banners.ini'),
(1645,'MOD_BANNERS_BANNER','Banner','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_banners.ini'),
(1646,'MOD_BANNERS_FIELD_BANNERCLIENT_DESC','Select banners only from a single client.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_banners.ini'),
(1647,'MOD_BANNERS_FIELD_BANNERCLIENT_LABEL','Client','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_banners.ini'),
(1648,'MOD_BANNERS_FIELD_CACHETIME_DESC','The time before the module is recached','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_banners.ini'),
(1649,'MOD_BANNERS_FIELD_CACHETIME_LABEL','Cache Time','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_banners.ini'),
(1650,'MOD_BANNERS_FIELD_CATEGORY_DESC','Select banners from a specific Category or a set of Categories. If no selection then it will show all categories as default.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_banners.ini');
INSERT INTO `#__overrider` VALUES 
(1651,'MOD_BANNERS_FIELD_COUNT_DESC','The number of banners to display (default 5)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_banners.ini'),
(1652,'MOD_BANNERS_FIELD_COUNT_LABEL','Count','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_banners.ini'),
(1653,'MOD_BANNERS_FIELD_FOOTER_DESC','Text or HTML to display after the group of banners','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_banners.ini'),
(1654,'MOD_BANNERS_FIELD_FOOTER_LABEL','Footer Text','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_banners.ini'),
(1655,'MOD_BANNERS_FIELD_HEADER_DESC','Text or HTML to display before the group of banners','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_banners.ini'),
(1656,'MOD_BANNERS_FIELD_HEADER_LABEL','Header Text','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_banners.ini'),
(1657,'MOD_BANNERS_FIELD_RANDOMISE_DESC','Randomise the ordering of the banners','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_banners.ini'),
(1658,'MOD_BANNERS_FIELD_RANDOMISE_LABEL','Randomise','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_banners.ini'),
(1659,'MOD_BANNERS_FIELD_TAG_DESC','Banner is selected by matching the banner tags to the current document meta keywords.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_banners.ini'),
(1660,'MOD_BANNERS_FIELD_TAG_LABEL','Search by Meta Keyword','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_banners.ini'),
(1661,'MOD_BANNERS_FIELD_TARGET_DESC','Target window when the link is clicked','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_banners.ini'),
(1662,'MOD_BANNERS_FIELD_TARGET_LABEL','Target','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_banners.ini'),
(1663,'MOD_BANNERS_VALUE_STICKYORDERING','Sticky, Ordering','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_banners.ini'),
(1664,'MOD_BANNERS_VALUE_STICKYRANDOMISE','Sticky, Randomise','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_banners.ini'),
(1665,'MOD_BANNERS_XML_DESCRIPTION','The Banner Module displays the active Banners from the Component.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_banners.ini'),
(1666,'MOD_BANNERS','Banners','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_banners.sys.ini'),
(1667,'MOD_BANNERS_XML_DESCRIPTION','The Banner Module displays the active Banners from the Component.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_banners.sys.ini'),
(1668,'MOD_BANNERS_LAYOUT_DEFAULT','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_banners.sys.ini'),
(1669,'MOD_BREADCRUMBS','Breadcrumbs','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_breadcrumbs.ini'),
(1670,'MOD_BREADCRUMBS_FIELD_HOMETEXT_DESC','This text will be shown as Home entry. If the field is left empty, it will use the default value from the mod_breadcrumbs.ini language file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_breadcrumbs.ini'),
(1671,'MOD_BREADCRUMBS_FIELD_HOMETEXT_LABEL','Text for Home Entry','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_breadcrumbs.ini'),
(1672,'MOD_BREADCRUMBS_FIELD_SEPARATOR_DESC','A text separator','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_breadcrumbs.ini'),
(1673,'MOD_BREADCRUMBS_FIELD_SEPARATOR_LABEL','Text Separator','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_breadcrumbs.ini'),
(1674,'MOD_BREADCRUMBS_FIELD_SHOWHERE_DESC','Show/Hide &quot;You are here&quot; text in the Pathway','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_breadcrumbs.ini'),
(1675,'MOD_BREADCRUMBS_FIELD_SHOWHERE_LABEL','Show &quot;You are here&quot;','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_breadcrumbs.ini'),
(1676,'MOD_BREADCRUMBS_FIELD_SHOWHOME_DESC','Show/Hide the Home element in the Pathway','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_breadcrumbs.ini'),
(1677,'MOD_BREADCRUMBS_FIELD_SHOWHOME_LABEL','Show Home','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_breadcrumbs.ini'),
(1678,'MOD_BREADCRUMBS_FIELD_SHOWLAST_DESC','Show/Hide the last element in the Pathway','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_breadcrumbs.ini'),
(1679,'MOD_BREADCRUMBS_FIELD_SHOWLAST_LABEL','Show Last','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_breadcrumbs.ini'),
(1680,'MOD_BREADCRUMBS_HERE','You are here: ','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_breadcrumbs.ini'),
(1681,'MOD_BREADCRUMBS_HOME','Home','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_breadcrumbs.ini'),
(1682,'MOD_BREADCRUMBS_XML_DESCRIPTION','This Module displays the Breadcrumbs','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_breadcrumbs.ini'),
(1683,'MOD_BREADCRUMBS','Breadcrumbs','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_breadcrumbs.sys.ini'),
(1684,'MOD_BREADCRUMBS_XML_DESCRIPTION','This Module displays the Breadcrumbs','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_breadcrumbs.sys.ini'),
(1685,'MOD_BREADCRUMBS_LAYOUT_DEFAULT','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_breadcrumbs.sys.ini'),
(1686,'MOD_CUSTOM','Custom HTML','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_custom.ini'),
(1687,'MOD_CUSTOM_FIELD_PREPARE_CONTENT_DESC','Optionally prepare the content with the Joomla Content Plug-ins.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_custom.ini'),
(1688,'MOD_CUSTOM_FIELD_PREPARE_CONTENT_LABEL','Prepare Content','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_custom.ini'),
(1689,'MOD_CUSTOM_XML_DESCRIPTION','This Module allows you to create your own HTML Module using a WYSIWYG editor.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_custom.ini'),
(1690,'MOD_CUSTOM_FIELD_BACKGROUNDIMAGE_LABEL','Select a Background-Image','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_custom.ini'),
(1691,'MOD_BACKGROUNDIMAGE_FIELD_LOGO_DESC','If you select an image here it will automatically be inserted as an inline style for the wrapping div element','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_custom.ini'),
(1692,'MOD_CUSTOM','Custom HTML','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_custom.sys.ini'),
(1693,'MOD_CUSTOM_XML_DESCRIPTION','This Module allows you to create your own HTML Module using a WYSIWYG editor.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_custom.sys.ini'),
(1694,'MOD_CUSTOM_LAYOUT_DEFAULT','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_custom.sys.ini'),
(1695,'MOD_FEED','Feed Display','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_feed.ini'),
(1696,'MOD_FEED_ERR_CACHE','Please make cache directory writeable','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_feed.ini'),
(1697,'MOD_FEED_ERR_FEED_NOT_RETRIEVED','Feed not found','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_feed.ini'),
(1698,'MOD_FEED_ERR_NO_URL','No feed URL specified.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_feed.ini'),
(1699,'MOD_FEED_FIELD_DESCRIPTION_DESC','Show the description text for the entire feed','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_feed.ini'),
(1700,'MOD_FEED_FIELD_DESCRIPTION_LABEL','Feed Description','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_feed.ini');
INSERT INTO `#__overrider` VALUES 
(1701,'MOD_FEED_FIELD_IMAGE_DESC','Show the image associated with the entire feed','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_feed.ini'),
(1702,'MOD_FEED_FIELD_IMAGE_LABEL','Feed Image','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_feed.ini'),
(1703,'MOD_FEED_FIELD_ITEMDESCRIPTION_DESC','Show the description or intro text of individual RSS items','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_feed.ini'),
(1704,'MOD_FEED_FIELD_ITEMDESCRIPTION_LABEL','Item Description','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_feed.ini'),
(1705,'MOD_FEED_FIELD_ITEMS_DESC','Enter number of RSS items to display','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_feed.ini'),
(1706,'MOD_FEED_FIELD_ITEMS_LABEL','Feed Items','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_feed.ini'),
(1707,'MOD_FEED_FIELD_RSSTITLE_DESC','Display news feed title','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_feed.ini'),
(1708,'MOD_FEED_FIELD_RSSTITLE_LABEL','Feed Title','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_feed.ini'),
(1709,'MOD_FEED_FIELD_RSSURL_DESC','Enter the URL of the RSS/RDF/ATOM feed','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_feed.ini'),
(1710,'MOD_FEED_FIELD_RSSURL_LABEL','Feed URL','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_feed.ini'),
(1711,'MOD_FEED_FIELD_RTL_DESC','Display feed in RTL direction','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_feed.ini'),
(1712,'MOD_FEED_FIELD_RTL_LABEL','RTL Feed','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_feed.ini'),
(1713,'MOD_FEED_FIELD_WORDCOUNT_DESC','Allows you to limit the amount of visible Item description text. 0 will show all the text','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_feed.ini'),
(1714,'MOD_FEED_FIELD_WORDCOUNT_LABEL','Word Count','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_feed.ini'),
(1715,'MOD_FEED_XML_DESCRIPTION','This module allows the displaying of a syndicated feed','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_feed.ini'),
(1716,'MOD_FEED','Feed Display','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_feed.sys.ini'),
(1717,'MOD_FEED_XML_DESCRIPTION','This module allows the displaying of a syndicated feed','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_feed.sys.ini'),
(1718,'MOD_FEED_LAYOUT_DEFAULT','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_feed.sys.ini'),
(1719,'COM_FINDER_FILTER_BRANCH_LABEL','Search by %s','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1720,'COM_FINDER_FILTER_SELECT_ALL_LABEL','Search All','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1721,'COM_FINDER_ADVANCED_SEARCH','Advanced Search','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1722,'COM_FINDER_SELECT_SEARCH_FILTER','- No Filter -','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1723,'MOD_FINDER','Smart Search Module','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1724,'MOD_FINDER_CONFIG_OPTION_BOTTOM','Bottom','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1725,'MOD_FINDER_CONFIG_OPTION_TOP','Top','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1726,'MOD_FINDER_FIELDSET_ADVANCED_ALT_DESCRIPTION','An alternate label for the search field.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1727,'MOD_FINDER_FIELDSET_ADVANCED_ALT_LABEL','Alternate Label','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1728,'MOD_FINDER_FIELDSET_ADVANCED_BUTTON_POS_DESCRIPTION','The position of the search button relative to the search field.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1729,'MOD_FINDER_FIELDSET_ADVANCED_BUTTON_POS_LABEL','Button Position','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1730,'MOD_FINDER_FIELDSET_ADVANCED_FIELD_SIZE_DESCRIPTION','The width of the search field by character length.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1731,'MOD_FINDER_FIELDSET_ADVANCED_FIELD_SIZE_LABEL','Search Field Size','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1732,'MOD_FINDER_FIELDSET_ADVANCED_LABEL_POS_DESCRIPTION','The position of the search label relative to the search field.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1733,'MOD_FINDER_FIELDSET_ADVANCED_LABEL_POS_LABEL','Label Position','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1734,'MOD_FINDER_FIELDSET_ADVANCED_SETITEMID_DESCRIPTION','Assign an ItemID by selecting a menu item in the list for the display of the search results if there is no com_finder menu item and a specific display is desired. If you do not know what this means, you may not need it.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1735,'MOD_FINDER_FIELDSET_ADVANCED_SETITEMID_LABEL','Set ItemID','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1736,'MOD_FINDER_FIELDSET_ADVANCED_SHOW_BUTTON_DESCRIPTION','Toggle whether a button should be displayed for the search form.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1737,'MOD_FINDER_FIELDSET_ADVANCED_SHOW_BUTTON_LABEL','Search Button','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1738,'MOD_FINDER_FIELDSET_ADVANCED_SHOW_LABEL_DESCRIPTION','Toggle whether a label should be displayed for the search field.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1739,'MOD_FINDER_FIELDSET_ADVANCED_SHOW_LABEL_LABEL','Search Field Label','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1740,'MOD_FINDER_FIELDSET_BASIC_AUTOSUGGEST_DESCRIPTION','Toggle whether automatic search suggestions should be displayed.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1741,'MOD_FINDER_FIELDSET_BASIC_AUTOSUGGEST_LABEL','Search Suggestions','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1742,'MOD_FINDER_FIELDSET_BASIC_SEARCHFILTER_DESCRIPTION','Selecting a Search Filter will limit any searches submitted through this module to use the selected filter.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1743,'MOD_FINDER_FIELDSET_BASIC_SEARCHFILTER_LABEL','Search Filter','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1744,'MOD_FINDER_FIELDSET_BASIC_SHOW_ADVANCED_DESCRIPTION','Toggle whether users should be able to see advanced search options. If set to Link to Component option creates an Smart Search link which redirects to the smart search view. If set to show, the advanced search options will be displayed inline.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1745,'MOD_FINDER_FIELDSET_BASIC_SHOW_ADVANCED_LABEL','Advanced Search','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1746,'MOD_FINDER_FIELDSET_BASIC_SHOW_ADVANCED_OPTION_LINK','Link to Component','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1747,'MOD_FINDER_FIELD_OPENSEARCH_DESCRIPTION','Some Browsers can add support for your site\'s search if this option is enabled.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1748,'MOD_FINDER_FIELD_OPENSEARCH_LABEL','OpenSearch autodiscovery','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1749,'MOD_FINDER_FIELD_OPENSEARCH_TEXT_DESCRIPTION','Text displayed in supported Browsers when adding your site as a search provider.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1750,'MOD_FINDER_FIELD_OPENSEARCH_TEXT_LABEL','OpenSearch title','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini');
INSERT INTO `#__overrider` VALUES 
(1751,'MOD_FINDER_SEARCHBUTTON_TEXT','Search','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1752,'MOD_FINDER_SEARCH_BUTTON','Go','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1753,'MOD_FINDER_SEARCH_VALUE','Search...','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1754,'MOD_FINDER_SELECT_MENU_ITEMID','Select a menu item','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1755,'MOD_FINDER_XML_DESCRIPTION','This is a Smart Search module.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.ini'),
(1756,'MOD_FINDER','Smart Search Module','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.sys.ini'),
(1757,'MOD_FINDER_XML_DESCRIPTION','This is a search module for the Smart Search system.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_finder.sys.ini'),
(1758,'MOD_FOOTER','Footer','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_footer.ini'),
(1759,'MOD_FOOTER_LINE1','Copyright &#169; %date% %sitename%. All Rights Reserved.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_footer.ini'),
(1760,'MOD_FOOTER_LINE2','<a href="http://www.joomla.org">Joomla!</a> is Free Software released under the <a href="http://www.gnu.org/licenses/gpl-2.0.html">GNU General Public License.</a>','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_footer.ini'),
(1761,'MOD_FOOTER_XML_DESCRIPTION','This module shows the Joomla! copyright information.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_footer.ini'),
(1762,'MOD_FOOTER','Footer','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_footer.sys.ini'),
(1763,'MOD_FOOTER_XML_DESCRIPTION','This module shows the Joomla! copyright information.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_footer.sys.ini'),
(1764,'MOD_FOOTER_LAYOUT_DEFAULT','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_footer.sys.ini'),
(1765,'MOD_LANGUAGES','Language Switcher','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_languages.ini'),
(1766,'MOD_LANGUAGES_FIELD_ACTIVE_DESC','Display or not the active language. If displayed, the class \'lang-active\' will be added to the element.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_languages.ini'),
(1767,'MOD_LANGUAGES_FIELD_ACTIVE_LABEL','Active Language','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_languages.ini'),
(1768,'MOD_LANGUAGES_FIELD_CACHING_DESC','Select whether to cache or not the content of this module.<br />This should be set to \'No caching\' when using Items Associations.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_languages.ini'),
(1769,'MOD_LANGUAGES_FIELD_DROPDOWN_DESC','If set to \'Yes\', the display parameters below will be ignored. The content languages native names will display in a dropdown.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_languages.ini'),
(1770,'MOD_LANGUAGES_FIELD_DROPDOWN_LABEL','Use Dropdown','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_languages.ini'),
(1771,'MOD_LANGUAGES_FIELD_FOOTER_DESC','This is the text or HTML that is displayed below the language switcher','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_languages.ini'),
(1772,'MOD_LANGUAGES_FIELD_FOOTER_LABEL','Post-text','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_languages.ini'),
(1773,'MOD_LANGUAGES_FIELD_FULL_NAME_DESC','If set to \'Yes\' and image flags set to \'No\', full content language native names are displayed. If set to \'No\', upper case abbreviations from the content language\'s URL Language Code are used. Example: EN for English, FR for French.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_languages.ini'),
(1774,'MOD_LANGUAGES_FIELD_FULL_NAME_LABEL','Languages Full Names','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_languages.ini'),
(1775,'MOD_LANGUAGES_FIELD_HEADER_DESC','This is the text or HTML that is displayed above the language switcher','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_languages.ini'),
(1776,'MOD_LANGUAGES_FIELD_HEADER_LABEL','Pre-text','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_languages.ini'),
(1777,'MOD_LANGUAGES_FIELD_INLINE_DESC','Default is set to \'Yes\', i.e. to horizontal display.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_languages.ini'),
(1778,'MOD_LANGUAGES_FIELD_INLINE_LABEL','Horizontal Display','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_languages.ini'),
(1779,'MOD_LANGUAGES_FIELD_MODULE_LAYOUT_DESC','Use a different layout from the supplied module or overrides in the default template.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_languages.ini'),
(1780,'MOD_LANGUAGES_FIELD_USEIMAGE_DESC','If set to \'Yes\', will display language choice as image flags. Otherwise will use the content language native names.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_languages.ini'),
(1781,'MOD_LANGUAGES_FIELD_USEIMAGE_LABEL','Use Image Flags','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_languages.ini'),
(1782,'MOD_LANGUAGES_OPTION_DEFAULT_LANGUAGE','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_languages.ini'),
(1783,'MOD_LANGUAGES_SPACERDROP_LABEL','<u>If Use Dropdown is set to \'Yes\', <br />the display options below will be ignored</u>','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_languages.ini'),
(1784,'MOD_LANGUAGES_SPACERNAME_LABEL','<u>If Use Image Flags is set to \'Yes\', <br />the display options below will be ignored</u>','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_languages.ini'),
(1785,'MOD_LANGUAGES_XML_DESCRIPTION','This module displays a list of available Content Languages (as defined and published in Language Manager Content tab) for switching between them when one wants to use Joomla! as a multilingual site. <br />--The plugin \'System - Language Filter\' has to be enabled.--<br /> When switching languages and if the item displayed in the page is not associated to another item, the module redirects to the Home page defined for the chosen language.<br /> Otherwise, if the parameter is set for the Language filter plugin, it will redirect to the associated item in the language chosen. Thereafter, the navigation will be the one defined for that language. <br />If the plugin <strong>\'System - Language Filter\'</strong> is disabled, this may have unwanted results.<br /><strong>Method:</strong><br />1. Open Language Manager Content tab and make sure the Languages you want to use in contents are published and have a Language Code for the URL as well as prefix for the image used in the module display.<br />2. Create a Home page by assigning a language to a menu item and defining it as Default Home page for each published content language. <br />  3. Thereafter, you can assign a language to any Article, Category, Module, Newsfeed, Weblinks in Joomla.<br /> 4. Make sure the module is published and the plugin is enabled. <br /> 5. When using associated items, make sure the module is displayed on the pages concerned. <br />6. The way the flags or names of the languages are displayed is defined by the ordering in the Language Manager - Content Languages.<br ><br >If this module is published, it is suggested to publish the administrator multilingual status module.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_languages.ini'),
(1786,'MOD_LANGUAGES','Language Switcher','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_languages.sys.ini'),
(1787,'MOD_LANGUAGES_XML_DESCRIPTION','This module displays a list of available Content Languages (as defined and published in Language Manager Content tab) for switching between them when one wants to use Joomla! as a multilingual site. <br />--The plugin \'System - Language Filter\' has to be enabled.--<br /> When switching languages and if the item displayed in the page is not associated to another item, the module redirects to the Home page defined for the chosen language.<br /> Otherwise, if the parameter is set for the Language filter plugin, it will redirect to the associated item in the language chosen. Thereafter, the navigation will be the one defined for that language. <br />If the plugin <strong>\'System - Language Filter\'</strong> is disabled, this may have unwanted results.<br /><strong>Method:</strong><br />1. Open Language Manager Content tab and make sure the Languages you want to use in contents are published and have a Language Code for the URL as well as prefix for the image used in the module display.<br />2. Create a Home page by assigning a language to a menu item and defining it as Default Home page for each published content language. <br />  3. Thereafter, you can assign a language to any Article, Category, Module, Newsfeed, Weblinks in Joomla.<br /> 4. Make sure the module is published and the plugin is enabled. <br /> 5. When using associated items, make sure the module is displayed on the pages concerned. <br />6. The way the flags or names of the languages are displayed is defined by the ordering in the Language Manager - Content Languages.<br ><br >If this module is published, it is suggested to publish the administrator multilingual status module.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_languages.sys.ini'),
(1788,'MOD_LANGUAGES_LAYOUT_DEFAULT','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_languages.sys.ini'),
(1789,'MOD_LOGIN','Login','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.ini'),
(1790,'MOD_LOGIN_FIELD_GREETING_DESC','Show/Hide the simple greeting text','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.ini'),
(1791,'MOD_LOGIN_FIELD_GREETING_LABEL','Show Greeting','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.ini'),
(1792,'MOD_LOGIN_FIELD_LOGIN_REDIRECTURL_DESC','Select the page the user will be redirected to after a successful login. Select from all the pages listed in the dropdown menu. Choosing "Default" will return to the same page.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.ini'),
(1793,'MOD_LOGIN_FIELD_LOGIN_REDIRECTURL_LABEL','Login Redirection Page','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.ini'),
(1794,'MOD_LOGIN_FIELD_LOGOUT_REDIRECTURL_DESC','Select the page the user will be redirected to after successfully ending their current session by logging out. Select from all the pages listed in the dropdown menu. Choosing "Default" will return to the same page.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.ini'),
(1795,'MOD_LOGIN_FIELD_LOGOUT_REDIRECTURL_LABEL','Logout Redirection Page','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.ini'),
(1796,'MOD_LOGIN_FIELD_NAME_DESC','Displays name or username after logging','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.ini'),
(1797,'MOD_LOGIN_FIELD_NAME_LABEL','Show Name/Username','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.ini'),
(1798,'MOD_LOGIN_FIELD_POST_TEXT_DESC','This is the text or HTML that is displayed below the login form.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.ini'),
(1799,'MOD_LOGIN_FIELD_POST_TEXT_LABEL','Post-text','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.ini'),
(1800,'MOD_LOGIN_FIELD_PRE_TEXT_DESC','This is the text or HTML that is displayed above the login form.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.ini');
INSERT INTO `#__overrider` VALUES 
(1801,'MOD_LOGIN_FIELD_PRE_TEXT_LABEL','Pre-text','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.ini'),
(1802,'MOD_LOGIN_FIELD_USESECURE_DESC','Submit encrypted login data (requires SSL).  Do not enable this option if Joomla is not accessible using the https:// protocol prefix.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.ini'),
(1803,'MOD_LOGIN_FIELD_USESECURE_LABEL','Encrypt Login Form','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.ini'),
(1804,'MOD_LOGIN_FIELD_USETEXT_DESC','Choose text or icons to display the fields labels. Default is icons','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.ini'),
(1805,'MOD_LOGIN_FIELD_USETEXT_LABEL','Display Labels','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.ini'),
(1806,'MOD_LOGIN_FORGOT_YOUR_PASSWORD','Forgot your password?','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.ini'),
(1807,'MOD_LOGIN_FORGOT_YOUR_USERNAME','Forgot your username?','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.ini'),
(1808,'MOD_LOGIN_HINAME','Hi %s,','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.ini'),
(1809,'MOD_LOGIN_REGISTER','Create an account','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.ini'),
(1810,'MOD_LOGIN_REMEMBER_ME','Remember Me','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.ini'),
(1811,'MOD_LOGIN_VALUE_ICONS','Icons','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.ini'),
(1812,'MOD_LOGIN_VALUE_NAME','Name','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.ini'),
(1813,'MOD_LOGIN_VALUE_TEXT','Text','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.ini'),
(1814,'MOD_LOGIN_VALUE_USERNAME','Username','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.ini'),
(1815,'MOD_LOGIN_XML_DESCRIPTION','This module displays a username and password login form. It also displays a link to retrieve a forgotten password. If user registration is enabled (in User Manager > Options), another link will be shown to enable self-registration for users.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.ini'),
(1816,'MOD_LOGIN','Login','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.sys.ini'),
(1817,'MOD_LOGIN_XML_DESCRIPTION','This module displays a username and password login form. It also displays a link to retrieve a forgotten password. If user registration is enabled (in User Manager > Options), another link will be shown to enable self-registration for users.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.sys.ini'),
(1818,'MOD_LOGIN_LAYOUT_DEFAULT','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_login.sys.ini'),
(1819,'MOD_MENU','Menu','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_menu.ini'),
(1820,'MOD_MENU_FIELD_ACTIVE_DESC','Select a menu item to always be used as the base for the menu display. You must set the Start Level to the same level or higher than the level of the base item. This will cause the module to be displayed on all assigned pages. If Current is selected the currently active item is used as the base. This causes the module to only display when the parent menu item is active.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_menu.ini'),
(1821,'MOD_MENU_FIELD_ACTIVE_LABEL','Base Item','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_menu.ini'),
(1822,'MOD_MENU_FIELD_ALLCHILDREN_DESC','Expand the menu and make its sub-menu items always visible.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_menu.ini'),
(1823,'MOD_MENU_FIELD_ALLCHILDREN_LABEL','Show Sub-menu Items','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_menu.ini'),
(1824,'MOD_MENU_FIELD_CLASS_DESC','A suffix to be applied to the CSS class of the menu items','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_menu.ini'),
(1825,'MOD_MENU_FIELD_CLASS_LABEL','Menu Class Suffix','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_menu.ini'),
(1826,'MOD_MENU_FIELD_ENDLEVEL_DESC','Level to stop rendering the menu at. If you choose \'All\', all levels will be shown depending on \'Show Sub-menu Items\' setting.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_menu.ini'),
(1827,'MOD_MENU_FIELD_ENDLEVEL_LABEL','End Level','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_menu.ini'),
(1828,'MOD_MENU_FIELD_MENUTYPE_DESC','Select a menu in the list','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_menu.ini'),
(1829,'MOD_MENU_FIELD_MENUTYPE_LABEL','Select Menu','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_menu.ini'),
(1830,'MOD_MENU_FIELD_STARTLEVEL_DESC','Level to start rendering the menu at. Setting the start and end levels to the same # and setting \'Show Sub-menu Items\' to yes will only display that single level.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_menu.ini'),
(1831,'MOD_MENU_FIELD_STARTLEVEL_LABEL','Start Level','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_menu.ini'),
(1832,'MOD_MENU_FIELD_TAG_ID_DESC','An ID attribute to assign to the root UL tag of the menu (optional)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_menu.ini'),
(1833,'MOD_MENU_FIELD_TAG_ID_LABEL','Menu Tag ID','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_menu.ini'),
(1834,'MOD_MENU_FIELD_TARGET_DESC','JavaScript values to position a popup window, e.g. top=50,left=50,width=200,height=300','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_menu.ini'),
(1835,'MOD_MENU_FIELD_TARGET_LABEL','Target Position','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_menu.ini'),
(1836,'MOD_MENU_XML_DESCRIPTION','This module displays a menu on the frontend.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_menu.ini'),
(1837,'MOD_MENU','Menu','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_menu.sys.ini'),
(1838,'MOD_MENU_XML_DESCRIPTION','This module displays a menu on the frontend.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_menu.sys.ini'),
(1839,'MOD_MENU_LAYOUT_DEFAULT','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_menu.sys.ini'),
(1840,'MOD_RANDOM_IMAGE','Random Image','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_random_image.ini'),
(1841,'MOD_RANDOM_IMAGE_FIELD_FOLDER_DESC','Path to the image folder relative to the site URL (e.g. images).','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_random_image.ini'),
(1842,'MOD_RANDOM_IMAGE_FIELD_FOLDER_LABEL','Image Folder','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_random_image.ini'),
(1843,'MOD_RANDOM_IMAGE_FIELD_HEIGHT_DESC','Image Height forces all images to be displayed with the height in pixels.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_random_image.ini'),
(1844,'MOD_RANDOM_IMAGE_FIELD_HEIGHT_LABEL','Height (px)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_random_image.ini'),
(1845,'MOD_RANDOM_IMAGE_FIELD_LINK_DESC','A URL to redirect to if the image is clicked upon (e.g. http://www.joomla.org).','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_random_image.ini'),
(1846,'MOD_RANDOM_IMAGE_FIELD_LINK_LABEL','Link','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_random_image.ini'),
(1847,'MOD_RANDOM_IMAGE_FIELD_TYPE_DESC','Type of image PNG/GIF/JPG etc. (the default is JPG)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_random_image.ini'),
(1848,'MOD_RANDOM_IMAGE_FIELD_TYPE_LABEL','Image Type','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_random_image.ini'),
(1849,'MOD_RANDOM_IMAGE_FIELD_WIDTH_DESC','Image Width forces all images to be displayed with this width in pixels.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_random_image.ini'),
(1850,'MOD_RANDOM_IMAGE_FIELD_WIDTH_LABEL','Width (px)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_random_image.ini');
INSERT INTO `#__overrider` VALUES 
(1851,'MOD_RANDOM_IMAGE_NO_IMAGES','No Images','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_random_image.ini'),
(1852,'MOD_RANDOM_IMAGE_XML_DESCRIPTION','This Module displays a random image from your chosen directory.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_random_image.ini'),
(1853,'MOD_RANDOM_IMAGE','Random Image','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_random_image.sys.ini'),
(1854,'MOD_RANDOM_IMAGE_XML_DESCRIPTION','This Module displays a random image from your chosen directory.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_random_image.sys.ini'),
(1855,'MOD_RANDOM_IMAGE_LAYOUT_DEFAULT','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_random_image.sys.ini'),
(1856,'MOD_RELATED_FIELD_MAX_DESC','The maximum number of related articles to display (default is 5)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_related_items.ini'),
(1857,'MOD_RELATED_FIELD_MAX_LABEL','Maximum articles','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_related_items.ini'),
(1858,'MOD_RELATED_FIELD_SHOWDATE_DESC','Show/Hide Date','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_related_items.ini'),
(1859,'MOD_RELATED_FIELD_SHOWDATE_LABEL','Show Date','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_related_items.ini'),
(1860,'MOD_RELATED_ITEMS','Articles - Related Articles','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_related_items.ini'),
(1861,'MOD_RELATED_XML_DESCRIPTION','This Module displays other Articles that are related to the one currently being viewed. These relations are established by the Meta Keywords. <br />All the keywords of the current Article are searched against all the keywords of all other published Articles. For example, you may have an Article on "Breeding Parrots" and another on "Hand Raising Black Cockatoos". If you include the keyword "parrot" in both Articles, then the Related Items Module will list the "Breeding Parrots" Article when viewing "Hand Raising Black Cockatoos" and vice-versa.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_related_items.ini'),
(1862,'MOD_RELATED_ITEMS','Articles - Related Articles','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_related_items.sys.ini'),
(1863,'MOD_RELATED_XML_DESCRIPTION','This Module displays other Articles that are related to the one currently being viewed. These relations are established by the Meta Keywords. <br />All the keywords of the current Article are searched against all the keywords of all other published Articles. For example, you may have an Article on "Breeding Parrots" and another on "Hand Raising Black Cockatoos". If you include the keyword "parrot" in both Articles, then the Related Items Module will list the "Breeding Parrots" Article when viewing "Hand Raising Black Cockatoos" and vice-versa.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_related_items.sys.ini'),
(1864,'MOD_RELATED_ITEMS_LAYOUT_DEFAULT','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_related_items.sys.ini'),
(1865,'MOD_SEARCH','Search','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1866,'MOD_SEARCH_FIELD_BOXWIDTH_DESC','Size of the search text box in characters','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1867,'MOD_SEARCH_FIELD_BOXWIDTH_LABEL','Box Width','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1868,'MOD_SEARCH_FIELD_BUTTON_DESC','Display a Search Button','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1869,'MOD_SEARCH_FIELD_BUTTON_LABEL','Search Button','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1870,'MOD_SEARCH_FIELD_BUTTONPOS_DESC','Position of the button relative to the search box.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1871,'MOD_SEARCH_FIELD_BUTTONPOS_LABEL','Button Position','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1872,'MOD_SEARCH_FIELD_BUTTONTEXT_DESC','The text that appears in the search button. If left blank, it will load the \'searchbutton\' string from your language file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1873,'MOD_SEARCH_FIELD_BUTTONTEXT_LABEL','Button Text','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1874,'MOD_SEARCH_FIELD_IMAGEBUTTON_DESC','Use an image as button. This image has to be named searchButton.gif and must be located in templates/*your template name*/images/','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1875,'MOD_SEARCH_FIELD_IMAGEBUTTON_LABEL','Search Button Image','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1876,'MOD_SEARCH_FIELD_SETITEMID_DESC','Assign an ItemID by selecting a menu item in the list for the display of the search results if there is no com_search menu and a specific display is desired. If you do not know what this means, you may not need it.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1877,'MOD_SEARCH_FIELD_SETITEMID_LABEL','Set ItemID','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1878,'MOD_SEARCH_FIELD_LABEL_TEXT_DESC','The text that appears in the label of search box. If left blank, it will load \'label\' string from your language file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1879,'MOD_SEARCH_FIELD_LABEL_TEXT_LABEL','Box Label','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1880,'MOD_SEARCH_FIELD_OPENSEARCH_LABEL','OpenSearch autodiscovery','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1881,'MOD_SEARCH_FIELD_OPENSEARCH_TEXT_LABEL','OpenSearch title','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1882,'MOD_SEARCH_FIELD_OPENSEARCH_TEXT_DESC','Text displayed in supported Browsers when adding your site as a search provider.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1883,'MOD_SEARCH_FIELD_OPENSEARCH_DESC','Some Browsers can add support for your site\'s search if this option is enabled.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1884,'MOD_SEARCH_FIELD_TEXT_DESC','The text that appears in the search text box. If left blank, it will load \'searchbox\' string from your language file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1885,'MOD_SEARCH_FIELD_TEXT_LABEL','Box Text','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1886,'MOD_SEARCH_FIELD_VALUE_BOTTOM','Bottom','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1887,'MOD_SEARCH_FIELD_VALUE_LEFT','Left','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1888,'MOD_SEARCH_FIELD_VALUE_RIGHT','Right','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1889,'MOD_SEARCH_FIELD_VALUE_TOP','Top','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1890,'MOD_SEARCH_LABEL_TEXT','Search...','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1891,'MOD_SEARCH_SEARCHBOX_TEXT','Search...','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1892,'MOD_SEARCH_SEARCHBUTTON_TEXT','Search','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1893,'MOD_SEARCH_SELECT_MENU_ITEMID','Select a menu item','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1894,'MOD_SEARCH_XML_DESCRIPTION','This module will display a search box.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.ini'),
(1895,'MOD_SEARCH','Search','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.sys.ini'),
(1896,'MOD_SEARCH_XML_DESCRIPTION','This module will display a search box.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.sys.ini'),
(1897,'MOD_SEARCH_LAYOUT_DEFAULT','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_search.sys.ini'),
(1898,'MOD_STATS','Statistics','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_stats.ini'),
(1899,'MOD_STATS_ARTICLES','Articles','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_stats.ini'),
(1900,'MOD_STATS_ARTICLES_VIEW_HITS','Articles View Hits','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_stats.ini');
INSERT INTO `#__overrider` VALUES 
(1901,'MOD_STATS_CACHING','Caching','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_stats.ini'),
(1902,'MOD_STATS_FIELD_COUNTER_DESC','Display Hit Counter','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_stats.ini'),
(1903,'MOD_STATS_FIELD_COUNTER_LABEL','Hit Counter','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_stats.ini'),
(1904,'MOD_STATS_FIELD_INCREASECOUNTER_DESC','Enter the amount of hits to increase the counter by.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_stats.ini'),
(1905,'MOD_STATS_FIELD_INCREASECOUNTER_LABEL','Increase Counter','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_stats.ini'),
(1906,'MOD_STATS_FIELD_SERVERINFO_DESC','Display Server Information','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_stats.ini'),
(1907,'MOD_STATS_FIELD_SERVERINFO_LABEL','Server Information','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_stats.ini'),
(1908,'MOD_STATS_FIELD_SITEINFO_DESC','Display Site Information','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_stats.ini'),
(1909,'MOD_STATS_FIELD_SITEINFO_LABEL','Site Information','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_stats.ini'),
(1910,'MOD_STATS_GZIP','GZip','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_stats.ini'),
(1911,'MOD_STATS_MYSQL','MySQL','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_stats.ini'),
(1912,'MOD_STATS_OS','OS','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_stats.ini'),
(1913,'MOD_STATS_PHP','PHP','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_stats.ini'),
(1914,'MOD_STATS_TIME','Time','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_stats.ini'),
(1915,'MOD_STATS_USERS','Users','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_stats.ini'),
(1916,'MOD_STATS_WEBLINKS','Web Links','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_stats.ini'),
(1917,'MOD_STATS_XML_DESCRIPTION','The Statistics Module shows information about your server installation together with statistics on the Web site users, number of Articles in your database and the number of Web links you provide.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_stats.ini'),
(1918,'MOD_STATS','Statistics','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_stats.sys.ini'),
(1919,'MOD_STATS_XML_DESCRIPTION','The Statistics Module shows information about your server installation together with statistics on the Web site users, number of Articles in your database and the number of Web links you provide.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_stats.sys.ini'),
(1920,'MOD_STATS_LAYOUT_DEFAULT','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_stats.sys.ini'),
(1921,'MOD_SYNDICATE','Syndication Feeds','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_syndicate.ini'),
(1922,'MOD_SYNDICATE_DEFAULT_FEED_ENTRIES','Feed Entries','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_syndicate.ini'),
(1923,'MOD_SYNDICATE_FIELD_DISPLAYTEXT_DESC','If set to \'Yes\', text will be displayed next to the icon','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_syndicate.ini'),
(1924,'MOD_SYNDICATE_FIELD_DISPLAYTEXT_LABEL','Display Text','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_syndicate.ini'),
(1925,'MOD_SYNDICATE_FIELD_FORMAT_DESC','Select the format for the Syndication Feed','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_syndicate.ini'),
(1926,'MOD_SYNDICATE_FIELD_FORMAT_LABEL','Feed Format','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_syndicate.ini'),
(1927,'MOD_SYNDICATE_FIELD_TEXT_DESC','If \'Display Text\' is activated, the text entered here will be displayed next to the icon along with the RSS Link. If this field is left empty, the default text displayed will be picked from the site language ini file.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_syndicate.ini'),
(1928,'MOD_SYNDICATE_FIELD_TEXT_LABEL','Text','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_syndicate.ini'),
(1929,'MOD_SYNDICATE_FIELD_VALUE_ATOM','Atom 1.0','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_syndicate.ini'),
(1930,'MOD_SYNDICATE_FIELD_VALUE_RSS','RSS 2.0','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_syndicate.ini'),
(1931,'MOD_SYNDICATE_XML_DESCRIPTION','Smart Syndication Module that creates a Syndicated Feed for the page where the Module is displayed.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_syndicate.ini'),
(1932,'MOD_SYNDICATE','Syndication Feeds','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_syndicate.sys.ini'),
(1933,'MOD_SYNDICATE_XML_DESCRIPTION','Smart Syndication Module that creates a Syndicated Feed for the page where the Module is displayed.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_syndicate.sys.ini'),
(1934,'MOD_SYNDICATE_LAYOUT_DEFAULT','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_syndicate.sys.ini'),
(1935,'MOD_TAGS_POPULAR','Popular Tags','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1936,'MOD_TAGS_POPULAR_FIELD_ALL_TIME','All time','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1937,'MOD_TAGS_POPULAR_FIELD_DISPLAY_COUNT_DESC','Choose if the number of tagged items should be displayed next to each tag.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1938,'MOD_TAGS_POPULAR_FIELD_DISPLAY_COUNT_LABEL','Display number of items','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1939,'MOD_TAGS_POPULAR_FIELD_LAST_DAY','Last day','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1940,'MOD_TAGS_POPULAR_FIELD_LAST_HOUR','Last hour','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1941,'MOD_TAGS_POPULAR_FIELD_LAST_MONTH','Last month','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1942,'MOD_TAGS_POPULAR_FIELD_LAST_WEEK','Last week','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1943,'MOD_TAGS_POPULAR_FIELD_LAST_YEAR','Last year','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1944,'MOD_TAGS_POPULAR_FIELD_MAX_DESC','Sets the maximum number of tags to display in the module. Enter &quot;0&quot; to display all tags.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1945,'MOD_TAGS_POPULAR_FIELD_MAX_LABEL','Maximum tags','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1946,'MOD_TAGS_POPULAR_FIELD_MAXSIZE_DESC','The maximum font size used for the tags, proportional to the site\'s default font size (e.g. &quot;2&quot; means 200% of the default size).','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1947,'MOD_TAGS_POPULAR_FIELD_MAXSIZE_LABEL','Maximum font size','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1948,'MOD_TAGS_POPULAR_FIELD_MINSIZE_DESC','The minimum font size used for the tags, proportional to the site\'s default font size (e.g. &quot;2&quot; means 200% of the default size).','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1949,'MOD_TAGS_POPULAR_FIELD_MINSIZE_LABEL','Minimum font size','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1950,'MOD_TAGS_POPULAR_FIELD_NO_RESULTS_DESC','Will show a message if no matching tags are found instead of hiding the module.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini');
INSERT INTO `#__overrider` VALUES 
(1951,'MOD_TAGS_POPULAR_FIELD_NO_RESULTS_LABEL','Show &quot;No results&quot; text','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1952,'MOD_TAGS_POPULAR_FIELD_ORDER_VALUE_COUNT','Number of Items','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1953,'MOD_TAGS_POPULAR_FIELD_ORDER_VALUE_DESC','The order that tags will show in.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1954,'MOD_TAGS_POPULAR_FIELD_ORDER_VALUE_LABEL','Order','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1955,'MOD_TAGS_POPULAR_FIELD_ORDER_VALUE_RANDOM','Random','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1956,'MOD_TAGS_POPULAR_FIELD_ORDER_VALUE_TITLE','Title','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1957,'MOD_TAGS_POPULAR_FIELD_TIMEFRAME_DESC','Sets the time period for which to calculate popularity','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1958,'MOD_TAGS_POPULAR_FIELD_TIMEFRAME_LABEL','Time Period','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1959,'MOD_TAGS_POPULAR_FIELDSET_CLOUD_LABEL','Cloud Layout','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1960,'MOD_TAGS_POPULAR_MAX_DESC','Sets the maximum number of tags to display in the module','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1961,'MOD_TAGS_POPULAR_MAX_LABEL','Maximum tags','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1962,'MOD_TAGS_POPULAR_NO_ITEMS_FOUND','No Tags found.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1963,'MOD_TAGS_POPULAR_XML_DESCRIPTION','This Module displays tags used on the site in a list or a cloud layout. Tags can be ordered by title or by the number of tagged items and limited to a specific time period.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.ini'),
(1964,'MOD_TAGS_POPULAR','Popular Tags','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.sys.ini'),
(1965,'MOD_TAGS_POPULAR_LAYOUT_CLOUD','Cloud','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.sys.ini'),
(1966,'MOD_TAGS_POPULAR_LAYOUT_DEFAULT','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.sys.ini'),
(1967,'MOD_TAGS_POPULAR_XML_DESCRIPTION','This Module displays tags used on the site in a list or a cloud layout. Tags can be ordered by title or by the number of tagged items and limited to a specific time period.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_popular.sys.ini'),
(1968,'MOD_TAGS_SIMILAR','Similar Tags','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_similar.ini'),
(1969,'MOD_TAGS_SIMILAR_FIELD_ALL','All','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_similar.ini'),
(1970,'MOD_TAGS_SIMILAR_FIELD_HALF','Half','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_similar.ini'),
(1971,'MOD_TAGS_SIMILAR_FIELD_MATCHTYPE_DESC','How closely an item\'s tags need to match. All - requires that all tags in the displayed item be matched. Any - requires that at least one tag match. Half - requires that at least half of the tags match (rounded up in the case of decimals).','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_similar.ini'),
(1972,'MOD_TAGS_SIMILAR_FIELD_MATCHTYPE_LABEL','Match type','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_similar.ini'),
(1973,'MOD_TAGS_SIMILAR_FIELD_ONE','Any','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_similar.ini'),
(1974,'MOD_TAGS_SIMILAR_LAYOUT_DEFAULT','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_similar.ini'),
(1975,'MOD_TAGS_SIMILAR_MAX_DESC','Maximum number of items to display','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_similar.ini'),
(1976,'MOD_TAGS_SIMILAR_MAX_LABEL','Maximum items','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_similar.ini'),
(1977,'MOD_TAGS_SIMILAR_NO_MATCHING_TAGS','No matching tags','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_similar.ini'),
(1978,'MOD_TAGS_SIMILAR_XML_DESCRIPTION','The Similar Tags Module displays links to other items with similar tags. The closeness of the match can be specified.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_similar.ini'),
(1979,'MOD_TAGS_SIMILAR','Similar Tags','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_similar.sys.ini'),
(1980,'MOD_TAGS_SIMILAR_LAYOUT_DEFAULT','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_similar.sys.ini'),
(1981,'MOD_TAGS_SIMILAR_XML_DESCRIPTION','The Similar Tags Module displays links to other items with similar tags. The closeness of the match can be specified.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_tags_similar.sys.ini'),
(1982,'MOD_USERS_LATEST','Latest Users','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_users_latest.ini'),
(1983,'MOD_USERS_LATEST_FIELD_FILTER_GROUPS_DESC','Choose to filter by groups of the connected user','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_users_latest.ini'),
(1984,'MOD_USERS_LATEST_FIELD_FILTER_GROUPS_LABEL','Filter groups','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_users_latest.ini'),
(1985,'MOD_USERS_LATEST_FIELD_LINKTOWHAT_DESC','Choose the type of information to display','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_users_latest.ini'),
(1986,'MOD_USERS_LATEST_FIELD_LINKTOWHAT_LABEL','User Information','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_users_latest.ini'),
(1987,'MOD_USERS_LATEST_FIELD_NUMBER_DESC','Number of latest registered users to display','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_users_latest.ini'),
(1988,'MOD_USERS_LATEST_FIELD_NUMBER_LABEL','Number of Users','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_users_latest.ini'),
(1989,'MOD_USERS_LATEST_FIELD_VALUE_CONTACT','Contact','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_users_latest.ini'),
(1990,'MOD_USERS_LATEST_FIELD_VALUE_PROFILE','Profile','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_users_latest.ini'),
(1991,'MOD_USERS_LATEST_XML_DESCRIPTION','This module displays the latest registered users','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_users_latest.ini'),
(1992,'MOD_USERS_LATEST','Latest Users','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_users_latest.sys.ini'),
(1993,'MOD_USERS_LATEST_XML_DESCRIPTION','This module displays the latest registered users','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_users_latest.sys.ini'),
(1994,'MOD_USERS_LATEST_LAYOUT_DEFAULT','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_users_latest.sys.ini'),
(1995,'MOD_WEBLINKS','Weblinks','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.ini'),
(1996,'MOD_WEBLINKS_FIELD_CATEGORY_DESC','Choose the Weblinks category to display','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.ini'),
(1997,'MOD_WEBLINKS_FIELD_COUNT_DESC','Number of Web Links to display','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.ini'),
(1998,'MOD_WEBLINKS_FIELD_COUNT_LABEL','Count','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.ini'),
(1999,'MOD_WEBLINKS_FIELD_COUNTCLICKS_DESC','If set to yes, the number of times the link has been clicked will be recorded','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.ini'),
(2000,'MOD_WEBLINKS_FIELD_COUNTCLICKS_LABEL','Count Clicks','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.ini');
INSERT INTO `#__overrider` VALUES 
(2001,'MOD_WEBLINKS_FIELD_DESCRIPTION_DESC','Display Web Link description','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.ini'),
(2002,'MOD_WEBLINKS_FIELD_DESCRIPTION_LABEL','Description','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.ini'),
(2003,'MOD_WEBLINKS_FIELD_FOLLOW_DESC','Robots index - allow to follow or not','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.ini'),
(2004,'MOD_WEBLINKS_FIELD_FOLLOW_LABEL','Follow/No Follow','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.ini'),
(2005,'MOD_WEBLINKS_FIELD_HITS_DESC','Show Hits','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.ini'),
(2006,'MOD_WEBLINKS_FIELD_HITS_LABEL','Hits','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.ini'),
(2007,'MOD_WEBLINKS_FIELD_ORDERDIRECTION_DESC','Set the ordering direction','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.ini'),
(2008,'MOD_WEBLINKS_FIELD_ORDERDIRECTION_LABEL','Direction','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.ini'),
(2009,'MOD_WEBLINKS_FIELD_ORDERING_DESC','Ordering for the Web Links','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.ini'),
(2010,'MOD_WEBLINKS_FIELD_ORDERING_LABEL','Ordering','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.ini'),
(2011,'MOD_WEBLINKS_FIELD_TARGET_DESC','Target browser window when the link is clicked','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.ini'),
(2012,'MOD_WEBLINKS_FIELD_TARGET_LABEL','Target Window','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.ini'),
(2013,'MOD_WEBLINKS_FIELD_VALUE_ASCENDING','Ascending','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.ini'),
(2014,'MOD_WEBLINKS_FIELD_VALUE_DESCENDING','Descending','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.ini'),
(2015,'MOD_WEBLINKS_FIELD_VALUE_FOLLOW','Follow','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.ini'),
(2016,'MOD_WEBLINKS_FIELD_VALUE_HITS','Hits','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.ini'),
(2017,'MOD_WEBLINKS_FIELD_VALUE_NOFOLLOW','No follow','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.ini'),
(2018,'MOD_WEBLINKS_FIELD_VALUE_ORDER','Order','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.ini'),
(2019,'MOD_WEBLINKS_HITS','Hits','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.ini'),
(2020,'MOD_WEBLINKS_XML_DESCRIPTION','This modules displays weblinks from a category defined in the Weblinks component.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.ini'),
(2021,'MOD_WEBLINKS','Weblinks','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.sys.ini'),
(2022,'MOD_WEBLINKS_XML_DESCRIPTION','This modules displays Web Links from a category defined in the Weblinks component.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.sys.ini'),
(2023,'MOD_WEBLINKS_LAYOUT_DEFAULT','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_weblinks.sys.ini'),
(2024,'MOD_WHOSONLINE','Who\'s Online','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_whosonline.ini'),
(2025,'MOD_WHOSONLINE_FIELD_FILTER_GROUPS_DESC','Choose to filter by groups of the connected user','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_whosonline.ini'),
(2026,'MOD_WHOSONLINE_FIELD_FILTER_GROUPS_LABEL','Filter groups','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_whosonline.ini'),
(2027,'MOD_WHOSONLINE_FIELD_LINKTOWHAT_DESC','Choose the type of information to display','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_whosonline.ini'),
(2028,'MOD_WHOSONLINE_FIELD_LINKTOWHAT_LABEL','Information','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_whosonline.ini'),
(2029,'MOD_WHOSONLINE_FIELD_VALUE_BOTH','Both','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_whosonline.ini'),
(2030,'MOD_WHOSONLINE_FIELD_VALUE_CONTACT','Contact','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_whosonline.ini'),
(2031,'MOD_WHOSONLINE_FIELD_VALUE_NAMES','Usernames','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_whosonline.ini'),
(2032,'MOD_WHOSONLINE_FIELD_VALUE_NUMBER','# of Guests / Users','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_whosonline.ini'),
(2033,'MOD_WHOSONLINE_FIELD_VALUE_PROFILE','Profile','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_whosonline.ini'),
(2034,'MOD_WHOSONLINE_GUESTS','%s&#160;guests','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_whosonline.ini'),
(2035,'MOD_WHOSONLINE_GUESTS_1','one guest','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_whosonline.ini'),
(2036,'MOD_WHOSONLINE_GUESTS_0','no guests','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_whosonline.ini'),
(2037,'MOD_WHOSONLINE_MEMBERS','%s&#160;members','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_whosonline.ini'),
(2038,'MOD_WHOSONLINE_MEMBERS_1','one member','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_whosonline.ini'),
(2039,'MOD_WHOSONLINE_MEMBERS_0','no members','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_whosonline.ini'),
(2040,'MOD_WHOSONLINE_SAME_GROUP_MESSAGE','List of Users who belong to your user groups or your user groups\' child groups','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_whosonline.ini'),
(2041,'MOD_WHOSONLINE_SHOWMODE_DESC','Select what shall be shown','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_whosonline.ini'),
(2042,'MOD_WHOSONLINE_SHOWMODE_LABEL','Display','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_whosonline.ini'),
(2043,'MOD_WHOSONLINE_XML_DESCRIPTION','The Who\'s Online Module displays the number of Anonymous Users (e.g. Guests) and Registered Users (ones logged-in) that are currently accessing the Web site.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_whosonline.ini'),
(2044,'MOD_WHOSONLINE_WE_HAVE','We have %1$s and %2$s online','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_whosonline.ini'),
(2045,'MOD_WHOSONLINE','Who\'s Online','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_whosonline.sys.ini'),
(2046,'MOD_WHOSONLINE_XML_DESCRIPTION','The Who\'s Online Module displays the number of Anonymous Users (e.g. Guests) and Registered Users (ones logged-in) that are currently accessing the Web site.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_whosonline.sys.ini'),
(2047,'MOD_WHOSONLINE_LAYOUT_DEFAULT','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_whosonline.sys.ini'),
(2048,'MOD_WRAPPER','Wrapper','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_wrapper.ini'),
(2049,'MOD_WRAPPER_FIELD_ADD_DESC','By default, http:// will be added unless it detects http:// or https:// in the URL you provide. This allows you to switch this ability off.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_wrapper.ini'),
(2050,'MOD_WRAPPER_FIELD_ADD_LABEL','Auto Add','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_wrapper.ini');
INSERT INTO `#__overrider` VALUES 
(2051,'MOD_WRAPPER_FIELD_AUTOHEIGHT_DESC','The height will automatically be set to the size of the external page. This will only work for pages on your own domain.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_wrapper.ini'),
(2052,'MOD_WRAPPER_FIELD_AUTOHEIGHT_LABEL','Auto Height','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_wrapper.ini'),
(2053,'MOD_WRAPPER_FIELD_HEIGHT_DESC','Height of the iFrame window','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_wrapper.ini'),
(2054,'MOD_WRAPPER_FIELD_HEIGHT_LABEL','Height','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_wrapper.ini'),
(2055,'MOD_WRAPPER_FIELD_SCROLL_DESC','Show/Hide Horizontal &amp; Vertical Scroll Bars.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_wrapper.ini'),
(2056,'MOD_WRAPPER_FIELD_SCROLL_LABEL','Scroll Bars','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_wrapper.ini'),
(2057,'MOD_WRAPPER_FIELD_TARGET_DESC','Name of the iFrame when used as Target','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_wrapper.ini'),
(2058,'MOD_WRAPPER_FIELD_TARGET_LABEL','Target Name','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_wrapper.ini'),
(2059,'MOD_WRAPPER_FIELD_URL_DESC','URL to site/file you wish to display within the iframe.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_wrapper.ini'),
(2060,'MOD_WRAPPER_FIELD_URL_LABEL','URL','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_wrapper.ini'),
(2061,'MOD_WRAPPER_FIELD_VALUE_AUTO','Auto','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_wrapper.ini'),
(2062,'MOD_WRAPPER_FIELD_WIDTH_DESC','Width of the iFrame window. You can enter an absolute figure in pixels or a relative figure by adding a %.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_wrapper.ini'),
(2063,'MOD_WRAPPER_FIELD_WIDTH_LABEL','Width','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_wrapper.ini'),
(2064,'MOD_WRAPPER_NO_IFRAMES','No Iframes','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_wrapper.ini'),
(2065,'MOD_WRAPPER_XML_DESCRIPTION','This module shows an iFrame window to specified location.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_wrapper.ini'),
(2066,'MOD_WRAPPER_FIELD_FRAME_LABEL','Frame border','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_wrapper.ini'),
(2067,'MOD_WRAPPER_FIELD_FRAME_DESC','Show frame border which wraps the iframe','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_wrapper.ini'),
(2068,'MOD_WRAPPER','Wrapper','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_wrapper.sys.ini'),
(2069,'MOD_WRAPPER_NO_IFRAMES','No Iframes','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_wrapper.sys.ini'),
(2070,'MOD_WRAPPER_XML_DESCRIPTION','This Module shows an iframe window to specified location.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_wrapper.sys.ini'),
(2071,'MOD_WRAPPER_LAYOUT_DEFAULT','Default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.mod_wrapper.sys.ini'),
(2072,'TPL_BEEZ3_ADDITIONAL_INFORMATION','Additional information','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2073,'TPL_BEEZ3_ALTCLOSE','is closed','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2074,'TPL_BEEZ3_ALTOPEN','is open','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2075,'TPL_BEEZ3_BIGGER','Bigger','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2076,'TPL_BEEZ3_CLICK','click','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2077,'TPL_BEEZ3_CLOSEMENU','Close Menu','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2078,'TPL_BEEZ3_DECREASE_SIZE','Decrease size','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2079,'TPL_BEEZ3_ERROR_JUMP_TO_NAV','Jump to navigation','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2080,'TPL_BEEZ3_FIELD_BOOTSTRAP_DESC','Create a comma separated list of any components for which Bootstrap is needed, for example com_name, com_anothername.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2081,'TPL_BEEZ3_FIELD_BOOTSTRAP_LABEL','Components Requiring<br/> Bootstrap','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2082,'TPL_BEEZ3_FIELD_DESCRIPTION_DESC','Please add your site description here','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2083,'TPL_BEEZ3_FIELD_DESCRIPTION_LABEL','Site Description','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2084,'TPL_BEEZ3_FIELD_HEADER_BACKGROUND_COLOR_DESC','Choose a colour for the Background if the custom colour option is selected. If left blank the Default (#eeeeee) is used.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2085,'TPL_BEEZ3_FIELD_HEADER_BACKGROUND_COLOR_LABEL','Background Colour','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2086,'TPL_BEEZ3_FIELD_HEADER_IMAGE_DESC','Use the selected header image when the custom colour option is selected','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2087,'TPL_BEEZ3_FIELD_HEADER_IMAGE_LABEL','Header Image','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2088,'TPL_BEEZ3_FIELD_LOGO_DESC','Please choose an image. If you do not want to display a logo, click on Clear and leave the field blank.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2089,'TPL_BEEZ3_FIELD_LOGO_LABEL','Logo','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2090,'TPL_BEEZ3_FIELD_NAVPOSITION_DESC','Navigation before or after content','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2091,'TPL_BEEZ3_FIELD_NAVPOSITION_LABEL','Position of Navigation','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2092,'TPL_BEEZ3_FIELD_SITETITLE_DESC','Please add your site title here, it\'s only displayed if you don\'t use a logo','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2093,'TPL_BEEZ3_FIELD_SITETITLE_LABEL','Site Title','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2094,'TPL_BEEZ3_FIELD_TEMPLATECOLOR_DESC','Colour of the template','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2095,'TPL_BEEZ3_FIELD_TEMPLATECOLOR_LABEL','Template colour','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2096,'TPL_BEEZ3_FIELD_WRAPPERLARGE_DESC','Wrapper width with closed additional columns in percent','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2097,'TPL_BEEZ3_FIELD_WRAPPERLARGE_LABEL','Wrapper Large (%)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2098,'TPL_BEEZ3_FIELD_WRAPPERSMALL_DESC','Wrapper width with opened additional columns in percent','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2099,'TPL_BEEZ3_FIELD_WRAPPERSMALL_LABEL','Wrapper Small (%)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2100,'TPL_BEEZ3_FONTSIZE','Font size','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini');
INSERT INTO `#__overrider` VALUES 
(2101,'TPL_BEEZ3_INCREASE_SIZE','Increase size','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2102,'TPL_BEEZ3_JUMP_TO_INFO','Jump to additional information','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2103,'TPL_BEEZ3_JUMP_TO_NAV','Jump to main navigation and login','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2104,'TPL_BEEZ3_NAVIGATION','Navigation','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2105,'TPL_BEEZ3_NAV_VIEW_SEARCH','Nav view search','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2106,'TPL_BEEZ3_NEXTTAB','Next Tab','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2107,'TPL_BEEZ3_OPENMENU','Open Menu','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2108,'TPL_BEEZ3_OPTION_AFTER_CONTENT','after content','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2109,'TPL_BEEZ3_OPTION_BEFORE_CONTENT','before content','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2110,'TPL_BEEZ3_OPTION_IMAGE','Custom','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2111,'TPL_BEEZ3_OPTION_NATURE','Nature','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2112,'TPL_BEEZ3_OPTION_PERSONAL','Personal','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2113,'TPL_BEEZ3_OPTION_RED','Red','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2114,'TPL_BEEZ3_OPTION_TURQ','Turquoise','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2115,'TPL_BEEZ3_POWERED_BY','Powered by','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2116,'TPL_BEEZ3_RESET','Reset','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2117,'TPL_BEEZ3_REVERT_STYLES_TO_DEFAULT','Revert styles to default','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2118,'TPL_BEEZ3_SEARCH','Search','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2119,'TPL_BEEZ3_SKIP_TO_CONTENT','Skip to content','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2120,'TPL_BEEZ3_SKIP_TO_ERROR_CONTENT','Jump to error message and search','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2121,'TPL_BEEZ3_SMALLER','Smaller','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2122,'TPL_BEEZ3_SYSTEM_MESSAGE','Error','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2123,'TPL_BEEZ3_TEXTRIGHTCLOSE','Close info','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2124,'TPL_BEEZ3_TEXTRIGHTOPEN','Open info','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2125,'TPL_BEEZ3_XML_DESCRIPTION','Accessible template for Joomla! Beez, the HTML 4 version.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2126,'TPL_BEEZ3_YOUR_SITE_DESCRIPTION','Your site description','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.ini'),
(2127,'TPL_BEEZ3_POSITION_DEBUG','Debug','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2128,'TPL_BEEZ3_POSITION_POSITION-0','Search','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2129,'TPL_BEEZ3_POSITION_POSITION-10','Footer middle','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2130,'TPL_BEEZ3_POSITION_POSITION-11','Footer bottom','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2131,'TPL_BEEZ3_POSITION_POSITION-12','Middle top','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2132,'TPL_BEEZ3_POSITION_POSITION-13','Unused','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2133,'TPL_BEEZ3_POSITION_POSITION-14','Footer last','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2134,'TPL_BEEZ3_POSITION_POSITION-15','Header','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2135,'TPL_BEEZ3_POSITION_POSITION-1','Top','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2136,'TPL_BEEZ3_POSITION_POSITION-2','Breadcrumbs','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2137,'TPL_BEEZ3_POSITION_POSITION-3','Right bottom','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2138,'TPL_BEEZ3_POSITION_POSITION-4','Left middle','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2139,'TPL_BEEZ3_POSITION_POSITION-5','Left bottom','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2140,'TPL_BEEZ3_POSITION_POSITION-6','Right top','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2141,'TPL_BEEZ3_POSITION_POSITION-7','Left top','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2142,'TPL_BEEZ3_POSITION_POSITION-8','Right middle','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2143,'TPL_BEEZ3_POSITION_POSITION-9','Footer top','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2144,'TPL_BEEZ3_XML_DESCRIPTION','Accessible template for Joomla! Beez, the HTML 4 version.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2145,'TPL_PROTOSTAR_XML_DESCRIPTION','Continuing the space theme (Solarflare from 1.0 and Milkyway from 1.5), Protostar is the Joomla 3 site template based on Bootstrap from Twitter and the launch of the Joomla User Interface library (JUI).','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.ini'),
(2146,'TPL_PROTOSTAR_BACKGROUND_COLOR_DESC','Choose a background colour for static layouts. If left blank the Default (#F4F6F7) is used.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.ini'),
(2147,'TPL_PROTOSTAR_BACKGROUND_COLOR_LABEL','Background Colour','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.ini'),
(2148,'TPL_PROTOSTAR_BACKTOTOP','Back to Top','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.ini'),
(2149,'TPL_PROTOSTAR_COLOR_DESC','Choose an overall colour for the site template. If left blank the Default (#0088CC) is used.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.ini'),
(2150,'TPL_PROTOSTAR_COLOR_LABEL','Template Colour','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.ini');
INSERT INTO `#__overrider` VALUES 
(2151,'TPL_PROTOSTAR_FLUID','Fluid','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.ini'),
(2152,'TPL_PROTOSTAR_FLUID_LABEL','Fluid Layout','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.ini'),
(2153,'TPL_PROTOSTAR_FLUID_DESC','Use Bootstrap\'s Fluid or Static Container (both are Responsive)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.ini'),
(2154,'TPL_PROTOSTAR_FONT_LABEL','Google Font for Headings','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.ini'),
(2155,'TPL_PROTOSTAR_FONT_DESC','Load a Google font for the headings (H1, H2, H3, etc.)','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.ini'),
(2156,'TPL_PROTOSTAR_FONT_NAME_LABEL','Google Font Name','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.ini'),
(2157,'TPL_PROTOSTAR_FONT_NAME_DESC','Example: Open+Sans or Source+Sans+Pro','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.ini'),
(2158,'TPL_PROTOSTAR_LOGO_LABEL','Logo','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.ini'),
(2159,'TPL_PROTOSTAR_LOGO_DESC','Upload a custom logo for the site template.','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.ini'),
(2160,'TPL_PROTOSTAR_STATIC','Static','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.ini'),
(2161,'TPL_PROTOSTAR_POSITION_BANNER','Banner','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2162,'TPL_PROTOSTAR_POSITION_DEBUG','Debug','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2163,'TPL_PROTOSTAR_POSITION_POSITION-0','Search','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2164,'TPL_PROTOSTAR_POSITION_POSITION-10','Unused','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2165,'TPL_PROTOSTAR_POSITION_POSITION-11','Unused','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2166,'TPL_PROTOSTAR_POSITION_POSITION-12','Unused','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2167,'TPL_PROTOSTAR_POSITION_POSITION-13','Unused','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2168,'TPL_PROTOSTAR_POSITION_POSITION-14','Unused','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2169,'TPL_PROTOSTAR_POSITION_POSITION-15','Unused','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2170,'TPL_PROTOSTAR_POSITION_POSITION-1','Navigation','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2171,'TPL_PROTOSTAR_POSITION_POSITION-2','Breadcrumbs','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2172,'TPL_PROTOSTAR_POSITION_POSITION-3','Top centre','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2173,'TPL_PROTOSTAR_POSITION_POSITION-4','Unused','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2174,'TPL_PROTOSTAR_POSITION_POSITION-5','Unused','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2175,'TPL_PROTOSTAR_POSITION_POSITION-6','Unused','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2176,'TPL_PROTOSTAR_POSITION_POSITION-7','Right','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2177,'TPL_PROTOSTAR_POSITION_POSITION-8','Left','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2178,'TPL_PROTOSTAR_POSITION_POSITION-9','Unused','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2179,'TPL_PROTOSTAR_POSITION_FOOTER','Footer','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2180,'TPL_PROTOSTAR_XML_DESCRIPTION','Continuing the space theme (Solarflare from 1.0 and Milkyway from 1.5), Protostar is the Joomla 3 site template based on Bootstrap from Twitter and the launch of the Joomla User Interface library (JUI).','/home/akdevpax3/public_html/jm-internet/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2181,'MOD_DJ_SIMPLE_CONTACT_FORM_EMAIL_LABEL','Email','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2182,'MOD_DJ_SIMPLE_CONTACT_FORM_SUBJECT_LABEL','Subject','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2183,'MOD_DJ_SIMPLE_CONTACT_FORM_BUTTON_LABEL','Send','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2184,'MOD_DJ_SIMPLE_CONTACT_FORM_WRONG_CAPTCHA','Captcha Error','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2185,'MOD_DJ_SIMPLE_CONTACT_FORM_THANK_YOU','Thank you for message.','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2186,'MOD_DJ_SIMPLE_CONTACT_FORM_NAME_LABEL','Name','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2187,'MOD_DJ_SIMPLE_CONTACT_FORM_MESSAGE_INFO','You received a message from ','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2188,'MOD_DJ_SIMPLE_CONTACT_FORM_ERROR','Error','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2189,'MOD_DJ_SIMPLE_CONTACT_FORM_INVALID_EMAIL','Uncorrect address email','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2190,'MOD_DJ_SIMPLE_CONTACT_FORM_NO_EMAIL','Address email required','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2191,'MOD_DJ_SIMPLE_CONTACT_FORM_NO_NAME','Name required','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2192,'MOD_DJ_SIMPLE_CONTACT_FORM_NO_MESSAGE','required','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2193,'MOD_DJ_SIMPLE_CONTACT_FORM_NO_RECIPIENT','No recipient specified','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2194,'MOD_DJ_SIMPLE_CONTACT_FORM_EMAIL_PARAMETERS','Email Parameters','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2195,'MOD_DJ_SIMPLE_CONTACT_FORM_EMAIL_IN_FORM','Email in Form','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2196,'MOD_DJ_SIMPLE_CONTACT_FORM_EMAIL_DISPLAYED','Choose if email field id displayed','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2197,'MOD_DJ_SIMPLE_CONTACT_FORM_NO','No','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2198,'MOD_DJ_SIMPLE_CONTACT_FORM_YES','Yes','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2199,'MOD_DJ_SIMPLE_CONTACT_FORM_EMAIL_RECIPIENT','Email Recipient','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2200,'MOD_DJ_SIMPLE_CONTACT_FORM_EMAIL_FROM','Mail From Email','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini');
INSERT INTO `#__overrider` VALUES 
(2201,'MOD_DJ_SIMPLE_CONTACT_FORM_EMAIL_FROM_DESC','The email of the message\'s sender','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2202,'MOD_DJ_SIMPLE_CONTACT_FORM_DEFAULT_LABEL','Default Subject','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2203,'MOD_DJ_SIMPLE_CONTACT_FORM_TEXT_PARAMETERS','Text Parameters','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2204,'MOD_DJ_SIMPLE_CONTACT_FORM_INTROTEXT','Intro Text','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2205,'MOD_DJ_SIMPLE_CONTACT_FORM_INTROTEXT_DESC','Introtext at the top of the module','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2206,'MOD_DJ_SIMPLE_CONTACT_FORM_MESSAGE_TYPE','Message Type','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2207,'MOD_DJ_SIMPLE_CONTACT_FORM_MESSAGE_TYPE_DESC','Choose text input or textarea','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2208,'MOD_DJ_SIMPLE_CONTACT_FORM_MESSAGE_LABEL','Message Label','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2209,'MOD_DJ_SIMPLE_CONTACT_FORM_URL_PARAMETERS','Form URL Parameters','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2210,'MOD_DJ_SIMPLE_CONTACT_FORM_STATIC_URL','Static URL','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2211,'MOD_DJ_SIMPLE_CONTACT_FORM_STATIC_URL_DESC','Change this to Yes and write the URL in the Static URL Address parameter','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2212,'MOD_DJ_SIMPLE_CONTACT_FORM_STATIC_URL_ADDRESS','Static URL Address','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2213,'MOD_DJ_SIMPLE_CONTACT_FORM_STATIC_URL_ADDRESS_DESC','If true, this address is used for form to post itself.','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2214,'MOD_DJ_SIMPLE_CONTACT_FORM_EXACT_URL','Exact URL','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2215,'MOD_DJ_SIMPLE_CONTACT_FORM_EXACT_URL_DESC','If your site is http and your server/host supports https this should be No.','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2216,'MOD_DJ_SIMPLE_CONTACT_FORM_DISABLE_HTTPS','Disable HTTPS','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2217,'MOD_DJ_SIMPLE_CONTACT_FORM_DISABLE_HTTPS_DESC','Enable it if form posts in https and your site is http.','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2218,'MOD_DJ_SIMPLE_CONTACT_FORM_CAPTCHA','Captcha','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2219,'MOD_DJ_SIMPLE_CONTACT_FORM_ENABLE_CAPTCHA','Enable reCAPTCHA','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2220,'MOD_DJ_SIMPLE_CONTACT_FORM_ENABLE_CAPTCHA_DESC','Enable this to use the reCAPTCHA','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2221,'MOD_DJ_SIMPLE_CONTACT_FORM_RECAPTCHA_SITEKEY','reCaptcha Site Key','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2222,'MOD_DJ_SIMPLE_CONTACT_FORM_RECAPTCHA_SECRETKEY','reCaptcha Secret Key','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2223,'MOD_DJ_SIMPLE_CONTACT_FORM_MOD','Module Class Suffix Parameters','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2224,'MOD_DJ_SIMPLE_CONTACT_FORM_SUFFIX','Module Class Suffix','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2225,'MOD_DJ_SIMPLE_CONTACT_FORM_SUFFIX_DESC','If you want to apply a custom style, change this class suffix.','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2226,'MOD_DJ_SIMPLE_CONTACT_FORM_CACHING','Caching','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2227,'MOD_DJ_SIMPLE_CONTACT_FORM_CACHING_DESC','Select whether to cache the content of this module','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2228,'MOD_DJ_SIMPLE_CONTACT_FORM_GLOBAL','Use global','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2229,'MOD_DJ_SIMPLE_CONTACT_FORM_NO_CACHING','No caching','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2230,'MOD_DJ_SIMPLE_CONTACT_FORM_CACHE_TIME','Cache Time','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2231,'MOD_DJ_SIMPLE_CONTACT_FORM_CACHE_TIME_DESC','The time before the module is recached','/home/akdevpax3/public_html/jm-internet/modules/mod_dj_simple_contact_form/language/en-GB/en-GB.mod_dj_simple_contact_form.ini'),
(2232,'MOD_DJIMAGESLIDER_NO_COMPONENT','There is no DJ Image Slider Component installed','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2233,'MOD_DJIMAGESLIDER_NO_CATEGORY_OR_ITEMS','There is no category chosen or category doesn\'t contain any items','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2234,'MOD_DJIMAGESLIDER_NO_CATALOG_OR_FILES','Folder doesn\'t exist or doesn\'t contain any images','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2235,'MOD_DJIMAGESLIDER_READMORE','Read more','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2236,'MOD_DJIMAGESLIDER_PREVIOUS','Previous','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2237,'MOD_DJIMAGESLIDER_NEXT','Next','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2238,'MOD_DJIMAGESLIDER_PLAY','Play','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2239,'MOD_DJIMAGESLIDER_PAUSE','Pause','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2240,'COM_MODULES_OTHER_FIELDSET_LABEL','Other Options','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2241,'MOD_DJIMAGESLIDER_SHOW_CUSTOM_NAVIGATION','Show custom navigation','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2242,'MOD_DJIMAGESLIDER_SHOW_CUSTOM_NAVIGATION_DESC','Show or hide slide custom navigation. custom navigation. Displays direct indicator for each slide.','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2243,'MOD_DJIMAGESLIDER_LINK_IMAGE','Link image','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2244,'MOD_DJIMAGESLIDER_LINK_IMAGE_DESC','Choose a behavior of clicked image. \'Open image in modal\' will open the clicked image in Joomla modal window, it\'s lightbox-like effect.','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2245,'MOD_DJIMAGESLIDER_DONT_LINK','Don\'t link','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2246,'MOD_DJIMAGESLIDER_HYPERLINK','Hyperlink','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2247,'MOD_DJIMAGESLIDER_OPEN_IMAGE_IN_MODAL','Open image in modal','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2248,'MOD_DJIMAGESLIDER_SLIDE_WIDTH','Slide Width','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2249,'MOD_DJIMAGESLIDER_SLIDE_WIDTH_DESC','Single slide width in pixels.','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2250,'MOD_DJIMAGESLIDER_SLIDE_HEIGHT','Slide Height','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini');
INSERT INTO `#__overrider` VALUES 
(2251,'MOD_DJIMAGESLIDER_SLIDE_HEIGHT_DESC','Single slide height in pixels.','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2252,'MOD_DJIMAGESLIDER_FIT_SIZE_TO','Fit a size of image to','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2253,'MOD_DJIMAGESLIDER_FIT_SIZE_TO_DESC','Fit a size of image to slide height or width, second dimention will be proportional. If you want to display image on the left and description on the right, you should choose fitting an image size to slider height.','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2254,'MOD_DJIMAGESLIDER_SLIDE_AUTO','Auto','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2255,'MOD_DJIMAGESLIDER_ON_MOUSE_OVER','On Mouse Over','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2256,'MOD_DJIMAGESLIDER_PRELOAD_DELAY_TIME','Preload delay time','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2257,'MOD_DJIMAGESLIDER_PRELOAD_DELAY_TIME_DESC','You can specify preloading time in miliseconds (1000 ms = 1 second). Leave empty or set to \'0\' to show slider when page will be loaded.','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2258,'MOD_DJIMAGESLIDER_SLIDER_SOURCE','Slider source','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2259,'MOD_DJIMAGESLIDER_SLIDER_SOURCE_DESC','Choose whether the images will be taken from a folder or a DJ Image Slider component','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2260,'MOD_DJIMAGESLIDER_FOLDER','Folder','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2261,'MOD_DJIMAGESLIDER_COMPONENT','Component','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2262,'MOD_DJIMAGESLIDER_SLIDER_TYPE','Slider type','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2263,'MOD_DJIMAGESLIDER_SLIDER_TYPE_DESC','Display images vertically, horizontally or one image at once with fade effect','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2264,'MOD_DJIMAGESLIDER_VERTICAL','Vertical','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2265,'MOD_DJIMAGESLIDER_HORIZONTAL','Horizontal','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2266,'MOD_DJIMAGESLIDER_FADE','Fade','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2267,'MOD_DJIMAGESLIDER_FOLDER_AS_SOURCE_SETTINGS','FOLDER AS A SOURCE: SETTINGS','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2268,'MOD_DJIMAGESLIDER_IMAGE_FOLDER','Image Folder','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2269,'MOD_DJIMAGESLIDER_IMAGE_FOLDER_DESC','Type here path from joomla root folder to the image folder for slider, ex. images/sories/slides','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2270,'MOD_DJIMAGESLIDER_LINK','Link','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2271,'MOD_DJIMAGESLIDER_LINK_DESC','A URL to redirect to if the image is clicked upon (e.g. http://www.joomla.org or index.php?option=com_content&view=category&layout=blog&id=1&Itemid=50).','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2272,'MOD_DJIMAGESLIDER_COMPONENT_AS_SOURCE_SETTINGS','COMPONENT AS A SOURCE: SETTINGS','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2273,'MOD_DJIMAGESLIDER_SLIDES_CATEGORY','Slides category','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2274,'MOD_DJIMAGESLIDER_SLIDES_CATEGORY_DESC','Choose DJ Image Slider category to display','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2275,'MOD_DJIMAGESLIDER_SHOW_TITLE','Show Title','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2276,'MOD_DJIMAGESLIDER_SHOW_TITLE_DESC','Show or hide slide titles','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2277,'MOD_DJIMAGESLIDER_SHOW_DESCRIPTION','Show description','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2278,'MOD_DJIMAGESLIDER_SHOW_DESCRIPTION_DESC','Show or hide slide descriptions','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2279,'MOD_DJIMAGESLIDER_SHOW_READMORE','Show readmore','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2280,'MOD_DJIMAGESLIDER_SHOW_READMORE_DESC','Show or hide readmore links','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2281,'MOD_DJIMAGESLIDER_READMORE_TEXT','Readmore text','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2282,'MOD_DJIMAGESLIDER_READMORE_TEXT_DESC','Change the text of readmore link. Leave empty to use default readmore text from language file','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2283,'MOD_DJIMAGESLIDER_LINK_TITLE','Link title','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2284,'MOD_DJIMAGESLIDER_LINK_TITLE_DESC','Make the slide titles linkable (as readmore)','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2285,'MOD_DJIMAGESLIDER_LINK_DESCRIPTION','Link description','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2286,'MOD_DJIMAGESLIDER_LINK_DESCRIPTION_DESC','Make the slide descriptions linkable (as readmore)','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2287,'MOD_DJIMAGESLIDER_DESCRIPTION_LIMIT','Description limit','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2288,'MOD_DJIMAGESLIDER_DESCRIPTION_LIMIT_DESC','Limit slide description to specified numer of characters (description will be cut after a word containing the character at specified position). Leave empty for no limit.','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2289,'MOD_DJIMAGESLIDER_BASIC_SLIDER_SETTINGS','BASIC SLIDER SETTINGS','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2290,'MOD_DJIMAGESLIDER_SLIDER_DIMENSIONS','Slider dimensions will be calculate from values typed below.','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2291,'MOD_DJIMAGESLIDER_VISIBLE_IMAGES','Visible Images','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2292,'MOD_DJIMAGESLIDER_VISIBLE_IMAGES_DESC','Number of displayed images at once.','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2293,'MOD_DJIMAGESLIDER_SPACE_BETWEEN_IMAGES','Space between images','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2294,'MOD_DJIMAGESLIDER_SPACE_BETWEEN_IMAGES_DESC','Space beetween images in pixels.','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2295,'MOD_DJIMAGESLIDER_MAX_IMAGES','Max images','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2296,'MOD_DJIMAGESLIDER_MAX_IMAGES_DESC','Set maximum number of images to be loaded into slider','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2297,'MOD_DJIMAGESLIDER_SORT_BY','Sort by','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2298,'MOD_DJIMAGESLIDER_SORT_BY_DESC','Sort slides by file names (folder) / ordering (component) or randomise the ordering','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2299,'MOD_DJIMAGESLIDER_FILE_NAME_ORDERING','File name/Ordering','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2300,'MOD_DJIMAGESLIDER_RANDOMISE','Randomise','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini');
INSERT INTO `#__overrider` VALUES 
(2301,'MOD_DJIMAGESLIDER_AUTOPLAY','Autoplay','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2302,'MOD_DJIMAGESLIDER_AUTOPLAY_DESC','Choose if slider should automaticly start on page load','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2303,'MOD_DJIMAGESLIDER_SLIDE_EFFECT','Slide effect','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2304,'MOD_DJIMAGESLIDER_SLIDE_EFFECT_DESC','Choose the transition effect. For more info about effects go to http://docs111.mootools.net/Effects/Fx-Transitions.js','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2305,'MOD_DJIMAGESLIDER_SHOW_PLAY/PAUSE','Show play/pause','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2306,'MOD_DJIMAGESLIDER_SHOW_PLAY/PAUSE_DESC','You can hide or show button for start and stop auto sliding. You can also show button only if mouse cursor is over the slider using \'On Mouse Over\' option.','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2307,'MOD_DJIMAGESLIDER_SHOW_NEXT/PREV','Show next/prev','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2308,'MOD_DJIMAGESLIDER_SHOW_NEXT/PREV_DESC','You can hide or show buttons for navigate to next and previous slide. You can also show buttons only if mouse cursor is over the slider using \'On Mouse Over\' option.','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2309,'MOD_DJIMAGESLIDER_CUSTOMISE_SLIDE_DESCRIPTION','CUSTOMISE SLIDE DESCRIPTION','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2310,'MOD_DJIMAGESLIDER_DESCRIPTION_WIDTH','Description width','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2311,'MOD_DJIMAGESLIDER_DESCRIPTION_WIDTH_DESC','Description area width in pixels. Leave empty for 100% width.','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2312,'MOD_DJIMAGESLIDER_DESCRIPTION_VERTICAL_POSITION','Description vertical position','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2313,'MOD_DJIMAGESLIDER_DESCRIPTION_VERTICAL_POSITION_DESC','Set vertical position of description area in pixels from the bottom border of the image.','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2314,'MOD_DJIMAGESLIDER_DESCRIPTION_HORIZONTAL_POSITION','Description horizontal position','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2315,'MOD_DJIMAGESLIDER_DESCRIPTION_HORIZONTAL_POSITION_DESC','Set horizontal position of description area in pixels from the left border of the image.','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2316,'MOD_DJIMAGESLIDER_CUSTOMISE_BUTTONS','CUSTOMISE BUTTONS','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2317,'MOD_DJIMAGESLIDER_PREV_BUTTON','Prev Button','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2318,'MOD_DJIMAGESLIDER_PREV_BUTTON_DESC','Type here path from joomla root folder to the prev navigation button image. Leave this field empty for default button image. Example: images/stories/prev.png','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2319,'MOD_DJIMAGESLIDER_NEXT_BUTTON','Next Button','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2320,'MOD_DJIMAGESLIDER_NEXT_BUTTON_DESC','Type here path from joomla root folder to the right navigation arrow image. Leave this field empty for default arrow image. Example: images/stories/next.png','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2321,'MOD_DJIMAGESLIDER_PLAY_BUTTON','Play Button','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2322,'MOD_DJIMAGESLIDER_PLAY_BUTTON_DESC','Type here path from joomla root folder to the play button image. Leave this field empty for default image. Example: images/stories/play.png','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2323,'MOD_DJIMAGESLIDER_PAUSE_BUTTON','Pause Button','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2324,'MOD_DJIMAGESLIDER_PAUSE_BUTTON_DESC','Type here path from joomla root folder to the pause button image. Leave this field empty for default image. Example: images/stories/pause.png','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2325,'MOD_DJIMAGESLIDER_NAV_BAR_VERTICAL_POSITION','Navigation bar vertical position','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2326,'MOD_DJIMAGESLIDER_NAV_BAR_VERTICAL_POSITION_DESC','Set vertical position of navigation bar in pixels from the top of the slider','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2327,'MOD_DJIMAGESLIDER_NAV_BAR_HORIZONTAL_POSITION','Navigation bar horizontal position','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2328,'MOD_DJIMAGESLIDER_NAV_BAR_HORIZONTAL_POSITION_DESC','Set horizontal position (left and right margin) for navigation bar. You can use negative value if you want arrows go outside the slider.','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2329,'MOD_DJIMAGESLIDER_SLIDE_EFFECT_OPTIONS','SLIDE EFFECT OPTIONS','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2330,'MOD_DJIMAGESLIDER_SLIDE_EFFECT_TYPE','Slide effect type','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2331,'MOD_DJIMAGESLIDER_SLIDE_EFFECT_TYPE_DESC','Choose effect type or leave \'auto\' to let the system choose.','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2332,'MOD_DJIMAGESLIDER_NEXT_SLIDE_DELAY','Next slide delay','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2333,'MOD_DJIMAGESLIDER_NEXT_SLIDE_DELAY_DESC','Set pause time between slides in miliseconds (1000 ms = 1 second). Leave empty to let the system choose.','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2334,'MOD_DJIMAGESLIDER_SLIDE_DURATION','Slide transition time','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2335,'MOD_DJIMAGESLIDER_SLIDE_DURATION_DESC','Set slide transition time in miliseconds (1000 ms = 1 second). Leave empty to let the system choose.','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2336,'MOD_DJIMAGESLIDER_OPEN_IMAGE_IN_SLIMBOX','Open image in slimbox','/home/akdevpax3/public_html/jm-internet/modules/mod_djimageslider/language/en-GB/en-GB.mod_djimageslider.ini'),
(2337,'COM_MODULES_OTHER_FIELDSET_LABEL','Other options','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2338,'MOD_DJMENU_MODULE_DESC','DJ-Menu module with javascript effects','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2339,'MOD_DJMENU_MENU_NAME','Menu Name','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2340,'MOD_DJMENU_MENU_NAME_DESC','The name of the menu (default is mainmenu)','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2341,'MOD_DJMENU_END_LEVEL','End level','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2342,'MOD_DJMENU_END_LEVEL_DESC','Level to stop rendering the menu at. If you choose \'All\', all levels will be shown.','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2343,'MOD_DJMENU_MOO','CSS3 Animations and script features','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2344,'MOD_DJMENU_MOO_DESC','Enabling makes the menu animate with nice CSS3 animations and also add the extra features such as keeping a submenus inside wrapper, delay before close submenu or touch screens better experience.<br /> Disabling, makes the menu simple css drop-down without any javascript.','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2345,'MOD_DJMENU_WRAPPER','Wrapper id','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2346,'MOD_DJMENU_WRAPPER_DESC','Submenu will change direction if it goes out the container with wrapper id. Default wrapper is main menu container with .dj-main class','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2347,'MOD_DJMENU_DISPLAY_SELECT','Display SELECT for small screens','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2348,'MOD_DJMENU_DISPLAY_SELECT_DESC','Display SELECT Dropdown box instead of DJ-Menu for devices with small screen','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2349,'MOD_DJMENU_SCREEN_WIDTH','Small screen width','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2350,'MOD_DJMENU_SCREEN_WIDTH_DESC','Devices with screen width narrower that this value will be treated as small screen for SELECT box','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini');
INSERT INTO `#__overrider` VALUES 
(2351,'MOD_DJMENU_EFFECTS_PARAMS','<b><u>Effects settings</u></b>','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2352,'MOD_DJMENU_VERTICAL','Vertical transition at first level','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2353,'MOD_DJMENU_VERTICAL_DESC','Enable vertical transition of submenu at first level. You can mix vertical, horizontal and fade transition as you want.','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2354,'MOD_DJMENU_HORIZONTAL','Horizontal transition at first level','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2355,'MOD_DJMENU_HORIZONTAL_DESC','Enable horizontal transition of submenu at first level. You can mix vertical, horizontal and fade transition as you want.','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2356,'MOD_DJMENU_FADE','Fade effect at first level','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2357,'MOD_DJMENU_FADE_DESC','Enable fade transition of submenu at first level. You can mix vertical, horizontal and fade transition as you want.','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2358,'MOD_DJMENU_VERTICAL_SUB','Vertical transition at other levels','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2359,'MOD_DJMENU_VERTICAL_SUB_DESC','Enable vertical transition of submenu at second and further levels. You can mix vertical, horizontal and fade transition as you want.','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2360,'MOD_DJMENU_HORIZONTAL_SUB','Horizontal transition at other levels','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2361,'MOD_DJMENU_HORIZONTAL_SUB_DESC','Enable horizontal transition of submenu at second and further levels. You can mix vertical, horizontal and fade transition as you want.','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2362,'MOD_DJMENU_FADE_SUB','Fade effect at other levels','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2363,'MOD_DJMENU_FADE_SUB_DESC','Enable fade transition of submenu at second and further levels. You can mix vertical, horizontal and fade transition as you want.','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2364,'MOD_DJMENU_TRANSITION','Transition effect','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2365,'MOD_DJMENU_TRANSITION_DESC','Choose the transition effect type','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2366,'MOD_DJMENU_DURATION','Effect duration','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2367,'MOD_DJMENU_DURATION_DESC','Set effect duration time in miliseconds (1000 ms = 1 second)','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2368,'MOD_DJMENU_DELAY','Delay time before close submenu','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2369,'MOD_DJMENU_DELAY_DESC','Set delay time in miliseconds (1000 ms = 1 second)','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2370,'MOD_DJMENU_THEME','Theme','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2371,'MOD_DJMENU_THEME_DESC','Choose the theme for DJ-Menu. You can create your own theme by copy the existing one and renaming the folder or copy the djmenu.css and djmenu_fx.css files from default theme into /templates/[your_template]/css/ and set theme to \'- override from template -\'. <br />The only difference between djmenu.css and djmenu_fx.css is replacement of all occurences of \'li:hover\' (djmenu.css) with \'li.hover\' (djmenu_fx.css) (it takes few seconds if you use text editor with \'find and replace\' feature).','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2372,'MOD_DJMENU_THEME_OVERRIDE','- override from template -','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2373,'MOD_DJMENU_ANIMATION_OPTIONS','CSS3 Animations and script options','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2374,'MOD_DJMENU_ANIMATION_OPTIONS_DESC','<strong><i>These options apply only if you turn on \'CSS3 Animations and script features\'.</i></strong>','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2375,'MOD_DJMENU_ENTRANCE_ANIMATION','Entrance animation','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2376,'MOD_DJMENU_EXIT_ANIMATION','Exit animation','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2377,'MOD_DJMENU_ANIMATION_SPEED','Animation speed','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.ini'),
(2378,'MOD_DJMENU_MODULE_DESC','DJ-Menu module with mootools effects','/home/akdevpax3/public_html/jm-internet/modules/mod_djmenu/language/en-GB/en-GB.mod_djmenu.sys.ini'),
(2379,'TPL_BEEZ3_ADDITIONAL_INFORMATION','Additional information','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2380,'TPL_BEEZ3_ALTCLOSE','is closed','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2381,'TPL_BEEZ3_ALTOPEN','is open','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2382,'TPL_BEEZ3_BIGGER','Bigger','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2383,'TPL_BEEZ3_CLICK','click','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2384,'TPL_BEEZ3_CLOSEMENU','Close Menu','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2385,'TPL_BEEZ3_DECREASE_SIZE','Decrease size','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2386,'TPL_BEEZ3_ERROR_JUMP_TO_NAV','Jump to navigation','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2387,'TPL_BEEZ3_FIELD_BOOTSTRAP_DESC','Create a comma separated list of any components for which Bootstrap is needed, for example com_name, com_anothername.','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2388,'TPL_BEEZ3_FIELD_BOOTSTRAP_LABEL','Components Requiring<br/> Bootstrap','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2389,'TPL_BEEZ3_FIELD_DESCRIPTION_DESC','Please add your site description here','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2390,'TPL_BEEZ3_FIELD_DESCRIPTION_LABEL','Site Description','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2391,'TPL_BEEZ3_FIELD_HEADER_BACKGROUND_COLOR_DESC','Choose a colour for the Background if the custom colour option is selected. If left blank the Default (#eeeeee) is used.','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2392,'TPL_BEEZ3_FIELD_HEADER_BACKGROUND_COLOR_LABEL','Background Colour','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2393,'TPL_BEEZ3_FIELD_HEADER_IMAGE_DESC','Use the selected header image when the custom colour option is selected','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2394,'TPL_BEEZ3_FIELD_HEADER_IMAGE_LABEL','Header Image','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2395,'TPL_BEEZ3_FIELD_LOGO_DESC','Please choose an image. If you do not want to display a logo, click on Clear and leave the field blank.','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2396,'TPL_BEEZ3_FIELD_LOGO_LABEL','Logo','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2397,'TPL_BEEZ3_FIELD_NAVPOSITION_DESC','Navigation before or after content','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2398,'TPL_BEEZ3_FIELD_NAVPOSITION_LABEL','Position of Navigation','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2399,'TPL_BEEZ3_FIELD_SITETITLE_DESC','Please add your site title here, it\'s only displayed if you don\'t use a logo','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2400,'TPL_BEEZ3_FIELD_SITETITLE_LABEL','Site Title','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini');
INSERT INTO `#__overrider` VALUES 
(2401,'TPL_BEEZ3_FIELD_TEMPLATECOLOR_DESC','Colour of the template','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2402,'TPL_BEEZ3_FIELD_TEMPLATECOLOR_LABEL','Template colour','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2403,'TPL_BEEZ3_FIELD_WRAPPERLARGE_DESC','Wrapper width with closed additional columns in percent','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2404,'TPL_BEEZ3_FIELD_WRAPPERLARGE_LABEL','Wrapper Large (%)','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2405,'TPL_BEEZ3_FIELD_WRAPPERSMALL_DESC','Wrapper width with opened additional columns in percent','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2406,'TPL_BEEZ3_FIELD_WRAPPERSMALL_LABEL','Wrapper Small (%)','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2407,'TPL_BEEZ3_FONTSIZE','Font size','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2408,'TPL_BEEZ3_INCREASE_SIZE','Increase size','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2409,'TPL_BEEZ3_JUMP_TO_INFO','Jump to additional information','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2410,'TPL_BEEZ3_JUMP_TO_NAV','Jump to main navigation and login','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2411,'TPL_BEEZ3_NAVIGATION','Navigation','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2412,'TPL_BEEZ3_NAV_VIEW_SEARCH','Nav view search','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2413,'TPL_BEEZ3_NEXTTAB','Next Tab','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2414,'TPL_BEEZ3_OPENMENU','Open Menu','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2415,'TPL_BEEZ3_OPTION_AFTER_CONTENT','after content','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2416,'TPL_BEEZ3_OPTION_BEFORE_CONTENT','before content','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2417,'TPL_BEEZ3_OPTION_IMAGE','Custom','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2418,'TPL_BEEZ3_OPTION_NATURE','Nature','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2419,'TPL_BEEZ3_OPTION_PERSONAL','Personal','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2420,'TPL_BEEZ3_OPTION_RED','Red','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2421,'TPL_BEEZ3_OPTION_TURQ','Turquoise','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2422,'TPL_BEEZ3_POWERED_BY','Powered by','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2423,'TPL_BEEZ3_RESET','Reset','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2424,'TPL_BEEZ3_REVERT_STYLES_TO_DEFAULT','Revert styles to default','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2425,'TPL_BEEZ3_SEARCH','Search','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2426,'TPL_BEEZ3_SKIP_TO_CONTENT','Skip to content','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2427,'TPL_BEEZ3_SKIP_TO_ERROR_CONTENT','Jump to error message and search','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2428,'TPL_BEEZ3_SMALLER','Smaller','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2429,'TPL_BEEZ3_SYSTEM_MESSAGE','Error','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2430,'TPL_BEEZ3_TEXTRIGHTCLOSE','Close info','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2431,'TPL_BEEZ3_TEXTRIGHTOPEN','Open info','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2432,'TPL_BEEZ3_XML_DESCRIPTION','Accessible template for Joomla! Beez, the HTML 4 version.','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2433,'TPL_BEEZ3_YOUR_SITE_DESCRIPTION','Your site description','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
(2434,'TPL_BEEZ3_POSITION_DEBUG','Debug','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2435,'TPL_BEEZ3_POSITION_POSITION-0','Search','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2436,'TPL_BEEZ3_POSITION_POSITION-10','Footer middle','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2437,'TPL_BEEZ3_POSITION_POSITION-11','Footer bottom','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2438,'TPL_BEEZ3_POSITION_POSITION-12','Middle top','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2439,'TPL_BEEZ3_POSITION_POSITION-13','Unused','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2440,'TPL_BEEZ3_POSITION_POSITION-14','Footer last','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2441,'TPL_BEEZ3_POSITION_POSITION-15','Header','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2442,'TPL_BEEZ3_POSITION_POSITION-1','Top','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2443,'TPL_BEEZ3_POSITION_POSITION-2','Breadcrumbs','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2444,'TPL_BEEZ3_POSITION_POSITION-3','Right bottom','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2445,'TPL_BEEZ3_POSITION_POSITION-4','Left middle','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2446,'TPL_BEEZ3_POSITION_POSITION-5','Left bottom','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2447,'TPL_BEEZ3_POSITION_POSITION-6','Right top','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2448,'TPL_BEEZ3_POSITION_POSITION-7','Left top','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2449,'TPL_BEEZ3_POSITION_POSITION-8','Right middle','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2450,'TPL_BEEZ3_POSITION_POSITION-9','Footer top','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini');
INSERT INTO `#__overrider` VALUES 
(2451,'TPL_BEEZ3_XML_DESCRIPTION','Accessible template for Joomla! Beez, the HTML 4 version.','/home/akdevpax3/public_html/jm-internet/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
(2452,'TPL_JMTEMPLATE_MISSING_JFM','Error: Missing EF4 Joomla-Monster Framework plugin','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2453,'TPL_JMTEMPLATE_JERROR_PAGE_DOESNT_EXIST','The page you are looking for does not exist or an other error occurred.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2454,'TPL_JMTEMPLATE_JERROR_GO_BACK_OR_HEAD_OVER','Go back or head over to the home page to choose a new direction.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2455,'TPL_JMTEMPLATE_JERROR_BACK','Back','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2456,'TPL_JMTEMPLATE_JERROR_HOME_PAGE','Home','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2457,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_OFFCANVAS_LABEL','Off-Canvas sidebar','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2458,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_OFFCANVAS_DESC','Enable/disable the Off-Canvas sidebar','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2459,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_OFFCANVAS_WIDTH_LABEL','Off-Canvas width','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2460,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_OFFCANVAS_WIDTH_DESC','Enter the Off-Canvas width','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2461,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_OFFCANVAS_POSITION_LABEL','Off-Canvas position','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2462,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_OFFCANVAS_POSITION_DESC','Choose the position of Off-Canvas sidebar','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2463,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_RIGHT_LABEL','Right','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2464,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_LEFT_LABEL','Left','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2465,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_MODIFICATIONS_MESSAGE1','If you want to restore the default color values, simply remove the values from all fields and click on Save.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2466,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_SCHEME_COLOR','Scheme color','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2467,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_MAIN_SCHEME_COLOR_DESC','Choose the main scheme color instead of the blue color. It is used for many elements in the template.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2468,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_MAIN_SCHEME_COLOR','Main color','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2469,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_GLOBAL','Global','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2470,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_PAGE_BG','Page background','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2471,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_PAGE_BG_DESC','Choose the page background color.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2472,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_COMPONENT_BORDER','Base border','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2473,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_COMPONENT_BORDER_DESC','Choose base border color.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2474,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_BASE_FONT_COLOR','Base text','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2475,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_BASE_FONT_COLOR_DESC','Choose the base font color.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2476,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_ARTICLE_FONT_COLOR','Article title color','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2477,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_ARTICLE_FONT_COLOR_DESC','Choose the article title color.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2478,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_TOPBAR','Top Bar','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2479,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_TOPMENU','Horizontal Menu','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2480,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_HEADER','Header','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2481,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_TOP2','Top 2','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2482,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_FOOTER','Footer','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2483,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_OFFCANVAS','Off-Canvas','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2484,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_BG_COLOR','Background','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2485,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_TOPBAR_BG_DESC','Choose the top bar background color.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2486,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_TOPMENU_BG_DESC','Choose the topmenu background color.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2487,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_HEADER_BG_DESC','Choose the header background color.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2488,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_TOP2_BG_DESC','Choose the top 2 background color.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2489,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_FOOTER_BG_DESC','Choose the footer background color.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2490,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_OFFCANVAS_BG_DESC','Choose the off-canvas background color.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2491,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_BORDER_COLOR','Border','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2492,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_FONT_COLOR','Text','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2493,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_TOPBAR_FONT_COLOR_DESC','Choose the top bar font color.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2494,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_TOPMENU_FONT_COLOR_DESC','Choose the topmenu font color.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2495,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_HEADER_FONT_COLOR_DESC','Choose the header font color.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2496,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_TOP2_FONT_COLOR_DESC','Choose top2 font color.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2497,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_FOOTER_FONT_COLOR_DESC','Choose the footer font color.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2498,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_OFFCANVAS_FONT_COLOR_DESC','Choose the footer font color.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2499,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_MODULE_TITLE_FONT_COLOR','Module title','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2500,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_FOOTER_MODULE_TITLE_FONT_COLOR_DESC','Choose the footer module title font color.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini');
INSERT INTO `#__overrider` VALUES 
(2501,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_MODULES','Modules','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2502,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_MODULE_BG','Module background','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2503,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_MODULE_BG_DESC','Choose the module background color.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2504,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_MODULE_BORDER','Module border','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2505,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_MODULE_BORDER_DESC','Choose the module border color.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2506,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_MODULE_FONT_COLOR','Module text','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2507,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_MODULE_FONT_COLOR_DESC','Choose the module font color.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2508,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_MODULE_TITLE_FONT_COLOR_DESC','Choose the module title font color.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2509,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_MODULE_DARKMS_BG','Dark-ms Module background','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2510,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_MODULE_DARKMS_BG_DESC','Choose the module background color.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2511,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_MODULE_DARKMS_FONT_COLOR','Dark-ms Module text','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2512,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_MODULE_DARKMS_FONT_COLOR_DESC','Choose the module font color.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2513,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_MODULE_DARKMS_TITLE_FONT_COLOR','Dark-ms Module title','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2514,'PLG_SYSTEM_JMFRAMEWORK_CONFIG_MODULE_DARKMS_TITLE_FONT_COLOR_DESC','Choose the module title font color.','/home/akdevpax3/public_html/jm-internet/templates/jm-internet/language/en-GB/en-GB.tpl_jm-internet.ini'),
(2515,'TPL_PROTOSTAR_XML_DESCRIPTION','Continuing the space theme (Solarflare from 1.0 and Milkyway from 1.5), Protostar is the Joomla 3 site template based on Bootstrap from Twitter and the launch of the Joomla User Interface library (JUI).','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
(2516,'TPL_PROTOSTAR_BACKGROUND_COLOR_DESC','Choose a background colour for static layouts. If left blank the Default (#F4F6F7) is used.','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
(2517,'TPL_PROTOSTAR_BACKGROUND_COLOR_LABEL','Background Colour','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
(2518,'TPL_PROTOSTAR_BACKTOTOP','Back to Top','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
(2519,'TPL_PROTOSTAR_COLOR_DESC','Choose an overall colour for the site template. If left blank the Default (#0088CC) is used.','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
(2520,'TPL_PROTOSTAR_COLOR_LABEL','Template Colour','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
(2521,'TPL_PROTOSTAR_FLUID','Fluid','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
(2522,'TPL_PROTOSTAR_FLUID_LABEL','Fluid Layout','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
(2523,'TPL_PROTOSTAR_FLUID_DESC','Use Bootstrap\'s Fluid or Static Container (both are Responsive)','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
(2524,'TPL_PROTOSTAR_FONT_LABEL','Google Font for Headings','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
(2525,'TPL_PROTOSTAR_FONT_DESC','Load a Google font for the headings (H1, H2, H3, etc.)','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
(2526,'TPL_PROTOSTAR_FONT_NAME_LABEL','Google Font Name','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
(2527,'TPL_PROTOSTAR_FONT_NAME_DESC','Example: Open+Sans or Source+Sans+Pro','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
(2528,'TPL_PROTOSTAR_LOGO_LABEL','Logo','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
(2529,'TPL_PROTOSTAR_LOGO_DESC','Upload a custom logo for the site template.','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
(2530,'TPL_PROTOSTAR_STATIC','Static','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
(2531,'TPL_PROTOSTAR_POSITION_BANNER','Banner','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2532,'TPL_PROTOSTAR_POSITION_DEBUG','Debug','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2533,'TPL_PROTOSTAR_POSITION_POSITION-0','Search','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2534,'TPL_PROTOSTAR_POSITION_POSITION-10','Unused','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2535,'TPL_PROTOSTAR_POSITION_POSITION-11','Unused','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2536,'TPL_PROTOSTAR_POSITION_POSITION-12','Unused','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2537,'TPL_PROTOSTAR_POSITION_POSITION-13','Unused','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2538,'TPL_PROTOSTAR_POSITION_POSITION-14','Unused','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2539,'TPL_PROTOSTAR_POSITION_POSITION-15','Unused','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2540,'TPL_PROTOSTAR_POSITION_POSITION-1','Navigation','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2541,'TPL_PROTOSTAR_POSITION_POSITION-2','Breadcrumbs','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2542,'TPL_PROTOSTAR_POSITION_POSITION-3','Top center','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2543,'TPL_PROTOSTAR_POSITION_POSITION-4','Unused','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2544,'TPL_PROTOSTAR_POSITION_POSITION-5','Unused','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2545,'TPL_PROTOSTAR_POSITION_POSITION-6','Unused','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2546,'TPL_PROTOSTAR_POSITION_POSITION-7','Right','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2547,'TPL_PROTOSTAR_POSITION_POSITION-8','Left','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2548,'TPL_PROTOSTAR_POSITION_POSITION-9','Unused','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2549,'TPL_PROTOSTAR_POSITION_FOOTER','Footer','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
(2550,'TPL_PROTOSTAR_XML_DESCRIPTION','Continuing the space theme (Solarflare from 1.0 and Milkyway from 1.5), Protostar is the Joomla 3 site template based on Bootstrap from Twitter and the launch of the Joomla User Interface library (JUI).','/home/akdevpax3/public_html/jm-internet/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini');

DROP TABLE IF EXISTS #__postinstall_messages;
CREATE TABLE `#__postinstall_messages` (
  `postinstall_message_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `extension_id` bigint(20) NOT NULL DEFAULT '700' COMMENT 'FK to #__extensions',
  `title_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Lang key for the title',
  `description_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Lang key for description',
  `action_key` varchar(255) NOT NULL DEFAULT '',
  `language_extension` varchar(255) NOT NULL DEFAULT 'com_postinstall' COMMENT 'Extension holding lang keys',
  `language_client_id` tinyint(3) NOT NULL DEFAULT '1',
  `type` varchar(10) NOT NULL DEFAULT 'link' COMMENT 'Message type - message, link, action',
  `action_file` varchar(255) DEFAULT '' COMMENT 'RAD URI to the PHP file containing action method',
  `action` varchar(255) DEFAULT '' COMMENT 'Action method name or URL',
  `condition_file` varchar(255) DEFAULT NULL COMMENT 'RAD URI to file holding display condition method',
  `condition_method` varchar(255) DEFAULT NULL COMMENT 'Display condition method, must return boolean',
  `version_introduced` varchar(50) NOT NULL DEFAULT '3.2.0' COMMENT 'Version when this message was introduced',
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  PRIMARY KEY (`postinstall_message_id`)
) AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

INSERT INTO `#__postinstall_messages` VALUES 
(1,700,'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_TITLE','PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_BODY','PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_ACTION','plg_twofactorauth_totp',1,'action','site://plugins/twofactorauth/totp/postinstall/actions.php','twofactorauth_postinstall_action','site://plugins/twofactorauth/totp/postinstall/actions.php','twofactorauth_postinstall_condition','3.2.0',1),
(2,700,'COM_CPANEL_MSG_EACCELERATOR_TITLE','COM_CPANEL_MSG_EACCELERATOR_BODY','COM_CPANEL_MSG_EACCELERATOR_BUTTON','com_cpanel',1,'action','admin://components/com_admin/postinstall/eaccelerator.php','admin_postinstall_eaccelerator_action','admin://components/com_admin/postinstall/eaccelerator.php','admin_postinstall_eaccelerator_condition','3.2.0',1),
(3,700,'COM_CPANEL_WELCOME_BEGINNERS_TITLE','COM_CPANEL_WELCOME_BEGINNERS_MESSAGE','','com_cpanel',1,'message','','','','','3.2.0',1),
(4,700,'COM_CPANEL_MSG_PHPVERSION_TITLE','COM_CPANEL_MSG_PHPVERSION_BODY','','com_cpanel',1,'message','','','admin://components/com_admin/postinstall/phpversion.php','admin_postinstall_phpversion_condition','3.2.2',1),
(5,10020,'AKEEBA_POSTSETUP_LBL_CONFWIZ','AKEEBA_POSTSETUP_DESC_CONFWIZ','AKEEBA_POSTSETUP_BTN_RUN_CONFWIZ','com_akeeba',1,'action','admin://components/com_akeeba/helpers/postinstall.php','com_akeeba_postinstall_confwiz_action','admin://components/com_akeeba/helpers/postinstall.php','com_akeeba_postinstall_confwiz_condition','4.0.0',1),
(6,10020,'AKEEBA_POSTSETUP_LBL_ANGIEUPGRADE','AKEEBA_POSTSETUP_DESC_ANGIEUPGRADE','AKEEBA_POSTSETUP_BTN_ANGIEUPGRADE','com_akeeba',1,'action','admin://components/com_akeeba/helpers/postinstall.php','com_akeeba_postinstall_angie_action','admin://components/com_akeeba/helpers/postinstall.php','com_akeeba_postinstall_angie_condition','4.0.0',1),
(7,10020,'AKEEBA_POSTSETUP_LBL_ACCEPTLICENSE','AKEEBA_POSTSETUP_DESC_ACCEPTLICENSE','AKEEBA_POSTSETUP_BTN_I_CONFIRM_THIS','com_akeeba',1,'message','','','','','4.0.0',1),
(8,10020,'AKEEBA_POSTSETUP_LBL_ACCEPTSUPPORT','AKEEBA_POSTSETUP_DESC_ACCEPTSUPPORT','AKEEBA_POSTSETUP_BTN_I_CONFIRM_THIS','com_akeeba',1,'message','','','','','4.0.0',1),
(9,10020,'AKEEBA_POSTSETUP_LBL_ACCEPTBACKUPTEST','AKEEBA_POSTSETUP_DESC_ACCEPTBACKUPTEST','AKEEBA_POSTSETUP_BTN_I_CONFIRM_THIS','com_akeeba',1,'message','','','','','4.0.0',1);

DROP TABLE IF EXISTS #__schemas;
CREATE TABLE `#__schemas` (
  `extension_id` int(11) NOT NULL,
  `version_id` varchar(20) NOT NULL,
  PRIMARY KEY (`extension_id`,`version_id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__schemas` VALUES 
(700,'3.3.6-2014-09-30'),
(10003,'2.0');

DROP TABLE IF EXISTS #__tags;
CREATE TABLE `#__tags` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) unsigned NOT NULL DEFAULT '0',
  `path` varchar(255) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `tag_idx` (`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_language` (`language`)
) AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;

INSERT INTO `#__tags` VALUES 
(1,0,0,15,0,'','ROOT','root','','',1,0,'0000-00-00 00:00:00',1,'','','','',56,'2011-01-01 00:00:01','',0,'0000-00-00 00:00:00','','',0,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),
(7,1,2,3,0,'ipsum','ipsum','ipsum','','',1,0,'0000-00-00 00:00:00',1,'','','','',56,'2014-05-15 12:44:51','',0,'0000-00-00 00:00:00','','',0,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),
(8,1,4,5,0,'dolor','dolor','dolor','','',1,0,'0000-00-00 00:00:00',1,'','','','',56,'2014-05-15 12:44:51','',0,'0000-00-00 00:00:00','','',0,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),
(9,1,6,7,0,'sit','sit','sit','','',1,0,'0000-00-00 00:00:00',1,'','','','',56,'2014-05-15 12:44:51','',0,'0000-00-00 00:00:00','','',1,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),
(10,1,8,9,0,'amet','amet','amet','','',1,0,'0000-00-00 00:00:00',1,'','','','',56,'2014-05-15 12:44:51','',0,'0000-00-00 00:00:00','','',2,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),
(11,1,10,11,0,'nec','nec','nec','','',1,0,'0000-00-00 00:00:00',1,'','','','',56,'2014-05-15 13:18:57','',0,'0000-00-00 00:00:00','','',0,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),
(12,1,12,13,0,'quis','quis','quis','','',1,0,'0000-00-00 00:00:00',1,'','','','',56,'2014-05-15 13:18:57','',0,'0000-00-00 00:00:00','','',0,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00');

DROP TABLE IF EXISTS #__template_styles;
CREATE TABLE `#__template_styles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `template` varchar(50) NOT NULL DEFAULT '',
  `client_id` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `home` char(7) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_template` (`template`),
  KEY `idx_home` (`home`)
) AUTO_INCREMENT=22 DEFAULT CHARSET=utf8;

INSERT INTO `#__template_styles` VALUES 
(4,'beez3',0,'0','Beez3 - Default','{"wrapperSmall":"53","wrapperLarge":"72","logo":"images\\/joomla_black.gif","sitetitle":"Joomla!","sitedescription":"Open Source Content Management","navposition":"left","templatecolor":"personal","html5":"0"}'),
(5,'hathor',1,'0','Hathor - Default','{"showSiteName":"0","colourChoice":"","boldText":"0"}'),
(7,'protostar',0,'0','protostar - Default','{"templateColor":"","logoFile":"","googleFont":"1","googleFontName":"Open+Sans","fluidContainer":"0"}'),
(8,'isis',1,'1','isis - Default','{"templateColor":"","logoFile":""}'),
(17,'jm-internet',0,'1','jm-internet - Default','{"responsiveLayout":"1","offCanvas":"1","JMoffCanvasWidth":"300px","offCanvasPosition":"right","JMcolorVersion":"#008ed6","JMimagesDir":"","JMpageBackground":"#f4f4f4","JMcomponentBorder":"#e7e7e7","JMbaseFontColor":"#898989","JMarticleFontColor":"#2f2f2f","JMtopbarBackground":"#000000","JMtopbarFontColor":"#a5a5a5","JMtopmenuBackground":"#000000","JMtopmenuFontColor":"#ffffff","JMheaderBackground":"#000000","JMheaderFontColor":"#ffffff","JMtop2Background":"#ffffff","JMtop2FontColor":"#898989","JMmoduleBackground":"#ffffff","JMmoduleBorder":"#e7e7e7","JMmoduleFontColor":"#898989","JMmoduleTitleFontColor":"#323232","JMdarkmsModuleBackground":"#292929","JMdarkmsModuleFontColor":"#727272","JMdarkmsModuleTitleFontColor":"#ffffff","JMfooterBackground":"#292929","JMfooterFontColor":"#515151","JMfooterModuleTitle":"#ffffff","JMoffCanvasBackground":"#333333","JMoffCanvasFontColor":"#ffffff","JMsliderTitleFontColor":"#ffffff","JMsliderDescBackground":"#000000","JMsliderDescFontColor":"#ffffff","logo":"images\\/logo.png","logoText":"","siteDescription":"","fontSizeSwitcher":"0","backToTop":"1","favIconImg":"","layout":"default","JMbaseFontSize":"16px","bodyFontType":"1;bodyGoogleWebFontUrl;bodyGoogleWebFontFamily","bodyFontFamily":"Arial, Helvetica, sans-serif","bodyGoogleWebFontUrl":"\\/\\/fonts.googleapis.com\\/css?family=Roboto:400,300,400italic,500,700,900","bodyGoogleWebFontFamily":"Roboto, sans-serif","JMtopmenuFontSize":"16px","djmenuFontType":"1;djmenuGoogleWebFontUrl;djmenuGoogleWebFontFamily","djmenuFontFamily":"Arial, Helvetica, sans-serif","djmenuGoogleWebFontUrl":"\\/\\/fonts.googleapis.com\\/css?family=Roboto:400,300,400italic,500,700,900","djmenuGoogleWebFontFamily":"Roboto, sans-serif","JMmoduleTitleFontSize":"20px","headingsFontType":"1;headingsGoogleWebFontUrl;headingsGoogleWebFontFamily","headingsFontFamily":"Arial, Helvetica, sans-serif","headingsGoogleWebFontUrl":"\\/\\/fonts.googleapis.com\\/css?family=Roboto:400,300,400italic,500,700,900","headingsGoogleWebFontFamily":"Roboto, sans-serif","JMarticleTitleFontSize":"32px","articlesFontType":"1;articlesGoogleWebFontUrl;articlesGoogleWebFontFamily","articlesFontFamily":"Arial, Helvetica, sans-serif","articlesGoogleWebFontUrl":"\\/\\/fonts.googleapis.com\\/css?family=Roboto:400,300,400italic,500,700,900","articlesGoogleWebFontFamily":"Roboto, sans-serif","advancedFontSize":"18px","advancedFontType":"0;advancedFontFamily","advancedFontFamily":"Arial, Helvetica, sans-serif","advancedGoogleWebFontUrl":"","advancedGoogleWebFontFamily":"","advancedSelectors":"","devmode":"0","themermode":"1","themerlogin":"0","codeInjection":"","cssCompress":"0","jsCompress":"0","skipCompress":"","facebookOpenGraph":"0","facebookOpenGraphAppID":"","config":""}'),
(19,'jm-internet',0,'0','jm-internet - Orange','{"JMfluidGridContainerLg":"1170px","JMbaseSpace":"50px","columnLeftWidth":"4","columnRightWidth":"4","responsiveLayout":"1","offCanvas":"1","JMoffCanvasWidth":"300px","offCanvasPosition":"right","JMcolorVersion":"#ce9846","JMimagesDir":"scheme2","JMpageBackground":"#f4f4f4","JMcomponentBorder":"#e7e7e7","JMbaseFontColor":"#898989","JMarticleFontColor":"#2f2f2f","JMtopbarBackground":"#000000","JMtopbarFontColor":"#a5a5a5","JMtopmenuBackground":"#000000","JMtopmenuFontColor":"#ffffff","JMheaderBackground":"#000000","JMheaderFontColor":"#ffffff","JMtop2Background":"#ffffff","JMtop2FontColor":"#898989","JMmoduleBackground":"#ffffff","JMmoduleBorder":"#e7e7e7","JMmoduleFontColor":"#898989","JMmoduleTitleFontColor":"#323232","JMdarkmsModuleBackground":"#292929","JMdarkmsModuleFontColor":"#727272","JMdarkmsModuleTitleFontColor":"#ffffff","JMfooterBackground":"#292929","JMfooterFontColor":"#515151","JMfooterModuleTitle":"#ffffff","JMoffCanvasBackground":"#333333","JMoffCanvasFontColor":"#ffffff","logo":"images\\/logo-2.png","logoText":"","siteDescription":"","fontSizeSwitcher":"0","backToTop":"1","favIconImg":"","layout":"default","JMbaseFontSize":"16px","bodyFontType":"1;bodyGoogleWebFontUrl;bodyGoogleWebFontFamily","bodyFontFamily":"Arial, Helvetica, sans-serif","bodyGoogleWebFontUrl":"\\/\\/fonts.googleapis.com\\/css?family=Roboto:400,300,400italic,500,700,900","bodyGoogleWebFontFamily":"Roboto, sans-serif","JMtopmenuFontSize":"16px","djmenuFontType":"1;djmenuGoogleWebFontUrl;djmenuGoogleWebFontFamily","djmenuFontFamily":"Arial, Helvetica, sans-serif","djmenuGoogleWebFontUrl":"\\/\\/fonts.googleapis.com\\/css?family=Roboto:400,300,400italic,500,700,900","djmenuGoogleWebFontFamily":"Roboto, sans-serif","JMmoduleTitleFontSize":"20px","headingsFontType":"1;headingsGoogleWebFontUrl;headingsGoogleWebFontFamily","headingsFontFamily":"Arial, Helvetica, sans-serif","headingsGoogleWebFontUrl":"\\/\\/fonts.googleapis.com\\/css?family=Roboto:400,300,400italic,500,700,900","headingsGoogleWebFontFamily":"Roboto, sans-serif","JMarticleTitleFontSize":"32px","articlesFontType":"1;articlesGoogleWebFontUrl;articlesGoogleWebFontFamily","articlesFontFamily":"Arial, Helvetica, sans-serif","articlesGoogleWebFontUrl":"\\/\\/fonts.googleapis.com\\/css?family=Roboto:400,300,400italic,500,700,900","articlesGoogleWebFontFamily":"Roboto, sans-serif","advancedFontSize":"18px","advancedFontType":"0;advancedFontFamily","advancedFontFamily":"Arial, Helvetica, sans-serif","advancedGoogleWebFontUrl":"","advancedGoogleWebFontFamily":"","advancedSelectors":"","devmode":"0","themermode":"0","themerlogin":"0","codeInjection":"","cssCompress":"0","jsCompress":"0","skipCompress":"","facebookOpenGraph":"0","facebookOpenGraphAppID":"","config":""}'),
(20,'jm-internet',0,'0','jm-internet - Yellow','{"JMfluidGridContainerLg":"1170px","JMbaseSpace":"50px","columnLeftWidth":"4","columnRightWidth":"4","responsiveLayout":"1","offCanvas":"1","JMoffCanvasWidth":"300px","offCanvasPosition":"right","JMcolorVersion":"#cec646","JMimagesDir":"scheme3","JMpageBackground":"#f4f4f4","JMcomponentBorder":"#e7e7e7","JMbaseFontColor":"#898989","JMarticleFontColor":"#2f2f2f","JMtopbarBackground":"#000000","JMtopbarFontColor":"#a5a5a5","JMtopmenuBackground":"#000000","JMtopmenuFontColor":"#ffffff","JMheaderBackground":"#000000","JMheaderFontColor":"#ffffff","JMtop2Background":"#ffffff","JMtop2FontColor":"#898989","JMmoduleBackground":"#ffffff","JMmoduleBorder":"#e7e7e7","JMmoduleFontColor":"#898989","JMmoduleTitleFontColor":"#323232","JMdarkmsModuleBackground":"#292929","JMdarkmsModuleFontColor":"#727272","JMdarkmsModuleTitleFontColor":"#ffffff","JMfooterBackground":"#292929","JMfooterFontColor":"#515151","JMfooterModuleTitle":"#ffffff","JMoffCanvasBackground":"#333333","JMoffCanvasFontColor":"#ffffff","logo":"images\\/logo-3.png","logoText":"","siteDescription":"","fontSizeSwitcher":"0","backToTop":"1","favIconImg":"","layout":"default","JMbaseFontSize":"16px","bodyFontType":"1;bodyGoogleWebFontUrl;bodyGoogleWebFontFamily","bodyFontFamily":"Arial, Helvetica, sans-serif","bodyGoogleWebFontUrl":"\\/\\/fonts.googleapis.com\\/css?family=Roboto:400,300,400italic,500,700,900","bodyGoogleWebFontFamily":"Roboto, sans-serif","JMtopmenuFontSize":"16px","djmenuFontType":"1;djmenuGoogleWebFontUrl;djmenuGoogleWebFontFamily","djmenuFontFamily":"Arial, Helvetica, sans-serif","djmenuGoogleWebFontUrl":"\\/\\/fonts.googleapis.com\\/css?family=Roboto:400,300,400italic,500,700,900","djmenuGoogleWebFontFamily":"Roboto, sans-serif","JMmoduleTitleFontSize":"20px","headingsFontType":"1;headingsGoogleWebFontUrl;headingsGoogleWebFontFamily","headingsFontFamily":"Arial, Helvetica, sans-serif","headingsGoogleWebFontUrl":"\\/\\/fonts.googleapis.com\\/css?family=Roboto:400,300,400italic,500,700,900","headingsGoogleWebFontFamily":"Roboto, sans-serif","JMarticleTitleFontSize":"32px","articlesFontType":"1;articlesGoogleWebFontUrl;articlesGoogleWebFontFamily","articlesFontFamily":"Arial, Helvetica, sans-serif","articlesGoogleWebFontUrl":"\\/\\/fonts.googleapis.com\\/css?family=Roboto:400,300,400italic,500,700,900","articlesGoogleWebFontFamily":"Roboto, sans-serif","advancedFontSize":"18px","advancedFontType":"0;advancedFontFamily","advancedFontFamily":"Arial, Helvetica, sans-serif","advancedGoogleWebFontUrl":"","advancedGoogleWebFontFamily":"","advancedSelectors":"","devmode":"0","themermode":"0","themerlogin":"0","codeInjection":"","cssCompress":"0","jsCompress":"0","skipCompress":"","facebookOpenGraph":"0","facebookOpenGraphAppID":"","config":""}'),
(21,'jm-internet',0,'0','jm-internet - Red','{"JMfluidGridContainerLg":"1170px","JMbaseSpace":"50px","columnLeftWidth":"4","columnRightWidth":"4","responsiveLayout":"1","offCanvas":"1","JMoffCanvasWidth":"300px","offCanvasPosition":"right","JMcolorVersion":"#e97663","JMimagesDir":"scheme4","JMpageBackground":"#f4f4f4","JMcomponentBorder":"#e7e7e7","JMbaseFontColor":"#898989","JMarticleFontColor":"#2f2f2f","JMtopbarBackground":"#000000","JMtopbarFontColor":"#a5a5a5","JMtopmenuBackground":"#000000","JMtopmenuFontColor":"#ffffff","JMheaderBackground":"#000000","JMheaderFontColor":"#ffffff","JMtop2Background":"#ffffff","JMtop2FontColor":"#898989","JMmoduleBackground":"#ffffff","JMmoduleBorder":"#e7e7e7","JMmoduleFontColor":"#898989","JMmoduleTitleFontColor":"#323232","JMdarkmsModuleBackground":"#292929","JMdarkmsModuleFontColor":"#727272","JMdarkmsModuleTitleFontColor":"#ffffff","JMfooterBackground":"#292929","JMfooterFontColor":"#515151","JMfooterModuleTitle":"#ffffff","JMoffCanvasBackground":"#333333","JMoffCanvasFontColor":"#ffffff","logo":"images\\/logo-4.png","logoText":"","siteDescription":"","fontSizeSwitcher":"0","backToTop":"1","favIconImg":"","layout":"default","JMbaseFontSize":"16px","bodyFontType":"1;bodyGoogleWebFontUrl;bodyGoogleWebFontFamily","bodyFontFamily":"Arial, Helvetica, sans-serif","bodyGoogleWebFontUrl":"\\/\\/fonts.googleapis.com\\/css?family=Roboto:400,300,400italic,500,700,900","bodyGoogleWebFontFamily":"Roboto, sans-serif","JMtopmenuFontSize":"16px","djmenuFontType":"1;djmenuGoogleWebFontUrl;djmenuGoogleWebFontFamily","djmenuFontFamily":"Arial, Helvetica, sans-serif","djmenuGoogleWebFontUrl":"\\/\\/fonts.googleapis.com\\/css?family=Roboto:400,300,400italic,500,700,900","djmenuGoogleWebFontFamily":"Roboto, sans-serif","JMmoduleTitleFontSize":"20px","headingsFontType":"1;headingsGoogleWebFontUrl;headingsGoogleWebFontFamily","headingsFontFamily":"Arial, Helvetica, sans-serif","headingsGoogleWebFontUrl":"\\/\\/fonts.googleapis.com\\/css?family=Roboto:400,300,400italic,500,700,900","headingsGoogleWebFontFamily":"Roboto, sans-serif","JMarticleTitleFontSize":"32px","articlesFontType":"1;articlesGoogleWebFontUrl;articlesGoogleWebFontFamily","articlesFontFamily":"Arial, Helvetica, sans-serif","articlesGoogleWebFontUrl":"\\/\\/fonts.googleapis.com\\/css?family=Roboto:400,300,400italic,500,700,900","articlesGoogleWebFontFamily":"Roboto, sans-serif","advancedFontSize":"18px","advancedFontType":"0;advancedFontFamily","advancedFontFamily":"Arial, Helvetica, sans-serif","advancedGoogleWebFontUrl":"","advancedGoogleWebFontFamily":"","advancedSelectors":"","devmode":"0","themermode":"0","themerlogin":"0","codeInjection":"","cssCompress":"0","jsCompress":"0","skipCompress":"","facebookOpenGraph":"0","facebookOpenGraphAppID":"","config":""}');

DROP TABLE IF EXISTS #__ucm_base;
CREATE TABLE `#__ucm_base` (
  `ucm_id` int(10) unsigned NOT NULL,
  `ucm_item_id` int(10) NOT NULL,
  `ucm_type_id` int(11) NOT NULL,
  `ucm_language_id` int(11) NOT NULL,
  PRIMARY KEY (`ucm_id`),
  KEY `idx_ucm_item_id` (`ucm_item_id`),
  KEY `idx_ucm_type_id` (`ucm_type_id`),
  KEY `idx_ucm_language_id` (`ucm_language_id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__ucm_base` VALUES 
(1,24,1,0),
(3,71,1,0),
(4,96,1,0),
(5,97,1,0),
(6,98,1,0),
(7,99,1,0),
(8,100,1,0),
(9,101,1,0),
(10,102,1,0),
(11,103,1,0),
(12,104,1,0),
(13,105,1,0),
(14,106,1,0),
(15,107,1,0),
(16,108,1,0),
(17,109,1,0),
(18,110,1,0),
(19,113,1,0),
(20,114,1,0),
(21,115,1,0),
(22,116,1,0),
(23,117,1,0),
(24,118,1,0),
(25,119,1,0),
(26,120,1,0),
(27,122,1,0),
(28,123,1,0),
(29,124,1,0),
(30,125,1,0),
(31,126,1,0),
(32,127,1,0),
(33,128,1,0),
(34,129,1,0);

DROP TABLE IF EXISTS #__ucm_content;
CREATE TABLE `#__ucm_content` (
  `core_content_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `core_type_alias` varchar(255) NOT NULL DEFAULT '' COMMENT 'FK to the content types table',
  `core_title` varchar(255) NOT NULL,
  `core_alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `core_body` mediumtext NOT NULL,
  `core_state` tinyint(1) NOT NULL DEFAULT '0',
  `core_checked_out_time` varchar(255) NOT NULL DEFAULT '',
  `core_checked_out_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `core_access` int(10) unsigned NOT NULL DEFAULT '0',
  `core_params` text NOT NULL,
  `core_featured` tinyint(4) unsigned NOT NULL DEFAULT '0',
  `core_metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `core_created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `core_created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `core_created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_modified_user_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Most recent user that modified',
  `core_modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_language` char(7) NOT NULL,
  `core_publish_up` datetime NOT NULL,
  `core_publish_down` datetime NOT NULL,
  `core_content_item_id` int(10) unsigned DEFAULT NULL COMMENT 'ID from the individual type table',
  `asset_id` int(10) unsigned DEFAULT NULL COMMENT 'FK to the #__assets table.',
  `core_images` text NOT NULL,
  `core_urls` text NOT NULL,
  `core_hits` int(10) unsigned NOT NULL DEFAULT '0',
  `core_version` int(10) unsigned NOT NULL DEFAULT '1',
  `core_ordering` int(11) NOT NULL DEFAULT '0',
  `core_metakey` text NOT NULL,
  `core_metadesc` text NOT NULL,
  `core_catid` int(10) unsigned NOT NULL DEFAULT '0',
  `core_xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `core_type_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`core_content_id`),
  KEY `tag_idx` (`core_state`,`core_access`),
  KEY `idx_access` (`core_access`),
  KEY `idx_alias` (`core_alias`),
  KEY `idx_language` (`core_language`),
  KEY `idx_title` (`core_title`),
  KEY `idx_modified_time` (`core_modified_time`),
  KEY `idx_created_time` (`core_created_time`),
  KEY `idx_content_type` (`core_type_alias`),
  KEY `idx_core_modified_user_id` (`core_modified_user_id`),
  KEY `idx_core_checked_out_user_id` (`core_checked_out_user_id`),
  KEY `idx_core_created_user_id` (`core_created_user_id`),
  KEY `idx_core_type_id` (`core_type_id`)
) AUTO_INCREMENT=35 DEFAULT CHARSET=utf8 COMMENT='Contains core content data in name spaced fields';

INSERT INTO `#__ucm_content` VALUES 
(1,'com_content.article','Joomla! Testing','joomla','<p>Thanks for helping us to test Joomla!</p>\r\n<p>We\'re getting ready for the release of Joomla and we appreciate you helping us find and fix problems as we work.</p>\r\n<p>If you haven\'t done testing before here are some tips.</p>\r\n<ul>\r\n<li>Don\'t delete the installation folder when you finish installing! While we\'re working we turn that security feature off to make it easier to test.</li>\r\n<li>Go to global configuration and set Error Reporting to Development (that\'s on the server tab) and enable both debugging and language debugging (those are on the system tab). Don\'t worry when you see ** around words --that means Joomla translation is doing its job.</li>\r\n</ul>\r\n<p>How to test</p>\r\n<ul>\r\n<li>First, do the things you normally do and see if you spot any problems.</li>\r\n<li>Look at all of the front end views and record any problems</li>\r\n<li>Look at all the back end views and report any problems</li>\r\n<li>See more ideas below</li>\r\n</ul>\r\n<p>What to look for</p>\r\n<ul>\r\n<li>Any error messages that say things like Fatal Error or Strict or similar things that indicate that something is not working correctly.</li>\r\n<li>Untranslated strings. You will know these because they look like this: ?STRING_HERE?</li>\r\n<li>Problems of rendering--items not aligned correctly, missing or wrong images, pages that just don\'t look right.</li>\r\n<li>Unexpected behavior--anything that is working differently than it did in 2.5.</li>\r\n</ul>\r\n<p>Report problems</p>\r\n<p>If you find a problem please report it to the <a href="http://joomlacode.org/gf/project/joomla/tracker/?action=TrackerItemBrowse&amp;tracker_id=8103" target="_blank">CMS Issue Tracker</a>. You will need to register for a joomlacode.org account if you don\'t have one.</p>\r\n<p>More Testing Ideas</p>\r\n<ul>\r\n<li>Pick one module or view and test all of the parameters.</li>\r\n<li>Install an extension and see if anything breaks (report to the developer unless you are positive it is a core bug).</li>\r\n<li>Turn on caching with different options</li>\r\n<li>Try different session options</li>\r\n<li>Install a language and test all the layouts.</li>\r\n<li>Try different environments (like different servers which may have different version of PHP) or try you have IIS with MySQLi or SqlSrv. With millions of users Joomla needs to be ready for unusual environments.</li>\r\n<li>Try with SEF URLS on or off and also with Apache rewrite on or off (if you are on Apache).</li>\r\n<li>Try different combinations of browsers (Chrome, IE, FireFox, Opera to start) and operating systems (Mac, Windows, Linux).</li>\r\n<li>Yes grammar and spelling errors are bugs too -- just keep in mind that we use British spelling.</li>\r\n<li>Visit the <a href="http://joomlacode.org/gf/project/joomla/tracker/?action=TrackerItemBrowse&amp;tracker_id=8549" target="_blank">Feature Tracker</a> and test a new feature.</li>\r\n</ul>\r\n<p>Testing changes</p>\r\n<p>You can also help Joomla by testing bug fixes and new features.  A useful tool is the <a href="https://github.com/mbabker/patchtester/releases" target="_blank">patchtester component</a> which helps to simplify and automate the process.  Report your feedbak on the <span style="line-height: 1.3em;"> </span><a style="line-height: 1.3em;" href="http://joomlacode.org/gf/project/joomla/tracker/?action=TrackerItemBrowse&amp;tracker_id=8103" target="_blank">CMS Issue Tracker</a>. If you enjoy helping Joomla this way, you may want to join the <a href="http://docs.joomla.org/Bug_Squad" target="_blank">Joomla Bug Squad</a>.</p>\r\n<p> </p>',-2,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":""}',1,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2011-01-01 00:00:01',0,'2013-10-15 14:57:20','*','2011-01-01 00:00:01','0000-00-00 00:00:00',24,180,'{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',59,3,2,'','',19,'',1),
(3,'com_content.article','Similar Tags','similar-tags','<p>The similar tags modules shows a list of items which have the same or a similar set of tags.</p>\r\n<p>{loadmodule tags_similar,Similar Tags}</p>',-2,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2013-10-31 00:14:17',371,'2013-10-31 00:39:09','*','2013-10-31 00:14:17','0000-00-00 00:00:00',71,179,'{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',3,4,0,'','',64,'',1),
(4,'com_content.article','Lorem Ipsum','lorem-ipsum','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n',1,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-05-15 12:44:15',800,'2014-07-07 15:18:49','*','2014-05-15 12:44:15','0000-00-00 00:00:00',96,288,'{"image_intro":"images\\/blog\\/blog2.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',5,11,12,'','',84,'',1),
(5,'com_content.article','Consectetur Adipisc','consectetur-adipisc','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n',1,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-05-15 12:44:15',800,'2014-06-24 16:01:56','*','2014-05-15 12:44:15','0000-00-00 00:00:00',97,290,'{"image_intro":"images\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',0,9,2,'','',86,'',1),
(6,'com_content.article','Nulla Scelerisque','nulla-scelerisque','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n',1,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-05-15 12:44:15',800,'2014-07-07 15:19:06','*','2014-05-15 12:44:15','0000-00-00 00:00:00',98,292,'{"image_intro":"images\\/blog\\/blog3.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',1,8,10,'','',85,'',1),
(7,'com_content.article','Aliquam Feugiat','aliquam-feugiat','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n',1,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-05-15 12:44:15',800,'2014-07-07 15:19:26','*','2014-05-15 12:44:15','0000-00-00 00:00:00',99,294,'{"image_intro":"images\\/blog\\/blog4.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',2,10,9,'','',85,'',1),
(8,'com_content.article','Praesent Vehicula','praesent-vehicula','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n',1,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-05-15 12:44:15',800,'2014-07-07 15:19:43','*','2014-05-15 12:44:15','0000-00-00 00:00:00',100,296,'{"image_intro":"images\\/blog\\/blog5.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',5,8,1,'','',86,'',1),
(9,'com_content.article','Malesuada Ultricies','malesuada-ultricies','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n',1,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-05-15 12:44:15',800,'2014-07-07 15:20:07','*','2014-05-15 12:44:15','0000-00-00 00:00:00',101,298,'{"image_intro":"images\\/blog\\/blog2.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',0,9,7,'','',87,'',1),
(10,'com_content.article','Nunc Placerat','nunc-placerat','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n',1,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-05-15 12:44:15',800,'2014-07-04 10:12:32','*','2014-05-15 12:44:15','0000-00-00 00:00:00',102,300,'{"image_intro":"images\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',0,8,6,'','',84,'',1),
(11,'com_content.article','Quisque Vestibulum','quisque-vestibulum','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n',1,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-05-15 12:44:15',800,'2014-07-07 15:20:38','*','2014-05-15 12:44:15','0000-00-00 00:00:00',103,302,'{"image_intro":"images\\/blog\\/blog3.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',0,8,5,'','',87,'',1),
(12,'com_content.article','Cras Eleifend','cras-eleifend','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n',2,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2013-12-15 12:44:15',800,'2014-07-07 15:18:17','*','2013-12-15 12:44:15','0000-00-00 00:00:00',104,306,'{"image_intro":"images\\/blog\\/blog5.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',0,3,4,'','',83,'',1),
(13,'com_content.article','Fusce Eu Risus','fusce-eu-risus','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n',2,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-01-15 12:44:15',800,'2014-07-07 15:17:56','*','2014-01-15 12:44:15','0000-00-00 00:00:00',105,308,'{"image_intro":"images\\/blog\\/blog4.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',0,4,3,'','',83,'',1),
(14,'com_content.article','Pretium Pellentesque','pretium-pellentesque','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n',2,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-02-15 12:44:15',800,'2014-07-07 15:17:19','*','2014-02-15 12:44:15','0000-00-00 00:00:00',106,310,'{"image_intro":"images\\/blog\\/blog2.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',4,4,2,'','',83,'',1),
(15,'com_content.article','Volutpat Vehicula','volutpat-vehicula','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n',2,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-03-15 12:44:15',800,'2014-07-07 15:17:39','*','2014-03-15 12:44:15','0000-00-00 00:00:00',107,312,'{"image_intro":"images\\/blog\\/blog3.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',0,5,1,'','',83,'',1),
(16,'com_content.article','Auctor Justo','auctor-justo','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n',2,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-04-15 12:44:15',164,'2014-05-15 14:08:03','*','2014-04-15 12:44:15','0000-00-00 00:00:00',108,314,'{"image_intro":"images\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',0,3,0,'','',83,'',1),
(17,'com_content.article','Lorem Ipsum','lorem-ipsum','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor.</p>\r\n',1,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-05-15 12:44:15',800,'2014-07-07 14:51:03','*','2014-05-15 12:44:15','0000-00-00 00:00:00',109,322,'{"image_intro":"images\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',6,5,0,'','',88,'',1),
(18,'com_content.article','Praesent Vehicula','praesent-vehicula','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor.</p>\r\n',1,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-05-15 12:44:15',800,'2014-07-07 14:51:09','*','2014-05-15 12:44:15','0000-00-00 00:00:00',110,324,'{"image_intro":"images\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',8,5,0,'','',88,'',1),
(19,'com_content.article','Quisque Vestibulum','quisque-vestibulum','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n',1,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-05-15 12:44:15',0,'2014-05-15 14:10:42','*','2014-05-15 12:44:15','0000-00-00 00:00:00',113,336,'{"image_intro":"images\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',0,6,5,'','',90,'',1),
(20,'com_content.article','Nunc Placerat','nunc-placerat','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n',1,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-05-15 12:44:15',800,'2014-06-24 16:00:34','*','2014-05-15 12:44:15','0000-00-00 00:00:00',114,338,'{"image_intro":"images\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',0,7,6,'','',90,'',1),
(21,'com_content.article','Malesuada Ultricies','malesuada-ultricies','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n',1,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-05-15 12:44:15',800,'2014-07-07 14:49:56','*','2014-05-15 12:44:15','0000-00-00 00:00:00',115,340,'{"image_intro":"images\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',0,8,7,'','',90,'',1),
(22,'com_content.article','Praesent Vehicula','praesent-vehicula','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n',1,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-05-15 12:44:15',0,'2014-05-15 14:10:22','*','2014-05-15 12:44:15','0000-00-00 00:00:00',116,342,'{"image_intro":"images\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',5,6,1,'','',90,'',1),
(23,'com_content.article','Aliquam Feugiat','aliquam-feugiat','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n',1,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-05-15 12:44:15',0,'2014-05-15 14:10:02','*','2014-05-15 12:44:15','0000-00-00 00:00:00',117,344,'{"image_intro":"images\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',2,8,9,'','',90,'',1),
(24,'com_content.article','Nulla Scelerisque','nulla-scelerisque','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n',1,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-05-15 12:44:15',800,'2014-07-07 14:50:34','*','2014-05-15 12:44:15','0000-00-00 00:00:00',118,346,'{"image_intro":"images\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',1,7,10,'','',90,'',1),
(25,'com_content.article','Consectetur Adipisc','consectetur-adipisc','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n',1,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-05-15 12:44:15',800,'2014-07-07 14:50:26','*','2014-05-15 12:44:15','0000-00-00 00:00:00',119,348,'{"image_intro":"images\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',0,10,2,'','',90,'',1),
(26,'com_content.article','Lorem Ipsum','lorem-ipsum','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n',1,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-05-15 12:44:15',800,'2014-07-07 14:49:38','*','2014-05-15 12:44:15','0000-00-00 00:00:00',120,350,'{"image_intro":"images\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',5,10,12,'','',90,'',1),
(27,'com_content.article','Vestibulum','vestibulum','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n',-2,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-05-15 12:44:15',800,'2014-07-08 13:19:33','*','2014-05-15 12:44:15','0000-00-00 00:00:00',122,364,'{"image_intro":"images\\/culinary\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',0,10,5,'','',93,'',1),
(28,'com_content.article','Nunc Placerat','nunc-placerat','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n',-2,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-05-15 12:44:15',800,'2014-07-08 13:19:19','*','2014-05-15 12:44:15','0000-00-00 00:00:00',123,366,'{"image_intro":"images\\/culinary\\/blog\\/blog3.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',0,10,6,'','',93,'',1),
(29,'com_content.article','Males Ultricies','males-ultricies','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n',-2,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-05-15 12:44:15',800,'2014-07-08 13:19:06','*','2014-05-15 12:44:15','0000-00-00 00:00:00',124,368,'{"image_intro":"images\\/culinary\\/blog\\/blog2.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',0,11,7,'','',93,'',1),
(30,'com_content.article','Praesent Vehicula','praesent-vehicula','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n',-2,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-05-15 12:44:15',800,'2014-07-08 13:18:47','*','2014-05-15 12:44:15','0000-00-00 00:00:00',125,370,'{"image_intro":"images\\/culinary\\/blog\\/blog4.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',5,10,1,'','',93,'',1),
(31,'com_content.article','Aliquam Feugiat','aliquam-feugiat','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n',-2,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-05-15 12:44:15',800,'2014-07-08 13:18:34','*','2014-05-15 12:44:15','0000-00-00 00:00:00',126,372,'{"image_intro":"images\\/culinary\\/blog\\/blog6.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',2,12,9,'','',93,'',1),
(32,'com_content.article','Nulla Scelerisque','nulla-scelerisque','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n',-2,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-05-15 12:44:15',800,'2014-07-08 13:18:21','*','2014-05-15 12:44:15','0000-00-00 00:00:00',127,374,'{"image_intro":"images\\/culinary\\/blog\\/blog5.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',1,10,10,'','',93,'',1),
(33,'com_content.article','Consec Adipisc','consec-adipisc','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n',-2,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-05-15 12:44:15',800,'2014-07-08 13:20:37','*','2014-05-15 12:44:15','0000-00-00 00:00:00',128,376,'{"image_intro":"images\\/culinary\\/blog\\/blog1.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',0,11,2,'','',93,'',1),
(34,'com_content.article','Lorem Ipsum','lorem-ipsum','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n',-2,'',0,1,'{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}',0,'{"robots":"","author":"","rights":"","xreference":""}',56,'','2014-05-15 12:44:15',800,'2014-07-08 13:21:02','*','2014-05-15 12:44:15','0000-00-00 00:00:00',129,378,'{"image_intro":"images\\/culinary\\/blog\\/blog2.jpg","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}',5,13,12,'','',93,'',1);

DROP TABLE IF EXISTS #__ucm_history;
CREATE TABLE `#__ucm_history` (
  `version_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ucm_item_id` int(10) unsigned NOT NULL,
  `ucm_type_id` int(10) unsigned NOT NULL,
  `version_note` varchar(255) NOT NULL DEFAULT '' COMMENT 'Optional version name',
  `save_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `editor_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `character_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Number of characters in this version.',
  `sha1_hash` varchar(50) NOT NULL DEFAULT '' COMMENT 'SHA1 hash of the version_data column.',
  `version_data` mediumtext NOT NULL COMMENT 'json-encoded string of version data',
  `keep_forever` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0=auto delete; 1=keep',
  PRIMARY KEY (`version_id`),
  KEY `idx_ucm_item_id` (`ucm_type_id`,`ucm_item_id`),
  KEY `idx_save_date` (`save_date`)
) AUTO_INCREMENT=364 DEFAULT CHARSET=utf8;

INSERT INTO `#__ucm_history` VALUES 
(1,78,6,'','2014-04-28 14:33:56',56,533,'9fb3b8592603adb4553a4f579bb2b80d5467e23e','{"id":78,"asset_id":181,"parent_id":"1","lft":"135","rgt":136,"level":1,"path":null,"extension":"com_content","title":"JM-Sample-Data","alias":"jm-sample-data","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"164","created_time":"2014-04-28 14:33:56","modified_user_id":null,"modified_time":null,"hits":"0","language":"*","version":null}',0),
(93,83,6,'','2014-05-15 12:32:13',56,513,'7e27231d4f0101d8e4a3b5b8399f2a8d0c107c9d','{"id":83,"asset_id":286,"parent_id":"1","lft":"145","rgt":146,"level":1,"path":null,"extension":"com_content","title":"Blog","alias":"blog","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"164","created_time":"2014-05-15 12:32:13","modified_user_id":null,"modified_time":null,"hits":"0","language":"*","version":null}',0),
(97,96,1,'','2014-05-15 12:44:15',56,6886,'db8873ff41fcfec2839253288dfd9c5be61f5817','{"id":96,"asset_id":287,"title":"Lorem Ipsum","alias":"lorem-ipsum","introtext":"<p><strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum.<\\/strong><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar. Fusce felis ante, pulvinar ac metus et, adipiscing consequat lectus. Integer quam nibh, varius nec lacus elementum, bibendum posuere ante. Mauris vehicula.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(98,6,10,'','2014-05-15 12:44:51',56,555,'725cec5aad74d2e1e61b5d493a1136566edb832e','{"id":6,"parent_id":"1","lft":"1","rgt":2,"level":1,"path":"lorem","title":"lorem","alias":"lorem","note":"","description":null,"published":1,"checked_out":"0","checked_out_time":"0000-00-00 00:00:00","access":1,"params":null,"metadesc":null,"metakey":null,"metadata":null,"created_user_id":"164","created_time":"2014-05-15 12:44:51","created_by_alias":"","modified_user_id":"0","modified_time":"0000-00-00 00:00:00","images":null,"urls":null,"hits":"0","language":"*","version":"1","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00"}',0),
(99,7,10,'','2014-05-15 12:44:51',56,555,'24e016411fca9d48cd8523c5aab9ca5e5f9a5e4a','{"id":7,"parent_id":"1","lft":"3","rgt":4,"level":1,"path":"ipsum","title":"ipsum","alias":"ipsum","note":"","description":null,"published":1,"checked_out":"0","checked_out_time":"0000-00-00 00:00:00","access":1,"params":null,"metadesc":null,"metakey":null,"metadata":null,"created_user_id":"164","created_time":"2014-05-15 12:44:51","created_by_alias":"","modified_user_id":"0","modified_time":"0000-00-00 00:00:00","images":null,"urls":null,"hits":"0","language":"*","version":"1","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00"}',0),
(100,8,10,'','2014-05-15 12:44:51',56,555,'62ed551d7b1168c69957fc05f54b2a0c90484f54','{"id":8,"parent_id":"1","lft":"5","rgt":6,"level":1,"path":"dolor","title":"dolor","alias":"dolor","note":"","description":null,"published":1,"checked_out":"0","checked_out_time":"0000-00-00 00:00:00","access":1,"params":null,"metadesc":null,"metakey":null,"metadata":null,"created_user_id":"164","created_time":"2014-05-15 12:44:51","created_by_alias":"","modified_user_id":"0","modified_time":"0000-00-00 00:00:00","images":null,"urls":null,"hits":"0","language":"*","version":"1","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00"}',0),
(101,9,10,'','2014-05-15 12:44:51',56,549,'b1108675f4f6d2463c1ae04c51a93ffb2f530e71','{"id":9,"parent_id":"1","lft":"7","rgt":8,"level":1,"path":"sit","title":"sit","alias":"sit","note":"","description":null,"published":1,"checked_out":"0","checked_out_time":"0000-00-00 00:00:00","access":1,"params":null,"metadesc":null,"metakey":null,"metadata":null,"created_user_id":"164","created_time":"2014-05-15 12:44:51","created_by_alias":"","modified_user_id":"0","modified_time":"0000-00-00 00:00:00","images":null,"urls":null,"hits":"0","language":"*","version":"1","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00"}',0),
(102,10,10,'','2014-05-15 12:44:51',56,554,'f9cfa6af25981df0c97d2e61cacdda7c36109c7a','{"id":10,"parent_id":"1","lft":"9","rgt":10,"level":1,"path":"amet","title":"amet","alias":"amet","note":"","description":null,"published":1,"checked_out":"0","checked_out_time":"0000-00-00 00:00:00","access":1,"params":null,"metadesc":null,"metakey":null,"metadata":null,"created_user_id":"164","created_time":"2014-05-15 12:44:51","created_by_alias":"","modified_user_id":"0","modified_time":"0000-00-00 00:00:00","images":null,"urls":null,"hits":"0","language":"*","version":"1","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00"}',0),
(103,97,1,'','2014-05-15 12:45:12',56,6903,'f77ff5967109f02819d8eb95519ecaac0a65da8c','{"id":97,"asset_id":289,"title":"Consectetur Adipiscing (2)","alias":"lorem-ipsum-2","introtext":"<p><strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum.<\\/strong><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar. Fusce felis ante, pulvinar ac metus et, adipiscing consequat lectus. Integer quam nibh, varius nec lacus elementum, bibendum posuere ante. Mauris vehicula.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":0,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 12:44:51","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2014-05-15 12:44:15","publish_down":"","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(104,97,1,'','2014-05-15 12:45:24',56,6946,'546e8acc1a2a6d0c226f8016ba416f0ac2e7bb00','{"id":97,"asset_id":"289","title":"Consectetur Adipiscing","alias":"consectetur-adipiscing","introtext":"<p><strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum.<\\/strong><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar. Fusce felis ante, pulvinar ac metus et, adipiscing consequat lectus. Integer quam nibh, varius nec lacus elementum, bibendum posuere ante. Mauris vehicula.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 12:45:24","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 12:45:12","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(105,98,1,'','2014-05-15 12:45:38',56,6898,'f5033ea417f9a0b84fc7766c4c44eabba6dba8fc','{"id":98,"asset_id":291,"title":"Nulla Scelerisque","alias":"nulla-scelerisque","introtext":"<p><strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum.<\\/strong><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar. Fusce felis ante, pulvinar ac metus et, adipiscing consequat lectus. Integer quam nibh, varius nec lacus elementum, bibendum posuere ante. Mauris vehicula.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":0,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 12:45:24","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2014-05-15 12:44:15","publish_down":"","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(106,99,1,'','2014-05-15 12:45:56',56,6894,'3f6034e777f317383f6ef5e9aa917b103f243aee','{"id":99,"asset_id":293,"title":"Aliquam Feugiat","alias":"aliquam-feugiat","introtext":"<p><strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum.<\\/strong><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar. Fusce felis ante, pulvinar ac metus et, adipiscing consequat lectus. Integer quam nibh, varius nec lacus elementum, bibendum posuere ante. Mauris vehicula.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":0,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 12:45:24","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2014-05-15 12:44:15","publish_down":"","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(107,99,1,'','2014-05-15 12:46:09',56,6932,'c252d789b4a9355a5e1197f34497153f48c04d02','{"id":99,"asset_id":"293","title":"Aliquam Feugiat","alias":"aliquam-feugiat","introtext":"<p><strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum.<\\/strong><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar. Fusce felis ante, pulvinar ac metus et, adipiscing consequat lectus. Integer quam nibh, varius nec lacus elementum, bibendum posuere ante. Mauris vehicula.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 12:46:09","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 12:45:56","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(108,100,1,'','2014-05-15 12:46:23',56,6899,'9d1a13cf8b59175f21c739e8fcc7f77a8f6d0684','{"id":100,"asset_id":295,"title":"Praesent Vehicula","alias":"praesent-vehicula","introtext":"<p><strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum.<\\/strong><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar. Fusce felis ante, pulvinar ac metus et, adipiscing consequat lectus. Integer quam nibh, varius nec lacus elementum, bibendum posuere ante. Mauris vehicula.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":0,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 12:46:09","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2014-05-15 12:44:15","publish_down":"","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(109,100,1,'','2014-05-15 12:46:28',56,6937,'a3c17ae878fd77b9c32a1bf456bffb48322696ba','{"id":100,"asset_id":"295","title":"Praesent Vehicula","alias":"praesent-vehicula","introtext":"<p><strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum.<\\/strong><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar. Fusce felis ante, pulvinar ac metus et, adipiscing consequat lectus. Integer quam nibh, varius nec lacus elementum, bibendum posuere ante. Mauris vehicula.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 12:46:28","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 12:46:23","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(110,101,1,'','2014-05-15 12:46:54',56,6903,'283036a5cc724fcbd591aca03b9819eff325ae77','{"id":101,"asset_id":297,"title":"Malesuada Ultricies","alias":"malesuada-ultricies","introtext":"<p><strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum.<\\/strong><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar. Fusce felis ante, pulvinar ac metus et, adipiscing consequat lectus. Integer quam nibh, varius nec lacus elementum, bibendum posuere ante. Mauris vehicula.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":0,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 12:46:28","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2014-05-15 12:44:15","publish_down":"","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(111,101,1,'','2014-05-15 12:47:02',56,6941,'dcf3092aa0ea91fb309d77621ad1fd75c82f10f2','{"id":101,"asset_id":"297","title":"Malesuada Ultricies","alias":"malesuada-ultricies","introtext":"<p><strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum.<\\/strong><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar. Fusce felis ante, pulvinar ac metus et, adipiscing consequat lectus. Integer quam nibh, varius nec lacus elementum, bibendum posuere ante. Mauris vehicula.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 12:47:02","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 12:46:54","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(112,102,1,'','2014-05-15 12:47:19',56,6907,'40528337db1d577999d11f8a8ecc40479bb3a494','{"id":102,"asset_id":299,"title":"Nunc Placerat Egestas","alias":"nunc-placerat-egestas","introtext":"<p><strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum.<\\/strong><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar. Fusce felis ante, pulvinar ac metus et, adipiscing consequat lectus. Integer quam nibh, varius nec lacus elementum, bibendum posuere ante. Mauris vehicula.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":0,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 12:47:02","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2014-05-15 12:44:15","publish_down":"","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(113,102,1,'','2014-05-15 12:47:23',56,6945,'34bac2533a445181d28b2051d2832213d112379b','{"id":102,"asset_id":"299","title":"Nunc Placerat Egestas","alias":"nunc-placerat-egestas","introtext":"<p><strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum.<\\/strong><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar. Fusce felis ante, pulvinar ac metus et, adipiscing consequat lectus. Integer quam nibh, varius nec lacus elementum, bibendum posuere ante. Mauris vehicula.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 12:47:23","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 12:47:19","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(114,103,1,'','2014-05-15 12:47:53',56,6901,'1edb9d75b90a16aa72add1edc2ee7b74e9bb70b4','{"id":103,"asset_id":301,"title":"Quisque Vestibulum","alias":"quisque-vestibulum","introtext":"<p><strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum.<\\/strong><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar. Fusce felis ante, pulvinar ac metus et, adipiscing consequat lectus. Integer quam nibh, varius nec lacus elementum, bibendum posuere ante. Mauris vehicula.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":0,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 12:46:28","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2014-05-15 12:44:15","publish_down":"","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(115,103,1,'','2014-05-15 12:47:59',56,6939,'432f930bee332597b3460d4e9f2b7b5749a5d326','{"id":103,"asset_id":"301","title":"Quisque Vestibulum","alias":"quisque-vestibulum","introtext":"<p><strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum.<\\/strong><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar. Fusce felis ante, pulvinar ac metus et, adipiscing consequat lectus. Integer quam nibh, varius nec lacus elementum, bibendum posuere ante. Mauris vehicula.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 12:47:59","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 12:47:53","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(116,96,1,'','2014-05-15 13:02:22',56,6955,'1fe5cbf5cc50aff3afd97708472b4f536e9fe816','{"id":96,"asset_id":"287","title":"Lorem Ipsum","alias":"lorem-ipsum","introtext":"<p><strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum.<\\/strong><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar. Fusce felis ante, pulvinar ac metus et, adipiscing consequat lectus. Integer quam nibh, varius nec lacus elementum, bibendum posuere ante. Mauris vehicula.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:02:22","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:02:07","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"7","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(117,96,1,'','2014-05-15 13:05:31',56,6651,'950d97b74a512879323b52b7ba6c1354e6740535','{"id":96,"asset_id":"287","title":"Lorem Ipsum","alias":"lorem-ipsum","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>t enim ad minim veniam, quis nostrud exercitation ullamco laboris www.joomla-monster.com nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:05:31","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:02:22","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"7","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(118,96,1,'','2014-05-15 13:06:56',56,6642,'1b88741e5a2929a5564723ea64b2b173b05b6cda','{"id":96,"asset_id":"287","title":"Lorem Ipsum","alias":"lorem-ipsum","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>t enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:06:56","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:05:31","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"7","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(119,99,1,'','2014-05-15 13:07:16',56,6650,'ba2828fdd364f090179b2552cac37593ab50b3f8','{"id":99,"asset_id":"293","title":"Aliquam Feugiat","alias":"aliquam-feugiat","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>t enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:07:16","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:07:00","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"4","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(120,97,1,'','2014-05-15 13:07:32',56,6660,'7c430a1df226a4ec8c9e3d93b097b2382f8366a7','{"id":97,"asset_id":"289","title":"Consectetur Adipiscing","alias":"consectetur-adipiscing","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>t enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:07:32","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:07:19","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"6","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(121,97,1,'','2014-05-15 13:07:41',56,6664,'ca7ccc961dad03fef2ee0aab25f17d8bf2bf8b11','{"id":97,"asset_id":"289","title":"Consectetur Adipiscing","alias":"consectetur-adipiscing","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>t enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:07:41","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:07:35","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"6","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(122,101,1,'','2014-05-15 13:07:59',56,6659,'bf431d2a548cf2b5137d6e666c50b427dfd15fad','{"id":101,"asset_id":"297","title":"Malesuada Ultricies","alias":"malesuada-ultricies","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>t enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:07:59","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:07:45","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(123,98,1,'','2014-05-15 13:08:20',56,6654,'dc4f07b86cb05f9ce37184dc2cc41552946d6308','{"id":98,"asset_id":"291","title":"Nulla Scelerisque","alias":"nulla-scelerisque","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>t enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:08:20","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:08:03","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"5","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(124,98,1,'','2014-05-15 13:08:54',56,6655,'b18b311a0f21b7d4f8eff9f2ec1add5b7dcba50b','{"id":98,"asset_id":"291","title":"Nulla Scelerisque","alias":"nulla-scelerisque","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:08:54","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:08:44","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"5","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(125,99,1,'','2014-05-15 13:09:02',56,6651,'68c545daee2a16e7782b9bc4b28711950ade5b5e','{"id":99,"asset_id":"293","title":"Aliquam Feugiat","alias":"aliquam-feugiat","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:09:02","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:08:40","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"4","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(126,97,1,'','2014-05-15 13:09:08',56,6665,'2f6b8ff9b5f216998b4b491bfe34368344100068','{"id":97,"asset_id":"289","title":"Consectetur Adipiscing","alias":"consectetur-adipiscing","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:09:08","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:08:41","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"6","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(127,101,1,'','2014-05-15 13:09:27',56,6660,'46b68a3a07f94e750d1b77e0235c056926e562fa','{"id":101,"asset_id":"297","title":"Malesuada Ultricies","alias":"malesuada-ultricies","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:09:27","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:09:18","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(128,96,1,'','2014-05-15 13:10:09',56,6643,'712d25dd23eb174cce5ff380db9bad0a6f0169e6','{"id":96,"asset_id":"287","title":"Lorem Ipsum","alias":"lorem-ipsum","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:10:09","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:10:01","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"7","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(129,100,1,'','2014-05-15 13:10:30',56,6656,'04d004e8cd09270ecab72ada337a585edb30ee91','{"id":100,"asset_id":"295","title":"Praesent Vehicula","alias":"praesent-vehicula","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:10:30","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:10:02","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(130,103,1,'','2014-05-15 13:10:51',56,6658,'36828c5837fea9fa3eba0936f5f0e0cd53ed8210','{"id":103,"asset_id":"301","title":"Quisque Vestibulum","alias":"quisque-vestibulum","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:10:51","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:10:34","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(131,102,1,'','2014-05-15 13:11:28',56,6664,'3e0d3ab9987726dcff139ad8d0aa5c3716946d75','{"id":102,"asset_id":"299","title":"Nunc Placerat Egestas","alias":"nunc-placerat-egestas","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"83","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:11:28","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:11:11","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(132,11,10,'','2014-05-15 13:18:57',56,552,'764c9075b2aecbb47b8c6fdfa34aa149fef52b13','{"id":11,"parent_id":"1","lft":"11","rgt":12,"level":1,"path":"nec","title":"nec","alias":"nec","note":"","description":null,"published":1,"checked_out":"0","checked_out_time":"0000-00-00 00:00:00","access":1,"params":null,"metadesc":null,"metakey":null,"metadata":null,"created_user_id":"164","created_time":"2014-05-15 13:18:57","created_by_alias":"","modified_user_id":"0","modified_time":"0000-00-00 00:00:00","images":null,"urls":null,"hits":"0","language":"*","version":"1","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00"}',0),
(133,12,10,'','2014-05-15 13:18:57',56,555,'47d0582c0d2560ce66be7b1257c414a53fb2bec5','{"id":12,"parent_id":"1","lft":"13","rgt":14,"level":1,"path":"quis","title":"quis","alias":"quis","note":"","description":null,"published":1,"checked_out":"0","checked_out_time":"0000-00-00 00:00:00","access":1,"params":null,"metadesc":null,"metakey":null,"metadata":null,"created_user_id":"164","created_time":"2014-05-15 13:18:57","created_by_alias":"","modified_user_id":"0","modified_time":"0000-00-00 00:00:00","images":null,"urls":null,"hits":"0","language":"*","version":"1","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00"}',0),
(134,104,1,'','2014-05-15 13:41:19',56,6610,'73f6137ad3aed09db386793c009ae7ceaf47f115','{"id":104,"asset_id":305,"title":"Cras Eleifend","alias":"cras-eleifend","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":0,"catid":"83","created":"2013-12-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:10:51","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2013-12-15 12:44:15","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(135,105,1,'','2014-05-15 13:41:59',56,6612,'72a594925e0ca64b8134425619e3662d2800de20','{"id":105,"asset_id":307,"title":"Fusce Eu Risus","alias":"fusce-eu-risus","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":0,"catid":"83","created":"2014-01-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:10:51","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2014-01-15 12:44:15","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(136,105,1,'','2014-05-15 13:42:05',56,6650,'b09db5e50d2900b25d080a59147110ac7ff67fde','{"id":105,"asset_id":"307","title":"Fusce Eu Risus","alias":"fusce-eu-risus","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"83","created":"2014-01-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:42:05","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:41:59","publish_up":"2014-01-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(137,106,1,'','2014-05-15 13:42:26',56,6624,'9b8958be560c597675ffde8fee0e15f2c80c9a83','{"id":106,"asset_id":309,"title":"Pretium Pellentesque","alias":"pretium-pellentesque","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":0,"catid":"83","created":"2014-02-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:42:05","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2014-02-15 12:44:15","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(138,106,1,'','2014-05-15 13:42:34',56,6662,'85923302e40fe73a096cb26cc39ff854a2aee93f','{"id":106,"asset_id":"309","title":"Pretium Pellentesque","alias":"pretium-pellentesque","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"83","created":"2014-02-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:42:34","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:42:26","publish_up":"2014-02-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(139,107,1,'','2014-05-15 13:42:55',56,6618,'ace1773dccb42ba625631a2531239ab7c3fc7a95','{"id":107,"asset_id":311,"title":"Volutpat Vehicula","alias":"volutpat-vehicula","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":0,"catid":"83","created":"2014-03-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:42:34","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2014-03-15 12:44:15","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(140,107,1,'','2014-05-15 13:43:01',56,6656,'95e812cf6e8993e2ea248a51a70aa173afc9a053','{"id":107,"asset_id":"311","title":"Volutpat Vehicula","alias":"volutpat-vehicula","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"83","created":"2014-03-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:43:01","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:42:55","publish_up":"2014-03-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(141,108,1,'','2014-05-15 13:43:38',56,6608,'d8239b0491e43f645af153340a773562b15a3707','{"id":108,"asset_id":313,"title":"Auctor Justo","alias":"auctor-justo","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":0,"catid":"83","created":"2014-04-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:43:18","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2014-04-15 12:44:15","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(142,108,1,'','2014-05-15 13:43:44',56,6646,'14a4f50f5b137c2ffa1968211f686bf871b2b63a','{"id":108,"asset_id":"313","title":"Auctor Justo","alias":"auctor-justo","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"83","created":"2014-04-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:43:44","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:43:38","publish_up":"2014-04-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(143,84,6,'','2014-05-15 13:46:25',56,536,'a6f8b76d42be12b61bc8730be2bb2e176725e126','{"id":84,"asset_id":315,"parent_id":"83","lft":"146","rgt":147,"level":2,"path":null,"extension":"com_content","title":"Blog Category 1","alias":"blog-category-1","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"164","created_time":"2014-05-15 13:46:25","modified_user_id":null,"modified_time":null,"hits":"0","language":"*","version":null}',0),
(144,85,6,'','2014-05-15 13:46:29',56,538,'ab3799391f9b73035137f90feee2c0ed69eeb2b2','{"id":85,"asset_id":316,"parent_id":"83","lft":"148","rgt":149,"level":2,"path":null,"extension":"com_content","title":"Blog Category 2 (2)","alias":"blog-category-2","note":"","description":"","published":0,"checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"164","created_time":"2014-05-15 13:46:29","modified_user_id":null,"modified_time":null,"hits":"0","language":"*","version":null}',0);
INSERT INTO `#__ucm_history` VALUES 
(145,85,6,'','2014-05-15 13:46:36',56,596,'ffa7c448ed272822e4f613d33742258cb58aa9d6','{"id":85,"asset_id":"316","parent_id":"83","lft":"148","rgt":"149","level":"2","path":"blog\\/blog-category-2","extension":"com_content","title":"Blog Category 2","alias":"blog-category-2","note":"","description":"","published":"1","checked_out":"164","checked_out_time":"2014-05-15 13:46:29","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"164","created_time":"2014-05-15 13:46:29","modified_user_id":"164","modified_time":"2014-05-15 13:46:36","hits":"0","language":"*","version":"1"}',0),
(146,86,6,'','2014-05-15 13:46:41',56,538,'bcf54a888536eebe81efd73fdb152c75d2c076e6','{"id":86,"asset_id":317,"parent_id":"83","lft":"150","rgt":151,"level":2,"path":null,"extension":"com_content","title":"Blog Category 3 (2)","alias":"blog-category-3","note":"","description":"","published":0,"checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"164","created_time":"2014-05-15 13:46:41","modified_user_id":null,"modified_time":null,"hits":"0","language":"*","version":null}',0),
(147,86,6,'','2014-05-15 13:46:47',56,596,'656cf2544934d9ce9d4fe8a21fa7adfea1b5bfff','{"id":86,"asset_id":"317","parent_id":"83","lft":"150","rgt":"151","level":"2","path":"blog\\/blog-category-3","extension":"com_content","title":"Blog Category 3","alias":"blog-category-3","note":"","description":"","published":"1","checked_out":"164","checked_out_time":"2014-05-15 13:46:41","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"164","created_time":"2014-05-15 13:46:41","modified_user_id":"164","modified_time":"2014-05-15 13:46:47","hits":"0","language":"*","version":"1"}',0),
(148,87,6,'','2014-05-15 13:46:53',56,538,'47ddb7aff9932243fc5485c082f2fd8e3506a4d3','{"id":87,"asset_id":318,"parent_id":"83","lft":"152","rgt":153,"level":2,"path":null,"extension":"com_content","title":"Blog Category 4 (2)","alias":"blog-category-4","note":"","description":"","published":0,"checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"164","created_time":"2014-05-15 13:46:53","modified_user_id":null,"modified_time":null,"hits":"0","language":"*","version":null}',0),
(149,87,6,'','2014-05-15 13:46:59',56,596,'83ecdd52f302d36a4d5702d2d9d591baa0dfa72f','{"id":87,"asset_id":"318","parent_id":"83","lft":"152","rgt":"153","level":"2","path":"blog\\/blog-category-4","extension":"com_content","title":"Blog Category 4","alias":"blog-category-4","note":"","description":"","published":"1","checked_out":"164","checked_out_time":"2014-05-15 13:46:53","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"164","created_time":"2014-05-15 13:46:53","modified_user_id":"164","modified_time":"2014-05-15 13:46:59","hits":"0","language":"*","version":"1"}',0),
(150,87,6,'','2014-05-15 13:48:35',56,661,'dddd2a54c6441a3314cc6eeec402d282bca48893','{"id":87,"asset_id":"318","parent_id":"83","lft":"152","rgt":"153","level":"2","path":"blog\\/blog-category-4","extension":"com_content","title":"Blog Category 4","alias":"blog-category-4","note":"","description":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit.<\\/p>","published":"1","checked_out":"164","checked_out_time":"2014-05-15 13:46:59","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"164","created_time":"2014-05-15 13:46:53","modified_user_id":"164","modified_time":"2014-05-15 13:48:35","hits":"0","language":"*","version":"1"}',0),
(151,87,6,'','2014-05-15 13:49:16',56,677,'7aefae3cc9daa0a0339524789c49e3fa246c16a4','{"id":87,"asset_id":"318","parent_id":"83","lft":"152","rgt":"153","level":"2","path":"blog\\/blog-category-4","extension":"com_content","title":"Blog Category 4","alias":"blog-category-4","note":"","description":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod.<\\/p>","published":"1","checked_out":"164","checked_out_time":"2014-05-15 13:49:09","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"164","created_time":"2014-05-15 13:46:53","modified_user_id":"164","modified_time":"2014-05-15 13:49:16","hits":"0","language":"*","version":"1"}',0),
(152,84,6,'','2014-05-15 13:49:39',56,677,'57afa737e13f1c5a7db07ed315ee0b62ef22719e','{"id":84,"asset_id":"315","parent_id":"83","lft":"146","rgt":"147","level":"2","path":"blog\\/blog-category-1","extension":"com_content","title":"Blog Category 1","alias":"blog-category-1","note":"","description":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod.<\\/p>","published":"1","checked_out":"164","checked_out_time":"2014-05-15 13:49:35","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"164","created_time":"2014-05-15 13:46:25","modified_user_id":"164","modified_time":"2014-05-15 13:49:39","hits":"0","language":"*","version":"1"}',0),
(153,85,6,'','2014-05-15 13:49:49',56,677,'139bb771eec86e365a38ceb80c30b4cb80fda296','{"id":85,"asset_id":"316","parent_id":"83","lft":"148","rgt":"149","level":"2","path":"blog\\/blog-category-2","extension":"com_content","title":"Blog Category 2","alias":"blog-category-2","note":"","description":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod.<\\/p>","published":"1","checked_out":"164","checked_out_time":"2014-05-15 13:49:45","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"164","created_time":"2014-05-15 13:46:29","modified_user_id":"164","modified_time":"2014-05-15 13:49:49","hits":"0","language":"*","version":"1"}',0),
(154,86,6,'','2014-05-15 13:49:56',56,677,'951792b8fd8237b50fcbb50470095ef8c13eeef1','{"id":86,"asset_id":"317","parent_id":"83","lft":"150","rgt":"151","level":"2","path":"blog\\/blog-category-3","extension":"com_content","title":"Blog Category 3","alias":"blog-category-3","note":"","description":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod.<\\/p>","published":"1","checked_out":"164","checked_out_time":"2014-05-15 13:49:52","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"164","created_time":"2014-05-15 13:46:41","modified_user_id":"164","modified_time":"2014-05-15 13:49:56","hits":"0","language":"*","version":"1"}',0),
(155,96,1,'','2014-05-15 13:51:39',56,6644,'8e008fe0670688f23319f723df23676a4c889558','{"id":96,"asset_id":"287","title":"Lorem Ipsum","alias":"lorem-ipsum","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"84","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:51:39","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:51:32","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":7,"ordering":"12","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(156,99,1,'','2014-05-15 13:51:52',56,6651,'0f07ea266dd1fe15e35bc8025ef98e612655e173','{"id":99,"asset_id":"293","title":"Aliquam Feugiat","alias":"aliquam-feugiat","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"85","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:51:52","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:51:45","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"9","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(157,97,1,'','2014-05-15 13:52:01',56,6666,'2083d193025caf9eff08d679599d0e67fdc34de7','{"id":97,"asset_id":"289","title":"Consectetur Adipiscing","alias":"consectetur-adipiscing","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"86","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:52:01","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:51:55","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"11","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(158,101,1,'','2014-05-15 13:52:12',56,6660,'f5cd34126b2fa01af02017437cf060ea565a6c1c','{"id":101,"asset_id":"297","title":"Malesuada Ultricies","alias":"malesuada-ultricies","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"87","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:52:12","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:52:06","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"7","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(159,102,1,'','2014-05-15 13:52:20',56,6664,'23659cc4e1eb8ec24a556daccd08328f39668609','{"id":102,"asset_id":"299","title":"Nunc Placerat Egestas","alias":"nunc-placerat-egestas","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"84","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:52:20","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:52:15","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"6","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(160,98,1,'','2014-05-15 13:52:29',56,6656,'90b8e6736fe5cd15a7b6c95b84c63548e88c5ce7','{"id":98,"asset_id":"291","title":"Nulla Scelerisque","alias":"nulla-scelerisque","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"85","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:52:29","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:52:24","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"10","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(161,100,1,'','2014-05-15 13:52:44',56,6656,'cd3c4e2a001d2a717f4459600313fa5a6a55a85e','{"id":100,"asset_id":"295","title":"Praesent Vehicula","alias":"praesent-vehicula","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"86","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:52:44","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:52:39","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"8","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(162,103,1,'','2014-05-15 13:52:55',56,6658,'975872b77fc4c87dad63fae8b5cbea46aa884a29','{"id":103,"asset_id":"301","title":"Quisque Vestibulum","alias":"quisque-vestibulum","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"87","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:52:55","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 13:52:48","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"5","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(163,88,6,'','2014-05-15 14:00:02',56,523,'25bd5ea771c4ee137377fc064d2dbfab95880cd0','{"id":88,"asset_id":320,"parent_id":"1","lft":"155","rgt":156,"level":1,"path":null,"extension":"com_content","title":"Newsflash","alias":"newsflash","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"164","created_time":"2014-05-15 14:00:02","modified_user_id":null,"modified_time":null,"hits":"0","language":"*","version":null}',0),
(164,109,1,'','2014-05-15 14:00:33',56,6606,'0baf7fd05a1118ff33e515995d266f46be2651f5','{"id":109,"asset_id":321,"title":"Lorem Ipsum","alias":"lorem-ipsum","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":0,"catid":"88","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:51:39","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2014-05-15 12:44:15","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(165,109,1,'','2014-05-15 14:00:41',56,6644,'c157b7e10b1f16304958f277938832a75ad88004','{"id":109,"asset_id":"321","title":"Lorem Ipsum","alias":"lorem-ipsum","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"88","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:00:41","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:00:33","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(166,110,1,'','2014-05-15 14:01:02',56,6606,'4d3644377c5c2471e367cba74ea5dfab59ec3dd6','{"id":110,"asset_id":323,"title":"Praesent Vehicula (2)","alias":"praesent-vehicula-2","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":0,"catid":"86","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 13:52:44","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2014-05-15 12:44:15","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(167,110,1,'','2014-05-15 14:01:15',56,6638,'939d5c643dc49f12bacccf2d54d4fa3afb9700c8','{"id":110,"asset_id":"323","title":"Praesent Vehicula","alias":"praesent-vehicula","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"88","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:01:15","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:01:02","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(168,96,1,'','2014-05-15 14:01:31',56,6626,'e84f9258ce980d2bf2fe8d5e8f91770285ba243e','{"id":96,"asset_id":"287","title":"Lorem Ipsum","alias":"lorem-ipsum","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"84","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:01:31","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:01:23","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":8,"ordering":"12","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(169,97,1,'','2014-05-15 14:01:45',56,6647,'27a77c2c0ce163e8cdad638c53e8efdbf7a46eee','{"id":97,"asset_id":"289","title":"Consectetur Adipiscing","alias":"consectetur-adipiscing","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"86","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:01:45","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:01:34","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":7,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(170,102,1,'','2014-05-15 14:02:02',56,6646,'69e7dc719a8a863d1cd2706ddf04b5a354fa608b','{"id":102,"asset_id":"299","title":"Nunc Placerat Egestas","alias":"nunc-placerat-egestas","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"84","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:02:02","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:01:52","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"6","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(171,98,1,'','2014-05-15 14:02:14',56,6638,'de5bc1c1fe0f066f3fa65e05b3e4c04f78c2d584','{"id":98,"asset_id":"291","title":"Nulla Scelerisque","alias":"nulla-scelerisque","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"85","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:02:14","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:02:06","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"10","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(172,99,1,'','2014-05-15 14:02:26',56,6633,'5d645e456460cda010fb1633d411d4651bf8ac48','{"id":99,"asset_id":"293","title":"Aliquam Feugiat","alias":"aliquam-feugiat","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"85","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:02:26","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:02:17","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":7,"ordering":"9","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(173,100,1,'','2014-05-15 14:02:47',56,6638,'091be793b2a6304e83a1f2da13cfcad6a609f187','{"id":100,"asset_id":"295","title":"Praesent Vehicula","alias":"praesent-vehicula","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"86","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:02:47","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:02:39","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(174,101,1,'','2014-05-15 14:03:08',56,6642,'8de1d2bea425630fd22d530b2c1317ddd7efc3e6','{"id":101,"asset_id":"297","title":"Malesuada Ultricies","alias":"malesuada-ultricies","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"87","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:03:08","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:02:59","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"7","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(175,103,1,'','2014-05-15 14:03:20',56,6640,'bf64a6a201049fbbae460ac2f268bd91f54d5b10','{"id":103,"asset_id":"301","title":"Quisque Vestibulum","alias":"quisque-vestibulum","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"87","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:03:20","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:03:12","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"5","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(176,109,1,'','2014-05-15 14:06:07',56,6582,'d9eb1e4f7e62b4dc9b2e9f42566b42a87b42ac0f','{"id":109,"asset_id":"321","title":"Lorem Ipsum","alias":"lorem-ipsum","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"88","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:06:07","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:05:53","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(177,110,1,'','2014-05-15 14:06:22',56,6594,'ce832eb399602e661485d27fa89b99953d4f7dfb','{"id":110,"asset_id":"323","title":"Praesent Vehicula","alias":"praesent-vehicula","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"88","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:06:22","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:06:10","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(178,108,1,'','2014-05-15 14:08:03',56,6591,'2959a9a80b535b975b723298e30469958548ac04','{"id":108,"asset_id":"313","title":"Auctor Justo","alias":"auctor-justo","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":2,"catid":"83","created":"2014-04-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:08:03","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:06:43","publish_up":"2014-04-15 12:44:15","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(179,107,1,'','2014-05-15 14:08:15',56,6601,'f0c74d7131f3172fac869f9d3de44072abd59d67','{"id":107,"asset_id":"311","title":"Volutpat Vehicula","alias":"volutpat-vehicula","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":2,"catid":"83","created":"2014-03-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:08:15","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:06:43","publish_up":"2014-03-15 12:44:15","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(180,106,1,'','2014-05-15 14:08:30',56,6607,'f253d99d5a859d2ac5bcdc7e5d1100b75d4ff4fa','{"id":106,"asset_id":"309","title":"Pretium Pellentesque","alias":"pretium-pellentesque","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":2,"catid":"83","created":"2014-02-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:08:30","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:06:42","publish_up":"2014-02-15 12:44:15","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(181,105,1,'','2014-05-15 14:08:43',56,6595,'0583bd821f15eae0eebaec7281a49e17eb9180de','{"id":105,"asset_id":"307","title":"Fusce Eu Risus","alias":"fusce-eu-risus","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":2,"catid":"83","created":"2014-01-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:08:43","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:06:41","publish_up":"2014-01-15 12:44:15","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(182,104,1,'','2014-05-15 14:08:54',56,6593,'82c925705454c40f2a13e0536234015ae9f6add0','{"id":104,"asset_id":"305","title":"Cras Eleifend","alias":"cras-eleifend","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":2,"catid":"83","created":"2013-12-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:08:54","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:06:40","publish_up":"2013-12-15 12:44:15","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"4","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(183,96,1,'','2014-05-15 14:09:36',56,6608,'c84192295ffcac7c41be6b0d4a81da7705385162','{"id":96,"asset_id":"287","title":"Lorem Ipsum","alias":"lorem-ipsum","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"84","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:09:36","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:09:19","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":9,"ordering":"12","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(184,102,1,'','2014-05-15 14:09:46',56,6628,'88d962a03529c5997edcff342aa3cfceca864ab2','{"id":102,"asset_id":"299","title":"Nunc Placerat Egestas","alias":"nunc-placerat-egestas","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"84","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:09:46","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:09:20","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"6","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(185,99,1,'','2014-05-15 14:10:02',56,6615,'4266beafab3a7489dc4955edcbcf1b908b8e2912','{"id":99,"asset_id":"293","title":"Aliquam Feugiat","alias":"aliquam-feugiat","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"85","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:10:02","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:09:21","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":8,"ordering":"9","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(186,97,1,'','2014-05-15 14:10:12',56,6629,'1b03cfbf6f2d2206b2a30ebf9607856524494e4b','{"id":97,"asset_id":"289","title":"Consectetur Adipiscing","alias":"consectetur-adipiscing","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"86","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:10:12","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:09:23","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":8,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(187,100,1,'','2014-05-15 14:10:22',56,6620,'a0a68680fef9a26fd94802aab9f15d978f65ece0','{"id":100,"asset_id":"295","title":"Praesent Vehicula","alias":"praesent-vehicula","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"86","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:10:22","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:09:24","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(188,101,1,'','2014-05-15 14:10:31',56,6624,'bfa8735d11a4ba38ed84d635e646cced9e6c444f','{"id":101,"asset_id":"297","title":"Malesuada Ultricies","alias":"malesuada-ultricies","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"87","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:10:31","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:09:25","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":7,"ordering":"7","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(189,103,1,'','2014-05-15 14:10:42',56,6622,'e4dffefc3abf396b1da2b37e5bc5530f92c1a839','{"id":103,"asset_id":"301","title":"Quisque Vestibulum","alias":"quisque-vestibulum","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"87","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:10:42","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:09:26","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"5","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(190,98,1,'','2014-05-15 14:12:25',56,6620,'8f17110f0dd3999c3028e0a22be8a9a19d94ced3','{"id":98,"asset_id":"291","title":"Nulla Scelerisque","alias":"nulla-scelerisque","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"85","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:12:25","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:12:15","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"10","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(191,109,1,'','2014-05-15 14:12:45',56,6564,'eb25e2e4ebdfa6c1db30289bc553c95e938342a9','{"id":109,"asset_id":"321","title":"Lorem Ipsum","alias":"lorem-ipsum","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"88","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:12:45","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:12:36","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"2","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(192,110,1,'','2014-05-15 14:12:57',56,6576,'693fae310e798a838309af9f1b96338533dee697','{"id":110,"asset_id":"323","title":"Praesent Vehicula","alias":"praesent-vehicula","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"88","created":"2014-05-15 12:44:15","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:12:57","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:12:48","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(193,89,7,'','2014-05-15 14:24:12',56,537,'5c9b725d5abc31a54fb4951e00e520c8f50062ea','{"id":89,"asset_id":326,"parent_id":"1","lft":"157","rgt":158,"level":1,"path":null,"extension":"com_contact","title":"Contact Category","alias":"contact-category","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"164","created_time":"2014-05-15 14:24:12","modified_user_id":null,"modified_time":null,"hits":"0","language":"*","version":null}',0),
(194,9,3,'','2014-05-15 14:25:32',56,1659,'15ecb21e1b5e9d43d845b3334401b921d57afea9','{"id":9,"name":"Contact","alias":"contact","con_position":"","address":"","suburb":"Peterborough","state":"","country":"United Kingdom","postcode":"","telephone":"","fax":"","misc":"","image":"","email_to":"templates@joomla-monster.com","default_con":0,"published":"1","checked_out":null,"checked_out_time":null,"ordering":3,"params":"{\\"show_contact_category\\":\\"hide\\",\\"show_contact_list\\":\\"0\\",\\"presentation_style\\":\\"plain\\",\\"show_tags\\":\\"0\\",\\"show_name\\":\\"\\",\\"show_position\\":\\"\\",\\"show_email\\":\\"\\",\\"show_street_address\\":\\"\\",\\"show_suburb\\":\\"\\",\\"show_state\\":\\"\\",\\"show_postcode\\":\\"\\",\\"show_country\\":\\"\\",\\"show_telephone\\":\\"\\",\\"show_mobile\\":\\"\\",\\"show_fax\\":\\"\\",\\"show_webpage\\":\\"\\",\\"show_misc\\":\\"\\",\\"show_image\\":\\"\\",\\"allow_vcard\\":\\"\\",\\"show_articles\\":\\"\\",\\"show_profile\\":\\"\\",\\"show_links\\":\\"\\",\\"linka_name\\":\\"\\",\\"linka\\":false,\\"linkb_name\\":\\"\\",\\"linkb\\":false,\\"linkc_name\\":\\"\\",\\"linkc\\":false,\\"linkd_name\\":\\"\\",\\"linkd\\":false,\\"linke_name\\":\\"\\",\\"linke\\":\\"\\",\\"contact_layout\\":\\"\\",\\"show_email_form\\":\\"\\",\\"show_email_copy\\":\\"\\",\\"banned_email\\":\\"\\",\\"banned_subject\\":\\"\\",\\"banned_text\\":\\"\\",\\"validate_session\\":\\"\\",\\"custom_reply\\":\\"\\",\\"redirect\\":\\"\\"}","user_id":"0","catid":"89","access":"1","mobile":"","webpage":"","sortname1":"","sortname2":"","sortname3":"","language":"*","created":"2014-05-15 14:25:32","created_by":"164","created_by_alias":"","modified":"","modified_by":null,"metakey":"","metadesc":"","metadata":"{\\"robots\\":\\"\\",\\"rights\\":\\"\\"}","featured":"0","xreference":"","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00","version":1,"hits":null}',0);
INSERT INTO `#__ucm_history` VALUES 
(195,9,3,'','2014-05-15 14:28:30',56,1729,'cf7953b7e8674da31cd1e303549d34a885fb6d4a','{"id":9,"name":"Contact","alias":"contact","con_position":"","address":"7 Green Lane","suburb":"Peterborough","state":"","country":"United Kingdom","postcode":"PE13BA","telephone":"0 123 456 789","fax":"","misc":"","image":"","email_to":"templates@joomla-monster.com","default_con":0,"published":"1","checked_out":"164","checked_out_time":"2014-05-15 14:26:56","ordering":"3","params":"{\\"show_contact_category\\":\\"hide\\",\\"show_contact_list\\":\\"0\\",\\"presentation_style\\":\\"plain\\",\\"show_tags\\":\\"0\\",\\"show_name\\":\\"\\",\\"show_position\\":\\"\\",\\"show_email\\":\\"\\",\\"show_street_address\\":\\"\\",\\"show_suburb\\":\\"\\",\\"show_state\\":\\"\\",\\"show_postcode\\":\\"\\",\\"show_country\\":\\"\\",\\"show_telephone\\":\\"\\",\\"show_mobile\\":\\"\\",\\"show_fax\\":\\"\\",\\"show_webpage\\":\\"\\",\\"show_misc\\":\\"\\",\\"show_image\\":\\"\\",\\"allow_vcard\\":\\"\\",\\"show_articles\\":\\"\\",\\"show_profile\\":\\"\\",\\"show_links\\":\\"\\",\\"linka_name\\":\\"\\",\\"linka\\":false,\\"linkb_name\\":\\"\\",\\"linkb\\":false,\\"linkc_name\\":\\"\\",\\"linkc\\":false,\\"linkd_name\\":\\"\\",\\"linkd\\":false,\\"linke_name\\":\\"\\",\\"linke\\":\\"\\",\\"contact_layout\\":\\"\\",\\"show_email_form\\":\\"\\",\\"show_email_copy\\":\\"\\",\\"banned_email\\":\\"\\",\\"banned_subject\\":\\"\\",\\"banned_text\\":\\"\\",\\"validate_session\\":\\"\\",\\"custom_reply\\":\\"\\",\\"redirect\\":\\"\\"}","user_id":"0","catid":"89","access":"1","mobile":"","webpage":"","sortname1":"","sortname2":"","sortname3":"","language":"*","created":"2014-05-15 14:25:32","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:28:30","modified_by":"164","metakey":"","metadesc":"","metadata":"{\\"robots\\":\\"\\",\\"rights\\":\\"\\"}","featured":"0","xreference":"","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00","version":2,"hits":"1"}',0),
(196,9,3,'','2014-05-15 14:29:19',56,1741,'deec4a018d10fba94ec1abf1a53683d4eaad1e4c','{"id":9,"name":"Contact","alias":"contact","con_position":"","address":"7 Green Lane","suburb":"Peterborough","state":"","country":"United Kingdom","postcode":"PE13BA","telephone":"0 123 456 789","fax":"","misc":"","image":"","email_to":"templates@joomla-monster.com","default_con":0,"published":"1","checked_out":"164","checked_out_time":"2014-05-15 14:28:30","ordering":"3","params":"{\\"show_contact_category\\":\\"hide\\",\\"show_contact_list\\":\\"0\\",\\"presentation_style\\":\\"plain\\",\\"show_tags\\":\\"0\\",\\"show_name\\":\\"0\\",\\"show_position\\":\\"0\\",\\"show_email\\":\\"\\",\\"show_street_address\\":\\"\\",\\"show_suburb\\":\\"\\",\\"show_state\\":\\"0\\",\\"show_postcode\\":\\"\\",\\"show_country\\":\\"\\",\\"show_telephone\\":\\"\\",\\"show_mobile\\":\\"0\\",\\"show_fax\\":\\"0\\",\\"show_webpage\\":\\"0\\",\\"show_misc\\":\\"0\\",\\"show_image\\":\\"0\\",\\"allow_vcard\\":\\"0\\",\\"show_articles\\":\\"0\\",\\"show_profile\\":\\"0\\",\\"show_links\\":\\"0\\",\\"linka_name\\":\\"\\",\\"linka\\":false,\\"linkb_name\\":\\"\\",\\"linkb\\":false,\\"linkc_name\\":\\"\\",\\"linkc\\":false,\\"linkd_name\\":\\"\\",\\"linkd\\":false,\\"linke_name\\":\\"\\",\\"linke\\":\\"\\",\\"contact_layout\\":\\"\\",\\"show_email_form\\":\\"\\",\\"show_email_copy\\":\\"\\",\\"banned_email\\":\\"\\",\\"banned_subject\\":\\"\\",\\"banned_text\\":\\"\\",\\"validate_session\\":\\"\\",\\"custom_reply\\":\\"\\",\\"redirect\\":\\"\\"}","user_id":"0","catid":"89","access":"1","mobile":"","webpage":"","sortname1":"","sortname2":"","sortname3":"","language":"*","created":"2014-05-15 14:25:32","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:29:19","modified_by":"164","metakey":"","metadesc":"","metadata":"{\\"robots\\":\\"\\",\\"rights\\":\\"\\"}","featured":"0","xreference":"","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00","version":3,"hits":"2"}',0),
(197,73,1,'','2014-05-15 14:46:05',56,2938,'aadf194e2bf752835d9cd9da5441e9433d720a8e','{"id":73,"asset_id":"182","title":"Subpage","alias":"subpage","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris. Maecenas eu iaculis tortor, ac volutpat ipsum. In eget lacus erat. Nullam nec magna tellus. Vestibulum rutrum velit et nulla tristique, ac sodales risus tempor. Phasellus sed nisi ut nibh accumsan commodo sed a libero. In ut semper felis, a vestibulum mi. Ut et lacus lectus. Vivamus tempus erat et augue bibendum posuere. In mauris metus, ultrices vel vulputate nec, dictum eget nulla. Etiam ac est metus. Mauris at orci pretium, congue erat vel, vulputate eros. In posuere venenatis lacinia. Mauris aliquam faucibus velit, vitae cursus tellus aliquam vel.<\\/p>\\r\\n<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Vestibulum ullamcorper sapien metus, a pharetra libero tristique eget. Vivamus facilisis erat nec elementum interdum. Suspendisse aliquet eros eu fringilla commodo. Praesent placerat nunc ac massa volutpat rutrum. Morbi non eros pulvinar, interdum quam facilisis, laoreet urna. Aenean mi dui, accumsan quis hendrerit eleifend, ullamcorper in purus.<\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-04-28 14:34:25","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:46:05","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:45:58","publish_up":"2014-04-28 14:34:25","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"540","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(198,73,1,'','2014-05-15 14:46:24',56,2492,'1671c54bc54535b94433cdf4b0a97190d9fb01df','{"id":73,"asset_id":"182","title":"Subpage","alias":"subpage","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris. Maecenas eu iaculis tortor, ac volutpat ipsum. In eget lacus erat. Nullam nec magna tellus. Vestibulum rutrum velit et nulla tristique, ac sodales risus tempor. Phasellus sed nisi ut nibh accumsan commodo sed a libero. In ut semper felis, a vestibulum mi. Ut et lacus lectus. Vivamus tempus erat et augue bibendum posuere. In mauris metus, ultrices vel vulputate nec, dictum eget nulla. Etiam ac est metus. Mauris at orci pretium, congue erat vel, vulputate eros. In posuere venenatis lacinia. Mauris aliquam faucibus velit, vitae cursus tellus aliquam vel.<\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-04-28 14:34:25","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:46:24","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:46:05","publish_up":"2014-04-28 14:34:25","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"541","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(199,73,1,'','2014-05-15 14:46:42',56,2633,'72593f259f8db0511bf412485702f55723f4a6d2','{"id":73,"asset_id":"182","title":"Subpage","alias":"subpage","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris. Maecenas eu iaculis tortor, ac volutpat ipsum. In eget lacus erat. Nullam nec magna tellus. Vestibulum rutrum velit et nulla tristique, ac sodales risus tempor. Phasellus sed nisi ut nibh accumsan commodo sed a libero. In ut semper felis, a vestibulum mi. Ut et lacus lectus. Vivamus tempus erat et augue bibendum posuere. In mauris metus, ultrices vel vulputate nec, dictum eget nulla. Etiam ac est metus. Mauris at orci pretium, congue erat vel, vulputate eros. In posuere venenatis lacinia. Mauris aliquam faucibus velit, vitae cursus tellus aliquam vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor.<\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-04-28 14:34:25","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:46:42","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:46:24","publish_up":"2014-04-28 14:34:25","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"542","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(200,73,1,'','2014-05-15 14:47:05',56,2717,'aa72c136ffb54f245744f3661faa504c540644e2','{"id":73,"asset_id":"182","title":"Subpage","alias":"subpage","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris. Maecenas eu iaculis tortor, ac volutpat ipsum. In eget lacus erat. Nullam nec magna tellus. Vestibulum rutrum velit et nulla tristique, ac sodales risus tempor. Phasellus sed nisi ut nibh accumsan commodo sed a libero. In ut semper felis, a vestibulum mi. Ut et lacus lectus. Vivamus tempus erat et augue bibendum posuere. In mauris metus, ultrices vel vulputate nec, dictum eget nulla. Etiam ac est metus. Mauris at orci pretium, congue erat vel, vulputate eros. In posuere venenatis lacinia. Mauris aliquam faucibus velit, vitae cursus tellus aliquam vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor.<\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-04-28 14:34:25","created_by":"164","created_by_alias":"","modified":"2014-05-15 14:47:05","modified_by":"164","checked_out":"164","checked_out_time":"2014-05-15 14:46:42","publish_up":"2014-04-28 14:34:25","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"543","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(210,111,1,'','2014-06-24 13:38:25',56,6586,'ac7835ce06598e56b5245fa72bce62916f3b24c1','{"id":111,"asset_id":328,"title":"Single Article","alias":"single-article","introtext":"<p><strong>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/strong><\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-06-24 13:38:25","created_by":"800","created_by_alias":"","modified":"","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2014-06-24 13:38:25","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(211,112,1,'','2014-06-24 14:46:59',56,4194,'d611d0cc5d3e205cc6f4f1245e640dbe777a4850','{"id":112,"asset_id":329,"title":"Tabs","alias":"tabs","introtext":"<hr title=\\"Tab 1\\" class=\\"system-pagebreak\\" \\/>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo.<\\/p>\\r\\n<p>Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt. Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat.<\\/p>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<hr title=\\"Tab 2\\" class=\\"system-pagebreak\\" \\/>\\r\\n<p>Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<hr title=\\"Tab 3\\" class=\\"system-pagebreak\\" \\/>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus.<\\/p>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec accumsan.<\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-06-24 14:46:59","created_by":"800","created_by_alias":"","modified":"","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2014-06-24 14:46:59","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(212,10,3,'','2014-06-24 15:03:23',56,1728,'d7185be05adf787855e78596df7774a45efe81a5','{"id":10,"name":"Contact (2)","alias":"contact-2","con_position":"","address":"7 Green Lane","suburb":"Peterborough","state":"","country":"United Kingdom","postcode":"PE13BA","telephone":"0 123 456 789","fax":"","misc":"","image":"","email_to":"templates@joomla-monster.com","default_con":0,"published":0,"checked_out":null,"checked_out_time":null,"ordering":4,"params":"{\\"show_contact_category\\":\\"hide\\",\\"show_contact_list\\":\\"0\\",\\"presentation_style\\":\\"sliders\\",\\"show_tags\\":\\"0\\",\\"show_name\\":\\"0\\",\\"show_position\\":\\"0\\",\\"show_email\\":\\"\\",\\"show_street_address\\":\\"\\",\\"show_suburb\\":\\"\\",\\"show_state\\":\\"0\\",\\"show_postcode\\":\\"\\",\\"show_country\\":\\"\\",\\"show_telephone\\":\\"\\",\\"show_mobile\\":\\"0\\",\\"show_fax\\":\\"0\\",\\"show_webpage\\":\\"0\\",\\"show_misc\\":\\"0\\",\\"show_image\\":\\"0\\",\\"allow_vcard\\":\\"0\\",\\"show_articles\\":\\"0\\",\\"show_profile\\":\\"0\\",\\"show_links\\":\\"0\\",\\"linka_name\\":\\"\\",\\"linka\\":false,\\"linkb_name\\":\\"\\",\\"linkb\\":false,\\"linkc_name\\":\\"\\",\\"linkc\\":false,\\"linkd_name\\":\\"\\",\\"linkd\\":false,\\"linke_name\\":\\"\\",\\"linke\\":\\"\\",\\"contact_layout\\":\\"\\",\\"show_email_form\\":\\"\\",\\"show_email_copy\\":\\"\\",\\"banned_email\\":\\"\\",\\"banned_subject\\":\\"\\",\\"banned_text\\":\\"\\",\\"validate_session\\":\\"\\",\\"custom_reply\\":\\"\\",\\"redirect\\":\\"\\"}","user_id":"0","catid":"89","access":"1","mobile":"","webpage":"","sortname1":"","sortname2":"","sortname3":"","language":"*","created":"2014-06-24 15:03:23","created_by":"800","created_by_alias":"","modified":"2014-05-15 14:29:19","modified_by":null,"metakey":"","metadesc":"","metadata":"{\\"robots\\":\\"\\",\\"rights\\":\\"\\"}","featured":"0","xreference":"","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00","version":1,"hits":null}',0),
(213,10,3,'','2014-06-24 15:05:22',56,1747,'26172430a307594d3710d2ce87a337b82496260c','{"id":10,"name":"Contact 2","alias":"contact-2","con_position":"","address":"7 Green Lane","suburb":"Peterborough","state":"","country":"United Kingdom","postcode":"PE13BA","telephone":"0 123 456 789","fax":"","misc":"","image":"","email_to":"templates@joomla-monster.com","default_con":0,"published":"1","checked_out":"800","checked_out_time":"2014-06-24 15:04:58","ordering":"4","params":"{\\"show_contact_category\\":\\"hide\\",\\"show_contact_list\\":\\"0\\",\\"presentation_style\\":\\"sliders\\",\\"show_tags\\":\\"0\\",\\"show_name\\":\\"0\\",\\"show_position\\":\\"0\\",\\"show_email\\":\\"\\",\\"show_street_address\\":\\"\\",\\"show_suburb\\":\\"\\",\\"show_state\\":\\"0\\",\\"show_postcode\\":\\"\\",\\"show_country\\":\\"\\",\\"show_telephone\\":\\"\\",\\"show_mobile\\":\\"0\\",\\"show_fax\\":\\"0\\",\\"show_webpage\\":\\"0\\",\\"show_misc\\":\\"\\",\\"show_image\\":\\"0\\",\\"allow_vcard\\":\\"0\\",\\"show_articles\\":\\"0\\",\\"show_profile\\":\\"0\\",\\"show_links\\":\\"0\\",\\"linka_name\\":\\"\\",\\"linka\\":false,\\"linkb_name\\":\\"\\",\\"linkb\\":false,\\"linkc_name\\":\\"\\",\\"linkc\\":false,\\"linkd_name\\":\\"\\",\\"linkd\\":false,\\"linke_name\\":\\"\\",\\"linke\\":\\"\\",\\"contact_layout\\":\\"\\",\\"show_email_form\\":\\"\\",\\"show_email_copy\\":\\"\\",\\"banned_email\\":\\"\\",\\"banned_subject\\":\\"\\",\\"banned_text\\":\\"\\",\\"validate_session\\":\\"\\",\\"custom_reply\\":\\"\\",\\"redirect\\":\\"\\"}","user_id":"0","catid":"89","access":"1","mobile":"","webpage":"","sortname1":"","sortname2":"","sortname3":"","language":"*","created":"2014-06-24 15:03:23","created_by":"800","created_by_alias":"","modified":"2014-06-24 15:05:22","modified_by":"800","metakey":"","metadesc":"","metadata":"{\\"robots\\":\\"\\",\\"rights\\":\\"\\"}","featured":"0","xreference":"","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00","version":2,"hits":"1"}',0),
(214,10,3,'','2014-06-24 15:07:02',56,2516,'f7990720b56e02ef8e148819970fc78246d7a9f9','{"id":10,"name":"Contact 2","alias":"contact-2","con_position":"","address":"7 Green Lane","suburb":"Peterborough","state":"","country":"United Kingdom","postcode":"PE13BA","telephone":"0 123 456 789","fax":"","misc":"<p><span class=\\"contact-misc\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar. Fusce felis ante, pulvinar ac metus et, adipiscing consequat lectus. Integer quam nibh, varius nec lacus elementum, bibendum posuere ante. Mauris vehicula, nunc quis aliquet tincidunt, massa arcu eleifend velit, posuere gravida nisl mi et magna.<\\/span><\\/p>","image":"","email_to":"templates@joomla-monster.com","default_con":0,"published":"1","checked_out":"800","checked_out_time":"2014-06-24 15:05:22","ordering":"4","params":"{\\"show_contact_category\\":\\"hide\\",\\"show_contact_list\\":\\"0\\",\\"presentation_style\\":\\"sliders\\",\\"show_tags\\":\\"0\\",\\"show_name\\":\\"0\\",\\"show_position\\":\\"0\\",\\"show_email\\":\\"\\",\\"show_street_address\\":\\"\\",\\"show_suburb\\":\\"\\",\\"show_state\\":\\"0\\",\\"show_postcode\\":\\"\\",\\"show_country\\":\\"\\",\\"show_telephone\\":\\"\\",\\"show_mobile\\":\\"0\\",\\"show_fax\\":\\"0\\",\\"show_webpage\\":\\"0\\",\\"show_misc\\":\\"\\",\\"show_image\\":\\"0\\",\\"allow_vcard\\":\\"0\\",\\"show_articles\\":\\"0\\",\\"show_profile\\":\\"0\\",\\"show_links\\":\\"\\",\\"linka_name\\":\\"Facebook\\",\\"linka\\":\\"https:\\\\\\/\\\\\\/www.facebook.com\\\\\\/JoomlaMonster\\",\\"linkb_name\\":\\"Twitter\\",\\"linkb\\":\\"https:\\\\\\/\\\\\\/twitter.com\\\\\\/Joomlamonster\\",\\"linkc_name\\":\\"Google Plus\\",\\"linkc\\":\\"https:\\\\\\/\\\\\\/plus.google.com\\\\\\/+Joomlamonstercom\\\\\\/posts\\",\\"linkd_name\\":\\"\\",\\"linkd\\":false,\\"linke_name\\":\\"\\",\\"linke\\":\\"\\",\\"contact_layout\\":\\"\\",\\"show_email_form\\":\\"\\",\\"show_email_copy\\":\\"\\",\\"banned_email\\":\\"\\",\\"banned_subject\\":\\"\\",\\"banned_text\\":\\"\\",\\"validate_session\\":\\"\\",\\"custom_reply\\":\\"\\",\\"redirect\\":\\"\\"}","user_id":"0","catid":"89","access":"1","mobile":"","webpage":"","sortname1":"","sortname2":"","sortname3":"","language":"*","created":"2014-06-24 15:03:23","created_by":"800","created_by_alias":"","modified":"2014-06-24 15:07:02","modified_by":"800","metakey":"","metadesc":"","metadata":"{\\"robots\\":\\"\\",\\"rights\\":\\"\\"}","featured":"0","xreference":"","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00","version":3,"hits":"2"}',0),
(215,10,3,'','2014-06-24 15:07:22',56,2517,'a04c11bed9edc58a8ccbd2dc39229568ac9abe0b','{"id":10,"name":"Contact 2","alias":"contact-2","con_position":"","address":"7 Green Lane","suburb":"Peterborough","state":"","country":"United Kingdom","postcode":"PE13BA","telephone":"0 123 456 789","fax":"","misc":"<p><span class=\\"contact-misc\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar. Fusce felis ante, pulvinar ac metus et, adipiscing consequat lectus. Integer quam nibh, varius nec lacus elementum, bibendum posuere ante. Mauris vehicula, nunc quis aliquet tincidunt, massa arcu eleifend velit, posuere gravida nisl mi et magna.<\\/span><\\/p>","image":"","email_to":"templates@joomla-monster.com","default_con":0,"published":"1","checked_out":"800","checked_out_time":"2014-06-24 15:07:02","ordering":"4","params":"{\\"show_contact_category\\":\\"hide\\",\\"show_contact_list\\":\\"0\\",\\"presentation_style\\":\\"sliders\\",\\"show_tags\\":\\"0\\",\\"show_name\\":\\"0\\",\\"show_position\\":\\"0\\",\\"show_email\\":\\"\\",\\"show_street_address\\":\\"\\",\\"show_suburb\\":\\"\\",\\"show_state\\":\\"0\\",\\"show_postcode\\":\\"\\",\\"show_country\\":\\"\\",\\"show_telephone\\":\\"\\",\\"show_mobile\\":\\"0\\",\\"show_fax\\":\\"0\\",\\"show_webpage\\":\\"0\\",\\"show_misc\\":\\"\\",\\"show_image\\":\\"0\\",\\"allow_vcard\\":\\"0\\",\\"show_articles\\":\\"0\\",\\"show_profile\\":\\"0\\",\\"show_links\\":\\"1\\",\\"linka_name\\":\\"Facebook\\",\\"linka\\":\\"https:\\\\\\/\\\\\\/www.facebook.com\\\\\\/JoomlaMonster\\",\\"linkb_name\\":\\"Twitter\\",\\"linkb\\":\\"https:\\\\\\/\\\\\\/twitter.com\\\\\\/Joomlamonster\\",\\"linkc_name\\":\\"Google Plus\\",\\"linkc\\":\\"https:\\\\\\/\\\\\\/plus.google.com\\\\\\/+Joomlamonstercom\\\\\\/posts\\",\\"linkd_name\\":\\"\\",\\"linkd\\":false,\\"linke_name\\":\\"\\",\\"linke\\":\\"\\",\\"contact_layout\\":\\"\\",\\"show_email_form\\":\\"\\",\\"show_email_copy\\":\\"\\",\\"banned_email\\":\\"\\",\\"banned_subject\\":\\"\\",\\"banned_text\\":\\"\\",\\"validate_session\\":\\"\\",\\"custom_reply\\":\\"\\",\\"redirect\\":\\"\\"}","user_id":"0","catid":"89","access":"1","mobile":"","webpage":"","sortname1":"","sortname2":"","sortname3":"","language":"*","created":"2014-06-24 15:03:23","created_by":"800","created_by_alias":"","modified":"2014-06-24 15:07:22","modified_by":"800","metakey":"","metadesc":"","metadata":"{\\"robots\\":\\"\\",\\"rights\\":\\"\\"}","featured":"0","xreference":"","publish_up":"0000-00-00 00:00:00","publish_down":"0000-00-00 00:00:00","version":4,"hits":"3"}',0),
(216,90,6,'','2014-06-24 15:32:40',56,513,'196166fd937b8ef0d9ee7c4c3a5e6f2730cb9064','{"id":90,"asset_id":334,"parent_id":"1","lft":"159","rgt":160,"level":1,"path":null,"extension":"com_content","title":"List","alias":"list","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"800","created_time":"2014-06-24 15:32:40","modified_user_id":null,"modified_time":null,"hits":"0","language":"*","version":null}',0),
(217,113,1,'','2014-06-24 15:33:41',56,6620,'4e0919e0558dbb1badc33f4cd00bda5e0a4befc2','{"id":113,"asset_id":335,"title":"Quisque Vestibulum","alias":"quisque-vestibulum","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":"1","catid":90,"created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-05-15 14:10:42","modified_by":"164","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"6","ordering":"5","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(218,114,1,'','2014-06-24 15:33:41',56,6626,'dabe9c235abcdda3de29784636dabc6ac474647f','{"id":114,"asset_id":337,"title":"Nunc Placerat Egestas","alias":"nunc-placerat-egestas","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":"1","catid":90,"created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-05-15 14:09:46","modified_by":"164","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"6","ordering":"6","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(219,115,1,'','2014-06-24 15:33:41',56,6622,'e947687c110e99a463755f9e089b509cdf3ff92a','{"id":115,"asset_id":339,"title":"Malesuada Ultricies","alias":"malesuada-ultricies","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":"1","catid":90,"created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-05-15 14:10:31","modified_by":"164","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"7","ordering":"7","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(220,116,1,'','2014-06-24 15:33:41',56,6618,'fa5e4b205b243a3b6c105b99e67d34f69a72be5e','{"id":116,"asset_id":341,"title":"Praesent Vehicula","alias":"praesent-vehicula","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":"1","catid":90,"created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-05-15 14:10:22","modified_by":"164","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"6","ordering":"1","metakey":"","metadesc":"","access":"1","hits":"5","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(221,117,1,'','2014-06-24 15:33:41',56,6614,'5ce2485251bcaa6922a850b35a2fac433dde1937','{"id":117,"asset_id":343,"title":"Aliquam Feugiat","alias":"aliquam-feugiat","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":"1","catid":90,"created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-05-15 14:10:02","modified_by":"164","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"8","ordering":"9","metakey":"","metadesc":"","access":"1","hits":"2","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(222,118,1,'','2014-06-24 15:33:41',56,6619,'81223c13b23ffc37e71dbf6de17c64f05bf22ca3','{"id":118,"asset_id":345,"title":"Nulla Scelerisque","alias":"nulla-scelerisque","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":"1","catid":90,"created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-05-15 14:12:25","modified_by":"164","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"6","ordering":"10","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(223,119,1,'','2014-06-24 15:33:41',56,6628,'aeef56d87284139af0552d5b1e12e2ba4e703184','{"id":119,"asset_id":347,"title":"Consectetur Adipiscing","alias":"consectetur-adipiscing","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":"1","catid":90,"created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-05-15 14:10:12","modified_by":"164","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"8","ordering":"2","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(224,120,1,'','2014-06-24 15:33:41',56,6607,'909056da1568a36ca32c5e816881aeacca956dd6','{"id":120,"asset_id":349,"title":"Lorem Ipsum","alias":"lorem-ipsum","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":"1","catid":90,"created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-05-15 14:09:36","modified_by":"164","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"9","ordering":"12","metakey":"","metadesc":"","access":"1","hits":"5","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(225,114,1,'','2014-06-24 16:00:34',56,6612,'c23967683b5ae2011185b8183cfd3f057c800a79','{"id":114,"asset_id":"337","title":"Nunc Placerat","alias":"nunc-placerat","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"90","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-06-24 16:00:34","modified_by":"800","checked_out":"800","checked_out_time":"2014-06-24 16:00:25","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":7,"ordering":"6","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(226,102,1,'','2014-06-24 16:01:13',56,6612,'49d3c3d95904d2ba15f27551bcc457b411388a96','{"id":102,"asset_id":"299","title":"Nunc Placerat","alias":"nunc-placerat","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"84","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-06-24 16:01:13","modified_by":"800","checked_out":"800","checked_out_time":"2014-06-24 16:01:04","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":7,"ordering":"6","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(227,97,1,'','2014-06-24 16:01:56',56,6623,'0b7bd7b2e92de5b1d1d49d76ea4dff817c147f7e','{"id":97,"asset_id":"289","title":"Consectetur Adipisc","alias":"consectetur-adipisc","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"86","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-06-24 16:01:56","modified_by":"800","checked_out":"800","checked_out_time":"2014-06-24 16:01:47","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":9,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(228,119,1,'','2014-06-24 16:02:33',56,6624,'7f4c4b63ce36a99547fb2c95b186f386b6c38afb','{"id":119,"asset_id":"347","title":"Consectetur Adipisc","alias":"consectetur-adipisc","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"90","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-06-24 16:02:33","modified_by":"800","checked_out":"800","checked_out_time":"2014-06-24 16:02:25","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":9,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(230,103,1,'','2014-07-04 10:11:35',56,6622,'60f44cda1759f7d6c65ac32689a3715d4b3da961','{"id":103,"asset_id":"301","title":"Quisque Vestibulum","alias":"quisque-vestibulum","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"87","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-04 10:11:35","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-04 10:11:24","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":7,"ordering":"5","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(231,101,1,'','2014-07-04 10:12:43',56,6624,'5b13850fc517eedb38bdc18012fc17b3f909bb2e','{"id":101,"asset_id":"297","title":"Malesuada Ultricies","alias":"malesuada-ultricies","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"87","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-04 10:12:43","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-04 10:12:35","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":8,"ordering":"7","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(232,100,1,'','2014-07-04 10:13:13',56,6620,'0bfcba8953d793c27b26164037631dcd0202d878','{"id":100,"asset_id":"295","title":"Praesent Vehicula","alias":"praesent-vehicula","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"86","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-04 10:13:13","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-04 10:13:06","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":7,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"5","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(233,99,1,'','2014-07-04 10:13:30',56,6615,'dda9ca1a9dc02688ca5bdb8578330bfbd768bdcd','{"id":99,"asset_id":"293","title":"Aliquam Feugiat","alias":"aliquam-feugiat","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"85","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-04 10:13:30","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-04 10:13:07","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":9,"ordering":"9","metakey":"","metadesc":"","access":"1","hits":"2","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(234,98,1,'','2014-07-04 10:13:40',56,6620,'0c2e1bbc1ebdeb65216d2587c7d82c58ad34377a','{"id":98,"asset_id":"291","title":"Nulla Scelerisque","alias":"nulla-scelerisque","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"85","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-04 10:13:40","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-04 10:13:07","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":7,"ordering":"10","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(235,96,1,'','2014-07-04 10:13:50',56,6609,'b7d42e7045cc4ac40a8685bbcd6cf11ac85a074b','{"id":96,"asset_id":"287","title":"Lorem Ipsum","alias":"lorem-ipsum","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"84","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-04 10:13:50","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-04 10:13:08","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":10,"ordering":"12","metakey":"","metadesc":"","access":"1","hits":"5","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(236,84,6,'','2014-07-07 14:16:47',56,661,'a4f567b36d65b6b695896a34975f8a9e5f8858c0','{"id":84,"asset_id":"315","parent_id":"83","lft":"146","rgt":"147","level":"2","path":"blog\\/blog-category-1","extension":"com_content","title":"Blog Category 1","alias":"blog-category-1","note":"","description":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit.<\\/p>","published":"1","checked_out":"800","checked_out_time":"2014-07-07 14:16:40","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"800","created_time":"2014-05-15 13:46:25","modified_user_id":"800","modified_time":"2014-07-07 14:16:47","hits":"0","language":"*","version":"1"}',0),
(237,85,6,'','2014-07-07 14:16:57',56,661,'eb70214b4ebd1075ce7c2463160205cd11c93e6f','{"id":85,"asset_id":"316","parent_id":"83","lft":"148","rgt":"149","level":"2","path":"blog\\/blog-category-2","extension":"com_content","title":"Blog Category 2","alias":"blog-category-2","note":"","description":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit.<\\/p>","published":"1","checked_out":"800","checked_out_time":"2014-07-07 14:16:50","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"800","created_time":"2014-05-15 13:46:29","modified_user_id":"800","modified_time":"2014-07-07 14:16:57","hits":"0","language":"*","version":"1"}',0),
(238,86,6,'','2014-07-07 14:17:07',56,661,'06ed60d62c161b678316419f6b40832394dca368','{"id":86,"asset_id":"317","parent_id":"83","lft":"150","rgt":"151","level":"2","path":"blog\\/blog-category-3","extension":"com_content","title":"Blog Category 3","alias":"blog-category-3","note":"","description":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit.<\\/p>","published":"1","checked_out":"800","checked_out_time":"2014-07-07 14:17:00","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"800","created_time":"2014-05-15 13:46:41","modified_user_id":"800","modified_time":"2014-07-07 14:17:07","hits":"0","language":"*","version":"1"}',0),
(239,87,6,'','2014-07-07 14:17:16',56,661,'7585f2b7e1b18b13b99962ac0cb66e60d1208add','{"id":87,"asset_id":"318","parent_id":"83","lft":"152","rgt":"153","level":"2","path":"blog\\/blog-category-4","extension":"com_content","title":"Blog Category 4","alias":"blog-category-4","note":"","description":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit.<\\/p>","published":"1","checked_out":"800","checked_out_time":"2014-07-07 14:17:10","access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"800","created_time":"2014-05-15 13:46:53","modified_user_id":"800","modified_time":"2014-07-07 14:17:16","hits":"0","language":"*","version":"1"}',0),
(240,109,1,'','2014-07-07 14:51:03',56,6564,'d8247661d963650a9f2eed6b07bba1cb9d52e91a','{"id":109,"asset_id":"321","title":"Lorem Ipsum","alias":"lorem-ipsum","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"88","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-07 14:51:03","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-07 14:50:51","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"6","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(241,110,1,'','2014-07-07 14:51:09',56,6576,'fcc6ee9078e90ccf92313865888ffd88f25f027e','{"id":110,"asset_id":"323","title":"Praesent Vehicula","alias":"praesent-vehicula","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"88","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-07 14:51:09","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-07 14:50:54","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"8","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(242,106,1,'','2014-07-07 15:17:19',56,6607,'0b8c26c34a3b3c6084bb3320fb8c733ad3018b33','{"id":106,"asset_id":"309","title":"Pretium Pellentesque","alias":"pretium-pellentesque","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":2,"catid":"83","created":"2014-02-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-07 15:17:19","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-07 15:17:08","publish_up":"2014-02-15 12:44:15","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog2.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"4","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(243,107,1,'','2014-07-07 15:17:39',56,6601,'993d9747eec4249d3b895dd477161cf0dd38f490','{"id":107,"asset_id":"311","title":"Volutpat Vehicula","alias":"volutpat-vehicula","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":2,"catid":"83","created":"2014-03-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-07 15:17:39","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-07 15:17:30","publish_up":"2014-03-15 12:44:15","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog3.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(244,105,1,'','2014-07-07 15:17:56',56,6595,'4669a349fa27e229ad62ce3b894b5331cf5ff259','{"id":105,"asset_id":"307","title":"Fusce Eu Risus","alias":"fusce-eu-risus","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":2,"catid":"83","created":"2014-01-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-07 15:17:56","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-07 15:17:45","publish_up":"2014-01-15 12:44:15","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog4.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(245,104,1,'','2014-07-07 15:18:17',56,6593,'b777748b6be7a63dc1301ef245e237600949b887','{"id":104,"asset_id":"305","title":"Cras Eleifend","alias":"cras-eleifend","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":2,"catid":"83","created":"2013-12-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-07 15:18:17","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-07 15:18:07","publish_up":"2013-12-15 12:44:15","publish_down":"","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog5.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"4","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(246,96,1,'','2014-07-07 15:18:49',56,6609,'771f558b23e59fb5c19c8f206c3cd29ed70636b4','{"id":96,"asset_id":"287","title":"Lorem Ipsum","alias":"lorem-ipsum","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"84","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-07 15:18:49","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-07 15:18:40","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog2.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":11,"ordering":"12","metakey":"","metadesc":"","access":"1","hits":"5","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(247,98,1,'','2014-07-07 15:19:06',56,6620,'077d19cb5e2a2bf820370e491673fbf15a342192','{"id":98,"asset_id":"291","title":"Nulla Scelerisque","alias":"nulla-scelerisque","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"85","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-07 15:19:06","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-07 15:18:55","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog3.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":8,"ordering":"10","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(248,99,1,'','2014-07-07 15:19:26',56,6616,'1436c9bd83040a3142a689a0758a67553d279b20','{"id":99,"asset_id":"293","title":"Aliquam Feugiat","alias":"aliquam-feugiat","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"85","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-07 15:19:26","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-07 15:19:17","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog4.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":10,"ordering":"9","metakey":"","metadesc":"","access":"1","hits":"2","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(249,100,1,'','2014-07-07 15:19:43',56,6620,'ef8d4439b50925b03adb116d1f5d824966b0c45a','{"id":100,"asset_id":"295","title":"Praesent Vehicula","alias":"praesent-vehicula","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"86","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-07 15:19:43","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-07 15:19:32","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog5.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":8,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"5","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(250,101,1,'','2014-07-07 15:20:07',56,6624,'7a3919e4d81ce47b8892dc6f2e7a420bdca9ba65','{"id":101,"asset_id":"297","title":"Malesuada Ultricies","alias":"malesuada-ultricies","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"87","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-07 15:20:07","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-07 15:19:56","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog2.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":9,"ordering":"7","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(251,103,1,'','2014-07-07 15:20:38',56,6622,'67f1069c10fb42334192204f3a61be0b626f886b','{"id":103,"asset_id":"301","title":"Quisque Vestibulum","alias":"quisque-vestibulum","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"87","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-07 15:20:38","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-07 15:20:26","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog3.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":8,"ordering":"5","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(252,93,6,'','2014-07-08 13:08:18',56,519,'947c4595a6a5fd489c2856e4421bd46c2428284b','{"id":93,"asset_id":362,"parent_id":"1","lft":"165","rgt":166,"level":1,"path":null,"extension":"com_content","title":"Recipes","alias":"recipes","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"800","created_time":"2014-07-08 13:08:18","modified_user_id":null,"modified_time":null,"hits":"0","language":"*","version":null}',0),
(253,122,1,'','2014-07-08 13:09:00',56,6620,'f884cf34186637b1200a9a2d95dfd97cfa6e9c6a','{"id":122,"asset_id":363,"title":"Quisque Vestibulum","alias":"quisque-vestibulum","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":"1","catid":93,"created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-07 15:20:38","modified_by":"800","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog3.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"8","ordering":"5","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(254,123,1,'','2014-07-08 13:09:00',56,6610,'240dcb6be6933aba99d3a07643b5bdce844a3ff0','{"id":123,"asset_id":365,"title":"Nunc Placerat","alias":"nunc-placerat","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":"1","catid":93,"created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-04 10:12:32","modified_by":"800","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"8","ordering":"6","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0);
INSERT INTO `#__ucm_history` VALUES 
(255,124,1,'','2014-07-08 13:09:00',56,6622,'96251e4a7174124506bd20ebcb8cbeecea31973f','{"id":124,"asset_id":367,"title":"Malesuada Ultricies","alias":"malesuada-ultricies","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":"1","catid":93,"created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-07 15:20:07","modified_by":"800","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog2.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"9","ordering":"7","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(256,125,1,'','2014-07-08 13:09:00',56,6618,'75327c369d2b21281aa5dd7760c1cbf9d7251e34','{"id":125,"asset_id":369,"title":"Praesent Vehicula","alias":"praesent-vehicula","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":"1","catid":93,"created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-07 15:19:43","modified_by":"800","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog5.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"8","ordering":"1","metakey":"","metadesc":"","access":"1","hits":"5","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(257,126,1,'','2014-07-08 13:09:00',56,6615,'265b26938f3dd5c801d72fb5b77ff9527c34f46d','{"id":126,"asset_id":371,"title":"Aliquam Feugiat","alias":"aliquam-feugiat","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":"1","catid":93,"created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-07 15:19:26","modified_by":"800","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog4.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"10","ordering":"9","metakey":"","metadesc":"","access":"1","hits":"2","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(258,127,1,'','2014-07-08 13:09:00',56,6619,'826f2695dc9cfee9283b0740a303f2143f9d4a86','{"id":127,"asset_id":373,"title":"Nulla Scelerisque","alias":"nulla-scelerisque","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":"1","catid":93,"created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-07 15:19:06","modified_by":"800","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog3.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"8","ordering":"10","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(259,128,1,'','2014-07-08 13:09:00',56,6622,'ca7b343885732235b85de9e4a76f9aa81b4a3225','{"id":128,"asset_id":375,"title":"Consectetur Adipisc","alias":"consectetur-adipisc","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":"1","catid":93,"created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-06-24 16:01:56","modified_by":"800","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"9","ordering":"2","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(260,129,1,'','2014-07-08 13:09:00',56,6608,'fb25e2ad98389219075adcfc7ed596865c332f22','{"id":129,"asset_id":377,"title":"Lorem Ipsum","alias":"lorem-ipsum","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":"1","catid":93,"created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-07 15:18:49","modified_by":"800","checked_out":"0","checked_out_time":"0000-00-00 00:00:00","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog2.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":"11","ordering":"12","metakey":"","metadesc":"","access":"1","hits":"5","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(261,122,1,'','2014-07-08 13:11:26',56,6618,'63317b7c52cab90dd52b8bd816bad38511d2099c','{"id":122,"asset_id":"363","title":"Vestibulum","alias":"vestibulum","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"93","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-08 13:11:26","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-08 13:10:49","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/culinary\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":9,"ordering":"5","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(262,124,1,'','2014-07-08 13:12:50',56,6629,'24f63d1a57a06a99e5b8e6c21fd3bb47a95a111f','{"id":124,"asset_id":"367","title":"Males Ultricies","alias":"males-ultricies","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"93","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-08 13:12:50","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-08 13:11:38","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/culinary\\\\\\/blog\\\\\\/blog2.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":10,"ordering":"7","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(263,123,1,'','2014-07-08 13:13:21',56,6624,'1fe4310df4513da28862ed797adfc557c3c2a431','{"id":123,"asset_id":"365","title":"Nunc Placerat","alias":"nunc-placerat","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"93","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-08 13:13:21","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-08 13:12:58","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/culinary\\\\\\/blog\\\\\\/blog3.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":9,"ordering":"6","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(264,125,1,'','2014-07-08 13:13:54',56,6632,'d2b4b052f11efbfee4d7284f35193bf79734df02','{"id":125,"asset_id":"369","title":"Praesent Vehicula","alias":"praesent-vehicula","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"93","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-08 13:13:54","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-08 13:13:28","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/culinary\\\\\\/blog\\\\\\/blog4.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":9,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"5","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(265,126,1,'','2014-07-08 13:15:58',56,6629,'2deaf0d67a4343ede569253ec5274d268558e6c5','{"id":126,"asset_id":"371","title":"Aliquam Feugiat","alias":"aliquam-feugiat","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"93","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-08 13:15:58","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-08 13:15:27","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/culinary\\\\\\/blog\\\\\\/blog6.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":11,"ordering":"9","metakey":"","metadesc":"","access":"1","hits":"2","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(266,127,1,'','2014-07-08 13:16:28',56,6633,'7ec680099c7eb3647f74dd1d386933c8ee941176','{"id":127,"asset_id":"373","title":"Nulla Scelerisque","alias":"nulla-scelerisque","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris sit amet nibh nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"93","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-08 13:16:28","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-08 13:16:06","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/culinary\\\\\\/blog\\\\\\/blog5.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":9,"ordering":"10","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(267,129,1,'','2014-07-08 13:17:54',56,6374,'e5261818deabef99e9b19b94fb765201aad9c696','{"id":129,"asset_id":"377","title":"Lorem Ipsum","alias":"lorem-ipsum","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"93","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-08 13:17:54","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-08 13:17:44","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog2.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":12,"ordering":"12","metakey":"","metadesc":"","access":"1","hits":"5","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(268,128,1,'','2014-07-08 13:18:07',56,6389,'db25c3a51103c00d7de9245bb7f56feddc4a6f01','{"id":128,"asset_id":"375","title":"Consectetur Adipisc","alias":"consectetur-adipisc","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"93","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-08 13:18:07","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-08 13:17:59","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":10,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(269,127,1,'','2014-07-08 13:18:21',56,6398,'be3f4a2013718b2dfdcf9d82a977538547f80ec1','{"id":127,"asset_id":"373","title":"Nulla Scelerisque","alias":"nulla-scelerisque","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"93","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-08 13:18:21","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-08 13:18:12","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/culinary\\\\\\/blog\\\\\\/blog5.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":10,"ordering":"10","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(270,126,1,'','2014-07-08 13:18:34',56,6393,'6f1329285217970ccdd51b8ab0eed847002166a6','{"id":126,"asset_id":"371","title":"Aliquam Feugiat","alias":"aliquam-feugiat","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"93","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-08 13:18:34","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-08 13:18:26","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/culinary\\\\\\/blog\\\\\\/blog6.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":12,"ordering":"9","metakey":"","metadesc":"","access":"1","hits":"2","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(271,125,1,'','2014-07-08 13:18:47',56,6397,'cba105aadcb5047dea1499f72d0f92f2c97bb7ef','{"id":125,"asset_id":"369","title":"Praesent Vehicula","alias":"praesent-vehicula","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"93","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-08 13:18:47","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-08 13:18:38","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/culinary\\\\\\/blog\\\\\\/blog4.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":10,"ordering":"1","metakey":"","metadesc":"","access":"1","hits":"5","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(272,124,1,'','2014-07-08 13:19:06',56,6393,'da1d75860edb92389e8551df620546bab14e952c','{"id":124,"asset_id":"367","title":"Males Ultricies","alias":"males-ultricies","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"93","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-08 13:19:06","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-08 13:18:54","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/culinary\\\\\\/blog\\\\\\/blog2.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":11,"ordering":"7","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(273,123,1,'','2014-07-08 13:19:19',56,6389,'f2ccb14920460e934497eb87dc26c872d1578bff','{"id":123,"asset_id":"365","title":"Nunc Placerat","alias":"nunc-placerat","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"93","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-08 13:19:19","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-08 13:19:11","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/culinary\\\\\\/blog\\\\\\/blog3.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":10,"ordering":"6","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(274,122,1,'','2014-07-08 13:19:33',56,6383,'b871a50c58013a80788cbf2626925b76dc0f3090','{"id":122,"asset_id":"363","title":"Vestibulum","alias":"vestibulum","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"93","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-08 13:19:33","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-08 13:19:25","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/culinary\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":10,"ordering":"5","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(275,128,1,'','2014-07-08 13:20:37',56,6391,'3971c5123e51425f0c1639b2337a79bc862d397f','{"id":128,"asset_id":"375","title":"Consec Adipisc","alias":"consec-adipisc","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"93","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-08 13:20:37","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-08 13:20:09","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/culinary\\\\\\/blog\\\\\\/blog1.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":11,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(276,129,1,'','2014-07-08 13:21:02',56,6386,'84b2524d4d35d759f66a285b7e5b02c7d5c4e1cf','{"id":129,"asset_id":"377","title":"Lorem Ipsum","alias":"lorem-ipsum","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n","fulltext":"\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.<\\/p>\\r\\n<h4>Lorem ipsum dolor<\\/h4>\\r\\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">1<\\/span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">2<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">3<\\/span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.<\\/p>\\r\\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.<\\/p>\\r\\n<h4>Consectetur adipiscing elit<\\/h4>\\r\\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.<\\/p>\\r\\n<p class=\\"jmpeople\\">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.<\\/p>\\r\\n<p class=\\"jmmail\\">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.<\\/p>\\r\\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.<\\/p>","state":1,"catid":"93","created":"2014-05-15 12:44:15","created_by":"800","created_by_alias":"","modified":"2014-07-08 13:21:02","modified_by":"800","checked_out":"800","checked_out_time":"2014-07-08 13:20:45","publish_up":"2014-05-15 12:44:15","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"images\\\\\\/culinary\\\\\\/blog\\\\\\/blog2.jpg\\",\\"float_intro\\":\\"left\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":13,"ordering":"12","metakey":"","metadesc":"","access":"1","hits":"5","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(282,121,1,'','2014-09-09 11:56:33',56,1979,'cf65e67918ff7c49444333371190ff478faa0c9a','{"id":121,"asset_id":"351","title":"Module Suffixes","alias":"module-suffixes","introtext":"<p>There are additional module designs available that you can control by entering a correct suffix name as a module parameter.<br \\/>Let\'s check them all.<\\/p>\\r\\n<p>1. Available module designs<\\/p>\\r\\n<p><img src=\\"images\\/sample\\/module-suffixes.png\\" alt=\\"Module Suffixes\\" \\/><\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-06-25 09:42:57","created_by":"800","created_by_alias":"","modified":"2014-09-09 11:56:33","modified_by":"800","checked_out":"800","checked_out_time":"2014-09-09 11:55:49","publish_up":"2014-06-25 09:42:57","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"4","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(283,121,1,'','2014-09-09 12:44:26',56,2252,'31ceddfe811cef751ff50bc5c0474de07ca8d4bf','{"id":121,"asset_id":"351","title":"Module Suffixes","alias":"module-suffixes","introtext":"<p>There are additional module designs available that you can control by entering a correct suffix name as a module parameter.<br \\/>Let\'s check them all.<\\/p>\\r\\n<p>1. Available module designs<\\/p>\\r\\n<p><img src=\\"images\\/sample\\/module-suffixes.png\\" alt=\\"Module Suffixes\\" \\/><\\/p>\\r\\n<p>2. Use the following suffix for DJ-ImageSlider module if you want to get the following view for slides. Otherwise the module will use the default css styles.<\\/p>\\r\\n<p><img src=\\"images\\/sample\\/djimageslider-suffixes1.jpg\\" alt=\\"DJ-ImageSlider Suffixes\\" \\/><\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-06-25 09:42:57","created_by":"800","created_by_alias":"","modified":"2014-09-09 12:44:26","modified_by":"800","checked_out":"800","checked_out_time":"2014-09-09 11:56:33","publish_up":"2014-06-25 09:42:57","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"5","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(284,121,1,'','2014-09-09 12:45:37',56,2324,'577ee78697d61ecd9c0f62ad9b70c1de4dc13fdc','{"id":121,"asset_id":"351","title":"Module Suffixes","alias":"module-suffixes","introtext":"<p>There are additional module designs available that you can control by entering a correct suffix name as a module parameter.<br \\/>Let\'s check them all.<\\/p>\\r\\n<p>1. Available module designs<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><img src=\\"images\\/sample\\/module-suffixes.png\\" alt=\\"Module Suffixes\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>2. Use the following suffix for DJ-ImageSlider module if you want to get the following view for slides. Otherwise the module will use the default css styles.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><img src=\\"images\\/sample\\/djimageslider-suffixes1.jpg\\" alt=\\"DJ-ImageSlider Suffixes\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-06-25 09:42:57","created_by":"800","created_by_alias":"","modified":"2014-09-09 12:45:37","modified_by":"800","checked_out":"800","checked_out_time":"2014-09-09 12:44:26","publish_up":"2014-06-25 09:42:57","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"6","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(285,121,1,'','2014-09-09 12:46:33',56,2322,'fe4567c6242855b9f6df54e84480e71299997bab','{"id":121,"asset_id":"351","title":"Module Suffixes","alias":"module-suffixes","introtext":"<p>There are additional module designs available that you can control by entering a correct suffix name as a module parameter.<br \\/>Let\'s check them all.<\\/p>\\r\\n<p>1. Available module designs<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><img src=\\"images\\/sample\\/module-suffixes.png\\" alt=\\"Module Suffixes\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>2. Use the following suffix for DJ-ImageSlider module if you want to get the following view for slides. Otherwise a module will use the default css styles.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><img src=\\"images\\/sample\\/djimageslider-suffixes1.jpg\\" alt=\\"DJ-ImageSlider Suffixes\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-06-25 09:42:57","created_by":"800","created_by_alias":"","modified":"2014-09-09 12:46:33","modified_by":"800","checked_out":"800","checked_out_time":"2014-09-09 12:45:37","publish_up":"2014-06-25 09:42:57","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"7","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(286,121,1,'','2014-09-09 12:49:49',56,2588,'72e745e012f6bcbb3bea19c4e6a124bd87625919','{"id":121,"asset_id":"351","title":"Module Suffixes","alias":"module-suffixes","introtext":"<p>There are additional module designs available that you can control by entering a correct suffix name as a module parameter.<br \\/>Let\'s check them all.<\\/p>\\r\\n<p>1. Available module designs<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><img src=\\"images\\/sample\\/module-suffixes.png\\" alt=\\"Module Suffixes\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>2. Use the following suffixes for DJ-ImageSlider module if you want to get the following view for slides. Otherwise a module will use the default css styles.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><img src=\\"images\\/sample\\/djimageslider-suffixes1.jpg\\" alt=\\"DJ-ImageSlider Suffixes\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><strong>Suffix name:<\\/strong> slider1-ms<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><img src=\\"images\\/sample\\/djimageslider-suffixes2.jpg\\" alt=\\"DJ-ImageSlider Suffixes\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><strong>Suffix name:<\\/strong> slider1-ms<\\/p>\\r\\n<p>\\u00a0<\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-06-25 09:42:57","created_by":"800","created_by_alias":"","modified":"2014-09-09 12:49:49","modified_by":"800","checked_out":"800","checked_out_time":"2014-09-09 12:46:33","publish_up":"2014-06-25 09:42:57","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":7,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"7","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(287,121,1,'','2014-09-09 12:53:25',56,2806,'53a9ea5511c4410a6396b427cde69e3d4dd9e519','{"id":121,"asset_id":"351","title":"Module Suffixes","alias":"module-suffixes","introtext":"<p>There are additional module designs available that you can control by entering a correct suffix name as a module parameter.<br \\/>Let\'s check them all.<\\/p>\\r\\n<p>1. Available module designs<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><img src=\\"images\\/sample\\/module-suffixes.png\\" alt=\\"Module Suffixes\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>2. Use the following suffixes for DJ-ImageSlider module if you want to get the following view for slides. Otherwise a module will use the default css styles.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><img src=\\"images\\/sample\\/djimageslider-suffixes1.jpg\\" alt=\\"DJ-ImageSlider Suffixes\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><strong>Suffix name:<\\/strong> slider1-ms<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><img src=\\"images\\/sample\\/djimageslider-suffixes2.jpg\\" alt=\\"DJ-ImageSlider Suffixes\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><strong>Suffix name:<\\/strong> testimonials-ms<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><img src=\\"images\\/sample\\/djimageslider-suffixes3.jpg\\" alt=\\"DJ-ImageSlider Suffixes\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><strong>Suffix name:<\\/strong> testimonials-ms alternative-ms<\\/p>\\r\\n<p>\\u00a0<\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-06-25 09:42:57","created_by":"800","created_by_alias":"","modified":"2014-09-09 12:53:25","modified_by":"800","checked_out":"800","checked_out_time":"2014-09-09 12:49:49","publish_up":"2014-06-25 09:42:57","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":8,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"7","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(288,121,1,'','2014-09-09 12:55:04',56,2882,'f641fcb5274489825ffbc90349178cc4b9613d98','{"id":121,"asset_id":"351","title":"Module Suffixes","alias":"module-suffixes","introtext":"<p>There are additional module designs available that you can control by entering a correct suffix name as a module parameter.<br \\/>Let\'s check them all.<\\/p>\\r\\n<p>1. Available module designs<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><img src=\\"images\\/sample\\/module-suffixes.png\\" alt=\\"Module Suffixes\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>2. Use the following suffixes for DJ-ImageSlider module if you want to get the following view for slides. Otherwise a module will use the default css styles.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><strong>Suffix name:<\\/strong> slider1-ms<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><img src=\\"images\\/sample\\/djimageslider-suffixes1.jpg\\" alt=\\"DJ-ImageSlider Suffixes\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<p><strong>Suffix name:<\\/strong> testimonials-ms<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><img src=\\"images\\/sample\\/djimageslider-suffixes2.jpg\\" alt=\\"DJ-ImageSlider Suffixes\\" \\/><\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<p><strong>Suffix name:<\\/strong> testimonials-ms alternative-ms<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><img src=\\"images\\/sample\\/djimageslider-suffixes3.jpg\\" alt=\\"DJ-ImageSlider Suffixes\\" \\/><\\/p>\\r\\n<\\/div>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"78","created":"2014-06-25 09:42:57","created_by":"800","created_by_alias":"","modified":"2014-09-09 12:55:04","modified_by":"800","checked_out":"800","checked_out_time":"2014-09-09 12:53:25","publish_up":"2014-06-25 09:42:57","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":9,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"8","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(289,130,1,'','2014-09-11 11:41:33',56,1693,'67030ecd865d8bee4f7053029beb48bdef5ff326','{"id":130,"asset_id":395,"title":"All Template Positions","alias":"all-template-positions","introtext":"<p>Module positions<\\/p>","fulltext":"","state":0,"catid":"78","created":"2014-06-25 09:42:57","created_by":"800","created_by_alias":"","modified":"2014-09-09 12:55:04","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2014-06-25 09:42:57","publish_down":"","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(290,131,1,'','2014-09-11 12:16:11',56,2746,'1d15cdf1ec6868e1ee8f1cb20cd155f3b7018e15','{"id":131,"asset_id":396,"title":"Error 404","alias":"error-404","introtext":"<p>\\u00a0<\\/p>\\r\\n<div class=\\"jm-error-page\\">\\r\\n<h1>404 OOPS!<\\/h1>\\r\\n<h2>page Not found!<\\/h2>\\r\\n<p>\\"Sorry, it appears the page you were looking for does not exist anymore or might have been moved.<br \\/>Please try your luck again.\\"<\\/p>\\r\\n{loadposition error404-search} <a class=\\"btn\\" href=\\"index.php\\">Take me home<\\/a>\\r\\n<p>\\u00a0<\\/p>\\r\\n<\\/div>\\r\\n<p>This is a Joomla! article displayed as custom 404 page.<\\/p>\\r\\n<p><strong>How to modify this page?<\\/strong><br \\/> <strong>Step 1:<\\/strong> Go to Content -&gt; Article Manager.<br \\/> <strong>Step 2:<\\/strong> Find and edit the \\"Error 404\\" article.<\\/p>\\r\\n<p><strong>How is the search module displayed?<\\/strong><br \\/> It is displayed using the \\"Content - Load Modules\\" plugin. It allows to display a module in a Joomla article. The module is published on the following position: error404-search<\\/p>\\r\\n<p><strong>How to display a different article as custom 404 page?<\\/strong><br \\/>If you want to display other article, you need to change the article ID in the following location: \\/templates\\/jm-services\\/error.php<\\/p>","fulltext":"","state":0,"catid":"78","created":"2014-06-25 09:42:57","created_by":"800","created_by_alias":"","modified":"2014-09-09 12:55:04","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2014-06-25 09:42:57","publish_down":"","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(291,131,1,'','2014-09-11 12:16:20',56,2784,'b97ddbaf11cfc737ac85e0c5f9e103d6fe5eb802','{"id":131,"asset_id":"396","title":"Error 404","alias":"error-404","introtext":"<p>\\u00a0<\\/p>\\r\\n<div class=\\"jm-error-page\\">\\r\\n<h1>404 OOPS!<\\/h1>\\r\\n<h2>page Not found!<\\/h2>\\r\\n<p>\\"Sorry, it appears the page you were looking for does not exist anymore or might have been moved.<br \\/>Please try your luck again.\\"<\\/p>\\r\\n{loadposition error404-search} <a class=\\"btn\\" href=\\"index.php\\">Take me home<\\/a>\\r\\n<p>\\u00a0<\\/p>\\r\\n<\\/div>\\r\\n<p>This is a Joomla! article displayed as custom 404 page.<\\/p>\\r\\n<p><strong>How to modify this page?<\\/strong><br \\/> <strong>Step 1:<\\/strong> Go to Content -&gt; Article Manager.<br \\/> <strong>Step 2:<\\/strong> Find and edit the \\"Error 404\\" article.<\\/p>\\r\\n<p><strong>How is the search module displayed?<\\/strong><br \\/> It is displayed using the \\"Content - Load Modules\\" plugin. It allows to display a module in a Joomla article. The module is published on the following position: error404-search<\\/p>\\r\\n<p><strong>How to display a different article as custom 404 page?<\\/strong><br \\/>If you want to display other article, you need to change the article ID in the following location: \\/templates\\/jm-services\\/error.php<\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-06-25 09:42:57","created_by":"800","created_by_alias":"","modified":"2014-09-11 12:16:20","modified_by":"800","checked_out":"800","checked_out_time":"2014-09-11 12:16:11","publish_up":"2014-06-25 09:42:57","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(292,131,1,'','2014-09-11 12:19:16',56,2790,'962eca28a2d47cd6867fb5084e075dcab5ef6949','{"id":131,"asset_id":"396","title":"Error 404","alias":"error-404","introtext":"<p>\\u00a0<\\/p>\\r\\n<div class=\\"jm-error-page\\">\\r\\n<h1>404 OOPS!<\\/h1>\\r\\n<h2>Page not found!<\\/h2>\\r\\n<p>\\"Sorry, it appears the page you were looking for does not exist anymore or might have been moved.<br \\/>Please try your luck again.\\"<\\/p>\\r\\n{loadposition error404-search} <a class=\\"btn\\" href=\\"index.php\\">Take me home<\\/a>\\r\\n<p>\\u00a0<\\/p>\\r\\n<\\/div>\\r\\n<p>This is a Joomla! article displayed as custom 404 page.<\\/p>\\r\\n<p><strong>How to modify this page?<\\/strong><br \\/> <strong>Step 1:<\\/strong> Go to Content -&gt; Article Manager.<br \\/> <strong>Step 2:<\\/strong> Find and edit the \\"Error 404\\" article.<\\/p>\\r\\n<p><strong>How is the search module displayed?<\\/strong><br \\/> It is displayed using the \\"Content - Load Modules\\" plugin. It allows to display a module in a Joomla article.<br \\/>The module is published on the following position: error404-search<\\/p>\\r\\n<p><strong>How to display a different article as custom 404 page?<\\/strong><br \\/>If you want to display other article, you need to change the article ID in the following location: \\/templates\\/jm-services\\/error.php<\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-06-25 09:42:57","created_by":"800","created_by_alias":"","modified":"2014-09-11 12:19:16","modified_by":"800","checked_out":"800","checked_out_time":"2014-09-11 12:18:53","publish_up":"2014-06-25 09:42:57","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"3","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(293,131,1,'','2014-09-11 12:37:55',56,2796,'3c29df229116cb6aca58a2357c1aca14872f4dde','{"id":131,"asset_id":"396","title":"Error 404","alias":"error-404","introtext":"<p>\\u00a0<\\/p>\\r\\n<div class=\\"jm-error-page\\">\\r\\n<h1>404 OOPS!<\\/h1>\\r\\n<h2>Page not found!<\\/h2>\\r\\n<p>\\"Sorry, it appears the page you were looking for does not exist anymore or might have been moved.<br \\/>Please try your luck again.\\"<\\/p>\\r\\n{loadposition error404-search} <a class=\\"btn large\\" href=\\"index.php\\">Take me home<\\/a>\\r\\n<p>\\u00a0<\\/p>\\r\\n<\\/div>\\r\\n<p>This is a Joomla! article displayed as custom 404 page.<\\/p>\\r\\n<p><strong>How to modify this page?<\\/strong><br \\/> <strong>Step 1:<\\/strong> Go to Content -&gt; Article Manager.<br \\/> <strong>Step 2:<\\/strong> Find and edit the \\"Error 404\\" article.<\\/p>\\r\\n<p><strong>How is the search module displayed?<\\/strong><br \\/> It is displayed using the \\"Content - Load Modules\\" plugin. It allows to display a module in a Joomla article.<br \\/>The module is published on the following position: error404-search<\\/p>\\r\\n<p><strong>How to display a different article as custom 404 page?<\\/strong><br \\/>If you want to display other article, you need to change the article ID in the following location: \\/templates\\/jm-services\\/error.php<\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-06-25 09:42:57","created_by":"800","created_by_alias":"","modified":"2014-09-11 12:37:55","modified_by":"800","checked_out":"800","checked_out_time":"2014-09-11 12:19:16","publish_up":"2014-06-25 09:42:57","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"9","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(294,131,1,'','2014-09-11 12:39:34',56,2801,'2425e3aff394003d0522db55d338c555c9711d01','{"id":131,"asset_id":"396","title":"Error 404","alias":"error-404","introtext":"<p>\\u00a0<\\/p>\\r\\n<div class=\\"jm-error-page\\">\\r\\n<h1>404 OOPS!<\\/h1>\\r\\n<h2>Page not found!<\\/h2>\\r\\n<p>\\"Sorry, it appears the page you were looking for does not exist anymore or might have been moved.<br \\/>Please try your luck again.\\"<\\/p>\\r\\n{loadposition error404-search} <a class=\\"btn btn-large\\" href=\\"index.php\\">Take me home<\\/a>\\r\\n<p>\\u00a0<\\/p>\\r\\n<\\/div>\\r\\n<p>This is a Joomla! article displayed as custom 404 page.<\\/p>\\r\\n<p><strong>How to modify this page?<\\/strong><br \\/> <strong>Step 1:<\\/strong> Go to Content -&gt; Article Manager.<br \\/> <strong>Step 2:<\\/strong> Find and edit the \\"Error 404\\" article.<\\/p>\\r\\n<p><strong>How is the search module displayed?<\\/strong><br \\/> It is displayed using the \\"Content - Load Modules\\" plugin. It allows to display a module in a Joomla article.<br \\/>The module is published on the following position: error404-search<\\/p>\\r\\n<p><strong>How to display a different article as custom 404 page?<\\/strong><br \\/>If you want to display other article, you need to change the article ID in the following location: \\/templates\\/jm-services\\/error.php<\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-06-25 09:42:57","created_by":"800","created_by_alias":"","modified":"2014-09-11 12:39:34","modified_by":"800","checked_out":"800","checked_out_time":"2014-09-11 12:37:55","publish_up":"2014-06-25 09:42:57","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"10","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(295,132,1,'','2014-09-11 13:46:17',56,2414,'44ac72a5051e39a3898302a31adf96b742231dec','{"id":132,"asset_id":398,"title":"Offline Page","alias":"offline-page","introtext":"<p style=\\"text-align: center;\\"><img src=\\"images\\/features\\/offline.jpg\\" alt=\\"Offline Page\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>You can make your Joomla! website unavailable to visitors. To enable this option login to Administrator back-end.<\\/p>\\r\\n<p>1. Click the <strong>System \\u2192 Global Configuration<\\/strong> menu item<\\/p>\\r\\n<p>2. Find field <strong>Site Offline<\\/strong> and click Yes button.<\\/p>\\r\\n<p>3. You can also change the <strong>Offline Message<\\/strong> to give your visitors some explanation about why your website is unavailable.<\\/p>\\r\\n<p>Click the Save button to implement the new settings.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>Offline page can be easily customised in file - <strong>\\/templates\\/jm-beauty-center\\/offline.php<\\/strong><\\/p>","fulltext":"","state":0,"catid":"78","created":"2014-06-25 09:42:57","created_by":"800","created_by_alias":"","modified":"2014-09-11 12:39:34","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2014-06-25 09:42:57","publish_down":"","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(296,132,1,'','2014-09-11 13:55:30',56,2462,'5b58b5d0956b02f6d6db3b727d018aad73d34540','{"id":132,"asset_id":"398","title":"Offline Page","alias":"offline-page","introtext":"<p style=\\"text-align: center;\\"><img src=\\"images\\/features\\/offline.jpg\\" alt=\\"Offline Page\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>There is a possibility to disable access to the front of your site.<\\/p>\\r\\n<p><strong>How to enable the offline page?<\\/strong><br \\/> <strong>Step 1:<\\/strong> Go to \\"System -&gt; Global Configuration -&gt; Site\\". <strong>Step 2:<\\/strong> Click on \\"Yes\\" for \\"Site Offline\\" option.<br \\/> <strong>Step 3:<\\/strong> Fill in a text for \\"Offline Message\\" to give your visitors some explanation about why your website is unavailable.<br \\/> <strong>Step 4:<\\/strong> Click on \\"Save\\" to save your settings.<\\/p>\\r\\n<p><strong>How to customize the offline page?<\\/strong><br \\/> You need to edit the following file: \\/templates\\/jm-services\\/offline.php<\\/p>","fulltext":"","state":0,"catid":"78","created":"2014-06-25 09:42:57","created_by":"800","created_by_alias":"","modified":"2014-09-11 13:55:30","modified_by":"800","checked_out":"800","checked_out_time":"2014-09-11 13:46:17","publish_up":"2014-06-25 09:42:57","publish_down":"","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(297,132,1,'','2014-09-11 13:58:22',56,2460,'682e617b48f19be5e75599390a32d345396176d3','{"id":132,"asset_id":"398","title":"Offline Page","alias":"offline-page","introtext":"<p style=\\"text-align: center;\\"><img src=\\"images\\/sample\\/offline.png\\" alt=\\"Offline Page\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>There is a possibility to disable access to the front of your site.<\\/p>\\r\\n<p><strong>How to enable the offline page?<\\/strong><br \\/> <strong>Step 1:<\\/strong> Go to \\"System -&gt; Global Configuration -&gt; Site\\". <strong>Step 2:<\\/strong> Click on \\"Yes\\" for \\"Site Offline\\" option.<br \\/> <strong>Step 3:<\\/strong> Fill in a text for \\"Offline Message\\" to give your visitors some explanation about why your website is unavailable.<br \\/> <strong>Step 4:<\\/strong> Click on \\"Save\\" to save your settings.<\\/p>\\r\\n<p><strong>How to customize the offline page?<\\/strong><br \\/> You need to edit the following file: \\/templates\\/jm-services\\/offline.php<\\/p>","fulltext":"","state":0,"catid":"78","created":"2014-06-25 09:42:57","created_by":"800","created_by_alias":"","modified":"2014-09-11 13:58:22","modified_by":"800","checked_out":"800","checked_out_time":"2014-09-11 13:55:30","publish_up":"2014-06-25 09:42:57","publish_down":"","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(298,132,1,'','2014-09-11 14:00:20',56,2479,'f65822cd720181e9401ba22a765f9466153e5284','{"id":132,"asset_id":"398","title":"Offline Page","alias":"offline-page","introtext":"<p style=\\"text-align: center;\\"><img src=\\"images\\/sample\\/offline.png\\" alt=\\"Offline Page\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>There is a possibility to disable access to the front of your site.<\\/p>\\r\\n<p><strong>How to enable the offline page?<\\/strong><br \\/> <strong>Step 1:<\\/strong> Go to \\"System -&gt; Global Configuration -&gt; Site\\". <strong>Step 2:<\\/strong> Click on \\"Yes\\" for \\"Site Offline\\" option.<br \\/> <strong>Step 3:<\\/strong> Fill in a text for \\"Offline Message\\" to give your visitors some explanation about why your website is unavailable.<br \\/> <strong>Step 4:<\\/strong> Click on \\"Save\\" to save your settings.<\\/p>\\r\\n<p><strong>How to customize the offline page?<\\/strong><br \\/> You need to edit the following file: \\/templates\\/jm-services\\/offline.php<\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-06-25 09:42:57","created_by":"800","created_by_alias":"","modified":"2014-09-11 14:00:20","modified_by":"800","checked_out":"800","checked_out_time":"2014-09-11 13:58:22","publish_up":"2014-06-25 09:42:57","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(299,132,1,'','2014-09-11 14:02:52',56,2485,'9b90fb82fac04c4de1358f1a611173c63a1d4758','{"id":132,"asset_id":"398","title":"Offline Page","alias":"offline-page","introtext":"<p style=\\"text-align: center;\\"><img src=\\"images\\/sample\\/offline.png\\" alt=\\"Offline Page\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>There is a possibility to disable access to the front of your site.<\\/p>\\r\\n<p><strong>How to enable the offline page?<\\/strong><br \\/> <strong>Step 1:<\\/strong> Go to \\"System -&gt; Global Configuration -&gt; Site\\".<br \\/><strong>Step 2:<\\/strong> Click on \\"Yes\\" for \\"Site Offline\\" option.<br \\/> <strong>Step 3:<\\/strong> Fill in a text for \\"Offline Message\\" to give your visitors some explanation about why your website is unavailable.<br \\/> <strong>Step 4:<\\/strong> Click on \\"Save\\" to save your settings.<\\/p>\\r\\n<p><strong>How to customize the offline page?<\\/strong><br \\/> You need to edit the following file: \\/templates\\/jm-services\\/offline.php<\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-06-25 09:42:57","created_by":"800","created_by_alias":"","modified":"2014-09-11 14:02:52","modified_by":"800","checked_out":"800","checked_out_time":"2014-09-11 14:00:20","publish_up":"2014-06-25 09:42:57","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"4","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(300,130,1,'','2014-09-15 14:40:55',56,3237,'f23a19e991299df138184853ff72818273015869','{"id":130,"asset_id":"395","title":"All Template Positions","alias":"all-template-positions","introtext":"<p><a title=\\"JM Services\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_djcatalog2&amp;view=item&amp;id=122:jm-lifestyle&amp;cid=32:free&amp;Itemid=471\\" target=\\"_blank\\">JM Services<\\/a> Joomla template uses fully responsive layout that adjusts to various screens: desktops, tablets or mobiles.<br \\/>The template uses default width values specified at <a title=\\"Template layout positions\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=897&amp;view=article&amp;Itemid=1027\\" target=\\"_blank\\">the template configuration<\\/a>.<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\u00a0<\\/p>\\r\\n<h3 style=\\"text-align: center;\\">Module positions for desktop and tablet landscape<\\/h3>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p style=\\"text-align: center;\\"><img title=\\"Module positions for desktop and tablet landscape\\" src=\\"images\\/sample\\/desktop-positions.jpg\\" alt=\\"Module positions for desktop and tablet landscape\\" border=\\"0\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h3 style=\\"text-align: center;\\">Module positions for tablet portrait<\\/h3>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p style=\\"text-align: center;\\"><img title=\\"Module positions for tablet portrait\\" src=\\"images\\/sample\\/tablet-positions.jpg\\" alt=\\"Module positions for tablet portrait\\" border=\\"0\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h3 style=\\"text-align: center;\\">Module positions for mobile<\\/h3>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><img title=\\"Module positions for mobile\\" src=\\"images\\/sample\\/mobile-positions.jpg\\" alt=\\"Module positions for mobile\\" border=\\"0\\" \\/><\\/p>","state":1,"catid":"78","created":"2014-06-25 09:42:57","created_by":"800","created_by_alias":"","modified":"2014-09-15 14:40:55","modified_by":"800","checked_out":"800","checked_out_time":"2014-09-15 14:24:45","publish_up":"2014-06-25 09:42:57","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(301,130,1,'','2014-09-15 14:41:47',56,3267,'58fe15ff00a333f9418f461e9d2a84adfe8bd62c','{"id":130,"asset_id":"395","title":"All Template Positions","alias":"all-template-positions","introtext":"<p><a title=\\"JM Services\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_djcatalog2&amp;view=item&amp;id=122:jm-lifestyle&amp;cid=32:free&amp;Itemid=471\\" target=\\"_blank\\">JM Services<\\/a> Joomla template uses fully responsive layout that adjusts to various screens: desktops, tablets or mobiles.<br \\/>The template uses default width values specified at <a title=\\"Template layout positions\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=897&amp;view=article&amp;Itemid=1027\\" target=\\"_blank\\">the template configuration<\\/a>.<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\u00a0<\\/p>\\r\\n<h3 style=\\"text-align: center;\\">Module positions for desktop and tablet landscape<\\/h3>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p style=\\"text-align: center;\\"><img title=\\"Module positions for desktop and tablet landscape\\" src=\\"images\\/sample\\/desktop-positions.jpg\\" alt=\\"Module positions for desktop and tablet landscape\\" border=\\"0\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h3 style=\\"text-align: center;\\">Module positions for tablet portrait<\\/h3>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p style=\\"text-align: center;\\"><img title=\\"Module positions for tablet portrait\\" src=\\"images\\/sample\\/tablet-positions.jpg\\" alt=\\"Module positions for tablet portrait\\" border=\\"0\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h3 style=\\"text-align: center;\\">Module positions for mobile<\\/h3>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p style=\\"text-align: center;\\"><img title=\\"Module positions for mobile\\" src=\\"images\\/sample\\/mobile-positions.jpg\\" alt=\\"Module positions for mobile\\" border=\\"0\\" \\/><\\/p>","state":1,"catid":"78","created":"2014-06-25 09:42:57","created_by":"800","created_by_alias":"","modified":"2014-09-15 14:41:47","modified_by":"800","checked_out":"800","checked_out_time":"2014-09-15 14:40:55","publish_up":"2014-06-25 09:42:57","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"2","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(319,133,1,'','2014-09-17 13:16:51',56,2241,'9bc31e2c431ddd36e89f95186ab83e53ff0b3e6a','{"id":133,"asset_id":399,"title":"Examples","alias":"examples","introtext":"<div class=\\"row-fluid\\">\\r\\n<div class=\\"span4\\">\\r\\n<h3>Business Theme<\\/h3>\\r\\n<a title=\\"JM-Services Business\\" href=\\"#\\"><img src=\\"images\\/sample\\/jmservices-business.jpg\\" alt=\\"JM Services\\" \\/><\\/a><\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<h3>Culinary Theme<\\/h3>\\r\\n<a title=\\"JM-Services Culinary\\" href=\\"#\\"><img src=\\"images\\/sample\\/jmservices-culinary.jpg\\" alt=\\"JM Services\\" \\/><\\/a><\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<h3>Dental Theme<\\/h3>\\r\\n<a title=\\"JM-Services Dental\\" href=\\"#\\"><img src=\\"images\\/sample\\/jmservices-dental.jpg\\" alt=\\"JM Services\\" \\/><\\/a><\\/div>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"78","created":"2014-09-17 13:16:51","created_by":"800","created_by_alias":"","modified":"","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2014-09-17 13:16:51","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(320,133,1,'','2014-09-17 13:20:12',56,2506,'7164250d84fd03cfafee7727623fbb3f3d87d1eb','{"id":133,"asset_id":"399","title":"Examples","alias":"examples","introtext":"<div class=\\"row-fluid\\">\\r\\n<div class=\\"span4\\">\\r\\n<h3>Business Theme<\\/h3>\\r\\n<a title=\\"JM-Services Business\\" href=\\"index.php?option=com_content&amp;view=article&amp;id=73&amp;Itemid=435\\"><img src=\\"images\\/sample\\/jm-services-business.jpg\\" alt=\\"JM Services\\" \\/><\\/a><\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<h3>Culinary Theme<\\/h3>\\r\\n<a title=\\"JM-Services Culinary\\" href=\\"index.php?option=com_content&amp;view=category&amp;layout=blog&amp;id=93&amp;Itemid=568\\"><img src=\\"images\\/sample\\/jm-services-culinary.jpg\\" alt=\\"JM Services\\" \\/><\\/a><\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<h3>Dental Theme<\\/h3>\\r\\n<a title=\\"JM-Services Dental\\" href=\\"index.php?option=com_content&amp;view=article&amp;id=73&amp;Itemid=613\\"><img src=\\"images\\/sample\\/jm-services-dental.jpg\\" alt=\\"JM Services\\" \\/><\\/a><\\/div>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"78","created":"2014-09-17 13:16:51","created_by":"800","created_by_alias":"","modified":"2014-09-17 13:20:12","modified_by":"800","checked_out":"800","checked_out_time":"2014-09-17 13:19:21","publish_up":"2014-09-17 13:16:51","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"0","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(323,97,8,'','2014-11-28 12:55:32',56,529,'a916edd7c647298a40f74a900b268cf787b2b09a','{"id":97,"asset_id":405,"parent_id":"1","lft":"41","rgt":42,"level":1,"path":null,"extension":"com_newsfeeds","title":"JMSampleData","alias":"jmsampledata","note":"","description":"","published":"1","checked_out":null,"checked_out_time":null,"access":"1","params":"{\\"category_layout\\":\\"\\",\\"image\\":\\"\\"}","metadesc":"","metakey":"","metadata":"{\\"author\\":\\"\\",\\"robots\\":\\"\\"}","created_user_id":"941","created_time":"2014-11-28 12:55:32","modified_user_id":null,"modified_time":null,"hits":"0","language":"*","version":null}',0),
(324,5,4,'','2014-11-28 12:58:38',56,920,'b5be9ada624e4cd367f9f46c20581643e8f666ec','{"catid":"97","id":5,"name":"News Feed","alias":"news-feed","link":"http:\\/\\/www.cbc.ca\\/cmlink\\/rss-world","published":"1","numarticles":"5","cache_time":"3600","checked_out":null,"checked_out_time":null,"ordering":1,"rtl":"0","access":"1","language":"*","params":"{\\"show_feed_image\\":\\"\\",\\"show_feed_description\\":\\"\\",\\"show_item_description\\":\\"\\",\\"feed_character_count\\":\\"0\\",\\"newsfeed_layout\\":\\"\\",\\"feed_display_order\\":\\"\\"}","created":"2014-11-28 12:58:38","created_by":"941","created_by_alias":"","modified":"","modified_by":null,"metakey":"","metadesc":"","metadata":"{\\"robots\\":\\"\\",\\"rights\\":\\"\\"}","xreference":"","publish_up":"","publish_down":"","description":"","version":1,"hits":null,"images":"{\\"image_first\\":\\"\\",\\"float_first\\":\\"\\",\\"image_first_alt\\":\\"\\",\\"image_first_caption\\":\\"\\",\\"image_second\\":\\"\\",\\"float_second\\":\\"\\",\\"image_second_alt\\":\\"\\",\\"image_second_caption\\":\\"\\"}"}',0),
(325,87,1,'','2014-11-28 13:03:17',56,51251,'66c3e2aff6ed8365348f15814d39698333b20348','{"id":87,"asset_id":"276","title":"Typography","alias":"typography","introtext":"<h3 class=\\"jm-typo-title\\">Image Borders<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-rounded\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-rounded\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<p><\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-circle\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-circle\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<p><\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-polaroid\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-polaroid\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Headings<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<h1>This is Heading One (h1)<\\/h1>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h2>This is Heading Two (h2)<\\/h2>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h3>This is Heading Three (h3)<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<h4>This is Heading Four (h4)<\\/h4>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h5>This is Heading Five (h5)<\\/h5>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h6>This is Heading Six (h6)<\\/h6>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Numered blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;p class=\\"jm-block\\"&gt;&lt;span class=\\"jm\\"&gt;01&lt;\\/span&gt;Text goes here&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">01<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">02<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">03<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;p class=\\"jm-block second\\"&gt;&lt;span class=\\"jm\\"&gt;a&lt;\\/span&gt;Text goes here&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">a<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">b<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">c<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Colored Blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<div class=\\"alert\\">&lt;div class=\\"alert\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<div class=\\"alert alert-error\\">&lt;div class=\\"alert alert-error\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<div class=\\"alert alert-success\\">&lt;div class=\\"alert alert-success\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<div class=\\"alert alert-info\\">&lt;div class=\\"alert alert-info\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Icon blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<p class=\\"jm-badge\\">&lt;p class=\\"jm-badge\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-calendar\\">&lt;p class=\\"jm-calendar\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-chat\\">&lt;p class=\\"jm-chat\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-check\\">&lt;p class=\\"jm-check\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-cloud\\">&lt;p class=\\"jm-cloud\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-direction\\">&lt;p class=\\"jm-direction\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-divide\\">&lt;p class=\\"jm-divide\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-error\\">&lt;p class=\\"jm-error\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-fire\\">&lt;p class=\\"jm-fire\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<p class=\\"jm-flag\\">&lt;p class=\\"jm-flag\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-heart\\">&lt;p class=\\"jm-heart\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-home\\">&lt;p class=\\"jm-home\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-info\\">&lt;p class=\\"jm-info\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-list\\">&lt;p class=\\"jm-list\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-mail\\">&lt;p class=\\"jm-mail\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-people\\">&lt;p class=\\"jm-people\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-star\\">&lt;p class=\\"jm-star\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-stat\\">&lt;p class=\\"jm-stat\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Blockquote<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;blockquote&gt;<br \\/>&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;\\/p&gt;<br \\/>&lt;small&gt;John Doe&lt;\\/small&gt;<br \\/>&lt;\\/blockquote&gt;<\\/pre>\\r\\n<blockquote>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n<small>John Doe<\\/small><\\/blockquote>\\r\\n<\\/div>\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;blockquote class=\\"pull-right\\"&gt;<br \\/>&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;\\/p&gt;<br \\/>&lt;small&gt;John Doe&lt;\\/small&gt;<br \\/>&lt;\\/blockquote&gt;<\\/pre>\\r\\n<blockquote class=\\"pull-right\\">\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n<small>John Doe<\\/small><\\/blockquote>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Unordered lists<\\/h3>\\r\\n<div class=\\"row-fluid\\" style=\\"margin-bottom: 30px;\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul class=\\"jm-color-list\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-color-list\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul class=\\"jm-light-list\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-light-list\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;ul class=\\"jm-custom-list\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-custom-list\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;ul class=\\"jm-custom-list green\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-custom-list green\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Ordered lists<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol class=\\"jm-roman\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol class=\\"jm-roman\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol class=\\"jm-alpha\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol class=\\"jm-alpha\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Read More Button<\\/h3>\\r\\n<pre>&lt;p class=\\"readmore\\"&gt;&lt;a class=\\"btn\\" href=\\"#\\"&gt;Read more&lt;\\/a&gt;&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"readmore\\"><a class=\\"btn\\" href=\\"#\\">Read more<\\/a><\\/p>\\r\\n<h3 class=\\"jm-typo-title\\">IcoMoon Font<\\/h3>\\r\\n<div>\\r\\n<pre>&lt;span class=\\"icon-joomla\\"&gt;&amp;nbsp&lt;\\/span&gt;<\\/pre>\\r\\n<\\/div>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span4\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-joomla\\"> <\\/span> .icon-joomla<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-up\\"> <\\/span> .icon-chevron-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-uparrow\\"> <\\/span> .icon-uparrow<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-up\\"> <\\/span> .icon-arrow-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-right\\"> <\\/span> .icon-chevron-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-rightarrow\\"> <\\/span> .icon-rightarrow<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-right\\"> <\\/span> .icon-arrow-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-down\\"> <\\/span> .icon-chevron-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-downarrow\\"> <\\/span> .icon-downarrow<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-down\\"> <\\/span> .icon-arrow-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-left\\"> <\\/span> .icon-chevron-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-leftarrow\\"> <\\/span> .icon-leftarrow<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-left\\"> <\\/span> .icon-arrow-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-first\\"> <\\/span> .icon-arrow-first<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-last\\"> <\\/span> .icon-arrow-last<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-up-2\\"> <\\/span> .icon-arrow-up-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-right-2\\"> <\\/span> .icon-arrow-right-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-down-2\\"> <\\/span> .icon-arrow-down-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-left-2\\"> <\\/span> .icon-arrow-left-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-up-3\\"> <\\/span> .icon-arrow-up-3<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-right-3\\"> <\\/span> .icon-arrow-right-3<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-down-3\\"> <\\/span> .icon-arrow-down-3<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-left-3\\"> <\\/span> .icon-arrow-left-3<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-menu-2\\"> <\\/span> .icon-menu-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-up-4\\"> <\\/span> .icon-arrow-up-4<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-right-4\\"> <\\/span> .icon-arrow-right-4<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-down-4\\"> <\\/span> .icon-arrow-down-4<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-left-4\\"> <\\/span> .icon-arrow-left-4<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-share\\"> <\\/span> .icon-share<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-redo\\"> <\\/span> .icon-redo<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-undo\\"> <\\/span> .icon-undo<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-forward-2\\"> <\\/span> .icon-forward-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-backward-2\\"> <\\/span> .icon-backward-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-reply\\"> <\\/span> .icon-reply<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-unblock\\"> <\\/span> .icon-unblock<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-refresh\\"> <\\/span> .icon-refresh<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-redo-2\\"> <\\/span> .icon-redo-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-undo-2\\"> <\\/span> .icon-undo-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-move\\"> <\\/span> .icon-move<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-expand\\"> <\\/span> .icon-expand<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-contract\\"> <\\/span> .icon-contract<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-expand-2\\"> <\\/span> .icon-expand-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-contract-2\\"> <\\/span> .icon-contract-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-play\\"> <\\/span> .icon-play<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pause\\"> <\\/span> .icon-pause<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-stop\\"> <\\/span> .icon-stop<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-previous\\"> <\\/span> .icon-previous<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-backward\\"> <\\/span> .icon-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-next\\"> <\\/span> .icon-next<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-forward\\"> <\\/span> .icon-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-first\\"> <\\/span> .icon-first<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-last\\"> <\\/span> .icon-last<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-play-circle\\"> <\\/span> .icon-play-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pause-circle\\"> <\\/span> .icon-pause-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-stop-circle\\"> <\\/span> .icon-stop-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-backward-circle\\"> <\\/span> .icon-backward-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-forward-circle\\"> <\\/span> .icon-forward-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-loop\\"> <\\/span> .icon-loop<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-shuffle\\"> <\\/span> .icon-shuffle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-search\\"> <\\/span> .icon-search<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-zoom-in\\"> <\\/span> .icon-zoom-in<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-zoom-out\\"> <\\/span> .icon-zoom-out<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-apply\\"> <\\/span> .icon-apply<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-edit\\"> <\\/span> .icon-edit<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pencil\\"> <\\/span> .icon-pencil<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pencil-2\\"> <\\/span> .icon-pencil-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-brush\\"> <\\/span> .icon-brush<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-save-new\\"> <\\/span> .icon-save-new<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plus-2\\"> <\\/span> .icon-plus-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ban-circle\\"> <\\/span> .icon-ban-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-minus-sign\\"> <\\/span> .icon-minus-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-minus-2\\"> <\\/span> .icon-minus-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-delete\\"> <\\/span> .icon-delete<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove\\"> <\\/span> .icon-remove<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cancel-2\\"> <\\/span> .icon-cancel-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-publish\\"> <\\/span> .icon-publish<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-save\\"> <\\/span> .icon-save<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok\\"> <\\/span> .icon-ok<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-checkmark\\"> <\\/span> .icon-checkmark<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-new\\"> <\\/span> .icon-new<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plus\\"> <\\/span> .icon-plus<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plus-circle\\"> <\\/span> .icon-plus-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-minus\\"> <\\/span> .icon-minus<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-not-ok\\"> <\\/span> .icon-not-ok<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-minus-circle\\"> <\\/span> .icon-minus-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-unpublish\\"> <\\/span> .icon-unpublish<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cancel\\"> <\\/span> .icon-cancel<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cancel-circle\\"> <\\/span> .icon-cancel-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-checkmark-2\\"> <\\/span> .icon-checkmark-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-checkmark-circle\\"> <\\/span> .icon-checkmark-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-info\\"> <\\/span> .icon-info<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-info-2\\"> <\\/span> .icon-info-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-info-circle\\"> <\\/span> .icon-info-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-question\\"> <\\/span> .icon-question<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-question-sign\\"> <\\/span> .icon-question-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-help\\"> <\\/span> .icon-help<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-question-2\\"> <\\/span> .icon-question-2<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-question-circle\\"> <\\/span> .icon-question-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-notification\\"> <\\/span> .icon-notification<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-notification-2\\"> <\\/span> .icon-notification-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-notification-circle\\"> <\\/span> .icon-notification-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pending\\"> <\\/span> .icon-pending<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-warning\\"> <\\/span> .icon-warning<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-warning-2\\"> <\\/span> .icon-warning-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-warning-circle\\"> <\\/span> .icon-warning-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-checkbox-unchecked\\"> <\\/span> .icon-checkbox-unchecked<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-checkin\\"> <\\/span> .icon-checkin<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-checkbox\\"> <\\/span> .icon-checkbox<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-checkbox-checked\\"> <\\/span> .icon-checkbox-checked<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-checkbox-partial\\"> <\\/span> .icon-checkbox-partial<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-square\\"> <\\/span> .icon-square<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-radio-unchecked\\"> <\\/span> .icon-radio-unchecked<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-radio-checked\\"> <\\/span> .icon-radio-checked<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle\\"> <\\/span> .icon-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-signup\\"> <\\/span> .icon-signup<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-grid\\"> <\\/span> .icon-grid<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-grid-view\\"> <\\/span> .icon-grid-view<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-grid-2\\"> <\\/span> .icon-grid-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-grid-view-2\\"> <\\/span> .icon-grid-view-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-menu\\"> <\\/span> .icon-menu<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-list\\"> <\\/span> .icon-list<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-list-view\\"> <\\/span> .icon-list-view<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-list-2\\"> <\\/span> .icon-list-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-menu-3\\"> <\\/span> .icon-menu-3<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-folder-open\\"> <\\/span> .icon-folder-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-folder\\"> <\\/span> .icon-folder<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-folder-close\\"> <\\/span> .icon-folder-close<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-folder-2\\"> <\\/span> .icon-folder-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-folder-plus\\"> <\\/span> .icon-folder-plus<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-folder-minus\\"> <\\/span> .icon-folder-minus<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-folder-3\\"> <\\/span> .icon-folder-3<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-folder-plus-2\\"> <\\/span> .icon-folder-plus-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-folder-remove\\"> <\\/span> .icon-folder-remove<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-file\\"> <\\/span> .icon-file<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-file-2\\"> <\\/span> .icon-file-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-file-add\\"> <\\/span> .icon-file-add<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-file-plus\\"> <\\/span> .icon-file-plus<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-file-remove\\"> <\\/span> .icon-file-remove<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-file-minus\\"> <\\/span> .icon-file-minus<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-file-check\\"> <\\/span> .icon-file-check<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-file-remove\\"> <\\/span> .icon-file-remove<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-save-copy\\"> <\\/span> .icon-save-copy<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-copy\\"> <\\/span> .icon-copy<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-stack\\"> <\\/span> .icon-stack<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tree\\"> <\\/span> .icon-tree<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tree-2\\"> <\\/span> .icon-tree-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-paragraph-left\\"> <\\/span> .icon-paragraph-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-paragraph-center\\"> <\\/span> .icon-paragraph-center<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-paragraph-right\\"> <\\/span> .icon-paragraph-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-paragraph-justify\\"> <\\/span> .icon-paragraph-justify<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-screen\\"> <\\/span> .icon-screen<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tablet\\"> <\\/span> .icon-tablet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-mobile\\"> <\\/span> .icon-mobile<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-box-add\\"> <\\/span> .icon-box-add<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-box-remove\\"> <\\/span> .icon-box-remove<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-download\\"> <\\/span> .icon-download<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-upload\\"> <\\/span> .icon-upload<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-home\\"> <\\/span> .icon-home<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-home-2\\"> <\\/span> .icon-home-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-out-2\\"> <\\/span> .icon-out-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-new-tab\\"> <\\/span> .icon-new-tab<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-out-3\\"> <\\/span> .icon-out-3<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-new-tab-2\\"> <\\/span> .icon-new-tab-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-link\\"> <\\/span> .icon-link<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-picture\\"> <\\/span> .icon-picture<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-image\\"> <\\/span> .icon-image<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pictures\\"> <\\/span> .icon-pictures<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-images\\"> <\\/span> .icon-images<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-palette\\"> <\\/span> .icon-palette<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-color-palette\\"> <\\/span> .icon-color-palette<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-camera\\"> <\\/span> .icon-camera<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-camera-2\\"> <\\/span> .icon-camera-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-video\\"> <\\/span> .icon-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-play-2\\"> <\\/span> .icon-play-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-video-2\\"> <\\/span> .icon-video-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-youtube\\"> <\\/span> .icon-youtube<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-music\\"> <\\/span> .icon-music<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-user\\"> <\\/span> .icon-user<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-users\\"> <\\/span> .icon-users<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-vcard\\"> <\\/span> .icon-vcard<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-address\\"> <\\/span> .icon-address<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-share-alt\\"> <\\/span> .icon-share-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-out\\"> <\\/span> .icon-out<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-enter\\"> <\\/span> .icon-enter<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-exit\\"> <\\/span> .icon-exit<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-comment\\"> <\\/span> .icon-comment<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-comments\\"> <\\/span> .icon-comments<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-comments-2\\"> <\\/span> .icon-comments-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-quote\\"> <\\/span> .icon-quote<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-quotes-left\\"> <\\/span> .icon-quotes-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-quote-2\\"> <\\/span> .icon-quote-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-quotes-right\\"> <\\/span> .icon-quotes-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-quote-3\\"> <\\/span> .icon-quote-3<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bubble-quote\\"> <\\/span> .icon-bubble-quote<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-phone\\"> <\\/span> .icon-phone<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-phone-2\\"> <\\/span> .icon-phone-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-envelope\\"> <\\/span> .icon-envelope<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-mail\\"> <\\/span> .icon-mail<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-envelope-opened\\"> <\\/span> .icon-envelope-opened<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-mail-2\\"> <\\/span> .icon-mail-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-unarchive\\"> <\\/span> .icon-unarchive<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-drawer\\"> <\\/span> .icon-drawer<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-archive\\"> <\\/span> .icon-archive<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-drawer-2\\"> <\\/span> .icon-drawer-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-briefcase\\"> <\\/span> .icon-briefcase<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tag\\"> <\\/span> .icon-tag<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tag-2\\"> <\\/span> .icon-tag-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tags\\"> <\\/span> .icon-tags<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tags-2\\"> <\\/span> .icon-tags-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-options\\"> <\\/span> .icon-options<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cog\\"> <\\/span> .icon-cog<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cogs\\"> <\\/span> .icon-cogs<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-screwdriver\\"> <\\/span> .icon-screwdriver<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tools\\"> <\\/span> .icon-tools<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-wrench\\"> <\\/span> .icon-wrench<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-equalizer\\"> <\\/span> .icon-equalizer<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-dashboard\\"> <\\/span> .icon-dashboard<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-switch\\"> <\\/span> .icon-switch<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-filter\\"> <\\/span> .icon-filter<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-purge\\"> <\\/span> .icon-purge<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-trash\\"> <\\/span> .icon-trash<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-checkedout\\"> <\\/span> .icon-checkedout<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-lock\\"> <\\/span> .icon-lock<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-locked\\"> <\\/span> .icon-locked<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-unlock\\"> <\\/span> .icon-unlock<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-key\\"> <\\/span> .icon-key<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-support\\"> <\\/span> .icon-support<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-database\\"> <\\/span> .icon-database<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-scissors\\"> <\\/span> .icon-scissors<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-health\\"> <\\/span> .icon-health<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-wand\\"> <\\/span> .icon-wand<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eye-open\\"> <\\/span> .icon-eye-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eye\\"> <\\/span> .icon-eye<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eye-close\\"> <\\/span> .icon-eye-close<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eye-blocked\\"> <\\/span> .icon-eye-blocked<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eye-2\\"> <\\/span> .icon-eye-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-clock\\"> <\\/span> .icon-clock<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-compass\\"> <\\/span> .icon-compass<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-broadcast\\"> <\\/span> .icon-broadcast<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-connection\\"> <\\/span> .icon-connection<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-wifi\\"> <\\/span> .icon-wifi<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-book\\"> <\\/span> .icon-book<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-lightning\\"> <\\/span> .icon-lightning<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-flash\\"> <\\/span> .icon-flash<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-print\\"> <\\/span> .icon-print<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-printer\\"> <\\/span> .icon-printer<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-feed\\"> <\\/span> .icon-feed<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-calendar\\"> <\\/span> .icon-calendar<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-calendar-2\\"> <\\/span> .icon-calendar-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-calendar-3\\"> <\\/span> .icon-calendar-3<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pie\\"> <\\/span> .icon-pie<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bars\\"> <\\/span> .icon-bars<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chart\\"> <\\/span> .icon-chart<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-power-cord\\"> <\\/span> .icon-power-cord<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cube\\"> <\\/span> .icon-cube<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-puzzle\\"> <\\/span> .icon-puzzle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-attachment\\"> <\\/span> .icon-attachment<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-paperclip\\"> <\\/span> .icon-paperclip<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-flag-2\\"> <\\/span> .icon-flag-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-lamp\\"> <\\/span> .icon-lamp<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pin\\"> <\\/span> .icon-pin<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pushpin\\"> <\\/span> .icon-pushpin<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-location\\"> <\\/span> .icon-location<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-shield\\"> <\\/span> .icon-shield<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-flag\\"> <\\/span> .icon-flag<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-flag-3\\"> <\\/span> .icon-flag-3<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bookmark\\"> <\\/span> .icon-bookmark<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bookmark-2\\"> <\\/span> .icon-bookmark-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-heart\\"> <\\/span> .icon-heart<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-heart-2\\"> <\\/span> .icon-heart-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-thumbs-up\\"> <\\/span> .icon-thumbs-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-thumbs-down\\"> <\\/span> .icon-thumbs-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-unfeatured\\"> <\\/span> .icon-unfeatured<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-asterisk\\"> <\\/span> .icon-asterisk<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-star-empty\\"> <\\/span> .icon-star-empty<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-star-2\\"> <\\/span> .icon-star-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-featured\\"> <\\/span> .icon-featured<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-default\\"> <\\/span> .icon-default<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-star\\"> <\\/span> .icon-star<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-smiley\\"> <\\/span> .icon-smiley<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-smiley-happy\\"> <\\/span> .icon-smiley-happy<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-smiley-2\\"> <\\/span> .icon-smiley-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-smiley-happy-2\\"> <\\/span> .icon-smiley-happy-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-smiley-sad\\"> <\\/span> .icon-smiley-sad<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-smiley-sad-2\\"> <\\/span> .icon-smiley-sad-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-smiley-neutral\\"> <\\/span> .icon-smiley-neutral<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-smiley-neutral-2\\"> <\\/span> .icon-smiley-neutral-2<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cart\\"> <\\/span> .icon-cart<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-basket\\"> <\\/span> .icon-basket<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-credit\\"> <\\/span> .icon-credit<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-credit-2\\"> <\\/span> .icon-credit-2<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Top Contact Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;ul class=\\"jm-contact-icons\\"&gt;<br \\/>&lt;li class=\\"jm-direction\\"&gt;&lt;img src=\\"images\\/modules\\/direction.png\\" alt=\\"Direction\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"#\\"&gt;Peterborough, UK&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;li class=\\"jm-email\\"&gt;&lt;img src=\\"images\\/modules\\/email.png\\" alt=\\"Email\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"#\\"&gt;Email&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;li class=\\"jm-phone\\"&gt;&lt;img src=\\"images\\/modules\\/phone.png\\" alt=\\"Phone\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"#\\"&gt;+44 7837 383 484&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-contact-icons\\">\\r\\n<li class=\\"jm-direction\\"><img src=\\"images\\/modules\\/direction.png\\" alt=\\"Direction\\" \\/><a title=\\"Contact\\" href=\\"#\\">Peterborough, UK<\\/a><\\/li>\\r\\n<li class=\\"jm-email\\"><img src=\\"images\\/modules\\/email.png\\" alt=\\"Email\\" \\/><a title=\\"Contact\\" href=\\"#\\">Email<\\/a><\\/li>\\r\\n<li class=\\"jm-phone\\"><img src=\\"images\\/modules\\/phone.png\\" alt=\\"Phone\\" \\/><a title=\\"Contact\\" href=\\"#\\">+44 7837 383 484<\\/a><\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Color Boxes<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;p style=\\"margin: 0;\\"&gt;<br \\/>&lt;a class=\\"jm-color-box1 text-center\\" href=\\"#\\"&gt;<br \\/>&lt;span class=\\"jm-icon-title\\"&gt;<br \\/>TIME MACHINE<br \\/>&lt;\\/span&gt; <br \\/>&lt;span class=\\"jm-icon-image\\"&gt;&amp;nbsp;&lt;\\/span&gt; <br \\/>&lt;span class=\\"jm-icon-desc\\"&gt;Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.&lt;\\/span&gt; <br \\/>&lt;\\/a&gt;<br \\/>&lt;\\/p&gt;<\\/pre>\\r\\n<p style=\\"margin: 0;\\"><a class=\\"jm-color-box1 text-center\\" href=\\"#\\"> <span class=\\"jm-icon-title\\">TIME MACHINE<\\/span> <span class=\\"jm-icon-image\\"> <\\/span> <span class=\\"jm-icon-desc\\">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/span> <\\/a><\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;p style=\\"margin: 0;\\"&gt;<br \\/>&lt;a class=\\"jm-color-box2 text-center\\" href=\\"#\\"&gt;<br \\/>&lt;span class=\\"jm-icon-title\\"&gt;<br \\/>ANALYTICS<br \\/>&lt;\\/span&gt;<br \\/>&lt;span class=\\"jm-icon-image\\"&gt;&amp;nbsp;&lt;\\/span&gt;<br \\/>&lt;span class=\\"jm-icon-desc\\"&gt;Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.&lt;\\/span&gt;<br \\/>&lt;\\/a&gt;<br \\/>&lt;\\/p&gt;<\\/pre>\\r\\n<p style=\\"margin: 0;\\"><a class=\\"jm-color-box2 text-center\\" href=\\"#\\"> <span class=\\"jm-icon-title\\">ANALYTICS<\\/span> <span class=\\"jm-icon-image\\"> <\\/span> <span class=\\"jm-icon-desc\\">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/span> <\\/a><\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;p style=\\"margin: 0;\\"&gt;<br \\/>&lt;a class=\\"jm-color-box3 text-center\\" href=\\"#\\"&gt;<br \\/>&lt;span class=\\"jm-icon-title\\"&gt;<br \\/>WORLDWIDE SERVICE<br \\/>&lt;\\/span&gt;<br \\/>&lt;span class=\\"jm-icon-image\\"&gt;&amp;nbsp;&lt;\\/span&gt;<br \\/>&lt;span class=\\"jm-icon-desc\\"&gt;Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.&lt;\\/span&gt;<br \\/>&lt;\\/a&gt;<br \\/>&lt;\\/p&gt;<\\/pre>\\r\\n<p style=\\"margin: 0;\\"><a class=\\"jm-color-box3 text-center\\" href=\\"#\\"> <span class=\\"jm-icon-title\\">WORLDWIDE SERVICE<\\/span> <span class=\\"jm-icon-image\\"> <\\/span> <span class=\\"jm-icon-desc\\">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/span> <\\/a><\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Just Few Words Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"pull-left visible-desktop\\"&gt;<br \\/>&lt;img class=\\"jm-image-margin\\" src=\\"images\\/modules\\/custom1.jpg\\" alt=\\"Custom\\" \\/&gt;<br \\/>&lt;\\/div&gt;<br \\/>&lt;div class=\\"jm-table\\"&gt;<br \\/>&lt;h3 class=\\"jm-title\\" style=\\"margin-bottom: 20px;\\"&gt;JUST FEW WORDS&lt;\\/h3&gt;<br \\/>&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore.&lt;\\/p&gt;<br \\/>&lt;ul class=\\"jm-custom-list\\"&gt;<br \\/>&lt;li&gt;Ut enim ad minim veniam, quis nostrud&lt;\\/li&gt;<br \\/>&lt;li&gt;Exercitation ullamco laboris nisi&lt;\\/li&gt;<br \\/>&lt;li&gt;Ut aliquip ex ea commodo consequat.&lt;\\/li&gt;<br \\/>&lt;li&gt;Duis aute irure dolor in reprehenderit&lt;\\/li&gt;<br \\/>&lt;\\/ul&gt;<br \\/>&lt;p class=\\"readmore text-right\\"&gt;&lt;a class=\\"btn\\" href=\\"#\\"&gt;read more&lt;\\/a&gt;&lt;\\/p&gt;<br \\/>&lt;\\/div&gt;<\\/pre>\\r\\n<div class=\\"jm-module clearfix\\">\\r\\n<div class=\\"pull-left visible-desktop\\"><img class=\\"jm-image-margin\\" src=\\"images\\/modules\\/custom1.jpg\\" alt=\\"Custom\\" \\/><\\/div>\\r\\n<div class=\\"jm-table\\">\\r\\n<h3 class=\\"jm-title\\" style=\\"margin-bottom: 20px;\\">JUST FEW WORDS<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore.<\\/p>\\r\\n<ul class=\\"jm-custom-list\\">\\r\\n<li>Ut enim ad minim veniam, quis nostrud<\\/li>\\r\\n<li>Exercitation ullamco laboris nisi<\\/li>\\r\\n<li>Ut aliquip ex ea commodo consequat.<\\/li>\\r\\n<li>Duis aute irure dolor in reprehenderit<\\/li>\\r\\n<\\/ul>\\r\\n<p class=\\"readmore text-right\\"><a class=\\"btn\\" href=\\"#\\"> read more <\\/a><\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Social Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<div class=\\"jm-socials\\">\\r\\n<pre>&lt;div class=\\"jm-socials\\"&gt;<br \\/>&lt;a class=\\"facebook\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"googleplus\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"twitter\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"linkedin\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"skype\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"vimeo\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;\\/div&gt;<\\/pre>\\r\\n<a class=\\"facebook\\" href=\\"#\\"> <\\/a> <a class=\\"googleplus\\" href=\\"#\\"> <\\/a> <a class=\\"twitter\\" href=\\"#\\"> <\\/a> <a class=\\"linkedin\\" href=\\"#\\"> <\\/a> <a class=\\"skype\\" href=\\"#\\"> <\\/a> <a class=\\"vimeo\\" href=\\"#\\"> <\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Our Cooks Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"media\\"&gt;<br \\/>&lt;a class=\\"pull-left\\" href=\\"#\\"&gt; &lt;img src=\\"images\\/culinary\\/modules\\/cooks\\/cook1.png\\" alt=\\"\\" \\/&gt; &lt;\\/a&gt;<br \\/>&lt;div class=\\"media-body\\"&gt;<br \\/>&lt;h5 class=\\"media-heading\\"&gt;&lt;a href=\\"#\\"&gt;Greg Amaro&lt;\\/a&gt;&lt;\\/h5&gt;<br \\/>&lt;p&gt;Consectetur adipisicing elit sed do eimod tempor.&lt;\\/p&gt;<br \\/>&lt;\\/div&gt;<br \\/>&lt;\\/div&gt;<br \\/>&lt;div class=\\"media\\"&gt;<br \\/>&lt;a class=\\"pull-left\\" href=\\"#\\"&gt; &lt;img src=\\"images\\/culinary\\/modules\\/cooks\\/cook2.png\\" alt=\\"\\" \\/&gt; &lt;\\/a&gt;<br \\/>&lt;div class=\\"media-body\\"&gt;<br \\/>&lt;h5 class=\\"media-heading\\"&gt;&lt;a href=\\"#\\"&gt;Jimmy Gessler&lt;\\/a&gt;&lt;\\/h5&gt;<br \\/>&lt;p&gt;Consectetur adipisicing elit sed do eimod tempor.&lt;\\/p&gt;<br \\/>&lt;\\/div&gt;<br \\/>&lt;\\/div&gt;<\\/pre>\\r\\n<div class=\\"media\\"><a class=\\"pull-left\\" href=\\"#\\"> <img src=\\"images\\/culinary\\/modules\\/cooks\\/cook1.png\\" alt=\\"\\" \\/> <\\/a>\\r\\n<div class=\\"media-body\\">\\r\\n<h5 class=\\"media-heading\\"><a href=\\"#\\">Greg Amaro<\\/a><\\/h5>\\r\\n<p>Consectetur adipisicing elit sed do eimod tempor.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"media\\"><a class=\\"pull-left\\" href=\\"#\\"> <img src=\\"images\\/culinary\\/modules\\/cooks\\/cook2.png\\" alt=\\"\\" \\/> <\\/a>\\r\\n<div class=\\"media-body\\">\\r\\n<h5 class=\\"media-heading\\"><a href=\\"#\\">Jimmy Gessler<\\/a><\\/h5>\\r\\n<p>Consectetur adipisicing elit sed do eimod tempor.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"78","created":"2014-05-14 12:40:26","created_by":"941","created_by_alias":"","modified":"2014-11-28 13:03:17","modified_by":"941","checked_out":"941","checked_out_time":"2014-11-28 13:02:57","publish_up":"2014-05-14 12:40:26","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":60,"ordering":"7","metakey":"","metadesc":"","access":"1","hits":"155","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(326,87,1,'','2014-11-28 13:05:58',56,42553,'54022d16e41c15fa2f970d29063867793b40feca','{"id":87,"asset_id":"276","title":"Typography","alias":"typography","introtext":"<h3 class=\\"jm-typo-title\\">Image Borders<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-rounded\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-rounded\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<p><\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-circle\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-circle\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<p><\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-polaroid\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-polaroid\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Headings<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<h1>This is Heading One (h1)<\\/h1>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h2>This is Heading Two (h2)<\\/h2>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h3>This is Heading Three (h3)<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<h4>This is Heading Four (h4)<\\/h4>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h5>This is Heading Five (h5)<\\/h5>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h6>This is Heading Six (h6)<\\/h6>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Numered blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;p class=\\"jm-block\\"&gt;&lt;span class=\\"jm\\"&gt;01&lt;\\/span&gt;Text goes here&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">01<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">02<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">03<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;p class=\\"jm-block second\\"&gt;&lt;span class=\\"jm\\"&gt;a&lt;\\/span&gt;Text goes here&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">a<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">b<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">c<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Colored Blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<div class=\\"alert\\">&lt;div class=\\"alert\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<div class=\\"alert alert-error\\">&lt;div class=\\"alert alert-error\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<div class=\\"alert alert-success\\">&lt;div class=\\"alert alert-success\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<div class=\\"alert alert-info\\">&lt;div class=\\"alert alert-info\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Icon blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<p class=\\"jm-badge\\">&lt;p class=\\"jm-badge\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-calendar\\">&lt;p class=\\"jm-calendar\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-chat\\">&lt;p class=\\"jm-chat\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-check\\">&lt;p class=\\"jm-check\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-cloud\\">&lt;p class=\\"jm-cloud\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-direction\\">&lt;p class=\\"jm-direction\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-divide\\">&lt;p class=\\"jm-divide\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-error\\">&lt;p class=\\"jm-error\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-fire\\">&lt;p class=\\"jm-fire\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<p class=\\"jm-flag\\">&lt;p class=\\"jm-flag\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-heart\\">&lt;p class=\\"jm-heart\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-home\\">&lt;p class=\\"jm-home\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-info\\">&lt;p class=\\"jm-info\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-list\\">&lt;p class=\\"jm-list\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-mail\\">&lt;p class=\\"jm-mail\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-people\\">&lt;p class=\\"jm-people\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-star\\">&lt;p class=\\"jm-star\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-stat\\">&lt;p class=\\"jm-stat\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Blockquote<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;blockquote&gt;<br \\/>&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;\\/p&gt;<br \\/>&lt;small&gt;John Doe&lt;\\/small&gt;<br \\/>&lt;\\/blockquote&gt;<\\/pre>\\r\\n<blockquote>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n<small>John Doe<\\/small><\\/blockquote>\\r\\n<\\/div>\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;blockquote class=\\"pull-right\\"&gt;<br \\/>&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;\\/p&gt;<br \\/>&lt;small&gt;John Doe&lt;\\/small&gt;<br \\/>&lt;\\/blockquote&gt;<\\/pre>\\r\\n<blockquote class=\\"pull-right\\">\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n<small>John Doe<\\/small><\\/blockquote>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Unordered lists<\\/h3>\\r\\n<div class=\\"row-fluid\\" style=\\"margin-bottom: 30px;\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul class=\\"jm-color-list\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-color-list\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul class=\\"jm-light-list\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-light-list\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;ul class=\\"jm-custom-list\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-custom-list\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;ul class=\\"jm-custom-list green\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-custom-list green\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Ordered lists<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol class=\\"jm-roman\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol class=\\"jm-roman\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol class=\\"jm-alpha\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol class=\\"jm-alpha\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Read More Button<\\/h3>\\r\\n<pre>&lt;p class=\\"readmore\\"&gt;&lt;a class=\\"btn\\" href=\\"#\\"&gt;Read more&lt;\\/a&gt;&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"readmore\\"><a class=\\"btn\\" href=\\"#\\">Read more<\\/a><\\/p>\\r\\n<h3 class=\\"jm-typo-title\\">Glyphicon Font<\\/h3>\\r\\n<div>\\r\\n<pre>&lt;span class=\\"icon-joomla\\"&gt;&amp;nbsp&lt;\\/span&gt;<\\/pre>\\r\\n<\\/div>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-asterisk\\"> <\\/span> icon-asterisk<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plus\\"> <\\/span> icon-plus<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-euro\\"> <\\/span> icon-euro<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-minus\\"> <\\/span> icon-minus<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cloud\\"> <\\/span> icon-cloud<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-envelope\\"> <\\/span> icon-envelope<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pencil\\"> <\\/span> icon-pencil<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-glass\\"> <\\/span> icon-glass<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-music\\"> <\\/span> icon-music<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-search\\"> <\\/span> icon-search<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-heart\\"> <\\/span> icon-heart<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-star\\"> <\\/span> icon-star<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-star-empty\\"> <\\/span> icon-star-empty<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-user\\"> <\\/span> icon-user<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-film\\"> <\\/span> icon-film<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-th-large\\"> <\\/span> icon-th-large<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-th\\"> <\\/span> icon-th<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-th-list\\"> <\\/span> icon-th-list<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok\\"> <\\/span> icon-ok<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove\\"> <\\/span> icon-remove<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-zoom-in\\"> <\\/span> icon-zoom-in<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-zoom-out\\"> <\\/span> icon-zoom-out<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-off\\"> <\\/span> icon-off<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-signal\\"> <\\/span> icon-signal<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cog\\"> <\\/span> icon-cog<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-trash\\"> <\\/span> icon-trash<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-home\\"> <\\/span> icon-home<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-file\\"> <\\/span> icon-file<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-time\\"> <\\/span> icon-time<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-road\\"> <\\/span> icon-road<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-download-alt\\"> <\\/span> icon-download-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-download\\"> <\\/span> icon-download<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-upload\\"> <\\/span> icon-upload<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-inbox\\"> <\\/span> icon-inbox<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-play-circle\\"> <\\/span> icon-play-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-repeat\\"> <\\/span> icon-repeat<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-refresh\\"> <\\/span> icon-refresh<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-list-alt\\"> <\\/span> icon-list-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-lock\\"> <\\/span> icon-lock<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-flag\\"> <\\/span> icon-flag<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-headphones\\"> <\\/span> icon-headphones<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-volume-off\\"> <\\/span> icon-volume-off<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-volume-down\\"> <\\/span> icon-volume-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-volume-up\\"> <\\/span> icon-volume-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-qrcode\\"> <\\/span> icon-qrcode<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-barcode\\"> <\\/span> icon-barcode<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tag\\"> <\\/span> icon-tag<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tags\\"> <\\/span> icon-tags<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-book\\"> <\\/span> icon-book<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bookmark\\"> <\\/span> icon-bookmark<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-print\\"> <\\/span> icon-print<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-camera\\"> <\\/span> icon-camera<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-font\\"> <\\/span> icon-font<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bold\\"> <\\/span> icon-bold<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-italic\\"> <\\/span> icon-italic<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-text-height\\"> <\\/span> icon-text-height<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-text-width\\"> <\\/span> icon-text-width<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-left\\"> <\\/span> icon-align-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-center\\"> <\\/span> icon-align-center<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-right\\"> <\\/span> icon-align-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-justify\\"> <\\/span> icon-align-justify<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-list\\"> <\\/span> icon-list<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-indent-left\\"> <\\/span> icon-indent-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-indent-right\\"> <\\/span> icon-indent-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-facetime-video\\"> <\\/span> icon-facetime-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-picture\\"> <\\/span> icon-picture<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-map-marker\\"> <\\/span> icon-map-marker<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-adjust\\"> <\\/span> icon-adjust<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tint\\"> <\\/span> icon-tint<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-edit\\"> <\\/span> icon-edit<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-share\\"> <\\/span> icon-share<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-check\\"> <\\/span> icon-check<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-move\\"> <\\/span> icon-move<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-step-backward\\"> <\\/span> icon-step-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fast-backward\\"> <\\/span> icon-fast-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-backward\\"> <\\/span> icon-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-play\\"> <\\/span> icon-play<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pause\\"> <\\/span> icon-pause<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-stop\\"> <\\/span> icon-stop<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-forward\\"> <\\/span> icon-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fast-forward\\"> <\\/span> icon-fast-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-step-forward\\"> <\\/span> icon-step-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eject\\"> <\\/span> icon-eject<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-left\\"> <\\/span> icon-chevron-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-right\\"> <\\/span> icon-chevron-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plus-sign\\"> <\\/span> icon-plus-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-minus-sign\\"> <\\/span> icon-minus-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove-sign\\"> <\\/span> icon-remove-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok-sign\\"> <\\/span> icon-ok-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-question-sign\\"> <\\/span> icon-question-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-info-sign\\"> <\\/span> icon-info-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-screenshot\\"> <\\/span> icon-screenshot<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove-circle\\"> <\\/span> icon-remove-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok-circle\\"> <\\/span> icon-ok-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ban-circle\\"> <\\/span> icon-ban-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-left\\"> <\\/span> icon-arrow-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-right\\"> <\\/span> icon-arrow-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-up\\"> <\\/span> icon-arrow-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-down\\"> <\\/span> icon-arrow-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-share-alt\\"> <\\/span> icon-share-alt<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-full\\"> <\\/span> icon-resize-full<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-small\\"> <\\/span> icon-resize-small<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-exclamation-sign\\"> <\\/span> icon-exclamation-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-gift\\"> <\\/span> icon-gift<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-leaf\\"> <\\/span> icon-leaf<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fire\\"> <\\/span> icon-fire<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eye-open\\"> <\\/span> icon-eye-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eye-close\\"> <\\/span> icon-eye-close<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-warning-sign\\"> <\\/span> icon-warning-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plane\\"> <\\/span> icon-plane<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-calendar\\"> <\\/span> icon-calendar<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-random\\"> <\\/span> icon-random<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-comment\\"> <\\/span> icon-comment<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-magnet\\"> <\\/span> icon-magnet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-up\\"> <\\/span> icon-chevron-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-down\\"> <\\/span> icon-chevron-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-retweet\\"> <\\/span> icon-retweet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-shopping-cart\\"> <\\/span> icon-shopping-cart<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-folder-close\\"> <\\/span> icon-folder-close<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-folder-open\\"> <\\/span> icon-folder-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-vertical\\"> <\\/span> icon-resize-vertical<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-horizontal\\"> <\\/span> icon-resize-horizontal<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hdd\\"> <\\/span> icon-hdd<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bullhorn\\"> <\\/span> icon-bullhorn<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bell\\"> <\\/span> icon-bell<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-certificate\\"> <\\/span> icon-certificate<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-thumbs-up\\"> <\\/span> icon-thumbs-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-thumbs-down\\"> <\\/span> icon-thumbs-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-right\\"> <\\/span> icon-hand-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-left\\"> <\\/span> icon-hand-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-up\\"> <\\/span> icon-hand-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-down\\"> <\\/span> icon-hand-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-right\\"> <\\/span> icon-circle-arrow-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-left\\"> <\\/span> icon-circle-arrow-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-up\\"> <\\/span> icon-circle-arrow-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-down\\"> <\\/span> icon-circle-arrow-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-globe\\"> <\\/span> icon-globe<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-wrench\\"> <\\/span> icon-wrench<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tasks\\"> <\\/span> icon-tasks<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-filter\\"> <\\/span> icon-filter<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-briefcase\\"> <\\/span> icon-briefcase<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fullscreen\\"> <\\/span> icon-fullscreen<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-dashboard\\"> <\\/span> icon-dashboard<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-paperclip\\"> <\\/span> icon-paperclip<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-heart-empty\\"> <\\/span> icon-heart-empty<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-link\\"> <\\/span> icon-link<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-phone\\"> <\\/span> icon-phone<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pushpin\\"> <\\/span> icon-pushpin<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-usd\\"> <\\/span> icon-usd<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-gbp\\"> <\\/span> icon-gbp<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort\\"> <\\/span> icon-sort<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-alphabet\\"> <\\/span> icon-sort-by-alphabet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-alphabet-alt\\"> <\\/span> icon-sort-by-alphabet-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-order\\"> <\\/span> icon-sort-by-order<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-order-alt\\"> <\\/span> icon-sort-by-order-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-attributes\\"> <\\/span> icon-sort-by-attributes<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-attributes-alt\\"> <\\/span> icon-sort-by-attributes-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-unchecked\\"> <\\/span> icon-unchecked<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-expand\\"> <\\/span> icon-expand<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-collapse-down\\"> <\\/span> icon-collapse-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-collapse-up\\"> <\\/span> icon-collapse-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-log-in\\"> <\\/span> icon-log-in<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-flash\\"> <\\/span> icon-flash<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-log-out\\"> <\\/span> icon-log-out<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-new-window\\"> <\\/span> icon-new-window<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-record\\"> <\\/span> icon-record<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-save\\"> <\\/span> icon-save<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-open\\"> <\\/span> icon-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-saved\\"> <\\/span> icon-saved<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-import\\"> <\\/span> icon-import<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-export\\"> <\\/span> icon-export<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-send\\"> <\\/span> icon-send<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-disk\\"> <\\/span> icon-floppy-disk<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-saved\\"> <\\/span> icon-floppy-saved<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-remove\\"> <\\/span> icon-floppy-remove<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-save\\"> <\\/span> icon-floppy-save<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-open\\"> <\\/span> icon-floppy-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-credit-card\\"> <\\/span> icon-credit-card<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-transfer\\"> <\\/span> icon-transfer<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cutlery\\"> <\\/span> icon-cutlery<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-header\\"> <\\/span> icon-header<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-compressed\\"> <\\/span> icon-compressed<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-earphone\\"> <\\/span> icon-earphone<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-phone-alt\\"> <\\/span> icon-phone-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tower\\"> <\\/span> icon-tower<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-stats\\"> <\\/span> icon-stats<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sd-video\\"> <\\/span> icon-sd-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hd-video\\"> <\\/span> icon-hd-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-subtitles\\"> <\\/span> icon-subtitles<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-stereo\\"> <\\/span> icon-sound-stereo<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-dolby\\"> <\\/span> icon-sound-dolby<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-5-1\\"> <\\/span> icon-sound-5-1<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-6-1\\"> <\\/span> icon-sound-6-1<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-7-1\\"> <\\/span> icon-sound-7-1<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-copyright-mark\\"> <\\/span> icon-copyright-mark<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-registration-mark\\"> <\\/span> icon-registration-mark<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cloud-download\\"> <\\/span> icon-cloud-download<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cloud-upload\\"> <\\/span> icon-cloud-upload<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tree-conifer\\"> <\\/span> icon-tree-conifer<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tree-deciduous\\"> <\\/span> icon-tree-deciduous<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Top Contact Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;ul class=\\"jm-contact-icons\\"&gt;<br \\/>&lt;li class=\\"jm-direction\\"&gt;&lt;img src=\\"images\\/modules\\/direction.png\\" alt=\\"Direction\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"#\\"&gt;Peterborough, UK&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;li class=\\"jm-email\\"&gt;&lt;img src=\\"images\\/modules\\/email.png\\" alt=\\"Email\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"#\\"&gt;Email&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;li class=\\"jm-phone\\"&gt;&lt;img src=\\"images\\/modules\\/phone.png\\" alt=\\"Phone\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"#\\"&gt;+44 7837 383 484&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-contact-icons\\">\\r\\n<li class=\\"jm-direction\\"><img src=\\"images\\/modules\\/direction.png\\" alt=\\"Direction\\" \\/><a title=\\"Contact\\" href=\\"#\\">Peterborough, UK<\\/a><\\/li>\\r\\n<li class=\\"jm-email\\"><img src=\\"images\\/modules\\/email.png\\" alt=\\"Email\\" \\/><a title=\\"Contact\\" href=\\"#\\">Email<\\/a><\\/li>\\r\\n<li class=\\"jm-phone\\"><img src=\\"images\\/modules\\/phone.png\\" alt=\\"Phone\\" \\/><a title=\\"Contact\\" href=\\"#\\">+44 7837 383 484<\\/a><\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Color Boxes<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;p style=\\"margin: 0;\\"&gt;<br \\/>&lt;a class=\\"jm-color-box1 text-center\\" href=\\"#\\"&gt;<br \\/>&lt;span class=\\"jm-icon-title\\"&gt;<br \\/>TIME MACHINE<br \\/>&lt;\\/span&gt; <br \\/>&lt;span class=\\"jm-icon-image\\"&gt;&amp;nbsp;&lt;\\/span&gt; <br \\/>&lt;span class=\\"jm-icon-desc\\"&gt;Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.&lt;\\/span&gt; <br \\/>&lt;\\/a&gt;<br \\/>&lt;\\/p&gt;<\\/pre>\\r\\n<p style=\\"margin: 0;\\"><a class=\\"jm-color-box1 text-center\\" href=\\"#\\"> <span class=\\"jm-icon-title\\">TIME MACHINE<\\/span> <span class=\\"jm-icon-image\\"> <\\/span> <span class=\\"jm-icon-desc\\">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/span> <\\/a><\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;p style=\\"margin: 0;\\"&gt;<br \\/>&lt;a class=\\"jm-color-box2 text-center\\" href=\\"#\\"&gt;<br \\/>&lt;span class=\\"jm-icon-title\\"&gt;<br \\/>ANALYTICS<br \\/>&lt;\\/span&gt;<br \\/>&lt;span class=\\"jm-icon-image\\"&gt;&amp;nbsp;&lt;\\/span&gt;<br \\/>&lt;span class=\\"jm-icon-desc\\"&gt;Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.&lt;\\/span&gt;<br \\/>&lt;\\/a&gt;<br \\/>&lt;\\/p&gt;<\\/pre>\\r\\n<p style=\\"margin: 0;\\"><a class=\\"jm-color-box2 text-center\\" href=\\"#\\"> <span class=\\"jm-icon-title\\">ANALYTICS<\\/span> <span class=\\"jm-icon-image\\"> <\\/span> <span class=\\"jm-icon-desc\\">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/span> <\\/a><\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;p style=\\"margin: 0;\\"&gt;<br \\/>&lt;a class=\\"jm-color-box3 text-center\\" href=\\"#\\"&gt;<br \\/>&lt;span class=\\"jm-icon-title\\"&gt;<br \\/>WORLDWIDE SERVICE<br \\/>&lt;\\/span&gt;<br \\/>&lt;span class=\\"jm-icon-image\\"&gt;&amp;nbsp;&lt;\\/span&gt;<br \\/>&lt;span class=\\"jm-icon-desc\\"&gt;Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.&lt;\\/span&gt;<br \\/>&lt;\\/a&gt;<br \\/>&lt;\\/p&gt;<\\/pre>\\r\\n<p style=\\"margin: 0;\\"><a class=\\"jm-color-box3 text-center\\" href=\\"#\\"> <span class=\\"jm-icon-title\\">WORLDWIDE SERVICE<\\/span> <span class=\\"jm-icon-image\\"> <\\/span> <span class=\\"jm-icon-desc\\">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/span> <\\/a><\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Just Few Words Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"pull-left visible-desktop\\"&gt;<br \\/>&lt;img class=\\"jm-image-margin\\" src=\\"images\\/modules\\/custom1.jpg\\" alt=\\"Custom\\" \\/&gt;<br \\/>&lt;\\/div&gt;<br \\/>&lt;div class=\\"jm-table\\"&gt;<br \\/>&lt;h3 class=\\"jm-title\\" style=\\"margin-bottom: 20px;\\"&gt;JUST FEW WORDS&lt;\\/h3&gt;<br \\/>&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore.&lt;\\/p&gt;<br \\/>&lt;ul class=\\"jm-custom-list\\"&gt;<br \\/>&lt;li&gt;Ut enim ad minim veniam, quis nostrud&lt;\\/li&gt;<br \\/>&lt;li&gt;Exercitation ullamco laboris nisi&lt;\\/li&gt;<br \\/>&lt;li&gt;Ut aliquip ex ea commodo consequat.&lt;\\/li&gt;<br \\/>&lt;li&gt;Duis aute irure dolor in reprehenderit&lt;\\/li&gt;<br \\/>&lt;\\/ul&gt;<br \\/>&lt;p class=\\"readmore text-right\\"&gt;&lt;a class=\\"btn\\" href=\\"#\\"&gt;read more&lt;\\/a&gt;&lt;\\/p&gt;<br \\/>&lt;\\/div&gt;<\\/pre>\\r\\n<div class=\\"jm-module clearfix\\">\\r\\n<div class=\\"pull-left visible-desktop\\"><img class=\\"jm-image-margin\\" src=\\"images\\/modules\\/custom1.jpg\\" alt=\\"Custom\\" \\/><\\/div>\\r\\n<div class=\\"jm-table\\">\\r\\n<h3 class=\\"jm-title\\" style=\\"margin-bottom: 20px;\\">JUST FEW WORDS<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore.<\\/p>\\r\\n<ul class=\\"jm-custom-list\\">\\r\\n<li>Ut enim ad minim veniam, quis nostrud<\\/li>\\r\\n<li>Exercitation ullamco laboris nisi<\\/li>\\r\\n<li>Ut aliquip ex ea commodo consequat.<\\/li>\\r\\n<li>Duis aute irure dolor in reprehenderit<\\/li>\\r\\n<\\/ul>\\r\\n<p class=\\"readmore text-right\\"><a class=\\"btn\\" href=\\"#\\"> read more <\\/a><\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Social Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<div class=\\"jm-socials\\">\\r\\n<pre>&lt;div class=\\"jm-socials\\"&gt;<br \\/>&lt;a class=\\"facebook\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"googleplus\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"twitter\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"linkedin\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"skype\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"vimeo\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;\\/div&gt;<\\/pre>\\r\\n<a class=\\"facebook\\" href=\\"#\\"> <\\/a> <a class=\\"googleplus\\" href=\\"#\\"> <\\/a> <a class=\\"twitter\\" href=\\"#\\"> <\\/a> <a class=\\"linkedin\\" href=\\"#\\"> <\\/a> <a class=\\"skype\\" href=\\"#\\"> <\\/a> <a class=\\"vimeo\\" href=\\"#\\"> <\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Our Cooks Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"media\\"&gt;<br \\/>&lt;a class=\\"pull-left\\" href=\\"#\\"&gt; &lt;img src=\\"images\\/culinary\\/modules\\/cooks\\/cook1.png\\" alt=\\"\\" \\/&gt; &lt;\\/a&gt;<br \\/>&lt;div class=\\"media-body\\"&gt;<br \\/>&lt;h5 class=\\"media-heading\\"&gt;&lt;a href=\\"#\\"&gt;Greg Amaro&lt;\\/a&gt;&lt;\\/h5&gt;<br \\/>&lt;p&gt;Consectetur adipisicing elit sed do eimod tempor.&lt;\\/p&gt;<br \\/>&lt;\\/div&gt;<br \\/>&lt;\\/div&gt;<br \\/>&lt;div class=\\"media\\"&gt;<br \\/>&lt;a class=\\"pull-left\\" href=\\"#\\"&gt; &lt;img src=\\"images\\/culinary\\/modules\\/cooks\\/cook2.png\\" alt=\\"\\" \\/&gt; &lt;\\/a&gt;<br \\/>&lt;div class=\\"media-body\\"&gt;<br \\/>&lt;h5 class=\\"media-heading\\"&gt;&lt;a href=\\"#\\"&gt;Jimmy Gessler&lt;\\/a&gt;&lt;\\/h5&gt;<br \\/>&lt;p&gt;Consectetur adipisicing elit sed do eimod tempor.&lt;\\/p&gt;<br \\/>&lt;\\/div&gt;<br \\/>&lt;\\/div&gt;<\\/pre>\\r\\n<div class=\\"media\\"><a class=\\"pull-left\\" href=\\"#\\"> <img src=\\"images\\/culinary\\/modules\\/cooks\\/cook1.png\\" alt=\\"\\" \\/> <\\/a>\\r\\n<div class=\\"media-body\\">\\r\\n<h5 class=\\"media-heading\\"><a href=\\"#\\">Greg Amaro<\\/a><\\/h5>\\r\\n<p>Consectetur adipisicing elit sed do eimod tempor.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"media\\"><a class=\\"pull-left\\" href=\\"#\\"> <img src=\\"images\\/culinary\\/modules\\/cooks\\/cook2.png\\" alt=\\"\\" \\/> <\\/a>\\r\\n<div class=\\"media-body\\">\\r\\n<h5 class=\\"media-heading\\"><a href=\\"#\\">Jimmy Gessler<\\/a><\\/h5>\\r\\n<p>Consectetur adipisicing elit sed do eimod tempor.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"78","created":"2014-05-14 12:40:26","created_by":"941","created_by_alias":"","modified":"2014-11-28 13:05:58","modified_by":"941","checked_out":"941","checked_out_time":"2014-11-28 13:03:17","publish_up":"2014-05-14 12:40:26","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":61,"ordering":"7","metakey":"","metadesc":"","access":"1","hits":"156","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(327,130,1,'','2014-11-28 14:01:27',56,5934,'f2fb249eace3106f7e49b2a219227a18fa5de319','{"id":130,"asset_id":"395","title":"All Template Positions","alias":"all-template-positions","introtext":"<p><a title=\\"JM Services\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_djcatalog2&amp;view=item&amp;id=122:jm-services&amp;cid=32:free&amp;Itemid=471\\" target=\\"_blank\\">JM Services<\\/a> Joomla template is using fully responsive layout that adjusts to various screens: desktops, tablets or mobiles.<br \\/><a title=\\"EF4 Framework\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;id=137&amp;view=category&amp;Itemid=548\\" target=\\"_blank\\">EF4 Framework<\\/a> includes <a title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\">Layout Builder<\\/a> tool which allows you to customize template layout for different screen dimensions.<\\/p>\\r\\n","fulltext":"\\r\\n<p><\\/p>\\r\\n<h3 style=\\"text-align: center;\\">Module positions for normal and large screen <small>usually desktop and tablet landscape (980px and higher)<\\/small><\\/h3>\\r\\n<p><\\/p>\\r\\n<p style=\\"text-align: center;\\"><a title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\"><img title=\\"Module positions for normal and large screen\\" src=\\"images\\/sample\\/normal-positions.jpg\\" alt=\\"Module positions for normal and large screen\\" border=\\"0\\" \\/><\\/a><\\/p>\\r\\n<p class=\\"readmore\\" style=\\"text-align: center;\\"><a class=\\"btn\\" title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\">Check out more details about layout customization!<\\/a><\\/p>\\r\\n<p><\\/p>\\r\\n<h3 style=\\"text-align: center;\\">Module positions for medium screen <small>usually tablet (768px-979px)<\\/small><\\/h3>\\r\\n<p><\\/p>\\r\\n<p style=\\"text-align: center;\\"><a title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\"><img title=\\"Module positions for medium screen\\" src=\\"images\\/sample\\/medium-positions.jpg\\" alt=\\"Module positions for medium screen\\" border=\\"0\\" \\/><\\/a><\\/p>\\r\\n<p class=\\"readmore\\" style=\\"text-align: center;\\"><a class=\\"btn\\" title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\">Check out more details about layout customization!<\\/a><\\/p>\\r\\n<p><\\/p>\\r\\n<h3 style=\\"text-align: center;\\">Module positions for small screen <small>usually tablet portrait and mobile landscape (481px-767px)<\\/small><\\/h3>\\r\\n<p><\\/p>\\r\\n<p style=\\"text-align: center;\\"><a title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\"><img title=\\"Module positions for small screen\\" src=\\"images\\/sample\\/small-positions.jpg\\" alt=\\"Module positions for small screen\\" border=\\"0\\" \\/><\\/a><\\/p>\\r\\n<p class=\\"readmore\\" style=\\"text-align: center;\\"><a class=\\"btn\\" title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\">Check out more details about layout customization!<\\/a><\\/p>\\r\\n<p><\\/p>\\r\\n<h3 style=\\"text-align: center;\\">Module positions for extra small screen <small>usually mobile portrait (480px and smaller)<\\/small><\\/h3>\\r\\n<p><\\/p>\\r\\n<p style=\\"text-align: center;\\"><a title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\"><img title=\\"Module positions for extra small screen\\" src=\\"images\\/sample\\/extrasmall-positions.jpg\\" alt=\\"Module positions for extra small screen\\" border=\\"0\\" \\/><\\/a><\\/p>\\r\\n<p class=\\"readmore\\" style=\\"text-align: center;\\"><a class=\\"btn\\" title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\">Check out more details about layout customization!<\\/a><\\/p>","state":1,"catid":"78","created":"2014-06-25 09:42:57","created_by":"941","created_by_alias":"","modified":"2014-11-28 14:01:27","modified_by":"941","checked_out":"941","checked_out_time":"2014-11-28 14:01:11","publish_up":"2014-06-25 09:42:57","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"4","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(328,130,1,'','2014-11-28 14:45:39',56,5982,'292e37b313d512e5d007df85bafa99bc9dca6998','{"id":130,"asset_id":"395","title":"All Template Positions","alias":"all-template-positions","introtext":"<p><a title=\\"JM Services\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_djcatalog2&amp;view=item&amp;id=122:jm-services&amp;cid=32:free&amp;Itemid=471\\" target=\\"_blank\\">JM Services<\\/a> Joomla template is using fully responsive layout that adjusts to various screens: desktops, tablets or mobiles.<br \\/><a title=\\"EF4 Framework\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;id=137&amp;view=category&amp;Itemid=548\\" target=\\"_blank\\">EF4 Framework<\\/a> includes <a title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\">Layout Builder<\\/a> tool which allows you to customize template layout for different screen dimensions.<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\u00a0<\\/p>\\r\\n<h3 style=\\"text-align: center;\\">Module positions for normal and large screen <small>usually desktop and tablet landscape (980px and higher)<\\/small><\\/h3>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p style=\\"text-align: center;\\"><a title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\"><img title=\\"Module positions for normal and large screen\\" src=\\"images\\/sample\\/normal-positions.jpg\\" alt=\\"Module positions for normal and large screen\\" border=\\"0\\" \\/><\\/a><\\/p>\\r\\n<p class=\\"readmore\\" style=\\"text-align: center;\\"><a class=\\"btn\\" title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\">Check out more details about layout customization!<\\/a><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h3 style=\\"text-align: center;\\">Module positions for medium screen <small>usually tablet (768px-979px)<\\/small><\\/h3>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p style=\\"text-align: center;\\"><a title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\"><img title=\\"Module positions for medium screen\\" src=\\"images\\/sample\\/medium-positions.jpg\\" alt=\\"Module positions for medium screen\\" border=\\"0\\" \\/><\\/a><\\/p>\\r\\n<p class=\\"readmore\\" style=\\"text-align: center;\\"><a class=\\"btn\\" title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\">Check out more details about layout customization!<\\/a><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h3 style=\\"text-align: center;\\">Module positions for small screen <small>usually tablet portrait and mobile landscape (481px-767px)<\\/small><\\/h3>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p style=\\"text-align: center;\\"><a title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\"><img title=\\"Module positions for small screen\\" src=\\"images\\/sample\\/small-positions.jpg\\" alt=\\"Module positions for small screen\\" border=\\"0\\" \\/><\\/a><\\/p>\\r\\n<p class=\\"readmore\\" style=\\"text-align: center;\\"><a class=\\"btn\\" title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\">Check out more details about layout customization!<\\/a><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h3 style=\\"text-align: center;\\">Module positions for extra small screen <small>usually mobile portrait (480px and smaller)<\\/small><\\/h3>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p style=\\"text-align: center;\\"><a title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\"><img title=\\"Module positions for extra small screen\\" src=\\"images\\/sample\\/extrasmall-positions.jpg\\" alt=\\"Module positions for extra small screen\\" border=\\"0\\" \\/><\\/a><\\/p>\\r\\n<p class=\\"readmore\\" style=\\"text-align: center;\\"><a class=\\"btn\\" title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\">Check out more details about layout customization!<\\/a><\\/p>","state":1,"catid":"78","created":"2014-06-25 09:42:57","created_by":"941","created_by_alias":"","modified":"2014-11-28 14:45:39","modified_by":"941","checked_out":"941","checked_out_time":"2014-11-28 14:01:27","publish_up":"2014-06-25 09:42:57","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"5","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0);
INSERT INTO `#__ucm_history` VALUES 
(329,134,1,'','2015-01-13 08:33:21',56,2277,'8fb01b926d2bf1ba1060630a0766f81a428e0ca4','{"id":134,"asset_id":410,"title":"Home","alias":"home","introtext":"<div class=\\"jm-custom-content\\">\\r\\n<div class=\\"icon\\"><span class=\\"up\\">Up to<\\/span> <span class=\\"middle\\">250<\\/span> <span class=\\"down\\">Mbps<\\/span><\\/div>\\r\\n<div class=\\"description\\"><span class=\\"title\\">High speed internet<\\/span>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<\\/p>\\r\\n<p class=\\"custom-icon1\\"><span>Lorem ipsum dolor<\\/span>Proin iaculis purus consequat sem cure digni ssim.<\\/p>\\r\\n<p class=\\"custom-icon2\\"><span>Adipiscing elit<\\/span>Proin iaculis purus consequat sem cure.<\\/p>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"78","created":"2015-01-13 08:33:21","created_by":"56","created_by_alias":"","modified":"","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-01-13 08:33:21","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"0\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(330,134,1,'','2015-01-13 09:40:55',56,2352,'95de168e5989f8b2c563ffdb3f675e9346c57005','{"id":134,"asset_id":"410","title":"Home","alias":"home","introtext":"<div class=\\"jm-custom-content\\">\\r\\n<div class=\\"icon\\">\\r\\n<div class=\\"icon-in\\"><span class=\\"up\\">Up to<\\/span> <span class=\\"middle\\">250<\\/span> <span class=\\"down\\">Mbps<\\/span><\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"description\\"><span class=\\"title\\">High speed internet<\\/span>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<\\/p>\\r\\n<p class=\\"custom-icon1\\"><span>Lorem ipsum dolor<\\/span>Proin iaculis purus consequat sem cure digni ssim.<\\/p>\\r\\n<p class=\\"custom-icon2\\"><span>Adipiscing elit<\\/span>Proin iaculis purus consequat sem cure.<\\/p>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"78","created":"2015-01-13 08:33:21","created_by":"56","created_by_alias":"","modified":"2015-01-13 09:40:55","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-13 09:40:10","publish_up":"2015-01-13 08:33:21","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"0\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"16","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(331,134,1,'','2015-01-13 09:56:23',56,2361,'64d7b25f6139f65051c9cd28a2624e61727994a2','{"id":134,"asset_id":"410","title":"Home","alias":"home","introtext":"<div class=\\"jm-custom-content\\">\\r\\n<div class=\\"jm-icon\\">\\r\\n<div class=\\"jm-icon-in\\"><span class=\\"up\\">Up to<\\/span> <span class=\\"middle\\">250<\\/span> <span class=\\"down\\">Mbps<\\/span><\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"jm-description\\"><span class=\\"title\\">High speed internet<\\/span>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<\\/p>\\r\\n<p class=\\"custom-icon1\\"><span>Lorem ipsum dolor<\\/span>Proin iaculis purus consequat sem cure digni ssim.<\\/p>\\r\\n<p class=\\"custom-icon2\\"><span>Adipiscing elit<\\/span>Proin iaculis purus consequat sem cure.<\\/p>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"78","created":"2015-01-13 08:33:21","created_by":"56","created_by_alias":"","modified":"2015-01-13 09:56:23","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-13 09:55:59","publish_up":"2015-01-13 08:33:21","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"0\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"22","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(332,134,1,'','2015-01-13 10:22:20',56,2370,'bc0c29c93b66143c76fb561f7cc8cedd503465d0','{"id":134,"asset_id":"410","title":"Home","alias":"home","introtext":"<div class=\\"jm-custom-content clearfix\\">\\r\\n<div class=\\"jm-icon\\">\\r\\n<div class=\\"jm-icon-in\\"><span class=\\"up\\">Up to<\\/span> <span class=\\"middle\\">250<\\/span> <span class=\\"down\\">Mbps<\\/span><\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"jm-description\\"><span class=\\"title\\">High speed internet<\\/span>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<\\/p>\\r\\n<p class=\\"custom-icon1\\"><span>Lorem ipsum dolor<\\/span>Proin iaculis purus consequat sem cure digni ssim.<\\/p>\\r\\n<p class=\\"custom-icon2\\"><span>Adipiscing elit<\\/span>Proin iaculis purus consequat sem cure.<\\/p>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"78","created":"2015-01-13 08:33:21","created_by":"56","created_by_alias":"","modified":"2015-01-13 10:22:20","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-13 10:21:45","publish_up":"2015-01-13 08:33:21","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"0\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"29","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(333,131,1,'','2015-01-14 08:37:33',56,2798,'a3cc5fca9822c0d6c4bead77eaf8a376cad9fffe','{"id":131,"asset_id":"396","title":"Error 404","alias":"error-404","introtext":"<p>\\u00a0<\\/p>\\r\\n<div class=\\"jm-error-page\\">\\r\\n<h1>404 OOPS!<\\/h1>\\r\\n<h2>Page not found!<\\/h2>\\r\\n<p>\\"Sorry, it appears the page you were looking for does not exist anymore or might have been moved.<br \\/>Please try your luck again.\\"<\\/p>\\r\\n{loadposition error404-search} <a class=\\"btn btn-large\\" href=\\"index.php\\">Take me home<\\/a>\\r\\n<p>\\u00a0<\\/p>\\r\\n<\\/div>\\r\\n<p>This is a Joomla! article displayed as custom 404 page.<\\/p>\\r\\n<p><strong>How to modify this page?<\\/strong><br \\/> <strong>Step 1:<\\/strong> Go to Content -&gt; Article Manager.<br \\/> <strong>Step 2:<\\/strong> Find and edit the \\"Error 404\\" article.<\\/p>\\r\\n<p><strong>How is the search module displayed?<\\/strong><br \\/> It is displayed using the \\"Content - Load Modules\\" plugin. It allows to display a module in a Joomla article.<br \\/>The module is published on the following position: error404-search<\\/p>\\r\\n<p><strong>How to display a different article as custom 404 page?<\\/strong><br \\/>If you want to display other article, you need to change the article ID in the following location: \\/templates\\/jm-template\\/error.php<\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-06-25 09:42:57","created_by":"56","created_by_alias":"","modified":"2015-01-14 08:37:33","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-14 08:37:15","publish_up":"2014-06-25 09:42:57","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"3","metakey":"","metadesc":"","access":"1","hits":"30","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(334,132,1,'','2015-01-14 08:42:06',56,2482,'768098b922b1d012e36f63769e71f62d21bdcc67','{"id":132,"asset_id":"398","title":"Offline Page","alias":"offline-page","introtext":"<p style=\\"text-align: center;\\"><img src=\\"images\\/sample\\/offline.png\\" alt=\\"Offline Page\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>There is a possibility to disable access to the front of your site.<\\/p>\\r\\n<p><strong>How to enable the offline page?<\\/strong><br \\/> <strong>Step 1:<\\/strong> Go to \\"System -&gt; Global Configuration -&gt; Site\\".<br \\/><strong>Step 2:<\\/strong> Click on \\"Yes\\" for \\"Site Offline\\" option.<br \\/> <strong>Step 3:<\\/strong> Fill in a text for \\"Offline Message\\" to give your visitors some explanation about why your website is unavailable.<br \\/> <strong>Step 4:<\\/strong> Click on \\"Save\\" to save your settings.<\\/p>\\r\\n<p><strong>How to customize the offline page?<\\/strong><br \\/> You need to edit the following file: \\/templates\\/jm-template\\/offline.php<\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-06-25 09:42:57","created_by":"56","created_by_alias":"","modified":"2015-01-14 08:42:06","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-14 08:41:49","publish_up":"2014-06-25 09:42:57","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"2","metakey":"","metadesc":"","access":"1","hits":"7","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(335,135,1,'','2015-01-14 13:53:11',56,3407,'a93da8e3bb35019ae41cfb623f76110f933d4bae','{"id":135,"asset_id":413,"title":"Pricing","alias":"pricing","introtext":"<div class=\\"jm-pricing\\">\\r\\n<div class=\\"col3\\">\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"badge\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">29.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Cable Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to earthlink cable internet at the speed of life<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"badge\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">29.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Cable Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to earthlink cable internet at the speed of life<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"badge\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">29.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Cable Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to earthlink cable internet at the speed of life<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"9","created":"2015-01-14 13:53:11","created_by":"56","created_by_alias":"","modified":"","modified_by":null,"checked_out":null,"checked_out_time":null,"publish_up":"2015-01-14 13:53:11","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":1,"ordering":null,"metakey":"","metadesc":"","access":"1","hits":null,"metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(336,135,1,'','2015-01-14 13:55:37',56,3443,'7085d4b62dc7d585e95999e493872ae667f817b3','{"id":135,"asset_id":"413","title":"Pricing","alias":"pricing","introtext":"<div class=\\"jm-pricing\\">\\r\\n<div class=\\"col3\\">\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">29.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Cable Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to earthlink cable internet at the speed of life<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">29.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Cable Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to earthlink cable internet at the speed of life<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">29.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Cable Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to earthlink cable internet at the speed of life<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"9","created":"2015-01-14 13:53:11","created_by":"56","created_by_alias":"","modified":"2015-01-14 13:55:37","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-14 13:54:39","publish_up":"2015-01-14 13:53:11","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":2,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"1","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(337,135,1,'','2015-01-14 14:04:46',56,3533,'a773582bee4430a0af126a5fb54a4c07e0e60074','{"id":135,"asset_id":"413","title":"Pricing","alias":"pricing","introtext":"<div class=\\"jm-pricing clearfix col3\\">\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">29.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Cable Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to earthlink cable internet at the speed of life<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">29.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Cable Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to earthlink cable internet at the speed of life<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">29.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Cable Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to earthlink cable internet at the speed of life<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"9","created":"2015-01-14 13:53:11","created_by":"56","created_by_alias":"","modified":"2015-01-14 14:04:46","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-14 14:03:08","publish_up":"2015-01-14 13:53:11","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":3,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"6","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(338,134,1,'','2015-01-15 13:58:04',56,2418,'b914f877d3e853b04e0befa7dbc6ee834bfd85fb','{"id":134,"asset_id":"410","title":"Home","alias":"home","introtext":"<div class=\\"jm-custom-content clearfix\\">\\r\\n<div class=\\"jm-icon\\">\\r\\n<div class=\\"jm-icon-in\\"><span class=\\"up\\">Up to<\\/span> <span class=\\"middle\\">250<\\/span> <span class=\\"down\\">Mbps<\\/span><\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"jm-description\\"><span class=\\"title\\">High speed internet<\\/span>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<\\/p>\\r\\n<p class=\\"custom-icon1\\"><span>Lorem ipsum dolor<\\/span>Proin iaculis purus consequat sem cure digni ssim.<\\/p>\\r\\n<p class=\\"custom-icon2\\"><span>Adipiscing elit<\\/span>Proin iaculis purus consequat sem cure.<\\/p>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<\\/p>\\r\\n<a href=\\"#\\" class=\\"readmore\\">Read more<\\/a><\\/div>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"78","created":"2015-01-13 08:33:21","created_by":"56","created_by_alias":"","modified":"2015-01-15 13:58:04","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-15 13:57:22","publish_up":"2015-01-13 08:33:21","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"0\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"262","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(339,134,1,'','2015-01-15 14:19:43',56,2516,'84baf4476931cfdaa607c3f60da26dacaf53945f','{"id":134,"asset_id":"410","title":"Home","alias":"home","introtext":"<div class=\\"jm-custom-content clearfix\\">\\r\\n<div class=\\"jm-icon\\">\\r\\n<div class=\\"jm-icon-in\\"><span class=\\"up\\">Up to<\\/span> <span class=\\"middle\\">250<\\/span> <span class=\\"down\\">Mbps<\\/span><\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"jm-description\\"><span class=\\"title\\">High speed internet<\\/span>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<br \\/>In facilisis at augue imperdiet dignissim.<\\/p>\\r\\n<p class=\\"custom-icon1\\"><span>Lorem ipsum dolor<\\/span>Proin iaculis purus consequat sem cure digni ssim.<\\/p>\\r\\n<p class=\\"custom-icon2\\"><span>Adipiscing elit<\\/span>Proin iaculis purus consequat sem cure.<\\/p>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<br \\/>In facilisis at augue imperdiet dignissim.<\\/p>\\r\\n<a href=\\"#\\" class=\\"readmore\\">Read more<\\/a><\\/div>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"78","created":"2015-01-13 08:33:21","created_by":"56","created_by_alias":"","modified":"2015-01-15 14:19:43","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-15 14:19:16","publish_up":"2015-01-13 08:33:21","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"0\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"275","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(340,87,1,'','2015-01-15 14:38:20',56,36511,'9a33f0955f52f5c1cd4e71e1e2854c5b67a07b11','{"id":87,"asset_id":"276","title":"Typography","alias":"typography","introtext":"<h3 class=\\"jm-typo-title\\">Image Borders<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-rounded\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-rounded\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<p><\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-circle\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-circle\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<p><\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-polaroid\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-polaroid\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Headings<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<h1>This is Heading One (h1)<\\/h1>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h2>This is Heading Two (h2)<\\/h2>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h3>This is Heading Three (h3)<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<h4>This is Heading Four (h4)<\\/h4>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h5>This is Heading Five (h5)<\\/h5>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h6>This is Heading Six (h6)<\\/h6>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Numered blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;p class=\\"jm-block\\"&gt;&lt;span class=\\"jm\\"&gt;01&lt;\\/span&gt;Text goes here&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">01<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">02<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">03<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;p class=\\"jm-block second\\"&gt;&lt;span class=\\"jm\\"&gt;a&lt;\\/span&gt;Text goes here&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">a<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">b<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">c<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Colored Blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<div class=\\"alert\\">&lt;div class=\\"alert\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<div class=\\"alert alert-error\\">&lt;div class=\\"alert alert-error\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<div class=\\"alert alert-success\\">&lt;div class=\\"alert alert-success\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<div class=\\"alert alert-info\\">&lt;div class=\\"alert alert-info\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Icon blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<p class=\\"jm-badge\\">&lt;p class=\\"jm-badge\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-calendar\\">&lt;p class=\\"jm-calendar\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-chat\\">&lt;p class=\\"jm-chat\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-check\\">&lt;p class=\\"jm-check\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-cloud\\">&lt;p class=\\"jm-cloud\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-direction\\">&lt;p class=\\"jm-direction\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-divide\\">&lt;p class=\\"jm-divide\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-error\\">&lt;p class=\\"jm-error\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-fire\\">&lt;p class=\\"jm-fire\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<p class=\\"jm-flag\\">&lt;p class=\\"jm-flag\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-heart\\">&lt;p class=\\"jm-heart\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-home\\">&lt;p class=\\"jm-home\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-info\\">&lt;p class=\\"jm-info\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-list\\">&lt;p class=\\"jm-list\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-mail\\">&lt;p class=\\"jm-mail\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-people\\">&lt;p class=\\"jm-people\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-star\\">&lt;p class=\\"jm-star\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-stat\\">&lt;p class=\\"jm-stat\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Blockquote<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;blockquote&gt;<br \\/>&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;\\/p&gt;<br \\/>&lt;small&gt;John Doe&lt;\\/small&gt;<br \\/>&lt;\\/blockquote&gt;<\\/pre>\\r\\n<blockquote>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n<small>John Doe<\\/small><\\/blockquote>\\r\\n<\\/div>\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;blockquote class=\\"pull-right\\"&gt;<br \\/>&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;\\/p&gt;<br \\/>&lt;small&gt;John Doe&lt;\\/small&gt;<br \\/>&lt;\\/blockquote&gt;<\\/pre>\\r\\n<blockquote class=\\"pull-right\\">\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n<small>John Doe<\\/small><\\/blockquote>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Unordered lists<\\/h3>\\r\\n<div class=\\"row-fluid\\" style=\\"margin-bottom: 30px;\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul class=\\"jm-color-list\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-color-list\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul class=\\"jm-light-list\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-light-list\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;ul class=\\"jm-custom-list\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-custom-list\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;ul class=\\"jm-custom-list green\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-custom-list green\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Ordered lists<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol class=\\"jm-roman\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol class=\\"jm-roman\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol class=\\"jm-alpha\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol class=\\"jm-alpha\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Read More Button<\\/h3>\\r\\n<pre>&lt;p class=\\"readmore\\"&gt;&lt;a class=\\"btn\\" href=\\"#\\"&gt;Read more&lt;\\/a&gt;&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"readmore\\"><a class=\\"btn\\" href=\\"#\\">Read more<\\/a><\\/p>\\r\\n<h3 class=\\"jm-typo-title\\">Glyphicon Font<\\/h3>\\r\\n<div>\\r\\n<pre>&lt;span class=\\"icon-joomla\\"&gt;&amp;nbsp&lt;\\/span&gt;<\\/pre>\\r\\n<\\/div>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-asterisk\\"> <\\/span> icon-asterisk<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plus\\"> <\\/span> icon-plus<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-euro\\"> <\\/span> icon-euro<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-minus\\"> <\\/span> icon-minus<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cloud\\"> <\\/span> icon-cloud<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-envelope\\"> <\\/span> icon-envelope<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pencil\\"> <\\/span> icon-pencil<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-glass\\"> <\\/span> icon-glass<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-music\\"> <\\/span> icon-music<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-search\\"> <\\/span> icon-search<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-heart\\"> <\\/span> icon-heart<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-star\\"> <\\/span> icon-star<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-star-empty\\"> <\\/span> icon-star-empty<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-user\\"> <\\/span> icon-user<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-film\\"> <\\/span> icon-film<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-th-large\\"> <\\/span> icon-th-large<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-th\\"> <\\/span> icon-th<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-th-list\\"> <\\/span> icon-th-list<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok\\"> <\\/span> icon-ok<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove\\"> <\\/span> icon-remove<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-zoom-in\\"> <\\/span> icon-zoom-in<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-zoom-out\\"> <\\/span> icon-zoom-out<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-off\\"> <\\/span> icon-off<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-signal\\"> <\\/span> icon-signal<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cog\\"> <\\/span> icon-cog<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-trash\\"> <\\/span> icon-trash<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-home\\"> <\\/span> icon-home<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-file\\"> <\\/span> icon-file<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-time\\"> <\\/span> icon-time<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-road\\"> <\\/span> icon-road<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-download-alt\\"> <\\/span> icon-download-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-download\\"> <\\/span> icon-download<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-upload\\"> <\\/span> icon-upload<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-inbox\\"> <\\/span> icon-inbox<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-play-circle\\"> <\\/span> icon-play-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-repeat\\"> <\\/span> icon-repeat<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-refresh\\"> <\\/span> icon-refresh<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-list-alt\\"> <\\/span> icon-list-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-lock\\"> <\\/span> icon-lock<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-flag\\"> <\\/span> icon-flag<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-headphones\\"> <\\/span> icon-headphones<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-volume-off\\"> <\\/span> icon-volume-off<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-volume-down\\"> <\\/span> icon-volume-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-volume-up\\"> <\\/span> icon-volume-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-qrcode\\"> <\\/span> icon-qrcode<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-barcode\\"> <\\/span> icon-barcode<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tag\\"> <\\/span> icon-tag<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tags\\"> <\\/span> icon-tags<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-book\\"> <\\/span> icon-book<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bookmark\\"> <\\/span> icon-bookmark<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-print\\"> <\\/span> icon-print<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-camera\\"> <\\/span> icon-camera<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-font\\"> <\\/span> icon-font<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bold\\"> <\\/span> icon-bold<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-italic\\"> <\\/span> icon-italic<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-text-height\\"> <\\/span> icon-text-height<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-text-width\\"> <\\/span> icon-text-width<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-left\\"> <\\/span> icon-align-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-center\\"> <\\/span> icon-align-center<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-right\\"> <\\/span> icon-align-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-justify\\"> <\\/span> icon-align-justify<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-list\\"> <\\/span> icon-list<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-indent-left\\"> <\\/span> icon-indent-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-indent-right\\"> <\\/span> icon-indent-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-facetime-video\\"> <\\/span> icon-facetime-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-picture\\"> <\\/span> icon-picture<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-map-marker\\"> <\\/span> icon-map-marker<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-adjust\\"> <\\/span> icon-adjust<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tint\\"> <\\/span> icon-tint<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-edit\\"> <\\/span> icon-edit<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-share\\"> <\\/span> icon-share<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-check\\"> <\\/span> icon-check<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-move\\"> <\\/span> icon-move<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-step-backward\\"> <\\/span> icon-step-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fast-backward\\"> <\\/span> icon-fast-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-backward\\"> <\\/span> icon-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-play\\"> <\\/span> icon-play<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pause\\"> <\\/span> icon-pause<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-stop\\"> <\\/span> icon-stop<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-forward\\"> <\\/span> icon-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fast-forward\\"> <\\/span> icon-fast-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-step-forward\\"> <\\/span> icon-step-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eject\\"> <\\/span> icon-eject<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-left\\"> <\\/span> icon-chevron-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-right\\"> <\\/span> icon-chevron-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plus-sign\\"> <\\/span> icon-plus-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-minus-sign\\"> <\\/span> icon-minus-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove-sign\\"> <\\/span> icon-remove-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok-sign\\"> <\\/span> icon-ok-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-question-sign\\"> <\\/span> icon-question-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-info-sign\\"> <\\/span> icon-info-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-screenshot\\"> <\\/span> icon-screenshot<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove-circle\\"> <\\/span> icon-remove-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok-circle\\"> <\\/span> icon-ok-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ban-circle\\"> <\\/span> icon-ban-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-left\\"> <\\/span> icon-arrow-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-right\\"> <\\/span> icon-arrow-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-up\\"> <\\/span> icon-arrow-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-down\\"> <\\/span> icon-arrow-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-share-alt\\"> <\\/span> icon-share-alt<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-full\\"> <\\/span> icon-resize-full<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-small\\"> <\\/span> icon-resize-small<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-exclamation-sign\\"> <\\/span> icon-exclamation-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-gift\\"> <\\/span> icon-gift<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-leaf\\"> <\\/span> icon-leaf<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fire\\"> <\\/span> icon-fire<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eye-open\\"> <\\/span> icon-eye-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eye-close\\"> <\\/span> icon-eye-close<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-warning-sign\\"> <\\/span> icon-warning-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plane\\"> <\\/span> icon-plane<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-calendar\\"> <\\/span> icon-calendar<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-random\\"> <\\/span> icon-random<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-comment\\"> <\\/span> icon-comment<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-magnet\\"> <\\/span> icon-magnet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-up\\"> <\\/span> icon-chevron-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-down\\"> <\\/span> icon-chevron-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-retweet\\"> <\\/span> icon-retweet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-shopping-cart\\"> <\\/span> icon-shopping-cart<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-folder-close\\"> <\\/span> icon-folder-close<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-folder-open\\"> <\\/span> icon-folder-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-vertical\\"> <\\/span> icon-resize-vertical<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-horizontal\\"> <\\/span> icon-resize-horizontal<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hdd\\"> <\\/span> icon-hdd<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bullhorn\\"> <\\/span> icon-bullhorn<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bell\\"> <\\/span> icon-bell<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-certificate\\"> <\\/span> icon-certificate<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-thumbs-up\\"> <\\/span> icon-thumbs-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-thumbs-down\\"> <\\/span> icon-thumbs-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-right\\"> <\\/span> icon-hand-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-left\\"> <\\/span> icon-hand-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-up\\"> <\\/span> icon-hand-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-down\\"> <\\/span> icon-hand-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-right\\"> <\\/span> icon-circle-arrow-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-left\\"> <\\/span> icon-circle-arrow-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-up\\"> <\\/span> icon-circle-arrow-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-down\\"> <\\/span> icon-circle-arrow-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-globe\\"> <\\/span> icon-globe<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-wrench\\"> <\\/span> icon-wrench<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tasks\\"> <\\/span> icon-tasks<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-filter\\"> <\\/span> icon-filter<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-briefcase\\"> <\\/span> icon-briefcase<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fullscreen\\"> <\\/span> icon-fullscreen<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-dashboard\\"> <\\/span> icon-dashboard<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-paperclip\\"> <\\/span> icon-paperclip<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-heart-empty\\"> <\\/span> icon-heart-empty<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-link\\"> <\\/span> icon-link<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-phone\\"> <\\/span> icon-phone<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pushpin\\"> <\\/span> icon-pushpin<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-usd\\"> <\\/span> icon-usd<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-gbp\\"> <\\/span> icon-gbp<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort\\"> <\\/span> icon-sort<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-alphabet\\"> <\\/span> icon-sort-by-alphabet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-alphabet-alt\\"> <\\/span> icon-sort-by-alphabet-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-order\\"> <\\/span> icon-sort-by-order<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-order-alt\\"> <\\/span> icon-sort-by-order-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-attributes\\"> <\\/span> icon-sort-by-attributes<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-attributes-alt\\"> <\\/span> icon-sort-by-attributes-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-unchecked\\"> <\\/span> icon-unchecked<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-expand\\"> <\\/span> icon-expand<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-collapse-down\\"> <\\/span> icon-collapse-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-collapse-up\\"> <\\/span> icon-collapse-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-log-in\\"> <\\/span> icon-log-in<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-flash\\"> <\\/span> icon-flash<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-log-out\\"> <\\/span> icon-log-out<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-new-window\\"> <\\/span> icon-new-window<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-record\\"> <\\/span> icon-record<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-save\\"> <\\/span> icon-save<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-open\\"> <\\/span> icon-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-saved\\"> <\\/span> icon-saved<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-import\\"> <\\/span> icon-import<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-export\\"> <\\/span> icon-export<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-send\\"> <\\/span> icon-send<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-disk\\"> <\\/span> icon-floppy-disk<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-saved\\"> <\\/span> icon-floppy-saved<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-remove\\"> <\\/span> icon-floppy-remove<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-save\\"> <\\/span> icon-floppy-save<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-open\\"> <\\/span> icon-floppy-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-credit-card\\"> <\\/span> icon-credit-card<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-transfer\\"> <\\/span> icon-transfer<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cutlery\\"> <\\/span> icon-cutlery<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-header\\"> <\\/span> icon-header<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-compressed\\"> <\\/span> icon-compressed<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-earphone\\"> <\\/span> icon-earphone<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-phone-alt\\"> <\\/span> icon-phone-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tower\\"> <\\/span> icon-tower<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-stats\\"> <\\/span> icon-stats<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sd-video\\"> <\\/span> icon-sd-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hd-video\\"> <\\/span> icon-hd-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-subtitles\\"> <\\/span> icon-subtitles<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-stereo\\"> <\\/span> icon-sound-stereo<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-dolby\\"> <\\/span> icon-sound-dolby<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-5-1\\"> <\\/span> icon-sound-5-1<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-6-1\\"> <\\/span> icon-sound-6-1<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-7-1\\"> <\\/span> icon-sound-7-1<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-copyright-mark\\"> <\\/span> icon-copyright-mark<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-registration-mark\\"> <\\/span> icon-registration-mark<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cloud-download\\"> <\\/span> icon-cloud-download<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cloud-upload\\"> <\\/span> icon-cloud-upload<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tree-conifer\\"> <\\/span> icon-tree-conifer<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tree-deciduous\\"> <\\/span> icon-tree-deciduous<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Top Contact Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;ul class=\\"jm-contact-icons\\"&gt;<br \\/>&lt;li class=\\"jm-direction\\"&gt;&lt;img src=\\"images\\/modules\\/direction.png\\" alt=\\"Direction\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"#\\"&gt;Peterborough, UK&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;li class=\\"jm-email\\"&gt;&lt;img src=\\"images\\/modules\\/email.png\\" alt=\\"Email\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"#\\"&gt;Email&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;li class=\\"jm-phone\\"&gt;&lt;img src=\\"images\\/modules\\/phone.png\\" alt=\\"Phone\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"#\\"&gt;+44 7837 383 484&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-contact-icons\\">\\r\\n<li class=\\"jm-direction\\"><img src=\\"images\\/modules\\/direction.png\\" alt=\\"Direction\\" \\/><a title=\\"Contact\\" href=\\"#\\">Peterborough, UK<\\/a><\\/li>\\r\\n<li class=\\"jm-email\\"><img src=\\"images\\/modules\\/email.png\\" alt=\\"Email\\" \\/><a title=\\"Contact\\" href=\\"#\\">Email<\\/a><\\/li>\\r\\n<li class=\\"jm-phone\\"><img src=\\"images\\/modules\\/phone.png\\" alt=\\"Phone\\" \\/><a title=\\"Contact\\" href=\\"#\\">+44 7837 383 484<\\/a><\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Social Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<div class=\\"jm-socials\\">\\r\\n<pre>&lt;div class=\\"jm-socials\\"&gt;<br \\/>&lt;a class=\\"facebook\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"googleplus\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"twitter\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"linkedin\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"skype\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"vimeo\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;\\/div&gt;<\\/pre>\\r\\n<a class=\\"facebook\\" href=\\"#\\"> <\\/a> <a class=\\"googleplus\\" href=\\"#\\"> <\\/a> <a class=\\"twitter\\" href=\\"#\\"> <\\/a> <a class=\\"linkedin\\" href=\\"#\\"> <\\/a> <a class=\\"skype\\" href=\\"#\\"> <\\/a> <a class=\\"vimeo\\" href=\\"#\\"> <\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"78","created":"2014-05-14 12:40:26","created_by":"56","created_by_alias":"","modified":"2015-01-15 14:38:20","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-15 14:33:02","publish_up":"2014-05-14 12:40:26","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":62,"ordering":"8","metakey":"","metadesc":"","access":"1","hits":"167","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(341,73,1,'','2015-01-16 08:58:25',56,2727,'1b1fae32bbd840b51e3c4203f38dcfea1ffe5d56','{"id":73,"asset_id":"182","title":"Subpage","alias":"subpage","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris. Maecenas eu iaculis tortor, ac volutpat ipsum. In eget lacus erat. Nullam nec magna tellus. Vestibulum rutrum velit et nulla tristique, ac sodales risus tempor. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor.<\\/p>\\r\\n<p>Phasellus sed nisi ut nibh accumsan commodo sed a libero. In ut semper felis, a vestibulum mi. Ut et lacus lectus. Vivamus tempus erat et augue bibendum posuere. In mauris metus, ultrices vel vulputate nec, dictum eget nulla. Etiam ac est metus. Mauris at orci pretium, congue erat vel, vulputate eros. In posuere venenatis lacinia. Mauris aliquam faucibus velit, vitae cursus tellus aliquam vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. <\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-04-28 14:34:25","created_by":"56","created_by_alias":"","modified":"2015-01-16 08:58:25","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-16 08:57:56","publish_up":"2014-04-28 14:34:25","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":7,"ordering":"9","metakey":"","metadesc":"","access":"1","hits":"4772","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(342,73,1,'','2015-01-16 08:58:59',56,2727,'ebb5c878963afbeb966ca76cea1f11fe0a5a0eea','{"id":73,"asset_id":"182","title":"Subpage","alias":"subpage","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris. Maecenas eu iaculis tortor, ac volutpat ipsum. In eget lacus erat. Nullam nec magna tellus. Vestibulum rutrum velit et nulla tristique, ac sodales risus tempor. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor.<\\/p>\\r\\n<p>Phasellus sed nisi ut nibh accumsan commodo sed a libero. In ut semper felis, a vestibulum mi. Ut et lacus lectus. Vivamus tempus erat et augue bibendum posuere. In mauris metus, ultrices vel vulputate nec, dictum eget nulla. Etiam ac est metus. Mauris at orci pretium, congue erat vel, vulputate eros. In posuere venenatis lacinia. Mauris aliquam faucibus velit, vitae cursus tellus aliquam vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor.<\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-04-28 14:34:25","created_by":"56","created_by_alias":"","modified":"2015-01-16 08:58:59","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-16 08:58:25","publish_up":"2014-04-28 14:34:25","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"0\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":8,"ordering":"9","metakey":"","metadesc":"","access":"1","hits":"4773","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(343,73,1,'','2015-01-16 08:59:11',56,2726,'67a7ba4bd0a1041e8d4f7b4a0e1bcb2389775d5b','{"id":73,"asset_id":"182","title":"Subpage","alias":"subpage","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor. Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris. Maecenas eu iaculis tortor, ac volutpat ipsum. In eget lacus erat. Nullam nec magna tellus. Vestibulum rutrum velit et nulla tristique, ac sodales risus tempor. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor.<\\/p>\\r\\n<p>Phasellus sed nisi ut nibh accumsan commodo sed a libero. In ut semper felis, a vestibulum mi. Ut et lacus lectus. Vivamus tempus erat et augue bibendum posuere. In mauris metus, ultrices vel vulputate nec, dictum eget nulla. Etiam ac est metus. Mauris at orci pretium, congue erat vel, vulputate eros. In posuere venenatis lacinia. Mauris aliquam faucibus velit, vitae cursus tellus aliquam vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor.<\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-04-28 14:34:25","created_by":"56","created_by_alias":"","modified":"2015-01-16 08:59:11","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-16 08:58:59","publish_up":"2014-04-28 14:34:25","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":9,"ordering":"9","metakey":"","metadesc":"","access":"1","hits":"4774","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(344,73,1,'','2015-01-16 09:00:25',56,2749,'22619de685e90d41bb61fc7263d9f7b397be4323','{"id":73,"asset_id":"182","title":"Subpage","alias":"subpage","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor.<\\/p>\\r\\n<p>Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris. Maecenas eu iaculis tortor, ac volutpat ipsum. In eget lacus erat. Nullam nec magna tellus. Vestibulum rutrum velit et nulla tristique, ac sodales risus tempor. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor.<\\/p>\\r\\n<p>Phasellus sed nisi ut nibh accumsan commodo sed a libero. In ut semper felis, a vestibulum mi. Ut et lacus lectus. Vivamus tempus erat et augue bibendum posuere. In mauris metus, ultrices vel vulputate nec, dictum eget nulla. Etiam ac est metus.<\\/p>\\r\\n<p>Mauris at orci pretium, congue erat vel, vulputate eros. In posuere venenatis lacinia. Mauris aliquam faucibus velit, vitae cursus tellus aliquam vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor.<\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-04-28 14:34:25","created_by":"56","created_by_alias":"","modified":"2015-01-16 09:00:25","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-16 09:00:14","publish_up":"2014-04-28 14:34:25","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":10,"ordering":"9","metakey":"","metadesc":"","access":"1","hits":"4774","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(345,73,1,'','2015-01-16 09:00:52',56,2760,'9047621927265f3a92454e9be81097d42ccb2382','{"id":73,"asset_id":"182","title":"Subpage","alias":"subpage","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor.<\\/p>\\r\\n<p>Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris. Maecenas eu iaculis tortor, ac volutpat ipsum. In eget lacus erat.<\\/p>\\r\\n<p>Nullam nec magna tellus. Vestibulum rutrum velit et nulla tristique, ac sodales risus tempor. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor.<\\/p>\\r\\n<p>Phasellus sed nisi ut nibh accumsan commodo sed a libero. In ut semper felis, a vestibulum mi. Ut et lacus lectus. Vivamus tempus erat et augue bibendum posuere. In mauris metus, ultrices vel vulputate nec, dictum eget nulla. Etiam ac est metus.<\\/p>\\r\\n<p>Mauris at orci pretium, congue erat vel, vulputate eros. In posuere venenatis lacinia. Mauris aliquam faucibus velit, vitae cursus tellus aliquam vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor.<\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-04-28 14:34:25","created_by":"56","created_by_alias":"","modified":"2015-01-16 09:00:52","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-16 09:00:25","publish_up":"2014-04-28 14:34:25","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":11,"ordering":"9","metakey":"","metadesc":"","access":"1","hits":"4775","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(346,130,1,'','2015-01-16 09:03:59',56,5807,'cda23f0a28640657eaf75a5d93f92f6c2ff13d87','{"id":130,"asset_id":"395","title":"All Template Positions","alias":"all-template-positions","introtext":"<p><strong>JM Internet<\\/strong> Joomla template is using fully responsive layout that adjusts to various screens: desktops, tablets or mobiles.<br \\/><a title=\\"EF4 Framework\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;id=137&amp;view=category&amp;Itemid=548\\" target=\\"_blank\\">EF4 Framework<\\/a> includes <a title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\">Layout Builder<\\/a> tool which allows you to customize template layout for different screen dimensions.<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\u00a0<\\/p>\\r\\n<h3 style=\\"text-align: center;\\">Module positions for normal and large screen <small>usually desktop and tablet landscape (980px and higher)<\\/small><\\/h3>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p style=\\"text-align: center;\\"><a title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\"><img title=\\"Module positions for normal and large screen\\" src=\\"images\\/sample\\/normal-positions.jpg\\" alt=\\"Module positions for normal and large screen\\" border=\\"0\\" \\/><\\/a><\\/p>\\r\\n<p class=\\"readmore\\" style=\\"text-align: center;\\"><a class=\\"btn\\" title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\">Check out more details about layout customization!<\\/a><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h3 style=\\"text-align: center;\\">Module positions for medium screen <small>usually tablet (768px-979px)<\\/small><\\/h3>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p style=\\"text-align: center;\\"><a title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\"><img title=\\"Module positions for medium screen\\" src=\\"images\\/sample\\/medium-positions.jpg\\" alt=\\"Module positions for medium screen\\" border=\\"0\\" \\/><\\/a><\\/p>\\r\\n<p class=\\"readmore\\" style=\\"text-align: center;\\"><a class=\\"btn\\" title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\">Check out more details about layout customization!<\\/a><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h3 style=\\"text-align: center;\\">Module positions for small screen <small>usually tablet portrait and mobile landscape (481px-767px)<\\/small><\\/h3>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p style=\\"text-align: center;\\"><a title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\"><img title=\\"Module positions for small screen\\" src=\\"images\\/sample\\/small-positions.jpg\\" alt=\\"Module positions for small screen\\" border=\\"0\\" \\/><\\/a><\\/p>\\r\\n<p class=\\"readmore\\" style=\\"text-align: center;\\"><a class=\\"btn\\" title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\">Check out more details about layout customization!<\\/a><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h3 style=\\"text-align: center;\\">Module positions for extra small screen <small>usually mobile portrait (480px and smaller)<\\/small><\\/h3>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p style=\\"text-align: center;\\"><a title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\"><img title=\\"Module positions for extra small screen\\" src=\\"images\\/sample\\/extrasmall-positions.jpg\\" alt=\\"Module positions for extra small screen\\" border=\\"0\\" \\/><\\/a><\\/p>\\r\\n<p class=\\"readmore\\" style=\\"text-align: center;\\"><a class=\\"btn\\" title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\">Check out more details about layout customization!<\\/a><\\/p>","state":1,"catid":"78","created":"2014-06-25 09:42:57","created_by":"56","created_by_alias":"","modified":"2015-01-16 09:03:59","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-16 09:03:16","publish_up":"2014-06-25 09:42:57","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"4","metakey":"","metadesc":"","access":"1","hits":"8","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(347,121,1,'','2015-01-16 09:23:53',56,2667,'1cf35866daa4944fac3b3cb4d734b0641d90a515','{"id":121,"asset_id":"351","title":"Module Suffixes","alias":"module-suffixes","introtext":"<p>There are additional module designs available that you can control by entering a correct suffix name as a module parameter.<br \\/>Let\'s check them all.<\\/p>\\r\\n<p>1. Available module designs<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><img src=\\"images\\/sample\\/module-suffixes.png\\" alt=\\"Module Suffixes\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>2. Use the following suffixes for DJ-ImageSlider module if you want to get the following view for slides. Otherwise a module will use the default css styles.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><strong>Suffix name:<\\/strong> header-ms<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><img src=\\"images\\/sample\\/header-ms.jpg\\" alt=\\"DJ-ImageSlider Suffixes\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>2. Use the following suffixes if you want add hover effect for \\"Solutions\\" Custom HTML modules.<\\/p>\\r\\n<p><\\/p>\\r\\n<p><img src=\\"images\\/sample\\/expand.jpg\\" alt=\\"DJ-ImageSlider Suffixes\\" \\/><\\/p>\\r\\n<p><\\/p>\\r\\n<p><strong>Suffix name:<\\/strong> expand1-ms and expand2-ms<\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-06-25 09:42:57","created_by":"56","created_by_alias":"","modified":"2015-01-16 09:23:53","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-16 09:17:28","publish_up":"2014-06-25 09:42:57","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":10,"ordering":"5","metakey":"","metadesc":"","access":"1","hits":"14","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(348,121,1,'','2015-01-16 09:24:53',56,2667,'e5abe265a89be6dae2e95b91304317433cefe780','{"id":121,"asset_id":"351","title":"Module Suffixes","alias":"module-suffixes","introtext":"<p>There are additional module designs available that you can control by entering a correct suffix name as a module parameter.<br \\/>Let\'s check them all.<\\/p>\\r\\n<p>1. Available module designs<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><img src=\\"images\\/sample\\/module-suffixes.png\\" alt=\\"Module Suffixes\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>2. Use the following suffixes for DJ-ImageSlider module if you want to get the following view for slides. Otherwise a module will use the default css styles.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><strong>Suffix name:<\\/strong> header-ms<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><img src=\\"images\\/sample\\/header-ms.jpg\\" alt=\\"DJ-ImageSlider Suffixes\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>2. Use the following suffixes if you want add hover effect for \\"Solutions\\" Custom HTML modules.<\\/p>\\r\\n<p><\\/p>\\r\\n<p><img src=\\"images\\/sample\\/expand.png\\" alt=\\"DJ-ImageSlider Suffixes\\" \\/><\\/p>\\r\\n<p><\\/p>\\r\\n<p><strong>Suffix name:<\\/strong> expand1-ms and expand2-ms<\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-06-25 09:42:57","created_by":"56","created_by_alias":"","modified":"2015-01-16 09:24:53","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-16 09:23:53","publish_up":"2014-06-25 09:42:57","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":11,"ordering":"5","metakey":"","metadesc":"","access":"1","hits":"14","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(349,135,1,'','2015-01-16 10:49:16',56,3541,'4926ba1e2dab58a409efe84e2f7669822af5d679','{"id":135,"asset_id":"413","title":"Pricing Tables","alias":"pricing","introtext":"<div class=\\"jm-pricing clearfix col3\\">\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">29.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Cable Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to earthlink cable internet at the speed of life<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">29.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Cable Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to earthlink cable internet at the speed of life<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">29.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Cable Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to earthlink cable internet at the speed of life<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"9","created":"2015-01-14 13:53:11","created_by":"56","created_by_alias":"","modified":"2015-01-16 10:49:16","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-16 10:49:08","publish_up":"2015-01-14 13:53:11","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":4,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"34","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(350,135,1,'','2015-01-16 10:53:23',56,3523,'72adefa4b758db2631a45d2dc70860eae0d5b986','{"id":135,"asset_id":"413","title":"Pricing Tables","alias":"pricing","introtext":"<div class=\\"jm-pricing clearfix col3\\">\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">29.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Cable Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to earthlink cable internet at the speed of life<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">14.85<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">DSL Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to incredible dsl cable internet<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">39.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Satellite Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">No dsl or cable in your area? get satellite internet<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"9","created":"2015-01-14 13:53:11","created_by":"56","created_by_alias":"","modified":"2015-01-16 10:53:23","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-16 10:50:17","publish_up":"2015-01-14 13:53:11","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":5,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"34","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(351,135,1,'','2015-01-16 10:55:41',56,3817,'bf6e313094dd5c6237f3c980b2dcfb620297088c','{"id":135,"asset_id":"413","title":"Pricing Tables","alias":"pricing","introtext":"<div class=\\"jm-pricing clearfix col3\\">\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">29.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Cable Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to earthlink cable internet at the speed of life<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<li>Pellentesque varius<\\/li>\\r\\n<li>Vivamus quis leo<\\/li>\\r\\n<li>Donec ut elit maximus<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">14.85<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">DSL Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to incredible dsl cable internet<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<li>Pellentesque varius<\\/li>\\r\\n<li>Vivamus quis leo<\\/li>\\r\\n<li>Donec ut elit maximus<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">39.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Satellite Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">No dsl or cable in your area? get satellite internet<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<li>Pellentesque varius<\\/li>\\r\\n<li>Vivamus quis leo<\\/li>\\r\\n<li>Donec ut elit maximus<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"9","created":"2015-01-14 13:53:11","created_by":"56","created_by_alias":"","modified":"2015-01-16 10:55:41","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-16 10:53:23","publish_up":"2015-01-14 13:53:11","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":6,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"35","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(352,73,1,'','2015-01-16 12:14:33',56,2839,'2839d924c85e000b2c525996c5f462aa5fa5be5e','{"id":73,"asset_id":"182","title":"Subpage","alias":"subpage","introtext":"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor.<\\/p>\\r\\n<p>Vestibulum commodo, ligula non iaculis tristique, erat sem luctus sapien, sed auctor felis nisi sed mauris. Maecenas eu iaculis tortor, ac volutpat ipsum. In eget lacus erat.<\\/p>\\r\\n<p>Nullam nec magna tellus. Vestibulum rutrum velit et nulla tristique, ac sodales risus tempor. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor.<\\/p>\\r\\n<p>Phasellus sed nisi ut nibh accumsan commodo sed a libero. In ut semper felis, a vestibulum mi. Ut et lacus lectus. Vivamus tempus erat et augue bibendum posuere. In mauris metus, ultrices vel vulputate nec, dictum eget nulla. Etiam ac est metus.<\\/p>\\r\\n<p>Mauris at orci pretium, congue erat vel, vulputate eros. In posuere venenatis lacinia. Mauris aliquam faucibus velit, vitae cursus tellus aliquam vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris in augue mollis, semper est ac, aliquet turpis. Vestibulum ut dapibus dolor.<\\/p>\\r\\n<p>Cras sodales justo eu felis viverra, sit amet semper quam vehicula.<\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-04-28 14:34:25","created_by":"56","created_by_alias":"","modified":"2015-01-16 12:14:33","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-16 12:14:07","publish_up":"2014-04-28 14:34:25","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":12,"ordering":"9","metakey":"","metadesc":"","access":"1","hits":"4795","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(353,130,1,'','2015-01-16 13:31:26',56,5808,'ae277aa25f9aac158bdbb959e36c12c75f18fb3d','{"id":130,"asset_id":"395","title":"All Template Positions","alias":"all-template-positions","introtext":"<p><strong>JM Internet<\\/strong> Joomla template is using fully responsive layout that adjusts to various screens: desktops, tablets or mobiles.<br \\/><a title=\\"EF4 Framework\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;id=137&amp;view=category&amp;Itemid=548\\" target=\\"_blank\\">EF4 Framework<\\/a> includes <a title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\">Layout Builder<\\/a> tool which allows you to customize template layout for different screen dimensions.<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\u00a0<\\/p>\\r\\n<h3 style=\\"text-align: center;\\">Module positions for normal and large screen <small>usually desktop and tablet landscape (980px and higher)<\\/small><\\/h3>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p style=\\"text-align: center;\\"><a title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\"><img title=\\"Module positions for normal and large screen\\" src=\\"images\\/sample\\/normal-positions.png\\" alt=\\"Module positions for normal and large screen\\" border=\\"0\\" \\/><\\/a><\\/p>\\r\\n<p class=\\"readmore\\" style=\\"text-align: center;\\"><a class=\\"btn\\" title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\">Check out more details about layout customization!<\\/a><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h3 style=\\"text-align: center;\\">Module positions for medium screen <small>usually tablet (768px-979px)<\\/small><\\/h3>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p style=\\"text-align: center;\\"><a title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\"><img title=\\"Module positions for medium screen\\" src=\\"images\\/sample\\/medium-positions.png\\" alt=\\"Module positions for medium screen\\" border=\\"0\\" \\/><\\/a><\\/p>\\r\\n<p class=\\"readmore\\" style=\\"text-align: center;\\"><a class=\\"btn\\" title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\">Check out more details about layout customization!<\\/a><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h3 style=\\"text-align: center;\\">Module positions for small screen <small>usually tablet portrait and mobile landscape (481px-767px)<\\/small><\\/h3>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p style=\\"text-align: center;\\"><a title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\"><img title=\\"Module positions for small screen\\" src=\\"images\\/sample\\/small-positions.png\\" alt=\\"Module positions for small screen\\" border=\\"0\\" \\/><\\/a><\\/p>\\r\\n<p class=\\"readmore\\" style=\\"text-align: center;\\"><a class=\\"btn\\" title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\">Check out more details about layout customization!<\\/a><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h3 style=\\"text-align: center;\\">Module positions for extra small screen <small>usually mobile portrait (480px and smaller)<\\/small><\\/h3>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p style=\\"text-align: center;\\"><a title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\"><img title=\\"Module positions for extra small screen\\" src=\\"images\\/sample\\/extrasmall-positions.png\\" alt=\\"Module positions for extra small screen\\" border=\\"0\\" \\/><\\/a><\\/p>\\r\\n<p class=\\"readmore\\" style=\\"text-align: center;\\"><a class=\\"btn\\" title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\">Check out more details about layout customization!<\\/a><\\/p>","state":1,"catid":"78","created":"2014-06-25 09:42:57","created_by":"56","created_by_alias":"","modified":"2015-01-16 13:31:26","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-16 13:30:29","publish_up":"2014-06-25 09:42:57","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":7,"ordering":"4","metakey":"","metadesc":"","access":"1","hits":"10","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(354,130,1,'','2015-01-16 13:33:38',56,5732,'bb09410b834adbac5bde6dd83abecc410e13610d','{"id":130,"asset_id":"395","title":"All Template Positions","alias":"all-template-positions","introtext":"<p><strong>JM Internet<\\/strong> Joomla template is using fully responsive layout that adjusts to various screens: desktops, tablets or mobiles.<br \\/><a title=\\"EF4 Framework\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;id=137&amp;view=category&amp;Itemid=548\\" target=\\"_blank\\">EF4 Framework<\\/a> includes <a title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\">Layout Builder<\\/a> tool which allows you to customize template layout for different screen dimensions.<\\/p>\\r\\n","fulltext":"\\r\\n<p>\\u00a0<\\/p>\\r\\n<h3 style=\\"text-align: center;\\">Module positions for normal and large screen <small>usually desktop and tablet landscape (980px and higher)<\\/small><\\/h3>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p style=\\"text-align: center;\\"><a title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\"><img title=\\"Module positions for normal and large screen\\" src=\\"images\\/sample\\/normal-positions.png\\" alt=\\"Module positions for normal and large screen\\" border=\\"0\\" \\/><\\/a><\\/p>\\r\\n<p style=\\"text-align: center;\\"><a class=\\"btn\\" title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\">Check out more details about layout customization!<\\/a><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h3 style=\\"text-align: center;\\">Module positions for medium screen <small>usually tablet (768px-979px)<\\/small><\\/h3>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p style=\\"text-align: center;\\"><a title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\"><img title=\\"Module positions for medium screen\\" src=\\"images\\/sample\\/medium-positions.png\\" alt=\\"Module positions for medium screen\\" border=\\"0\\" \\/><\\/a><\\/p>\\r\\n<p style=\\"text-align: center;\\"><a class=\\"btn\\" title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\">Check out more details about layout customization!<\\/a><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h3 style=\\"text-align: center;\\">Module positions for small screen <small>usually tablet portrait and mobile landscape (481px-767px)<\\/small><\\/h3>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p style=\\"text-align: center;\\"><a title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\"><img title=\\"Module positions for small screen\\" src=\\"images\\/sample\\/small-positions.png\\" alt=\\"Module positions for small screen\\" border=\\"0\\" \\/><\\/a><\\/p>\\r\\n<p style=\\"text-align: center;\\"><a class=\\"btn\\" title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\">Check out more details about layout customization!<\\/a><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<h3 style=\\"text-align: center;\\">Module positions for extra small screen <small>usually mobile portrait (480px and smaller)<\\/small><\\/h3>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p style=\\"text-align: center;\\"><a title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\"><img title=\\"Module positions for extra small screen\\" src=\\"images\\/sample\\/extrasmall-positions.png\\" alt=\\"Module positions for extra small screen\\" border=\\"0\\" \\/><\\/a><\\/p>\\r\\n<p style=\\"text-align: center;\\"><a class=\\"btn\\" title=\\"Layout Builder\\" href=\\"http:\\/\\/www.joomla-monster.com\\/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034\\" target=\\"_blank\\">Check out more details about layout customization!<\\/a><\\/p>","state":1,"catid":"78","created":"2014-06-25 09:42:57","created_by":"56","created_by_alias":"","modified":"2015-01-16 13:33:38","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-16 13:31:53","publish_up":"2014-06-25 09:42:57","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":8,"ordering":"4","metakey":"","metadesc":"","access":"1","hits":"11","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(355,87,1,'','2015-01-19 08:58:29',56,50956,'eab77a390ba7d74eac1f5c27e0ba3506527a474a','{"id":87,"asset_id":"276","title":"Typography","alias":"typography","introtext":"<h3 class=\\"jm-typo-title\\">Image Borders<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-rounded\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-rounded\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<p><\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-circle\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-circle\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<p><\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-polaroid\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-polaroid\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Headings<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<h1>This is Heading One (h1)<\\/h1>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h2>This is Heading Two (h2)<\\/h2>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h3>This is Heading Three (h3)<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<h4>This is Heading Four (h4)<\\/h4>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h5>This is Heading Five (h5)<\\/h5>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h6>This is Heading Six (h6)<\\/h6>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Numered blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;p class=\\"jm-block\\"&gt;&lt;span class=\\"jm\\"&gt;01&lt;\\/span&gt;Text goes here&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">01<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">02<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">03<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;p class=\\"jm-block second\\"&gt;&lt;span class=\\"jm\\"&gt;a&lt;\\/span&gt;Text goes here&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">a<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">b<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">c<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Colored Blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<div class=\\"alert\\">&lt;div class=\\"alert\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<div class=\\"alert alert-error\\">&lt;div class=\\"alert alert-error\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<div class=\\"alert alert-success\\">&lt;div class=\\"alert alert-success\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<div class=\\"alert alert-info\\">&lt;div class=\\"alert alert-info\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Icon blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<p class=\\"jm-badge\\">&lt;p class=\\"jm-badge\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-calendar\\">&lt;p class=\\"jm-calendar\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-chat\\">&lt;p class=\\"jm-chat\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-check\\">&lt;p class=\\"jm-check\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-cloud\\">&lt;p class=\\"jm-cloud\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-direction\\">&lt;p class=\\"jm-direction\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-divide\\">&lt;p class=\\"jm-divide\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-error\\">&lt;p class=\\"jm-error\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-fire\\">&lt;p class=\\"jm-fire\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<p class=\\"jm-flag\\">&lt;p class=\\"jm-flag\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-heart\\">&lt;p class=\\"jm-heart\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-home\\">&lt;p class=\\"jm-home\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-info\\">&lt;p class=\\"jm-info\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-list\\">&lt;p class=\\"jm-list\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-mail\\">&lt;p class=\\"jm-mail\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-people\\">&lt;p class=\\"jm-people\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-star\\">&lt;p class=\\"jm-star\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-stat\\">&lt;p class=\\"jm-stat\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Blockquote<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;blockquote&gt;<br \\/>&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;\\/p&gt;<br \\/>&lt;small&gt;John Doe&lt;\\/small&gt;<br \\/>&lt;\\/blockquote&gt;<\\/pre>\\r\\n<blockquote>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n<small>John Doe<\\/small><\\/blockquote>\\r\\n<\\/div>\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;blockquote class=\\"pull-right\\"&gt;<br \\/>&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;\\/p&gt;<br \\/>&lt;small&gt;John Doe&lt;\\/small&gt;<br \\/>&lt;\\/blockquote&gt;<\\/pre>\\r\\n<blockquote class=\\"pull-right\\">\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n<small>John Doe<\\/small><\\/blockquote>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Unordered lists<\\/h3>\\r\\n<div class=\\"row-fluid\\" style=\\"margin-bottom: 30px;\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul class=\\"jm-color-list\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-color-list\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul class=\\"jm-light-list\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-light-list\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;ul class=\\"jm-custom-list\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-custom-list\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;ul class=\\"jm-custom-list green\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-custom-list green\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Ordered lists<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol class=\\"jm-roman\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol class=\\"jm-roman\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol class=\\"jm-alpha\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol class=\\"jm-alpha\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Read More Button<\\/h3>\\r\\n<pre>&lt;p class=\\"readmore\\"&gt;&lt;a class=\\"btn\\" href=\\"#\\"&gt;Read more&lt;\\/a&gt;&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"readmore\\"><a class=\\"btn\\" href=\\"#\\">Read more<\\/a><\\/p>\\r\\n<h3 class=\\"jm-typo-title\\">Glyphicon Font<\\/h3>\\r\\n<div>\\r\\n<pre>&lt;span class=\\"icon-joomla\\"&gt;&amp;nbsp&lt;\\/span&gt;<\\/pre>\\r\\n<\\/div>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-asterisk\\"> <\\/span> icon-asterisk<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plus\\"> <\\/span> icon-plus<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-euro\\"> <\\/span> icon-euro<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-minus\\"> <\\/span> icon-minus<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cloud\\"> <\\/span> icon-cloud<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-envelope\\"> <\\/span> icon-envelope<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pencil\\"> <\\/span> icon-pencil<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-glass\\"> <\\/span> icon-glass<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-music\\"> <\\/span> icon-music<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-search\\"> <\\/span> icon-search<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-heart\\"> <\\/span> icon-heart<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-star\\"> <\\/span> icon-star<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-star-empty\\"> <\\/span> icon-star-empty<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-user\\"> <\\/span> icon-user<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-film\\"> <\\/span> icon-film<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-th-large\\"> <\\/span> icon-th-large<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-th\\"> <\\/span> icon-th<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-th-list\\"> <\\/span> icon-th-list<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok\\"> <\\/span> icon-ok<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove\\"> <\\/span> icon-remove<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-zoom-in\\"> <\\/span> icon-zoom-in<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-zoom-out\\"> <\\/span> icon-zoom-out<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-off\\"> <\\/span> icon-off<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-signal\\"> <\\/span> icon-signal<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cog\\"> <\\/span> icon-cog<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-trash\\"> <\\/span> icon-trash<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-home\\"> <\\/span> icon-home<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-file\\"> <\\/span> icon-file<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-time\\"> <\\/span> icon-time<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-road\\"> <\\/span> icon-road<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-download-alt\\"> <\\/span> icon-download-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-download\\"> <\\/span> icon-download<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-upload\\"> <\\/span> icon-upload<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-inbox\\"> <\\/span> icon-inbox<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-play-circle\\"> <\\/span> icon-play-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-repeat\\"> <\\/span> icon-repeat<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-refresh\\"> <\\/span> icon-refresh<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-list-alt\\"> <\\/span> icon-list-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-lock\\"> <\\/span> icon-lock<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-flag\\"> <\\/span> icon-flag<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-headphones\\"> <\\/span> icon-headphones<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-volume-off\\"> <\\/span> icon-volume-off<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-volume-down\\"> <\\/span> icon-volume-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-volume-up\\"> <\\/span> icon-volume-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-qrcode\\"> <\\/span> icon-qrcode<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-barcode\\"> <\\/span> icon-barcode<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tag\\"> <\\/span> icon-tag<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tags\\"> <\\/span> icon-tags<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-book\\"> <\\/span> icon-book<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bookmark\\"> <\\/span> icon-bookmark<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-print\\"> <\\/span> icon-print<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-camera\\"> <\\/span> icon-camera<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-font\\"> <\\/span> icon-font<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bold\\"> <\\/span> icon-bold<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-italic\\"> <\\/span> icon-italic<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-text-height\\"> <\\/span> icon-text-height<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-text-width\\"> <\\/span> icon-text-width<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-left\\"> <\\/span> icon-align-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-center\\"> <\\/span> icon-align-center<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-right\\"> <\\/span> icon-align-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-justify\\"> <\\/span> icon-align-justify<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-list\\"> <\\/span> icon-list<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-indent-left\\"> <\\/span> icon-indent-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-indent-right\\"> <\\/span> icon-indent-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-facetime-video\\"> <\\/span> icon-facetime-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-picture\\"> <\\/span> icon-picture<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-map-marker\\"> <\\/span> icon-map-marker<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-adjust\\"> <\\/span> icon-adjust<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tint\\"> <\\/span> icon-tint<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-edit\\"> <\\/span> icon-edit<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-share\\"> <\\/span> icon-share<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-check\\"> <\\/span> icon-check<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-move\\"> <\\/span> icon-move<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-step-backward\\"> <\\/span> icon-step-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fast-backward\\"> <\\/span> icon-fast-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-backward\\"> <\\/span> icon-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-play\\"> <\\/span> icon-play<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pause\\"> <\\/span> icon-pause<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-stop\\"> <\\/span> icon-stop<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-forward\\"> <\\/span> icon-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fast-forward\\"> <\\/span> icon-fast-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-step-forward\\"> <\\/span> icon-step-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eject\\"> <\\/span> icon-eject<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-left\\"> <\\/span> icon-chevron-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-right\\"> <\\/span> icon-chevron-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plus-sign\\"> <\\/span> icon-plus-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-minus-sign\\"> <\\/span> icon-minus-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove-sign\\"> <\\/span> icon-remove-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok-sign\\"> <\\/span> icon-ok-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-question-sign\\"> <\\/span> icon-question-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-info-sign\\"> <\\/span> icon-info-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-screenshot\\"> <\\/span> icon-screenshot<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove-circle\\"> <\\/span> icon-remove-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok-circle\\"> <\\/span> icon-ok-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ban-circle\\"> <\\/span> icon-ban-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-left\\"> <\\/span> icon-arrow-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-right\\"> <\\/span> icon-arrow-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-up\\"> <\\/span> icon-arrow-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-down\\"> <\\/span> icon-arrow-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-share-alt\\"> <\\/span> icon-share-alt<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-full\\"> <\\/span> icon-resize-full<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-small\\"> <\\/span> icon-resize-small<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-exclamation-sign\\"> <\\/span> icon-exclamation-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-gift\\"> <\\/span> icon-gift<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-leaf\\"> <\\/span> icon-leaf<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fire\\"> <\\/span> icon-fire<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eye-open\\"> <\\/span> icon-eye-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eye-close\\"> <\\/span> icon-eye-close<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-warning-sign\\"> <\\/span> icon-warning-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plane\\"> <\\/span> icon-plane<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-calendar\\"> <\\/span> icon-calendar<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-random\\"> <\\/span> icon-random<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-comment\\"> <\\/span> icon-comment<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-magnet\\"> <\\/span> icon-magnet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-up\\"> <\\/span> icon-chevron-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-down\\"> <\\/span> icon-chevron-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-retweet\\"> <\\/span> icon-retweet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-shopping-cart\\"> <\\/span> icon-shopping-cart<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-folder-close\\"> <\\/span> icon-folder-close<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-folder-open\\"> <\\/span> icon-folder-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-vertical\\"> <\\/span> icon-resize-vertical<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-horizontal\\"> <\\/span> icon-resize-horizontal<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hdd\\"> <\\/span> icon-hdd<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bullhorn\\"> <\\/span> icon-bullhorn<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bell\\"> <\\/span> icon-bell<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-certificate\\"> <\\/span> icon-certificate<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-thumbs-up\\"> <\\/span> icon-thumbs-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-thumbs-down\\"> <\\/span> icon-thumbs-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-right\\"> <\\/span> icon-hand-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-left\\"> <\\/span> icon-hand-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-up\\"> <\\/span> icon-hand-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-down\\"> <\\/span> icon-hand-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-right\\"> <\\/span> icon-circle-arrow-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-left\\"> <\\/span> icon-circle-arrow-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-up\\"> <\\/span> icon-circle-arrow-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-down\\"> <\\/span> icon-circle-arrow-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-globe\\"> <\\/span> icon-globe<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-wrench\\"> <\\/span> icon-wrench<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tasks\\"> <\\/span> icon-tasks<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-filter\\"> <\\/span> icon-filter<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-briefcase\\"> <\\/span> icon-briefcase<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fullscreen\\"> <\\/span> icon-fullscreen<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-dashboard\\"> <\\/span> icon-dashboard<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-paperclip\\"> <\\/span> icon-paperclip<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-heart-empty\\"> <\\/span> icon-heart-empty<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-link\\"> <\\/span> icon-link<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-phone\\"> <\\/span> icon-phone<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pushpin\\"> <\\/span> icon-pushpin<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-usd\\"> <\\/span> icon-usd<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-gbp\\"> <\\/span> icon-gbp<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort\\"> <\\/span> icon-sort<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-alphabet\\"> <\\/span> icon-sort-by-alphabet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-alphabet-alt\\"> <\\/span> icon-sort-by-alphabet-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-order\\"> <\\/span> icon-sort-by-order<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-order-alt\\"> <\\/span> icon-sort-by-order-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-attributes\\"> <\\/span> icon-sort-by-attributes<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-attributes-alt\\"> <\\/span> icon-sort-by-attributes-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-unchecked\\"> <\\/span> icon-unchecked<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-expand\\"> <\\/span> icon-expand<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-collapse-down\\"> <\\/span> icon-collapse-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-collapse-up\\"> <\\/span> icon-collapse-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-log-in\\"> <\\/span> icon-log-in<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-flash\\"> <\\/span> icon-flash<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-log-out\\"> <\\/span> icon-log-out<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-new-window\\"> <\\/span> icon-new-window<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-record\\"> <\\/span> icon-record<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-save\\"> <\\/span> icon-save<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-open\\"> <\\/span> icon-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-saved\\"> <\\/span> icon-saved<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-import\\"> <\\/span> icon-import<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-export\\"> <\\/span> icon-export<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-send\\"> <\\/span> icon-send<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-disk\\"> <\\/span> icon-floppy-disk<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-saved\\"> <\\/span> icon-floppy-saved<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-remove\\"> <\\/span> icon-floppy-remove<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-save\\"> <\\/span> icon-floppy-save<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-open\\"> <\\/span> icon-floppy-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-credit-card\\"> <\\/span> icon-credit-card<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-transfer\\"> <\\/span> icon-transfer<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cutlery\\"> <\\/span> icon-cutlery<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-header\\"> <\\/span> icon-header<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-compressed\\"> <\\/span> icon-compressed<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-earphone\\"> <\\/span> icon-earphone<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-phone-alt\\"> <\\/span> icon-phone-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tower\\"> <\\/span> icon-tower<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-stats\\"> <\\/span> icon-stats<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sd-video\\"> <\\/span> icon-sd-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hd-video\\"> <\\/span> icon-hd-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-subtitles\\"> <\\/span> icon-subtitles<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-stereo\\"> <\\/span> icon-sound-stereo<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-dolby\\"> <\\/span> icon-sound-dolby<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-5-1\\"> <\\/span> icon-sound-5-1<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-6-1\\"> <\\/span> icon-sound-6-1<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-7-1\\"> <\\/span> icon-sound-7-1<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-copyright-mark\\"> <\\/span> icon-copyright-mark<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-registration-mark\\"> <\\/span> icon-registration-mark<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cloud-download\\"> <\\/span> icon-cloud-download<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cloud-upload\\"> <\\/span> icon-cloud-upload<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tree-conifer\\"> <\\/span> icon-tree-conifer<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tree-deciduous\\"> <\\/span> icon-tree-deciduous<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Top Contact Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;ul class=\\"jm-contact-icons\\"&gt;<br \\/>&lt;li class=\\"jm-direction\\"&gt;&lt;img src=\\"images\\/modules\\/direction.png\\" alt=\\"Direction\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"#\\"&gt;Peterborough, UK&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;li class=\\"jm-email\\"&gt;&lt;img src=\\"images\\/modules\\/email.png\\" alt=\\"Email\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"#\\"&gt;Email&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;li class=\\"jm-phone\\"&gt;&lt;img src=\\"images\\/modules\\/phone.png\\" alt=\\"Phone\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"#\\"&gt;+44 7837 383 484&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-contact-icons\\">\\r\\n<li class=\\"jm-direction\\"><img src=\\"images\\/modules\\/direction.png\\" alt=\\"Direction\\" \\/><a title=\\"Contact\\" href=\\"#\\">Peterborough, UK<\\/a><\\/li>\\r\\n<li class=\\"jm-email\\"><img src=\\"images\\/modules\\/email.png\\" alt=\\"Email\\" \\/><a title=\\"Contact\\" href=\\"#\\">Email<\\/a><\\/li>\\r\\n<li class=\\"jm-phone\\"><img src=\\"images\\/modules\\/phone.png\\" alt=\\"Phone\\" \\/><a title=\\"Contact\\" href=\\"#\\">+44 7837 383 484<\\/a><\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Residential Solutions Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-box\\"&gt;<br \\/>\\r\\n&lt;div class=\\"jm-box-in\\"&gt;<br \\/>\\r\\n&lt;div class=\\"jm-icon\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/icon1.png<\\/strong>\\" alt=\\"\\" \\/&gt;&lt;\\/div&gt;<br \\/>\\r\\n&lt;div class=\\"jm-column\\"&gt;<br \\/>\\r\\n&lt;span class=\\"title\\"&gt;<strong>Residential Solutions<\\/strong>&lt;\\/span&gt;<br \\/>\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"link\\"&gt;<strong>www.jm-internet.com<\\/strong>&lt;\\/a&gt;<br \\/>\\r\\n&lt;span class=\\"description\\"&gt;<strong>Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/strong>&lt;\\/span&gt;<br \\/>\\r\\n&lt;span class=\\"contact\\"&gt;<strong>call 888-777-888<\\/strong>&lt;\\/span&gt;<br \\/>\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"readmore\\"&gt;<strong>read more<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;<br \\/>\\r\\n&lt;div class=\\"jm-expand\\"&gt;<br \\/>\\r\\n&lt;div class=\\"expand-in\\"&gt;&lt;span class=\\"subtitle\\"&gt;<strong>Services Include<\\/strong>&lt;\\/span&gt;<br \\/>\\r\\n&lt;ul&gt;<br \\/>\\r\\n&lt;li&gt;<strong>Lorem ipsum<\\/strong>&lt;\\/li&gt;<br \\/>\\r\\n&lt;li&gt;<strong>Dolor sit amet<\\/strong>&lt;\\/li&gt;<br \\/>\\r\\n&lt;li&gt;<strong>Vestibulum venenatis<\\/strong>&lt;\\/li&gt;<br \\/>\\r\\n&lt;li&gt;<strong>Suscipit libero<\\/strong>&lt;\\/li&gt;<br \\/>\\r\\n&lt;\\/ul&gt;<br \\/>\\r\\n&lt;\\/div&gt;<br \\/>\\r\\n&lt;\\/div&gt;<br \\/>\\r\\n&lt;\\/div&gt;<br \\/>\\r\\n&lt;\\/div&gt;<br \\/>\\r\\n<\\/pre>\\r\\n<div class=\\"jm-box\\">\\r\\n<div class=\\"jm-box-in\\">\\r\\n<div class=\\"jm-icon\\"><img src=\\"images\\/modules\\/icon1.png\\" alt=\\"\\" \\/><\\/div>\\r\\n<div class=\\"jm-column\\"><span class=\\"title\\">Residential Solutions<\\/span> <a href=\\"#\\" class=\\"link\\">www.jm-internet.com<\\/a> <span class=\\"description\\">Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/span> <span class=\\"contact\\">call 888-777-888<\\/span> <a href=\\"#\\" class=\\"readmore\\">read more<\\/a><\\/div>\\r\\n<div class=\\"jm-expand\\">\\r\\n<div class=\\"expand-in\\"><span class=\\"subtitle\\">Services Include<\\/span>\\r\\n<ul>\\r\\n<li>Lorem ipsum<\\/li>\\r\\n<li>Dolor sit amet<\\/li>\\r\\n<li>Vestibulum venenatis<\\/li>\\r\\n<li>Suscipit libero<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Business Solutions Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-box\\"&gt;<br \\/>\\r\\n&lt;div class=\\"jm-box-in\\"&gt;<br \\/>\\r\\n&lt;div class=\\"jm-icon\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/icon2.png<\\/strong>\\" alt=\\"\\" \\/&gt;&lt;\\/div&gt;<br \\/>\\r\\n&lt;div class=\\"jm-column\\"&gt;<br \\/>\\r\\n&lt;span class=\\"title\\"&gt;<strong>Business Solutions<\\/strong>&lt;\\/span&gt;<br \\/>\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"link\\"&gt;<strong>www.jm-internet.com<\\/strong>&lt;\\/a&gt;<br \\/>\\r\\n&lt;span class=\\"description\\"&gt;<strong>Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/strong>&lt;\\/span&gt;<br \\/>\\r\\n&lt;span class=\\"contact\\"&gt;<strong>call 888-777-888<\\/strong>&lt;\\/span&gt;<br \\/>\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"readmore\\"&gt;<strong>read more<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;<br \\/>\\r\\n&lt;div class=\\"jm-expand\\"&gt;<br \\/>\\r\\n&lt;div class=\\"expand-in\\"&gt;&lt;span class=\\"subtitle\\"&gt;<strong>Services Include<\\/strong>&lt;\\/span&gt;<br \\/>\\r\\n&lt;ul&gt;<br \\/>\\r\\n&lt;li&gt;<strong>Lorem ipsum<\\/strong>&lt;\\/li&gt;<br \\/>\\r\\n&lt;li&gt;<strong>Dolor sit amet<\\/strong>&lt;\\/li&gt;<br \\/>\\r\\n&lt;li&gt;<strong>Vestibulum venenatis<\\/strong>&lt;\\/li&gt;<br \\/>\\r\\n&lt;li&gt;<strong>Suscipit libero<\\/strong>&lt;\\/li&gt;<br \\/>\\r\\n&lt;\\/ul&gt;<br \\/>\\r\\n&lt;\\/div&gt;<br \\/>\\r\\n&lt;\\/div&gt;<br \\/>\\r\\n&lt;\\/div&gt;<br \\/>\\r\\n&lt;\\/div&gt;<br \\/>\\r\\n<\\/pre>\\r\\n<div class=\\"jm-box\\">\\r\\n<div class=\\"jm-box-in\\">\\r\\n<div class=\\"jm-icon\\"><img src=\\"images\\/modules\\/icon2.png\\" alt=\\"\\" \\/><\\/div>\\r\\n<div class=\\"jm-column\\">\\r\\n<div class=\\"column-in\\"><span class=\\"title\\">Business Solutions<\\/span> <a href=\\"#\\" class=\\"link\\">www.jm-internet.com<\\/a> <span class=\\"description\\">Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/span> <span class=\\"contact\\">call 888-777-888<\\/span> <a href=\\"#\\" class=\\"readmore\\">read more<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"jm-expand\\">\\r\\n<div class=\\"expand-in\\"><span class=\\"subtitle\\">Services Include<\\/span>\\r\\n<ul>\\r\\n<li>Lorem ipsum<\\/li>\\r\\n<li>Dolor sit amet<\\/li>\\r\\n<li>Vestibulum venenatis<\\/li>\\r\\n<li>Suscipit libero<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Header Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-custom-header\\"&gt;\\r\\n&lt;div class=\\"title\\"&gt;<strong>This is <\\/strong>&lt;span&gt;<strong>custom<\\/strong>&lt;\\/span&gt; <strong>html module<\\/strong>&lt;\\/div&gt;\\r\\n&lt;div class=\\"description\\"&gt;<strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt<\\/strong>&lt;br \\/&gt;<strong> ut labore et dolore magna aliqua.<\\/strong>&lt;\\/div&gt;\\r\\n&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>Check an offer<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-custom-header\\">\\r\\n<div class=\\"title\\">This is <span>custom<\\/span> html module<\\/div>\\r\\n<div class=\\"description\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt<br \\/> ut labore et dolore magna aliqua.<\\/div>\\r\\n<a class=\\"btn\\" href=\\"#\\">Check an offer<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Social Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<div class=\\"jm-socials\\">\\r\\n<pre>&lt;div class=\\"jm-socials\\"&gt;<br \\/>&lt;a class=\\"facebook\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"googleplus\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"twitter\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"linkedin\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"skype\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"vimeo\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;\\/div&gt;<\\/pre>\\r\\n<a class=\\"facebook\\" href=\\"#\\"> <\\/a> <a class=\\"googleplus\\" href=\\"#\\"> <\\/a> <a class=\\"twitter\\" href=\\"#\\"> <\\/a> <a class=\\"linkedin\\" href=\\"#\\"> <\\/a> <a class=\\"skype\\" href=\\"#\\"> <\\/a> <a class=\\"vimeo\\" href=\\"#\\"> <\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Home Content<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-custom-content clearfix\\"&gt;<br \\/>\\r\\n&lt;div class=\\"jm-icon\\"&gt;<br \\/>\\r\\n&lt;div class=\\"jm-icon-in\\"&gt;&lt;span class=\\"up\\"&gt;<strong>Up to<\\/strong>&lt;\\/span&gt; &lt;span class=\\"middle\\"&gt;<strong>250<\\/strong>&lt;\\/span&gt; &lt;span class=\\"down\\"&gt;<strong>Mbps<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;<br \\/>\\r\\n&lt;\\/div&gt;<br \\/>\\r\\n&lt;div class=\\"jm-description\\"&gt;&lt;span class=\\"title\\"&gt;<strong>High speed internet<\\/strong>&lt;\\/span&gt;<br \\/>\\r\\n&lt;p&gt;<strong>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<\\/strong>&lt;br \\/&gt;<strong>In facilisis at augue imperdiet dignissim.<\\/strong>&lt;\\/p&gt;<br \\/>\\r\\n&lt;p class=\\"custom-icon1\\"&gt;&lt;span&gt;<strong>Lorem ipsum dolor&lt;\\/span&gt;<strong>Proin iaculis purus consequat sem cure digni ssim.<\\/strong>&lt;\\/p&gt;<br \\/>\\r\\n&lt;p class=\\"custom-icon2\\"&gt;&lt;span&gt;<strong>Adipiscing elit&lt;\\/span&gt;<strong>Proin iaculis purus consequat sem cure.<\\/strong>&lt;\\/p&gt;<br \\/>\\r\\n&lt;p&gt;<strong>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<\\/strong>&lt;br \\/&gt;<strong>In facilisis at augue imperdiet dignissim.<\\/strong>&lt;\\/p&gt;<br \\/>\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"readmore\\"&gt;<strong>Read more<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;<br \\/>\\r\\n&lt;\\/div&gt;<br \\/>\\r\\n<\\/strong><\\/strong><\\/pre>\\r\\n<div class=\\"jm-custom-content clearfix\\">\\r\\n<div class=\\"jm-icon\\">\\r\\n<div class=\\"jm-icon-in\\"><span class=\\"up\\">Up to<\\/span> <span class=\\"middle\\">250<\\/span> <span class=\\"down\\">Mbps<\\/span><\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"jm-description\\"><span class=\\"title\\">High speed internet<\\/span>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<br \\/>In facilisis at augue imperdiet dignissim.<\\/p>\\r\\n<p class=\\"custom-icon1\\"><span>Lorem ipsum dolor<\\/span>Proin iaculis purus consequat sem cure digni ssim.<\\/p>\\r\\n<p class=\\"custom-icon2\\"><span>Adipiscing elit<\\/span>Proin iaculis purus consequat sem cure.<\\/p>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<br \\/>In facilisis at augue imperdiet dignissim.<\\/p>\\r\\n<a href=\\"#\\" class=\\"readmore\\">Read more<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Pricing Table Content<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-pricing clearfix <strong>col3<\\/strong>\\"&gt;<br \\/>\\r\\n&lt;div class=\\"box\\"&gt;<br \\/>\\r\\n&lt;div class=\\"box-in\\"&gt;<br \\/>\\r\\n&lt;div class=\\"price\\"&gt;&lt;span class=\\"up\\"&gt;<strong>as low as<\\/strong>&lt;\\/span&gt;<br \\/>\\r\\n&lt;span class=\\"middle\\"&gt;<strong>29.95<\\/strong>&lt;\\/span&gt;<br \\/>\\r\\n&lt;span class=\\"down\\"&gt;<strong>month<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;<br \\/>\\r\\n&lt;div class=\\"title\\"&gt;<strong>Cable Internet<\\/strong>&lt;\\/div&gt;<br \\/>\\r\\n&lt;div class=\\"content\\"&gt;<br \\/>\\r\\n&lt;div class=\\"subtitle\\"&gt;<strong>step up to earthlink cable internet at the speed of life<\\/strong>&lt;\\/div&gt;<br \\/>\\r\\n&lt;ul&gt;<br \\/>\\r\\n&lt;li&gt;<strong>Lorem ipsum dolor sit amet<\\/strong>&lt;\\/li&gt;<br \\/>\\r\\n&lt;li&gt;<strong>Morbi rhoncus diam quis augue<\\/strong>&lt;\\/li&gt;<br \\/>\\r\\n&lt;li&gt;<strong>Proin non finibus diam<\\/strong>&lt;\\/li&gt;<br \\/>\\r\\n&lt;li&gt;<strong>Pellentesque varius<\\/strong>&lt;\\/li&gt;<br \\/>\\r\\n&lt;li&gt;<strong>Vivamus quis leo<\\/strong>&lt;\\/li&gt;<br \\/>\\r\\n&lt;li&gt;<strong>Donec ut elit maximus<\\/strong>&lt;\\/li&gt;<br \\/>\\r\\n&lt;\\/ul&gt;<br \\/>\\r\\n&lt;\\/div&gt;<br \\/>\\r\\n&lt;div class=\\"bottom\\"&gt;&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>I\'m interested<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;<br \\/>\\r\\n&lt;\\/div&gt;<br \\/>\\r\\n&lt;\\/div&gt;<br \\/>\\r\\n&lt;div class=\\"box\\"&gt;<br \\/>\\r\\n&lt;div class=\\"box-in\\"&gt;<br \\/>\\r\\n&lt;div class=\\"price\\"&gt;&lt;span class=\\"up\\"&gt;<strong>as low as<\\/strong>&lt;\\/span&gt;<br \\/>\\r\\n&lt;span class=\\"middle\\"&gt;<strong>14.85<\\/strong>&lt;\\/span&gt;<br \\/>\\r\\n&lt;span class=\\"down\\"&gt;<strong>month<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;<br \\/>\\r\\n&lt;div class=\\"title\\"&gt;<strong>DSL Internet<\\/strong>&lt;\\/div&gt;<br \\/>\\r\\n&lt;div class=\\"content\\"&gt;<br \\/>\\r\\n&lt;div class=\\"subtitle\\"&gt;<strong>step up to incredible dsl cable internet<\\/strong>&lt;\\/div&gt;<br \\/>\\r\\n&lt;ul&gt;<br \\/>\\r\\n&lt;li&gt;<strong>Lorem ipsum dolor sit amet<\\/strong>&lt;\\/li&gt;<br \\/>\\r\\n&lt;li&gt;<strong>Morbi rhoncus diam quis augue<\\/strong>&lt;\\/li&gt;<br \\/>\\r\\n&lt;li&gt;<strong>Proin non finibus diam<\\/strong>&lt;\\/li&gt;<br \\/>\\r\\n&lt;li&gt;<strong>Pellentesque varius<\\/strong>&lt;\\/li&gt;<br \\/>\\r\\n&lt;li&gt;<strong>Vivamus quis leo<\\/strong>&lt;\\/li&gt;<br \\/>\\r\\n&lt;li&gt;<strong>Donec ut elit maximus<\\/strong>&lt;\\/li&gt;<br \\/>\\r\\n&lt;\\/ul&gt;<br \\/>\\r\\n&lt;\\/div&gt;<br \\/>\\r\\n&lt;div class=\\"bottom\\"&gt;&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>I\'m interested<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;<br \\/>\\r\\n&lt;\\/div&gt;<br \\/>\\r\\n&lt;\\/div&gt;<br \\/>\\r\\n&lt;div class=\\"box\\"&gt;<br \\/>\\r\\n&lt;div class=\\"box-in\\"&gt;<br \\/>\\r\\n&lt;div class=\\"price\\"&gt;&lt;span class=\\"up\\"&gt;<strong>as low as<\\/strong>&lt;\\/span&gt;<br \\/>\\r\\n&lt;span class=\\"middle\\"&gt;<strong>39.95<\\/strong>&lt;\\/span&gt;<br \\/>\\r\\n&lt;span class=\\"down\\"&gt;<strong>month<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;<br \\/>\\r\\n&lt;div class=\\"title\\"&gt;<strong>Satellite Internet<\\/strong>&lt;\\/div&gt;<br \\/>\\r\\n&lt;div class=\\"content\\"&gt;<br \\/>\\r\\n&lt;div class=\\"subtitle\\"&gt;<strong>No dsl or cable in your area? get satellite internet<\\/strong>&lt;\\/div&gt;<br \\/>\\r\\n&lt;ul&gt;<br \\/>\\r\\n&lt;li&gt;<strong>Lorem ipsum dolor sit amet<\\/strong>&lt;\\/li&gt;<br \\/>\\r\\n&lt;li&gt;<strong>Morbi rhoncus diam quis augue<\\/strong>&lt;\\/li&gt;<br \\/>\\r\\n&lt;li&gt;<strong>Proin non finibus diam<\\/strong>&lt;\\/li&gt;<br \\/>\\r\\n&lt;li&gt;<strong>Pellentesque varius<\\/strong>&lt;\\/li&gt;<br \\/>\\r\\n&lt;li&gt;<strong>Vivamus quis leo<\\/strong>&lt;\\/li&gt;<br \\/>\\r\\n&lt;li&gt;<strong>Donec ut elit maximus<\\/strong>&lt;\\/li&gt;<br \\/>\\r\\n&lt;\\/ul&gt;<br \\/>\\r\\n&lt;\\/div&gt;<br \\/>\\r\\n&lt;div class=\\"bottom\\"&gt;&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>I\'m interested<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;<br \\/>\\r\\n&lt;\\/div&gt;<br \\/>\\r\\n&lt;\\/div&gt;<br \\/>\\r\\n&lt;\\/div&gt;<br \\/>\\r\\n<\\/pre>\\r\\n<div class=\\"jm-pricing clearfix col3\\">\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">29.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Cable Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to earthlink cable internet at the speed of life<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<li>Pellentesque varius<\\/li>\\r\\n<li>Vivamus quis leo<\\/li>\\r\\n<li>Donec ut elit maximus<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">14.85<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">DSL Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to incredible dsl cable internet<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<li>Pellentesque varius<\\/li>\\r\\n<li>Vivamus quis leo<\\/li>\\r\\n<li>Donec ut elit maximus<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">39.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Satellite Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">No dsl or cable in your area? get satellite internet<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<li>Pellentesque varius<\\/li>\\r\\n<li>Vivamus quis leo<\\/li>\\r\\n<li>Donec ut elit maximus<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"78","created":"2014-05-14 12:40:26","created_by":"56","created_by_alias":"","modified":"2015-01-19 08:58:29","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-19 08:47:33","publish_up":"2014-05-14 12:40:26","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":63,"ordering":"8","metakey":"","metadesc":"","access":"1","hits":"175","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(356,87,1,'','2015-01-19 09:10:14',56,50158,'0a26db4fc4d6214a09874a68b3011f699f7cbdaa','{"id":87,"asset_id":"276","title":"Typography","alias":"typography","introtext":"<h3 class=\\"jm-typo-title\\">Image Borders<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-rounded\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-rounded\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<p><\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-circle\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-circle\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<p><\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-polaroid\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-polaroid\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Headings<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<h1>This is Heading One (h1)<\\/h1>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h2>This is Heading Two (h2)<\\/h2>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h3>This is Heading Three (h3)<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<h4>This is Heading Four (h4)<\\/h4>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h5>This is Heading Five (h5)<\\/h5>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h6>This is Heading Six (h6)<\\/h6>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Numered blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;p class=\\"jm-block\\"&gt;&lt;span class=\\"jm\\"&gt;01&lt;\\/span&gt;Text goes here&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">01<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">02<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">03<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;p class=\\"jm-block second\\"&gt;&lt;span class=\\"jm\\"&gt;a&lt;\\/span&gt;Text goes here&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">a<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">b<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">c<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Colored Blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<div class=\\"alert\\">&lt;div class=\\"alert\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<div class=\\"alert alert-error\\">&lt;div class=\\"alert alert-error\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<div class=\\"alert alert-success\\">&lt;div class=\\"alert alert-success\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<div class=\\"alert alert-info\\">&lt;div class=\\"alert alert-info\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Icon blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<p class=\\"jm-badge\\">&lt;p class=\\"jm-badge\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-calendar\\">&lt;p class=\\"jm-calendar\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-chat\\">&lt;p class=\\"jm-chat\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-check\\">&lt;p class=\\"jm-check\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-cloud\\">&lt;p class=\\"jm-cloud\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-direction\\">&lt;p class=\\"jm-direction\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-divide\\">&lt;p class=\\"jm-divide\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-error\\">&lt;p class=\\"jm-error\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-fire\\">&lt;p class=\\"jm-fire\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<p class=\\"jm-flag\\">&lt;p class=\\"jm-flag\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-heart\\">&lt;p class=\\"jm-heart\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-home\\">&lt;p class=\\"jm-home\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-info\\">&lt;p class=\\"jm-info\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-list\\">&lt;p class=\\"jm-list\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-mail\\">&lt;p class=\\"jm-mail\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-people\\">&lt;p class=\\"jm-people\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-star\\">&lt;p class=\\"jm-star\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-stat\\">&lt;p class=\\"jm-stat\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Blockquote<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;blockquote&gt;<br \\/>&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;\\/p&gt;<br \\/>&lt;small&gt;John Doe&lt;\\/small&gt;<br \\/>&lt;\\/blockquote&gt;<\\/pre>\\r\\n<blockquote>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n<small>John Doe<\\/small><\\/blockquote>\\r\\n<\\/div>\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;blockquote class=\\"pull-right\\"&gt;<br \\/>&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;\\/p&gt;<br \\/>&lt;small&gt;John Doe&lt;\\/small&gt;<br \\/>&lt;\\/blockquote&gt;<\\/pre>\\r\\n<blockquote class=\\"pull-right\\">\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n<small>John Doe<\\/small><\\/blockquote>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Unordered lists<\\/h3>\\r\\n<div class=\\"row-fluid\\" style=\\"margin-bottom: 30px;\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul class=\\"jm-color-list\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-color-list\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul class=\\"jm-light-list\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-light-list\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;ul class=\\"jm-custom-list\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-custom-list\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;ul class=\\"jm-custom-list green\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-custom-list green\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Ordered lists<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol class=\\"jm-roman\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol class=\\"jm-roman\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol class=\\"jm-alpha\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol class=\\"jm-alpha\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Read More Button<\\/h3>\\r\\n<pre>&lt;p class=\\"readmore\\"&gt;&lt;a class=\\"btn\\" href=\\"#\\"&gt;Read more&lt;\\/a&gt;&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"readmore\\"><a class=\\"btn\\" href=\\"#\\">Read more<\\/a><\\/p>\\r\\n<h3 class=\\"jm-typo-title\\">Glyphicon Font<\\/h3>\\r\\n<div>\\r\\n<pre>&lt;span class=\\"icon-joomla\\"&gt;&amp;nbsp&lt;\\/span&gt;<\\/pre>\\r\\n<\\/div>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-asterisk\\"> <\\/span> icon-asterisk<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plus\\"> <\\/span> icon-plus<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-euro\\"> <\\/span> icon-euro<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-minus\\"> <\\/span> icon-minus<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cloud\\"> <\\/span> icon-cloud<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-envelope\\"> <\\/span> icon-envelope<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pencil\\"> <\\/span> icon-pencil<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-glass\\"> <\\/span> icon-glass<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-music\\"> <\\/span> icon-music<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-search\\"> <\\/span> icon-search<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-heart\\"> <\\/span> icon-heart<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-star\\"> <\\/span> icon-star<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-star-empty\\"> <\\/span> icon-star-empty<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-user\\"> <\\/span> icon-user<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-film\\"> <\\/span> icon-film<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-th-large\\"> <\\/span> icon-th-large<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-th\\"> <\\/span> icon-th<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-th-list\\"> <\\/span> icon-th-list<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok\\"> <\\/span> icon-ok<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove\\"> <\\/span> icon-remove<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-zoom-in\\"> <\\/span> icon-zoom-in<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-zoom-out\\"> <\\/span> icon-zoom-out<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-off\\"> <\\/span> icon-off<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-signal\\"> <\\/span> icon-signal<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cog\\"> <\\/span> icon-cog<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-trash\\"> <\\/span> icon-trash<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-home\\"> <\\/span> icon-home<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-file\\"> <\\/span> icon-file<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-time\\"> <\\/span> icon-time<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-road\\"> <\\/span> icon-road<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-download-alt\\"> <\\/span> icon-download-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-download\\"> <\\/span> icon-download<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-upload\\"> <\\/span> icon-upload<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-inbox\\"> <\\/span> icon-inbox<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-play-circle\\"> <\\/span> icon-play-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-repeat\\"> <\\/span> icon-repeat<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-refresh\\"> <\\/span> icon-refresh<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-list-alt\\"> <\\/span> icon-list-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-lock\\"> <\\/span> icon-lock<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-flag\\"> <\\/span> icon-flag<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-headphones\\"> <\\/span> icon-headphones<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-volume-off\\"> <\\/span> icon-volume-off<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-volume-down\\"> <\\/span> icon-volume-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-volume-up\\"> <\\/span> icon-volume-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-qrcode\\"> <\\/span> icon-qrcode<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-barcode\\"> <\\/span> icon-barcode<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tag\\"> <\\/span> icon-tag<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tags\\"> <\\/span> icon-tags<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-book\\"> <\\/span> icon-book<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bookmark\\"> <\\/span> icon-bookmark<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-print\\"> <\\/span> icon-print<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-camera\\"> <\\/span> icon-camera<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-font\\"> <\\/span> icon-font<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bold\\"> <\\/span> icon-bold<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-italic\\"> <\\/span> icon-italic<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-text-height\\"> <\\/span> icon-text-height<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-text-width\\"> <\\/span> icon-text-width<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-left\\"> <\\/span> icon-align-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-center\\"> <\\/span> icon-align-center<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-right\\"> <\\/span> icon-align-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-justify\\"> <\\/span> icon-align-justify<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-list\\"> <\\/span> icon-list<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-indent-left\\"> <\\/span> icon-indent-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-indent-right\\"> <\\/span> icon-indent-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-facetime-video\\"> <\\/span> icon-facetime-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-picture\\"> <\\/span> icon-picture<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-map-marker\\"> <\\/span> icon-map-marker<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-adjust\\"> <\\/span> icon-adjust<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tint\\"> <\\/span> icon-tint<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-edit\\"> <\\/span> icon-edit<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-share\\"> <\\/span> icon-share<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-check\\"> <\\/span> icon-check<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-move\\"> <\\/span> icon-move<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-step-backward\\"> <\\/span> icon-step-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fast-backward\\"> <\\/span> icon-fast-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-backward\\"> <\\/span> icon-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-play\\"> <\\/span> icon-play<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pause\\"> <\\/span> icon-pause<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-stop\\"> <\\/span> icon-stop<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-forward\\"> <\\/span> icon-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fast-forward\\"> <\\/span> icon-fast-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-step-forward\\"> <\\/span> icon-step-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eject\\"> <\\/span> icon-eject<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-left\\"> <\\/span> icon-chevron-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-right\\"> <\\/span> icon-chevron-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plus-sign\\"> <\\/span> icon-plus-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-minus-sign\\"> <\\/span> icon-minus-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove-sign\\"> <\\/span> icon-remove-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok-sign\\"> <\\/span> icon-ok-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-question-sign\\"> <\\/span> icon-question-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-info-sign\\"> <\\/span> icon-info-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-screenshot\\"> <\\/span> icon-screenshot<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove-circle\\"> <\\/span> icon-remove-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok-circle\\"> <\\/span> icon-ok-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ban-circle\\"> <\\/span> icon-ban-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-left\\"> <\\/span> icon-arrow-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-right\\"> <\\/span> icon-arrow-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-up\\"> <\\/span> icon-arrow-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-down\\"> <\\/span> icon-arrow-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-share-alt\\"> <\\/span> icon-share-alt<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-full\\"> <\\/span> icon-resize-full<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-small\\"> <\\/span> icon-resize-small<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-exclamation-sign\\"> <\\/span> icon-exclamation-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-gift\\"> <\\/span> icon-gift<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-leaf\\"> <\\/span> icon-leaf<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fire\\"> <\\/span> icon-fire<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eye-open\\"> <\\/span> icon-eye-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eye-close\\"> <\\/span> icon-eye-close<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-warning-sign\\"> <\\/span> icon-warning-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plane\\"> <\\/span> icon-plane<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-calendar\\"> <\\/span> icon-calendar<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-random\\"> <\\/span> icon-random<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-comment\\"> <\\/span> icon-comment<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-magnet\\"> <\\/span> icon-magnet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-up\\"> <\\/span> icon-chevron-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-down\\"> <\\/span> icon-chevron-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-retweet\\"> <\\/span> icon-retweet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-shopping-cart\\"> <\\/span> icon-shopping-cart<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-folder-close\\"> <\\/span> icon-folder-close<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-folder-open\\"> <\\/span> icon-folder-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-vertical\\"> <\\/span> icon-resize-vertical<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-horizontal\\"> <\\/span> icon-resize-horizontal<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hdd\\"> <\\/span> icon-hdd<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bullhorn\\"> <\\/span> icon-bullhorn<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bell\\"> <\\/span> icon-bell<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-certificate\\"> <\\/span> icon-certificate<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-thumbs-up\\"> <\\/span> icon-thumbs-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-thumbs-down\\"> <\\/span> icon-thumbs-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-right\\"> <\\/span> icon-hand-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-left\\"> <\\/span> icon-hand-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-up\\"> <\\/span> icon-hand-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-down\\"> <\\/span> icon-hand-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-right\\"> <\\/span> icon-circle-arrow-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-left\\"> <\\/span> icon-circle-arrow-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-up\\"> <\\/span> icon-circle-arrow-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-down\\"> <\\/span> icon-circle-arrow-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-globe\\"> <\\/span> icon-globe<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-wrench\\"> <\\/span> icon-wrench<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tasks\\"> <\\/span> icon-tasks<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-filter\\"> <\\/span> icon-filter<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-briefcase\\"> <\\/span> icon-briefcase<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fullscreen\\"> <\\/span> icon-fullscreen<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-dashboard\\"> <\\/span> icon-dashboard<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-paperclip\\"> <\\/span> icon-paperclip<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-heart-empty\\"> <\\/span> icon-heart-empty<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-link\\"> <\\/span> icon-link<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-phone\\"> <\\/span> icon-phone<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pushpin\\"> <\\/span> icon-pushpin<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-usd\\"> <\\/span> icon-usd<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-gbp\\"> <\\/span> icon-gbp<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort\\"> <\\/span> icon-sort<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-alphabet\\"> <\\/span> icon-sort-by-alphabet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-alphabet-alt\\"> <\\/span> icon-sort-by-alphabet-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-order\\"> <\\/span> icon-sort-by-order<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-order-alt\\"> <\\/span> icon-sort-by-order-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-attributes\\"> <\\/span> icon-sort-by-attributes<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-attributes-alt\\"> <\\/span> icon-sort-by-attributes-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-unchecked\\"> <\\/span> icon-unchecked<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-expand\\"> <\\/span> icon-expand<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-collapse-down\\"> <\\/span> icon-collapse-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-collapse-up\\"> <\\/span> icon-collapse-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-log-in\\"> <\\/span> icon-log-in<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-flash\\"> <\\/span> icon-flash<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-log-out\\"> <\\/span> icon-log-out<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-new-window\\"> <\\/span> icon-new-window<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-record\\"> <\\/span> icon-record<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-save\\"> <\\/span> icon-save<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-open\\"> <\\/span> icon-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-saved\\"> <\\/span> icon-saved<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-import\\"> <\\/span> icon-import<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-export\\"> <\\/span> icon-export<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-send\\"> <\\/span> icon-send<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-disk\\"> <\\/span> icon-floppy-disk<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-saved\\"> <\\/span> icon-floppy-saved<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-remove\\"> <\\/span> icon-floppy-remove<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-save\\"> <\\/span> icon-floppy-save<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-open\\"> <\\/span> icon-floppy-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-credit-card\\"> <\\/span> icon-credit-card<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-transfer\\"> <\\/span> icon-transfer<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cutlery\\"> <\\/span> icon-cutlery<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-header\\"> <\\/span> icon-header<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-compressed\\"> <\\/span> icon-compressed<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-earphone\\"> <\\/span> icon-earphone<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-phone-alt\\"> <\\/span> icon-phone-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tower\\"> <\\/span> icon-tower<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-stats\\"> <\\/span> icon-stats<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sd-video\\"> <\\/span> icon-sd-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hd-video\\"> <\\/span> icon-hd-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-subtitles\\"> <\\/span> icon-subtitles<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-stereo\\"> <\\/span> icon-sound-stereo<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-dolby\\"> <\\/span> icon-sound-dolby<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-5-1\\"> <\\/span> icon-sound-5-1<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-6-1\\"> <\\/span> icon-sound-6-1<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-7-1\\"> <\\/span> icon-sound-7-1<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-copyright-mark\\"> <\\/span> icon-copyright-mark<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-registration-mark\\"> <\\/span> icon-registration-mark<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cloud-download\\"> <\\/span> icon-cloud-download<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cloud-upload\\"> <\\/span> icon-cloud-upload<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tree-conifer\\"> <\\/span> icon-tree-conifer<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tree-deciduous\\"> <\\/span> icon-tree-deciduous<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Top Contact Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;ul class=\\"jm-contact-icons\\"&gt;<br \\/>&lt;li class=\\"jm-direction\\"&gt;&lt;img src=\\"images\\/modules\\/direction.png\\" alt=\\"Direction\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"#\\"&gt;Peterborough, UK&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;li class=\\"jm-email\\"&gt;&lt;img src=\\"images\\/modules\\/email.png\\" alt=\\"Email\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"#\\"&gt;Email&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;li class=\\"jm-phone\\"&gt;&lt;img src=\\"images\\/modules\\/phone.png\\" alt=\\"Phone\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"#\\"&gt;+44 7837 383 484&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-contact-icons\\">\\r\\n<li class=\\"jm-direction\\"><img src=\\"images\\/modules\\/direction.png\\" alt=\\"Direction\\" \\/><a title=\\"Contact\\" href=\\"#\\">Peterborough, UK<\\/a><\\/li>\\r\\n<li class=\\"jm-email\\"><img src=\\"images\\/modules\\/email.png\\" alt=\\"Email\\" \\/><a title=\\"Contact\\" href=\\"#\\">Email<\\/a><\\/li>\\r\\n<li class=\\"jm-phone\\"><img src=\\"images\\/modules\\/phone.png\\" alt=\\"Phone\\" \\/><a title=\\"Contact\\" href=\\"#\\">+44 7837 383 484<\\/a><\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Residential Solutions Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-box\\"&gt;\\r\\n&lt;div class=\\"jm-box-in\\"&gt;\\r\\n&lt;div class=\\"jm-icon\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/icon1.png<\\/strong>\\" alt=\\"\\" \\/&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-column\\"&gt;\\r\\n&lt;span class=\\"title\\"&gt;<strong>Residential Solutions<\\/strong>&lt;\\/span&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"link\\"&gt;<strong>www.jm-internet.com<\\/strong>&lt;\\/a&gt;\\r\\n&lt;span class=\\"description\\"&gt;<strong>Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"contact\\"&gt;<strong>call 888-777-888<\\/strong>&lt;\\/span&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"readmore\\"&gt;<strong>read more<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-expand\\"&gt;\\r\\n&lt;div class=\\"expand-in\\"&gt;&lt;span class=\\"subtitle\\"&gt;<strong>Services Include<\\/strong>&lt;\\/span&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vestibulum venenatis<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Suscipit libero<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-box\\">\\r\\n<div class=\\"jm-box-in\\">\\r\\n<div class=\\"jm-icon\\"><img src=\\"images\\/modules\\/icon1.png\\" alt=\\"\\" \\/><\\/div>\\r\\n<div class=\\"jm-column\\"><span class=\\"title\\">Residential Solutions<\\/span> <a href=\\"#\\" class=\\"link\\">www.jm-internet.com<\\/a> <span class=\\"description\\">Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/span> <span class=\\"contact\\">call 888-777-888<\\/span> <a href=\\"#\\" class=\\"readmore\\">read more<\\/a><\\/div>\\r\\n<div class=\\"jm-expand\\">\\r\\n<div class=\\"expand-in\\"><span class=\\"subtitle\\">Services Include<\\/span>\\r\\n<ul>\\r\\n<li>Lorem ipsum<\\/li>\\r\\n<li>Dolor sit amet<\\/li>\\r\\n<li>Vestibulum venenatis<\\/li>\\r\\n<li>Suscipit libero<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Business Solutions Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-box\\"&gt;\\r\\n&lt;div class=\\"jm-box-in\\"&gt;\\r\\n&lt;div class=\\"jm-icon\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/icon2.png<\\/strong>\\" alt=\\"\\" \\/&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-column\\"&gt;\\r\\n&lt;span class=\\"title\\"&gt;<strong>Business Solutions<\\/strong>&lt;\\/span&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"link\\"&gt;<strong>www.jm-internet.com<\\/strong>&lt;\\/a&gt;\\r\\n&lt;span class=\\"description\\"&gt;<strong>Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"contact\\"&gt;<strong>call 888-777-888<\\/strong>&lt;\\/span&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"readmore\\"&gt;<strong>read more<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-expand\\"&gt;\\r\\n&lt;div class=\\"expand-in\\"&gt;&lt;span class=\\"subtitle\\"&gt;<strong>Services Include<\\/strong>&lt;\\/span&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vestibulum venenatis<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Suscipit libero<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-box\\">\\r\\n<div class=\\"jm-box-in\\">\\r\\n<div class=\\"jm-icon\\"><img src=\\"images\\/modules\\/icon2.png\\" alt=\\"\\" \\/><\\/div>\\r\\n<div class=\\"jm-column\\">\\r\\n<div class=\\"column-in\\"><span class=\\"title\\">Business Solutions<\\/span> <a href=\\"#\\" class=\\"link\\">www.jm-internet.com<\\/a> <span class=\\"description\\">Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/span> <span class=\\"contact\\">call 888-777-888<\\/span> <a href=\\"#\\" class=\\"readmore\\">read more<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"jm-expand\\">\\r\\n<div class=\\"expand-in\\"><span class=\\"subtitle\\">Services Include<\\/span>\\r\\n<ul>\\r\\n<li>Lorem ipsum<\\/li>\\r\\n<li>Dolor sit amet<\\/li>\\r\\n<li>Vestibulum venenatis<\\/li>\\r\\n<li>Suscipit libero<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Header Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-custom-header\\"&gt;\\r\\n&lt;div class=\\"title\\"&gt;<strong>This is <\\/strong>&lt;span&gt;<strong>custom<\\/strong>&lt;\\/span&gt; <strong>html module<\\/strong>&lt;\\/div&gt;\\r\\n&lt;div class=\\"description\\"&gt;<strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt<\\/strong>&lt;br \\/&gt;<strong> ut labore et dolore magna aliqua.<\\/strong>&lt;\\/div&gt;\\r\\n&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>Check an offer<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-custom-header\\">\\r\\n<div class=\\"title\\">This is <span>custom<\\/span> html module<\\/div>\\r\\n<div class=\\"description\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt<br \\/> ut labore et dolore magna aliqua.<\\/div>\\r\\n<a class=\\"btn\\" href=\\"#\\">Check an offer<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Social Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<div class=\\"jm-socials\\">\\r\\n<pre>&lt;div class=\\"jm-socials\\"&gt;<br \\/>&lt;a class=\\"facebook\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"googleplus\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"twitter\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"linkedin\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"skype\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"vimeo\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;\\/div&gt;<\\/pre>\\r\\n<a class=\\"facebook\\" href=\\"#\\"> <\\/a> <a class=\\"googleplus\\" href=\\"#\\"> <\\/a> <a class=\\"twitter\\" href=\\"#\\"> <\\/a> <a class=\\"linkedin\\" href=\\"#\\"> <\\/a> <a class=\\"skype\\" href=\\"#\\"> <\\/a> <a class=\\"vimeo\\" href=\\"#\\"> <\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Home Content<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-custom-content clearfix\\"&gt;\\r\\n&lt;div class=\\"jm-icon\\"&gt;\\r\\n&lt;div class=\\"jm-icon-in\\"&gt;&lt;span class=\\"up\\"&gt;<strong>Up to<\\/strong>&lt;\\/span&gt; &lt;span class=\\"middle\\"&gt;<strong>250<\\/strong>&lt;\\/span&gt; &lt;span class=\\"down\\"&gt;<strong>Mbps<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;<br \\/>\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-description\\"&gt;&lt;span class=\\"title\\"&gt;<strong>High speed internet<\\/strong>&lt;\\/span&gt;\\r\\n&lt;p&gt;<strong>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<\\/strong>&lt;br \\/&gt;<strong>In facilisis at augue imperdiet dignissim.<\\/strong>&lt;\\/p&gt;\\r\\n&lt;p class=\\"custom-icon1\\"&gt;&lt;span&gt;<strong>Lorem ipsum dolor<\\/strong>&lt;\\/span&gt;<strong>Proin iaculis purus consequat sem cure digni ssim.<\\/strong>&lt;\\/p&gt;\\r\\n&lt;p class=\\"custom-icon2\\"&gt;&lt;span&gt;<strong>Adipiscing elit<\\/strong>&lt;\\/span&gt;<strong>Proin iaculis purus consequat sem cure.<\\/strong>&lt;\\/p&gt;\\r\\n&lt;p&gt;<strong>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<\\/strong>&lt;br \\/&gt;<strong>In facilisis at augue imperdiet dignissim.<\\/strong>&lt;\\/p&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"readmore\\"&gt;<strong>Read more<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-custom-content clearfix\\">\\r\\n<div class=\\"jm-icon\\">\\r\\n<div class=\\"jm-icon-in\\"><span class=\\"up\\">Up to<\\/span> <span class=\\"middle\\">250<\\/span> <span class=\\"down\\">Mbps<\\/span><\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"jm-description\\"><span class=\\"title\\">High speed internet<\\/span>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<br \\/>In facilisis at augue imperdiet dignissim.<\\/p>\\r\\n<p class=\\"custom-icon1\\"><span>Lorem ipsum dolor<\\/span>Proin iaculis purus consequat sem cure digni ssim.<\\/p>\\r\\n<p class=\\"custom-icon2\\"><span>Adipiscing elit<\\/span>Proin iaculis purus consequat sem cure.<\\/p>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<br \\/>In facilisis at augue imperdiet dignissim.<\\/p>\\r\\n<a href=\\"#\\" class=\\"readmore\\">Read more<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Pricing Table Content<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-pricing clearfix <strong>col3<\\/strong>\\"&gt;\\r\\n&lt;div class=\\"box\\"&gt;\\r\\n&lt;div class=\\"box-in\\"&gt;\\r\\n&lt;div class=\\"price\\"&gt;&lt;span class=\\"up\\"&gt;<strong>as low as<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"middle\\"&gt;<strong>29.95<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"down\\"&gt;<strong>month<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"title\\"&gt;<strong>Cable Internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;div class=\\"content\\"&gt;\\r\\n&lt;div class=\\"subtitle\\"&gt;<strong>step up to earthlink cable internet at the speed of life<\\/strong>&lt;\\/div&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Morbi rhoncus diam quis augue<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Proin non finibus diam<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Pellentesque varius<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vivamus quis leo<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Donec ut elit maximus<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"bottom\\"&gt;&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>I\'m interested<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"box\\"&gt;\\r\\n&lt;div class=\\"box-in\\"&gt;\\r\\n&lt;div class=\\"price\\"&gt;&lt;span class=\\"up\\"&gt;<strong>as low as<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"middle\\"&gt;<strong>14.85<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"down\\"&gt;<strong>month<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"title\\"&gt;<strong>DSL Internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;div class=\\"content\\"&gt;\\r\\n&lt;div class=\\"subtitle\\"&gt;<strong>step up to incredible dsl cable internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Morbi rhoncus diam quis augue<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Proin non finibus diam<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Pellentesque varius<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vivamus quis leo<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Donec ut elit maximus<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"bottom\\"&gt;&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>I\'m interested<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"box\\"&gt;\\r\\n&lt;div class=\\"box-in\\"&gt;\\r\\n&lt;div class=\\"price\\"&gt;&lt;span class=\\"up\\"&gt;<strong>as low as<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"middle\\"&gt;<strong>39.95<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"down\\"&gt;<strong>month<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"title\\"&gt;<strong>Satellite Internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;div class=\\"content\\"&gt;\\r\\n&lt;div class=\\"subtitle\\"&gt;<strong>No dsl or cable in your area? get satellite internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Morbi rhoncus diam quis augue<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Proin non finibus diam<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Pellentesque varius<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vivamus quis leo<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Donec ut elit maximus<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"bottom\\"&gt;&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>I\'m interested<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-pricing clearfix col3\\">\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">29.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Cable Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to earthlink cable internet at the speed of life<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<li>Pellentesque varius<\\/li>\\r\\n<li>Vivamus quis leo<\\/li>\\r\\n<li>Donec ut elit maximus<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">14.85<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">DSL Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to incredible dsl cable internet<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<li>Pellentesque varius<\\/li>\\r\\n<li>Vivamus quis leo<\\/li>\\r\\n<li>Donec ut elit maximus<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">39.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Satellite Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">No dsl or cable in your area? get satellite internet<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<li>Pellentesque varius<\\/li>\\r\\n<li>Vivamus quis leo<\\/li>\\r\\n<li>Donec ut elit maximus<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"78","created":"2014-05-14 12:40:26","created_by":"56","created_by_alias":"","modified":"2015-01-19 09:10:14","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-19 08:58:29","publish_up":"2014-05-14 12:40:26","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":64,"ordering":"8","metakey":"","metadesc":"","access":"1","hits":"176","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(357,87,1,'','2015-01-19 09:13:08',56,50324,'034c6c357369afa6f8942ec9d6f3387d676fa5ca','{"id":87,"asset_id":"276","title":"Typography","alias":"typography","introtext":"<h3 class=\\"jm-typo-title\\">Image Borders<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-rounded\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-rounded\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<p><\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-circle\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-circle\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<p><\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-polaroid\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-polaroid\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Headings<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<h1>This is Heading One (h1)<\\/h1>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h2>This is Heading Two (h2)<\\/h2>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h3>This is Heading Three (h3)<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<h4>This is Heading Four (h4)<\\/h4>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h5>This is Heading Five (h5)<\\/h5>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h6>This is Heading Six (h6)<\\/h6>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Numered blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;p class=\\"jm-block\\"&gt;&lt;span class=\\"jm\\"&gt;01&lt;\\/span&gt;Text goes here&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">01<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">02<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">03<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;p class=\\"jm-block second\\"&gt;&lt;span class=\\"jm\\"&gt;a&lt;\\/span&gt;Text goes here&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">a<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">b<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">c<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Colored Blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<div class=\\"alert\\">&lt;div class=\\"alert\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<div class=\\"alert alert-error\\">&lt;div class=\\"alert alert-error\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<div class=\\"alert alert-success\\">&lt;div class=\\"alert alert-success\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<div class=\\"alert alert-info\\">&lt;div class=\\"alert alert-info\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Icon blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<p class=\\"jm-badge\\">&lt;p class=\\"jm-badge\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-calendar\\">&lt;p class=\\"jm-calendar\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-chat\\">&lt;p class=\\"jm-chat\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-check\\">&lt;p class=\\"jm-check\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-cloud\\">&lt;p class=\\"jm-cloud\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-direction\\">&lt;p class=\\"jm-direction\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-divide\\">&lt;p class=\\"jm-divide\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-error\\">&lt;p class=\\"jm-error\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-fire\\">&lt;p class=\\"jm-fire\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<p class=\\"jm-flag\\">&lt;p class=\\"jm-flag\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-heart\\">&lt;p class=\\"jm-heart\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-home\\">&lt;p class=\\"jm-home\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-info\\">&lt;p class=\\"jm-info\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-list\\">&lt;p class=\\"jm-list\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-mail\\">&lt;p class=\\"jm-mail\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-people\\">&lt;p class=\\"jm-people\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-star\\">&lt;p class=\\"jm-star\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-stat\\">&lt;p class=\\"jm-stat\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Blockquote<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;blockquote&gt;<br \\/>&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;\\/p&gt;<br \\/>&lt;small&gt;John Doe&lt;\\/small&gt;<br \\/>&lt;\\/blockquote&gt;<\\/pre>\\r\\n<blockquote>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n<small>John Doe<\\/small><\\/blockquote>\\r\\n<\\/div>\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;blockquote class=\\"pull-right\\"&gt;<br \\/>&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;\\/p&gt;<br \\/>&lt;small&gt;John Doe&lt;\\/small&gt;<br \\/>&lt;\\/blockquote&gt;<\\/pre>\\r\\n<blockquote class=\\"pull-right\\">\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n<small>John Doe<\\/small><\\/blockquote>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Unordered lists<\\/h3>\\r\\n<div class=\\"row-fluid\\" style=\\"margin-bottom: 30px;\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul class=\\"jm-color-list\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-color-list\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul class=\\"jm-light-list\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-light-list\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;ul class=\\"jm-custom-list\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-custom-list\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;ul class=\\"jm-custom-list green\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-custom-list green\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Ordered lists<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol class=\\"jm-roman\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol class=\\"jm-roman\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol class=\\"jm-alpha\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol class=\\"jm-alpha\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Read More Button<\\/h3>\\r\\n<pre>&lt;p class=\\"readmore\\"&gt;&lt;a class=\\"btn\\" href=\\"#\\"&gt;Read more&lt;\\/a&gt;&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"readmore\\"><a class=\\"btn\\" href=\\"#\\">Read more<\\/a><\\/p>\\r\\n<h3 class=\\"jm-typo-title\\">Glyphicon Font<\\/h3>\\r\\n<div>\\r\\n<pre>&lt;span class=\\"icon-joomla\\"&gt;&amp;nbsp&lt;\\/span&gt;<\\/pre>\\r\\n<\\/div>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-asterisk\\"> <\\/span> icon-asterisk<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plus\\"> <\\/span> icon-plus<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-euro\\"> <\\/span> icon-euro<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-minus\\"> <\\/span> icon-minus<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cloud\\"> <\\/span> icon-cloud<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-envelope\\"> <\\/span> icon-envelope<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pencil\\"> <\\/span> icon-pencil<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-glass\\"> <\\/span> icon-glass<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-music\\"> <\\/span> icon-music<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-search\\"> <\\/span> icon-search<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-heart\\"> <\\/span> icon-heart<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-star\\"> <\\/span> icon-star<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-star-empty\\"> <\\/span> icon-star-empty<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-user\\"> <\\/span> icon-user<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-film\\"> <\\/span> icon-film<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-th-large\\"> <\\/span> icon-th-large<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-th\\"> <\\/span> icon-th<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-th-list\\"> <\\/span> icon-th-list<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok\\"> <\\/span> icon-ok<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove\\"> <\\/span> icon-remove<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-zoom-in\\"> <\\/span> icon-zoom-in<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-zoom-out\\"> <\\/span> icon-zoom-out<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-off\\"> <\\/span> icon-off<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-signal\\"> <\\/span> icon-signal<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cog\\"> <\\/span> icon-cog<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-trash\\"> <\\/span> icon-trash<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-home\\"> <\\/span> icon-home<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-file\\"> <\\/span> icon-file<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-time\\"> <\\/span> icon-time<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-road\\"> <\\/span> icon-road<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-download-alt\\"> <\\/span> icon-download-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-download\\"> <\\/span> icon-download<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-upload\\"> <\\/span> icon-upload<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-inbox\\"> <\\/span> icon-inbox<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-play-circle\\"> <\\/span> icon-play-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-repeat\\"> <\\/span> icon-repeat<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-refresh\\"> <\\/span> icon-refresh<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-list-alt\\"> <\\/span> icon-list-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-lock\\"> <\\/span> icon-lock<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-flag\\"> <\\/span> icon-flag<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-headphones\\"> <\\/span> icon-headphones<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-volume-off\\"> <\\/span> icon-volume-off<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-volume-down\\"> <\\/span> icon-volume-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-volume-up\\"> <\\/span> icon-volume-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-qrcode\\"> <\\/span> icon-qrcode<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-barcode\\"> <\\/span> icon-barcode<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tag\\"> <\\/span> icon-tag<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tags\\"> <\\/span> icon-tags<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-book\\"> <\\/span> icon-book<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bookmark\\"> <\\/span> icon-bookmark<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-print\\"> <\\/span> icon-print<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-camera\\"> <\\/span> icon-camera<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-font\\"> <\\/span> icon-font<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bold\\"> <\\/span> icon-bold<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-italic\\"> <\\/span> icon-italic<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-text-height\\"> <\\/span> icon-text-height<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-text-width\\"> <\\/span> icon-text-width<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-left\\"> <\\/span> icon-align-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-center\\"> <\\/span> icon-align-center<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-right\\"> <\\/span> icon-align-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-justify\\"> <\\/span> icon-align-justify<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-list\\"> <\\/span> icon-list<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-indent-left\\"> <\\/span> icon-indent-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-indent-right\\"> <\\/span> icon-indent-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-facetime-video\\"> <\\/span> icon-facetime-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-picture\\"> <\\/span> icon-picture<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-map-marker\\"> <\\/span> icon-map-marker<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-adjust\\"> <\\/span> icon-adjust<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tint\\"> <\\/span> icon-tint<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-edit\\"> <\\/span> icon-edit<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-share\\"> <\\/span> icon-share<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-check\\"> <\\/span> icon-check<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-move\\"> <\\/span> icon-move<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-step-backward\\"> <\\/span> icon-step-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fast-backward\\"> <\\/span> icon-fast-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-backward\\"> <\\/span> icon-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-play\\"> <\\/span> icon-play<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pause\\"> <\\/span> icon-pause<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-stop\\"> <\\/span> icon-stop<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-forward\\"> <\\/span> icon-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fast-forward\\"> <\\/span> icon-fast-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-step-forward\\"> <\\/span> icon-step-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eject\\"> <\\/span> icon-eject<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-left\\"> <\\/span> icon-chevron-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-right\\"> <\\/span> icon-chevron-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plus-sign\\"> <\\/span> icon-plus-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-minus-sign\\"> <\\/span> icon-minus-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove-sign\\"> <\\/span> icon-remove-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok-sign\\"> <\\/span> icon-ok-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-question-sign\\"> <\\/span> icon-question-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-info-sign\\"> <\\/span> icon-info-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-screenshot\\"> <\\/span> icon-screenshot<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove-circle\\"> <\\/span> icon-remove-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok-circle\\"> <\\/span> icon-ok-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ban-circle\\"> <\\/span> icon-ban-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-left\\"> <\\/span> icon-arrow-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-right\\"> <\\/span> icon-arrow-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-up\\"> <\\/span> icon-arrow-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-down\\"> <\\/span> icon-arrow-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-share-alt\\"> <\\/span> icon-share-alt<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-full\\"> <\\/span> icon-resize-full<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-small\\"> <\\/span> icon-resize-small<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-exclamation-sign\\"> <\\/span> icon-exclamation-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-gift\\"> <\\/span> icon-gift<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-leaf\\"> <\\/span> icon-leaf<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fire\\"> <\\/span> icon-fire<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eye-open\\"> <\\/span> icon-eye-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eye-close\\"> <\\/span> icon-eye-close<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-warning-sign\\"> <\\/span> icon-warning-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plane\\"> <\\/span> icon-plane<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-calendar\\"> <\\/span> icon-calendar<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-random\\"> <\\/span> icon-random<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-comment\\"> <\\/span> icon-comment<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-magnet\\"> <\\/span> icon-magnet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-up\\"> <\\/span> icon-chevron-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-down\\"> <\\/span> icon-chevron-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-retweet\\"> <\\/span> icon-retweet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-shopping-cart\\"> <\\/span> icon-shopping-cart<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-folder-close\\"> <\\/span> icon-folder-close<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-folder-open\\"> <\\/span> icon-folder-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-vertical\\"> <\\/span> icon-resize-vertical<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-horizontal\\"> <\\/span> icon-resize-horizontal<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hdd\\"> <\\/span> icon-hdd<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bullhorn\\"> <\\/span> icon-bullhorn<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bell\\"> <\\/span> icon-bell<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-certificate\\"> <\\/span> icon-certificate<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-thumbs-up\\"> <\\/span> icon-thumbs-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-thumbs-down\\"> <\\/span> icon-thumbs-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-right\\"> <\\/span> icon-hand-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-left\\"> <\\/span> icon-hand-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-up\\"> <\\/span> icon-hand-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-down\\"> <\\/span> icon-hand-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-right\\"> <\\/span> icon-circle-arrow-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-left\\"> <\\/span> icon-circle-arrow-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-up\\"> <\\/span> icon-circle-arrow-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-down\\"> <\\/span> icon-circle-arrow-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-globe\\"> <\\/span> icon-globe<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-wrench\\"> <\\/span> icon-wrench<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tasks\\"> <\\/span> icon-tasks<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-filter\\"> <\\/span> icon-filter<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-briefcase\\"> <\\/span> icon-briefcase<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fullscreen\\"> <\\/span> icon-fullscreen<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-dashboard\\"> <\\/span> icon-dashboard<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-paperclip\\"> <\\/span> icon-paperclip<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-heart-empty\\"> <\\/span> icon-heart-empty<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-link\\"> <\\/span> icon-link<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-phone\\"> <\\/span> icon-phone<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pushpin\\"> <\\/span> icon-pushpin<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-usd\\"> <\\/span> icon-usd<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-gbp\\"> <\\/span> icon-gbp<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort\\"> <\\/span> icon-sort<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-alphabet\\"> <\\/span> icon-sort-by-alphabet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-alphabet-alt\\"> <\\/span> icon-sort-by-alphabet-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-order\\"> <\\/span> icon-sort-by-order<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-order-alt\\"> <\\/span> icon-sort-by-order-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-attributes\\"> <\\/span> icon-sort-by-attributes<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-attributes-alt\\"> <\\/span> icon-sort-by-attributes-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-unchecked\\"> <\\/span> icon-unchecked<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-expand\\"> <\\/span> icon-expand<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-collapse-down\\"> <\\/span> icon-collapse-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-collapse-up\\"> <\\/span> icon-collapse-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-log-in\\"> <\\/span> icon-log-in<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-flash\\"> <\\/span> icon-flash<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-log-out\\"> <\\/span> icon-log-out<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-new-window\\"> <\\/span> icon-new-window<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-record\\"> <\\/span> icon-record<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-save\\"> <\\/span> icon-save<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-open\\"> <\\/span> icon-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-saved\\"> <\\/span> icon-saved<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-import\\"> <\\/span> icon-import<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-export\\"> <\\/span> icon-export<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-send\\"> <\\/span> icon-send<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-disk\\"> <\\/span> icon-floppy-disk<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-saved\\"> <\\/span> icon-floppy-saved<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-remove\\"> <\\/span> icon-floppy-remove<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-save\\"> <\\/span> icon-floppy-save<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-open\\"> <\\/span> icon-floppy-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-credit-card\\"> <\\/span> icon-credit-card<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-transfer\\"> <\\/span> icon-transfer<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cutlery\\"> <\\/span> icon-cutlery<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-header\\"> <\\/span> icon-header<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-compressed\\"> <\\/span> icon-compressed<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-earphone\\"> <\\/span> icon-earphone<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-phone-alt\\"> <\\/span> icon-phone-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tower\\"> <\\/span> icon-tower<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-stats\\"> <\\/span> icon-stats<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sd-video\\"> <\\/span> icon-sd-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hd-video\\"> <\\/span> icon-hd-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-subtitles\\"> <\\/span> icon-subtitles<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-stereo\\"> <\\/span> icon-sound-stereo<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-dolby\\"> <\\/span> icon-sound-dolby<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-5-1\\"> <\\/span> icon-sound-5-1<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-6-1\\"> <\\/span> icon-sound-6-1<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-7-1\\"> <\\/span> icon-sound-7-1<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-copyright-mark\\"> <\\/span> icon-copyright-mark<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-registration-mark\\"> <\\/span> icon-registration-mark<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cloud-download\\"> <\\/span> icon-cloud-download<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cloud-upload\\"> <\\/span> icon-cloud-upload<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tree-conifer\\"> <\\/span> icon-tree-conifer<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tree-deciduous\\"> <\\/span> icon-tree-deciduous<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Top Contact Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;ul class=\\"jm-contact-icons\\"&gt;<br \\/>&lt;li class=\\"jm-direction\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/direction.png<\\/strong>\\" alt=\\"Direction\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"<strong>#<\\/strong>\\"&amp;gt<strong>;Peterborough, UK<\\/strong>&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;li class=\\"jm-email\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/email.png<\\/strong>\\" alt=\\"Email\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>Email<\\/strong>&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;li class=\\"jm-phone\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/phone.png<\\/strong>\\" alt=\\"Phone\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>+44 7837 383 484<\\/strong>&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-contact-icons\\">\\r\\n<li class=\\"jm-direction\\"><img src=\\"images\\/modules\\/direction.png\\" alt=\\"Direction\\" \\/><a title=\\"Contact\\" href=\\"#\\">Peterborough, UK<\\/a><\\/li>\\r\\n<li class=\\"jm-email\\"><img src=\\"images\\/modules\\/email.png\\" alt=\\"Email\\" \\/><a title=\\"Contact\\" href=\\"#\\">Email<\\/a><\\/li>\\r\\n<li class=\\"jm-phone\\"><img src=\\"images\\/modules\\/phone.png\\" alt=\\"Phone\\" \\/><a title=\\"Contact\\" href=\\"#\\">+44 7837 383 484<\\/a><\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Residential Solutions Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-box\\"&gt;\\r\\n&lt;div class=\\"jm-box-in\\"&gt;\\r\\n&lt;div class=\\"jm-icon\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/icon1.png<\\/strong>\\" alt=\\"\\" \\/&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-column\\"&gt;\\r\\n&lt;span class=\\"title\\"&gt;<strong>Residential Solutions<\\/strong>&lt;\\/span&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"link\\"&gt;<strong>www.jm-internet.com<\\/strong>&lt;\\/a&gt;\\r\\n&lt;span class=\\"description\\"&gt;<strong>Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"contact\\"&gt;<strong>call 888-777-888<\\/strong>&lt;\\/span&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"readmore\\"&gt;<strong>read more<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-expand\\"&gt;\\r\\n&lt;div class=\\"expand-in\\"&gt;&lt;span class=\\"subtitle\\"&gt;<strong>Services Include<\\/strong>&lt;\\/span&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vestibulum venenatis<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Suscipit libero<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-box\\">\\r\\n<div class=\\"jm-box-in\\">\\r\\n<div class=\\"jm-icon\\"><img src=\\"images\\/modules\\/icon1.png\\" alt=\\"\\" \\/><\\/div>\\r\\n<div class=\\"jm-column\\"><span class=\\"title\\">Residential Solutions<\\/span> <a href=\\"#\\" class=\\"link\\">www.jm-internet.com<\\/a> <span class=\\"description\\">Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/span> <span class=\\"contact\\">call 888-777-888<\\/span> <a href=\\"#\\" class=\\"readmore\\">read more<\\/a><\\/div>\\r\\n<div class=\\"jm-expand\\">\\r\\n<div class=\\"expand-in\\"><span class=\\"subtitle\\">Services Include<\\/span>\\r\\n<ul>\\r\\n<li>Lorem ipsum<\\/li>\\r\\n<li>Dolor sit amet<\\/li>\\r\\n<li>Vestibulum venenatis<\\/li>\\r\\n<li>Suscipit libero<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Business Solutions Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-box\\"&gt;\\r\\n&lt;div class=\\"jm-box-in\\"&gt;\\r\\n&lt;div class=\\"jm-icon\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/icon2.png<\\/strong>\\" alt=\\"\\" \\/&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-column\\"&gt;\\r\\n&lt;span class=\\"title\\"&gt;<strong>Business Solutions<\\/strong>&lt;\\/span&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"link\\"&gt;<strong>www.jm-internet.com<\\/strong>&lt;\\/a&gt;\\r\\n&lt;span class=\\"description\\"&gt;<strong>Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"contact\\"&gt;<strong>call 888-777-888<\\/strong>&lt;\\/span&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"readmore\\"&gt;<strong>read more<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-expand\\"&gt;\\r\\n&lt;div class=\\"expand-in\\"&gt;&lt;span class=\\"subtitle\\"&gt;<strong>Services Include<\\/strong>&lt;\\/span&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vestibulum venenatis<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Suscipit libero<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-box\\">\\r\\n<div class=\\"jm-box-in\\">\\r\\n<div class=\\"jm-icon\\"><img src=\\"images\\/modules\\/icon2.png\\" alt=\\"\\" \\/><\\/div>\\r\\n<div class=\\"jm-column\\">\\r\\n<div class=\\"column-in\\"><span class=\\"title\\">Business Solutions<\\/span> <a href=\\"#\\" class=\\"link\\">www.jm-internet.com<\\/a> <span class=\\"description\\">Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/span> <span class=\\"contact\\">call 888-777-888<\\/span> <a href=\\"#\\" class=\\"readmore\\">read more<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"jm-expand\\">\\r\\n<div class=\\"expand-in\\"><span class=\\"subtitle\\">Services Include<\\/span>\\r\\n<ul>\\r\\n<li>Lorem ipsum<\\/li>\\r\\n<li>Dolor sit amet<\\/li>\\r\\n<li>Vestibulum venenatis<\\/li>\\r\\n<li>Suscipit libero<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Header Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-custom-header\\"&gt;\\r\\n&lt;div class=\\"title\\"&gt;<strong>This is <\\/strong>&lt;span&gt;<strong>custom<\\/strong>&lt;\\/span&gt; <strong>html module<\\/strong>&lt;\\/div&gt;\\r\\n&lt;div class=\\"description\\"&gt;<strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt<\\/strong>&lt;br \\/&gt;<strong> ut labore et dolore magna aliqua.<\\/strong>&lt;\\/div&gt;\\r\\n&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>Check an offer<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-custom-header\\">\\r\\n<div class=\\"title\\">This is <span>custom<\\/span> html module<\\/div>\\r\\n<div class=\\"description\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt<br \\/> ut labore et dolore magna aliqua.<\\/div>\\r\\n<a class=\\"btn\\" href=\\"#\\">Check an offer<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Social Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<div class=\\"jm-socials\\">\\r\\n<pre>&lt;div class=\\"jm-socials\\"&gt;<br \\/>&lt;a class=\\"facebook\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"googleplus\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"twitter\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"linkedin\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"skype\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"vimeo\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;\\/div&gt;<\\/pre>\\r\\n<a class=\\"facebook\\" href=\\"#\\"> <\\/a> <a class=\\"googleplus\\" href=\\"#\\"> <\\/a> <a class=\\"twitter\\" href=\\"#\\"> <\\/a> <a class=\\"linkedin\\" href=\\"#\\"> <\\/a> <a class=\\"skype\\" href=\\"#\\"> <\\/a> <a class=\\"vimeo\\" href=\\"#\\"> <\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Home Content<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-custom-content clearfix\\"&gt;\\r\\n&lt;div class=\\"jm-icon\\"&gt;\\r\\n&lt;div class=\\"jm-icon-in\\"&gt;&lt;span class=\\"up\\"&gt;<strong>Up to<\\/strong>&lt;\\/span&gt; &lt;span class=\\"middle\\"&gt;<strong>250<\\/strong>&lt;\\/span&gt; &lt;span class=\\"down\\"&gt;<strong>Mbps<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;<br \\/>\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-description\\"&gt;&lt;span class=\\"title\\"&gt;<strong>High speed internet<\\/strong>&lt;\\/span&gt;\\r\\n&lt;p&gt;<strong>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<\\/strong>&lt;br \\/&gt;<strong>In facilisis at augue imperdiet dignissim.<\\/strong>&lt;\\/p&gt;\\r\\n&lt;p class=\\"custom-icon1\\"&gt;&lt;span&gt;<strong>Lorem ipsum dolor<\\/strong>&lt;\\/span&gt;<strong>Proin iaculis purus consequat sem cure digni ssim.<\\/strong>&lt;\\/p&gt;\\r\\n&lt;p class=\\"custom-icon2\\"&gt;&lt;span&gt;<strong>Adipiscing elit<\\/strong>&lt;\\/span&gt;<strong>Proin iaculis purus consequat sem cure.<\\/strong>&lt;\\/p&gt;\\r\\n&lt;p&gt;<strong>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<\\/strong>&lt;br \\/&gt;<strong>In facilisis at augue imperdiet dignissim.<\\/strong>&lt;\\/p&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"readmore\\"&gt;<strong>Read more<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-custom-content clearfix\\">\\r\\n<div class=\\"jm-icon\\">\\r\\n<div class=\\"jm-icon-in\\"><span class=\\"up\\">Up to<\\/span> <span class=\\"middle\\">250<\\/span> <span class=\\"down\\">Mbps<\\/span><\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"jm-description\\"><span class=\\"title\\">High speed internet<\\/span>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<br \\/>In facilisis at augue imperdiet dignissim.<\\/p>\\r\\n<p class=\\"custom-icon1\\"><span>Lorem ipsum dolor<\\/span>Proin iaculis purus consequat sem cure digni ssim.<\\/p>\\r\\n<p class=\\"custom-icon2\\"><span>Adipiscing elit<\\/span>Proin iaculis purus consequat sem cure.<\\/p>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<br \\/>In facilisis at augue imperdiet dignissim.<\\/p>\\r\\n<a href=\\"#\\" class=\\"readmore\\">Read more<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Pricing Table Content<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-pricing clearfix <strong>col3<\\/strong>\\"&gt;\\r\\n&lt;div class=\\"box\\"&gt;\\r\\n&lt;div class=\\"box-in\\"&gt;\\r\\n&lt;div class=\\"price\\"&gt;&lt;span class=\\"up\\"&gt;<strong>as low as<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"middle\\"&gt;<strong>29.95<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"down\\"&gt;<strong>month<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"title\\"&gt;<strong>Cable Internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;div class=\\"content\\"&gt;\\r\\n&lt;div class=\\"subtitle\\"&gt;<strong>step up to earthlink cable internet at the speed of life<\\/strong>&lt;\\/div&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Morbi rhoncus diam quis augue<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Proin non finibus diam<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Pellentesque varius<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vivamus quis leo<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Donec ut elit maximus<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"bottom\\"&gt;&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>I\'m interested<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"box\\"&gt;\\r\\n&lt;div class=\\"box-in\\"&gt;\\r\\n&lt;div class=\\"price\\"&gt;&lt;span class=\\"up\\"&gt;<strong>as low as<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"middle\\"&gt;<strong>14.85<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"down\\"&gt;<strong>month<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"title\\"&gt;<strong>DSL Internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;div class=\\"content\\"&gt;\\r\\n&lt;div class=\\"subtitle\\"&gt;<strong>step up to incredible dsl cable internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Morbi rhoncus diam quis augue<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Proin non finibus diam<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Pellentesque varius<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vivamus quis leo<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Donec ut elit maximus<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"bottom\\"&gt;&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>I\'m interested<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"box\\"&gt;\\r\\n&lt;div class=\\"box-in\\"&gt;\\r\\n&lt;div class=\\"price\\"&gt;&lt;span class=\\"up\\"&gt;<strong>as low as<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"middle\\"&gt;<strong>39.95<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"down\\"&gt;<strong>month<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"title\\"&gt;<strong>Satellite Internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;div class=\\"content\\"&gt;\\r\\n&lt;div class=\\"subtitle\\"&gt;<strong>No dsl or cable in your area? get satellite internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Morbi rhoncus diam quis augue<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Proin non finibus diam<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Pellentesque varius<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vivamus quis leo<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Donec ut elit maximus<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"bottom\\"&gt;&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>I\'m interested<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-pricing clearfix col3\\">\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">29.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Cable Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to earthlink cable internet at the speed of life<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<li>Pellentesque varius<\\/li>\\r\\n<li>Vivamus quis leo<\\/li>\\r\\n<li>Donec ut elit maximus<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">14.85<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">DSL Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to incredible dsl cable internet<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<li>Pellentesque varius<\\/li>\\r\\n<li>Vivamus quis leo<\\/li>\\r\\n<li>Donec ut elit maximus<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">39.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Satellite Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">No dsl or cable in your area? get satellite internet<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<li>Pellentesque varius<\\/li>\\r\\n<li>Vivamus quis leo<\\/li>\\r\\n<li>Donec ut elit maximus<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"78","created":"2014-05-14 12:40:26","created_by":"56","created_by_alias":"","modified":"2015-01-19 09:13:08","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-19 09:10:14","publish_up":"2014-05-14 12:40:26","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":65,"ordering":"8","metakey":"","metadesc":"","access":"1","hits":"177","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(358,87,1,'','2015-01-19 09:15:39',56,49380,'0dac528df027255beccc245c5903ba06a045ab85','{"id":87,"asset_id":"276","title":"Typography","alias":"typography","introtext":"<h3 class=\\"jm-typo-title\\">Image Borders<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-rounded\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-rounded\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<p><\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-circle\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-circle\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<p><\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-polaroid\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-polaroid\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Headings<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<h1>This is Heading One (h1)<\\/h1>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h2>This is Heading Two (h2)<\\/h2>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h3>This is Heading Three (h3)<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<h4>This is Heading Four (h4)<\\/h4>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h5>This is Heading Five (h5)<\\/h5>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h6>This is Heading Six (h6)<\\/h6>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Numered blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;p class=\\"jm-block\\"&gt;&lt;span class=\\"jm\\"&gt;01&lt;\\/span&gt;Text goes here&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">01<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">02<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">03<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;p class=\\"jm-block second\\"&gt;&lt;span class=\\"jm\\"&gt;a&lt;\\/span&gt;Text goes here&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">a<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">b<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">c<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Colored Blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<div class=\\"alert\\">&lt;div class=\\"alert\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<div class=\\"alert alert-error\\">&lt;div class=\\"alert alert-error\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<div class=\\"alert alert-success\\">&lt;div class=\\"alert alert-success\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<div class=\\"alert alert-info\\">&lt;div class=\\"alert alert-info\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Icon blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<p class=\\"jm-badge\\">&lt;p class=\\"jm-badge\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-calendar\\">&lt;p class=\\"jm-calendar\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-chat\\">&lt;p class=\\"jm-chat\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-check\\">&lt;p class=\\"jm-check\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-cloud\\">&lt;p class=\\"jm-cloud\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-direction\\">&lt;p class=\\"jm-direction\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-divide\\">&lt;p class=\\"jm-divide\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-error\\">&lt;p class=\\"jm-error\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-fire\\">&lt;p class=\\"jm-fire\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<p class=\\"jm-flag\\">&lt;p class=\\"jm-flag\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-heart\\">&lt;p class=\\"jm-heart\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-home\\">&lt;p class=\\"jm-home\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-info\\">&lt;p class=\\"jm-info\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-list\\">&lt;p class=\\"jm-list\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-mail\\">&lt;p class=\\"jm-mail\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-people\\">&lt;p class=\\"jm-people\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-star\\">&lt;p class=\\"jm-star\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-stat\\">&lt;p class=\\"jm-stat\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Blockquote<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;blockquote&gt;<br \\/>&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;\\/p&gt;<br \\/>&lt;small&gt;John Doe&lt;\\/small&gt;<br \\/>&lt;\\/blockquote&gt;<\\/pre>\\r\\n<blockquote>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n<small>John Doe<\\/small><\\/blockquote>\\r\\n<\\/div>\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;blockquote class=\\"pull-right\\"&gt;<br \\/>&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;\\/p&gt;<br \\/>&lt;small&gt;John Doe&lt;\\/small&gt;<br \\/>&lt;\\/blockquote&gt;<\\/pre>\\r\\n<blockquote class=\\"pull-right\\">\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n<small>John Doe<\\/small><\\/blockquote>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Unordered lists<\\/h3>\\r\\n<div class=\\"row-fluid\\" style=\\"margin-bottom: 30px;\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul class=\\"jm-color-list\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-color-list\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul class=\\"jm-light-list\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-light-list\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Ordered lists<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol class=\\"jm-roman\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol class=\\"jm-roman\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol class=\\"jm-alpha\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol class=\\"jm-alpha\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Read More Button<\\/h3>\\r\\n<pre>&lt;p class=\\"readmore\\"&gt;&lt;a class=\\"btn\\" href=\\"#\\"&gt;Read more&lt;\\/a&gt;&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"readmore\\"><a class=\\"btn\\" href=\\"#\\">Read more<\\/a><\\/p>\\r\\n<h3 class=\\"jm-typo-title\\">Glyphicon Font<\\/h3>\\r\\n<div>\\r\\n<pre>&lt;span class=\\"icon-joomla\\"&gt;&amp;nbsp&lt;\\/span&gt;<\\/pre>\\r\\n<\\/div>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-asterisk\\"> <\\/span> icon-asterisk<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plus\\"> <\\/span> icon-plus<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-euro\\"> <\\/span> icon-euro<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-minus\\"> <\\/span> icon-minus<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cloud\\"> <\\/span> icon-cloud<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-envelope\\"> <\\/span> icon-envelope<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pencil\\"> <\\/span> icon-pencil<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-glass\\"> <\\/span> icon-glass<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-music\\"> <\\/span> icon-music<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-search\\"> <\\/span> icon-search<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-heart\\"> <\\/span> icon-heart<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-star\\"> <\\/span> icon-star<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-star-empty\\"> <\\/span> icon-star-empty<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-user\\"> <\\/span> icon-user<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-film\\"> <\\/span> icon-film<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-th-large\\"> <\\/span> icon-th-large<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-th\\"> <\\/span> icon-th<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-th-list\\"> <\\/span> icon-th-list<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok\\"> <\\/span> icon-ok<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove\\"> <\\/span> icon-remove<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-zoom-in\\"> <\\/span> icon-zoom-in<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-zoom-out\\"> <\\/span> icon-zoom-out<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-off\\"> <\\/span> icon-off<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-signal\\"> <\\/span> icon-signal<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cog\\"> <\\/span> icon-cog<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-trash\\"> <\\/span> icon-trash<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-home\\"> <\\/span> icon-home<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-file\\"> <\\/span> icon-file<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-time\\"> <\\/span> icon-time<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-road\\"> <\\/span> icon-road<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-download-alt\\"> <\\/span> icon-download-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-download\\"> <\\/span> icon-download<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-upload\\"> <\\/span> icon-upload<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-inbox\\"> <\\/span> icon-inbox<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-play-circle\\"> <\\/span> icon-play-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-repeat\\"> <\\/span> icon-repeat<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-refresh\\"> <\\/span> icon-refresh<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-list-alt\\"> <\\/span> icon-list-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-lock\\"> <\\/span> icon-lock<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-flag\\"> <\\/span> icon-flag<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-headphones\\"> <\\/span> icon-headphones<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-volume-off\\"> <\\/span> icon-volume-off<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-volume-down\\"> <\\/span> icon-volume-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-volume-up\\"> <\\/span> icon-volume-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-qrcode\\"> <\\/span> icon-qrcode<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-barcode\\"> <\\/span> icon-barcode<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tag\\"> <\\/span> icon-tag<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tags\\"> <\\/span> icon-tags<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-book\\"> <\\/span> icon-book<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bookmark\\"> <\\/span> icon-bookmark<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-print\\"> <\\/span> icon-print<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-camera\\"> <\\/span> icon-camera<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-font\\"> <\\/span> icon-font<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bold\\"> <\\/span> icon-bold<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-italic\\"> <\\/span> icon-italic<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-text-height\\"> <\\/span> icon-text-height<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-text-width\\"> <\\/span> icon-text-width<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-left\\"> <\\/span> icon-align-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-center\\"> <\\/span> icon-align-center<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-right\\"> <\\/span> icon-align-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-justify\\"> <\\/span> icon-align-justify<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-list\\"> <\\/span> icon-list<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-indent-left\\"> <\\/span> icon-indent-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-indent-right\\"> <\\/span> icon-indent-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-facetime-video\\"> <\\/span> icon-facetime-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-picture\\"> <\\/span> icon-picture<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-map-marker\\"> <\\/span> icon-map-marker<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-adjust\\"> <\\/span> icon-adjust<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tint\\"> <\\/span> icon-tint<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-edit\\"> <\\/span> icon-edit<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-share\\"> <\\/span> icon-share<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-check\\"> <\\/span> icon-check<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-move\\"> <\\/span> icon-move<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-step-backward\\"> <\\/span> icon-step-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fast-backward\\"> <\\/span> icon-fast-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-backward\\"> <\\/span> icon-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-play\\"> <\\/span> icon-play<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pause\\"> <\\/span> icon-pause<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-stop\\"> <\\/span> icon-stop<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-forward\\"> <\\/span> icon-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fast-forward\\"> <\\/span> icon-fast-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-step-forward\\"> <\\/span> icon-step-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eject\\"> <\\/span> icon-eject<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-left\\"> <\\/span> icon-chevron-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-right\\"> <\\/span> icon-chevron-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plus-sign\\"> <\\/span> icon-plus-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-minus-sign\\"> <\\/span> icon-minus-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove-sign\\"> <\\/span> icon-remove-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok-sign\\"> <\\/span> icon-ok-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-question-sign\\"> <\\/span> icon-question-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-info-sign\\"> <\\/span> icon-info-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-screenshot\\"> <\\/span> icon-screenshot<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove-circle\\"> <\\/span> icon-remove-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok-circle\\"> <\\/span> icon-ok-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ban-circle\\"> <\\/span> icon-ban-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-left\\"> <\\/span> icon-arrow-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-right\\"> <\\/span> icon-arrow-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-up\\"> <\\/span> icon-arrow-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-down\\"> <\\/span> icon-arrow-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-share-alt\\"> <\\/span> icon-share-alt<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-full\\"> <\\/span> icon-resize-full<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-small\\"> <\\/span> icon-resize-small<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-exclamation-sign\\"> <\\/span> icon-exclamation-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-gift\\"> <\\/span> icon-gift<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-leaf\\"> <\\/span> icon-leaf<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fire\\"> <\\/span> icon-fire<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eye-open\\"> <\\/span> icon-eye-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eye-close\\"> <\\/span> icon-eye-close<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-warning-sign\\"> <\\/span> icon-warning-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plane\\"> <\\/span> icon-plane<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-calendar\\"> <\\/span> icon-calendar<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-random\\"> <\\/span> icon-random<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-comment\\"> <\\/span> icon-comment<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-magnet\\"> <\\/span> icon-magnet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-up\\"> <\\/span> icon-chevron-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-down\\"> <\\/span> icon-chevron-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-retweet\\"> <\\/span> icon-retweet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-shopping-cart\\"> <\\/span> icon-shopping-cart<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-folder-close\\"> <\\/span> icon-folder-close<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-folder-open\\"> <\\/span> icon-folder-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-vertical\\"> <\\/span> icon-resize-vertical<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-horizontal\\"> <\\/span> icon-resize-horizontal<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hdd\\"> <\\/span> icon-hdd<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bullhorn\\"> <\\/span> icon-bullhorn<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bell\\"> <\\/span> icon-bell<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-certificate\\"> <\\/span> icon-certificate<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-thumbs-up\\"> <\\/span> icon-thumbs-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-thumbs-down\\"> <\\/span> icon-thumbs-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-right\\"> <\\/span> icon-hand-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-left\\"> <\\/span> icon-hand-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-up\\"> <\\/span> icon-hand-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-down\\"> <\\/span> icon-hand-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-right\\"> <\\/span> icon-circle-arrow-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-left\\"> <\\/span> icon-circle-arrow-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-up\\"> <\\/span> icon-circle-arrow-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-down\\"> <\\/span> icon-circle-arrow-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-globe\\"> <\\/span> icon-globe<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-wrench\\"> <\\/span> icon-wrench<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tasks\\"> <\\/span> icon-tasks<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-filter\\"> <\\/span> icon-filter<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-briefcase\\"> <\\/span> icon-briefcase<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fullscreen\\"> <\\/span> icon-fullscreen<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-dashboard\\"> <\\/span> icon-dashboard<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-paperclip\\"> <\\/span> icon-paperclip<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-heart-empty\\"> <\\/span> icon-heart-empty<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-link\\"> <\\/span> icon-link<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-phone\\"> <\\/span> icon-phone<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pushpin\\"> <\\/span> icon-pushpin<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-usd\\"> <\\/span> icon-usd<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-gbp\\"> <\\/span> icon-gbp<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort\\"> <\\/span> icon-sort<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-alphabet\\"> <\\/span> icon-sort-by-alphabet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-alphabet-alt\\"> <\\/span> icon-sort-by-alphabet-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-order\\"> <\\/span> icon-sort-by-order<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-order-alt\\"> <\\/span> icon-sort-by-order-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-attributes\\"> <\\/span> icon-sort-by-attributes<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-attributes-alt\\"> <\\/span> icon-sort-by-attributes-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-unchecked\\"> <\\/span> icon-unchecked<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-expand\\"> <\\/span> icon-expand<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-collapse-down\\"> <\\/span> icon-collapse-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-collapse-up\\"> <\\/span> icon-collapse-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-log-in\\"> <\\/span> icon-log-in<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-flash\\"> <\\/span> icon-flash<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-log-out\\"> <\\/span> icon-log-out<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-new-window\\"> <\\/span> icon-new-window<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-record\\"> <\\/span> icon-record<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-save\\"> <\\/span> icon-save<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-open\\"> <\\/span> icon-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-saved\\"> <\\/span> icon-saved<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-import\\"> <\\/span> icon-import<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-export\\"> <\\/span> icon-export<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-send\\"> <\\/span> icon-send<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-disk\\"> <\\/span> icon-floppy-disk<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-saved\\"> <\\/span> icon-floppy-saved<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-remove\\"> <\\/span> icon-floppy-remove<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-save\\"> <\\/span> icon-floppy-save<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-open\\"> <\\/span> icon-floppy-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-credit-card\\"> <\\/span> icon-credit-card<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-transfer\\"> <\\/span> icon-transfer<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cutlery\\"> <\\/span> icon-cutlery<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-header\\"> <\\/span> icon-header<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-compressed\\"> <\\/span> icon-compressed<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-earphone\\"> <\\/span> icon-earphone<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-phone-alt\\"> <\\/span> icon-phone-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tower\\"> <\\/span> icon-tower<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-stats\\"> <\\/span> icon-stats<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sd-video\\"> <\\/span> icon-sd-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hd-video\\"> <\\/span> icon-hd-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-subtitles\\"> <\\/span> icon-subtitles<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-stereo\\"> <\\/span> icon-sound-stereo<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-dolby\\"> <\\/span> icon-sound-dolby<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-5-1\\"> <\\/span> icon-sound-5-1<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-6-1\\"> <\\/span> icon-sound-6-1<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-7-1\\"> <\\/span> icon-sound-7-1<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-copyright-mark\\"> <\\/span> icon-copyright-mark<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-registration-mark\\"> <\\/span> icon-registration-mark<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cloud-download\\"> <\\/span> icon-cloud-download<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cloud-upload\\"> <\\/span> icon-cloud-upload<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tree-conifer\\"> <\\/span> icon-tree-conifer<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tree-deciduous\\"> <\\/span> icon-tree-deciduous<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Top Contact Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;ul class=\\"jm-contact-icons\\"&gt;<br \\/>&lt;li class=\\"jm-direction\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/direction.png<\\/strong>\\" alt=\\"Direction\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"<strong>#<\\/strong>\\"&amp;gt<strong>;Peterborough, UK<\\/strong>&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;li class=\\"jm-email\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/email.png<\\/strong>\\" alt=\\"Email\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>Email<\\/strong>&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;li class=\\"jm-phone\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/phone.png<\\/strong>\\" alt=\\"Phone\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>+44 7837 383 484<\\/strong>&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-contact-icons\\">\\r\\n<li class=\\"jm-direction\\"><img src=\\"images\\/modules\\/direction.png\\" alt=\\"Direction\\" \\/><a title=\\"Contact\\" href=\\"#\\">Peterborough, UK<\\/a><\\/li>\\r\\n<li class=\\"jm-email\\"><img src=\\"images\\/modules\\/email.png\\" alt=\\"Email\\" \\/><a title=\\"Contact\\" href=\\"#\\">Email<\\/a><\\/li>\\r\\n<li class=\\"jm-phone\\"><img src=\\"images\\/modules\\/phone.png\\" alt=\\"Phone\\" \\/><a title=\\"Contact\\" href=\\"#\\">+44 7837 383 484<\\/a><\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Residential Solutions Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-box\\"&gt;\\r\\n&lt;div class=\\"jm-box-in\\"&gt;\\r\\n&lt;div class=\\"jm-icon\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/icon1.png<\\/strong>\\" alt=\\"\\" \\/&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-column\\"&gt;\\r\\n&lt;span class=\\"title\\"&gt;<strong>Residential Solutions<\\/strong>&lt;\\/span&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"link\\"&gt;<strong>www.jm-internet.com<\\/strong>&lt;\\/a&gt;\\r\\n&lt;span class=\\"description\\"&gt;<strong>Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"contact\\"&gt;<strong>call 888-777-888<\\/strong>&lt;\\/span&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"readmore\\"&gt;<strong>read more<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-expand\\"&gt;\\r\\n&lt;div class=\\"expand-in\\"&gt;&lt;span class=\\"subtitle\\"&gt;<strong>Services Include<\\/strong>&lt;\\/span&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vestibulum venenatis<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Suscipit libero<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-box\\">\\r\\n<div class=\\"jm-box-in\\">\\r\\n<div class=\\"jm-icon\\"><img src=\\"images\\/modules\\/icon1.png\\" alt=\\"\\" \\/><\\/div>\\r\\n<div class=\\"jm-column\\"><span class=\\"title\\">Residential Solutions<\\/span> <a href=\\"#\\" class=\\"link\\">www.jm-internet.com<\\/a> <span class=\\"description\\">Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/span> <span class=\\"contact\\">call 888-777-888<\\/span> <a href=\\"#\\" class=\\"readmore\\">read more<\\/a><\\/div>\\r\\n<div class=\\"jm-expand\\">\\r\\n<div class=\\"expand-in\\"><span class=\\"subtitle\\">Services Include<\\/span>\\r\\n<ul>\\r\\n<li>Lorem ipsum<\\/li>\\r\\n<li>Dolor sit amet<\\/li>\\r\\n<li>Vestibulum venenatis<\\/li>\\r\\n<li>Suscipit libero<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Business Solutions Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-box\\"&gt;\\r\\n&lt;div class=\\"jm-box-in\\"&gt;\\r\\n&lt;div class=\\"jm-icon\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/icon2.png<\\/strong>\\" alt=\\"\\" \\/&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-column\\"&gt;\\r\\n&lt;span class=\\"title\\"&gt;<strong>Business Solutions<\\/strong>&lt;\\/span&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"link\\"&gt;<strong>www.jm-internet.com<\\/strong>&lt;\\/a&gt;\\r\\n&lt;span class=\\"description\\"&gt;<strong>Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"contact\\"&gt;<strong>call 888-777-888<\\/strong>&lt;\\/span&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"readmore\\"&gt;<strong>read more<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-expand\\"&gt;\\r\\n&lt;div class=\\"expand-in\\"&gt;&lt;span class=\\"subtitle\\"&gt;<strong>Services Include<\\/strong>&lt;\\/span&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vestibulum venenatis<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Suscipit libero<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-box\\">\\r\\n<div class=\\"jm-box-in\\">\\r\\n<div class=\\"jm-icon\\"><img src=\\"images\\/modules\\/icon2.png\\" alt=\\"\\" \\/><\\/div>\\r\\n<div class=\\"jm-column\\">\\r\\n<div class=\\"column-in\\"><span class=\\"title\\">Business Solutions<\\/span> <a href=\\"#\\" class=\\"link\\">www.jm-internet.com<\\/a> <span class=\\"description\\">Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/span> <span class=\\"contact\\">call 888-777-888<\\/span> <a href=\\"#\\" class=\\"readmore\\">read more<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"jm-expand\\">\\r\\n<div class=\\"expand-in\\"><span class=\\"subtitle\\">Services Include<\\/span>\\r\\n<ul>\\r\\n<li>Lorem ipsum<\\/li>\\r\\n<li>Dolor sit amet<\\/li>\\r\\n<li>Vestibulum venenatis<\\/li>\\r\\n<li>Suscipit libero<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Header Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-custom-header\\"&gt;\\r\\n&lt;div class=\\"title\\"&gt;<strong>This is <\\/strong>&lt;span&gt;<strong>custom<\\/strong>&lt;\\/span&gt; <strong>html module<\\/strong>&lt;\\/div&gt;\\r\\n&lt;div class=\\"description\\"&gt;<strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt<\\/strong>&lt;br \\/&gt;<strong> ut labore et dolore magna aliqua.<\\/strong>&lt;\\/div&gt;\\r\\n&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>Check an offer<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-custom-header\\">\\r\\n<div class=\\"title\\">This is <span>custom<\\/span> html module<\\/div>\\r\\n<div class=\\"description\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt<br \\/> ut labore et dolore magna aliqua.<\\/div>\\r\\n<a class=\\"btn\\" href=\\"#\\">Check an offer<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Social Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<div class=\\"jm-socials\\">\\r\\n<pre>&lt;div class=\\"jm-socials\\"&gt;<br \\/>&lt;a class=\\"facebook\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"googleplus\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"twitter\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"linkedin\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"skype\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"vimeo\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;\\/div&gt;<\\/pre>\\r\\n<a class=\\"facebook\\" href=\\"#\\"> <\\/a> <a class=\\"googleplus\\" href=\\"#\\"> <\\/a> <a class=\\"twitter\\" href=\\"#\\"> <\\/a> <a class=\\"linkedin\\" href=\\"#\\"> <\\/a> <a class=\\"skype\\" href=\\"#\\"> <\\/a> <a class=\\"vimeo\\" href=\\"#\\"> <\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Home Content<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-custom-content clearfix\\"&gt;\\r\\n&lt;div class=\\"jm-icon\\"&gt;\\r\\n&lt;div class=\\"jm-icon-in\\"&gt;&lt;span class=\\"up\\"&gt;<strong>Up to<\\/strong>&lt;\\/span&gt; &lt;span class=\\"middle\\"&gt;<strong>250<\\/strong>&lt;\\/span&gt; &lt;span class=\\"down\\"&gt;<strong>Mbps<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;<br \\/>\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-description\\"&gt;&lt;span class=\\"title\\"&gt;<strong>High speed internet<\\/strong>&lt;\\/span&gt;\\r\\n&lt;p&gt;<strong>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<\\/strong>&lt;br \\/&gt;<strong>In facilisis at augue imperdiet dignissim.<\\/strong>&lt;\\/p&gt;\\r\\n&lt;p class=\\"custom-icon1\\"&gt;&lt;span&gt;<strong>Lorem ipsum dolor<\\/strong>&lt;\\/span&gt;<strong>Proin iaculis purus consequat sem cure digni ssim.<\\/strong>&lt;\\/p&gt;\\r\\n&lt;p class=\\"custom-icon2\\"&gt;&lt;span&gt;<strong>Adipiscing elit<\\/strong>&lt;\\/span&gt;<strong>Proin iaculis purus consequat sem cure.<\\/strong>&lt;\\/p&gt;\\r\\n&lt;p&gt;<strong>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<\\/strong>&lt;br \\/&gt;<strong>In facilisis at augue imperdiet dignissim.<\\/strong>&lt;\\/p&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"readmore\\"&gt;<strong>Read more<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-custom-content clearfix\\">\\r\\n<div class=\\"jm-icon\\">\\r\\n<div class=\\"jm-icon-in\\"><span class=\\"up\\">Up to<\\/span> <span class=\\"middle\\">250<\\/span> <span class=\\"down\\">Mbps<\\/span><\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"jm-description\\"><span class=\\"title\\">High speed internet<\\/span>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<br \\/>In facilisis at augue imperdiet dignissim.<\\/p>\\r\\n<p class=\\"custom-icon1\\"><span>Lorem ipsum dolor<\\/span>Proin iaculis purus consequat sem cure digni ssim.<\\/p>\\r\\n<p class=\\"custom-icon2\\"><span>Adipiscing elit<\\/span>Proin iaculis purus consequat sem cure.<\\/p>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<br \\/>In facilisis at augue imperdiet dignissim.<\\/p>\\r\\n<a href=\\"#\\" class=\\"readmore\\">Read more<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Pricing Table Content<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-pricing clearfix <strong>col3<\\/strong>\\"&gt;\\r\\n&lt;div class=\\"box\\"&gt;\\r\\n&lt;div class=\\"box-in\\"&gt;\\r\\n&lt;div class=\\"price\\"&gt;&lt;span class=\\"up\\"&gt;<strong>as low as<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"middle\\"&gt;<strong>29.95<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"down\\"&gt;<strong>month<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"title\\"&gt;<strong>Cable Internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;div class=\\"content\\"&gt;\\r\\n&lt;div class=\\"subtitle\\"&gt;<strong>step up to earthlink cable internet at the speed of life<\\/strong>&lt;\\/div&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Morbi rhoncus diam quis augue<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Proin non finibus diam<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Pellentesque varius<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vivamus quis leo<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Donec ut elit maximus<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"bottom\\"&gt;&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>I\'m interested<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"box\\"&gt;\\r\\n&lt;div class=\\"box-in\\"&gt;\\r\\n&lt;div class=\\"price\\"&gt;&lt;span class=\\"up\\"&gt;<strong>as low as<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"middle\\"&gt;<strong>14.85<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"down\\"&gt;<strong>month<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"title\\"&gt;<strong>DSL Internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;div class=\\"content\\"&gt;\\r\\n&lt;div class=\\"subtitle\\"&gt;<strong>step up to incredible dsl cable internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Morbi rhoncus diam quis augue<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Proin non finibus diam<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Pellentesque varius<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vivamus quis leo<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Donec ut elit maximus<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"bottom\\"&gt;&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>I\'m interested<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"box\\"&gt;\\r\\n&lt;div class=\\"box-in\\"&gt;\\r\\n&lt;div class=\\"price\\"&gt;&lt;span class=\\"up\\"&gt;<strong>as low as<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"middle\\"&gt;<strong>39.95<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"down\\"&gt;<strong>month<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"title\\"&gt;<strong>Satellite Internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;div class=\\"content\\"&gt;\\r\\n&lt;div class=\\"subtitle\\"&gt;<strong>No dsl or cable in your area? get satellite internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Morbi rhoncus diam quis augue<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Proin non finibus diam<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Pellentesque varius<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vivamus quis leo<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Donec ut elit maximus<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"bottom\\"&gt;&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>I\'m interested<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-pricing clearfix col3\\">\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">29.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Cable Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to earthlink cable internet at the speed of life<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<li>Pellentesque varius<\\/li>\\r\\n<li>Vivamus quis leo<\\/li>\\r\\n<li>Donec ut elit maximus<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">14.85<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">DSL Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to incredible dsl cable internet<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<li>Pellentesque varius<\\/li>\\r\\n<li>Vivamus quis leo<\\/li>\\r\\n<li>Donec ut elit maximus<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">39.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Satellite Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">No dsl or cable in your area? get satellite internet<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<li>Pellentesque varius<\\/li>\\r\\n<li>Vivamus quis leo<\\/li>\\r\\n<li>Donec ut elit maximus<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"78","created":"2014-05-14 12:40:26","created_by":"56","created_by_alias":"","modified":"2015-01-19 09:15:39","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-19 09:13:55","publish_up":"2014-05-14 12:40:26","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":66,"ordering":"8","metakey":"","metadesc":"","access":"1","hits":"178","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(359,87,1,'','2015-01-19 09:17:30',56,49380,'12d05eb83f80274f8d83c206525415474773718f','{"id":87,"asset_id":"276","title":"Typography","alias":"typography","introtext":"<h3 class=\\"jm-typo-title\\">Image Borders<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-rounded\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-rounded\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<p><\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-circle\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-circle\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<p><\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-polaroid\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-polaroid\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Headings<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<h1>This is Heading One (h1)<\\/h1>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h2>This is Heading Two (h2)<\\/h2>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h3>This is Heading Three (h3)<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<h4>This is Heading Four (h4)<\\/h4>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h5>This is Heading Five (h5)<\\/h5>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h6>This is Heading Six (h6)<\\/h6>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Numered blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;p class=\\"jm-block\\"&gt;&lt;span class=\\"jm\\"&gt;01&lt;\\/span&gt;Text goes here&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">01<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">02<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">03<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;p class=\\"jm-block second\\"&gt;&lt;span class=\\"jm\\"&gt;a&lt;\\/span&gt;Text goes here&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">a<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">b<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">c<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Colored Blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<div class=\\"alert\\">&lt;div class=\\"alert\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<div class=\\"alert alert-error\\">&lt;div class=\\"alert alert-error\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<div class=\\"alert alert-success\\">&lt;div class=\\"alert alert-success\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<div class=\\"alert alert-info\\">&lt;div class=\\"alert alert-info\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Icon blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<p class=\\"jm-badge\\">&lt;p class=\\"jm-badge\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-calendar\\">&lt;p class=\\"jm-calendar\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-chat\\">&lt;p class=\\"jm-chat\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-check\\">&lt;p class=\\"jm-check\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-cloud\\">&lt;p class=\\"jm-cloud\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-direction\\">&lt;p class=\\"jm-direction\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-divide\\">&lt;p class=\\"jm-divide\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-error\\">&lt;p class=\\"jm-error\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-fire\\">&lt;p class=\\"jm-fire\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<p class=\\"jm-flag\\">&lt;p class=\\"jm-flag\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-heart\\">&lt;p class=\\"jm-heart\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-home\\">&lt;p class=\\"jm-home\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-info\\">&lt;p class=\\"jm-info\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-list\\">&lt;p class=\\"jm-list\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-mail\\">&lt;p class=\\"jm-mail\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-people\\">&lt;p class=\\"jm-people\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-star\\">&lt;p class=\\"jm-star\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-stat\\">&lt;p class=\\"jm-stat\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Blockquote<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;blockquote&gt;<br \\/>&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;\\/p&gt;<br \\/>&lt;small&gt;John Doe&lt;\\/small&gt;<br \\/>&lt;\\/blockquote&gt;<\\/pre>\\r\\n<blockquote>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n<small>John Doe<\\/small><\\/blockquote>\\r\\n<\\/div>\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;blockquote class=\\"pull-right\\"&gt;<br \\/>&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;\\/p&gt;<br \\/>&lt;small&gt;John Doe&lt;\\/small&gt;<br \\/>&lt;\\/blockquote&gt;<\\/pre>\\r\\n<blockquote class=\\"pull-right\\">\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n<small>John Doe<\\/small><\\/blockquote>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Unordered lists<\\/h3>\\r\\n<div class=\\"row-fluid\\" style=\\"margin-bottom: 30px;\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul class=\\"jm-color-list\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-color-list\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul class=\\"jm-light-list\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-light-list\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Ordered lists<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol class=\\"jm-roman\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol class=\\"jm-roman\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol class=\\"jm-alpha\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol class=\\"jm-alpha\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Read More Button<\\/h3>\\r\\n<pre>&lt;p class=\\"readmore\\"&gt;&lt;a class=\\"btn\\" href=\\"#\\"&gt;Read more&lt;\\/a&gt;&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"readmore\\"><a class=\\"btn\\" href=\\"#\\">Read more<\\/a><\\/p>\\r\\n<h3 class=\\"jm-typo-title\\">Glyphicon Font<\\/h3>\\r\\n<div>\\r\\n<pre>&lt;span class=\\"icon-joomla\\"&gt;&amp;nbsp&lt;\\/span&gt;<\\/pre>\\r\\n<\\/div>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-asterisk\\"> <\\/span> icon-asterisk<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plus\\"> <\\/span> icon-plus<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-euro\\"> <\\/span> icon-euro<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-minus\\"> <\\/span> icon-minus<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cloud\\"> <\\/span> icon-cloud<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-envelope\\"> <\\/span> icon-envelope<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pencil\\"> <\\/span> icon-pencil<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-glass\\"> <\\/span> icon-glass<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-music\\"> <\\/span> icon-music<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-search\\"> <\\/span> icon-search<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-heart\\"> <\\/span> icon-heart<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-star\\"> <\\/span> icon-star<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-star-empty\\"> <\\/span> icon-star-empty<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-user\\"> <\\/span> icon-user<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-film\\"> <\\/span> icon-film<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-th-large\\"> <\\/span> icon-th-large<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-th\\"> <\\/span> icon-th<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-th-list\\"> <\\/span> icon-th-list<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok\\"> <\\/span> icon-ok<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove\\"> <\\/span> icon-remove<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-zoom-in\\"> <\\/span> icon-zoom-in<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-zoom-out\\"> <\\/span> icon-zoom-out<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-off\\"> <\\/span> icon-off<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-signal\\"> <\\/span> icon-signal<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cog\\"> <\\/span> icon-cog<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-trash\\"> <\\/span> icon-trash<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-home\\"> <\\/span> icon-home<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-file\\"> <\\/span> icon-file<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-time\\"> <\\/span> icon-time<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-road\\"> <\\/span> icon-road<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-download-alt\\"> <\\/span> icon-download-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-download\\"> <\\/span> icon-download<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-upload\\"> <\\/span> icon-upload<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-inbox\\"> <\\/span> icon-inbox<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-play-circle\\"> <\\/span> icon-play-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-repeat\\"> <\\/span> icon-repeat<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-refresh\\"> <\\/span> icon-refresh<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-list-alt\\"> <\\/span> icon-list-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-lock\\"> <\\/span> icon-lock<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-flag\\"> <\\/span> icon-flag<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-headphones\\"> <\\/span> icon-headphones<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-volume-off\\"> <\\/span> icon-volume-off<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-volume-down\\"> <\\/span> icon-volume-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-volume-up\\"> <\\/span> icon-volume-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-qrcode\\"> <\\/span> icon-qrcode<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-barcode\\"> <\\/span> icon-barcode<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tag\\"> <\\/span> icon-tag<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tags\\"> <\\/span> icon-tags<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-book\\"> <\\/span> icon-book<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bookmark\\"> <\\/span> icon-bookmark<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-print\\"> <\\/span> icon-print<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-camera\\"> <\\/span> icon-camera<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-font\\"> <\\/span> icon-font<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bold\\"> <\\/span> icon-bold<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-italic\\"> <\\/span> icon-italic<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-text-height\\"> <\\/span> icon-text-height<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-text-width\\"> <\\/span> icon-text-width<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-left\\"> <\\/span> icon-align-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-center\\"> <\\/span> icon-align-center<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-right\\"> <\\/span> icon-align-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-justify\\"> <\\/span> icon-align-justify<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-list\\"> <\\/span> icon-list<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-indent-left\\"> <\\/span> icon-indent-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-indent-right\\"> <\\/span> icon-indent-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-facetime-video\\"> <\\/span> icon-facetime-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-picture\\"> <\\/span> icon-picture<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-map-marker\\"> <\\/span> icon-map-marker<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-adjust\\"> <\\/span> icon-adjust<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tint\\"> <\\/span> icon-tint<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-edit\\"> <\\/span> icon-edit<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-share\\"> <\\/span> icon-share<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-check\\"> <\\/span> icon-check<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-move\\"> <\\/span> icon-move<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-step-backward\\"> <\\/span> icon-step-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fast-backward\\"> <\\/span> icon-fast-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-backward\\"> <\\/span> icon-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-play\\"> <\\/span> icon-play<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pause\\"> <\\/span> icon-pause<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-stop\\"> <\\/span> icon-stop<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-forward\\"> <\\/span> icon-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fast-forward\\"> <\\/span> icon-fast-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-step-forward\\"> <\\/span> icon-step-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eject\\"> <\\/span> icon-eject<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-left\\"> <\\/span> icon-chevron-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-right\\"> <\\/span> icon-chevron-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plus-sign\\"> <\\/span> icon-plus-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-minus-sign\\"> <\\/span> icon-minus-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove-sign\\"> <\\/span> icon-remove-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok-sign\\"> <\\/span> icon-ok-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-question-sign\\"> <\\/span> icon-question-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-info-sign\\"> <\\/span> icon-info-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-screenshot\\"> <\\/span> icon-screenshot<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove-circle\\"> <\\/span> icon-remove-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok-circle\\"> <\\/span> icon-ok-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ban-circle\\"> <\\/span> icon-ban-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-left\\"> <\\/span> icon-arrow-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-right\\"> <\\/span> icon-arrow-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-up\\"> <\\/span> icon-arrow-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-down\\"> <\\/span> icon-arrow-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-share-alt\\"> <\\/span> icon-share-alt<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-full\\"> <\\/span> icon-resize-full<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-small\\"> <\\/span> icon-resize-small<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-exclamation-sign\\"> <\\/span> icon-exclamation-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-gift\\"> <\\/span> icon-gift<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-leaf\\"> <\\/span> icon-leaf<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fire\\"> <\\/span> icon-fire<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eye-open\\"> <\\/span> icon-eye-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eye-close\\"> <\\/span> icon-eye-close<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-warning-sign\\"> <\\/span> icon-warning-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plane\\"> <\\/span> icon-plane<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-calendar\\"> <\\/span> icon-calendar<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-random\\"> <\\/span> icon-random<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-comment\\"> <\\/span> icon-comment<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-magnet\\"> <\\/span> icon-magnet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-up\\"> <\\/span> icon-chevron-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-down\\"> <\\/span> icon-chevron-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-retweet\\"> <\\/span> icon-retweet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-shopping-cart\\"> <\\/span> icon-shopping-cart<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-folder-close\\"> <\\/span> icon-folder-close<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-folder-open\\"> <\\/span> icon-folder-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-vertical\\"> <\\/span> icon-resize-vertical<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-horizontal\\"> <\\/span> icon-resize-horizontal<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hdd\\"> <\\/span> icon-hdd<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bullhorn\\"> <\\/span> icon-bullhorn<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bell\\"> <\\/span> icon-bell<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-certificate\\"> <\\/span> icon-certificate<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-thumbs-up\\"> <\\/span> icon-thumbs-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-thumbs-down\\"> <\\/span> icon-thumbs-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-right\\"> <\\/span> icon-hand-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-left\\"> <\\/span> icon-hand-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-up\\"> <\\/span> icon-hand-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-down\\"> <\\/span> icon-hand-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-right\\"> <\\/span> icon-circle-arrow-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-left\\"> <\\/span> icon-circle-arrow-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-up\\"> <\\/span> icon-circle-arrow-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-down\\"> <\\/span> icon-circle-arrow-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-globe\\"> <\\/span> icon-globe<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-wrench\\"> <\\/span> icon-wrench<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tasks\\"> <\\/span> icon-tasks<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-filter\\"> <\\/span> icon-filter<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-briefcase\\"> <\\/span> icon-briefcase<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fullscreen\\"> <\\/span> icon-fullscreen<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-dashboard\\"> <\\/span> icon-dashboard<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-paperclip\\"> <\\/span> icon-paperclip<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-heart-empty\\"> <\\/span> icon-heart-empty<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-link\\"> <\\/span> icon-link<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-phone\\"> <\\/span> icon-phone<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pushpin\\"> <\\/span> icon-pushpin<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-usd\\"> <\\/span> icon-usd<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-gbp\\"> <\\/span> icon-gbp<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort\\"> <\\/span> icon-sort<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-alphabet\\"> <\\/span> icon-sort-by-alphabet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-alphabet-alt\\"> <\\/span> icon-sort-by-alphabet-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-order\\"> <\\/span> icon-sort-by-order<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-order-alt\\"> <\\/span> icon-sort-by-order-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-attributes\\"> <\\/span> icon-sort-by-attributes<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-attributes-alt\\"> <\\/span> icon-sort-by-attributes-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-unchecked\\"> <\\/span> icon-unchecked<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-expand\\"> <\\/span> icon-expand<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-collapse-down\\"> <\\/span> icon-collapse-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-collapse-up\\"> <\\/span> icon-collapse-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-log-in\\"> <\\/span> icon-log-in<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-flash\\"> <\\/span> icon-flash<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-log-out\\"> <\\/span> icon-log-out<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-new-window\\"> <\\/span> icon-new-window<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-record\\"> <\\/span> icon-record<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-save\\"> <\\/span> icon-save<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-open\\"> <\\/span> icon-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-saved\\"> <\\/span> icon-saved<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-import\\"> <\\/span> icon-import<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-export\\"> <\\/span> icon-export<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-send\\"> <\\/span> icon-send<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-disk\\"> <\\/span> icon-floppy-disk<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-saved\\"> <\\/span> icon-floppy-saved<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-remove\\"> <\\/span> icon-floppy-remove<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-save\\"> <\\/span> icon-floppy-save<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-open\\"> <\\/span> icon-floppy-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-credit-card\\"> <\\/span> icon-credit-card<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-transfer\\"> <\\/span> icon-transfer<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cutlery\\"> <\\/span> icon-cutlery<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-header\\"> <\\/span> icon-header<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-compressed\\"> <\\/span> icon-compressed<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-earphone\\"> <\\/span> icon-earphone<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-phone-alt\\"> <\\/span> icon-phone-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tower\\"> <\\/span> icon-tower<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-stats\\"> <\\/span> icon-stats<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sd-video\\"> <\\/span> icon-sd-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hd-video\\"> <\\/span> icon-hd-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-subtitles\\"> <\\/span> icon-subtitles<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-stereo\\"> <\\/span> icon-sound-stereo<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-dolby\\"> <\\/span> icon-sound-dolby<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-5-1\\"> <\\/span> icon-sound-5-1<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-6-1\\"> <\\/span> icon-sound-6-1<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-7-1\\"> <\\/span> icon-sound-7-1<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-copyright-mark\\"> <\\/span> icon-copyright-mark<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-registration-mark\\"> <\\/span> icon-registration-mark<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cloud-download\\"> <\\/span> icon-cloud-download<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cloud-upload\\"> <\\/span> icon-cloud-upload<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tree-conifer\\"> <\\/span> icon-tree-conifer<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tree-deciduous\\"> <\\/span> icon-tree-deciduous<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Top Contact Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;ul class=\\"jm-contact-icons\\"&gt;<br \\/>&lt;li class=\\"jm-direction\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/direction.png<\\/strong>\\" alt=\\"Direction\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"<strong>#<\\/strong>\\"&amp;gt;<strong>Peterborough, UK<\\/strong>&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;li class=\\"jm-email\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/email.png<\\/strong>\\" alt=\\"Email\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>Email<\\/strong>&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;li class=\\"jm-phone\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/phone.png<\\/strong>\\" alt=\\"Phone\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>+44 7837 383 484<\\/strong>&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-contact-icons\\">\\r\\n<li class=\\"jm-direction\\"><img src=\\"images\\/modules\\/direction.png\\" alt=\\"Direction\\" \\/><a title=\\"Contact\\" href=\\"#\\">Peterborough, UK<\\/a><\\/li>\\r\\n<li class=\\"jm-email\\"><img src=\\"images\\/modules\\/email.png\\" alt=\\"Email\\" \\/><a title=\\"Contact\\" href=\\"#\\">Email<\\/a><\\/li>\\r\\n<li class=\\"jm-phone\\"><img src=\\"images\\/modules\\/phone.png\\" alt=\\"Phone\\" \\/><a title=\\"Contact\\" href=\\"#\\">+44 7837 383 484<\\/a><\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Residential Solutions Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-box\\"&gt;\\r\\n&lt;div class=\\"jm-box-in\\"&gt;\\r\\n&lt;div class=\\"jm-icon\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/icon1.png<\\/strong>\\" alt=\\"\\" \\/&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-column\\"&gt;\\r\\n&lt;span class=\\"title\\"&gt;<strong>Residential Solutions<\\/strong>&lt;\\/span&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"link\\"&gt;<strong>www.jm-internet.com<\\/strong>&lt;\\/a&gt;\\r\\n&lt;span class=\\"description\\"&gt;<strong>Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"contact\\"&gt;<strong>call 888-777-888<\\/strong>&lt;\\/span&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"readmore\\"&gt;<strong>read more<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-expand\\"&gt;\\r\\n&lt;div class=\\"expand-in\\"&gt;&lt;span class=\\"subtitle\\"&gt;<strong>Services Include<\\/strong>&lt;\\/span&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vestibulum venenatis<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Suscipit libero<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-box\\">\\r\\n<div class=\\"jm-box-in\\">\\r\\n<div class=\\"jm-icon\\"><img src=\\"images\\/modules\\/icon1.png\\" alt=\\"\\" \\/><\\/div>\\r\\n<div class=\\"jm-column\\"><span class=\\"title\\">Residential Solutions<\\/span> <a href=\\"#\\" class=\\"link\\">www.jm-internet.com<\\/a> <span class=\\"description\\">Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/span> <span class=\\"contact\\">call 888-777-888<\\/span> <a href=\\"#\\" class=\\"readmore\\">read more<\\/a><\\/div>\\r\\n<div class=\\"jm-expand\\">\\r\\n<div class=\\"expand-in\\"><span class=\\"subtitle\\">Services Include<\\/span>\\r\\n<ul>\\r\\n<li>Lorem ipsum<\\/li>\\r\\n<li>Dolor sit amet<\\/li>\\r\\n<li>Vestibulum venenatis<\\/li>\\r\\n<li>Suscipit libero<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Business Solutions Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-box\\"&gt;\\r\\n&lt;div class=\\"jm-box-in\\"&gt;\\r\\n&lt;div class=\\"jm-icon\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/icon2.png<\\/strong>\\" alt=\\"\\" \\/&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-column\\"&gt;\\r\\n&lt;span class=\\"title\\"&gt;<strong>Business Solutions<\\/strong>&lt;\\/span&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"link\\"&gt;<strong>www.jm-internet.com<\\/strong>&lt;\\/a&gt;\\r\\n&lt;span class=\\"description\\"&gt;<strong>Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"contact\\"&gt;<strong>call 888-777-888<\\/strong>&lt;\\/span&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"readmore\\"&gt;<strong>read more<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-expand\\"&gt;\\r\\n&lt;div class=\\"expand-in\\"&gt;&lt;span class=\\"subtitle\\"&gt;<strong>Services Include<\\/strong>&lt;\\/span&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vestibulum venenatis<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Suscipit libero<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-box\\">\\r\\n<div class=\\"jm-box-in\\">\\r\\n<div class=\\"jm-icon\\"><img src=\\"images\\/modules\\/icon2.png\\" alt=\\"\\" \\/><\\/div>\\r\\n<div class=\\"jm-column\\">\\r\\n<div class=\\"column-in\\"><span class=\\"title\\">Business Solutions<\\/span> <a href=\\"#\\" class=\\"link\\">www.jm-internet.com<\\/a> <span class=\\"description\\">Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/span> <span class=\\"contact\\">call 888-777-888<\\/span> <a href=\\"#\\" class=\\"readmore\\">read more<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"jm-expand\\">\\r\\n<div class=\\"expand-in\\"><span class=\\"subtitle\\">Services Include<\\/span>\\r\\n<ul>\\r\\n<li>Lorem ipsum<\\/li>\\r\\n<li>Dolor sit amet<\\/li>\\r\\n<li>Vestibulum venenatis<\\/li>\\r\\n<li>Suscipit libero<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Header Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-custom-header\\"&gt;\\r\\n&lt;div class=\\"title\\"&gt;<strong>This is <\\/strong>&lt;span&gt;<strong>custom<\\/strong>&lt;\\/span&gt; <strong>html module<\\/strong>&lt;\\/div&gt;\\r\\n&lt;div class=\\"description\\"&gt;<strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt<\\/strong>&lt;br \\/&gt;<strong> ut labore et dolore magna aliqua.<\\/strong>&lt;\\/div&gt;\\r\\n&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>Check an offer<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-custom-header\\">\\r\\n<div class=\\"title\\">This is <span>custom<\\/span> html module<\\/div>\\r\\n<div class=\\"description\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt<br \\/> ut labore et dolore magna aliqua.<\\/div>\\r\\n<a class=\\"btn\\" href=\\"#\\">Check an offer<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Social Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<div class=\\"jm-socials\\">\\r\\n<pre>&lt;div class=\\"jm-socials\\"&gt;<br \\/>&lt;a class=\\"facebook\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"googleplus\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"twitter\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"linkedin\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"skype\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"vimeo\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;\\/div&gt;<\\/pre>\\r\\n<a class=\\"facebook\\" href=\\"#\\"> <\\/a> <a class=\\"googleplus\\" href=\\"#\\"> <\\/a> <a class=\\"twitter\\" href=\\"#\\"> <\\/a> <a class=\\"linkedin\\" href=\\"#\\"> <\\/a> <a class=\\"skype\\" href=\\"#\\"> <\\/a> <a class=\\"vimeo\\" href=\\"#\\"> <\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Home Content<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-custom-content clearfix\\"&gt;\\r\\n&lt;div class=\\"jm-icon\\"&gt;\\r\\n&lt;div class=\\"jm-icon-in\\"&gt;&lt;span class=\\"up\\"&gt;<strong>Up to<\\/strong>&lt;\\/span&gt; &lt;span class=\\"middle\\"&gt;<strong>250<\\/strong>&lt;\\/span&gt; &lt;span class=\\"down\\"&gt;<strong>Mbps<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;<br \\/>\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-description\\"&gt;&lt;span class=\\"title\\"&gt;<strong>High speed internet<\\/strong>&lt;\\/span&gt;\\r\\n&lt;p&gt;<strong>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<\\/strong>&lt;br \\/&gt;<strong>In facilisis at augue imperdiet dignissim.<\\/strong>&lt;\\/p&gt;\\r\\n&lt;p class=\\"custom-icon1\\"&gt;&lt;span&gt;<strong>Lorem ipsum dolor<\\/strong>&lt;\\/span&gt;<strong>Proin iaculis purus consequat sem cure digni ssim.<\\/strong>&lt;\\/p&gt;\\r\\n&lt;p class=\\"custom-icon2\\"&gt;&lt;span&gt;<strong>Adipiscing elit<\\/strong>&lt;\\/span&gt;<strong>Proin iaculis purus consequat sem cure.<\\/strong>&lt;\\/p&gt;\\r\\n&lt;p&gt;<strong>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<\\/strong>&lt;br \\/&gt;<strong>In facilisis at augue imperdiet dignissim.<\\/strong>&lt;\\/p&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"readmore\\"&gt;<strong>Read more<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-custom-content clearfix\\">\\r\\n<div class=\\"jm-icon\\">\\r\\n<div class=\\"jm-icon-in\\"><span class=\\"up\\">Up to<\\/span> <span class=\\"middle\\">250<\\/span> <span class=\\"down\\">Mbps<\\/span><\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"jm-description\\"><span class=\\"title\\">High speed internet<\\/span>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<br \\/>In facilisis at augue imperdiet dignissim.<\\/p>\\r\\n<p class=\\"custom-icon1\\"><span>Lorem ipsum dolor<\\/span>Proin iaculis purus consequat sem cure digni ssim.<\\/p>\\r\\n<p class=\\"custom-icon2\\"><span>Adipiscing elit<\\/span>Proin iaculis purus consequat sem cure.<\\/p>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<br \\/>In facilisis at augue imperdiet dignissim.<\\/p>\\r\\n<a href=\\"#\\" class=\\"readmore\\">Read more<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Pricing Table Content<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-pricing clearfix <strong>col3<\\/strong>\\"&gt;\\r\\n&lt;div class=\\"box\\"&gt;\\r\\n&lt;div class=\\"box-in\\"&gt;\\r\\n&lt;div class=\\"price\\"&gt;&lt;span class=\\"up\\"&gt;<strong>as low as<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"middle\\"&gt;<strong>29.95<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"down\\"&gt;<strong>month<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"title\\"&gt;<strong>Cable Internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;div class=\\"content\\"&gt;\\r\\n&lt;div class=\\"subtitle\\"&gt;<strong>step up to earthlink cable internet at the speed of life<\\/strong>&lt;\\/div&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Morbi rhoncus diam quis augue<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Proin non finibus diam<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Pellentesque varius<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vivamus quis leo<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Donec ut elit maximus<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"bottom\\"&gt;&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>I\'m interested<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"box\\"&gt;\\r\\n&lt;div class=\\"box-in\\"&gt;\\r\\n&lt;div class=\\"price\\"&gt;&lt;span class=\\"up\\"&gt;<strong>as low as<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"middle\\"&gt;<strong>14.85<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"down\\"&gt;<strong>month<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"title\\"&gt;<strong>DSL Internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;div class=\\"content\\"&gt;\\r\\n&lt;div class=\\"subtitle\\"&gt;<strong>step up to incredible dsl cable internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Morbi rhoncus diam quis augue<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Proin non finibus diam<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Pellentesque varius<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vivamus quis leo<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Donec ut elit maximus<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"bottom\\"&gt;&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>I\'m interested<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"box\\"&gt;\\r\\n&lt;div class=\\"box-in\\"&gt;\\r\\n&lt;div class=\\"price\\"&gt;&lt;span class=\\"up\\"&gt;<strong>as low as<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"middle\\"&gt;<strong>39.95<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"down\\"&gt;<strong>month<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"title\\"&gt;<strong>Satellite Internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;div class=\\"content\\"&gt;\\r\\n&lt;div class=\\"subtitle\\"&gt;<strong>No dsl or cable in your area? get satellite internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Morbi rhoncus diam quis augue<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Proin non finibus diam<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Pellentesque varius<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vivamus quis leo<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Donec ut elit maximus<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"bottom\\"&gt;&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>I\'m interested<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-pricing clearfix col3\\">\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">29.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Cable Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to earthlink cable internet at the speed of life<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<li>Pellentesque varius<\\/li>\\r\\n<li>Vivamus quis leo<\\/li>\\r\\n<li>Donec ut elit maximus<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">14.85<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">DSL Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to incredible dsl cable internet<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<li>Pellentesque varius<\\/li>\\r\\n<li>Vivamus quis leo<\\/li>\\r\\n<li>Donec ut elit maximus<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">39.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Satellite Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">No dsl or cable in your area? get satellite internet<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<li>Pellentesque varius<\\/li>\\r\\n<li>Vivamus quis leo<\\/li>\\r\\n<li>Donec ut elit maximus<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"78","created":"2014-05-14 12:40:26","created_by":"56","created_by_alias":"","modified":"2015-01-19 09:17:30","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-19 09:15:39","publish_up":"2014-05-14 12:40:26","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":67,"ordering":"8","metakey":"","metadesc":"","access":"1","hits":"179","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(360,87,1,'','2015-01-19 09:19:00',56,49373,'69b460fa9a594cbcf8bf59e455a103ade41e62fa','{"id":87,"asset_id":"276","title":"Typography","alias":"typography","introtext":"<h3 class=\\"jm-typo-title\\">Image Borders<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-rounded\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-rounded\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<p><\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-circle\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-circle\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<p><\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-polaroid\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-polaroid\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Headings<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<h1>This is Heading One (h1)<\\/h1>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h2>This is Heading Two (h2)<\\/h2>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h3>This is Heading Three (h3)<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<h4>This is Heading Four (h4)<\\/h4>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h5>This is Heading Five (h5)<\\/h5>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h6>This is Heading Six (h6)<\\/h6>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Numered blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;p class=\\"jm-block\\"&gt;&lt;span class=\\"jm\\"&gt;01&lt;\\/span&gt;Text goes here&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">01<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">02<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">03<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;p class=\\"jm-block second\\"&gt;&lt;span class=\\"jm\\"&gt;a&lt;\\/span&gt;Text goes here&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">a<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">b<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">c<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Colored Blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<div class=\\"alert\\">&lt;div class=\\"alert\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<div class=\\"alert alert-error\\">&lt;div class=\\"alert alert-error\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<div class=\\"alert alert-success\\">&lt;div class=\\"alert alert-success\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<div class=\\"alert alert-info\\">&lt;div class=\\"alert alert-info\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Icon blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<p class=\\"jm-badge\\">&lt;p class=\\"jm-badge\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-calendar\\">&lt;p class=\\"jm-calendar\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-chat\\">&lt;p class=\\"jm-chat\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-check\\">&lt;p class=\\"jm-check\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-cloud\\">&lt;p class=\\"jm-cloud\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-direction\\">&lt;p class=\\"jm-direction\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-divide\\">&lt;p class=\\"jm-divide\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-error\\">&lt;p class=\\"jm-error\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-fire\\">&lt;p class=\\"jm-fire\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<p class=\\"jm-flag\\">&lt;p class=\\"jm-flag\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-heart\\">&lt;p class=\\"jm-heart\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-home\\">&lt;p class=\\"jm-home\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-info\\">&lt;p class=\\"jm-info\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-list\\">&lt;p class=\\"jm-list\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-mail\\">&lt;p class=\\"jm-mail\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-people\\">&lt;p class=\\"jm-people\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-star\\">&lt;p class=\\"jm-star\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-stat\\">&lt;p class=\\"jm-stat\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Blockquote<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;blockquote&gt;<br \\/>&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;\\/p&gt;<br \\/>&lt;small&gt;John Doe&lt;\\/small&gt;<br \\/>&lt;\\/blockquote&gt;<\\/pre>\\r\\n<blockquote>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n<small>John Doe<\\/small><\\/blockquote>\\r\\n<\\/div>\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;blockquote class=\\"pull-right\\"&gt;<br \\/>&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;\\/p&gt;<br \\/>&lt;small&gt;John Doe&lt;\\/small&gt;<br \\/>&lt;\\/blockquote&gt;<\\/pre>\\r\\n<blockquote class=\\"pull-right\\">\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n<small>John Doe<\\/small><\\/blockquote>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Unordered lists<\\/h3>\\r\\n<div class=\\"row-fluid\\" style=\\"margin-bottom: 30px;\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul class=\\"jm-color-list\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-color-list\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul class=\\"jm-light-list\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-light-list\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Ordered lists<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol class=\\"jm-roman\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol class=\\"jm-roman\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol class=\\"jm-alpha\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol class=\\"jm-alpha\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Read More Button<\\/h3>\\r\\n<pre>&lt;p class=\\"readmore\\"&gt;&lt;a class=\\"btn\\" href=\\"#\\"&gt;Read more&lt;\\/a&gt;&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"readmore\\"><a class=\\"btn\\" href=\\"#\\">Read more<\\/a><\\/p>\\r\\n<h3 class=\\"jm-typo-title\\">Glyphicon Font<\\/h3>\\r\\n<div>\\r\\n<pre>&lt;span class=\\"icon-joomla\\"&gt;&amp;nbsp&lt;\\/span&gt;<\\/pre>\\r\\n<\\/div>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-asterisk\\"> <\\/span> icon-asterisk<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plus\\"> <\\/span> icon-plus<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-euro\\"> <\\/span> icon-euro<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-minus\\"> <\\/span> icon-minus<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cloud\\"> <\\/span> icon-cloud<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-envelope\\"> <\\/span> icon-envelope<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pencil\\"> <\\/span> icon-pencil<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-glass\\"> <\\/span> icon-glass<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-music\\"> <\\/span> icon-music<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-search\\"> <\\/span> icon-search<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-heart\\"> <\\/span> icon-heart<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-star\\"> <\\/span> icon-star<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-star-empty\\"> <\\/span> icon-star-empty<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-user\\"> <\\/span> icon-user<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-film\\"> <\\/span> icon-film<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-th-large\\"> <\\/span> icon-th-large<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-th\\"> <\\/span> icon-th<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-th-list\\"> <\\/span> icon-th-list<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok\\"> <\\/span> icon-ok<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove\\"> <\\/span> icon-remove<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-zoom-in\\"> <\\/span> icon-zoom-in<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-zoom-out\\"> <\\/span> icon-zoom-out<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-off\\"> <\\/span> icon-off<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-signal\\"> <\\/span> icon-signal<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cog\\"> <\\/span> icon-cog<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-trash\\"> <\\/span> icon-trash<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-home\\"> <\\/span> icon-home<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-file\\"> <\\/span> icon-file<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-time\\"> <\\/span> icon-time<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-road\\"> <\\/span> icon-road<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-download-alt\\"> <\\/span> icon-download-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-download\\"> <\\/span> icon-download<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-upload\\"> <\\/span> icon-upload<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-inbox\\"> <\\/span> icon-inbox<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-play-circle\\"> <\\/span> icon-play-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-repeat\\"> <\\/span> icon-repeat<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-refresh\\"> <\\/span> icon-refresh<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-list-alt\\"> <\\/span> icon-list-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-lock\\"> <\\/span> icon-lock<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-flag\\"> <\\/span> icon-flag<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-headphones\\"> <\\/span> icon-headphones<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-volume-off\\"> <\\/span> icon-volume-off<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-volume-down\\"> <\\/span> icon-volume-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-volume-up\\"> <\\/span> icon-volume-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-qrcode\\"> <\\/span> icon-qrcode<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-barcode\\"> <\\/span> icon-barcode<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tag\\"> <\\/span> icon-tag<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tags\\"> <\\/span> icon-tags<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-book\\"> <\\/span> icon-book<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bookmark\\"> <\\/span> icon-bookmark<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-print\\"> <\\/span> icon-print<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-camera\\"> <\\/span> icon-camera<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-font\\"> <\\/span> icon-font<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bold\\"> <\\/span> icon-bold<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-italic\\"> <\\/span> icon-italic<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-text-height\\"> <\\/span> icon-text-height<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-text-width\\"> <\\/span> icon-text-width<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-left\\"> <\\/span> icon-align-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-center\\"> <\\/span> icon-align-center<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-right\\"> <\\/span> icon-align-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-justify\\"> <\\/span> icon-align-justify<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-list\\"> <\\/span> icon-list<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-indent-left\\"> <\\/span> icon-indent-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-indent-right\\"> <\\/span> icon-indent-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-facetime-video\\"> <\\/span> icon-facetime-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-picture\\"> <\\/span> icon-picture<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-map-marker\\"> <\\/span> icon-map-marker<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-adjust\\"> <\\/span> icon-adjust<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tint\\"> <\\/span> icon-tint<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-edit\\"> <\\/span> icon-edit<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-share\\"> <\\/span> icon-share<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-check\\"> <\\/span> icon-check<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-move\\"> <\\/span> icon-move<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-step-backward\\"> <\\/span> icon-step-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fast-backward\\"> <\\/span> icon-fast-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-backward\\"> <\\/span> icon-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-play\\"> <\\/span> icon-play<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pause\\"> <\\/span> icon-pause<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-stop\\"> <\\/span> icon-stop<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-forward\\"> <\\/span> icon-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fast-forward\\"> <\\/span> icon-fast-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-step-forward\\"> <\\/span> icon-step-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eject\\"> <\\/span> icon-eject<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-left\\"> <\\/span> icon-chevron-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-right\\"> <\\/span> icon-chevron-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plus-sign\\"> <\\/span> icon-plus-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-minus-sign\\"> <\\/span> icon-minus-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove-sign\\"> <\\/span> icon-remove-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok-sign\\"> <\\/span> icon-ok-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-question-sign\\"> <\\/span> icon-question-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-info-sign\\"> <\\/span> icon-info-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-screenshot\\"> <\\/span> icon-screenshot<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove-circle\\"> <\\/span> icon-remove-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok-circle\\"> <\\/span> icon-ok-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ban-circle\\"> <\\/span> icon-ban-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-left\\"> <\\/span> icon-arrow-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-right\\"> <\\/span> icon-arrow-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-up\\"> <\\/span> icon-arrow-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-down\\"> <\\/span> icon-arrow-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-share-alt\\"> <\\/span> icon-share-alt<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-full\\"> <\\/span> icon-resize-full<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-small\\"> <\\/span> icon-resize-small<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-exclamation-sign\\"> <\\/span> icon-exclamation-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-gift\\"> <\\/span> icon-gift<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-leaf\\"> <\\/span> icon-leaf<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fire\\"> <\\/span> icon-fire<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eye-open\\"> <\\/span> icon-eye-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eye-close\\"> <\\/span> icon-eye-close<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-warning-sign\\"> <\\/span> icon-warning-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plane\\"> <\\/span> icon-plane<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-calendar\\"> <\\/span> icon-calendar<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-random\\"> <\\/span> icon-random<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-comment\\"> <\\/span> icon-comment<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-magnet\\"> <\\/span> icon-magnet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-up\\"> <\\/span> icon-chevron-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-down\\"> <\\/span> icon-chevron-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-retweet\\"> <\\/span> icon-retweet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-shopping-cart\\"> <\\/span> icon-shopping-cart<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-folder-close\\"> <\\/span> icon-folder-close<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-folder-open\\"> <\\/span> icon-folder-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-vertical\\"> <\\/span> icon-resize-vertical<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-horizontal\\"> <\\/span> icon-resize-horizontal<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hdd\\"> <\\/span> icon-hdd<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bullhorn\\"> <\\/span> icon-bullhorn<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bell\\"> <\\/span> icon-bell<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-certificate\\"> <\\/span> icon-certificate<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-thumbs-up\\"> <\\/span> icon-thumbs-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-thumbs-down\\"> <\\/span> icon-thumbs-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-right\\"> <\\/span> icon-hand-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-left\\"> <\\/span> icon-hand-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-up\\"> <\\/span> icon-hand-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-down\\"> <\\/span> icon-hand-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-right\\"> <\\/span> icon-circle-arrow-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-left\\"> <\\/span> icon-circle-arrow-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-up\\"> <\\/span> icon-circle-arrow-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-down\\"> <\\/span> icon-circle-arrow-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-globe\\"> <\\/span> icon-globe<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-wrench\\"> <\\/span> icon-wrench<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tasks\\"> <\\/span> icon-tasks<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-filter\\"> <\\/span> icon-filter<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-briefcase\\"> <\\/span> icon-briefcase<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fullscreen\\"> <\\/span> icon-fullscreen<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-dashboard\\"> <\\/span> icon-dashboard<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-paperclip\\"> <\\/span> icon-paperclip<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-heart-empty\\"> <\\/span> icon-heart-empty<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-link\\"> <\\/span> icon-link<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-phone\\"> <\\/span> icon-phone<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pushpin\\"> <\\/span> icon-pushpin<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-usd\\"> <\\/span> icon-usd<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-gbp\\"> <\\/span> icon-gbp<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort\\"> <\\/span> icon-sort<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-alphabet\\"> <\\/span> icon-sort-by-alphabet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-alphabet-alt\\"> <\\/span> icon-sort-by-alphabet-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-order\\"> <\\/span> icon-sort-by-order<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-order-alt\\"> <\\/span> icon-sort-by-order-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-attributes\\"> <\\/span> icon-sort-by-attributes<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-attributes-alt\\"> <\\/span> icon-sort-by-attributes-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-unchecked\\"> <\\/span> icon-unchecked<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-expand\\"> <\\/span> icon-expand<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-collapse-down\\"> <\\/span> icon-collapse-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-collapse-up\\"> <\\/span> icon-collapse-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-log-in\\"> <\\/span> icon-log-in<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-flash\\"> <\\/span> icon-flash<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-log-out\\"> <\\/span> icon-log-out<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-new-window\\"> <\\/span> icon-new-window<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-record\\"> <\\/span> icon-record<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-save\\"> <\\/span> icon-save<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-open\\"> <\\/span> icon-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-saved\\"> <\\/span> icon-saved<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-import\\"> <\\/span> icon-import<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-export\\"> <\\/span> icon-export<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-send\\"> <\\/span> icon-send<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-disk\\"> <\\/span> icon-floppy-disk<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-saved\\"> <\\/span> icon-floppy-saved<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-remove\\"> <\\/span> icon-floppy-remove<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-save\\"> <\\/span> icon-floppy-save<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-open\\"> <\\/span> icon-floppy-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-credit-card\\"> <\\/span> icon-credit-card<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-transfer\\"> <\\/span> icon-transfer<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cutlery\\"> <\\/span> icon-cutlery<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-header\\"> <\\/span> icon-header<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-compressed\\"> <\\/span> icon-compressed<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-earphone\\"> <\\/span> icon-earphone<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-phone-alt\\"> <\\/span> icon-phone-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tower\\"> <\\/span> icon-tower<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-stats\\"> <\\/span> icon-stats<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sd-video\\"> <\\/span> icon-sd-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hd-video\\"> <\\/span> icon-hd-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-subtitles\\"> <\\/span> icon-subtitles<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-stereo\\"> <\\/span> icon-sound-stereo<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-dolby\\"> <\\/span> icon-sound-dolby<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-5-1\\"> <\\/span> icon-sound-5-1<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-6-1\\"> <\\/span> icon-sound-6-1<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-7-1\\"> <\\/span> icon-sound-7-1<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-copyright-mark\\"> <\\/span> icon-copyright-mark<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-registration-mark\\"> <\\/span> icon-registration-mark<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cloud-download\\"> <\\/span> icon-cloud-download<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cloud-upload\\"> <\\/span> icon-cloud-upload<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tree-conifer\\"> <\\/span> icon-tree-conifer<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tree-deciduous\\"> <\\/span> icon-tree-deciduous<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Top Contact Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;ul class=\\"jm-contact-icons\\"&gt;<br \\/>&lt;li class=\\"jm-direction\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/direction.png<\\/strong>\\" alt=\\"Direction\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"<strong>#<\\/strong>\\"&amp;gt;<strong>Peterborough, UK<\\/strong>&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;li class=\\"jm-email\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/email.png<\\/strong>\\" alt=\\"Email\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>Email<\\/strong>&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;li class=\\"jm-phone\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/phone.png<\\/strong>\\" alt=\\"Phone\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>+44 7837 383 484<\\/strong>&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-contact-icons\\">\\r\\n<li class=\\"jm-direction\\"><img src=\\"images\\/modules\\/direction.png\\" alt=\\"Direction\\" \\/><a title=\\"Contact\\" href=\\"#\\">Peterborough, UK<\\/a><\\/li>\\r\\n<li class=\\"jm-email\\"><img src=\\"images\\/modules\\/email.png\\" alt=\\"Email\\" \\/><a title=\\"Contact\\" href=\\"#\\">Email<\\/a><\\/li>\\r\\n<li class=\\"jm-phone\\"><img src=\\"images\\/modules\\/phone.png\\" alt=\\"Phone\\" \\/><a title=\\"Contact\\" href=\\"#\\">+44 7837 383 484<\\/a><\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Residential Solutions Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-box\\"&gt;\\r\\n&lt;div class=\\"jm-box-in\\"&gt;\\r\\n&lt;div class=\\"jm-icon\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/icon1.png<\\/strong>\\" alt=\\"\\" \\/&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-column\\"&gt;\\r\\n&lt;span class=\\"title\\"&gt;<strong>Residential Solutions<\\/strong>&lt;\\/span&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"link\\"&gt;<strong>www.jm-internet.com<\\/strong>&lt;\\/a&gt;\\r\\n&lt;span class=\\"description\\"&gt;<strong>Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"contact\\"&gt;<strong>call 888-777-888<\\/strong>&lt;\\/span&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"readmore\\"&gt;<strong>read more<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-expand\\"&gt;\\r\\n&lt;div class=\\"expand-in\\"&gt;&lt;span class=\\"subtitle\\"&gt;<strong>Services Include<\\/strong>&lt;\\/span&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vestibulum venenatis<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Suscipit libero<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-box\\">\\r\\n<div class=\\"jm-box-in\\">\\r\\n<div class=\\"jm-icon\\"><img src=\\"images\\/modules\\/icon1.png\\" alt=\\"\\" \\/><\\/div>\\r\\n<div class=\\"jm-column\\"><span class=\\"title\\">Residential Solutions<\\/span> <a href=\\"#\\" class=\\"link\\">www.jm-internet.com<\\/a> <span class=\\"description\\">Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/span> <span class=\\"contact\\">call 888-777-888<\\/span> <a href=\\"#\\" class=\\"readmore\\">read more<\\/a><\\/div>\\r\\n<div class=\\"jm-expand\\">\\r\\n<div class=\\"expand-in\\"><span class=\\"subtitle\\">Services Include<\\/span>\\r\\n<ul>\\r\\n<li>Lorem ipsum<\\/li>\\r\\n<li>Dolor sit amet<\\/li>\\r\\n<li>Vestibulum venenatis<\\/li>\\r\\n<li>Suscipit libero<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Business Solutions Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-box\\"&gt;\\r\\n&lt;div class=\\"jm-box-in\\"&gt;\\r\\n&lt;div class=\\"jm-icon\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/icon2.png<\\/strong>\\" alt=\\"\\" \\/&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-column\\"&gt;\\r\\n&lt;span class=\\"title\\"&gt;<strong>Business Solutions<\\/strong>&lt;\\/span&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"link\\"&gt;<strong>www.jm-internet.com<\\/strong>&lt;\\/a&gt;\\r\\n&lt;span class=\\"description\\"&gt;<strong>Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"contact\\"&gt;<strong>call 888-777-888<\\/strong>&lt;\\/span&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"readmore\\"&gt;<strong>read more<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-expand\\"&gt;\\r\\n&lt;div class=\\"expand-in\\"&gt;&lt;span class=\\"subtitle\\"&gt;<strong>Services Include<\\/strong>&lt;\\/span&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vestibulum venenatis<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Suscipit libero<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-box\\">\\r\\n<div class=\\"jm-box-in\\">\\r\\n<div class=\\"jm-icon\\"><img src=\\"images\\/modules\\/icon2.png\\" alt=\\"\\" \\/><\\/div>\\r\\n<div class=\\"jm-column\\">\\r\\n<div class=\\"column-in\\"><span class=\\"title\\">Business Solutions<\\/span> <a href=\\"#\\" class=\\"link\\">www.jm-internet.com<\\/a> <span class=\\"description\\">Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/span> <span class=\\"contact\\">call 888-777-888<\\/span> <a href=\\"#\\" class=\\"readmore\\">read more<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"jm-expand\\">\\r\\n<div class=\\"expand-in\\"><span class=\\"subtitle\\">Services Include<\\/span>\\r\\n<ul>\\r\\n<li>Lorem ipsum<\\/li>\\r\\n<li>Dolor sit amet<\\/li>\\r\\n<li>Vestibulum venenatis<\\/li>\\r\\n<li>Suscipit libero<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Header Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-custom-header\\"&gt;\\r\\n&lt;div class=\\"title\\"&gt;<strong>This is <\\/strong>&lt;span&gt;<strong>custom<\\/strong>&lt;\\/span&gt; <strong>html module<\\/strong>&lt;\\/div&gt;\\r\\n&lt;div class=\\"description\\"&gt;<strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt<\\/strong>&lt;br \\/&gt;<strong> ut labore et dolore magna aliqua.<\\/strong>&lt;\\/div&gt;\\r\\n&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>Check an offer<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-custom-header\\">\\r\\n<div class=\\"title\\">This is <span>custom<\\/span> html module<\\/div>\\r\\n<div class=\\"description\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt<br \\/> ut labore et dolore magna aliqua.<\\/div>\\r\\n<a class=\\"btn\\" href=\\"#\\">Check an offer<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Social Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<div class=\\"jm-socials\\">\\r\\n<pre>&lt;div class=\\"jm-socials\\"&gt;<br \\/>&lt;a class=\\"facebook\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"googleplus\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"twitter\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"linkedin\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"skype\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"vimeo\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;\\/div&gt;<\\/pre>\\r\\n<a class=\\"facebook\\" href=\\"#\\"> <\\/a> <a class=\\"googleplus\\" href=\\"#\\"> <\\/a> <a class=\\"twitter\\" href=\\"#\\"> <\\/a> <a class=\\"linkedin\\" href=\\"#\\"> <\\/a> <a class=\\"skype\\" href=\\"#\\"> <\\/a> <a class=\\"vimeo\\" href=\\"#\\"> <\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Home Content<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-custom-content clearfix\\"&gt;\\r\\n&lt;div class=\\"jm-icon\\"&gt;\\r\\n&lt;div class=\\"jm-icon-in\\"&gt;&lt;span class=\\"up\\"&gt;<strong>Up to<\\/strong>&lt;\\/span&gt; &lt;span class=\\"middle\\"&gt;<strong>250<\\/strong>&lt;\\/span&gt; &lt;span class=\\"down\\"&gt;<strong>Mbps<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-description\\"&gt;&lt;span class=\\"title\\"&gt;<strong>High speed internet<\\/strong>&lt;\\/span&gt;\\r\\n&lt;p&gt;<strong>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<\\/strong>&lt;br \\/&gt;<strong>In facilisis at augue imperdiet dignissim.<\\/strong>&lt;\\/p&gt;\\r\\n&lt;p class=\\"custom-icon1\\"&gt;&lt;span&gt;<strong>Lorem ipsum dolor<\\/strong>&lt;\\/span&gt;<strong>Proin iaculis purus consequat sem cure digni ssim.<\\/strong>&lt;\\/p&gt;\\r\\n&lt;p class=\\"custom-icon2\\"&gt;&lt;span&gt;<strong>Adipiscing elit<\\/strong>&lt;\\/span&gt;<strong>Proin iaculis purus consequat sem cure.<\\/strong>&lt;\\/p&gt;\\r\\n&lt;p&gt;<strong>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<\\/strong>&lt;br \\/&gt;<strong>In facilisis at augue imperdiet dignissim.<\\/strong>&lt;\\/p&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"readmore\\"&gt;<strong>Read more<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-custom-content clearfix\\">\\r\\n<div class=\\"jm-icon\\">\\r\\n<div class=\\"jm-icon-in\\"><span class=\\"up\\">Up to<\\/span> <span class=\\"middle\\">250<\\/span> <span class=\\"down\\">Mbps<\\/span><\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"jm-description\\"><span class=\\"title\\">High speed internet<\\/span>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<br \\/>In facilisis at augue imperdiet dignissim.<\\/p>\\r\\n<p class=\\"custom-icon1\\"><span>Lorem ipsum dolor<\\/span>Proin iaculis purus consequat sem cure digni ssim.<\\/p>\\r\\n<p class=\\"custom-icon2\\"><span>Adipiscing elit<\\/span>Proin iaculis purus consequat sem cure.<\\/p>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<br \\/>In facilisis at augue imperdiet dignissim.<\\/p>\\r\\n<a href=\\"#\\" class=\\"readmore\\">Read more<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Pricing Table Content<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-pricing clearfix <strong>col3<\\/strong>\\"&gt;\\r\\n&lt;div class=\\"box\\"&gt;\\r\\n&lt;div class=\\"box-in\\"&gt;\\r\\n&lt;div class=\\"price\\"&gt;&lt;span class=\\"up\\"&gt;<strong>as low as<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"middle\\"&gt;<strong>29.95<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"down\\"&gt;<strong>month<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"title\\"&gt;<strong>Cable Internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;div class=\\"content\\"&gt;\\r\\n&lt;div class=\\"subtitle\\"&gt;<strong>step up to earthlink cable internet at the speed of life<\\/strong>&lt;\\/div&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Morbi rhoncus diam quis augue<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Proin non finibus diam<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Pellentesque varius<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vivamus quis leo<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Donec ut elit maximus<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"bottom\\"&gt;&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>I\'m interested<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"box\\"&gt;\\r\\n&lt;div class=\\"box-in\\"&gt;\\r\\n&lt;div class=\\"price\\"&gt;&lt;span class=\\"up\\"&gt;<strong>as low as<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"middle\\"&gt;<strong>14.85<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"down\\"&gt;<strong>month<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"title\\"&gt;<strong>DSL Internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;div class=\\"content\\"&gt;\\r\\n&lt;div class=\\"subtitle\\"&gt;<strong>step up to incredible dsl cable internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Morbi rhoncus diam quis augue<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Proin non finibus diam<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Pellentesque varius<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vivamus quis leo<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Donec ut elit maximus<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"bottom\\"&gt;&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>I\'m interested<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"box\\"&gt;\\r\\n&lt;div class=\\"box-in\\"&gt;\\r\\n&lt;div class=\\"price\\"&gt;&lt;span class=\\"up\\"&gt;<strong>as low as<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"middle\\"&gt;<strong>39.95<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"down\\"&gt;<strong>month<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"title\\"&gt;<strong>Satellite Internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;div class=\\"content\\"&gt;\\r\\n&lt;div class=\\"subtitle\\"&gt;<strong>No dsl or cable in your area? get satellite internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Morbi rhoncus diam quis augue<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Proin non finibus diam<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Pellentesque varius<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vivamus quis leo<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Donec ut elit maximus<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"bottom\\"&gt;&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>I\'m interested<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-pricing clearfix col3\\">\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">29.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Cable Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to earthlink cable internet at the speed of life<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<li>Pellentesque varius<\\/li>\\r\\n<li>Vivamus quis leo<\\/li>\\r\\n<li>Donec ut elit maximus<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">14.85<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">DSL Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to incredible dsl cable internet<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<li>Pellentesque varius<\\/li>\\r\\n<li>Vivamus quis leo<\\/li>\\r\\n<li>Donec ut elit maximus<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">39.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Satellite Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">No dsl or cable in your area? get satellite internet<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<li>Pellentesque varius<\\/li>\\r\\n<li>Vivamus quis leo<\\/li>\\r\\n<li>Donec ut elit maximus<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"78","created":"2014-05-14 12:40:26","created_by":"56","created_by_alias":"","modified":"2015-01-19 09:19:00","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-19 09:17:30","publish_up":"2014-05-14 12:40:26","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":68,"ordering":"8","metakey":"","metadesc":"","access":"1","hits":"180","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(361,87,1,'','2015-01-19 09:23:45',56,49741,'4a30e85b2ed05159018ffa5bc44e8f54d4cc64bc','{"id":87,"asset_id":"276","title":"Typography","alias":"typography","introtext":"<h3 class=\\"jm-typo-title\\">Image Borders<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-rounded\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-rounded\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<p><\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-circle\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-circle\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<p><\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;img class=\\"img-polaroid\\" src=\\"image.jpg\\" \\/&gt;<\\/pre>\\r\\n<div style=\\"text-align: center;\\"><img class=\\"img-polaroid\\" src=\\"images\\/bootstrap_sample\\/sample140x140.png\\" alt=\\"Typography\\" border=\\"0\\" \\/><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Headings<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<h1>This is Heading One (h1)<\\/h1>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h2>This is Heading Two (h2)<\\/h2>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h3>This is Heading Three (h3)<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<h4>This is Heading Four (h4)<\\/h4>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h5>This is Heading Five (h5)<\\/h5>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<br \\/>\\r\\n<h6>This is Heading Six (h6)<\\/h6>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Numered blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;p class=\\"jm-block\\"&gt;&lt;span class=\\"jm\\"&gt;01&lt;\\/span&gt;Text goes here&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">01<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">02<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block\\"><span class=\\"jm\\">03<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<pre>&lt;p class=\\"jm-block second\\"&gt;&lt;span class=\\"jm\\"&gt;a&lt;\\/span&gt;Text goes here&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">a<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">b<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<p class=\\"jm-block second\\"><span class=\\"jm\\">c<\\/span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Colored Blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<div class=\\"alert\\">&lt;div class=\\"alert\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<div class=\\"alert alert-error\\">&lt;div class=\\"alert alert-error\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<div class=\\"alert alert-success\\">&lt;div class=\\"alert alert-success\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<div class=\\"alert alert-info\\">&lt;div class=\\"alert alert-info\\"&gt;Text goes here&lt;\\/div&gt;<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Icon blocks<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span6\\">\\r\\n<p class=\\"jm-badge\\">&lt;p class=\\"jm-badge\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-calendar\\">&lt;p class=\\"jm-calendar\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-chat\\">&lt;p class=\\"jm-chat\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-check\\">&lt;p class=\\"jm-check\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-cloud\\">&lt;p class=\\"jm-cloud\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-direction\\">&lt;p class=\\"jm-direction\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-divide\\">&lt;p class=\\"jm-divide\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-error\\">&lt;p class=\\"jm-error\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-fire\\">&lt;p class=\\"jm-fire\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<\\/div>\\r\\n<div class=\\"span6\\">\\r\\n<p class=\\"jm-flag\\">&lt;p class=\\"jm-flag\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-heart\\">&lt;p class=\\"jm-heart\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-home\\">&lt;p class=\\"jm-home\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-info\\">&lt;p class=\\"jm-info\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-list\\">&lt;p class=\\"jm-list\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-mail\\">&lt;p class=\\"jm-mail\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-people\\">&lt;p class=\\"jm-people\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-star\\">&lt;p class=\\"jm-star\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<p class=\\"jm-stat\\">&lt;p class=\\"jm-stat\\" &gt;Text goes here&lt;\\/p&gt;<\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Blockquote<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;blockquote&gt;<br \\/>&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;\\/p&gt;<br \\/>&lt;small&gt;John Doe&lt;\\/small&gt;<br \\/>&lt;\\/blockquote&gt;<\\/pre>\\r\\n<blockquote>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n<small>John Doe<\\/small><\\/blockquote>\\r\\n<\\/div>\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;blockquote class=\\"pull-right\\"&gt;<br \\/>&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;\\/p&gt;<br \\/>&lt;small&gt;John Doe&lt;\\/small&gt;<br \\/>&lt;\\/blockquote&gt;<\\/pre>\\r\\n<blockquote class=\\"pull-right\\">\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.<\\/p>\\r\\n<small>John Doe<\\/small><\\/blockquote>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Unordered lists<\\/h3>\\r\\n<div class=\\"row-fluid\\" style=\\"margin-bottom: 30px;\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul class=\\"jm-color-list\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-color-list\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ul class=\\"jm-light-list\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-light-list\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ul>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Ordered lists<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol class=\\"jm-roman\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol class=\\"jm-roman\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<div class=\\"span4\\">\\r\\n<pre>&lt;ol class=\\"jm-alpha\\"&gt;<br \\/>&lt;-- list goes here --&gt;<br \\/>&lt;\\/ol&gt;<\\/pre>\\r\\n<ol class=\\"jm-alpha\\">\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum\\r\\n<ol>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<li>Duis tincidunt nunc sit amet ipsum<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/li>\\r\\n<\\/ol>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Read More Button<\\/h3>\\r\\n<pre>&lt;p class=\\"readmore\\"&gt;&lt;a class=\\"btn\\" href=\\"#\\"&gt;Read more&lt;\\/a&gt;&lt;\\/p&gt;<\\/pre>\\r\\n<p class=\\"readmore\\"><a class=\\"btn\\" href=\\"#\\">Read more<\\/a><\\/p>\\r\\n<h3 class=\\"jm-typo-title\\">Glyphicon Font<\\/h3>\\r\\n<div>\\r\\n<pre>&lt;span class=\\"icon-joomla\\"&gt;&amp;nbsp&lt;\\/span&gt;<\\/pre>\\r\\n<\\/div>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-asterisk\\"> <\\/span> icon-asterisk<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plus\\"> <\\/span> icon-plus<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-euro\\"> <\\/span> icon-euro<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-minus\\"> <\\/span> icon-minus<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cloud\\"> <\\/span> icon-cloud<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-envelope\\"> <\\/span> icon-envelope<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pencil\\"> <\\/span> icon-pencil<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-glass\\"> <\\/span> icon-glass<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-music\\"> <\\/span> icon-music<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-search\\"> <\\/span> icon-search<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-heart\\"> <\\/span> icon-heart<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-star\\"> <\\/span> icon-star<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-star-empty\\"> <\\/span> icon-star-empty<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-user\\"> <\\/span> icon-user<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-film\\"> <\\/span> icon-film<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-th-large\\"> <\\/span> icon-th-large<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-th\\"> <\\/span> icon-th<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-th-list\\"> <\\/span> icon-th-list<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok\\"> <\\/span> icon-ok<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove\\"> <\\/span> icon-remove<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-zoom-in\\"> <\\/span> icon-zoom-in<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-zoom-out\\"> <\\/span> icon-zoom-out<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-off\\"> <\\/span> icon-off<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-signal\\"> <\\/span> icon-signal<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cog\\"> <\\/span> icon-cog<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-trash\\"> <\\/span> icon-trash<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-home\\"> <\\/span> icon-home<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-file\\"> <\\/span> icon-file<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-time\\"> <\\/span> icon-time<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-road\\"> <\\/span> icon-road<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-download-alt\\"> <\\/span> icon-download-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-download\\"> <\\/span> icon-download<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-upload\\"> <\\/span> icon-upload<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-inbox\\"> <\\/span> icon-inbox<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-play-circle\\"> <\\/span> icon-play-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-repeat\\"> <\\/span> icon-repeat<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-refresh\\"> <\\/span> icon-refresh<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-list-alt\\"> <\\/span> icon-list-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-lock\\"> <\\/span> icon-lock<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-flag\\"> <\\/span> icon-flag<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-headphones\\"> <\\/span> icon-headphones<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-volume-off\\"> <\\/span> icon-volume-off<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-volume-down\\"> <\\/span> icon-volume-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-volume-up\\"> <\\/span> icon-volume-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-qrcode\\"> <\\/span> icon-qrcode<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-barcode\\"> <\\/span> icon-barcode<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tag\\"> <\\/span> icon-tag<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tags\\"> <\\/span> icon-tags<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-book\\"> <\\/span> icon-book<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bookmark\\"> <\\/span> icon-bookmark<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-print\\"> <\\/span> icon-print<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-camera\\"> <\\/span> icon-camera<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-font\\"> <\\/span> icon-font<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bold\\"> <\\/span> icon-bold<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-italic\\"> <\\/span> icon-italic<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-text-height\\"> <\\/span> icon-text-height<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-text-width\\"> <\\/span> icon-text-width<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-left\\"> <\\/span> icon-align-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-center\\"> <\\/span> icon-align-center<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-right\\"> <\\/span> icon-align-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-align-justify\\"> <\\/span> icon-align-justify<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-list\\"> <\\/span> icon-list<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-indent-left\\"> <\\/span> icon-indent-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-indent-right\\"> <\\/span> icon-indent-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-facetime-video\\"> <\\/span> icon-facetime-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-picture\\"> <\\/span> icon-picture<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-map-marker\\"> <\\/span> icon-map-marker<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-adjust\\"> <\\/span> icon-adjust<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tint\\"> <\\/span> icon-tint<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-edit\\"> <\\/span> icon-edit<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-share\\"> <\\/span> icon-share<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-check\\"> <\\/span> icon-check<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-move\\"> <\\/span> icon-move<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-step-backward\\"> <\\/span> icon-step-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fast-backward\\"> <\\/span> icon-fast-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-backward\\"> <\\/span> icon-backward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-play\\"> <\\/span> icon-play<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pause\\"> <\\/span> icon-pause<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-stop\\"> <\\/span> icon-stop<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-forward\\"> <\\/span> icon-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fast-forward\\"> <\\/span> icon-fast-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-step-forward\\"> <\\/span> icon-step-forward<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eject\\"> <\\/span> icon-eject<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-left\\"> <\\/span> icon-chevron-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-right\\"> <\\/span> icon-chevron-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plus-sign\\"> <\\/span> icon-plus-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-minus-sign\\"> <\\/span> icon-minus-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove-sign\\"> <\\/span> icon-remove-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok-sign\\"> <\\/span> icon-ok-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-question-sign\\"> <\\/span> icon-question-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-info-sign\\"> <\\/span> icon-info-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-screenshot\\"> <\\/span> icon-screenshot<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-remove-circle\\"> <\\/span> icon-remove-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ok-circle\\"> <\\/span> icon-ok-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-ban-circle\\"> <\\/span> icon-ban-circle<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-left\\"> <\\/span> icon-arrow-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-right\\"> <\\/span> icon-arrow-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-up\\"> <\\/span> icon-arrow-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-arrow-down\\"> <\\/span> icon-arrow-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-share-alt\\"> <\\/span> icon-share-alt<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-full\\"> <\\/span> icon-resize-full<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-small\\"> <\\/span> icon-resize-small<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-exclamation-sign\\"> <\\/span> icon-exclamation-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-gift\\"> <\\/span> icon-gift<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-leaf\\"> <\\/span> icon-leaf<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fire\\"> <\\/span> icon-fire<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eye-open\\"> <\\/span> icon-eye-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-eye-close\\"> <\\/span> icon-eye-close<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-warning-sign\\"> <\\/span> icon-warning-sign<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-plane\\"> <\\/span> icon-plane<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-calendar\\"> <\\/span> icon-calendar<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-random\\"> <\\/span> icon-random<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-comment\\"> <\\/span> icon-comment<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-magnet\\"> <\\/span> icon-magnet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-up\\"> <\\/span> icon-chevron-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-chevron-down\\"> <\\/span> icon-chevron-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-retweet\\"> <\\/span> icon-retweet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-shopping-cart\\"> <\\/span> icon-shopping-cart<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-folder-close\\"> <\\/span> icon-folder-close<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-folder-open\\"> <\\/span> icon-folder-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-vertical\\"> <\\/span> icon-resize-vertical<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-resize-horizontal\\"> <\\/span> icon-resize-horizontal<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hdd\\"> <\\/span> icon-hdd<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bullhorn\\"> <\\/span> icon-bullhorn<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-bell\\"> <\\/span> icon-bell<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-certificate\\"> <\\/span> icon-certificate<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-thumbs-up\\"> <\\/span> icon-thumbs-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-thumbs-down\\"> <\\/span> icon-thumbs-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-right\\"> <\\/span> icon-hand-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-left\\"> <\\/span> icon-hand-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-up\\"> <\\/span> icon-hand-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hand-down\\"> <\\/span> icon-hand-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-right\\"> <\\/span> icon-circle-arrow-right<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-left\\"> <\\/span> icon-circle-arrow-left<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-up\\"> <\\/span> icon-circle-arrow-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-circle-arrow-down\\"> <\\/span> icon-circle-arrow-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-globe\\"> <\\/span> icon-globe<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-wrench\\"> <\\/span> icon-wrench<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tasks\\"> <\\/span> icon-tasks<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-filter\\"> <\\/span> icon-filter<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-briefcase\\"> <\\/span> icon-briefcase<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-fullscreen\\"> <\\/span> icon-fullscreen<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-dashboard\\"> <\\/span> icon-dashboard<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-paperclip\\"> <\\/span> icon-paperclip<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-heart-empty\\"> <\\/span> icon-heart-empty<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-link\\"> <\\/span> icon-link<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-phone\\"> <\\/span> icon-phone<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-pushpin\\"> <\\/span> icon-pushpin<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-usd\\"> <\\/span> icon-usd<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-gbp\\"> <\\/span> icon-gbp<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"span3\\">\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort\\"> <\\/span> icon-sort<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-alphabet\\"> <\\/span> icon-sort-by-alphabet<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-alphabet-alt\\"> <\\/span> icon-sort-by-alphabet-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-order\\"> <\\/span> icon-sort-by-order<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-order-alt\\"> <\\/span> icon-sort-by-order-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-attributes\\"> <\\/span> icon-sort-by-attributes<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sort-by-attributes-alt\\"> <\\/span> icon-sort-by-attributes-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-unchecked\\"> <\\/span> icon-unchecked<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-expand\\"> <\\/span> icon-expand<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-collapse-down\\"> <\\/span> icon-collapse-down<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-collapse-up\\"> <\\/span> icon-collapse-up<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-log-in\\"> <\\/span> icon-log-in<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-flash\\"> <\\/span> icon-flash<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-log-out\\"> <\\/span> icon-log-out<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-new-window\\"> <\\/span> icon-new-window<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-record\\"> <\\/span> icon-record<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-save\\"> <\\/span> icon-save<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-open\\"> <\\/span> icon-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-saved\\"> <\\/span> icon-saved<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-import\\"> <\\/span> icon-import<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-export\\"> <\\/span> icon-export<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-send\\"> <\\/span> icon-send<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-disk\\"> <\\/span> icon-floppy-disk<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-saved\\"> <\\/span> icon-floppy-saved<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-remove\\"> <\\/span> icon-floppy-remove<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-save\\"> <\\/span> icon-floppy-save<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-floppy-open\\"> <\\/span> icon-floppy-open<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-credit-card\\"> <\\/span> icon-credit-card<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-transfer\\"> <\\/span> icon-transfer<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cutlery\\"> <\\/span> icon-cutlery<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-header\\"> <\\/span> icon-header<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-compressed\\"> <\\/span> icon-compressed<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-earphone\\"> <\\/span> icon-earphone<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-phone-alt\\"> <\\/span> icon-phone-alt<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tower\\"> <\\/span> icon-tower<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-stats\\"> <\\/span> icon-stats<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sd-video\\"> <\\/span> icon-sd-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-hd-video\\"> <\\/span> icon-hd-video<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-subtitles\\"> <\\/span> icon-subtitles<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-stereo\\"> <\\/span> icon-sound-stereo<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-dolby\\"> <\\/span> icon-sound-dolby<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-5-1\\"> <\\/span> icon-sound-5-1<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-6-1\\"> <\\/span> icon-sound-6-1<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-sound-7-1\\"> <\\/span> icon-sound-7-1<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-copyright-mark\\"> <\\/span> icon-copyright-mark<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-registration-mark\\"> <\\/span> icon-registration-mark<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cloud-download\\"> <\\/span> icon-cloud-download<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-cloud-upload\\"> <\\/span> icon-cloud-upload<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tree-conifer\\"> <\\/span> icon-tree-conifer<\\/div>\\r\\n<div style=\\"padding: 2px 0;\\"><span class=\\"icon-tree-deciduous\\"> <\\/span> icon-tree-deciduous<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Offcanvas Button Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;p&gt;&lt;a class=\\"toggle-nav menu\\"&gt;&lt;span class=\\"icon-align-justify\\"&gt;&lt;\\/span&gt;&lt;\\/a&gt;&lt;\\/p&gt;\\r\\n<\\/pre>\\r\\n<p><a class=\\"toggle-nav menu\\"><span class=\\"icon-align-justify\\"><\\/span><\\/a><\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Top Contact Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;ul class=\\"jm-contact-icons\\"&gt;<br \\/>&lt;li class=\\"jm-direction\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/direction.png<\\/strong>\\" alt=\\"Direction\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"<strong>#<\\/strong>\\"&amp;gt;<strong>Peterborough, UK<\\/strong>&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;li class=\\"jm-email\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/email.png<\\/strong>\\" alt=\\"Email\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>Email<\\/strong>&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;li class=\\"jm-phone\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/phone.png<\\/strong>\\" alt=\\"Phone\\" \\/&gt;&lt;a title=\\"Contact\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>+44 7837 383 484<\\/strong>&lt;\\/a&gt;&lt;\\/li&gt;<br \\/>&lt;\\/ul&gt;<\\/pre>\\r\\n<ul class=\\"jm-contact-icons\\">\\r\\n<li class=\\"jm-direction\\"><img src=\\"images\\/modules\\/direction.png\\" alt=\\"Direction\\" \\/><a title=\\"Contact\\" href=\\"#\\">Peterborough, UK<\\/a><\\/li>\\r\\n<li class=\\"jm-email\\"><img src=\\"images\\/modules\\/email.png\\" alt=\\"Email\\" \\/><a title=\\"Contact\\" href=\\"#\\">Email<\\/a><\\/li>\\r\\n<li class=\\"jm-phone\\"><img src=\\"images\\/modules\\/phone.png\\" alt=\\"Phone\\" \\/><a title=\\"Contact\\" href=\\"#\\">+44 7837 383 484<\\/a><\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Residential Solutions Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-box\\"&gt;\\r\\n&lt;div class=\\"jm-box-in\\"&gt;\\r\\n&lt;div class=\\"jm-icon\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/icon1.png<\\/strong>\\" alt=\\"\\" \\/&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-column\\"&gt;\\r\\n&lt;span class=\\"title\\"&gt;<strong>Residential Solutions<\\/strong>&lt;\\/span&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"link\\"&gt;<strong>www.jm-internet.com<\\/strong>&lt;\\/a&gt;\\r\\n&lt;span class=\\"description\\"&gt;<strong>Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"contact\\"&gt;<strong>call 888-777-888<\\/strong>&lt;\\/span&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"readmore\\"&gt;<strong>read more<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-expand\\"&gt;\\r\\n&lt;div class=\\"expand-in\\"&gt;&lt;span class=\\"subtitle\\"&gt;<strong>Services Include<\\/strong>&lt;\\/span&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vestibulum venenatis<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Suscipit libero<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-box\\">\\r\\n<div class=\\"jm-box-in\\">\\r\\n<div class=\\"jm-icon\\"><img src=\\"images\\/modules\\/icon1.png\\" alt=\\"\\" \\/><\\/div>\\r\\n<div class=\\"jm-column\\"><span class=\\"title\\">Residential Solutions<\\/span> <a href=\\"#\\" class=\\"link\\">www.jm-internet.com<\\/a> <span class=\\"description\\">Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/span> <span class=\\"contact\\">call 888-777-888<\\/span> <a href=\\"#\\" class=\\"readmore\\">read more<\\/a><\\/div>\\r\\n<div class=\\"jm-expand\\">\\r\\n<div class=\\"expand-in\\"><span class=\\"subtitle\\">Services Include<\\/span>\\r\\n<ul>\\r\\n<li>Lorem ipsum<\\/li>\\r\\n<li>Dolor sit amet<\\/li>\\r\\n<li>Vestibulum venenatis<\\/li>\\r\\n<li>Suscipit libero<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Business Solutions Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-box\\"&gt;\\r\\n&lt;div class=\\"jm-box-in\\"&gt;\\r\\n&lt;div class=\\"jm-icon\\"&gt;&lt;img src=\\"<strong>images\\/modules\\/icon2.png<\\/strong>\\" alt=\\"\\" \\/&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-column\\"&gt;\\r\\n&lt;span class=\\"title\\"&gt;<strong>Business Solutions<\\/strong>&lt;\\/span&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"link\\"&gt;<strong>www.jm-internet.com<\\/strong>&lt;\\/a&gt;\\r\\n&lt;span class=\\"description\\"&gt;<strong>Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"contact\\"&gt;<strong>call 888-777-888<\\/strong>&lt;\\/span&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"readmore\\"&gt;<strong>read more<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-expand\\"&gt;\\r\\n&lt;div class=\\"expand-in\\"&gt;&lt;span class=\\"subtitle\\"&gt;<strong>Services Include<\\/strong>&lt;\\/span&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vestibulum venenatis<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Suscipit libero<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-box\\">\\r\\n<div class=\\"jm-box-in\\">\\r\\n<div class=\\"jm-icon\\"><img src=\\"images\\/modules\\/icon2.png\\" alt=\\"\\" \\/><\\/div>\\r\\n<div class=\\"jm-column\\">\\r\\n<div class=\\"column-in\\"><span class=\\"title\\">Business Solutions<\\/span> <a href=\\"#\\" class=\\"link\\">www.jm-internet.com<\\/a> <span class=\\"description\\">Lorem lean startup ipsum product market fit customer development acquihire technical cofounder. User engagement.<\\/span> <span class=\\"contact\\">call 888-777-888<\\/span> <a href=\\"#\\" class=\\"readmore\\">read more<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"jm-expand\\">\\r\\n<div class=\\"expand-in\\"><span class=\\"subtitle\\">Services Include<\\/span>\\r\\n<ul>\\r\\n<li>Lorem ipsum<\\/li>\\r\\n<li>Dolor sit amet<\\/li>\\r\\n<li>Vestibulum venenatis<\\/li>\\r\\n<li>Suscipit libero<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Header Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-custom-header\\"&gt;\\r\\n&lt;div class=\\"title\\"&gt;<strong>This is <\\/strong>&lt;span&gt;<strong>custom<\\/strong>&lt;\\/span&gt; <strong>html module<\\/strong>&lt;\\/div&gt;\\r\\n&lt;div class=\\"description\\"&gt;<strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt<\\/strong>&lt;br \\/&gt;<strong> ut labore et dolore magna aliqua.<\\/strong>&lt;\\/div&gt;\\r\\n&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>Check an offer<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-custom-header\\">\\r\\n<div class=\\"title\\">This is <span>custom<\\/span> html module<\\/div>\\r\\n<div class=\\"description\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt<br \\/> ut labore et dolore magna aliqua.<\\/div>\\r\\n<a class=\\"btn\\" href=\\"#\\">Check an offer<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Social Module<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<div class=\\"jm-socials\\">\\r\\n<pre>&lt;div class=\\"jm-socials\\"&gt;<br \\/>&lt;a class=\\"facebook\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"googleplus\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"twitter\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"linkedin\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"skype\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;a class=\\"vimeo\\" href=\\"#\\"&gt;&amp;nbsp;&lt;\\/a&gt;<br \\/>&lt;\\/div&gt;<\\/pre>\\r\\n<a class=\\"facebook\\" href=\\"#\\"> <\\/a> <a class=\\"googleplus\\" href=\\"#\\"> <\\/a> <a class=\\"twitter\\" href=\\"#\\"> <\\/a> <a class=\\"linkedin\\" href=\\"#\\"> <\\/a> <a class=\\"skype\\" href=\\"#\\"> <\\/a> <a class=\\"vimeo\\" href=\\"#\\"> <\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Home Content<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-custom-content clearfix\\"&gt;\\r\\n&lt;div class=\\"jm-icon\\"&gt;\\r\\n&lt;div class=\\"jm-icon-in\\"&gt;&lt;span class=\\"up\\"&gt;<strong>Up to<\\/strong>&lt;\\/span&gt; &lt;span class=\\"middle\\"&gt;<strong>250<\\/strong>&lt;\\/span&gt; &lt;span class=\\"down\\"&gt;<strong>Mbps<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"jm-description\\"&gt;&lt;span class=\\"title\\"&gt;<strong>High speed internet<\\/strong>&lt;\\/span&gt;\\r\\n&lt;p&gt;<strong>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<\\/strong>&lt;br \\/&gt;<strong>In facilisis at augue imperdiet dignissim.<\\/strong>&lt;\\/p&gt;\\r\\n&lt;p class=\\"custom-icon1\\"&gt;&lt;span&gt;<strong>Lorem ipsum dolor<\\/strong>&lt;\\/span&gt;<strong>Proin iaculis purus consequat sem cure digni ssim.<\\/strong>&lt;\\/p&gt;\\r\\n&lt;p class=\\"custom-icon2\\"&gt;&lt;span&gt;<strong>Adipiscing elit<\\/strong>&lt;\\/span&gt;<strong>Proin iaculis purus consequat sem cure.<\\/strong>&lt;\\/p&gt;\\r\\n&lt;p&gt;<strong>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<\\/strong>&lt;br \\/&gt;<strong>In facilisis at augue imperdiet dignissim.<\\/strong>&lt;\\/p&gt;\\r\\n&lt;a href=\\"<strong>#<\\/strong>\\" class=\\"readmore\\"&gt;<strong>Read more<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-custom-content clearfix\\">\\r\\n<div class=\\"jm-icon\\">\\r\\n<div class=\\"jm-icon-in\\"><span class=\\"up\\">Up to<\\/span> <span class=\\"middle\\">250<\\/span> <span class=\\"down\\">Mbps<\\/span><\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"jm-description\\"><span class=\\"title\\">High speed internet<\\/span>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<br \\/>In facilisis at augue imperdiet dignissim.<\\/p>\\r\\n<p class=\\"custom-icon1\\"><span>Lorem ipsum dolor<\\/span>Proin iaculis purus consequat sem cure digni ssim.<\\/p>\\r\\n<p class=\\"custom-icon2\\"><span>Adipiscing elit<\\/span>Proin iaculis purus consequat sem cure.<\\/p>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<br \\/>In facilisis at augue imperdiet dignissim.<\\/p>\\r\\n<a href=\\"#\\" class=\\"readmore\\">Read more<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<h3 class=\\"jm-typo-title\\">Pricing Table Content<\\/h3>\\r\\n<div class=\\"row-fluid\\">\\r\\n<div class=\\"span12\\">\\r\\n<pre>&lt;div class=\\"jm-pricing clearfix <strong>col3<\\/strong>\\"&gt;\\r\\n&lt;div class=\\"box\\"&gt;\\r\\n&lt;div class=\\"box-in\\"&gt;\\r\\n&lt;div class=\\"price\\"&gt;&lt;span class=\\"up\\"&gt;<strong>as low as<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"middle\\"&gt;<strong>29.95<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"down\\"&gt;<strong>month<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"title\\"&gt;<strong>Cable Internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;div class=\\"content\\"&gt;\\r\\n&lt;div class=\\"subtitle\\"&gt;<strong>step up to earthlink cable internet at the speed of life<\\/strong>&lt;\\/div&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Morbi rhoncus diam quis augue<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Proin non finibus diam<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Pellentesque varius<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vivamus quis leo<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Donec ut elit maximus<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"bottom\\"&gt;&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>I\'m interested<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"box\\"&gt;\\r\\n&lt;div class=\\"box-in\\"&gt;\\r\\n&lt;div class=\\"price\\"&gt;&lt;span class=\\"up\\"&gt;<strong>as low as<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"middle\\"&gt;<strong>14.85<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"down\\"&gt;<strong>month<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"title\\"&gt;<strong>DSL Internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;div class=\\"content\\"&gt;\\r\\n&lt;div class=\\"subtitle\\"&gt;<strong>step up to incredible dsl cable internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Morbi rhoncus diam quis augue<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Proin non finibus diam<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Pellentesque varius<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vivamus quis leo<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Donec ut elit maximus<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"bottom\\"&gt;&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>I\'m interested<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"box\\"&gt;\\r\\n&lt;div class=\\"box-in\\"&gt;\\r\\n&lt;div class=\\"price\\"&gt;&lt;span class=\\"up\\"&gt;<strong>as low as<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"middle\\"&gt;<strong>39.95<\\/strong>&lt;\\/span&gt;\\r\\n&lt;span class=\\"down\\"&gt;<strong>month<\\/strong>&lt;\\/span&gt;&lt;\\/div&gt;\\r\\n&lt;div class=\\"title\\"&gt;<strong>Satellite Internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;div class=\\"content\\"&gt;\\r\\n&lt;div class=\\"subtitle\\"&gt;<strong>No dsl or cable in your area? get satellite internet<\\/strong>&lt;\\/div&gt;\\r\\n&lt;ul&gt;\\r\\n&lt;li&gt;<strong>Lorem ipsum dolor sit amet<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Morbi rhoncus diam quis augue<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Proin non finibus diam<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Pellentesque varius<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Vivamus quis leo<\\/strong>&lt;\\/li&gt;\\r\\n&lt;li&gt;<strong>Donec ut elit maximus<\\/strong>&lt;\\/li&gt;\\r\\n&lt;\\/ul&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;div class=\\"bottom\\"&gt;&lt;a class=\\"btn\\" href=\\"<strong>#<\\/strong>\\"&gt;<strong>I\'m interested<\\/strong>&lt;\\/a&gt;&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n&lt;\\/div&gt;\\r\\n<\\/pre>\\r\\n<div class=\\"jm-pricing clearfix col3\\">\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">29.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Cable Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to earthlink cable internet at the speed of life<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<li>Pellentesque varius<\\/li>\\r\\n<li>Vivamus quis leo<\\/li>\\r\\n<li>Donec ut elit maximus<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">14.85<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">DSL Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">step up to incredible dsl cable internet<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<li>Pellentesque varius<\\/li>\\r\\n<li>Vivamus quis leo<\\/li>\\r\\n<li>Donec ut elit maximus<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"box\\">\\r\\n<div class=\\"box-in\\">\\r\\n<div class=\\"price\\"><span class=\\"up\\">as low as<\\/span> <span class=\\"middle\\">39.95<\\/span> <span class=\\"down\\">month<\\/span><\\/div>\\r\\n<div class=\\"title\\">Satellite Internet<\\/div>\\r\\n<div class=\\"content\\">\\r\\n<div class=\\"subtitle\\">No dsl or cable in your area? get satellite internet<\\/div>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Morbi rhoncus diam quis augue<\\/li>\\r\\n<li>Proin non finibus diam<\\/li>\\r\\n<li>Pellentesque varius<\\/li>\\r\\n<li>Vivamus quis leo<\\/li>\\r\\n<li>Donec ut elit maximus<\\/li>\\r\\n<\\/ul>\\r\\n<\\/div>\\r\\n<div class=\\"bottom\\"><a class=\\"btn\\" href=\\"#\\">I\'m interested<\\/a><\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"78","created":"2014-05-14 12:40:26","created_by":"56","created_by_alias":"","modified":"2015-01-19 09:23:45","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-19 09:21:04","publish_up":"2014-05-14 12:40:26","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":69,"ordering":"8","metakey":"","metadesc":"","access":"1","hits":"181","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(362,134,1,'','2015-01-19 09:29:19',56,2585,'3141f0202228f6756152e371dd85b544f1590071','{"id":134,"asset_id":"410","title":"Home","alias":"home","introtext":"<div class=\\"jm-custom-content clearfix\\">\\r\\n<div class=\\"jm-icon\\">\\r\\n<div class=\\"jm-icon-in\\"><span class=\\"up\\">Up to<\\/span> <span class=\\"middle\\">250<\\/span> <span class=\\"down\\">Mbps<\\/span><\\/div>\\r\\n<\\/div>\\r\\n<div class=\\"jm-description\\"><span class=\\"title\\">High speed internet<\\/span>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<br \\/>In facilisis at augue imperdiet dignissim.<\\/p>\\r\\n<p class=\\"custom-icon1\\"><span>Lorem ipsum dolor<\\/span>Proin iaculis purus consequat sem cure digni ssim.<\\/p>\\r\\n<p class=\\"custom-icon2\\"><span>Adipiscing elit<\\/span>Proin iaculis purus consequat sem cure.<\\/p>\\r\\n<p>Proin iaculis purus consequat sem cure digni ssim donec porttitora.<br \\/>In facilisis at augue imperdiet dignissim.<\\/p>\\r\\n<a href=\\"index.php?option=com_content&amp;view=article&amp;id=73&amp;Itemid=479\\" class=\\"readmore\\">Read more<\\/a><\\/div>\\r\\n<\\/div>","fulltext":"","state":1,"catid":"78","created":"2015-01-13 08:33:21","created_by":"56","created_by_alias":"","modified":"2015-01-19 09:29:19","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-19 09:29:04","publish_up":"2015-01-13 08:33:21","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"0\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":7,"ordering":"0","metakey":"","metadesc":"","access":"1","hits":"366","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0),
(363,121,1,'','2015-01-19 11:00:30',56,3480,'cc42ea79bbbac19d310c19fd2575f2a8d8f65911','{"id":121,"asset_id":"351","title":"Module Suffixes","alias":"module-suffixes","introtext":"<p>There are additional module designs available that you can control by entering a correct suffix name as a module parameter.<br \\/>Let\'s check them all.<\\/p>\\r\\n<p>1. Available module designs<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><img src=\\"images\\/sample\\/module-suffixes.png\\" alt=\\"Module Suffixes\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>2. Use the following suffixes for DJ-ImageSlider module if you want to get the following view for slides. Otherwise a module will use the default css styles.<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><strong>Suffix name:<\\/strong> header-ms<\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p><img src=\\"images\\/sample\\/header-ms.jpg\\" alt=\\"DJ-ImageSlider Suffixes\\" \\/><\\/p>\\r\\n<p>\\u00a0<\\/p>\\r\\n<p>2. Use the following suffixes if you want add hover effect for \\"Solutions\\" Custom HTML modules.<\\/p>\\r\\n<p><\\/p>\\r\\n<p><img src=\\"images\\/sample\\/expand.png\\" alt=\\"DJ-ImageSlider Suffixes\\" \\/><\\/p>\\r\\n<p><\\/p>\\r\\n<p><strong>Suffix name:<\\/strong> expand1-ms and expand2-ms<\\/p>\\r\\n<p><br \\/>3. Use the suffix for module to reduce space below module.<\\/p>\\r\\n<p><br \\/><strong>Suffix name:<\\/strong> margin-ms<\\/p>\\r\\n<p><br \\/>4. Additional and very useful suffix to make your modules height the same.<br \\/>You just have to put a suffix at a module configuration to get the specified module height. <br \\/><br \\/>See here the screenshot:<\\/p>\\r\\n<p><img class=\\"border_img\\" title=\\"Module height\\" src=\\"images\\/sample\\/height1.jpg\\" alt=\\"height1\\" border=\\"0\\" \\/><\\/p>\\r\\n<p><strong>_mod300<\\/strong> means that your module will be of 300 pixels high.<br \\/><br \\/>If you need to mix suffixes, remember to put that suffix at the end and add space between suffixes, see the example:<\\/p>\\r\\n<p><img src=\\"images\\/sample\\/height2.jpg\\" alt=\\"height2\\" border=\\"0\\" \\/><br \\/><br \\/><\\/p>","fulltext":"","state":1,"catid":"78","created":"2014-06-25 09:42:57","created_by":"56","created_by_alias":"","modified":"2015-01-19 11:00:30","modified_by":"56","checked_out":"56","checked_out_time":"2015-01-19 10:52:54","publish_up":"2014-06-25 09:42:57","publish_down":"0000-00-00 00:00:00","images":"{\\"image_intro\\":\\"\\",\\"float_intro\\":\\"\\",\\"image_intro_alt\\":\\"\\",\\"image_intro_caption\\":\\"\\",\\"image_fulltext\\":\\"\\",\\"float_fulltext\\":\\"\\",\\"image_fulltext_alt\\":\\"\\",\\"image_fulltext_caption\\":\\"\\"}","urls":"{\\"urla\\":false,\\"urlatext\\":\\"\\",\\"targeta\\":\\"\\",\\"urlb\\":false,\\"urlbtext\\":\\"\\",\\"targetb\\":\\"\\",\\"urlc\\":false,\\"urlctext\\":\\"\\",\\"targetc\\":\\"\\"}","attribs":"{\\"show_title\\":\\"\\",\\"link_titles\\":\\"\\",\\"show_tags\\":\\"\\",\\"show_intro\\":\\"\\",\\"info_block_position\\":\\"\\",\\"show_category\\":\\"\\",\\"link_category\\":\\"\\",\\"show_parent_category\\":\\"\\",\\"link_parent_category\\":\\"\\",\\"show_author\\":\\"\\",\\"link_author\\":\\"\\",\\"show_create_date\\":\\"\\",\\"show_modify_date\\":\\"\\",\\"show_publish_date\\":\\"\\",\\"show_item_navigation\\":\\"\\",\\"show_icons\\":\\"\\",\\"show_print_icon\\":\\"\\",\\"show_email_icon\\":\\"\\",\\"show_vote\\":\\"\\",\\"show_hits\\":\\"\\",\\"show_noauth\\":\\"\\",\\"urls_position\\":\\"\\",\\"alternative_readmore\\":\\"\\",\\"article_layout\\":\\"\\",\\"show_publishing_options\\":\\"\\",\\"show_article_options\\":\\"\\",\\"show_urls_images_backend\\":\\"\\",\\"show_urls_images_frontend\\":\\"\\"}","version":12,"ordering":"5","metakey":"","metadesc":"","access":"1","hits":"23","metadata":"{\\"robots\\":\\"\\",\\"author\\":\\"\\",\\"rights\\":\\"\\",\\"xreference\\":\\"\\"}","featured":"0","language":"*","xreference":""}',0);

DROP TABLE IF EXISTS #__update_sites;
CREATE TABLE `#__update_sites` (
  `update_site_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `location` text NOT NULL,
  `enabled` int(11) DEFAULT '0',
  `last_check_timestamp` bigint(20) DEFAULT '0',
  `extra_query` varchar(1000) DEFAULT '',
  PRIMARY KEY (`update_site_id`)
) AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 COMMENT='Update Sites';

INSERT INTO `#__update_sites` VALUES 
(1,'Joomla Core','collection','http://update.joomla.org/core/list.xml',1,1423482666,''),
(2,'Joomla Extension Directory','collection','http://update.joomla.org/jed/list.xml',1,1423482666,''),
(3,'Accredited Joomla! Translations','collection','http://update.joomla.org/language/translationlist_3.xml',1,0,''),
(4,'DJ-Menu Module','extension','http://dj-extensions.com/updates/djmenu.xml',0,0,''),
(5,'DJ-ImageSlider Package','extension','http://dj-extensions.com/updates/djimageslider.xml',0,0,''),
(8,'EF4 Joomla Monster Framework','extension','http://www.joomla-monster.com/updates/ef4framework.xml',1,0,''),
(9,'Joomla! Update Component Update Site','extension','http://update.joomla.org/core/extensions/com_joomlaupdate.xml',1,0,'');

DROP TABLE IF EXISTS #__update_sites_extensions;
CREATE TABLE `#__update_sites_extensions` (
  `update_site_id` int(11) NOT NULL DEFAULT '0',
  `extension_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`update_site_id`,`extension_id`)
) DEFAULT CHARSET=utf8 COMMENT='Links extensions to update sites';

INSERT INTO `#__update_sites_extensions` VALUES 
(1,700),
(2,700),
(3,600),
(4,10002),
(5,10005),
(8,10017),
(9,28);

DROP TABLE IF EXISTS #__user_keys;
CREATE TABLE `#__user_keys` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` varchar(255) NOT NULL,
  `token` varchar(255) NOT NULL,
  `series` varchar(255) NOT NULL,
  `invalid` tinyint(4) NOT NULL,
  `time` varchar(200) NOT NULL,
  `uastring` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `series` (`series`),
  UNIQUE KEY `series_2` (`series`),
  UNIQUE KEY `series_3` (`series`),
  KEY `user_id` (`user_id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__user_notes;
CREATE TABLE `#__user_notes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `subject` varchar(100) NOT NULL DEFAULT '',
  `body` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `review_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_category_id` (`catid`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__user_profiles;
CREATE TABLE `#__user_profiles` (
  `user_id` int(11) NOT NULL,
  `profile_key` varchar(100) NOT NULL,
  `profile_value` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `idx_user_id_profile_key` (`user_id`,`profile_key`)
) DEFAULT CHARSET=utf8 COMMENT='Simple user profile storage table';


DROP TABLE IF EXISTS #__viewlevels;
CREATE TABLE `#__viewlevels` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `title` varchar(100) NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_assetgroup_title_lookup` (`title`)
) AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

INSERT INTO `#__viewlevels` VALUES 
(1,'Public',0,'[1]'),
(2,'Registered',1,'[6,2,8]'),
(3,'Special',2,'[6,3,8]'),
(5,'Guest',0,'[9]'),
(6,'Super Users',0,'[8]');

DROP TABLE IF EXISTS #__weblinks;
CREATE TABLE `#__weblinks` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `catid` int(11) NOT NULL DEFAULT '0',
  `title` varchar(250) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `url` varchar(250) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `hits` int(11) NOT NULL DEFAULT '0',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if link is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `images` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) DEFAULT CHARSET=utf8;


